/* A Bison parser, made by GNU Bison 3.3.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2019 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Undocumented macros, especially those whose name start with YY_,
   are private implementation details.  Do not rely on them.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.3.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* First part of user prologue.  */
#line 1 "gram.y" /* yacc.c:337  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2021, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET constraint_exclusion TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "access/tableam.h"
#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_am.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule, or whose leftmost
 * component was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 *
 * A cleaner answer would be to make YYLLOC_DEFAULT scan all the Rhs
 * locations until it's found one that's not -1.  Then we'd get a correct
 * location for any nonterminal that isn't entirely empty.  But this way
 * would add overhead to every rule reduction, and so far there's not been
 * a compelling reason to pay that overhead.
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	ObjectType	objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* Private struct for the result of opt_select_limit production */
typedef struct SelectLimit
{
	Node *limitOffset;
	Node *limitCount;
	LimitOption limitOption;
} SelectLimit;

/* Private struct for the result of group_clause production */
typedef struct GroupClause
{
	bool	distinct;
	List   *list;
} GroupClause;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static RawStmt *makeRawStmt(Node *stmt, int stmt_location);
static void updateRawStmtEnd(RawStmt *rs, int end_location);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static RoleSpec *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(ObjectType objtype, List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								SelectLimit *limitClause,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod,
								  int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 283 "gram.c" /* yacc.c:337  */
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    UIDENT = 259,
    FCONST = 260,
    SCONST = 261,
    USCONST = 262,
    BCONST = 263,
    XCONST = 264,
    Op = 265,
    ICONST = 266,
    PARAM = 267,
    TYPECAST = 268,
    DOT_DOT = 269,
    COLON_EQUALS = 270,
    EQUALS_GREATER = 271,
    LESS_EQUALS = 272,
    GREATER_EQUALS = 273,
    NOT_EQUALS = 274,
    ABORT_P = 275,
    ABSOLUTE_P = 276,
    ACCESS = 277,
    ACTION = 278,
    ADD_P = 279,
    ADMIN = 280,
    AFTER = 281,
    AGGREGATE = 282,
    ALL = 283,
    ALSO = 284,
    ALTER = 285,
    ALWAYS = 286,
    ANALYSE = 287,
    ANALYZE = 288,
    AND = 289,
    ANY = 290,
    ARRAY = 291,
    AS = 292,
    ASC = 293,
    ASENSITIVE = 294,
    ASSERTION = 295,
    ASSIGNMENT = 296,
    ASYMMETRIC = 297,
    ATOMIC = 298,
    AT = 299,
    ATTACH = 300,
    ATTRIBUTE = 301,
    AUTHORIZATION = 302,
    BACKWARD = 303,
    BEFORE = 304,
    BEGIN_P = 305,
    BETWEEN = 306,
    BIGINT = 307,
    BINARY = 308,
    BIT = 309,
    BOOLEAN_P = 310,
    BOTH = 311,
    BREADTH = 312,
    BY = 313,
    CACHE = 314,
    CALL = 315,
    CALLED = 316,
    CASCADE = 317,
    CASCADED = 318,
    CASE = 319,
    CAST = 320,
    CATALOG_P = 321,
    CHAIN = 322,
    CHAR_P = 323,
    CHARACTER = 324,
    CHARACTERISTICS = 325,
    CHECK = 326,
    CHECKPOINT = 327,
    CLASS = 328,
    CLOSE = 329,
    CLUSTER = 330,
    COALESCE = 331,
    COLLATE = 332,
    COLLATION = 333,
    COLUMN = 334,
    COLUMNS = 335,
    COMMENT = 336,
    COMMENTS = 337,
    COMMIT = 338,
    COMMITTED = 339,
    COMPRESSION = 340,
    CONCURRENTLY = 341,
    CONFIGURATION = 342,
    CONFLICT = 343,
    CONNECTION = 344,
    CONSTRAINT = 345,
    CONSTRAINTS = 346,
    CONTENT_P = 347,
    CONTINUE_P = 348,
    CONVERSION_P = 349,
    COPY = 350,
    COST = 351,
    CREATE = 352,
    CROSS = 353,
    CSV = 354,
    CUBE = 355,
    CURRENT_P = 356,
    CURRENT_CATALOG = 357,
    CURRENT_DATE = 358,
    CURRENT_ROLE = 359,
    CURRENT_SCHEMA = 360,
    CURRENT_TIME = 361,
    CURRENT_TIMESTAMP = 362,
    CURRENT_USER = 363,
    CURSOR = 364,
    CYCLE = 365,
    DATA_P = 366,
    DATABASE = 367,
    DAY_P = 368,
    DEALLOCATE = 369,
    DEC = 370,
    DECIMAL_P = 371,
    DECLARE = 372,
    DEFAULT = 373,
    DEFAULTS = 374,
    DEFERRABLE = 375,
    DEFERRED = 376,
    DEFINER = 377,
    DELETE_P = 378,
    DELIMITER = 379,
    DELIMITERS = 380,
    DEPENDS = 381,
    DEPTH = 382,
    DESC = 383,
    DETACH = 384,
    DICTIONARY = 385,
    DISABLE_P = 386,
    DISCARD = 387,
    DISTINCT = 388,
    DO = 389,
    DOCUMENT_P = 390,
    DOMAIN_P = 391,
    DOUBLE_P = 392,
    DROP = 393,
    EACH = 394,
    ELSE = 395,
    ENABLE_P = 396,
    ENCODING = 397,
    ENCRYPTED = 398,
    END_P = 399,
    ENUM_P = 400,
    ESCAPE = 401,
    EVENT = 402,
    EXCEPT = 403,
    EXCLUDE = 404,
    EXCLUDING = 405,
    EXCLUSIVE = 406,
    EXECUTE = 407,
    EXISTS = 408,
    EXPLAIN = 409,
    EXPRESSION = 410,
    EXTENSION = 411,
    EXTERNAL = 412,
    EXTRACT = 413,
    FALSE_P = 414,
    FAMILY = 415,
    FETCH = 416,
    FILTER = 417,
    FINALIZE = 418,
    FIRST_P = 419,
    FLOAT_P = 420,
    FOLLOWING = 421,
    FOR = 422,
    FORCE = 423,
    FOREIGN = 424,
    FORWARD = 425,
    FREEZE = 426,
    FROM = 427,
    FULL = 428,
    FUNCTION = 429,
    FUNCTIONS = 430,
    GENERATED = 431,
    GLOBAL = 432,
    GRANT = 433,
    GRANTED = 434,
    GREATEST = 435,
    GROUP_P = 436,
    GROUPING = 437,
    GROUPS = 438,
    HANDLER = 439,
    HAVING = 440,
    HEADER_P = 441,
    HOLD = 442,
    HOUR_P = 443,
    IDENTITY_P = 444,
    IF_P = 445,
    ILIKE = 446,
    IMMEDIATE = 447,
    IMMUTABLE = 448,
    IMPLICIT_P = 449,
    IMPORT_P = 450,
    IN_P = 451,
    INCLUDE = 452,
    INCLUDING = 453,
    INCREMENT = 454,
    INDEX = 455,
    INDEXES = 456,
    INHERIT = 457,
    INHERITS = 458,
    INITIALLY = 459,
    INLINE_P = 460,
    INNER_P = 461,
    INOUT = 462,
    INPUT_P = 463,
    INSENSITIVE = 464,
    INSERT = 465,
    INSTEAD = 466,
    INT_P = 467,
    INTEGER = 468,
    INTERSECT = 469,
    INTERVAL = 470,
    INTO = 471,
    INVOKER = 472,
    IS = 473,
    ISNULL = 474,
    ISOLATION = 475,
    JOIN = 476,
    KEY = 477,
    LABEL = 478,
    LANGUAGE = 479,
    LARGE_P = 480,
    LAST_P = 481,
    LATERAL_P = 482,
    LEADING = 483,
    LEAKPROOF = 484,
    LEAST = 485,
    LEFT = 486,
    LEVEL = 487,
    LIKE = 488,
    LIMIT = 489,
    LISTEN = 490,
    LOAD = 491,
    LOCAL = 492,
    LOCALTIME = 493,
    LOCALTIMESTAMP = 494,
    LOCATION = 495,
    LOCK_P = 496,
    LOCKED = 497,
    LOGGED = 498,
    MAPPING = 499,
    MATCH = 500,
    MATERIALIZED = 501,
    MAXVALUE = 502,
    METHOD = 503,
    MINUTE_P = 504,
    MINVALUE = 505,
    MODE = 506,
    MONTH_P = 507,
    MOVE = 508,
    NAME_P = 509,
    NAMES = 510,
    NATIONAL = 511,
    NATURAL = 512,
    NCHAR = 513,
    NEW = 514,
    NEXT = 515,
    NFC = 516,
    NFD = 517,
    NFKC = 518,
    NFKD = 519,
    NO = 520,
    NONE = 521,
    NORMALIZE = 522,
    NORMALIZED = 523,
    NOT = 524,
    NOTHING = 525,
    NOTIFY = 526,
    NOTNULL = 527,
    NOWAIT = 528,
    NULL_P = 529,
    NULLIF = 530,
    NULLS_P = 531,
    NUMERIC = 532,
    OBJECT_P = 533,
    OF = 534,
    OFF = 535,
    OFFSET = 536,
    OIDS = 537,
    OLD = 538,
    ON = 539,
    ONLY = 540,
    OPERATOR = 541,
    OPTION = 542,
    OPTIONS = 543,
    OR = 544,
    ORDER = 545,
    ORDINALITY = 546,
    OTHERS = 547,
    OUT_P = 548,
    OUTER_P = 549,
    OVER = 550,
    OVERLAPS = 551,
    OVERLAY = 552,
    OVERRIDING = 553,
    OWNED = 554,
    OWNER = 555,
    PARALLEL = 556,
    PARSER = 557,
    PARTIAL = 558,
    PARTITION = 559,
    PASSING = 560,
    PASSWORD = 561,
    PLACING = 562,
    PLANS = 563,
    POLICY = 564,
    POSITION = 565,
    PRECEDING = 566,
    PRECISION = 567,
    PRESERVE = 568,
    PREPARE = 569,
    PREPARED = 570,
    PRIMARY = 571,
    PRIOR = 572,
    PRIVILEGES = 573,
    PROCEDURAL = 574,
    PROCEDURE = 575,
    PROCEDURES = 576,
    PROGRAM = 577,
    PUBLICATION = 578,
    QUOTE = 579,
    RANGE = 580,
    READ = 581,
    REAL = 582,
    REASSIGN = 583,
    RECHECK = 584,
    RECURSIVE = 585,
    REF = 586,
    REFERENCES = 587,
    REFERENCING = 588,
    REFRESH = 589,
    REINDEX = 590,
    RELATIVE_P = 591,
    RELEASE = 592,
    RENAME = 593,
    REPEATABLE = 594,
    REPLACE = 595,
    REPLICA = 596,
    RESET = 597,
    RESTART = 598,
    RESTRICT = 599,
    RETURN = 600,
    RETURNING = 601,
    RETURNS = 602,
    REVOKE = 603,
    RIGHT = 604,
    ROLE = 605,
    ROLLBACK = 606,
    ROLLUP = 607,
    ROUTINE = 608,
    ROUTINES = 609,
    ROW = 610,
    ROWS = 611,
    RULE = 612,
    SAVEPOINT = 613,
    SCHEMA = 614,
    SCHEMAS = 615,
    SCROLL = 616,
    SEARCH = 617,
    SECOND_P = 618,
    SECURITY = 619,
    SELECT = 620,
    SEQUENCE = 621,
    SEQUENCES = 622,
    SERIALIZABLE = 623,
    SERVER = 624,
    SESSION = 625,
    SESSION_USER = 626,
    SET = 627,
    SETS = 628,
    SETOF = 629,
    SHARE = 630,
    SHOW = 631,
    SIMILAR = 632,
    SIMPLE = 633,
    SKIP = 634,
    SMALLINT = 635,
    SNAPSHOT = 636,
    SOME = 637,
    SQL_P = 638,
    STABLE = 639,
    STANDALONE_P = 640,
    START = 641,
    STATEMENT = 642,
    STATISTICS = 643,
    STDIN = 644,
    STDOUT = 645,
    STORAGE = 646,
    STORED = 647,
    STRICT_P = 648,
    STRIP_P = 649,
    SUBSCRIPTION = 650,
    SUBSTRING = 651,
    SUPPORT = 652,
    SYMMETRIC = 653,
    SYSID = 654,
    SYSTEM_P = 655,
    TABLE = 656,
    TABLES = 657,
    TABLESAMPLE = 658,
    TABLESPACE = 659,
    TEMP = 660,
    TEMPLATE = 661,
    TEMPORARY = 662,
    TEXT_P = 663,
    THEN = 664,
    TIES = 665,
    TIME = 666,
    TIMESTAMP = 667,
    TO = 668,
    TRAILING = 669,
    TRANSACTION = 670,
    TRANSFORM = 671,
    TREAT = 672,
    TRIGGER = 673,
    TRIM = 674,
    TRUE_P = 675,
    TRUNCATE = 676,
    TRUSTED = 677,
    TYPE_P = 678,
    TYPES_P = 679,
    UESCAPE = 680,
    UNBOUNDED = 681,
    UNCOMMITTED = 682,
    UNENCRYPTED = 683,
    UNION = 684,
    UNIQUE = 685,
    UNKNOWN = 686,
    UNLISTEN = 687,
    UNLOGGED = 688,
    UNTIL = 689,
    UPDATE = 690,
    USER = 691,
    USING = 692,
    VACUUM = 693,
    VALID = 694,
    VALIDATE = 695,
    VALIDATOR = 696,
    VALUE_P = 697,
    VALUES = 698,
    VARCHAR = 699,
    VARIADIC = 700,
    VARYING = 701,
    VERBOSE = 702,
    VERSION_P = 703,
    VIEW = 704,
    VIEWS = 705,
    VOLATILE = 706,
    WHEN = 707,
    WHERE = 708,
    WHITESPACE_P = 709,
    WINDOW = 710,
    WITH = 711,
    WITHIN = 712,
    WITHOUT = 713,
    WORK = 714,
    WRAPPER = 715,
    WRITE = 716,
    XML_P = 717,
    XMLATTRIBUTES = 718,
    XMLCONCAT = 719,
    XMLELEMENT = 720,
    XMLEXISTS = 721,
    XMLFOREST = 722,
    XMLNAMESPACES = 723,
    XMLPARSE = 724,
    XMLPI = 725,
    XMLROOT = 726,
    XMLSERIALIZE = 727,
    XMLTABLE = 728,
    YEAR_P = 729,
    YES_P = 730,
    ZONE = 731,
    NOT_LA = 732,
    NULLS_LA = 733,
    WITH_LA = 734,
    MODE_TYPE_NAME = 735,
    MODE_PLPGSQL_EXPR = 736,
    MODE_PLPGSQL_ASSIGN1 = 737,
    MODE_PLPGSQL_ASSIGN2 = 738,
    MODE_PLPGSQL_ASSIGN3 = 739,
    UMINUS = 740
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 217 "gram.y" /* yacc.c:352  */

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	ObjectWithArgs		*objwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	StatsElem			*selem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	InferClause			*infer;
	OnConflictClause	*onconflict;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	struct ImportQual	*importqual;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;
	PartitionElem		*partelem;
	PartitionSpec		*partspec;
	PartitionBoundSpec	*partboundspec;
	RoleSpec			*rolespec;
	struct SelectLimit	*selectlimit;
	SetQuantifier	 setquantifier;
	struct GroupClause  *groupclause;

#line 860 "gram.c" /* yacc.c:352  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */



#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && ! defined __ICC && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  895
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   108400

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  503
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  678
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3162
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5985

#define YYUNDEFTOK  2
#define YYMAXUTOK   740

/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                                \
  ((unsigned) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   492,     2,     2,
     497,   498,   490,   488,   501,   489,   499,   491,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   502,   500,
     485,   487,   486,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   495,     2,   496,   493,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     494
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   827,   827,   831,   835,   840,   847,   854,   873,   885,
     899,   900,   904,   905,   906,   907,   908,   909,   910,   911,
     912,   913,   914,   915,   916,   917,   918,   919,   920,   921,
     922,   923,   924,   925,   926,   927,   928,   929,   930,   931,
     932,   933,   934,   935,   936,   937,   938,   939,   940,   941,
     942,   943,   944,   945,   946,   947,   948,   949,   950,   951,
     952,   953,   954,   955,   956,   957,   958,   959,   960,   961,
     962,   963,   964,   965,   966,   967,   968,   969,   970,   971,
     972,   973,   974,   975,   976,   977,   978,   979,   980,   981,
     982,   983,   984,   985,   986,   987,   988,   989,   990,   991,
     992,   993,   994,   995,   996,   997,   998,   999,  1000,  1001,
    1002,  1003,  1004,  1005,  1006,  1007,  1008,  1009,  1010,  1011,
    1012,  1013,  1014,  1015,  1016,  1017,  1018,  1019,  1020,  1021,
    1022,  1023,  1024,  1025,  1026,  1028,  1037,  1052,  1063,  1064,
    1065,  1074,  1075,  1079,  1080,  1084,  1089,  1093,  1103,  1111,
    1115,  1119,  1124,  1128,  1176,  1178,  1182,  1186,  1190,  1194,
    1208,  1226,  1234,  1245,  1246,  1250,  1258,  1266,  1274,  1295,
    1302,  1309,  1316,  1323,  1330,  1347,  1365,  1376,  1377,  1388,
    1398,  1408,  1423,  1441,  1442,  1446,  1453,  1461,  1462,  1463,
    1464,  1465,  1466,  1480,  1486,  1492,  1501,  1509,  1517,  1521,
    1529,  1537,  1544,  1554,  1555,  1563,  1574,  1582,  1590,  1601,
    1609,  1617,  1624,  1633,  1643,  1644,  1648,  1649,  1652,  1654,
    1658,  1659,  1660,  1661,  1665,  1666,  1667,  1673,  1685,  1689,
    1693,  1708,  1715,  1716,  1717,  1721,  1722,  1723,  1727,  1728,
    1732,  1736,  1737,  1744,  1751,  1761,  1768,  1778,  1779,  1784,
    1785,  1790,  1796,  1802,  1808,  1814,  1824,  1834,  1835,  1839,
    1840,  1848,  1863,  1869,  1875,  1881,  1887,  1906,  1915,  1924,
    1933,  1942,  1953,  1964,  1973,  1982,  1991,  2002,  2013,  2022,
    2031,  2040,  2049,  2058,  2067,  2078,  2089,  2098,  2110,  2111,
    2116,  2130,  2143,  2159,  2176,  2185,  2194,  2203,  2212,  2221,
    2229,  2237,  2245,  2254,  2263,  2279,  2288,  2297,  2306,  2323,
    2332,  2341,  2350,  2359,  2369,  2382,  2397,  2406,  2414,  2429,
    2437,  2447,  2457,  2464,  2472,  2480,  2487,  2494,  2502,  2510,
    2518,  2525,  2532,  2540,  2547,  2554,  2562,  2570,  2578,  2586,
    2594,  2602,  2612,  2619,  2627,  2635,  2643,  2651,  2659,  2666,
    2673,  2680,  2686,  2696,  2697,  2701,  2702,  2703,  2707,  2715,
    2719,  2720,  2724,  2731,  2738,  2745,  2755,  2758,  2759,  2763,
    2764,  2769,  2773,  2777,  2782,  2789,  2791,  2796,  2800,  2804,
    2815,  2823,  2876,  2889,  2903,  2915,  2922,  2926,  2940,  2953,
    2954,  2959,  2968,  2978,  2988,  3014,  3020,  3053,  3088,  3110,
    3111,  3115,  3116,  3125,  3126,  3127,  3130,  3131,  3136,  3137,
    3141,  3145,  3149,  3153,  3157,  3161,  3165,  3169,  3173,  3177,
    3181,  3185,  3189,  3198,  3202,  3206,  3210,  3214,  3215,  3220,
    3224,  3231,  3238,  3239,  3240,  3241,  3242,  3246,  3250,  3258,
    3269,  3288,  3307,  3327,  3347,  3367,  3400,  3401,  3402,  3403,
    3404,  3411,  3418,  3419,  3423,  3424,  3428,  3429,  3433,  3437,
    3444,  3448,  3455,  3456,  3457,  3461,  3462,  3465,  3487,  3505,
    3526,  3530,  3534,  3535,  3539,  3546,  3547,  3548,  3579,  3586,
    3593,  3604,  3615,  3627,  3636,  3645,  3668,  3686,  3687,  3706,
    3713,  3720,  3727,  3738,  3749,  3750,  3751,  3755,  3756,  3757,
    3758,  3759,  3760,  3761,  3762,  3763,  3764,  3773,  3780,  3784,
    3797,  3813,  3828,  3844,  3859,  3878,  3899,  3900,  3904,  3905,
    3909,  3910,  3913,  3919,  3920,  3923,  3927,  3935,  3940,  3946,
    3947,  3951,  3956,  3963,  3964,  3974,  3976,  3978,  3980,  3983,
    3986,  3989,  3993,  3994,  3995,  3996,  3997,  4000,  4001,  4005,
    4006,  4009,  4021,  4022,  4025,  4036,  4047,  4061,  4062,  4067,
    4068,  4069,  4072,  4073,  4074,  4075,  4078,  4079,  4082,  4083,
    4086,  4104,  4116,  4137,  4138,  4141,  4147,  4153,  4170,  4178,
    4199,  4212,  4228,  4244,  4245,  4246,  4258,  4271,  4287,  4301,
    4302,  4314,  4334,  4344,  4357,  4365,  4376,  4377,  4380,  4381,
    4384,  4385,  4388,  4392,  4396,  4400,  4404,  4408,  4412,  4416,
    4420,  4424,  4428,  4433,  4437,  4441,  4447,  4448,  4452,  4453,
    4454,  4459,  4462,  4463,  4475,  4490,  4505,  4506,  4514,  4515,
    4519,  4520,  4524,  4525,  4529,  4530,  4534,  4535,  4545,  4556,
    4557,  4570,  4577,  4594,  4602,  4613,  4616,  4620,  4624,  4628,
    4635,  4647,  4657,  4660,  4664,  4677,  4686,  4695,  4704,  4713,
    4722,  4731,  4740,  4749,  4758,  4767,  4776,  4785,  4803,  4814,
    4815,  4816,  4817,  4821,  4822,  4826,  4827,  4837,  4845,  4857,
    4858,  4862,  4866,  4874,  4878,  4882,  4889,  4893,  4898,  4903,
    4910,  4917,  4922,  4932,  4944,  4959,  4960,  4965,  4966,  4970,
    4971,  4981,  4990,  4998,  5015,  5035,  5055,  5076,  5109,  5124,
    5125,  5129,  5137,  5152,  5161,  5173,  5174,  5186,  5194,  5211,
    5235,  5252,  5266,  5267,  5271,  5272,  5276,  5277,  5281,  5282,
    5286,  5300,  5304,  5305,  5309,  5310,  5311,  5312,  5313,  5323,
    5334,  5335,  5346,  5368,  5399,  5400,  5401,  5405,  5407,  5429,
    5431,  5433,  5435,  5437,  5442,  5443,  5447,  5448,  5452,  5463,
    5464,  5468,  5477,  5481,  5485,  5490,  5500,  5501,  5505,  5506,
    5510,  5511,  5515,  5516,  5520,  5521,  5522,  5526,  5530,  5531,
    5532,  5536,  5537,  5542,  5543,  5570,  5571,  5572,  5573,  5574,
    5575,  5588,  5598,  5612,  5614,  5619,  5624,  5626,  5631,  5641,
    5642,  5643,  5644,  5655,  5674,  5685,  5697,  5707,  5717,  5728,
    5737,  5744,  5751,  5760,  5769,  5778,  5787,  5796,  5806,  5815,
    5827,  5830,  5831,  5834,  5838,  5845,  5846,  5847,  5848,  5849,
    5850,  5853,  5856,  5857,  5865,  5872,  5873,  5876,  5878,  5889,
    5900,  5911,  5922,  5935,  5936,  5952,  5967,  5968,  5972,  5984,
    5994,  6002,  6011,  6020,  6021,  6024,  6025,  6028,  6029,  6030,
    6033,  6047,  6052,  6062,  6071,  6083,  6084,  6088,  6096,  6108,
    6118,  6131,  6141,  6163,  6173,  6191,  6201,  6211,  6221,  6231,
    6241,  6251,  6261,  6271,  6281,  6291,  6301,  6315,  6316,  6317,
    6318,  6319,  6320,  6321,  6322,  6323,  6324,  6325,  6326,  6327,
    6337,  6338,  6339,  6340,  6341,  6345,  6346,  6347,  6348,  6349,
    6350,  6351,  6352,  6357,  6358,  6359,  6363,  6364,  6367,  6368,
    6371,  6373,  6378,  6379,  6390,  6401,  6402,  6403,  6413,  6421,
    6429,  6437,  6445,  6453,  6461,  6469,  6477,  6485,  6498,  6506,
    6514,  6522,  6530,  6538,  6546,  6554,  6565,  6566,  6580,  6590,
    6600,  6610,  6620,  6630,  6640,  6650,  6660,  6670,  6682,  6683,
    6686,  6687,  6697,  6703,  6711,  6719,  6727,  6735,  6743,  6751,
    6759,  6767,  6775,  6783,  6791,  6799,  6807,  6815,  6823,  6831,
    6841,  6842,  6845,  6846,  6856,  6873,  6888,  6915,  6917,  6919,
    6921,  6928,  6937,  6938,  6941,  6948,  6955,  6962,  6976,  6984,
    6992,  7000,  7008,  7016,  7024,  7032,  7040,  7048,  7056,  7064,
    7072,  7080,  7088,  7096,  7104,  7112,  7120,  7128,  7140,  7141,
    7145,  7146,  7151,  7152,  7162,  7175,  7185,  7197,  7198,  7201,
    7202,  7212,  7222,  7223,  7227,  7231,  7235,  7246,  7259,  7273,
    7290,  7291,  7292,  7293,  7294,  7295,  7307,  7337,  7370,  7371,
    7375,  7376,  7380,  7381,  7385,  7386,  7389,  7390,  7395,  7407,
    7426,  7431,  7436,  7443,  7444,  7447,  7448,  7451,  7452,  7455,
    7456,  7459,  7460,  7461,  7464,  7465,  7466,  7482,  7495,  7509,
    7522,  7538,  7539,  7542,  7543,  7547,  7548,  7552,  7553,  7558,
    7559,  7564,  7571,  7583,  7590,  7597,  7612,  7619,  7630,  7631,
    7635,  7636,  7651,  7660,  7669,  7678,  7687,  7699,  7700,  7701,
    7702,  7703,  7709,  7713,  7728,  7729,  7735,  7745,  7749,  7754,
    7762,  7803,  7807,  7811,  7815,  7823,  7824,  7828,  7838,  7839,
    7844,  7845,  7850,  7851,  7858,  7862,  7866,  7870,  7874,  7878,
    7882,  7886,  7890,  7894,  7898,  7902,  7906,  7910,  7914,  7918,
    7923,  7930,  7934,  7938,  7942,  7946,  7952,  7953,  7959,  7968,
    7972,  7983,  7989,  7994,  8000,  8001,  8005,  8006,  8010,  8011,
    8014,  8026,  8030,  8045,  8053,  8061,  8073,  8074,  8079,  8080,
    8097,  8107,  8117,  8127,  8137,  8147,  8160,  8170,  8183,  8193,
    8206,  8214,  8216,  8218,  8223,  8225,  8230,  8231,  8236,  8254,
    8263,  8264,  8268,  8272,  8284,  8295,  8306,  8319,  8320,  8321,
    8325,  8337,  8338,  8348,  8360,  8364,  8368,  8372,  8379,  8399,
    8411,  8423,  8435,  8449,  8450,  8453,  8454,  8455,  8465,  8474,
    8491,  8500,  8509,  8518,  8527,  8536,  8545,  8554,  8563,  8572,
    8581,  8590,  8599,  8609,  8619,  8628,  8637,  8646,  8655,  8664,
    8673,  8683,  8693,  8703,  8713,  8723,  8733,  8743,  8753,  8763,
    8773,  8783,  8793,  8804,  8815,  8826,  8837,  8848,  8859,  8869,
    8879,  8890,  8901,  8911,  8921,  8929,  8938,  8947,  8956,  8965,
    8974,  8983,  8992,  9001,  9010,  9024,  9025,  9028,  9029,  9039,
    9048,  9057,  9066,  9076,  9085,  9096,  9097,  9107,  9116,  9125,
    9134,  9143,  9152,  9161,  9170,  9179,  9188,  9197,  9206,  9215,
    9224,  9233,  9242,  9251,  9260,  9269,  9278,  9287,  9296,  9305,
    9314,  9323,  9332,  9341,  9359,  9368,  9369,  9372,  9374,  9380,
    9381,  9382,  9383,  9384,  9396,  9411,  9419,  9427,  9435,  9443,
    9451,  9459,  9467,  9475,  9483,  9491,  9499,  9507,  9515,  9523,
    9531,  9539,  9547,  9555,  9563,  9571,  9579,  9587,  9595,  9613,
    9632,  9633,  9637,  9641,  9661,  9668,  9676,  9684,  9701,  9720,
    9729,  9738,  9747,  9757,  9767,  9777,  9787,  9805,  9813,  9829,
    9846,  9847,  9848,  9853,  9859,  9868,  9869,  9870,  9871,  9872,
    9876,  9877,  9880,  9881,  9882,  9883,  9887,  9888,  9889,  9901,
    9911,  9912,  9915,  9924,  9930,  9949,  9957,  9964,  9972,  9980,
    9987,  9994, 10001, 10008, 10015, 10022, 10029, 10039, 10046, 10056,
   10057, 10058, 10062, 10065, 10068, 10071, 10074, 10081, 10083, 10085,
   10090, 10092, 10096, 10097, 10098, 10110, 10123, 10136, 10154, 10175,
   10176, 10177, 10178, 10188, 10204, 10214, 10215, 10219, 10220, 10224,
   10228, 10232, 10250, 10251, 10252, 10253, 10254, 10255, 10256, 10263,
   10264, 10275, 10282, 10289, 10300, 10317, 10325, 10333, 10341, 10352,
   10356, 10367, 10379, 10396, 10402, 10418, 10431, 10440, 10448, 10456,
   10465, 10476, 10487, 10497, 10498, 10509, 10519, 10530, 10541, 10552,
   10563, 10572, 10584, 10585, 10599, 10623, 10634, 10642, 10653, 10666,
   10667, 10679, 10699, 10709, 10720, 10731, 10735, 10742, 10743, 10747,
   10754, 10755, 10759, 10760, 10761, 10765, 10766, 10770, 10771, 10774,
   10775, 10778, 10779, 10783, 10784, 10788, 10795, 10797, 10802, 10803,
   10816, 10823, 10833, 10840, 10850, 10851, 10852, 10853, 10854, 10855,
   10856, 10857, 10858, 10868, 10878, 10879, 10883, 10884, 10885, 10886,
   10896, 10903, 10920, 10939, 10940, 10950, 10956, 10962, 10968, 10984,
   11002, 11006, 11014, 11020, 11027, 11033, 11040, 11049, 11050, 11054,
   11056, 11061, 11072, 11082, 11092, 11098, 11107, 11116, 11122, 11123,
   11134, 11148, 11149, 11160, 11171, 11172, 11175, 11176, 11177, 11178,
   11179, 11180, 11181, 11182, 11185, 11186, 11190, 11191, 11192, 11203,
   11221, 11222, 11226, 11231, 11255, 11266, 11267, 11277, 11288, 11291,
   11292, 11293, 11294, 11295, 11296, 11299, 11300, 11301, 11349, 11350,
   11354, 11355, 11370, 11371, 11378, 11386, 11394, 11402, 11410, 11418,
   11429, 11430, 11462, 11477, 11493, 11494, 11513, 11517, 11521, 11536,
   11543, 11550, 11560, 11561, 11564, 11579, 11580, 11581, 11585, 11594,
   11604, 11610, 11621, 11633, 11639, 11640, 11644, 11656, 11664, 11669,
   11674, 11679, 11684, 11692, 11700, 11705, 11710, 11717, 11718, 11722,
   11723, 11724, 11731, 11732, 11736, 11737, 11741, 11742, 11746, 11747,
   11751, 11755, 11756, 11759, 11768, 11781, 11786, 11791, 11795, 11806,
   11807, 11811, 11819, 11835, 11843, 11851, 11859, 11870, 11873, 11878,
   11879, 11887, 11907, 11908, 11910, 11915, 11916, 11920, 11921, 11924,
   11925, 11950, 11958, 11967, 11968, 11972, 11973, 11974, 11975, 11976,
   11980, 11993, 12000, 12007, 12014, 12015, 12019, 12020, 12024, 12025,
   12029, 12030, 12034, 12045, 12046, 12047, 12048, 12052, 12053, 12063,
   12069, 12087, 12088, 12092, 12093, 12099, 12104, 12112, 12119, 12127,
   12133, 12140, 12175, 12200, 12204, 12230, 12234, 12247, 12267, 12288,
   12300, 12316, 12322, 12327, 12333, 12340, 12341, 12351, 12357, 12365,
   12369, 12373, 12379, 12386, 12391, 12392, 12393, 12394, 12398, 12399,
   12414, 12418, 12426, 12433, 12440, 12447, 12458, 12459, 12472, 12476,
   12483, 12496, 12509, 12510, 12525, 12535, 12547, 12552, 12553, 12556,
   12557, 12560, 12561, 12566, 12567, 12572, 12573, 12581, 12586, 12587,
   12591, 12595, 12601, 12625, 12635, 12648, 12649, 12653, 12667, 12724,
   12738, 12740, 12745, 12747, 12749, 12751, 12756, 12758, 12763, 12771,
   12791, 12796, 12803, 12808, 12814, 12819, 12828, 12830, 12833, 12837,
   12838, 12839, 12840, 12841, 12842, 12847, 12867, 12868, 12869, 12870,
   12881, 12887, 12895, 12896, 12902, 12907, 12912, 12917, 12922, 12927,
   12932, 12937, 12943, 12949, 12955, 12962, 12984, 12993, 12997, 13005,
   13009, 13017, 13029, 13050, 13054, 13060, 13064, 13077, 13085, 13095,
   13097, 13099, 13101, 13103, 13105, 13110, 13111, 13118, 13127, 13135,
   13144, 13155, 13163, 13164, 13165, 13169, 13171, 13173, 13175, 13177,
   13179, 13181, 13186, 13191, 13197, 13205, 13210, 13217, 13224, 13228,
   13232, 13268, 13269, 13271, 13279, 13295, 13297, 13299, 13301, 13303,
   13305, 13307, 13309, 13311, 13313, 13315, 13317, 13319, 13321, 13324,
   13326, 13329, 13331, 13333, 13335, 13338, 13343, 13352, 13357, 13366,
   13371, 13380, 13385, 13395, 13404, 13413, 13422, 13441, 13449, 13457,
   13465, 13473, 13490, 13498, 13506, 13514, 13522, 13530, 13538, 13542,
   13546, 13554, 13562, 13570, 13578, 13598, 13620, 13631, 13638, 13654,
   13659, 13665, 13672, 13679, 13687, 13695, 13720, 13722, 13724, 13726,
   13728, 13730, 13732, 13734, 13736, 13738, 13740, 13742, 13744, 13746,
   13748, 13750, 13752, 13754, 13756, 13760, 13764, 13769, 13785, 13786,
   13787, 13802, 13814, 13816, 13818, 13829, 13853, 13864, 13875, 13882,
   13892, 13902, 13911, 13917, 13925, 13934, 13943, 13955, 13964, 13994,
   14029, 14040, 14041, 14048, 14055, 14059, 14063, 14067, 14071, 14075,
   14079, 14083, 14087, 14091, 14095, 14099, 14103, 14107, 14111, 14115,
   14117, 14124, 14131, 14138, 14145, 14156, 14170, 14180, 14191, 14207,
   14217, 14224, 14231, 14238, 14242, 14249, 14257, 14265, 14269, 14273,
   14277, 14281, 14285, 14294, 14298, 14307, 14311, 14315, 14320, 14334,
   14336, 14340, 14342, 14344, 14347, 14350, 14353, 14354, 14357, 14365,
   14375, 14376, 14379, 14380, 14381, 14386, 14390, 14394, 14398, 14405,
   14406, 14414, 14415, 14419, 14420, 14428, 14429, 14433, 14434, 14439,
   14447, 14449, 14463, 14466, 14493, 14494, 14497, 14498, 14506, 14513,
   14520, 14528, 14537, 14554, 14599, 14607, 14615, 14623, 14631, 14642,
   14643, 14644, 14645, 14646, 14660, 14661, 14662, 14665, 14666, 14669,
   14672, 14673, 14674, 14677, 14678, 14681, 14682, 14683, 14684, 14685,
   14686, 14687, 14688, 14689, 14690, 14691, 14692, 14695, 14697, 14702,
   14704, 14709, 14711, 14713, 14715, 14717, 14719, 14731, 14735, 14742,
   14746, 14752, 14756, 14765, 14776, 14777, 14780, 14781, 14784, 14788,
   14792, 14798, 14799, 14804, 14814, 14815, 14816, 14817, 14818, 14819,
   14820, 14821, 14825, 14826, 14827, 14828, 14833, 14838, 14847, 14868,
   14872, 14877, 14888, 14905, 14911, 14912, 14913, 14916, 14923, 14933,
   14947, 14948, 14952, 14963, 14964, 14967, 14968, 14971, 14975, 14982,
   14986, 14990, 14998, 15009, 15010, 15014, 15015, 15019, 15020, 15023,
   15024, 15034, 15035, 15039, 15040, 15043, 15051, 15059, 15067, 15089,
   15090, 15101, 15105, 15132, 15134, 15139, 15141, 15143, 15153, 15155,
   15166, 15170, 15174, 15178, 15182, 15191, 15198, 15230, 15234, 15240,
   15247, 15251, 15255, 15261, 15262, 15264, 15265, 15266, 15270, 15310,
   15337, 15341, 15345, 15351, 15353, 15367, 15403, 15416, 15417, 15420,
   15421, 15438, 15439, 15440, 15445, 15446, 15447, 15452, 15453, 15454,
   15455, 15461, 15462, 15463, 15464, 15465, 15471, 15472, 15492, 15493,
   15494, 15495, 15496, 15497, 15498, 15499, 15500, 15501, 15502, 15503,
   15504, 15505, 15506, 15507, 15508, 15509, 15510, 15511, 15512, 15513,
   15514, 15515, 15516, 15517, 15518, 15519, 15520, 15521, 15522, 15523,
   15524, 15525, 15526, 15527, 15528, 15529, 15530, 15531, 15532, 15533,
   15534, 15535, 15536, 15537, 15538, 15539, 15540, 15541, 15542, 15543,
   15544, 15545, 15546, 15547, 15548, 15549, 15550, 15551, 15552, 15553,
   15554, 15555, 15556, 15557, 15558, 15559, 15560, 15561, 15562, 15563,
   15564, 15565, 15566, 15567, 15568, 15569, 15570, 15571, 15572, 15573,
   15574, 15575, 15576, 15577, 15578, 15579, 15580, 15581, 15582, 15583,
   15584, 15585, 15586, 15587, 15588, 15589, 15590, 15591, 15592, 15593,
   15594, 15595, 15596, 15597, 15598, 15599, 15600, 15601, 15602, 15603,
   15604, 15605, 15606, 15607, 15608, 15609, 15610, 15611, 15612, 15613,
   15614, 15615, 15616, 15617, 15618, 15619, 15620, 15621, 15622, 15623,
   15624, 15625, 15626, 15627, 15628, 15629, 15630, 15631, 15632, 15633,
   15634, 15635, 15636, 15637, 15638, 15639, 15640, 15641, 15642, 15643,
   15644, 15645, 15646, 15647, 15648, 15649, 15650, 15651, 15652, 15653,
   15654, 15655, 15656, 15657, 15658, 15659, 15660, 15661, 15662, 15663,
   15664, 15665, 15666, 15667, 15668, 15669, 15670, 15671, 15672, 15673,
   15674, 15675, 15676, 15677, 15678, 15679, 15680, 15681, 15682, 15683,
   15684, 15685, 15686, 15687, 15688, 15689, 15690, 15691, 15692, 15693,
   15694, 15695, 15696, 15697, 15698, 15699, 15700, 15701, 15702, 15703,
   15704, 15705, 15706, 15707, 15708, 15709, 15710, 15711, 15712, 15713,
   15714, 15715, 15716, 15717, 15718, 15719, 15720, 15721, 15722, 15723,
   15724, 15725, 15726, 15727, 15728, 15729, 15730, 15731, 15732, 15733,
   15734, 15735, 15736, 15737, 15738, 15739, 15740, 15741, 15742, 15743,
   15744, 15745, 15746, 15747, 15748, 15749, 15750, 15751, 15752, 15753,
   15754, 15755, 15756, 15757, 15758, 15759, 15760, 15761, 15762, 15763,
   15764, 15765, 15766, 15767, 15768, 15769, 15770, 15771, 15772, 15773,
   15774, 15775, 15776, 15777, 15778, 15779, 15780, 15781, 15782, 15783,
   15784, 15785, 15786, 15787, 15788, 15789, 15790, 15791, 15792, 15793,
   15794, 15795, 15796, 15797, 15811, 15812, 15813, 15814, 15815, 15816,
   15817, 15818, 15819, 15820, 15821, 15822, 15823, 15824, 15825, 15826,
   15827, 15828, 15829, 15830, 15831, 15832, 15833, 15834, 15835, 15836,
   15837, 15838, 15839, 15840, 15841, 15842, 15843, 15844, 15845, 15846,
   15847, 15848, 15849, 15850, 15851, 15852, 15853, 15854, 15855, 15856,
   15857, 15858, 15859, 15860, 15861, 15875, 15876, 15877, 15878, 15879,
   15880, 15881, 15882, 15883, 15884, 15885, 15886, 15887, 15888, 15889,
   15890, 15891, 15892, 15893, 15894, 15895, 15896, 15897, 15907, 15908,
   15909, 15910, 15911, 15912, 15913, 15914, 15915, 15916, 15917, 15918,
   15919, 15920, 15921, 15922, 15923, 15924, 15925, 15926, 15927, 15928,
   15929, 15930, 15931, 15932, 15933, 15934, 15935, 15936, 15937, 15938,
   15939, 15940, 15941, 15942, 15943, 15944, 15945, 15946, 15947, 15948,
   15949, 15950, 15951, 15952, 15953, 15954, 15955, 15956, 15957, 15958,
   15959, 15960, 15961, 15962, 15963, 15964, 15965, 15966, 15967, 15968,
   15969, 15970, 15971, 15972, 15973, 15974, 15975, 15976, 15977, 15978,
   15979, 15980, 15981, 15982, 15983, 15996, 15997, 15998, 15999, 16000,
   16001, 16002, 16003, 16004, 16005, 16006, 16007, 16008, 16009, 16010,
   16011, 16012, 16013, 16014, 16015, 16016, 16017, 16018, 16019, 16020,
   16021, 16022, 16023, 16024, 16025, 16026, 16027, 16028, 16029, 16030,
   16031, 16032, 16033, 16034, 16035, 16036, 16037, 16038, 16039, 16040,
   16041, 16042, 16043, 16044, 16045, 16046, 16047, 16048, 16049, 16050,
   16051, 16052, 16053, 16054, 16055, 16056, 16057, 16058, 16059, 16060,
   16061, 16062, 16063, 16064, 16065, 16066, 16067, 16068, 16069, 16070,
   16071, 16072, 16073, 16074, 16075, 16076, 16077, 16078, 16079, 16080,
   16081, 16082, 16083, 16084, 16085, 16086, 16087, 16088, 16089, 16090,
   16091, 16092, 16093, 16094, 16095, 16096, 16097, 16098, 16099, 16100,
   16101, 16102, 16103, 16104, 16105, 16106, 16107, 16108, 16109, 16110,
   16111, 16112, 16113, 16114, 16115, 16116, 16117, 16118, 16119, 16120,
   16121, 16122, 16123, 16124, 16125, 16126, 16127, 16128, 16129, 16130,
   16131, 16132, 16133, 16134, 16135, 16136, 16137, 16138, 16139, 16140,
   16141, 16142, 16143, 16144, 16145, 16146, 16147, 16148, 16149, 16150,
   16151, 16152, 16153, 16154, 16155, 16156, 16157, 16158, 16159, 16160,
   16161, 16162, 16163, 16164, 16165, 16166, 16167, 16168, 16169, 16170,
   16171, 16172, 16173, 16174, 16175, 16176, 16177, 16178, 16179, 16180,
   16181, 16182, 16183, 16184, 16185, 16186, 16187, 16188, 16189, 16190,
   16191, 16192, 16193, 16194, 16195, 16196, 16197, 16198, 16199, 16200,
   16201, 16202, 16203, 16204, 16205, 16206, 16207, 16208, 16209, 16210,
   16211, 16212, 16213, 16214, 16215, 16216, 16217, 16218, 16219, 16220,
   16221, 16222, 16223, 16224, 16225, 16226, 16227, 16228, 16229, 16230,
   16231, 16232, 16233, 16234, 16235, 16236, 16237, 16238, 16239, 16240,
   16241, 16242, 16243, 16244, 16245, 16246, 16247, 16248, 16249, 16250,
   16251, 16252, 16253, 16254, 16255, 16256, 16257, 16258, 16259, 16260,
   16261, 16262, 16263, 16264, 16265, 16266, 16267, 16268, 16269, 16270,
   16271, 16272, 16273, 16274, 16275, 16276, 16277, 16278, 16279, 16280,
   16281, 16282, 16283, 16284, 16285, 16286, 16287, 16288, 16289, 16290,
   16291, 16292, 16293, 16294, 16295, 16296, 16297, 16298, 16299, 16300,
   16301, 16302, 16303, 16304, 16305, 16306, 16307, 16308, 16309, 16310,
   16311, 16312, 16313, 16314, 16315, 16316, 16317, 16318, 16319, 16320,
   16321, 16322, 16323, 16324, 16325, 16326, 16327, 16328, 16329, 16330,
   16331, 16332, 16333, 16334, 16335, 16336, 16337, 16338, 16339, 16340,
   16341, 16342, 16343, 16344, 16345, 16346, 16347, 16348, 16349, 16350,
   16351, 16352, 16353, 16354, 16355, 16356, 16357, 16358, 16359, 16360,
   16361, 16362, 16363, 16364, 16365, 16366, 16367, 16368, 16369, 16370,
   16371, 16372, 16373, 16374, 16375, 16376, 16377, 16378, 16379, 16380,
   16381, 16382, 16383, 16384, 16385, 16386, 16387, 16388, 16389, 16390,
   16391, 16392, 16393, 16394, 16395, 16396, 16397, 16398, 16399, 16400,
   16401, 16402, 16403, 16404, 16405, 16406, 16407, 16408, 16409, 16410,
   16411, 16412, 16413
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "UIDENT", "FCONST", "SCONST",
  "USCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS",
  "GREATER_EQUALS", "NOT_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS",
  "ACTION", "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER",
  "ALWAYS", "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC",
  "ASENSITIVE", "ASSERTION", "ASSIGNMENT", "ASYMMETRIC", "ATOMIC", "AT",
  "ATTACH", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BEFORE", "BEGIN_P",
  "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH", "BREADTH",
  "BY", "CACHE", "CALL", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COLUMNS", "COMMENT", "COMMENTS", "COMMIT",
  "COMMITTED", "COMPRESSION", "CONCURRENTLY", "CONFIGURATION", "CONFLICT",
  "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P",
  "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV", "CUBE",
  "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DEPTH",
  "DESC", "DETACH", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO",
  "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P",
  "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT",
  "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN",
  "EXPRESSION", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY",
  "FETCH", "FILTER", "FINALIZE", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR",
  "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION",
  "FUNCTIONS", "GENERATED", "GLOBAL", "GRANT", "GRANTED", "GREATEST",
  "GROUP_P", "GROUPING", "GROUPS", "HANDLER", "HAVING", "HEADER_P", "HOLD",
  "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE", "IMMUTABLE",
  "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDE", "INCLUDING", "INCREMENT",
  "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P",
  "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD",
  "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS",
  "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P",
  "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATERIALIZED", "MAXVALUE", "METHOD", "MINUTE_P", "MINVALUE",
  "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL",
  "NCHAR", "NEW", "NEXT", "NFC", "NFD", "NFKC", "NFKD", "NO", "NONE",
  "NORMALIZE", "NORMALIZED", "NOT", "NOTHING", "NOTIFY", "NOTNULL",
  "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF",
  "OFF", "OFFSET", "OIDS", "OLD", "ON", "ONLY", "OPERATOR", "OPTION",
  "OPTIONS", "OR", "ORDER", "ORDINALITY", "OTHERS", "OUT_P", "OUTER_P",
  "OVER", "OVERLAPS", "OVERLAY", "OVERRIDING", "OWNED", "OWNER",
  "PARALLEL", "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD",
  "PLACING", "PLANS", "POLICY", "POSITION", "PRECEDING", "PRECISION",
  "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES",
  "PROCEDURAL", "PROCEDURE", "PROCEDURES", "PROGRAM", "PUBLICATION",
  "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE",
  "REF", "REFERENCES", "REFERENCING", "REFRESH", "REINDEX", "RELATIVE_P",
  "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET",
  "RESTART", "RESTRICT", "RETURN", "RETURNING", "RETURNS", "REVOKE",
  "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROUTINE", "ROUTINES", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCHEMAS", "SCROLL", "SEARCH",
  "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETS",
  "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP", "SMALLINT",
  "SNAPSHOT", "SOME", "SQL_P", "STABLE", "STANDALONE_P", "START",
  "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STORED",
  "STRICT_P", "STRIP_P", "SUBSCRIPTION", "SUBSTRING", "SUPPORT",
  "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESAMPLE",
  "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIES",
  "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TRANSFORM",
  "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P",
  "TYPES_P", "UESCAPE", "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION",
  "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER",
  "USING", "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLNAMESPACES", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "XMLTABLE", "YEAR_P", "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA",
  "MODE_TYPE_NAME", "MODE_PLPGSQL_EXPR", "MODE_PLPGSQL_ASSIGN1",
  "MODE_PLPGSQL_ASSIGN2", "MODE_PLPGSQL_ASSIGN3", "'<'", "'>'", "'='",
  "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['", "']'", "'('",
  "')'", "'.'", "';'", "','", "':'", "$accept", "parse_toplevel",
  "stmtmulti", "toplevel_stmt", "stmt", "CallStmt", "CreateRoleStmt",
  "opt_with", "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "DropRoleStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "CreateSchemaStmt", "OptSchemaName",
  "OptSchemaEltList", "schema_stmt", "VariableSetStmt", "set_rest",
  "generic_set", "set_rest_more", "var_name", "var_list", "var_value",
  "iso_level", "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_drop_behavior", "opt_collate_clause", "alter_using",
  "replica_identity", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "alter_identity_column_option_list",
  "alter_identity_column_option", "PartitionBoundSpec",
  "hash_partbound_elem", "hash_partbound", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "copy_delimiter",
  "opt_using", "copy_generic_opt_list", "copy_generic_opt_elem",
  "copy_generic_opt_arg", "copy_generic_opt_arg_list",
  "copy_generic_opt_arg_list_item", "CreateStmt", "OptTemp",
  "OptTableElementList", "OptTypedTableElementList", "TableElementList",
  "TypedTableElementList", "TableElement", "TypedTableElement",
  "columnDef", "columnOptions", "optColumnCompression", "ColQualList",
  "ColConstraint", "ColConstraintElem", "generated_when", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "opt_c_include", "key_match",
  "ExclusionConstraintList", "ExclusionConstraintElem", "OptWhereClause",
  "key_actions", "key_update", "key_delete", "key_action", "OptInherit",
  "OptPartitionSpec", "PartitionSpec", "part_params", "part_elem",
  "table_access_method_clause", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "stats_params", "stats_param", "AlterStatsStmt", "CreateAsStmt",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "RowSecurityOptionalExpr", "RowSecurityOptionalWithCheck",
  "RowSecurityDefaultToRole", "RowSecurityOptionalToRole",
  "RowSecurityDefaultPermissive", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateAmStmt", "am_type", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerReferencing", "TriggerTransitions", "TriggerTransition",
  "TransitionOldOrNew", "TransitionRowOrTable", "TransitionRelName",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "FUNCTION_or_PROCEDURE", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertionStmt", "DefineStmt", "definition", "def_list",
  "def_elem", "def_arg", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "object_type_any_name", "object_type_name", "drop_type_name",
  "object_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_text", "SecLabelStmt", "opt_provider", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "GrantRoleStmt", "RevokeRoleStmt", "opt_grant_admin_option",
  "opt_granted_by", "AlterDefaultPrivilegesStmt", "DefACLOptionList",
  "DefACLOption", "DefACLAction", "defacl_privilege_target", "IndexStmt",
  "opt_unique", "opt_concurrently", "opt_index_name",
  "access_method_clause", "index_params", "index_elem_options",
  "index_elem", "opt_include", "index_including_params", "opt_collate",
  "opt_class", "opt_asc_desc", "opt_nulls_order", "CreateFunctionStmt",
  "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "procedure_with_argtypes_list",
  "function_with_argtypes", "function_with_argtypes_common",
  "procedure_with_argtypes", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "aggregate_with_argtypes",
  "aggregate_with_argtypes_list", "opt_createfunc_opt_list",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "ReturnStmt", "opt_routine_body", "routine_body_stmt_list",
  "routine_body_stmt", "transform_type_list", "opt_definition",
  "table_func_column", "table_func_column_list", "AlterFunctionStmt",
  "alterfunc_opt_list", "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt",
  "RemoveOperStmt", "oper_argtypes", "any_operator",
  "operator_with_argtypes_list", "operator_with_argtypes", "DoStmt",
  "dostmt_opt_list", "dostmt_opt_item", "CreateCastStmt", "cast_context",
  "DropCastStmt", "opt_if_exists", "CreateTransformStmt",
  "transform_element_list", "DropTransformStmt", "ReindexStmt",
  "reindex_target_type", "reindex_target_multitable", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectDependsStmt",
  "opt_no", "AlterObjectSchemaStmt", "AlterOperatorStmt",
  "operator_def_list", "operator_def_elem", "operator_def_arg",
  "AlterTypeStmt", "AlterOwnerStmt", "CreatePublicationStmt",
  "opt_publication_for_tables", "publication_for_tables",
  "AlterPublicationStmt", "CreateSubscriptionStmt",
  "AlterSubscriptionStmt", "DropSubscriptionStmt", "RuleStmt",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "TransactionStmtLegacy", "opt_transaction", "transaction_mode_item",
  "transaction_mode_list", "transaction_mode_list_or_empty",
  "opt_transaction_chain", "ViewStmt", "opt_check_option", "LoadStmt",
  "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "drop_option_list", "drop_option", "AlterCollationStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "AnalyzeStmt", "utility_option_list", "analyze_keyword",
  "utility_option_elem", "utility_option_name", "utility_option_arg",
  "opt_analyze", "opt_verbose", "opt_full", "opt_freeze", "opt_name_list",
  "vacuum_relation", "vacuum_relation_list", "opt_vacuum_relation_list",
  "ExplainStmt", "ExplainableStmt", "PrepareStmt", "prep_type_clause",
  "PreparableStmt", "ExecuteStmt", "execute_param_clause",
  "DeallocateStmt", "InsertStmt", "insert_target", "insert_rest",
  "override_kind", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "set_target", "set_target_list", "DeclareCursorStmt", "cursor_name",
  "cursor_options", "opt_hold", "SelectStmt", "select_with_parens",
  "select_no_parens", "select_clause", "simple_select", "with_clause",
  "cte_list", "common_table_expr", "opt_materialized", "opt_search_clause",
  "opt_cycle_clause", "opt_with_clause", "into_clause", "OptTempTableName",
  "opt_table", "set_quantifier", "distinct_clause", "opt_all_clause",
  "opt_distinct_clause", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "limit_clause",
  "offset_clause", "select_limit_value", "select_offset_value",
  "select_fetch_first_value", "I_or_F_const", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "opt_alias_clause_for_join_using",
  "func_alias_clause", "join_type", "opt_outer", "join_qual",
  "relation_expr", "relation_expr_list", "relation_expr_opt_alias",
  "tablesample_clause", "opt_repeatable_clause", "func_table",
  "rowsfrom_item", "rowsfrom_list", "opt_col_def_list", "opt_ordinality",
  "where_clause", "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "xmltable",
  "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "xml_passing_mech", "within_group_clause",
  "filter_clause", "window_clause", "window_definition_list",
  "window_definition", "over_clause", "window_specification",
  "opt_existing_window_name", "opt_partition_clause", "opt_frame_clause",
  "frame_extent", "frame_bound", "opt_window_exclusion_clause", "row",
  "explicit_row", "implicit_row", "sub_type", "all_Op", "MathOp",
  "qual_Op", "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "func_arg_list_opt", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "unicode_normal_form",
  "overlay_list", "position_list", "substr_list", "trim_list", "in_expr",
  "case_expr", "when_clause_list", "when_clause", "case_default",
  "case_arg", "columnref", "indirection_el", "opt_slice_bound",
  "indirection", "opt_indirection", "opt_asymmetric", "opt_target_list",
  "target_list", "target_el", "qualified_name_list", "qualified_name",
  "name_list", "name", "attr_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "SignedIconst", "RoleId", "RoleSpec", "role_list",
  "PLpgSQL_Expr", "PLAssignStmt", "plassign_target", "plassign_equals",
  "ColId", "type_function_name", "NonReservedWord", "ColLabel",
  "BareColLabel", "unreserved_keyword", "col_name_keyword",
  "type_func_name_keyword", "reserved_keyword", "bare_label_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,    60,    62,    61,    43,    45,
      42,    47,    37,    94,   740,    91,    93,    40,    41,    46,
      59,    44,    58
};
# endif

#define YYPACT_NINF -5468

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-5468)))

#define YYTABLE_NINF -2775

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2775)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
    7070,  1442, 14000, -5468, -5468,  1442, 65404, -5468, 73462,  1356,
     199,  1164,   176, 17608, 73936, 81994,   241,   345, 18312,  1442,
   81994,  2943, 56398, 70618,  1176, 81994,   465,   668, 56398, 81994,
   82468,  1183,  1109,   173, 82942, 74410, 69196,  1240, 81994,  1324,
     388, 83416, 74884,  1158, 75358,   668, 52630,   101,  1327, 83890,
   81994,105624,   388, 75832, 75832, 75832,  1701,  1588,  1329, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468,  1374, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468,  1683, -5468,   958,  1684,
    1248,   221,  1332, -5468, -5468,  1827, 65404, 81994, 81994, 81994,
    1531, 81994,  1496, 81994,   212, 65404, 61612, 76306,  1643,  1573,
   48736, 84364, -5468, 65404, 81994, 59242, 65404, 81994, 81994, 84838,
   81994, 85312, 81994,   126, 72040, 81994,  1689, 81994, 81994, 59716,
   85786,  1880,   242,   219, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468,  1641,   -15, -5468,   262, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, 63982, 81994,
   18436,   465,  1827, -5468,  1701, 81994,  1952, 81994,  1673, 86260,
   81994, -5468, 81994,  1820, 86734,   448,  1815, 61612,  1924, 49227,
    1910, 81994, 81994, 61612, 87208, 87682, 88156, 81994, 81994, -5468,
   -5468,  1928, 81994, -5468,  2028, 62086,  1388,  2057,  2226,  2167,
    1400, -5468, 76780, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, 64930,   345, -5468, -5468,  2105, 65878,  2169, -5468, -5468,
   88630,106084,  1966, -5468,   567, 66352, 62560,  2316,  1959, 49718,
    2334, -5468, 66826, -5468, 63034, 67300, -5468, -5468, -5468, -5468,
   -5468, 89104, -5468, 89578,  2067,  2169, -5468,106544, 63508, -5468,
    2217, 90052, 90526, 91000,  1827,  1949,  1175,  2899, 43914, -5468,
   -5468, -5468,  2022, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468,   315,  1764,   252,   188,   260, -5468, -5468,   205,   213,
     233,   315,  2465,  2465, -5468, 81994, -5468, -5468,  1764,    53,
    1983,  1983,  1983,  2206,    27, -5468,  1983,  2143, -5468, -5468,
   -5468, -5468, 75358, -5468,  2005,   465,  2055,  2509,  2160, -5468,
   -5468, -5468, -5468, -5468, 63982,  2503,  2503, 81994, -5468, -5468,
    2547,  2141,  2411,  2122, -5468, -5468, -5468,  2340,  2349,  2355,
     327,   465,   302, -5468,  2498, -5468,  2365, 30320, 30320,   465,
   77254, 91474,   251, 64930,   465, 77728,  2227,  1106,  2422, -5468,
   -5468, -5468,   715, -5468,  2661,  2241,  2502,  2122,   242, 45348,
   -5468,  2240,   -15, 75358, -5468, -5468, -5468, 63982,  2556, 32770,
   81994,  2236, -5468,  2221,  2236, -5468, -5468,  2301, -5468,  2301,
    2301,  2268,  2268,  2457,  2280, -5468, -5468, -5468,  1901,  2301,
    2268, -5468,107464, -5468,  1726,  1734, -5468, -5468,  2750, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468,  2293, -5468,   971,
    1877, -5468, -5468, -5468, 30320, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468,  2296,  2325,  1248, -5468,  8422, 63982, 81994,   408,
     408,  2744,   408,  1426,  1479, -5468,  1992, -5468,  2646,  2608,
   75358,  2333,   885, -5468,  1555,  2338,  1540,  2332,  1613,  1359,
   -5468,   803, 81994,   371,  2376, 78202, 10845, -5468,  2354,   -15,
    2360, -5468, -5468, -5468, -5468,  2525,   401, -5468, -5468, -5468,
   -5468,  2666,  2717,  7095,   311, 78676, -5468, -5468, -5468, -5468,
   81994, 81994, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468,  2388,  1266, -5468, -5468,  2387,  2758,  2635, -5468, 10851,
    2354,   802,  2731,  2598,   779, 11182,  2662,   159,  2794,  7710,
    1333,  2811,  1745,  2197, 79150, 81994,  2772,  2816,  6694,  1794,
     809,  2690,  1108,  2731,  2825,  2640,   779,  2845,  6323, 81994,
   -5468,  2767,  2890,   804, -5468,   118, -5468, 24003, 32770, 52156,
   -5468,   -15,   558, -5468, -5468, 55450, -5468,  2587,  2745,   990,
   65404,  2531, 81994, 81994, -5468,105624, 65404, -5468,  2757, 50209,
   65404, -5468, 65404, -5468, -5468,  2887,105624, 81994, 81994, -5468,
   81994, -5468, -5468,  2565, -5468, -5468, -5468, -5468,  1983, 81994,
    2993,105624,  2796,   340,  1523,  3029, 81994,  2798,  1523,  2610,
   91948, -5468, -5468,  1523, -5468, -5468, -5468, 81994, 81994,  2571,
    1229,  2787,  2905,  1523,  2804,  3027,  3033,  2807,  2658,  2813,
    2221,  2994,  2784,   846,   177,  1854,  1523,  2637, 92422, 92896,
   81994,  2639, 81994,  2503, 65404,  2672, 65404, 65404, 81994,  2925,
   81994, -5468,  2774, -5468, -5468,   293, -5468, -5468, -5468, -5468,
   -5468,  2944, -5468,   133,  2945,  2599,  2946,  1735,  2947,   196,
   -5468, -5468,  2644, -5468,  2952,   208, -5468,  2953, -5468,  2606,
   93370, -5468, 93844, 94318,  2955,   238, -5468, 61612,  2956,   263,
   -5468,  2960,  2606,  2962,   263,  2965,   827,  2969, -5468,   945,
    2957,  2973,   196,  2977,  1906,  2606, -5468,  2978,   265, -5468,
    2979,   266, -5468,  2980,  2851, -5468, 32770, -5468,  2735, -5468,
    1327,  1644,  2899,  1764, -5468, 81994,  1764, 81994,  1764, 81994,
    1764, 81994,  1764, 81994, 81994, 81994,  1764, -5468, -5468, -5468,
   81994,  2642, 81994, 81994, -5468, -5468, -5468, 71092, 61612, 71566,
   -5468, 81994, -5468,   387,   465, -5468, -5468,105624,  3100, 61612,
    2503,  1791, -5468, 81994, 81994, -5468, -5468, -5468,  2906, 81994,
    2975,  2981, 71092, 61612, -5468, 94792, -5468, 64930,  2856,  2648,
   -5468, -5468, -5468, -5468, -5468,  1912,  3141,   226,  3143, 32770,
    2654,   226,   226,  2655,  2987, -5468, -5468, -5468,   275,  2659,
    2660, -5468,   247,   247, -5468,  2671,  2674, -5468,   248,  2680,
    2686,  3149,  3152,   256,  2687,  2688,  2693,  1901,   226,  2696,
   32770, -5468,  2697,   247,  2698,  2701,  2703,  3163,  2704, -5468,
    3174,  2707,   187,   297,  2708,  2710, -5468,  2671, -5468,   259,
    2712,  2713,  2714,  2715,  2716,  2718,  2719,  2720, 32770, 32770,
   32770, -5468, 27865,   -15,   465, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468,   273, 48245, -5468,  2761, -5468, -5468,  2918,
   -5468, -5468, 32770, -5468, -5468,   104, -5468,   277, -5468, -5468,
   -5468,   -15,  3003,  2721, -5468, -5468,  1598,  2722, -5468,  2108,
   -5468, -5468, -5468, -5468, -5468, -5468, 64456,  3183, -5468,   301,
     465,   118,  1804,  3120, 54502, 54976, -5468, -5468,  2992, -5468,
   81994, -5468, -5468,   -15,   148,  1903, -5468,  2022, 17578,  1946,
    2236, 81994, 81994,  3191, -5468,  2733, -5468, -5468, 32770, -5468,
   -5468, -5468,  2465, -5468,  2301,  2301, -5468, -5468,  3198,  2826,
    2828,  2465, -5468,  2465, -5468,  2746,  2747,  2465,  2830,  2831,
    2832, -5468,  2749,  2834,  2465, -5468, -5468, 57346,  1923, -5468,
    3076,   330, -5468, -5468, -5468,  1950, -5468,  2751, -5468,  2221,
   -5468, -5468,  1248,  1248, 32770,  1248,   819,   152, 30810, 33260,
    3083,  2972,   813,  1408,  3087, -5468,  2976,  1426,  1479, 75358,
   81994, 95266,  2888, 32770, -5468,  3192,  2855,  2857,  2912, 53578,
   -5468,  2863,  2835,  2867,  2923,  2785,  2873,  2874,  2929, -5468,
    3055, -5468, -5468,  2877,  2881, 95740, -5468, -5468,   818, -5468,
   -5468, -5468,   818, -5468,  2808,  1382,   944,   276,  2883,   224,
     904,  3207, -5468,  1138, -5468, -5468,  2939, -5468, 18899, 81994,
    3146,  7697,  3017,   311,  2940, -5468, -5468, -5468,  3074,  2896,
   81994,  2897,  3038,   311,   308, 96214, -5468, -5468, 81994, -5468,
   -5468, -5468, -5468,  2001,  3187, 26945, -5468,  1884,  2901,  2879,
    2914, 81994, 68248,  2138,  3015,  3036,  1545,  2189,   594,  2968,
   81994,  1526,  3045, 81994,  2829,  2915,  2916,  3138,  2837,  1322,
    3242,  2838, -5468, -5468, -5468,  3212, -5468,  2043,  2162,  3040,
   -5468,  3145,  3190,  8382,  2908,  2917,104244, -5468,  2948,    63,
   50700, 81994, 81994,  2950,  2951, 96688,  2001,  3226, -5468,  2958,
    2959,  2954,  2961,  1110,  3241,   689,  2963, -5468, -5468, -5468,
     689,  2964,  2970, 97162,  2001,  3230, 81994,  2971,  2974, 81994,
  107464,   311, -5468,  3299,   311,   311,  1932,  3300,  2984,   326,
    3111,  1208,  1523,  2838,  2258, -5468,  2985,  2989,   318, -5468,
    3078, 81994,  2990,  2991,  1552,  3046,   465, -5468,  3062, -5468,
    2995,  3065,  2996,    60, -5468, -5468,  1296,  3002, 75358,  3064,
    3089,  1526,   385,  1328,  2838, -5468,  2997,  2998,  2837,  2837,
   81994, 81994, 81994, 81994, 81994,   220,  3345,  3361,  3001,   210,
     972,  2911, -5468,   689, 60190,  3004, -5468,   689, 81994,   218,
    1757,  2838,   710,  1813, -5468, -5468, -5468,   242, -5468, 32770,
   32770, 32770,  2920, -5468,  2114, 17578,    80, -5468,   278, 12746,
    2913, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, 81994, 63982, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, 81994, -5468, 81994,  3202,
  105624,  3210,  3132,  3211,  3215,   311, 81994, 81994,  3216,  3218,
    3220,105624,  3221,  3223,  3227,  3160,  3012,   162,  3024,  2966,
    3412,  3298, 81994, 57346, -5468,   818, -5468,105624,  3168,  3301,
   -5468, 81994,  3184,   801, -5468,  3337,  3020, -5468, -5468,   947,
   81994,   227,  3005, -5468, -5468,  3305, 61612,  1424,  3306,   465,
    3014,  3311,  3181,   465, 61612,  3228, 81994, 81994, 81994, 81994,
     141, -5468, 60190,  3197, -5468, 81994,  3200,  2258,  3201,  3430,
      82,  1983, 97636,  3304, 98110,  2983, 81994,  2988,  2988,  3435,
  105624,  1025,  3249, -5468, -5468,  1984, -5468,  3113, -5468, 65404,
   -5468, -5468, 65404, -5468, -5468,105624, 81994,  3006,105624,105624,
   -5468, -5468, 65404, 65404, -5468, 61612, 61612,  3322,   265,  3323,
    3041,  3324,  3047, 50700, 50700, -5468,   268, 65404, 65404, -5468,
   61612, 65404, -5468, 81994, -5468, 81994, -5468, -5468, -5468, -5468,
  105624,105624, -5468, 61612, 60190,  3333, 81994, 81994, -5468, 81994,
   81994, -5468, 81994, 81994,  1972, 98584,  2899, -5468, 81994, -5468,
   81994, -5468, 81994, -5468, 81994, -5468, 81994, -5468, -5468, -5468,
   81994, -5468, 81994,  1977, -5468, -5468,  1988,  1216, 81994, 81994,
     198, 65404, 81994,  3209, 65404, 65404, 81994, 81994, 81994, 81994,
   81994,  3080,  2722,   548, -5468,   289,   876, 75358,  3222, -5468,
   -5468,  2012,  1701,  1155, 81994,   942, -5468, -5468, -5468, -5468,
   71566, 70618,  3319,   131, 81994, -5468, -5468,  6535, 32770,   -15,
   29825, -5468, -5468, 17578,  3042, 32770, 32770,  3007,  2465,  2465,
   -5468,   955, 32770, 32770, 32770,  2465,  2465, 32770,  4660, 32770,
   50700, 32770, 38160, 24995, 32770, 32770, 28355, -5468, 32770,  3246,
   39134, 32770,  1804,  3247, 32770,  1804,  4660,  3489,  3489,  1314,
    7303,  3009,   -15, -5468,  2465,   202, -5468,   305,105624, 32770,
   32770, 32770, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, 32770, -5468, 57346, -5468,
   -5468, -5468, -5468, -5468, -5468,  3094, -5468, -5468, -5468, -5468,
   -5468, -5468,  3265, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, 81994, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, 28845,
   -5468, -5468, -5468, -5468,  3010, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468,  2036, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, 29335,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468,  3016, -5468, -5468,
   32770, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468,  3093, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468,   817, 32770, 32770, 32770, 32770, 32770, 32770,
   32770, 32770, 32770, -5468, 32770,   386, -5468, -5468,  3327,  3349,
      38,   500, 79624, 30320,  3076, 24003, -5468,   209,  3076, -5468,
   -5468, -5468, 81994,  3183, -5468, -5468,  3097, -5468, -5468, -5468,
   -5468, -5468,   283, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
    3013, -5468, -5468, -5468, -5468,  3013, -5468,  3018,  3326,  3328,
     827, 81994,  2421, 32770,  3094,   201, 81994, 32770,  3010,  2036,
   32770,  3016, 32770,  3093, -5468, 32770, -5468,  2017,  1943, 32770,
    2029,  3021, -5468, -5468,  3026,  2747,  3048,  3050,  3025,  3030,
    2465,   183,  3034,  1046,  1234,  3159,  2465,  3275,  3037, -5468,
   57346, -5468, 41046,  3081, -5468, -5468, -5468,   388, 81994, 81994,
   -5468,  3329, -5468,  3035, -5468,  9337,  3329, -5468, -5468, 38647,
    3162,  3316,  3255, -5468, -5468, -5468,  3043, 17578, 33750, 33750,
   -5468,  1830, 17578,  2129, -5468, -5468, -5468, -5468, -5468, -5468,
     795, -5468, 81994,  1041,  3083,  1408,  3104,  1119,  3505, 81994,
   -5468, 45826,  2049, -5468, 61612, 81994, 81994,  3252, -5468,  3490,
   -5468,107464, -5468,  3049, -5468,107004,102850, -5468, -5468,   657,
   -5468,   542, 61612, -5468, 81994, 81994, 61612, 81994, 81994, -5468,
   61612, 81994, 81994, -5468, -5468, -5468, -5468, -5468, 55924,  1270,
   70618,  3193, 69670, -5468, -5468,  3054, 81994,  3116,  3332,  3334,
     874, -5468, -5468, 99058, -5468,  3283, 61612, 81994, 81994, 32770,
    3285, 81994, 81994, -5468,   416,  3147,  3148, -5468, 81994,  3153,
   65404,  3068,105624, 65404, 51191, 65404, 65404,  3400,105624, 81994,
   81994,  1088, 75358,   250,  1892,  2838,  3294, -5468,   850, -5468,
   61612, -5468, 81994,  3288, -5468, -5468, -5468, 80098,  3526,  3195,
   -5468, -5468, -5468, 99532, -5468, -5468,  3290, -5468,  2060, -5468,
   61612, 61612, 81994,  8399,100006,   907,  3308, -5468, -5468,105624,
   -5468, 81994, 80572, 81994, 81994,  3346, 81994, 72514,100480,100954,
     940,  1481,  3347, 81994, 72988,  3348, -5468,  3229, 81994, -5468,
   -5468, 57820, 61612, 81994,   824, 57346, -5468, -5468, 81994, -5468,
     863, -5468, 81994,  7947,  3297, -5468, -5468,  3169,  3179, 81994,
     329,  1922,  2838,  3459, 81994, 81994,  3085,  2070, 61612, 81994,
   57346, -5468,  3303,    97, 61612, 81994, 80098, -5468,  3307, 75358,
   75358, 61612, 81994, 75358, -5468, 81994, 91474, -5468, 61612,   964,
   -5468, 61612, 81994, 80098, -5468,  3309,  3250, 61612, 81994,  8608,
   -5468, -5468, -5468,   311, -5468, -5468, -5468, -5468, -5468, 81994,
   81994,   311, 81994, 81994,   311,  1423, -5468, 61612, 81994, -5468,
   -5468, -5468,  3217, 61612, 81994, 81994,   315, 81994, -5468, 81994,
   61612,  3005, 81994, 81994, -5468, 81994,  7918, 81994, 81994, 81994,
   81994, 81994, 81994, 61612, 81994, -5468, -5468,  1133,  1135,  1594,
    1705,  1293, 81994,  3405, 81994,101428, 61612, 81994, 81994,   465,
   81994, 57346,   404, -5468, -5468,  3231, -5468, 61612,   964, -5468,
    9117, 81994, 81994, 81994,  3177,  3185,   163,  3270, -5468, -5468,
   -5468,    99,    99,  3312, -5468, 32770, 32770, 31300,  3101, -5468,
   -5468, 32770,  2587, -5468, -5468, -5468,   919,  3564,   919,101902,
     919,   919,  3391,  3173,  3176,   919,   919,   919,  3390,   919,
     919,   919, 81994,  3293, -5468, -5468,  3293,   179, 32770,105624,
   81994, -5468,  2076, -5468,  3130, -5468, -5468, 57346, 81994,   243,
     812,  3465,  3340, 68722,  2253,  3454, 81994,  3175, 81994,  3588,
    3224, 75358,  2571, -5468,  2253, 81994, -5468,  1914, 70618, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, 81994, -5468, -5468,  3461,
   81994, 41524,  3310, -5468,   465,  2571,  2571,  2571,  2571,  3134,
    2571, 81994,  3266,  3481,  2253,  3139,  3484, -5468,  2258,  3485,
     599, 81994,  3360, 68722,  3203,  3186,  3372,  3606,  1983,   465,
    3378,  3364, -5468, 54040, -5468,  2571,  3624, 27405,  4384,  5967,
    3367,  3429, -5468, -5468,  3375,   746, 81994,  3469,  3470,  3491,
   -5468,   133, -5468,  3622,  1735,  3492,   196, -5468,   208, -5468,
    2606, -5468, 81994, -5468, 81994, 81994, 81994, 81994,   238, -5468,
   -5468,   263, -5468,  2606,   263,   827, -5468,  3443,   196,  2606,
    3302,  3501,   265, -5468,   266, -5468,  3385,   827, -5468,  3401,
    1983, -5468, -5468, -5468, -5468, -5468, -5468, -5468,  2078, -5468,
   81994, -5468,  3476,  3477,  3482,  3483,  3500,  3199,  3205,  3238,
   81994,  3208,  3199,   311,  3214,  3214,  3199,  2722,  2722,  3199,
    3205, 60664,  3676,  3523, -5468,  3291,  3206,  3536,   761, -5468,
     843,    71,  3462, -5468, -5468, -5468, -5468,105624, -5468, 61612,
    3254,  2503,  2503,   343,  3433,  3225, 60664,  3661,   827, -5468,
   65404, 81994,105624, 65404,  3444, 65404, 65404,105624, 81994, 81994,
    2104, -5468,  1752, -5468,  1776, 32770,   364, -5468, 13706,  2106,
   32770,  3232,  3233, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
    3234,  3551, -5468,  2139,  2140,  2145,  3243,  3244,  3986,  6060,
    3248, 14287,  3235,  3251,  3253,  3257, 38160, 38160, 27865,   968,
   -5468, 38160,  3259,  3428,  2147, 12796,  3260,  3261, 14453, 31790,
   32770, 31790, 31790, 14971,  3239,  3262,  2149, 57346,  3420, 15034,
    2153, -5468, 32770, 57346,  6391, 32770, -5468, 32770,  3269, -5468,
   -5468,  1053,  1053,  1053,  4660, -5468,  3271, -5468, 38160, 38160,
   -5468,  3115, 27865, -5468, -5468,  3555, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468,  3011, -5468, -5468, -5468,  3460,  3379, 50700,
    7139, 32770,   271, 32770,  3010, 32770,  3335,  1053,  1053,  1053,
     362,   362,   217,   217,   217,   428,   500, -5468, -5468, -5468,
    3258,  3267,  3272,  3434,  3273, 32770, -5468,  2086,  2093, 81994,
    3969,  4515,  5164, -5468, -5468, -5468,  3081,    80,  3081, -5468,
     242,  2465,   202, 55450, -5468, -5468, -5468, -5468, -5468, -5468,
   81994, 17578, -5468, -5468,  3499,  3274,  2174, -5468, -5468,  2465,
   -5468, -5468,  1624,  1624,  3256, -5468,  3276, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468,  3277, -5468, -5468, -5468, 42002,  3596,
    3279, 40568, 81046,  3278,  1858, -5468, 81046, 81520, 81046, -5468,
    3295, -5468,   -15, 32770,  3592, -5468, -5468, -5468, 32770, -5468,
   -5468,  2464,  3313,    73,   726,  2213,  2213,  1830,   900, -5468,
   -5468,  3342, -5468, 32770,  2164, -5468,  2182, -5468, -5468, -5468,
   -5468,  2722, -5468,  3539, -5468, -5468, -5468, 41046,  3331,  3343,
    1434, 44870,  3503, -5468, 81994, -5468, 81994,   347, -5468,  3314,
   -5468, -5468, -5468, -5468, -5468, -5468,102850,  1877, -5468,107004,
   -5468,107004, -5468,  1877,  3727, -5468,102850,  1788, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   61612, 61612,  3504, 81994,  3502,  3506, 32770,   231, 81994,  3296,
    3315,  1406,  3594, 81994, -5468,  3639,   827, -5468, -5468,  3389,
   -5468, 17578, -5468, -5468, -5468, -5468, -5468, 61612, 81994, -5468,
   64930, -5468, -5468,105624, -5468, -5468, 81994, 81994, -5468, -5468,
   -5468,105624, -5468, -5468, -5468, 81994,   155,  3395,  3396, 81994,
   -5468,   881,  3078,  9499, 81994, 81994, 81994,  3595, -5468, -5468,
   -5468, -5468,  3530, -5468,  3654, -5468,102850, -5468,  2606,  1304,
    3398,  2838,  3544, -5468,  3662,  3731, -5468,  3445,   868, -5468,
   -5468,  3455, -5468, -5468, -5468, -5468,  3665,   827,  3667,   827,
   81994, 81994, 81994, 81994,  3457, -5468, -5468, -5468, -5468,  3458,
    3591, -5468, 57346, 57346, 57346,  2204, -5468, -5468,   465, -5468,
   -5468, -5468, -5468, -5468, -5468,  3625, -5468,  2209, -5468,   -20,
   -5468, -5468, -5468, -5468, -5468,  3671, 61612, 81994, 10168, 81994,
   81994, 81994,  3546,  1837,   816,105624, -5468,104704, -5468, -5468,
    2218, -5468,  3344, 81994,  3419, 61612,  3397, -5468, -5468, -5468,
    3677,  3338,  3338, -5468, -5468,  3338, -5468, -5468, -5468,  3602,
    3532, -5468,   938,  3534, 61612,  3408, -5468, -5468, -5468, -5468,
    3688,  3432, -5468, -5468,  3436,  2228,  2838,  2258, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468,  3464, -5468, -5468,
   -5468, -5468,  1246,  1246, -5468, -5468, -5468,  1246,  1394,   417,
    2229,  2838, -5468,   334,  1614,  3437, -5468,  3440, -5468, -5468,
   -5468,  3603,  3604,  3611,  3441,  3446,  3487,  3448,  3449,  3498,
   -5468,  3451,  3514,  3452,  3516,  3463,  3732,   827,105624,  3608,
     465,  3507,  3725,   827, -5468,  3467, -5468,  3468, -5468,  2233,
    3836, -5468, 81994, -5468,   366,  2266,  2838, -5468,  3472, -5468,
   61612, 81994, -5468, -5468, -5468, 32770,  3392,  3393,  3403, 17578,
   17578, 32770, -5468, -5468, 17578,  3399, -5468, -5468, -5468, -5468,
  105624, -5468, 81994,  3669, -5468, -5468,   919, 81994, 81994, -5468,
   -5468, -5468, 81994, -5468, -5468, -5468,  3670, -5468,   312,   312,
   -5468, -5468,  3705,  8138,  3406,   350, -5468, 57346, 47263,  2424,
     411,  1523, -5468, 64930, 81994, 64930, -5468,   812,  3605, 81994,
   81994, 81994,  3409,  3402, -5468, -5468, -5468, -5468, 61612,   789,
   61612,  2465, -5468, -5468,  3471, -5468, 81994,  1983,  3895,  3741,
   -5468,  3338, -5468,  3852,  3033,  1424,  1697,   203,  2658,  3803,
    2221, 32770,   358, -5468, -5468,   -15, 81994,  3186, -5468, -5468,
   -5468, -5468,   465, -5468,  3417,  3425, -5468, 81994,  3760, 81994,
   81994, 81994, 81994,  3254,  3431, 81994,  3438,105624, 81994,  2087,
    2837,  3896,  3779,  1701,  3203,  3522,  3784, 75358,  3466,  2237,
   -5468, -5468,   746, -5468,  2259,   164, -5468,   465, 64930,103784,
    3771, -5468,   249,  5967, -5468, -5468,   249,   915, 81994, -5468,
   -5468, -5468, -5468,  3663,  2004, -5468,  3757, -5468, -5468,  1701,
   -5468,105624,  3447, -5468,  2263, -5468, -5468, -5468,   265,  3509,
     827,  3511,   827, -5468, -5468, -5468, -5468, 81994, -5468, 81994,
   60190, -5468, -5468, 81994, -5468,  3796, -5468, -5468,  3593,  3597,
    3598,  3600,  3609, 81994,  3199, -5468,  3450, 61612,  1346, -5468,
   -5468,  3675, -5468, -5468, 75358,  3581, -5468, -5468, -5468, -5468,
    3812,  3814, -5468, -5468, -5468,   935, -5468, 81994, 81994, 61612,
   71092,   132, 61612, -5468,  3753,  3754,  3758,  3759,   311,  3762,
    3763,  3765,  3766,  3768, -5468, -5468, -5468,  3480, 15361, 32770,
   -5468,  3843,105624, -5468,  8734, -5468, -5468, -5468, 32770, -5468,
   -5468, -5468, -5468, -5468, -5468,  2302, 32770, -5468, 32770, -5468,
   -5468, 25491,  3975,  3975,  3493,105624, 38160, 38160, 38160, 38160,
    1360,  2698, 38160, 38160, 38160, 38160, 38160, 38160, 38160, 38160,
   38160, 38160,   384, -5468,  3697, 32770, 32770, 32280, -5468, -5468,
  105624,  3497,  3239,  3508,  3527, 32770, -5468, -5468,  2269, 39612,
    3528, 57346, -5468, 32770, 13750,  2275,  3550, 15436,   -15,  8851,
     465, 32770,  1249,  1397, 32770,  2281, 32770,  3828, -5468, -5468,
   -5468, -5468, -5468, -5468,  3733, -5468, 32770,  3529,  3520, 38160,
   38160,  4709, -5468,  5451, 32770, 27865, -5468,  3312,  3549, 46304,
   -5468, 25987,  3531,   668,   668,   668,   668, -5468, 81994, 81994,
   81994,  3592,  3541,  3592,   118,  3543, -5468, -5468, -5468, -5468,
    1701, -5468,  3533, -5468, -5468, -5468, -5468, -5468, 81046, 81520,
   81046,  3510, 40090, 26466,  1858,  3545, 81994, -5468, -5468,  3547,
   41046,  3824,  3752, -5468, 41046,  3752,  1451,  3752,  3826,  3646,
   46782, -5468, -5468,  3553, -5468,  3764, -5468,  1884, 17578,  3990,
    3866, -5468,  3556, -5468,  3313,  1580, -5468, -5468, -5468,   924,
   -5468,  3644, -5468, -5468, -5468,  3278, 34240,  3711, -5468, -5468,
   -5468,  3616,  2283, -5468, -5468,  3971,  3711, -5468, -5468,  2290,
   45826,  3331, 32770,   -15,  2298,  1859, -5468, -5468,102850, -5468,
    3638,  2606,  2606,   987,  3199,  3901,   987,  9220, -5468, -5468,
   42480, 81994, 81994, -5468, 81994,  2305,  1706, 81994, -5468, 81994,
   -5468, -5468, -5468,  4025,  3632,  3633,  3847, -5468,  2332, -5468,
   -5468, 61612, 81994, -5468, -5468, -5468,   397,  2329,  2838, -5468,
    3664, -5468, -5468,  3867, 81994, -5468,  4016,  3679, 81994,  3926,
   81994, 81994,  3605,  1706,  3692,  3905,  1593,  2837,   326,  6423,
   -5468,  1615, -5468, -5468,  3666, -5468, 81994, -5468, 81994, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468,  3720, -5468, -5468, -5468,
   -5468, 57820, -5468, -5468, 81994, -5468, 57346, 47263, 57346, 81994,
   -5468,  1396,   421,  2347,  2838, -5468,  3672, -5468,  3930,  3674,
    3678,  3729,   204,   849,  3680,  3691,  3746,  3614,  3618,  3621,
   -5468, 57346, 47754,  3769, 81994,  2606,  3612,  3634, 81994,   315,
     465, -5468, -5468,   465,  2606,   465, 81994, 81994, 81994, 81994,
     315, -5468, -5468, -5468,  4034,  3702, 81994, 81994, 81994, 81994,
   -5468,  3682, -5468, -5468, -5468, 81994, 81994,  3941,   916,  1993,
   61612, 81994, 81994, 61612, 81994, 81994, 81994, 81994, 81994, 81994,
   81994,  3830, -5468,  4043,  3968,  2208,  4012,  3703, 81994, -5468,
   81994,   465, -5468,  3078, 81994, 81994, 81994, 81994, -5468, -5468,
   -5468, -5468, -5468,  3312, -5468,  3629,  3910,   919, -5468,  3911,
    3913,  3915,   919, -5468, -5468,  1523, -5468,   192, 81994, -5468,
    2155, 81994, -5468, -5468, -5468,  3556,  2043,  2162, -5468, -5468,
   -5468, -5468, -5468, -5468,  3642, 81994, 81994, 38160, -5468,  1315,
    1604,  1218, -5468,  3918, 81994,  3005, -5468, -5468, -5468,   953,
   81994, -5468, -5468, -5468, -5468,  3649, -5468,   840,  3431, -5468,
    3932, 68722,  2606, 61612, 61612,  2606, -5468,105624,  3651,  3186,
   -5468,   236,  3736, 61612,  1424,102376,  3014,  3696,  3858,  9250,
   41046, 41524,  1246, -5468,  3660,  3668, -5468, -5468, 81994,  3605,
   60190,  2306,  2258,  4115,    88,  1949, -5468, 70144,  3859,  3431,
    3932, -5468,  2837,  3880,  3882, -5468,  1701, 81994,  3254,  3186,
     465, 81994,  3116, 47263, -5468,  4161,  2077, -5468,102850, 32770,
   32770, -5468,  3673, -5468,  3681,  5967, -5468,  3744,  3683,  4125,
   32770, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,  3767,
    3684, 81994, 81994,   746, 81994, -5468,  3687,  3492, -5468,  3492,
   -5468, 81994, -5468, 81994, -5468,   827, -5468,  3804,   827, 81994,
   81994, 81994, 81994, 81994, 81994,  3199,   311, -5468,  3998, 60664,
    3523, -5468,  2318, 81994, -5468, -5468, -5468,  4068, -5468, -5468,
     131,  4014,   827, -5468,   951,   951,   951,   951,  3972,   951,
     951,   951,   951,   951, -5468, 32770, 17578, -5468,  3689, -5468,
   17578,  3694,  9898, 15920, -5468,  2319, 32770, -5468,  1634,  1634,
    1634,  1774,  4017, -5468,  2399,  1634,  1634,  1634,   295,   295,
     214,   214,   214,  3975,   384, 16310, 16231, 16881,  3695, -5468,
   -5468, -5468,  3239, -5468, 34730,   957,  4136, 39134, -5468, -5468,
   -5468,  3743,  3745,  3700, -5468, 32770, 35220,  3701,107464,  3912,
   -5468,  1514, 32770, 32770,  2320, -5468,  7641, 32770, -5468,  2320,
     414, 32770,  1754,  4004, 32770, 32770,  5498, 10138,  3708, 32770,
  103310, -5468, -5468, -5468,  2324, 32770, 81994, 81994, 81994, 81994,
   -5468, -5468, -5468,  3866,   465,  3866,   465,  3709, -5468, -5468,
   -5468, -5468, 58294,  3704,  3420, 81046,  3712, 81994,  1858, 41046,
   -5468, -5468,  1404, -5468, 41046,  3989, -5468, 41046, 65404, -5468,
   81994,  3714, 81994, -5468,   408, 32770,  3770, 50700, -5468, -5468,
   -5468, -5468,  3802, -5468,  3934, 17578, 30320, -5468,  1701,  2257,
   81994,   -15,    57, -5468,  3728, 81994, -5468,  3711, 17578, -5468,
    3791,  2331, -5468, -5468, -5468, -5468, -5468, -5468, -5468,  3805,
   70618,  4045, -5468, 32770,  2339, -5468,  3772,  4143,   182,  2345,
    2351,  1706, -5468,  4024, -5468,  1606,  4021,   181, -5468,   827,
   -5468,105624, 81994, 81994, 81994,  2785, -5468, -5468, 81994, 81994,
   81994, 81994, -5468, -5468, 61612, 81994, -5468, 81994, -5468, -5468,
   -5468,   315,  1315,  4036,  4037,  3950, -5468,   311, -5468,  1315,
    3956,   315, 81994, -5468, -5468, -5468,  2683, -5468,105624,   827,
     827, -5468, -5468, -5468, -5468, -5468,  3748, -5468,  4173,  3829,
   81994, 81994, 81994, 81994, 81994, 61612, 81994, 81994,  2465,  2465,
  105624,  3738, -5468,  2465,  2465,  3740, -5468, 61612, 81994, 81994,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468,  3819, -5468, 32770,  4171, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, 61612, 81994,  3831, -5468,
    3832, -5468,   783, -5468, -5468, 81994, 81994, 81994, 81994,  4090,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468,  4091, 81994, -5468, -5468,   465,   465,105624,   827,   827,
   -5468, -5468, -5468,  3833, -5468, -5468,  3751,  4033,   919, -5468,
     919,   919,   919, -5468,  3773, -5468,  1523,  4129, -5468,  1706,
    1522,  4081, -5468, 32770, -5468,   845,  1774, -5468,  4138,  4220,
   -5468, -5468, -5468, -5468,  3005,  1983,  3823, -5468, -5468, 65404,
     946, -5468,  4065,   243, 57346,  3983, 68722,   334,   875,  3774,
    3894, -5468,  2606,  2606,  3827, 81994,  4229, -5468, -5468, -5468,
   -5468, -5468, -5468, 61612,  3397, -5468,  3999,   694,  4098, 81994,
   41524, -5468,  3278, -5468, -5468, -5468,   465, -5468, -5468,  3900,
    3186, -5468,  1171, 81994,  3994, 68722,  3254,  2352, -5468, -5468,
   -5468,  3818,  4221,  3203, -5468,   334,  3859, -5468, -5468,  4195,
    3876,  3825,  4245, -5468,  3876,  4111,  4000,  3788, -5468,  3466,
   -5468, 81994, -5468, 17578, 17578,   465,107924,   249,105624,  4119,
   -5468, 17578, 81994,   193,  3786,  3955, -5468,  4084,   827,  2366,
   -5468,   827,   827, -5468, 81994, -5468,  3199,  3199,  3199,  3199,
    3199, -5468,  4006, -5468, -5468, -5468,  4075, -5468,   827, 60664,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468,   951, -5468, -5468,
   -5468, -5468, -5468, 17578, -5468, -5468, -5468, 32770, -5468, 10263,
   38160,  4122, -5468, 32770, 32770, 32770, -5468,  3798,  2371,  2382,
   -5468, -5468,   957, -5468,  4136, -5468, -5468, -5468, 10944,  3854,
   17578,  3914,  3806,  3808,  2320,  2320,  7641,  2320, 32770, 32770,
    2320,  2320, 32770, -5468, -5468, 11109,  3996, -5468, -5468, 11450,
   -5468, -5468, -5468, -5468,  3770, -5468,  3770, -5468,  3940, -5468,
    2386,  4266, 37180,  4227, -5468, 81994,  2395, -5468, 32770,  3815,
   -5468, -5468, 41046,  1404,  3816,  2396, 81994,  2400,105624, 35710,
   17578, 81994,  3312,  3811, -5468, 81994,  2721, -5468,  1434, -5468,
   -5468,  4224, 42480,  4177, 32770, -5468, -5468, -5468, -5468, 60664,
    4032, 60664,  1706, 11500,  4024, 42480, 51682, 81994, -5468, 81994,
   -5468,  3985,  4024,  3821,  3005, -5468, -5468, -5468, -5468, -5468,
   -5468,  3834, -5468, -5468, -5468, -5468,  3906, -5468, -5468,    61,
    3222, -5468,  2424, -5468,  4284,  4169,  4170, -5468, -5468, -5468,
   -5468, -5468, -5468,  4043, -5468, -5468, 47263, 61612, 81994, -5468,
    3916, -5468, -5468, -5468, -5468, -5468, -5468, 44392, 50700, -5468,
     204,  3837,  3838,   849, -5468, -5468, -5468, 81994, 11711,  3839,
    1023,  3222, 81994, 81994,  3842,  3844,  3845,  1649,  1211,  1796,
    3199,  4157, 81994, -5468, -5468, -5468,  4043, -5468, -5468, 81994,
   -5468,   919, -5468, -5468, -5468, -5468, 57346, -5468,  1782,  3773,
     465, 65404,  4288,  4288, 11777,  4052, -5468, -5468,   130,  3823,
    4085,  4133, -5468,  3846, 81994,   953,  3849,  2401, -5468, 81994,
    3850,  3980,  2582,  2582, 81994, 81994, 81994,  2402,  1701,  2606,
    3634,  1424,  4187, 68722,  4239,  3605,   359, -5468, 81994,  4314,
   81994,  3254,  3431, 81994,  3855, -5468, -5468, 70144,  4064,  2424,
   81994,  2087,  3859,  3203,   258, 81994, -5468,  1052, -5468,  1701,
   -5468, 81994, 75358, 42480,  4183, -5468,107004, -5468,  2406, -5468,
   -5468, -5468,  3933, 19747,  3081,  3974,  3976,  3860,  1889,  4194,
   81994,   864, -5468, -5468, -5468, -5468, -5468, -5468, 81994, -5468,
     132, -5468, 17075, -5468,  3610, 38160, 17578, 17578, 17578, 32770,
   -5468, 32770, -5468, -5468, -5468, -5468,    78, -5468, -5468,  2320,
    2320,  2320, -5468,  4304,  3312, -5468, -5468, -5468,  1629,  4254,
    3295, 58294,  3868, -5468, 38160,  2407, -5468,  1925, 81994,  2408,
   -5468, 17578, 81994, -5468, -5468, 32770, -5468,  2414, -5468,  3869,
      37,  3871, 24499,  3873, -5468, -5468, -5468, -5468, -5468, 17578,
    3877, -5468,  4332,  1408, -5468, -5468,  3937, 81994,  2415, -5468,
     714, 17578,  1346,   987,   280,  4143,  3005, -5468,  3883, -5468,
   -5468,  2837,  1466, 81994,  3005, 81994,  3823, -5468, 81994,  3981,
   -5468,  4197, -5468, -5468,  3951, -5468,  1056,  3222, 81994,105624,
   -5468,   120,  4222, -5468,105624,105624, -5468, -5468, -5468, 32770,
    3987, -5468, -5468, -5468, 32770, 32770, 67774, -5468, -5468, 81994,
   81994, 81994, 81994, 81994, -5468,   827, -5468, -5468,  2419, -5468,
   43436, -5468, -5468,  3029,   465,  3029,  1807, -5468, -5468,  3029,
    3029, -5468,  3081, -5468,  4288,   928, -5468, -5468,  4128,  3890,
   32770, -5468,  1147,  4106,  3991,  3898, -5468, 65404,  4391, -5468,
   57346,  3431,  3932, 81994, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468,  2420,  3605,  4242,  3186,
    3825, -5468, 81994,  3939, -5468, 41046,  3605,  1701,  1949, -5468,
    3859,  3431,  3932, -5468, -5468,  3917,  3882,  3203,  2087,  4053,
   -5468,  4054, -5468,  4337,  4124,  4342,  3254, -5468,  3116,  2439,
   81994, -5468, -5468,  5967,107924,105624, -5468, -5468, -5468,  3920,
    4281,  3961,  3967, -5468, -5468, -5468,  1889, -5468,   102,  4287,
    3977, -5468,  3993, 81994, -5468, -5468,  3605,   827, 32770,  3610,
    2440,  2460,  3988, -5468, 32770,  1207,  4263,  4264, 81994, -5468,
   -5468, -5468, 81994,  1774,  3931, 37180, 57346,  2461, -5468,105164,
   -5468,  2462,  2482, -5468, 32770,  3938, 32770, -5468, 35710, 81994,
    3942,  3083,  1701, -5468,  3081, 42480, -5468,  4059, -5468,  4265,
   -5468, -5468,  3823, 50700,  1466,  3313,  1983,  3823,  2487, -5468,
   -5468, 81994,  3890, 32770, -5468,  4038, -5468, -5468,  2493,  1486,
    4107,  4107,  2506,  2507, 11881, 81994,  2508,  2514, -5468,  2516,
    2465,  3205,  1796,  3205, -5468,  3199, -5468, -5468, 57346, -5468,
   61138, -5468, -5468, -5468,   465, -5468,   465,  4164, 81994, 53104,
     465,   465, -5468, -5468, -5468, -5468,  4238, -5468,  2258, -5468,
   12014, -5468, -5468, -5468,   410, -5468,  4159,  4160, 81994, -5468,
    3944, -5468,  2520, -5468,   334,  4077,  3605, -5468, -5468, 81994,
    4410,  4411, -5468,   822, 81994,  3278, -5468,  3825,  3254,  3203,
     334,  3859,  2424, 42958,  3876,  2087,  3882, -5468, -5468,  4162,
   -5468,  4163, -5468,  3954,  4256, -5468,  1510,   249, -5468, -5468,
   -5468,   936,  4280,  4282, -5468, -5468, -5468,  3029, -5468,   108,
    3960,  4306, -5468, -5468, -5468, -5468, 17578, -5468, -5468, -5468,
    3239, 36200, 36200, 36200,  3962,  4403,  4404,  1091,  2522, 39134,
   -5468, -5468, -5468, 81994,  4174,  1173,  4429,  4142,  2524, 35710,
    2532, -5468, -5468, -5468, -5468, -5468, -5468, -5468, 45826, 60664,
    4029,  4001,  3313, -5468,  4085, -5468, -5468,  1706,  3222, -5468,
   17578, 81994, 65404,  4427, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468,  3222,  4073, -5468, -5468, 67774, -5468, 81994, -5468, -5468,
    2536, -5468, -5468, -5468, 81994,  3786, -5468,  3786, -5468, -5468,
   -5468,  1253,  4096,  1154,  1154,  4377, -5468,  4067, -5468, -5468,
    4005, -5468,  4498,  4137, 81994, -5468, -5468,   204,  1701, 68722,
    3605, -5468, -5468,  2087,  3859,  3203, 32770,  2538, -5468,  4143,
     182, -5468,  3882,  3876, -5468, -5468, 42480,  4008,  3186,  4368,
   -5468, -5468, -5468,  1926, 65404, 65404, 81994, -5468, -5468, -5468,
   32770,   953, 37670,  4153,   232, 13381,  4362, -5468,  4362,  4362,
   -5468, 81994, 81994, 81994, -5468,  3420, -5468, -5468, 38160, 38160,
    4240, -5468,  1173, -5468, 81994, -5468,  4022, -5468, -5468,  2543,
   -5468,   912,   280,  4023, -5468, -5468, -5468,  4106,  1706, -5468,
    3222, -5468, 81994, -5468,  4026, -5468, -5468, -5468, 61138,  3786,
   -5468, -5468, -5468,  4490, -5468,   281, -5468, -5468, -5468, -5468,
   81994,  3605,  3738,  3825, -5468,  3882,  3203,  2087, 12061, -5468,
   42958, 81994, 81994,  3876, -5468,  2544, 42480,  3876,  4167, -5468,
    1893, -5468, -5468, -5468, -5468, -5468, -5468, -5468,  4030,  4031,
   -5468, -5468, 12407, 65404,  4484, -5468, -5468, -5468, -5468, -5468,
     742, -5468, -5468, -5468,  1100,  1127,  1750,  4444,  1774,  1774,
   -5468, -5468, -5468, 32770, -5468, -5468, -5468, 32770,  1706, -5468,
   -5468, -5468, 32770, -5468, -5468, -5468, -5468,  3605, -5468, -5468,
    3876,  2087,  3882,  4143, -5468, -5468, -5468, -5468, -5468,  4256,
   -5468,  2549,  3081,  3977,  2159, -5468, -5468,  2255,  2325,  4113,
    4355, -5468,  4039, 36690,  4175, -5468,  4243, -5468, 81994, 81994,
   58768, 81994, 81994, 12443, 12689,  1706,  2554, -5468, -5468,  3882,
    3876, 81994,  3186, -5468, 42480, -5468,  4382, -5468,  1893,  4165,
    4166, 56872, -5468, -5468, -5468, -5468, -5468,   286,  4422, -5468,
    2555, -5468, -5468, -5468,  3876, -5468, -5468,  3876, -5468,   953,
   -5468,  4086,  4087, -5468,  2560, -5468, -5468, -5468, -5468, 32770,
   58768, -5468, -5468,  3081, 65404,  4370,  4371, -5468, 56872,    99,
    4109, -5468,  4050, 65404, 65404, -5468,  4055, 81994, 56872, -5468,
   -5468,   465, -5468,  2561, -5468
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1655,  1421,   637,  1508,  1507,  1421,     0,   261,     0,  1518,
       0,  1421,   424,  1082,     0,     0,     0,     0,   637,  1421,
       0,  1655,     0,     0,     0,     0,     0,  1668,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1421,     0,     0,
    1675,     0,     0,     0,     0,  1668,     0,  1520,     0,     0,
       0,     0,  1675,     0,     0,     0,     0,     0,     2,     9,
      10,    45,    80,    81,    38,    37,    98,    63,    24,    71,
     132,   131,   133,    50,    46,    88,    33,    35,    47,    51,
      73,    75,    40,    53,    64,   110,    72,    31,    70,    76,
      96,    58,    19,    20,    59,    21,    60,    22,    61,   106,
      82,    99,    43,    69,    30,    52,    78,    79,    12,    54,
      86,    18,    65,    66,    68,    91,    92,    93,   115,    94,
     127,    49,   124,   103,   104,   121,   105,   122,    16,   107,
      62,    23,   118,   117,   119,    89,    55,    90,    77,    97,
     116,    34,   120,    25,    26,    28,    29,    27,    67,    36,
      74,    39,    95,   123,   113,   109,   128,   126,    11,   134,
     111,    83,    14,    15,   100,    13,    32,    57,    17,    42,
      41,    56,    48,   130,    44,  1518,   102,   114,   101,    84,
     108,    87,   112,   129,    85,   125,  1619,  1618,  1679,  1622,
    1654,     0,  1634,  1420,  1419,  1434,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   636,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1431,  2271,  2288,  2289,  2290,  2291,  2292,  2293,
    2294,  2295,  2296,  2297,  2298,  2299,  2300,  2301,  2303,  2302,
    2304,  2305,  2645,  2306,  2307,  2308,  2594,  2595,  2646,  2596,
    2597,  2309,  2310,  2311,  2312,  2313,  2314,  2315,  2316,  2317,
    2598,  2599,  2318,  2319,  2320,  2321,  2322,  2600,  2647,  2323,
    2324,  2325,  2326,  2327,  2328,  2648,  2329,  2330,  2331,  2332,
    2333,  2334,  2335,  2336,  2337,  2649,  2338,  2339,  2340,  2650,
    2341,  2342,  2343,  2344,  2345,  2346,  2601,  2602,  2347,  2348,
    2349,  2350,  2351,  2352,  2353,  2354,  2355,  2356,  2357,  2358,
    2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,  2367,  2368,
    2369,  2370,  2371,  2372,  2373,  2374,  2603,  2375,  2376,  2377,
    2378,  2604,  2379,  2380,  2381,  2382,  2605,  2383,  2384,  2385,
    2651,  2652,  2386,  2387,  2388,  2389,  2390,  2606,  2607,  2391,
    2392,  2393,  2394,  2395,  2396,  2397,  2653,  2398,  2399,  2400,
    2401,  2402,  2403,  2404,  2405,  2406,  2407,  2408,  2409,  2654,
    2608,  2410,  2411,  2412,  2413,  2609,  2610,  2611,  2414,  2655,
    2656,  2415,  2657,  2416,  2417,  2418,  2419,  2420,  2421,  2612,
    2658,  2422,  2659,  2423,  2424,  2425,  2426,  2427,  2428,  2429,
    2430,  2431,  2432,  2433,  2434,  2435,  2436,  2437,  2438,  2439,
    2440,  2441,  2613,  2660,  2614,  2442,  2443,  2444,  2445,  2446,
    2447,  2448,  2615,  2616,  2449,  2450,  2451,  2661,  2452,  2617,
    2453,  2618,  2454,  2455,  2456,  2457,  2458,  2459,  2460,  2461,
    2462,  2463,  2619,  2662,  2464,  2663,  2620,  2465,  2466,  2467,
    2468,  2469,  2470,  2471,  2472,  2473,  2474,  2475,  2621,  2476,
    2622,  2479,  2477,  2478,  2480,  2481,  2482,  2483,  2484,  2485,
    2486,  2487,  2488,  2489,  2623,  2490,  2491,  2492,  2493,  2494,
    2495,  2496,  2497,  2498,  2499,  2500,  2501,  2502,  2503,  2504,
    2505,  2506,  2507,  2508,  2664,  2509,  2510,  2511,  2512,  2513,
    2624,  2514,  2515,  2516,  2517,  2518,  2519,  2520,  2521,  2522,
    2523,  2524,  2525,  2526,  2527,  2528,  2529,  2625,  2530,  2531,
    2665,  2532,  2533,  2626,  2534,  2535,  2536,  2537,  2538,  2539,
    2540,  2541,  2542,  2543,  2544,  2545,  2546,  2547,  2627,  2548,
    2549,  2550,  2551,  2666,  2552,  2553,  2554,  2555,  2556,  2557,
    2628,  2629,  2558,  2559,  2630,  2560,  2631,  2561,  2562,  2563,
    2564,  2565,  2566,  2567,  2568,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,  2576,  2577,  2578,  2632,  2633,  2579,  2667,  2580,
    2581,  2582,  2583,  2584,  2585,  2586,  2587,  2588,  2589,  2590,
    2634,  2635,  2636,  2637,  2638,  2639,  2640,  2641,  2642,  2643,
    2644,  2591,  2592,  2593,   136,     0,     0,  2238,  2272,  2273,
    2276,  2271,   396,   395,  1608,  2235,  2272,  1517,     0,  1497,
     637,     0,  1434,   423,  1655,     0,     0,     0,     0,     0,
       0,   853,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   184,     0,     0,     0,     0,   447,
     446,     0,     0,  1048,   452,     0,     0,     0,     0,     0,
     627,  1557,  2477,  1555,  1609,   262,   265,   266,   263,   264,
    2254,     0,  1199,  1200,  1202,     0,     0,  1212,   893,   894,
       0,     0,     0,   907,     0,     0,     0,   891,     0,     0,
       0,   913,     0,   910,     0,     0,   914,   911,   888,   912,
     895,     0,   887,     0,     0,  1212,   915,     0,     0,   889,
       0,     0,     0,     0,  1434,  1554,   453,  1655,     0,  1539,
    1540,  1541,  1518,  1530,  1542,  1535,  1537,  1536,  1538,  1534,
    2253,  2289,   983,   983,   983,   983,   980,   981,   983,   983,
     983,  2497,     0,     0,   962,     0,   964,  2255,   983,   988,
     519,   519,   519,     0,   987,   992,   519,     0,  1402,  1443,
    2237,  1667,     0,   963,  1401,  2558,  1545,     0,     0,  1227,
    1223,  1225,  1226,  1224,     0,  1051,  1051,  2516,  1411,   246,
    2527,  2628,  2558,   245,   240,   241,   214,  2293,     0,     0,
     987,     0,  1434,  1409,   959,  1674,  1672,     0,  2222,  2316,
    2332,  2425,   237,  2509,  2517,  2527,  2628,  2558,  2590,   193,
     203,   198,     0,   255,  2527,  2628,  2558,   251,  1431,     0,
    1635,  1782,  2231,     0,  1404,  1403,  1519,     0,  1522,     0,
    2492,  1639,  1642,  1524,  1640,  2274,  1857,  1886,  1864,  1886,
    1886,  1853,  1853,  2362,  1866,  1854,  1855,  1891,     0,  1886,
    1853,  1858,     0,  1856,  1894,  1894,  1881,     3,  1838,  1839,
    1840,  1841,  1867,  1868,  1842,  1873,  1874,  1878,  1843,  1908,
    1853,  2275,  1676,  1677,  2222,     4,  2268,     5,  2217,  2267,
       6,     7,  1631,     0,     0,     1,  1655,     0,  1529,  1671,
    1671,     0,  1671,     0,  1623,  1631,  1626,  1630,     0,     0,
       0,     0,     0,  1405,     0,     0,     0,   918,     0,  1446,
    1033,     0,     0,     0,     0,     0,  1296,  1092,     0,  1094,
    1093,  2277,  2260,  2261,  2262,     0,  2258,  2259,  2278,  2279,
    2280,     0,  2397,  1296,     0,     0,  2133,  2144,  2145,  2146,
    2320,  2379,  2141,  2142,  2143,  2135,  2136,  2137,  2138,  2139,
    2140,     0,     0,  1194,  2134,     0,  2397,     0,  1097,  1296,
       0,     0,   163,     0,   140,  1296,     0,     0,  2397,     0,
       0,  2397,     0,     0,     0,     0,     0,  2397,     0,     0,
       0,     0,     0,   163,  2430,     0,   140,  2397,     0,     0,
    1425,     0,     0,     0,  1427,  1430,  1417,     0,  2214,     0,
    2215,  2239,     0,  1511,  1505,  1514,  1510,  1500,     0,  2231,
       0,     0,     0,     0,   901,     0,     0,   891,     0,     0,
       0,   902,     0,   903,   904,     0,     0,     0,     0,   900,
       0,  1415,  1407,     0,  1547,  1549,  1548,  1546,   519,     0,
       0,     0,  2397,     0,   140,  1484,     0,  2397,   140,     0,
       0,   451,   450,   140,  2258,   449,   448,  2320,  2379,     0,
    1081,     0,  1361,   140,  2397,     0,   186,  2397,   696,  2397,
    1524,     0,   640,     0,   808,  2430,   140,     0,     0,     0,
       0,     0,     0,  1051,     0,     0,     0,     0,     0,     0,
       0,   626,   637,  1558,  1556,     0,  1203,   239,   238,  1201,
     905,  2397,  1128,   357,     0,     0,  2397,  1465,  2397,   357,
     922,   906,     0,   892,  2397,   357,  1087,  2397,  2263,   173,
       0,   890,  2320,  2379,  2397,   357,  1196,     0,  2397,   357,
    1089,  2397,   169,  2397,   357,  2397,   357,  2397,   641,     0,
       0,  2397,   357,  2397,  2430,   171,   909,  2397,   357,   916,
    2397,   357,  2233,  2397,     0,  1418,     0,  1550,     0,  1532,
    2632,     0,  1655,   983,   982,     0,   983,     0,   983,     0,
     983,     0,   983,     0,     0,     0,   983,  2256,  2257,   965,
       0,   989,     0,     0,   996,   995,   994,     0,     0,     0,
     997,     0,  1786,  1585,     0,  1399,  1414,     0,     0,     0,
    1051,     0,  1050,     0,     0,  1410,   244,   242,     0,     0,
       0,     0,     0,     0,  1416,     0,  1408,     0,     0,     0,
    2241,  2243,  2244,  2147,  2217,     0,  2595,  2596,  2597,  2206,
       0,  2598,  2599,  2600,  2647,  2037,  2024,  2033,  2038,  2025,
    2027,  2034,  2601,  2602,  1975,  2603,  2604,  2251,  2605,  2606,
    2607,  2609,  2610,  2611,  2612,  2029,  2031,  2613,  2614,  2616,
       0,  2252,  2617,  2618,  2459,  2620,  2621,  2623,  2624,  2035,
    2626,  2627,  2628,  2629,  2630,  2631,  2250,     0,  2036,  2633,
    2635,  2636,  2637,  2638,  2640,  2641,  2642,  2643,     0,     0,
       0,  2228,     0,  2004,     0,  1846,  1847,  1869,  1870,  1848,
    1875,  1876,  1849,     0,  2227,  1911,  2092,  2003,  2020,     0,
    2009,  2010,     0,  2002,  1998,  1657,  2223,     0,  1999,  2240,
    2242,  2207,  1657,  2221,   206,   257,     0,   258,  2229,  2527,
     194,   236,   208,   235,   209,   207,     0,  2318,   195,     0,
       0,   196,     0,     0,     0,     0,   254,   252,     0,  1406,
       0,  1784,  1783,  2232,   927,     0,  1521,  1518,  2157,     0,
    1641,     0,     0,     0,  1885,  1872,  1880,  1879,     0,  1862,
    1861,  1860,     0,  1859,  1886,  1886,  1884,  1863,  1838,     0,
       0,     0,  1890,     0,  1888,  1834,  1830,     0,  1897,  1898,
    1899,  1896,  1909,  1895,     0,  1844,  1900,     0,  1853,  1850,
    1742,     0,  1621,  1620,     8,     0,  1526,  1528,  1503,  1524,
    1669,  1670,     0,     0,     0,     0,     0,     0,     0,     0,
    1729,  1687,  1688,  1690,  1726,  1730,  1738,     0,  1627,     0,
       0,  1788,     0,     0,  1432,     0,     0,     0,     0,     0,
    1127,     0,     0,     0,     0,   919,     0,     0,     0,  1452,
       0,  1454,  1455,  1456,     0,     0,  1457,  1458,  1446,   248,
    1464,  1462,  1445,  1447,  1460,     0,     0,     0,     0,     0,
       0,     0,  1476,     0,   177,   178,     0,   653,   637,     0,
    2397,     0,     0,     0,     0,  1137,  1144,  1295,     0,     0,
       0,     0,     0,     0,     0,     0,  1138,  1136,     0,  1139,
     250,  1149,  1176,  1179,     0,     0,  1091,  1095,     0,     0,
       0,     0,     0,  1286,     0,     0,     0,  1286,     0,     0,
       0,  1295,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   273,   275,   288,   352,     0,   618,     0,     0,     0,
     621,     0,  2397,  1296,     0,     0,     0,  1198,     0,     0,
       0,     0,     0,     0,     0,     0,  1179,     0,  1096,     0,
       0,     0,     0,     0,     0,     0,     0,   138,   139,   144,
       0,     0,     0,     0,  1179,     0,     0,     0,     0,     0,
       0,     0,   604,   617,     0,     0,     0,     0,     0,   614,
       0,     0,   140,   278,   594,   600,     0,     0,     0,   703,
     702,     0,     0,     0,     0,     0,     0,  1376,     0,  1375,
       0,     0,     0,     0,  1474,  1473,     0,     0,     0,     0,
       0,     0,  1286,     0,   267,   269,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   388,   389,     0,     0,     0,   144,     0,     0,  1286,
       0,   280,     0,     0,  1426,  1423,  1424,     0,  1429,     0,
       0,     0,     0,  2012,     0,  2161,  1679,  2159,  1112,  2213,
       0,  2281,  2668,  2669,  2670,  2671,  2672,  2673,  2674,  2675,
    2676,  2677,  2678,  2679,  2680,  2681,  2682,  2683,  2684,  2685,
    2686,  2687,  2688,  2689,  2690,  2691,  2692,  2693,  2694,  2695,
    2696,  2697,  2698,  2699,  2700,  2701,  2702,  2703,  2704,  2705,
    2706,  2707,  2708,  2709,  2710,  2711,  2712,  2713,  2714,  2715,
    2716,  2717,  2718,  2719,  2720,  2721,  2722,  2723,  2724,  2725,
    2726,  2727,  2728,  2729,  2730,  2731,  2732,  2733,  2734,  2735,
    2736,  2737,  2738,  2739,  2740,  2741,  2742,  2743,  2744,  2210,
    2209,  2236,  2282,  2283,  2284,  2285,  2216,     0,     0,   225,
     226,   224,  1512,   227,  1513,  1509,     0,  1495,     0,     0,
       0,     0,     0,     0,     0,     0,  2320,  2379,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   816,  1446,  1483,     0,     0,     0,
     646,     0,  2397,     0,   142,   854,     0,   806,   452,     0,
       0,     0,  1169,  1360,   142,     0,     0,   180,     0,     0,
     700,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   807,     0,     0,   142,     0,  2397,   597,  2397,     0,
     519,   519,     0,     0,  1053,     0,     0,     0,     0,     0,
       0,     0,     0,  1613,  1612,  1615,  1614,     0,  1611,     0,
     355,   356,     0,  1186,  1211,     0,     0,     0,     0,     0,
     883,   908,     0,     0,  1180,     0,     0,  2397,   357,  2397,
       0,  2397,     0,     0,     0,  1188,   357,     0,     0,  1182,
       0,     0,  1184,     0,  1377,     0,   899,   897,   896,   898,
       0,     0,   881,     0,     0,     0,     0,     0,   876,     0,
       0,   878,     0,     0,     0,     0,  1655,  1531,     0,   973,
       0,   977,     0,   968,     0,   974,     0,   969,   966,   967,
       0,   972,     0,     0,   520,   522,     0,     0,  2344,  2361,
       0,  2386,  2418,  2419,  2483,  2512,  2517,  2523,     0,  2552,
    2563,     0,   998,  1028,   993,   712,     0,     0,  1595,  1400,
    2166,     0,  1655,     0,     0,     0,  1219,  1220,   243,   215,
       0,     0,     0,  1030,  2516,  1413,   958,   637,     0,  2000,
       0,  2007,  2008,  2205,     0,     0,     0,     0,     0,     0,
    2006,     0,     0,     0,     0,     0,     0,     0,  1933,     0,
       0,  2165,     0,     0,  2165,     0,     0,  1968,     0,     0,
       0,     0,     0,     0,     0,     0,  1934,  1915,  1916,  2004,
    2157,     0,  2005,  2247,     0,  1908,  2286,  2147,     0,  2144,
    2145,  2146,  2745,  2746,  2747,  2748,  2749,  2750,  2751,  2752,
    2753,  2754,  2755,  2756,  2757,  2758,  2759,  2760,     0,  2761,
    2762,  2763,  2764,  2765,  2767,  2766,  2768,  2769,  2770,  2771,
    2772,  2773,  2220,  2775,  2776,  2777,  2778,  2779,  2780,  2781,
    2782,  2783,  2784,  2785,  2786,  2787,  2788,  2789,  2790,  2791,
    2792,  2793,  2794,  2795,  2796,  2797,  2798,  2799,  2800,  2801,
    2802,  2803,  2804,  2805,  2806,  2807,  2808,  2809,  2810,  2811,
    2812,  2813,  2814,  2815,  2816,  2817,  2818,  2819,  2820,  2821,
    2822,  2823,  2824,  2825,  2826,  2827,  2828,  2829,  2830,  2831,
    2832,  2833,  2834,  2835,  2836,  2837,  2838,  2839,  2840,  2841,
    2842,  2843,  2844,  2845,  2846,  2847,  2848,  2849,  2850,  2851,
    2852,  2853,  2854,  2855,  2856,  2857,  2858,  2859,  2860,  2861,
    2862,  2863,  2864,  2865,  2866,  2867,  2868,  2869,  2870,  2871,
    2872,  2873,  2874,  2875,  2876,  2877,  2878,  2879,  2880,  2881,
    2882,  2883,  2884,  2885,  2886,  2887,  2888,  2889,  2890,  2891,
    2892,  2893,  2894,  2895,  2896,  2897,  2898,  2899,  2900,  2901,
    2902,  2903,  2904,  2905,  2906,  2907,  2908,  2909,  2910,  2911,
    2912,  2913,  2914,  2915,  2916,  2917,  2918,  2919,  2920,  2921,
    2922,  2923,  2924,  2925,  2926,  1948,  2927,  2928,  2929,  2930,
    2931,  2932,  2933,  2934,  2935,  2936,  2937,  2938,  2939,  2940,
    2941,  2942,  2943,  2944,  2945,  2946,  2947,  2948,  2949,  2950,
    2951,  2952,  2953,  2954,  2955,  2956,  2957,  2958,  2959,  2960,
    2961,  2962,  2963,  2964,  2965,  2966,  2967,  2968,  2969,  2970,
    2971,  2972,  2973,  2974,  2975,  1950,  2976,  2977,  2978,  2979,
    2980,  2981,  2982,  2983,  2984,  2985,  2986,  2987,  2988,  2989,
    2990,  2991,  2992,  2993,  2994,  2995,  2996,  2997,  2998,  2999,
    3000,  3001,  3002,  3003,  3004,  3005,  3006,  3007,  3008,  3009,
    3012,  3010,  3011,  3013,  3014,  3015,  3016,  3017,  3018,  3019,
    3020,  3021,  3022,  3023,  3024,  3025,  3026,  3027,  3028,  3029,
    3030,  3031,  3032,  3033,  3034,  3035,  3036,  3037,  3038,  3039,
    3040,  3041,  3042,  3043,  3044,  3045,  3046,  3047,  3048,  3049,
    3050,  3051,  3052,  3053,  3054,  3055,  3056,  3057,  3058,  3059,
    3060,  3061,  3062,  3063,  3064,  3065,  3066,  3067,  3069,  3068,
    3070,  3071,  3072,  3073,  3074,  3075,  3076,  3077,  3078,  3079,
    3080,  3081,  3082,  3083,  3084,  3085,  3086,  3087,  3088,  3089,
    3090,  3091,  3092,  3093,  3094,  3095,  3096,  3097,  3098,  3099,
    3100,  3101,  3102,  3103,  3104,  3105,  3106,  3107,  3108,  3109,
    3110,  3111,  3112,  3113,  3114,  3115,  3116,  3117,  3118,  3119,
    3120,  3121,  3122,  3123,  3124,  3125,  3126,  3127,  3128,  3129,
    3130,  3131,  3132,  3133,  3134,  3135,  3136,  3137,  3138,  3139,
    3140,  3141,  3142,  3143,  3144,  3145,  3146,  3147,  3148,  3149,
    3150,  3151,  3152,  3153,  3154,  3155,  3156,  3157,  3158,  3159,
    3160,  3161,  3162,     0,  2141,  2142,  2143,  2135,  2136,  2137,
    2138,  2139,  2140,  2151,     0,     0,  2226,  2287,     0,  2094,
       0,  1930,     0,     0,  1742,     0,  2245,  2208,  1742,   259,
     260,   256,     0,     0,   211,   210,     0,   229,   233,   234,
     205,   232,     0,   228,   213,  2081,  2080,   212,   204,   201,
     199,   216,   218,   219,   202,   200,   253,     0,     0,     0,
     357,  1529,  1516,     0,     0,  2220,     0,  2155,     0,     0,
    2153,     0,     0,     0,  1739,     0,  1643,     0,  1647,     0,
       0,     0,  1883,  1882,  1835,  1831,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   920,
       0,  1851,     0,  1804,  2269,  2270,  2218,  1675,  1529,     0,
    1525,  1638,  1637,  1680,  1681,  1073,  1636,  1709,  1710,     0,
       0,     0,     0,  1735,  1733,  1700,  1691,  1699,     0,     0,
    1697,     0,  1701,  1911,  1728,  1625,  1685,  1686,  1689,  1624,
       0,  1731,     0,  1598,  1729,  1690,  1582,     0,  1560,     0,
    1789,     0,     0,  1433,     0,     0,     0,  1107,  1109,     0,
    1108,     0,  1111,     0,  1120,     0,     0,  1106,  1125,     0,
    1114,  1112,     0,  1472,     0,     0,     0,     0,     0,  1453,
       0,     0,  2552,   247,  1456,  1461,  1448,  1459,     0,     0,
       0,     0,     0,  1032,  1031,     0,     0,  1055,     0,     0,
       0,  1479,   508,     0,   354,     0,     0,     0,     0,     0,
       0,     0,     0,   802,   799,     0,     0,   798,     0,   651,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   676,     0,  1286,     0,   286,     0,  1146,     0,  1145,
       0,  1150,     0,     0,  1147,  1142,  1143,  2517,  2527,  2558,
     249,  1148,  1178,     0,  1177,  1173,     0,  1084,     0,  1085,
       0,     0,     0,     0,     0,  2371,  2397,   294,   317,     0,
    1285,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   339,     0,     0,   342,
     341,     0,     0,     0,     0,     0,   346,   325,     0,   326,
       0,   345,     0,     0,     0,   619,   620,     0,     0,     0,
    1286,     0,   282,     0,     0,     0,     0,     0,     0,     0,
       0,  1195,     0,   729,     0,     0,  2517,  1174,     0,     0,
       0,     0,     0,     0,  1364,     0,     0,   166,     0,   161,
     165,     0,     0,  2517,  1175,     0,     0,     0,     0,     0,
     602,   603,   616,     0,   607,   608,   605,   609,   610,     0,
       0,     0,     0,     0,     0,     0,   601,     0,     0,   698,
     697,   701,     0,     0,     0,     0,     0,     0,  1370,     0,
       0,  1169,     0,     0,  1369,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1229,  1228,     0,     0,     0,
       0,  1296,     0,   844,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   168,   716,     0,   715,     0,   162,   167,
       0,     0,     0,     0,     0,     0,     0,     0,   223,  1422,
    1428,  1679,  1679,  1679,  2018,     0,     0,     0,     0,  1678,
    2211,  2214,  1500,  1506,  1499,  1498,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   402,   399,   400,   402,     0,     0,     0,
       0,   818,     0,   821,   824,  1444,   473,     0,     0,   643,
     676,     0,     0,   455,   175,     0,     0,     0,     0,   731,
       0,     0,     0,  1359,   137,   184,   186,   453,     0,   185,
     187,   189,   190,   191,   188,   192,     0,   695,   699,     0,
       0,     0,     0,   639,     0,     0,     0,     0,     0,     0,
       0,  1809,     0,     0,   160,     0,     0,   592,   596,     0,
       0,     0,     0,   455,   558,   368,  2397,     0,   519,     0,
    2397,     0,  1052,     0,   805,     0,     0,     0,  1131,  1131,
       0,     0,   745,   744,     0,     0,     0,     0,     0,     0,
    1610,   357,  1129,     0,  1466,     0,   357,   923,   357,  1088,
     174,  2264,     0,   885,     0,     0,     0,     0,   357,  1197,
     873,   357,  1090,   170,   357,   357,   642,     0,   357,   172,
       0,     0,   357,   917,   357,  2234,     0,   357,  1553,  2397,
     519,  1533,   970,   979,   978,   976,   975,   971,     0,   990,
       0,   518,     0,     0,     0,     0,     0,  1006,  1007,     0,
       0,  1003,  1008,     0,  1004,  1005,  1010,  1000,   999,  1011,
    1012,     0,     0,  1030,   710,     0,     0,     0,     0,  1592,
       0,  1590,     0,  1787,  1594,  1583,  1544,     0,  1543,     0,
     585,  1051,  1051,     0,     0,   987,     0,     0,   357,  1412,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2170,     0,  2171,     0,     0,  2204,  2200,     0,     0,
       0,     0,     0,  2174,  2177,  2178,  2179,  2176,  2180,  2175,
       0,     0,  2181,     0,     0,     0,     0,     0,     0,     0,
       0,  2161,  2164,     0,     0,  2624,     0,     0,     0,     0,
    1976,     0,     0,  2128,     0,  2161,     0,     0,     0,     0,
       0,     0,     0,  2157,  2196,     0,     0,     0,     0,  2079,
       0,  2076,     0,     0,     0,     0,  2217,     0,     0,  2248,
    1912,  1926,  1927,  1928,  1931,  2225,     0,  2219,     0,     0,
    1913,  1939,     0,  2197,  1964,     0,  1969,  1954,  2182,  2183,
    2184,  2185,  1971,     0,  1947,  1952,  1956,     0,  1935,     0,
    1932,     0,  2220,  2156,     0,  2154,     0,  1923,  1924,  1925,
    1917,  1918,  1919,  1920,  1921,  1922,  1929,  2132,  2130,  2131,
       0,     0,     0,  2102,     0,     0,  1951,  2389,  2425,     0,
    1668,  1668,  1668,  1656,  1666,  2224,  1804,  1679,  1804,  2230,
       0,     0,  1908,     0,  1785,   925,   926,   924,  1502,  1515,
    1529,  2158,  1523,  1645,     0,     0,     0,  1852,  1865,     0,
    1893,  1892,  1894,  1894,     0,  1836,     0,  1877,  1902,  1903,
    1904,  1905,  1906,  1907,     0,  1901,  1845,   921,     0,  2514,
    2644,     0,  1766,  1741,  1743,  1753,  1766,  1773,  1766,  2021,
    1802,  2022,  2231,     0,  1712,  2266,  1504,  1527,     0,  1071,
    1072,     0,  1076,  2624,  2514,     0,     0,     0,     0,  1702,
    1736,     0,  1727,     0,  2241,  1703,  2240,  1704,  1707,  1708,
    1698,  1737,  1596,     0,  1732,  1629,  1628,     0,  1807,     0,
       0,     0,  1574,  1562,     0,  1790,     0,  1742,  1600,     0,
    2217,  1740,  1335,  1230,  1297,  1110,     0,  1853,  1121,     0,
    1105,     0,  1104,  1853,     0,  1122,     0,  1853,  1336,  1231,
    1298,  1337,  1232,  1299,  1338,  1233,  1463,  1451,  1450,  1449,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   783,  2397,   357,  1477,  1339,     0,
    1234,   353,  1478,  1300,  1482,   801,   800,     0,     0,  1301,
       0,   652,   657,     0,   659,   660,  2320,  2379,   661,   664,
     665,     0,   667,   656,   655,     0,     0,     0,     0,     0,
     673,   678,     0,     0,     0,     0,     0,     0,  1140,  1141,
    1340,  1237,     0,  1302,     0,  1083,     0,  1238,   176,     0,
       0,   274,  2397,   296,     0,   471,   783,     0,  1288,   293,
     323,     0,   338,   333,   334,   332,  2397,   357,  2397,   357,
       0,     0,     0,     0,     0,   335,   330,   331,   327,     0,
       0,   340,  2292,  2363,  2528,     0,   684,   686,     0,   691,
     343,  1258,   364,   363,   362,     0,   347,     0,   369,   372,
     344,   324,   322,   319,   289,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1190,     0,  1343,  1303,
       0,  1325,     0,     0,     0,     0,   723,  1346,  1244,  1306,
       0,  1365,  1367,  1357,  1245,  1366,   164,  1275,   153,     0,
       0,   149,     0,     0,     0,     0,   143,  1347,  1246,  1307,
       0,     0,  1348,  1247,     0,     0,   279,   595,   606,   611,
    1252,   615,   612,  1315,   613,  1355,  1248,     0,  1351,  1278,
    1310,   578,  1169,  1169,  1358,  1371,  1249,  1169,     0,  1286,
       0,   268,   270,     0,  1051,     0,  1250,     0,  1308,  1350,
    1277,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1485,     0,     0,     0,     0,     0,     0,   357,     0,     0,
       0,  1288,  2397,   357,  1349,     0,  1283,     0,  1323,     0,
       0,   390,     0,  1276,  1286,     0,   281,  1254,     0,  1317,
       0,     0,   221,   220,   222,     0,     0,     0,     0,  2162,
    2163,     0,  2160,  2013,  2213,     0,  1496,   947,   933,   946,
       0,   929,  2361,     0,   932,   934,     0,     0,     0,   935,
     939,   940,     0,   931,   928,   930,     0,   401,     0,     0,
     740,   741,     0,     0,     0,     0,   820,     0,     0,  1475,
       0,   140,   650,     0,     0,     0,   645,   675,   680,     0,
       0,     0,     0,   454,   458,   462,   463,   464,     0,     0,
       0,     0,   154,   141,     0,   862,     0,   519,     0,   733,
    1363,  1362,  1168,     0,   186,   179,     0,     0,   696,     0,
    1524,     0,     0,   573,   576,   575,     0,   368,   815,   813,
     812,   814,   836,   811,     0,  1808,  1810,     0,     0,     0,
       0,     0,     0,   585,   457,     0,     0,   522,     0,   561,
       0,     0,     0,     0,   558,     0,     0,     0,  2274,     0,
     832,   804,     0,  1099,     0,  1117,  1100,     0,     0,     0,
       0,  1154,  1161,  1130,  1155,  1132,  1161,     0,     0,   746,
     750,   749,   753,   751,     0,   747,   624,  1616,  1617,     0,
    1187,     0,     0,  1471,     0,  1469,   884,  1181,   357,     0,
     357,     0,   357,  1189,  1183,  1185,  1378,     0,   882,     0,
       0,   875,   877,     0,   879,     0,   991,   521,     0,     0,
       0,     0,     0,     0,  1002,   622,  1009,     0,  1023,  1018,
    1020,     0,  1024,   709,     0,     0,  1593,  1586,  1588,  1587,
       0,     0,  1584,  2167,   874,     0,   591,     0,     0,     0,
       0,  1030,     0,  1025,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1673,  2168,  2169,     0,     0,     0,
    2201,     0,     0,  2054,     0,  2026,  2028,  2040,     0,  2055,
    2011,  2056,  2030,  2032,  2041,     0,     0,  2148,     0,  2044,
    2043,     0,  1978,  1979,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1993,  2045,  2127,     0,     0,     0,  2047,  2046,
       0,     0,  2195,     0,     0,     0,  2052,  2057,     0,     0,
       0,     0,  2063,     0,  2084,     0,     0,     0,  2001,  2158,
       0,     0,     0,     0,     0,     0,     0,     0,  1970,  1955,
    1973,  1949,  1953,  1957,     0,  1972,     0,     0,  1943,     0,
       0,  1941,  1965,  1937,     0,     0,  1966,     0,     0,     0,
    2019,     0,     0,  1668,  1668,  1668,  1668,  1665,     0,     0,
       0,  1712,     0,  1712,   197,     0,   230,   217,  1501,  1646,
    1655,  1871,     0,  1889,  1887,  1832,  1837,  1910,  1766,  1773,
    1766,     0,     0,  1631,     0,  1753,     0,  1765,  1751,  1764,
       0,     0,  1779,  1777,     0,  1779,     0,  1779,     0,  1745,
       0,  1769,  1747,  1764,  1749,     0,  1794,  2232,  1803,     0,
    1725,  1682,     0,  2149,  1076,     0,  1684,  1706,  1705,     0,
    1695,     0,  1734,  1692,  1597,  1581,     0,  1579,  1566,  1568,
    1567,     0,     0,  1569,  2217,     0,  1579,  1561,  1605,     0,
       0,  1807,     0,  1604,     0,  1853,  1102,  1103,     0,  1126,
       0,  1035,  1036,     0,  1034,     0,     0,     0,   507,  1054,
       0,     0,     0,   783,     0,     0,   511,     0,  1480,     0,
    1356,  1274,   654,     0,     0,     0,     0,   669,   628,   670,
     672,     0,     0,   671,   674,   677,  1286,     0,   287,  1260,
       0,  1321,  1134,     0,     0,  1086,     0,     0,     0,     0,
       0,     0,   680,   318,     0,     0,     0,     0,   377,   471,
     298,   309,   375,   316,     0,   349,     0,   321,     0,   314,
     336,   328,   337,   329,   348,   350,     0,   688,   689,   687,
     683,     0,   690,   692,     0,   366,     0,     0,     0,     0,
    1342,     0,  1286,     0,   283,  1256,     0,  1319,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1324,     0,     0,     0,     0,   728,     0,   725,     0,     0,
       0,   146,   145,     0,   152,     0,     0,     0,     0,     0,
       0,  1372,  1373,  1374,     0,     0,     0,     0,     0,     0,
     384,     0,   290,   292,   291,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   391,   359,     0,   839,     0,     0,     0,   393,
       0,     0,  1334,     0,     0,     0,     0,     0,  1341,  1239,
    2016,  2017,  2014,  1679,  2212,     0,     0,     0,   944,     0,
       0,     0,     0,   404,   405,   140,   403,   426,     0,   783,
       0,     0,   817,   822,   830,  2459,  2135,  2136,   828,   823,
     825,   827,   829,   826,     0,     0,     0,     0,   489,     0,
       0,     0,   479,     0,     0,  1169,   472,   475,   476,     0,
       0,   646,   649,   647,   648,     0,   668,     0,   457,   496,
     548,     0,   156,     0,     0,   157,   155,     0,     0,   368,
     730,     0,   727,     0,   182,     0,   700,     0,     0,     0,
       0,     0,  1169,   638,     0,   835,   837,   809,     0,   680,
       0,     0,   597,     0,   519,  1554,   580,     0,   550,   457,
     548,   557,     0,     0,   565,   367,     0,     0,   585,   368,
       0,     0,  1055,     0,   831,     0,     0,  1098,     0,     0,
       0,  1151,  1156,  1152,     0,  1131,  1113,     0,  1153,     0,
       0,  1159,  1079,  1133,  1080,  1394,  1395,  1392,  1393,     0,
       0,     0,     0,     0,     0,  1607,     0,     0,  1467,     0,
     886,     0,   869,     0,   871,   357,   717,     0,   357,     0,
       0,     0,     0,     0,     0,  1001,     0,  1021,     0,     0,
    1030,  1027,     0,     0,  1591,  1589,   583,     0,  1221,  1222,
    1030,     0,   357,  1029,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2172,     0,  2203,  2199,     0,  2023,
    2173,     0,     0,     0,  2128,     0,     0,  1977,  1989,  1990,
    1991,  2188,     0,  1996,     0,  1986,  1987,  1988,  1980,  1981,
    1982,  1983,  1984,  1985,  1992,  2192,  2191,     0,     0,  2049,
    2050,  2051,  2194,  2058,     0,  2310,  2085,     0,  2062,  2078,
    2077,     0,     0,     0,  2065,     0,     0,  2074,     0,  2129,
    2249,  1914,     0,     0,  1940,  2198,  1958,     0,  1974,  1936,
    2148,     0,     0,     0,     0,     0,  1945,     0,     0,     0,
    2105,  2100,  2101,  2125,     0,     0,     0,     0,     0,     0,
    1659,  1658,  1664,  1725,  2013,  1725,     0,     0,  1833,  1752,
    1748,  1750,     0,  2639,     0,  1755,  1762,     0,  1744,     0,
    1778,  1774,     0,  1775,     0,     0,  1776,     0,     0,  1746,
       0,  1762,     0,  1801,  1671,     0,  2096,     0,  1683,  1074,
    1075,  1693,     0,  1696,  2340,  1805,     0,  1580,     0,     0,
       0,  1571,  1577,  1559,     0,     0,  1601,  1579,  1602,  1123,
       0,     0,  1115,  1041,  1042,  1045,  1043,  1040,  1044,     0,
       0,     0,   783,     0,     0,   529,     0,  1068,  1068,     0,
       0,   513,   570,   524,   786,     0,     0,     0,   784,   357,
    1235,     0,     0,     0,     0,   629,  1354,  1236,     0,     0,
       0,     0,  1135,  1289,     0,     0,  1259,     0,   295,   470,
     473,     0,     0,   301,   310,     0,   306,     0,  1287,     0,
       0,     0,     0,   305,   312,   379,     0,   376,     0,   357,
     357,   351,   685,   365,   370,   371,   374,  1294,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   863,   846,     0,     0,   864,   865,     0,     0,     0,
    1192,  1193,  1191,  1326,  1327,  1332,  1329,  1328,  1331,  1333,
    1330,     0,  1242,     0,     0,   721,  1290,   150,   147,   148,
     151,  1291,  1272,  1253,  1316,   579,     0,     0,     0,  1251,
       0,  1309,     0,  1268,  1262,     0,     0,     0,     0,     0,
    1353,  1282,  1314,  1352,  1280,  1312,  1279,  1311,  1281,  1313,
    1273,     0,     0,  1812,   843,     0,     0,     0,   357,   357,
     842,   719,  1255,     0,  1318,  1264,     0,     0,     0,   936,
       0,     0,     0,   938,   409,   427,   140,     0,   739,   803,
       0,     0,   819,     0,   477,     0,   483,   487,     0,     0,
     491,   492,   490,   478,  1169,   519,   569,   772,   773,     0,
       0,   793,     0,   644,     0,     0,   455,     0,   493,     0,
       0,   459,   159,   158,     0,     0,     0,   734,   738,   736,
     735,   737,   732,     0,   723,   186,  2397,     0,     0,     0,
       0,   577,   571,   574,  1368,   810,     0,  1811,   713,     0,
     368,   593,     0,     0,     0,   455,   585,     0,   460,   465,
     466,   473,     0,   558,   549,     0,   550,   559,   560,     0,
     567,  1442,     0,   586,   567,     0,     0,     0,   834,     0,
     833,     0,  1101,  1118,  1119,     0,     0,  1161,     0,     0,
    1163,  1158,     0,     0,   752,   755,   748,   631,   357,     0,
    1470,   357,   357,  1218,     0,   880,  1015,  1016,  1017,  1014,
    1013,   623,     0,  1019,   984,   711,     0,   584,   357,     0,
     985,   961,   953,   960,   949,   952,   954,     0,   956,   957,
     951,   948,   950,  2202,  2039,  2042,  2053,     0,  2127,  2158,
       0,     0,  1997,     0,     0,     0,  2048,  2634,     0,     0,
    2089,  2090,     0,  2086,  2087,  2082,  2083,  2064,     0,  2448,
    2069,     0,     0,     0,  1962,  1960,  1959,  1944,     0,     0,
    1942,  1938,     0,  1967,  2091,     0,  2107,  2104,  2124,  2158,
    1663,  1662,  1661,  1660,  2096,  2246,  2096,   231,  1650,  1797,
       0,  1800,     0,     0,  1754,     0,     0,  1756,     0,     0,
    1758,  1760,     0,     0,     0,     0,     0,     0,  2235,     0,
    1724,     0,  1679,     0,  1694,     0,  1578,  1563,     0,  1564,
    1570,     0,     0,     0,     0,  1606,  1599,  1116,  1124,     0,
       0,     0,   509,     0,   524,     0,     0,     0,  1061,  1070,
    1060,     0,   524,     0,  1169,   788,   787,   790,   785,   789,
    1481,     0,   662,   663,   666,  1261,     0,  1322,  1270,     0,
    1595,   297,   467,   304,     0,     0,     0,   299,   378,   380,
     300,   303,   307,   359,   320,   313,     0,     0,     0,  1257,
       0,  1320,  1266,  1293,  1344,  1240,  1304,     0,     0,   852,
       0,     0,     0,     0,  1345,  1241,  1305,     0,     0,     0,
       0,  1595,     0,     0,     0,     0,     0,     0,     0,     0,
    1490,     0,     0,   358,   841,   840,   359,   392,  1284,     0,
    2015,     0,   937,   942,   943,   941,     0,   398,   406,   409,
       0,     0,  1209,  1209,     0,     0,   474,   488,     0,   569,
     528,     0,   480,     0,     0,     0,     0,     0,   681,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   726,
     725,   181,     0,   455,     0,   680,     0,   838,     0,     0,
       0,   585,   457,     0,     0,  1551,   456,     0,     0,   468,
       0,   561,   550,   558,     0,     0,   582,     0,  1435,     0,
     588,     0,     0,     0,   782,  1157,     0,  1171,     0,  1112,
    1077,  1166,     0,  1655,  1804,     0,     0,     0,     0,   765,
       0,   635,  1210,  1468,   870,   872,   718,  1022,     0,  1026,
    1030,   955,  2187,  2129,  1994,     0,  2190,  2189,  2193,     0,
    2059,     0,  2060,  2088,  2066,  2070,     0,  2067,  2068,  1963,
    1961,  1946,  2093,     0,  1679,  2126,  1633,  1632,     0,  1653,
    1802,     0,     0,  1796,     0,     0,  1826,     0,     0,     0,
    1763,  1781,     0,  1759,  1757,     0,  1770,     0,  1772,  2339,
    2607,  2511,     0,  1711,  1713,  1716,  1718,  1717,  1719,  1715,
    2095,  2097,     0,  1690,  2150,  1806,     0,     0,     0,  1056,
       0,  1603,  1023,     0,   357,  1068,  1169,   530,  2459,   531,
    1067,  1069,  1073,     0,  1169,     0,   569,   658,     0,     0,
     276,     0,   302,   311,   361,   373,     0,  1595,     0,     0,
     850,   859,   859,   847,     0,     0,   866,  1243,   722,     0,
       0,   271,  1269,  1263,     0,     0,     0,  1492,  1493,     0,
       0,     0,     0,     0,  1292,   357,  1265,   945,     0,   429,
     436,   410,   414,  1484,     0,  1484,     0,   411,   415,  1484,
    1484,   408,  1804,   425,  1209,     0,  1206,  1205,   517,   599,
       0,   481,     0,   539,     0,     0,   794,     0,     0,   679,
       0,   457,   548,     0,   506,   497,   498,   499,   500,   502,
     501,   503,   504,   505,   495,   494,     0,   680,   856,   368,
    1442,   720,     0,     0,   693,     0,   680,     0,  1554,   581,
     550,   457,   548,   461,   473,     0,   565,   558,   561,     0,
     562,     0,   566,     0,     0,     0,   585,  1494,  1055,     0,
       0,   783,  1170,  1131,     0,     0,  1160,  1164,  1165,     0,
       0,     0,     0,  1213,   759,   760,   754,   756,     0,   767,
     771,   630,     0,     0,   634,   625,   680,   357,     0,  1995,
       0,     0,  2072,  2071,     0,  2111,     0,     0,     0,  1644,
    1795,  1798,     0,  1829,     0,     0,     0,     0,  1815,     0,
    1761,     0,     0,  1771,     0,     0,     0,  1720,     0,     0,
       0,  1729,     0,  1576,  1804,     0,  1573,     0,  1037,     0,
    1038,  1062,   569,     0,  1073,  1076,   519,   569,     0,   783,
    1271,     0,   599,     0,   315,     0,   284,  1267,     0,     0,
     861,   861,     0,     0,     0,     0,     0,     0,   386,     0,
       0,  1486,     0,  1487,  1488,  1491,   394,   407,     0,   434,
       0,   432,   431,   433,     0,   422,     0,     0,     0,     0,
       0,     0,   397,  1204,  1208,  1207,     0,   482,     0,   484,
       0,   525,   526,   527,     0,   486,   535,   536,     0,   791,
       0,   796,     0,   682,     0,     0,   680,   547,   704,     0,
       0,     0,  1436,     0,     0,   572,   714,  1442,   585,   558,
       0,   550,   469,     0,   567,   561,   565,   563,   564,     0,
    1439,     0,   587,     0,  1064,   781,     0,  1161,  1172,  1167,
    1162,  1398,     0,     0,   757,   762,   761,  1484,   766,     0,
       0,     0,   633,   632,   708,   986,  2186,  2075,  2061,  2073,
    2106,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1827,  1828,  1813,     0,     0,  1817,  1768,  1793,     0,     0,
       0,  1714,  2098,  2099,  2265,  1565,  1575,  1057,     0,     0,
     534,     0,  1076,  1058,   528,   783,   523,   510,  1595,   308,
     360,     0,     0,     0,   857,   860,   848,   849,   868,   867,
     724,  1595,     0,   382,   381,     0,   385,     0,   430,   439,
       0,   437,   412,   417,     0,   421,   419,   418,   413,   416,
     516,     0,     0,     0,     0,     0,   537,     0,   538,   568,
       0,   795,     0,     0,     0,   706,   855,     0,     0,   455,
     680,  1437,  1552,   561,   550,   558,     0,     0,   552,  1068,
    1068,   442,   565,   567,  1440,  1441,     0,     0,   368,     0,
    1078,  1397,  1396,  1655,     0,     0,     0,   768,   769,   764,
       0,     0,  2594,  2340,  2566,     0,  2123,  2112,  2123,  2123,
    2103,     0,     0,     0,  1799,     0,  1816,  1819,     0,     0,
       0,  1825,  1818,  1820,     0,  1780,     0,  1791,  1722,     0,
    1721,  1804,   357,     0,   783,   532,  1059,   539,   512,   277,
    1595,   851,     0,   272,     0,   387,  1489,   435,     0,   420,
     598,   485,   544,     0,   543,     0,   541,   540,   792,   797,
       0,   680,   845,  1442,   694,   565,   558,   561,     0,   551,
       0,  1070,  1070,   567,   440,     0,     0,   567,     0,  1380,
    1655,  1379,  1381,  1389,  1386,  1388,  1387,  1385,  1216,  1217,
     758,   763,     0,     0,     0,  2116,  2115,  2114,  2118,  2117,
       0,  2110,  2108,  2109,     0,     0,     0,     0,  1822,  1823,
    1824,  1821,  1767,     0,  1723,  1572,  1039,     0,   514,   783,
     285,   858,     0,   438,   542,   546,   545,   680,   705,  1438,
     567,   561,   565,  1068,   553,  1069,   555,   554,   444,  1064,
    1065,     0,  1804,   771,     0,  1390,  1384,  1631,  1618,     0,
       0,   770,     0,     0,     0,  2120,     0,  2121,     0,     0,
       0,     0,     0,     0,     0,   515,     0,   707,   443,   565,
     567,  1070,   368,  1063,     0,  1046,     0,  1382,  1655,     0,
       0,   776,  2113,  2119,  2122,  1649,  1648,     0,     0,  1652,
       0,  1792,   533,   383,   567,   441,   556,   567,  1066,     0,
    1383,     0,     0,   778,     0,   774,   777,   779,   780,     0,
       0,  1814,   445,  1804,     0,     0,     0,   742,     0,  1679,
       0,  1047,     0,     0,     0,   775,     0,     0,   776,  1214,
    1215,     0,  1651,     0,   743
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5468, -5468, -5468,  3655,  -653, -5468, -5468,  -949,   264,  2898,
   -1084, -5468, -5468, -5468,  -504, -5468, -5468, -5468, -5468,  3619,
   -5468,  1597, -2844, -5468, -5468,   135,  3572, -1380,   115,  3204,
    1285, -5468, -1003, -5468, -5468,  -616,     1, -5468,  3576,   284,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,  -762,  1715,
   -5468,  1799,  1087,  2999, -4599, -5468, -5468, -1494, -3653, -5468,
     390, -5468,   418, -4637, -1115, -5468, -5468, -5468,  1702, -5468,
   -5468, -5468,  1647,   886,  -553, -5468, -5468, -5468, -5468, -5468,
   -5468,  -958, -5468, -5468, -1217,     4,  -643, -2861, -4173, -5468,
   -5468,   254,  -595, -1469, -5468,   434, -4485, -5468,  -208, -2823,
   -5468, -5468, -5468,  -565, -1433,  1187, -5468,  -727, -1130,  1525,
   -3119, -1067, -5468,  -433, -5468, -1182,  -961,  -959, -1095, -4214,
   -4696, -5468, -5468, -1210, -3667, -4998, -5224, -4715, -4666,  1203,
   -5468,  -225,   267, -5468,     6, -3587, -3657,     7,   239, -5468,
      10,    13, -5468,   257,  -892,  -957, -1564, -5468,  -867, -5468,
   -5468, -5468, -3352, -5468, -5468, -5468,   140, -5468, -5468, -5468,
   -5468,   300, -5468, -5468, -5468, -5468, -5468, -5468, -2517,  1682,
    1685, -5468, -4012, -5468,  -916, -5468,   452, -3350,  1121, -5468,
   -5468,   888,  3648,   287, -5468, -5468, -5468, -5468, -5468, -5468,
   -1763, -5468, -5468, -5468, -5468,  -205,  -530, -5468, -5468, -5468,
   -5468, -5468, -5468, -5468,    15, -5468,   852,   223, -5468, -5468,
    -809, -5468, -5468, -5468, -5468, -5468, -5468, -1254, -4978, -1338,
   -1327, -5468, -3341, -5468, -5468, -5468,  -502, -5468, -5468, -5468,
   -5468, -5468,  -906, -5468,   949, -4019, -5468, -5468,   269, -5468,
   -5468, -5468, -5468, -5468, -1074,  -446,  2836, -5468,  -675,  -872,
   -5468, -5468, -5468,  -443, -5468, -5468, -5468, -5468, -5468,  -522,
   -1284,  4637,  4027, -1103,  8220,  -826,  -579, -5468, -5468, -5468,
   -2671, -5468, -5468, -4107, -5468,  4628,  2294,   337,    17, -5468,
     -34,   100,  3475, -1149, -3003,   222,  -634, -5468, -5468, -5468,
   -3001, -5468, -5468, -5468, -5468, -3968,    18, -5468,  -725, -5468,
   -4233, -5002, -4444, -3999, -1230, -5468, -5317, -4236, -4911, -3952,
   -5468,  1703,  3698, -5468,  -887,  -594,  -191,   -87,  -146,  2806,
   -5468, -1446,  2039, -1398, -5468, -2453,   274,  1280,  2812, -3195,
    -139,  2800, -2921, -5468,  -702,   878, -5468,  -528, -3698, -5468,
   -5468, -5468, -2726,  -754, -5468, -5468,  1377,   445, -5468, -5468,
   -5468, -5468,  -633,  2790,  -190, -5468, -5468,  4002, -5468, -4776,
   -5468,  3973, -5468, -5468, -5468, -5468,  2711,  2724, -5468, -5468,
   -1443,  1059, -5468,  -822, -5468, -5468,  1821,   494, -5468, -5468,
   -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468, -5468,
   -5468, -1046, -1226, -5468, -5468, -5380, -5468, -5468, -5468, -5468,
   -5468,  2304,  -947,  -724,  3875,   754,    19, -5169, -5468, -5468,
   -1170, -5468,  3237, -5468, -5468, -5468, -5468, -5468,   288,   291,
   -5468, -5468, -5468, -5468, -3919, -5468, -5468, -4813, -5468, -5468,
    1805, -5468, -5468,   806,     3,  2938, -5468, -5468, -5468,   -32,
   -5468, -5468, -1008,  2144, -5468, -2350, -5468,  -596, -5468, -5468,
   -1877,    25, -4224, -5468,     9, -5468, -5468,  -306, -5468,   116,
   -5468, -5468, -3889,    21, -5468, -5468, -5468, -5468, -4859, -5468,
      23,  -940,   640, -3248, -5468,    26,   125, -5468, -5468,     5,
     382,   -45,   -56,   -44,     8,   119,  3350, -5468, -5468, -5468,
   -5468,  3404, -5468,    -4,  -850,  4683,  4684, -5468,  -868,  -152,
   -5468,  1399,  -705, -2542,  3320,  3336, -5468,  1385,  2146, -2412,
   -2405, -5468, -1203,  -915,  -755, -5468, -5468, -5468, -5468, -1679,
    -701, -2548, -5468,  3317, -5468, -5468, -5468, -2323, -3258, -3172,
    1427, -3201, -3110, -5468,   716,   703, -1109,  -262,    52,  -752,
    3325, -5468, -5468,  1435,  -509, -5468, -5468,  -506, -3188,   664,
   -5468, -4420, -2758,  1438, -1165,  -889, -5468, -1013, -5468,  -713,
    1471,  3377,  -813, -5468, -5468,  -792, 13075, -5468, -5468, -5468,
   13531, 14392, -5468, -5468, 14524, 14784, -5468,  -638, 15311, 12107,
    -789, -1913,  -832, 17221, -1492,  -242,    22, -5468, -2881, -2174,
   -5468, -5468, -5468,  -466,   823,    70, -5468, -4437, -4286, -5468,
   -5468, -2000, -5468,  -723, -5468,  -721, -5468, -5468, -5468, -3052,
   -4770, -3074,  2291, -5468, -5468, -5468,  -135, -5468, 18127, -3167,
   -5468,  -620,  -977, -1568,  2756, -2985, -1870, -5468, -5468, -5468,
   -3044, -5468, -5468, -5468,  -819,  1538, -5468, -5468,  1639, -5468,
   -5468, -5468,  -956,  1879,  -747, -1160,  1546,  3899,  -770,  2299,
    -779, 15915,  -635, 10659, -1275, -5468,  1281, -5467,  1484,  6896,
      20,  -129,  3645,  -672,  2222,  2641, -5468, -5468,  5073,  8384,
    -562,  -938, -5468,    -6, 13266, 10888, -3588, -5468
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    57,    58,    59,    60,    61,    62,  1579,  2944,  2799,
    3722,  3723,    63,    64,  1575,    65,    66,    67,    68,  1488,
      69,  1075,  1827,  2959,    70,  2643,   820,   821,   822,  2510,
    2511,  2889,  2512,  2500,  1342,  1773,  1510,   794,   795,  1470,
    1511,    72,    73,  1336,  2491,    74,    75,    76,  1541,  1635,
    1542,  1543,  1482,  1873,  4763,  5514,  3516,  2761,  3771,  3517,
    3518,  4151,  4152,  4232,  5528,  5529,    77,  1651,  1652,    78,
      79,  2926,  3688,  4285,  5127,  5128,  5361,   635,  4786,  4787,
    5348,  5349,  5542,  5690,  5691,  2960,   666,  3766,  4368,  3713,
    4857,  3714,  4858,  3715,  4859,  4142,  3699,  4316,  4317,  4799,
    4318,  3716,  4818,  5394,  3717,  2662,  5557,  2994,  1946,  1944,
    5044,  5373,  4624,  4625,  5784,  5565,  5566,  5567,  5806,  4820,
    4863,  4864,  5727,  5728,  3769,  4374,  4870,  5186,  5142,  3414,
      81,  3742,  3743,    82,   729,  1849,  3866,   730,  2997,   667,
     731,  2961,    87,  2987,  5559,  2988,  1605,  2813,  4298,  3846,
      88,  1102,  4117,  5211,  5454,  5455,   720,    89,  1835,    90,
      91,  2939,  3706,    92,  2679,  3431,    93,    94,  3450,  3451,
    3452,    95,  4326,  5147,  1544,  3505,  3506,  3507,  3508,  4172,
      96,  1830,  2968,  2969,    97,    98,    99,  3096,  3097,   100,
    2875,   101,   102,   103,   104,  4207,  4725,  4834,  3546,  3729,
    4342,  4832,   105,  3692,  2962,  3015,  3804,  3805,  5209,  5446,
    5447,  5448,  5617,  5840,  5450,  5619,  5749,  5621,  4809,  5954,
    5955,  5431,  4106,  4638,   107,  4810,  4811,  5572,   108,  2677,
     109,   110,  1804,  2932,  2933,  4299,  3004,  3779,  3780,  4354,
    4355,   111,  3630,   112,  4701,  4702,   668,  5580,  5520,  5676,
     113,   114,  4705,  4706,   115,   116,   117,   118,   119,   721,
    1038,  1039,   723,  1158,  1159,  3387,  1119,   120,  2520,   121,
    3668,   122,  1228,  4922,   123,   754,  1174,  1175,  2963,   125,
     763,  3115,   765,  1961,  3848,  3849,  4440,   126,   127,  3093,
    3118,   128,  1475,  2653,  2654,  4619,  2964,   669,  1213,  3001,
    3409,  5288,  5038,  5289,  5738,  5891,  5039,  5302,  3332,  4056,
     130,   670,  1516,  2718,  1125,  1139,  1126,   927,  1140,  3008,
    3784,  2624,  2625,  1674,  4395,  2627,  3786,  2628,  1450,  2629,
    1112,  1113,  3792,  3793,  3794,  3795,  4391,  4401,  4402,  5203,
    5439,  4398,  2953,  5197,  5198,   131,  1513,  2715,   132,   133,
     134,  1557,   961,  1135,  1136,   135,   682,   683,   136,  5366,
     137,  1115,   138,  5207,   139,   140,   785,   786,   141,   142,
    2732,  4154,   143,  1514,   144,   145,  3540,  3541,  4717,   146,
     147,   148,  1822,  1823,   149,   150,   151,   152,   153,  5831,
    5894,  5895,  5896,  4409,  5743,   154,  1205,   155,   156,   157,
     158,   195,  1004,  1005,  1006,   913,  2965,  5188,   160,   161,
    1471,  1472,  1473,  1474,  2648,   162,   163,   164,  3814,  3815,
     165,   166,   167,   168,  1807,   169,   170,  5339,   171,   172,
    1777,   173,   174,  1012,  1013,  1014,  1015,  1775,  3280,   629,
     838,  1367,  1373,  1416,  1417,  1418,   176,   733,   177,  1208,
    1043,   734,  1167,   179,   735,  2607,  3362,  4071,  4072,  4073,
    4076,  5023,  4597,   736,  3358,   182,  1968,  3102,  3105,  3354,
     737,  3367,  3368,  3369,  4079,   738,   756,  1105,  3019,   739,
    1303,   187,   188,   189,   894,   841,   842,  3285,  5249,  5469,
     191,  2484,  3263,   772,  1422,   882,   883,   884,   903,  2899,
    2573,  2574,  2598,  2599,  1431,  1432,  2586,  2590,  2591,  3345,
    3338,  2579,  4050,  5273,  5274,  5275,  5276,  5277,  5278,  4586,
    2594,  2595,  1434,  1435,  1436,  2603,   192,  2563,  3313,  3314,
    3315,  4027,  4028,  5775,  4042,  4038,  4571,  5000,  3316,  1203,
    1442,  4579,  5777,  3317,  4989,  4990,  5253,  4046,  3324,  4067,
    3754,  3755,  3756,  3318,  5477,  5478,  5772,  5773,  5255,  5256,
    2630,  1396,   868,  1304,   869,  1409,  1305,  1383,   871,  1306,
    1307,  1308,   874,  1309,  1310,  1311,   877,  1375,  1312,  1313,
    1392,  1405,  1406,  1368,  5257,  1315,  1316,  1317,  3320,  1318,
    4517,  4962,  4948,  3190,  3191,  2507,  4513,  3950,  4507,  2479,
    3253,  5012,  5280,  5281,  3990,  4541,  4976,  5244,  5634,  5756,
    5757,  5851,  1319,  1320,  1321,  3250,  2473,   964,  1322,  4301,
    2475,  3184,  3162,  1677,  3163,  1971,  1992,  3134,  3150,  3151,
    3227,  3164,  3172,  3177,  3185,  3214,  1323,  3136,  3137,  3891,
    1994,  1324,  1010,  1680,  1011,  1411,  3209,  1332,  1333,  1326,
    1962,   831,  4996,  1162,  1760,   769,  1327,  1328,  1329,  1330,
    1550,   935,  1128,  1129,   885,   887,   888,  2567,   625,   617,
     937,  3509,  2476,   626,   619,   620,  1765,  2477
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     618,    71,   799,   175,    80,   185,    83,    84,   190,   180,
      85,   893,  1772,    86,   926,   106,  1069,   124,   129,   159,
     962,   181,  1604,   183,   732,   178,   184,  1888,   614,   190,
    1676,  1337,  1142,  1194,  1195,  1196,   904,  1325,  1437,  1200,
    2826,   833,   758,  2661,  2756,   881,  1155,  1656,   758,  1388,
    1423,  2626,  1425,  2727,  1408,  1766,  3355,   914,  1668,  1379,
    1380,  1214,  1943,  3356,  1609,  1106,  1016,   969,  1387,  2719,
     975,  1761,  1832,  1982,  1989,   963,  1394,  1549,  4001,  2982,
    4003,  1364,  3712,  1168,  2739,  1363,   973,  1161,  3796,  2728,
    3744,  1455,  3852,  1351,  4353,  3108,   830,  4123,  4404,  4065,
     995,  4626,  4588,  2893,  3627,  1805,  4366,  4379,  1037,  1810,
    4303,  1144,  3735,  3871,  1814,  3595,  4041,  2626,  4078,  1108,
    3133,  1545,  3199,   764,  1824,  2710,   968,  4993,  4621,   968,
    4660,  1169,  2559,   623,   906,  4143,   800,  1844,  1152,  4024,
     674,  4856,   231,   898,  2855,  2856,   907,  1567,  1774,  4877,
     793,  3050,  4167,  1585,  4169,  4817,  4866,   827,  4685,  5190,
    5005,  3266,  5007,  1817,  4054,  3268,  1016,  5377,  1877,   844,
    5183,  3278,  3380,  3382,  4363,  5062,   819,  3347,  1841,  3974,
    5151,  4084,  1517,  5416,  5040,  2710,  3350,  4603, -2382,  2851,
     618,  5429,  5594, -1894,   740,  1870,  4865,  1344,  1430,   618,
     938,  5310,  1433,  2710,  2690, -2420,  4039,   618,  4044,   938,
     618,  1376,  1377, -2443,  1840, -2239,  2882,  1603,  3326,  1369,
    4953,  1386,  1016,   938,  1512, -2274,  1634,  3915,  5182,   633,
    2038,  5582, -1886, -2480, -2274, -2274,  1661,  3671,  1000,  3674,
    3675,  2518,  5331,  3207,  3679,  3680,  3681,  3652,  3683,  3684,
    3685,  1108, -2306, -1853, -1866,  2950,  2867,   680,  1870,  5037,
   -2385,  2524, -1891,   740,  4827, -1881,  2862,  1512, -2275,   675,
    1870,   740,  1363,  1512,   836,  1016,   988, -2275, -2275,   680,
    1176, -2650,  4389,   680, -2238,   779,  2979,  5519,  1180,   680,
   -2650, -2650,   680,  1095,  2526,  5341,  5342,  2730,  2645,  4399,
    1870,  5048,  2655, -1894,  2497,  3702,  1546,   680,  3915,  3079,
    3117,  3117,   740,  3207,  2667,  1398,  1546,  -428,   680,  5369,
    2482,  1797,   740,   924,   680,  1870,   740,  1870,  1870,  2730,
    1870,  -140,  1863, -2133,  2924,  1016,   912,  -140,  1001,  4119,
   -2133,  5021,  1870,  5462,   908,  2564,  1864,  4848,  4924,  4925,
    4926,   680,  4928,  4929,  4930,  4931,  4932,  5367, -1707,  4828,
     746,  2991,  1000,  5833,  4878,  5205,  2663,  4853,  1854,  1341,
     901,  1191,  5733,   780,  2580,  2038,  5179,   746,  4698,  3690,
    2657,  5419,   186,  2843,   747,   746,  2992,  1002,  3321,   901,
    1399,  5505,  4854,  3254,  2664,  1484,  5420,  3915,  5846,  5875,
    2658,   747,  1865,   186,  1668,   746,  2524,  1766,  2730,   747,
    5485,  2570,  5821,  5822,  3247,  3703,   805,  2581,  5721,  2498,
    5596,  3248,  2779, -2441,   746,  1484,  3860,  1819,  3640,   747,
    2705,   909,   746,  5309,  1646,  3544,  1420,  3094,   892,  2526,
    1198,  2038, -2152,  5938,  1003,  2730,  4829,  3425,   747, -2152,
    5833,  1400,  4230,  1108,  1401,  2566,   747,  5615,  5516,  1587,
    1379,  1380,  1001,  5747,  2730,  1896,  2980,  4177,   984,  1761,
    1580,   680,  2524,  5371,  5314,  2849,  2730,  1871,  2582,  4178,
    1008,  1387,  2501,   630,  1009,  1974,  5417,  2513,  2513,  1653,
    4699,  2519,  1657,  5970,  1394,  5748,  2730,  1588,   985,  1223,
    2730,  4231,  1866,  5616,  3889,  2526,  3861,  4226,  5823,  1485,
    3545,  1002,  1802,  2038,   963,  3869,   857,  5345,  1063,  2562,
    3169,   806,  4291,  3095,  1073,  2706,  1963,  2583,  1199, -1707,
    4350,  5405,   781,  5703,  2003,  3255,  1086,  1973,  2499,  1485,
    1871,  1421,  1647,  5847,  2524,  2665,  1924,  2659,  5833,   676,
    1192,  1983,  1871,  5463,  5022,  5876,  2032,  1803,  1867,  1059,
    2780,  1766,  1886,  4319,   963,  1402,  5921,  3080,  1003,   681,
    3911,  5421,   905,   782,   783,  2925,  1927,  2526, -1853,  2993,
    3691,  2897,  1871,  1966,  2487,  4855,  5267,  2584,  5553,  4303,
    3653,  5880,  2829,  5662,  4400,  4700,  4120,  5732,   837,  3208,
    3655,  4830,  3704,  1376,  1377,  2483,  5206,  1871,   677,  1871,
    1871,  1986,  1871,   925,  4720,   968,  2561,  1556,   968,  1667,
    5049,  1100,   938,  2868,  1871,  2740,  2697,  5370,  2951,  4785,
    1386,  2881,  1886,  4439,  1872,  2935,  2704,  2668,  2981,  1047,
    5509,   938,   190,  1044,  5879,  1389,   678,   938,   679,  1967,
    2821,  4390,  2869,  2824,  1868,  1045,   910,  1046,  5920,   938,
   -1853,  2660,  2863,  3454, -2441,  1108,  1390,  2794,  5233,  3979,
     784,  4831,  1374,   634,  1803,   938,  1403,  1008,  1122,  3295,
     618,  1009,  2031,   893,  1391,   881,  4826, -2133, -2382,   618,
     938,  3705,  2891,  2892,  2831,  5944,   618,  1879,   938,   618,
    1172,  4283,  4284,  3129,  1008, -2420, -2239,  3930,  1009,  1883,
    2472,   881,   938, -2443,  5589,  1225, -2274,  2844,  5026,  5687,
    2890,  4873,   938, -1886,  2811,  5815,  4874,  2814,  2815,  2695,
    2495,  2773,  2604, -2480,  5825,   190,  2605,  2537, -2441,  1894,
     752,   753,  3529,  1486,  1378,  1382,  2542,  2543,   752,   753,
   -2441,  3762, -2306, -1891,  1438,  1389, -1881,  3426,  2540, -2275,
   -2385,  1173,  4631,  1178,  1898,  1182,  1917,  1920,  3249,  1886,
    2034,  1186, -2650,  5843,  2485, -2238,  1390,  2810,   938,  4264,
    3271,  4439,  1577,  5959,  1108,  3927,  3928,  3929,  3930,  1547,
    1548,  2772,  1108,  1108,  1393,  4303, -2152,  3321,  2850,  1547,
    1548,   618,   618,   752,   753,  1578,  1487,   938,  2898,  5789,
    4648,  2714,  3068,  3052,  -140,  -140,  3135,  2565,  4041,  5882,
    5221,  1459,  5793,  2612,  1202,  1008,  1569,  1476,  1199,  1009,
    4227,   938, -1853,   618,  4690,  1784,  5660,  1803,   906,  1788,
    4192,  5665,  4363,  5904,  1199,  5704,  3078,  1803,  4080,  1060,
     907,  5501,  2469,  2470,  2471,  2472,   881,  3090,  4568,  4351,
    4351,  4471,  4572,  4320,  2714,  2934,  4221,  4222,  3232,  3800,
    4452,  4223,  3925,  3926,  3927,  3928,  3929,  3930,   618,  5731,
    1189,  1779,  2714,  5919,  1789,  1202,  1790,  1353,  1967,  1870,
    4344,   938,  4145,  4611,   963,  5725,  1640,    71,  3098,   175,
      80,   185,    83,    84,   190,   180,    85,  1460,  4559,    86,
    4561,   106,  3856,   124,   129,   159,  4304,   181,  2912,   183,
    1469,   178,   184,  5905,  3347,   680,  4086,  2781,  4087,  5592,
    4008,  5870,  4059,  1836,  4124,  2741,  4788,  5713,  3521,  1641,
    1570,  1477,  3512,   968,   680,   968,  1340,  3384,  4789,  2742,
    1348,  2743,  1444,  5724,  4193,  5104,  3801,   680,  3143,  1370,
    1461,   680,  1441,  4307,    40,  5741,  2689,  3558,  1123,  5554,
    4333,  5964,  3458,  2991,  1426,  1574,  1837,  1491,  1233,  5105,
    5144,  3915,  5844,  2577,  5496,  3916,  3917,  3918,  2467,  2468,
    2469,  2470,  2471,  2472,  3858,  3028,  3445,  3513,  2992,  5410,
      44,   618,   618,  1762,  3092,  4278,  4146,  5906,  3233,   938,
    2884, -1708,  2744,  3234,   618,  2655,   186,  2580,  5824,   881,
     618,  4309,  2669,  4703,   618,  5152,   618,  3099,  5816, -1853,
     881,    35,  1906,  2566,  2656,  4718,  4626, -1853,  4405,  1378,
   -1853,  1407,    48, -1853,  4081,   881,  4446,  1428,  2885,  1886,
    3235,  3012,  5638,  3559,   779,    49,  1767,  5315,  1462,  1768,
    2581,  2796,  4897,  2037,  3081,  3445,  2038,  3459,  3144,   771,
   -2775, -2775, -2775,  5153,  3013,  1907,  1766,  3446,    50,  2578,
    1177,  1179,  1181,  4746,  1398,  1183,  1184,  1185,   618,  1665,
     618,   618,  4842,  2657,  3514,  1190,    56,  2524,  5145,   793,
    1626,  4853,  1571,  1478,  2525,  2942,   899,  3560,  5888,   186,
     892,  1642,  5892,  2658,  5135,  5423,  4194, -2258,  2644,  4312,
    3205,  -163,  5555,  5424,  2995,  4406,  4854,  4807,  1354,  5452,
    2526,   938,  1645,  5932,  3321,  4704,  3857,  3321,  1646,  4334,
    1572,  1479,   780,  3145,  4815,  3522,  3446,  5742,  1838,  5497,
    1445,  -163,  5907,  5404,  4195,  3385,  1534,  3611,  3386,  1399,
     618,  4313,  4613,  3612,  3919,  5918,  3561,  3802,  5575,  -675,
    2583,  1871,   900,  2670,  1573,  1480,  5768,  4314,  3087,  3088,
     190,  3803, -1708,  3321,  5588,  4060,  3920,  2593,  4196,  5200,
    4124,  5163,   938,  3667,  3236,  5603,  5181,  5169,  5591,  5175,
    4447,   881,  1355,   938,  3146,  5945,  1016,  3147,  5574,  4591,
    4147,  4148,  4211,  3030,  1219,  1643,  5802,   938,  3859,  4627,
    1400,   938,  1466,  1401,  1467,  4921,  1000,  3379,  3043,  5962,
    2584,  3100,  5963,   618,  3298,  1577,  3014,  3359,  5590,  5106,
    4149,  3049,  1862,  1481,  2527,  4300,  1647,  1908,   901,  2528,
    3455,  3101,  1839,  3449,  3921,  3473,  4747,   893,  1578,  1233,
    2659,  3515,  3915,  2671,   618,  1666,  3916,  3917,  3918,  2673,
    3562,  3613,  3445,  4808, -2235,  4315,   905,  2947,   186,  2674,
    4407,  5032,  2032,  4522,  3054,  3307,  2530,   615,  4950,  5425,
    1590,  5769,   618,   618,   618,  3299,   618,  3490,  2943,  3026,
    1929,   781,  1931,  3041,  1933,  5453,  1935,  3044,  1937,  1938,
    1939,  3412,  1591,  3077,  3352,  1941,   618,  3082,  3148,  5719,
    5561,  3086,  3449,  5170,  3089,  5499,  1001,  3530,  5857,  3662,
    3061,  2870,  3048,  2710,  1402,  2522,  4396,  4816,  4802,  2531,
     938,  4614,   782,   783,  3408,   767,  4797,  4615,   938,   938,
    4408,  1909,   646,  3446,  4616,   778,  4061,  5025,  3491,  4006,
    3084,  3085,  1459,  1592,  4994,  3323,  2571,  2572,  3130,  2576,
    3132,  3413,   618,  4798,  2660,  1002,  3139,  3160,   907,   907,
    4592,   907,  3153,  3154,  3155,  5578,  1042,   902,  3447,  4617,
    5631,  3072,  3563,  3174,  5586,  5330,  2948,  4997,  3186,  4951,
    3564,  1762,  5001,  3565, -1055,  5003,   646,  1233,  1648,  1402,
    3915,  4618,   648,  4080,  3916,  3917,  3918,  3360,   618,  5803,
    3353,  -590,   618,   618,  2826,   963,  3448,  1094,  5515,  3149,
    2533,  4523,  1003,  3614,  5544,  3617,  5546,   618,  2675,  4914,
    5550,  5551,  5770,   881,  5624,  1403,  1649,  5771,  1460,  4918,
    5562,  2757,  1593,  3922,  3923,  3924,  3925,  3926,  3927,  3928,
    3929,  3930, -1631,  5763,  5148,  3128,   648,  3920,  1404,  2871,
    3744,  3615,  5908,  3618,  4887, -1631,  2676,   915,  1165,   631,
    1650, -1631,   777,  3301,    40,  1008,   928,  1350,  4303,  1009,
    1095,  1441,  4803,  4482,   970,  4483,  5657,   970,  5804,  5909,
    1594,  1461,  4031,  1595,  3329,  3616,   757,  3619,  3267,   881,
    1928,  2793,   757,  1930,  5409,  1932,  5418,  1934,  2825,  1936,
      44,  2957,   867,  1940,  1886,  5563,  5805,  2038, -1631,  3449,
    2463,  1766,  5632,  2816,  1171,  3921,    40,  3073, -2775, -2775,
   -2775,  2467,  2468,  2469,  2470,  2471,  2472,   804, -1631,  2649,
     881,  5340,  1597,  5663,   186,   801,  1226,  1886,  1497,  -453,
    2650,  3785,    48,  5633,  5715,  2757,  1558,  2823,  3109,  1426,
    3074,  2757,    44,   828,  1096,    49,  1469,  4032,  2651,   193,
     659,  1469,   660,  3075,   881,  5886,  5887,  1426,   895,  4806,
    1211,  2526,  3070,  1427,  3330, -1631,  1599,  1402,    50,  1462,
    4847,  3070,  2958,  4136, -1631,  2626,  4779,  1803,   664,  2626,
    4033,  4783,  2758,    40,    48,  3920,  3361,  1991,  3076,  1600,
    3400,  1534,  1761,   194,  4032,  4034,  4844,    49,  3070,  4484,
    4634,  3625,  1803,  1606,   659,  4035,   660,  2000,  1559,  1602,
   -1678,  2759,  1428,  1365,  1233,  3398, -1678,  3915,   938,    44,
      50, -2775, -2775, -2775,  1469,   193,  1886,  4033,  1469,  1463,
    1428,  4036,  1818,   618,   618,   618,  2760,  5337,    56,  2017,
    2817,  1607,  4574,  2818,  3912,  3913,  4137,  5739,  -453,  3932,
    2846,  4991,  4035,  3921,  2029,  5946,  5466,  2852,  4998,  1429,
    5338,    48,  3029,  4224,  2747,  4688,  5131,  1464,  5746,   194,
    1212,    35,  2952,  1415,  3039,  2755,  3401,  1429,  5814,  1354,
    5786,  2664,  1920, -1678,  4635,  3566,  3962,  3963,  1087,  2489,
    1097,  3300,  3302,  3303,  4300,  4800,  2758,  5045,  2748,  5132,
    2652,  1465,  2758,  3022,  3922,  3923,  3924,  3925,  3926,  3927,
    3928,  3929,  3930, -1631,  4589,    56,  5581,  1920,  4663,  4716,
    5595,  5800,  3042,  4037,  1088,  2759,  5467,  1098,   963,   963,
   -1678,  2759,   938,  1466,  1233,  1467,  4225,  3915,  4689,  5602,
    3170,  3916,  3917,  3918,   881,  4636,  5673,  4233,  3188,  4637,
    2760,  1608,  4664,  1355,  1233,   881,  2760,  3915,  4968,  1089,
    2490,  3916,  3917,  3918,  3566,  1219,  4801,  1762,  5046,  5878,
    4037,   881,  4438,   627,   905,   905,  4590,   905,  1388,  1008,
     968,   968,  1412,  1009,   968,  1468,  1099,  3519,  1100,  2755,
     938,   627,  1101,  3351,   839,  2755,  4634,  5890,   938,   896,
    5263, -1631, -1630,   911,  4069,  5351,   938,  1090,  3492,  5064,
    1451,  4999,  3542,  3412, -1631, -1630,  5069,  4439,  5674,   920,
   -1631, -1630,  3577,   628,   881,  1446,  3321,   193,  5451,  2797,
    3321,   912,  4665,   618,  2800,  5917,   618,   968,   968,   881,
    4070,   897,   881,   881,  1452,   963,   618,   618,  1453,   938,
     938,  5352,  3922,  3923,  3924,  3925,  3926,  3927,  3928,  3929,
    3930,   618,   618,  1447,   938,   618,  2505, -1631, -1630,  3493,
    2735,   194,  2736,  4102,   881,   881,  5353,   938,   938,  5740,
    4635,  2835,  1454,  1456,   922,  5296,  5220, -1631, -1630,  3286,
    3921,   944,  5723,  5304,  5354,  5948,  3321,  1448,  5355,  3818,
    4300,  5722,  3621,  3542,   190,  1233,   746,  2873,  3915,  2506,
    2836,  2879,  3916,  3917,  3918,   618,  3578,  3114,   618,   618,
    5356,  1457,  3620,  5357,  3581,  5150,  4031,  3584,  4148,  3744,
     747,  3471,  5476,  2737, -1631, -1630,  3622,   915,  5358,  1384,
    1385,  4636,  3920, -1631, -1630,  4637,   928,  1047,  2626,  1577,
     190,  1044,   618,   970,   618,  1458,   970,  4676,  2626,   618,
     618,  5161,  3920,  1045,  5174,  1046,   618,   618,   618,  3700,
    2757,   618,  1578,   618, -1082,   618,   618,   618,   618,   618,
     618,  2787,   618,  2826,   618,   618,  5440,  4464,   618,  3103,
    4135,  1842,   945,  3656,  3657,  3658,  5292,  1087,  5294,  2804,
    5573,  4032,   881,   618,   618,   618,  3958,  3551,  3552,  3626,
    3921,  3555,  2816,  3623,  1843,  1612,  3732,  3576,  2765,  3468,
     618,   990,  1762,  3062,   740,  3063,  5359,  3064,  5817,  3065,
    3921,  3066,  1492,  1088,  4033,  3067,    40,  4427,  2626,  3748,
    3749,  3750,  3751,  1914,  3753,  3812,  5547,  3624,  5139,  4034,
    3113,  5548,  1389,  1613,  3601,  5827,  1108,  3662,  2954,  4035,
    5606,   646,  3192,  4273,  1636,  3195,  1915,  1493,  4345,  3781,
    2747,  5623,    44,  1390,   999,  5337,  5360,  5122,  2984,  5123,
    5124,  5125, -1631, -1630, -1049,  4036,  2883,  1614,  3646, -2775,
   -2775, -2775,  3925,  3926,  3927,  3928,  3929,  3930,  5338,  2895,
    2896,  5549,  1637,  4557,  2748,  2757,  1638,  4189,  1007,  2886,
     899,  4627,  1926,  3920,    48,  1768,  1090,  5585,  5444,  5881,
    1920,   648,  2887, -1679,  4627,  1346,  4228,    49,  1494, -1679,
    4748,  2758,  1120,  5910,    29,  2757,  1639,  2766,  5667,  3215,
    1051,  3216,  5445,   740,  5552,  4190,  3321,  3321,  2493,  2817,
      50,  2888,  2818,  4749,  1389,  3348,  3349,  5911,  1120,  3283,
    2759,  1577,  1389,   618,  1495,  3217,  5829,    29,    56,  3731,
    1049,  4265,  3592,   650,  3593,  1390,   900,  4037,  3597,  4191,
    4083,  3921,  3284,  1390,  1578,  2760,  3845,  2730,  4057,  5457,
    1061,  1615,  1062,  1391,   740,   757, -1679,   757,  2731,   757,
    1496,  1393,  -140,   618,  4765,   757,  1187,  1188,  1056,  3922,
    3923,  3924,  3925,  3926,  3927,  3928,  3929,  3930,  3885,  3948,
    1070,  3456,  5337,  2535,  2755,  3955,  3558,  4766,    40,  3922,
    3923,  3924,  3925,  3926,  3927,  3928,  3929,  3930,  2730,  5947,
    1498,  3774,  3886, -1679,  -589,  5338,  4375,  3887,  3718,  2738,
    4090,  3531,   901,  4105,   618,  1378,  1616,  2560,  4412,  1975,
    1083,    40,  1768,  4413,    44,  1590,  2758,  3218,  3219,  3220,
    3221,   915,  1500,  1091,  3222,  3223,  5656,   928,   186,   232,
    3224,   970,  4627,   970,  3736,   632,   755,  1591,  5306,   659,
    1092,   660,   755,   724,  5788,  2759,  2758,    44,  1617,  1065,
    2037,  1066, -1082,  2038,  5518,  1618,    48,  3339,  1619,  5522,
    5523,   802,  3559,    35,   663,  2712,  1566,  1818,  1502,    49,
    2760,  4610,  1584,  1110,   186,  2759,  1378,  1503,  2560,  1114,
    3941,  4881,  3943,  3944,  2524,  1504,  4413,  1093,  1592,    48,
    4991, -2775,    50,  2713,  1378,  1855,  1407,  1857,  1858,  1008,
    2760, -2239,    49,  1009,  1121,  1506,  3867,  3868,  3321,  2755,
      56, -1391,  1137, -1391,  1507,  3321,  3560,  2526,  1508,  4002,
    3321,  2521,  1130,  3321,  1768,    50,  2513,  1990,  1131,    56,
    3922,  3923,  3924,  3925,  3926,  3927,  3928,  3929,  3930,  2755,
    1378,   902,  2560,  5830,  4478,  4479,  4480,  4481,   757,  1149,
    4485,  4486,  4487,  4488,  4489,  4490,  4491,  4492,  4493,  4494,
    3017,  1156,  3018,  5868,  2534,  3844,  1166,  2535,  2568,  3719,
    5347,  1768,  1509,     3,     4,  3561,  3225,  1593,   618,   618,
     618,   618,   618,   618,   618,   618,   618,  3226,   618,   627,
    3058,  2757,  2757,  2535,   946,  3069,   740,   618,  3070,   618,
    1193,   947,   948,   949, -1702, -1702,  3071,  4532,  4533,  3070,
    1197,  3993,  3435,  3994,  3438,  4304,  1783,  1620,  3995,   757,
    3996,  4305,  1201,  4013,  4014,  1594,  1204,  1792,  1595,  2757,
    3106, -2775,  5607,  3107,  4306,  3282, -2775,   618,  1920, -1706,
   -1706,   618,  1800,  2825,   618,  3279,   618,  3287,  5915,   618,
    2535,  1621,  4941,   618,  4942,  1622,  4125, -1705, -1705,  3439,
    3440,  3432,  4307,  4372,  4308,  4373,  4004,  3371,  3914,   963,
    2535,  4085,  1207, -2775,  1762,  5018,   618,  1597,  3465,  3562,
    3942,  3466,  4153,  3218,  3219,  3220,  3221,  1209,  3536,  1623,
    5502,  3537,  2757,   618,  3696,  4047,  3836,  3697,  5507,  3070,
    5758,  5759,   618,   618,  3319,  4675,  3213,  4219,  4229,  1212,
    2757,  3467,  3965,  5865,  1216,  2561,  3977,  4849,   968,   968,
    4309,  1599,  3884,  3720,  3893,  2535,  2531,  2535,   938,  1210,
    5384,  4790,  3363,  4791,  4627,   881,  3402,  1217,  3405,   881,
     881,  1219,    40,  4300,  1600,  4266,   938,  1220,  4310,  4361,
     938,  1218,  2758,  2758,   938,  3992,  1221,  3899,  3900,  1222,
    2535,  2535,   938,  3901,  1602,  3934,  2535,  3947,  2535,  1229,
    2535,  3952,  3721,  4666,  3953,  4673,  5782,  5927,    44,  5928,
     938,  2759,  2759,   618,  5385,  1227,  3321,  5386,  3399,  3557,
    2758,  4658,  4011,  5387,   618,  2535,   881,   618,  1970,   618,
     618,  3563,   881,  4649,  5852,  5853,  2760,  2760,  4650,  3564,
    2626,  4128,  3565,  4311,   938,   890,   891, -2775,  4312,  2759,
      48,  5388,  4170,  1349,  5925,  4171,  4692,  4175,  1356,  1352,
    4176,  1108,  5729,    49,   938,   938,  4200,  1357,  1372,  4201,
    1590,  4451,  1358,   881,  2760,  2755,  2755,  1366,  4091,  4092,
    1362,  4262,  4348,  2758,  4201,  4384,    50,  1371,  4385,  4691,
    4313,  5491,  1591,  5432,  3453,  1762,   938,  1374,  3643,  1762,
    4052,  2758,  4321,  1412,    56, -1619,  4314,  4387,  5389,  2934,
    4388,  4418,  2759,  2755,  4419,  1378,  4184,  4503,  4094,  1381,
    4504,  5390,   938,  4514,  1762,  5971,  4515,  1382,   938,  4525,
    2759,  4599,  2535,  5391,  4600,   938,  1395,  2760,  4604,  4292,
    1397,  4605,   938,  1592,  1412,   938,  4609, -2775,  4553,  3386,
    4555,   938,  1424,  4633,  4850,  2760,  3070,  3070,  2467,  2468,
    2469,  2470,  2471,  2472,  4112,  4796,  4915,  4938,  1439,  1967,
    2535,   938,  4978,  1413,  1440,  2535,  2755,   938,  3321,  5028,
    1443,  1407,  3386,   757,   938,  1449,  1489,  5034,   757,   757,
    5035,  1202,  1202,  5041,  2755,  1202,  3070,   938,  3321,  5042,
    5176,  1515,  3070,  5177,  4315,  4627,  3591, -2276,  5174,  4669,
     938,  3321,  1520,  1518,  5213,  1762,  2541,  4419,  1108,  5230,
    1521,   938,  5231,  4205,  4984,  2548,  4986,  2549,  4867,  4234,
    5232,  2552,  1593,  2535,  5250,  1556,  1560,  5251,  2558,   618,
     618,   618,  4214,  5260,  5266,   618,  1920,  4358,  5268,  5379,
    5399,  4358,  5380,  3070,  5433,  5474,  5480,  5434,  5475,  1920,
    3213,  1561,  5483,  5494,  4601,  4358,  5495,  5537,  5577,  1562,
    5538,  2492,   618,   881,  3170,  3170,  4573,  1574,  4576,  3170,
    1594,  1762,  3877,  1595,  4860,  3880,  1576,  5604,  5627,  5729,
    5495,  3953,  3785,  5654,  3312,  4627,  1586,  1589,  2825,   952,
     953,   954,   955,   956,   957,   958,   959,   960,  5628,  5642,
    5646,  2535,  5643,  1920,  1611,   618,  3170,  3170,  1627,  1628,
    5392,  4629,  4630,  5393,  1644,     3,     4,   757,  1655,  3879,
    5647,  3874,  1597,  2535,  5246,  5666,  5247,   757,  3070,   186,
    2626,  5672,  1654,  3319,  3107,  3763,   726,   881,  1658,  1663,
    4339,   881,  2566,  1202,  5678,  5679,  5682,  3107,  3107,  2535,
    1664,  4458,  5683,  4509,  5684,  2535,    15,  5685,  5711,  3321,
    5764,  5712,  5778,  4358,  1776,  2535,  1599,  2777,  1780,  1778,
    5780,  1187,  1188,  2535,  5797,  1785,  5819,  5798,   968,  5820,
     726,  5864,  5889,  4627,  5488,  5495,  4332,  5923,  4335,  1600,
    5924,    20,  5943,  5961,  1791,  2535,  5643,  1668,  5967,  5984,
      15,  5968,  5968,  1796,  1799,  1801,  1806,  1809,  1803,  1602,
    1811,  1820,  1821,  1825,  1826,   757,  1828,  3321,   757,   757,
    -183,  1829,  1831,  1833,  1834,   938,  1845,  4322,  1852,  4324,
    1856,  1766,  1860,   212,   963,    20,  1875,  1869,  1874,  1876,
    1878,   881,  4442,   938,  1881,  1882,  1885,  1886,  1893,  1897,
     938,  4352,  4675,  1900,   618,  1901,   881,   618,  1903,   618,
     618,   881,  1905,   893,  1910,  2037,  1911,  2566,  2038,   618,
    1913,  1916,  1919,  1922,   618,  1923,  1925,  1972,  1978,  1942,
    1987,  1108,  1980,  1108,  3967,  1988,  3968, -1857,  1981, -1864,
     915,  1995,  1996,   915,  1997, -1854,  1998,  1999, -1855,  2524,
     618,   618,   618,   928,   928,   618, -2775,   893,    56, -1858,
    3969,  2001,  4393,   618,   618,   618,   618,  2002,   970,   970,
   -1856,  1762,   970,  2003,  2004,  2005,   618,  1762,  5061,   618,
    2006,   618,  2526,  2007,  2009,  2010,  4053,  4450,  2011,  4667,
    2012,  2013,   618,   618,  2014,  2015,   618,  2016,  4435,  2018,
    2019,  2020,  2021,  2022,  2480,  2023,  2024,  2025,  2478,  2482,
    2496,  2508,  2483,  2492,  2516,   618,  1108,   618,  2538,   618,
    2539,  3321,   928,    32,  2544,   970,   970,  2546,  3519,  2547,
    4686,  2550,  2551,  2553,  2554,  2555,  2556,  2557,  2562,   618,
    1427,  2907,  2569,  1429,  2600,  2602,  3998,  3999,  4000,  2613,
    2611,  3964,  2918,  3542,    40, -2774,   893,   938,  2614,   757,
    2615,  2616,  3218,  3219,  3220,  3221,  2632,    32,  2936,  3970,
    2634,  4894,  2635,  2633,  2560,  3971,  2636,  2637,  2638,  2639,
    2640,  4475,  4645,  2561,  2641,  2647,  2666,  2672,  2678,  2692,
      44,  2696,   618,  2699,  2698,   618, -2775,  3207,    40,  2700,
    2702, -2775,  2703,  2716,  2720,  2721,   893,   618,  2722,  2733,
    2734,  3321,   618,  2745,  2749,  4502,  2751,  2754,  2752,  2753,
    3319,  3011,  2762,  3319,  2755,  4715,  4784,   618,  2764,  2763,
    2767,  2768,    48,  2769,    44,  2774,  3023,  4771, -2775,  1120,
    3027,   618,  2788,  2795,  2775,    49,  2805,  2812,  2819,  2789,
    2790,  2778, -2774,  2784,  2785,  2822,  1534,  2791,  2847,  2837,
     881,  4544,   186,   881,  2792,   881,  2798,  2801,    50,  3319,
     881,  3047,  1120,  2802,  2807,  2839,    48,  2808,  2841,  2037,
     727,  2864,  2038,  2848,   938,   938,    56,  2820,  2827,    49,
     618,  2531,  2828,  2833,  2834,  4776,  2845,  2865,  2840,  2842,
    2853,  2854,  2872, -2774,  2866,  2901,  2909,  2877,  2894,  3321,
    2906,   938,    50,  2524,   938,  2923, -2774,   881,  2908,  2910,
   -2775,  3972, -2774,  2911,  2915,   881,  2916, -2774,  2917,  2919,
     728,  2920,  3973, -2774,  2922,  2921, -2774,  2927,  5224,  2929,
   -2774,  2930,  2937,  2941,  2938,   641,  2526,  2946,  2955,  2966,
     881,  2952,  1608,  2928,  2970,  2971,  2983,  2990,  2974,  2986,
    2989,  2999,  3010,  3016,  3020,  3032,  3034,  3036,  3035, -2774,
    3003, -2774,  3141,  3142,  3037,  3007,  3051,  3083,  5196,  3156,
    3157,  3116, -2775,  3091,  3135,  3104,  1762,  1762,  1762, -2774,
    3187,  3193,  2038,  3025,  3140,  3206,  3231,  3212,  3251,  3200,
    3197,  3252,  3270,  3229,  3273,  3275,  3274,  3276,  3198,  3288,
     938,  3289,  1402,  3292,  3290,  3976,  3291,  3305,  3293,   881,
    2037,   881,  3297,  2038,  3323,  3306,  3328,  3340,  3341,   938,
    3342,  3357,  3364,   900,  3343,  3375, -2774,  3378,  3376, -2774,
    2029,  3406,  3403,  3408,  3410, -2774,  3411,  3417,   938,  3422,
    3427,  3428,  3321,  4053,  2524,  3433,  3430,  3441,  3457,  4911,
   -2775, -2775,  3462,  1346,  3464, -2775,  1350,  3474,  3481,  3494,
    3499,  3525,  3526,  3527,  3500,  3532,  3535,  3543,  3571,  3587,
    3650,  3550, -2775,  3570,  2029,  3629,  3654,  2526,  3651,  3663,
    3642,  3670,   901,  2467,  2468,  2469,  2470,  2471,  2472,  3676,
    3677, -2774, -2775,  3678,  3682,  3687,  3213,  3698,  3709,  3710,
    1233,  3724,   881,  3915,  3726,  3728,  3730,  3916,  3917,  3918,
    3739,  3752,  3986,  3746,  3758,  3757,  3759,  3760,  3761,  3765,
    3768,  3772,  3770,  3773,   938,  2566,  3321,  3776,  3777,   618,
    3782,  3797,  3321,  3798,  3799,   618,  3807,  3808,  3809,  3811,
    3813,  4822,  4823,  3208,   881,  2531,  4531,  3827,  3830,  3833,
    3835,  3829,  3838,  3839,  3170,  3170,  3170,  3170,  3840,  3841,
    3170,  3170,  3170,  3170,  3170,  3170,  3170,  3170,  3170,  3170,
    4018,  1762,   881,  4023, -2774,  5157,  3842,   938,  3843,   938,
    1920,  3851,  3117,  3854,  3853,  4963,  1917,  4506,  3855,  1883,
    3865, -2775,   938,  3862,   938,  1898, -2775,  3870, -2774,  3872,
   -2774, -2774,  3878,  3898, -2125,  3949,  1199,  3966,  3975,  3989,
    3895,  3896,  3897,  5459,  5009,   618,  3655,  3170,  3170,  3312,
    2535,  3902,  3903,   892,  4860,  4009,  3907,  3961,  3984,  3909,
    3321,  3910,  4015, -2775,  3911,  3985, -2775,  3933,  3938,  3939,
    3946,   881,  5473, -2774,  3987, -2774, -2774,  3960,  4021,  3988,
    3991,  4010,  4016,  4049,  4045,  4017,  4022,  4062,  4378,  4030,
    4564,  4064,   938,   881,  4066,  4088,  4068,  4075,  4093,  4095,
    4096,  4055,  4107,  4100,  4104,  4906,  4907,  4908,  4909,  4910,
    5068,  4082,  4109,  4132,  4133,   881,  2531,  5504,  4121,  4122,
    4134,  4138,  4101,  4139,  4415,  4140,  4141,  4144,  4156,  4155,
    4158,  4164,  4165,  4166,   938,  4174,  5016,  4179, -2775,  4382,
    4188,  4202,  4204,  4208,  4206,  4538,  4209,  5129,  4210,  1967,
    4213,   938,  4215,   615,  4216,  4217,  4242,  4237,  4238,  4218,
    4235,   936,  4220,  4236,  4240,  4239, -2775,  4245,  4251,  4241,
     974,  4243,  4244,   938,  4246,  4248,   938,  2467,  2468,  2469,
    2470,  2471,  2472,  4247,   996,  4249,  4250,  4254,  4258,  4256,
    4260,  4261,  2862,   618,  4949,  4267,   881,  4277,  4282,  4288,
    4270,  4271,   618,  4325,  4337,  4274,  3921, -2775,  4340,  4343,
     618,  4272,   618,  4331,  4290,   618,  1202,  4330,  4341,   881,
     618,   618,   618,   618,  4347,  4357,   618,   618,   618,   618,
     618,   618,   618,   618,   618,   618,  4358,  4360,  4367,   618,
     618,   618,  4377,  4376,   881,  4380,  4370,  4381,  4397,   618,
     893,  4414,  4411,   618,  4417,  1762,  4421,   618,  4423,  4429,
    4443,  4436,  4430,  4383,  5013,   618,  4431,  4432,   618,  4433,
     618,   915,  4441,  4444,   928,  4445,   970,   970,  4434, -2553,
     618,  4454,  4455,   618,   618,  1990,  4456,  4457,   618,   618,
    4459,  4460,  5059,  4461,  4462,   618,  4463,  4467,  3915,  4546,
    4547,  4548,  4549, -2124,  4476,  4499,  2037, -2775,  4516,  2038,
    4527,  4528,  4539,  2039,  2040,  2041,  4500,  4562,  2467,  2468,
    2469,  2470,  2471,  2472,  1233,  1047,   618,  3915,   190,  1044,
    2523,  3916,  3917,  3918,   618,  4501,  4508,  4530,   618,  4558,
    2524,  1045,  4545,  1046,  3294,  3296,  5196,  2525,  4969,  4554,
    3304,  4556,  4053,  4565,  4567,  4569,  4570,  4577,  4584,  4578,
    4582,  4585,  3319,  4587,  4593,  4583,  3319,  4596,  4598,  4602,
     618,  4612,  4641,  2526,  5100,  3170, -2553,  4053,  4620,  4642,
    4643,  4644,  3346,  3346,  4654,  4652,   618,  4651,  5140,  4657,
    4661,  4662,   881,  4655,  4681,  4693,  4694,  4695,  4697,  4678,
    4724,  4696,  4736,  4707,   618,  3922,  3923,  3924,  3925,  3926,
    3927,  3928,  3929,  3930,  4708,  4709,  4737,  4721,  4745,  4723,
    5107,  5108,  4710,  5110,  4761,   938,  4711, -2553,  1880,  4712,
    4762,  4764,  3319,  4668,  1884,  4742,  4767,  4777,  4778,  4780,
   -2553,  4781,   757,  4782,  1895,  4819, -2553,  2826,  1899,  4793,
    4804, -2553,  4840,  1902,  5283,  1904,  4814, -2553,  4825,  4833,
   -2553,  1912,  4852,  3434, -2553,   186,  4839,  1918,  4845,  3442,
    1921,  5159,  4868,  4862,  4879,  1762,  4869,  4888,  4890,  4846,
    1762,   881,  1762,  4904,  4885,  5508,  4912,  2527,  4886,  4917,
    4892,  4893,  2528, -2553,  4889,  4898,  4919,  4934,  5350,  4940,
    4927,   186,  4935,  4946,  4952,  1762,   881,  4955,  4957,  4956,
    3475,  4992,  4961, -2553,  2529,  2225,  4974,  4988, -2126,  4995,
    5002,  5006,  5014,  5015,  5027,  5024,  3477,  5031,  5029,  2530,
    5037,  5043,  3920,  5047,  5067,  5011,  5065,  5066,  5036,  4727,
    5070,  5077,  5097,  5078,   938,  5076,  5531,   938,  5533,  5090,
    4735,  5093,  5099,  5111,  5102,  5103,  5119,  5112,  4053,  5120,
   -2553,  5121,   615, -2553,  5130,  5133,  5137,  5138,  2275, -2553,
    5141,  5146,  5149,  5155,  5156,  4954,  5158,  5164,  5162,  5168,
    5126,  5154,  2531,  5173,  5178,  2532,  5858,  5859,  5184,  5180,
    5185,  5187,  5189,  5191,  5192,  5193,  5202,  3070,  5208,  5210,
    3921,  5218,  1064,  5217,  5225,  5229,  5235,   757,  1064,  5236,
    5243,   618,  5248,  5252,  5237,   757,  5238,  5258,   757,  5284,
    1064,  5290,  5262,  5265,  5287, -2553,  5293,  5303,  5305,  5308,
     757,  5311,  5312,  5313,  5343,  5365,  4803,   938,   938,  5318,
    5372,   881,  5307,  5374,  5324,  5325,  5329,   938,  5637,  5334,
    5402,  5335,  5336,  5375,   618,   618,  5378,  5541,  5382,  5383,
    5403,  5407,  5414,  5412,   938,  5430,  5435,  5441,  5443,  5442,
    5259,  5449,  5464,  2533,  5468,  5472,  5484,  2029,  5486,  5490,
     771,  5259,  3319,  3319,  5488,  5396,  5465,   881,  5489,  5492,
    5503,  4871,   881,   618,   618,  5511,  5512,  5558,  5513,  5519,
    5564,  5525,   186,  5556,   618,  5568,  5569,  5571, -2553,  5584,
    3694,   915,  5579,  5299,   928,  5316,   970,   928,  5599,  5597,
    5598,  5600,  3312,  5601,  5593,  5611,  3312,  5612,  5695,  5697,
    5610,  3787, -2553,  5613, -2553, -2553,  5618,  5635,  5636,  5620,
    5629,  5658,  5639,   938,  5622,  5649,  5675,  5659,  5694,  4540,
    5700,  5710,  5671,  5705,  5707,  1492,  5714,  5717,  5718,  5734,
    5735,  5736,   963,  5737,  5744,  5321,  5745,  5750,  5751,   618,
    5760,  5761,  5762,  2463, -2553,  5767,  5774, -2553, -2553, -2553,
     618,  2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,  2472,
    1493,  5776,  5783,  5543,  3904,  5792,  5794,  3905,  5801,  3922,
    3923,  3924,  3925,  3926,  3927,  3928,  3929,  3930,   618,  5785,
    5703,   618,  5704,  5808,  5809,  5826,  5810,  5828,  5845,   618,
     618,  5850,   881,  5874,  5860, -2555,   618,   618,  5903,  5863,
    5867,   618,  5893,  5872,  5912,   618,  5929,  5930,   618,   618,
    5933,  5899,  5900,   618,  5949,  5934,  5931,  5689,  5641,   618,
    5960,  1494,  5965,  5966,  5973,  5974,  5977,  5978,  5951,  5952,
    5437,  1414,  3733,  5981,  2878,  1519,   618,  1625,  4007,  2515,
    1624,  3602,  3524,   618,  5799,  4150,  4684,   757,   618,  4677,
    5795,   618,   618,  3689,  3641,  4287,  5362,  1495,  3863,   618,
    5688,  5873,  5413,  4674,  3319,  4821,  5030,  5136,  5395,   615,
     618,  3319,   615,  3876,  4098,  3837,  3319,  5787,  3881,  3319,
    5350,  5701,  5297,  5017,  5019,  5869,  5708,  5706,  3788,  5807,
    5884,  5461, -2555,  1496,  4103,  5166,  4872,   618,  4843,  4851,
    5669,  4813,  3707,  4682,  4168,  3708,  4346,  5481,  1610,  5160,
    5401,  5854,  5855,  4838,  4386,   881,  4896,  5614,   615,  5926,
    5983,  5975,  5376,  5812,  5323,  5482,  4293,  5521,   938,  5677,
    5326,  2945,  2031,  1498,  4880,   722,   773,  1040,  5498,  5922,
    3737,  4913,  4882, -2555,  3009,  3381,  4089,  3005,  1568,  3021,
    2037,  4403,   881,  2038,  1964,  5438, -2555,  2039,  2040,  2041,
    5608,  5063, -2555,  3038,  1109,  1500,  3111, -2555,  1150,   938,
    4257,  5071,  3639, -2555,   881,  4713, -2555,  5832,  3170,  3112,
   -2555,   938,  5950,  1359,  2524,  4899,  2903,  3666,  5535,  2646,
    4900,  2525,  5286,  3327,  5526,  5527,  5020,   618,  5781,  2037,
    4606,  2536,  2038,   807,   808,  3337,    35,  4051,  4063, -2555,
     938,  3789,  3312,  5651,  5779,  4560,  2488,  2526,  4025,  4575,
    1503,  5264,  5471,  4019,  5470,  4607,  4020,  5940,  1504, -2555,
    3170,  2601,  2597,  2524,  5766,  4005,  2713,   757,   186,  5861,
   -2775,   881,  5640,  5460,  2606,  2545,  5652,  2596,  1506,  5653,
    3176,  3256,  3982,  4012,  5530,  3890,  4510,  1507,  3980,  5664,
    3665,  1508,  3265,  1410,     0,     0,  2526,   618,  1108,  3325,
       0,     0,     0,     0,     0,  5689, -2555,     0,     0, -2555,
    3790,     0,     0,   618,     0, -2555,     0,     0,  1762,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4058,
    4058,     0,     0,     0,     0,     0,     0,   938,     0,     0,
       0,     0,     0,     0,   618,  1509,     0,     0,     0,  3791,
       0,     0,     0,     0,  5630,     0,     0,     0,     0,     0,
       0,  2527,     0,     0,     0,  4534,  2528,  5171,     0,     0,
       0, -2555,  3319,     0,  5648,     0,  5650,     0,     0,     0,
    5661,     0,     0,     0,     0,     0,     0,     0,  2529,  2225,
     881,     0,   881,     0,     0,     0,     0,  3033,     0,     0,
       0,     0,     0,  2530,     0,  3040,  5320,     0,  5322,     0,
   -2775,   963,     0,     0,  4113, -2775,     0,     0,     0,     0,
       0,     0,  4116,   938,     0,     0,   771,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   618,  2275,     0,   618,     0,     0,   618,   618,   618,
    5364,  4053, -2775,     0, -2555,     0,  2531,     0,     0,     0,
       0,  3312,     0,   963,     0,     0,  3312,     0,     0,  3312,
       0,     0,   618,   618,     0,     0,   618,     0, -2555,     0,
   -2555, -2555,     0,     0,     0,     0,     0,     0,  1108,     0,
     186,   186,  5969,  3170,     0,     0,   618,     0,     0,     0,
       0,     0,   618,  5958,     0,  2531,   618,     0,     0,     0,
       0,     0,   881,   618,     0,     0,  4197,     0,  4199,     0,
   -2555,     0,  3170, -2555, -2555, -2555,   618,     0,   618,     0,
       0,     0,     0,   938,  3319,   938,     0,     0,     0,   618,
    5958,     0,     0,     0,     0,     0,     0,  2533,     0,     0,
    5958,     0,     0,     0,  3319,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3319,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     881,   938,     0,     0,     0,     0,     0,     0,     0,   616,
       0,   618,     0,     0,     0,     0, -2775,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   766,     0,   768,  4253,
       0,  5976,   774,     0,     0,     0,     0,   788,   796,   766,
       0,   803,     0,     0,   796,   796,     0,   832,     0,   835,
    1762,     0,     0,  5530,     0,   618,   889,   889,   889,     0,
       0,     0,     0,     0,     0,     0,     0,  2463,     0,     0,
    5285,  4275,     0,     0,     0,  2464,  2465,  2466,  2467,  2468,
    2469,  2470,  2471,  2472,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5400, -2571,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   757,     0,     0,     0, -2775,   618,     0,     0,
     881,     0,     0,     0,  5426,     0,     0,  2467,  2468,  2469,
    2470,  2471,  2472,     0,    71,  4336,   175,    80,   185,    83,
      84,   190,   180,    85,     0,  3319,    86,     0,   106,   618,
     124,   129,   159,   618,   181,   618,   183,   893,   178,   184,
       0,     0,     0,  3170,   186,     0,  1108,     0,  3475,     0,
       0,     0,     0,     0,  5428,   618,     0,     0,   618,     0,
       0,     0,  5916,     0,     0,     0,     0,     0,     0,   618,
       0, -2571,     0,     0,     0,     0,   618,     0,     0,   616,
     917,   917,     0,  3319,   917,     0,     0,     0,   929,     0,
     832,     0,  4416,   965,     0,     0,   929,     0,     0,   929,
       0,     0,   832,     0,   917,     0,     0,   832,     0,  2876,
       0,   917,     0,   832,     0,     0,     0,     0,     0,     0,
       0,   615, -2571,   881,     0,   615,     0,     0,   881,   881,
       0,     0,     0,   618,     0, -2571,     0,     0,   618,   618,
     938, -2571,     0,     0,     0,     0, -2571,     0,     0,     0,
       0,     0, -2571,     0,   938, -2571,     0,     0,     0, -2571,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   757,  4468,   618,     0,     0,     0,   963,     0,
       0,   618,     0,     0,  1762,     0,     0,     0, -2571,     0,
       0,   615,     0,     0,  3312,     0,  4477,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5765, -2571,   618,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4498,  5587,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3319,   881,   881,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0, -2571,     0,     0, -2571,     0,
       0,     0,   618,     0, -2571,     0,     0,     0,   618,     0,
       0,  2037,     0,     0,  2038,     0,     0,     0,     0,   618,
    1762,  2956,     0,   881,     0,     0,     0,     0,   618,  2973,
     618,  5791,   618,     0,     0,     0,     0,  2876,     0,   618,
       0,     0,     0,     0,     0,  2524,     0,  5655,     0,     0,
       0,     0, -2775,     0,     0,     0,     0,   618,  2037,     0,
   -2571,  2038,     0,     0,     0,     0,     0,  3319,     0,  3277,
       0,     0,     0,     0,     0,     0,  3170,  3170,  2526,     0,
       0,  3031,  1762,     0,   938,     0,     0,     0,     0,     0,
     186,     0,  2524,     0,     0,     0,     0,     0,     0, -2775,
       0,     0,     0,  5838,  5839,     0,     0,     0,     0,  2876,
       0,     0,     0,     0,     0,   771,     0,     0,     0,     0,
       0,   186,     0,     0,     0,  2526,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   186,     0,   618,     0,     0,
       0,     0,     0, -2571,     0,     0,     0,  4535,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3319,     0, -2571,     0, -2571,
   -2571,     0,     0,     0,     0,   618,   618,   618,     0,     0,
       0,   615,   615,   618,     0,     0,     0,     0,     0,     0,
       0,     0, -2775,   618,  4972,     0,     0, -2775,     0,     0,
       0,     0,     0,   938,  2029,     0,     0,     0,     0, -2571,
       0,   757, -2571, -2571, -2571,     0,   618,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   938,
       0,     0,     0,     0, -2775,     0,   757,     0,     0, -2775,
       0,     0,     0,   757, -2775,     0,     0,     0,     0,     0,
       0,     0,  1019,     0,   757,     0,     0,     0,   832,     0,
     917,     0,   917,     0,     0,   917,     0,     0,     0,     0,
     618,     0,   965,  5813,     0,     0,     0,  1076,     0,   917,
     618, -2775,     0,     0,     0,   917,     0,  2531,   618,   618,
       0,     0,     0,     0,   618,     0,   618,     0,  5837,     0,
       0,   190,  5834,     0,     0,     0,     0,     0,  3319,   616,
       0,     0,   618,   618,  5835,     0,  5836,     0,   929,     0,
       0,     0,   965,     0,     0,   929,     0,     0,   929,     0,
    1187,  1188,  5979,  5980,  2531,  5898,     0,  3312,     0,   186,
       0,     0,   938,     0,   917,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4824,     0,
       0,     0,     0,     0,   618,     0,     0,     0,     0,     0,
     618,     0,     0,     0,     0,     0,     0,     0, -2775,     0,
       0,     0,     0,     0,     0,  5837,     0,   618,   190,  5834,
       0,     0,  3319,   615,     0,   832,     0,     0,  3319,     0,
     615,  5835,     0,  5836,     0,   615,     0,   618,   615,  5004,
    1215,   618,     0,     0,     0,     0,   618,   757,     0,     0,
       0,     0,     0,     0,   186, -2775,     0,     0,     0,     0,
    1331,  1331,     0,   832,   796,     0,     0,     0,   796,     0,
       0,     0,     0,     0,     0,     0,     0,   618,     0,     0,
       0,     0,   832,     0,   618,     0,   832,     0,     0,     0,
       0,     0,  1331,     0,     0,     0,     0,     0,   618,     0,
     757,     0,     0,     0,     0,  1762,     0,     0, -2775,     0,
       0,     0,     0,  5837,     0,     0,   190,  5834,     0,  2467,
    2468,  2469,  2470,  2471,  2472,     0,  3319,     0,     0,  5835,
       0,  5836,     0,   618,   618,     0,     0,  1331,   618,     0,
       0,     0,  1762,     0,     0,     0,     0,   618,   618,     0,
       0,   832,  1762,     0,     0, -2775,     0,     0,     0,     0,
       0,     0,     0,   832,     0,     0,  2467,  2468,  2469,  2470,
    2471,  2472,     0,     0,     0,     0,     0,     0,   832,     0,
       0,     0,     0,     0,  3787,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   832,     0,
    3810,     0,     0,   917,   917,  3816,     0,  3817,  1492,     0,
       0,     0,     0,     0,     0,     0,     0,  3823,     0,     0,
    3824,     0,     0,  3825,  3826,     0,     0,  3828,     0,     0,
       0,  3831,     0,  3832,     0,     0,  3834,   796,   796,     0,
       0,     0,     0,  1493,     0,     0,     0,     0,     0,     0,
    2037,     0,     0,  2038,     0,     0,     0,  2039,  2040,  2041,
    1331,  1331,     0,     0,     0,     0,     0,     0,     0,     0,
    5143,     0,     0,   616,  2523,   917,     0,     0,     0,   929,
     186,     0,   965,   929,  2524,   929,     0,     0,     0,     0,
     917,  2525,  5051,     0,     0,     0,     0,  3873,     0,     0,
       0,   615,     0,     0,  1494,   186,     0,     0,     0,     0,
       0,     0,     0,   832,     0,     0,     0,  2526,     0,     0,
     917,   917,     0,     0,     0,   757,     0,     0,     0,  5073,
       0,   757,     0,     0,     0,   757,     0,     0,     0,     0,
    1495,   832,   832,   832,     0,   917,     0,   616,     0,   616,
     616,  5089,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5087,  5088,     0,     0,     0,  5091,  5092,     0,
       0,  3788,     0,     0,     0,     0,  1496,     0,     0,     0,
       0,     0,     0,   917,     0,   917,   917,     0,     0,     0,
       0,     0,  5897,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1498,     0,  5116,  1331,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2527,     0,     0,     0,     0,  2528,     0,     0,  3372,
       0,     0,     0,     0,     0,  1945,  1945,     0,  1500,     0,
     832,     0,   766,     0,     0,     0,     0,  3388,  2529,  2225,
       0,  3391,     0,   615,     0,  3394,   832,     0,     0,     0,
       0,     0,  1979,  2530,     0,   832,     0,     0,  1985,     0,
       0,     0,     0,   615,     0,     0,     0,     0,     0,    35,
     186,  3418,  1331,     0,  1502,     0,   615,     0,     0,     0,
       0,     0,     0,  1503,     0,     0,     0,     0,     0,     0,
       0,  1504,  2275,     0,     0,     0,     0,     0,     0,  2713,
       0,     0,     0,  1331,     0,  3460,  2531,  1522,     0,  2532,
       0,  1506,     0,  1523,     0,     0,     0,     0,     0,  5201,
    1507,     0,     0,     0,  1508,  1064,     0,     0,   928,     0,
       0,  1331,  1331,  1331,     0,  1331,     0,     0,     0,     0,
       0,     0,     0,  3790,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1331,     0,  3510,  1525,     0,
       0,  2037,     0,     0,  2038,     0,     0,     0,  2039,  2040,
    2041,     0,   928,     0,     0,  4108,     0,     0,  1509,     0,
       0,     0,  3791,  3538,     0,  2523,     0,     0,     0,  3547,
       0,     0,     0,   832,     0,  2524,  3553,  2533,     0,     0,
       0,     0,  2525,  1064,     0,     0,  3567,     0,     0,     0,
       0,  1331,  3572,     0,  1526,     0,     0,     0,     0,     0,
    1590,  1527,     0,     0,  1528,     0,     0,     0,  2526,     0,
       0,     0,  3585,     0,   615,     0,     0,     0,  3588,  4253,
       0,     0,  1591,     0,     0,  3594,  4157,     0,  4159,     0,
       0,  1529,     0,     0,     0,     0,     0,  1331,  3609,     0,
       0,  1331,  1331,     0,     0,     0,     0,     0,  4141,     0,
       0,  3634,   832,   832,  2610,     0,  1331,     0,     0,     0,
       0,     0,  1064,     0,     0,  1530,     0,     0,     0,     0,
       0,     0,   615,  1592,  4668,     0,     0,  2463,   796,     0,
       0,  2669,     0,     0,     0,  2464,  2465,  2466,  2467,  2468,
    2469,  2470,  2471,  2472,     0,     0,     0,   685,     0,     0,
     757,  3906,  3120,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2701,     0,     0,     0,     0,   796,     0,
       0,   917,  2527,     0,     0,     0,     0,  2528,  1631,     0,
       0,     0,  1532,     0,   832,  2729,     0,     0,     0,  4669,
       0,     0,  1533,   832,     0,     0,   917,     0,     0,  2529,
    2225,  1534,     0,   688,  3121,     0,     0,     0,     0,     0,
       0,     0,  1593,  1535,  2530,     0,  4252,     0,     0,   689,
       0,     0,  4259,   965,     0,   832,     0,     0,   796,     0,
       0,     0,     0,     0,     0,     0,     0,  1024,     0,     0,
       0,     0,     0,     0,     0,     0,   796,     0,  5570,   832,
       0,  1659,   832,  2275,  1537,  1538,     0,     0,     0,     0,
    1594,  3122,     0,  1595,     0,     0,     0,  2531,     0,     0,
    2532,     0,   692,     0,   917,     0,   615,     0,  2825,     0,
       0,   693,  4670,     0,     0,  1660,     0,     0,     0,     0,
       0,   832,     0,     0,   694,     0,     0,     0,     0,  3123,
       0,     0,     0,   917,   917,   917,   917,   832,  1522,     0,
       0,     0,  1597,     0,  1523,     0,     0,     0,     0,     0,
       0,   832,     0,     0,     0,  1027,  3850,     0,     0,  1629,
       0,     0,  1331,  1331,  1331,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3864,     0,     0,     0,     0,     0,
    3124,  3850,     0,  1540,     0,     0,  1599,     0,  2533,  1525,
       0,     0,     0,     0,     0,     0,   615,     0,     0,     0,
       0,   698,     0,     0,     0,     0,     0,     0,     0,  1600,
    1970,     0,     0,     0,     0,  1970,  1970,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1602,
       0,  4671,     0,     0,  4672,     0,     0,  4420,     0,  4422,
       0,  4424,     0,  1630,     0,  1526,     0,     0,     0,     0,
       0,     0,  1527,     0,   757,  1528,     0,     0,     0,     0,
     832,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   832,     0,     0,   212,  3125,     0,     0,   703,   917,
     917,     0,  1529,     0,     0,     0,     0,     0,  2463,     0,
       0,     0,     0,     0,   615,   917,  2464,  2465,  2466,  2467,
    2468,  2469,  2470,  2471,  2472,  1031,     0,     0,  3126,     0,
       0,     0,  3956,   832,   707,     0,  1530,     0,     0,     0,
       0,   708,     0,     0,   709,     0,  5609,     0,     0,   917,
     917,   917,   917,   684,     0,     0,     0,     0,   832,     0,
    2755,     0,   770,   710,     0,   832,     0,     0,     0,     0,
    1033,     0,     0,     0,     0,     0,   712,     0,     0,  1034,
       0,     0,   616,   714,     0,   616,     0,     0,     0,     0,
    5645,     0,     0,   928,     0,   929,   929,     0,  3127,  1631,
       0,     0,     0,  1532,     0,     0,   965,   965,     0,     0,
     929,   929,     0,  1533,   929,     0,     0,     0,     0,     0,
       0,     0,  1534,     0,   719,     0,     0,     0,     0,   917,
     917,     0,     0,     0,  1535,     0,   917,     0,   832,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5686,  1945,     0,   615,     0,     0,
       0,     0,   917,     0,   929,   928,   928,   929,   929,     0,
     832,   832,  1632,   917,     0,  1537,  1538,     0,     0,     0,
     832,     0,     0,     0,     0,     0,     0,   832,     0,     0,
       0,     0,     0,   766,   766,     0,     0,  3119,     0,     0,
       0,  1331,     0,  1331,     0,     0,  1633,     0,  1331,  1331,
    -135,     0,  4110,     0,     0,  1331,  1331,  1331,     0,     0,
    1331,     0,  1331,   965,  1331,  1331,  1331,  1331,  1331,  1331,
       1,  1331,     0,  1331,  1331,     0,     0,  1331,     0,     0,
       2,   615,     3,     4,     0,     0,     0,   615,     0,     0,
       0,     0,  1331,  1331,  1331,     0,     0,     0,     0,  1522,
       5,     0,     0,     0,  5902,  1523,     0,     0,     0,  1331,
       6,     0,     0,     0,  1540,     0,     0,     0,     0,     0,
    1524,     0,     7,     0,     8,     9,     0,     0,     0,  2037,
       0,    10,  2038,    11,     0,     0,  2039,  2040,  2041,     0,
       0,     0,     0,     0,     0,    12,     0,    13,     0,   917,
    1525,  4180,     0,  2523,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2524,    14,     0,     0,    15,     0,     0,
    2525,  5937,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    16,     0,    17,   615,     0,     0,    18,     0,
       0,     0,     0,     0,    19,     0,  2526,     0,     0,     0,
       0,     0,    20,     0,    21,     0,  1526,     0,     0,     0,
       0,    22,     0,  1527,     0,     0,  1528,     0,     0,     0,
       0,  5937,     0,     0,     0,  5972,     0,     0,    23,     0,
       0,     0,     0,     0,   928,   928,     0,     0,     0,     0,
       0,     0,     0,  1529,     0,    24,     0,     0,     0,     0,
       0,     0,  1331,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4268,     0,  1530,     0,     0,
       0,     0,     0,     0,     0,    25,    26,     0,     0,     0,
       0,    27,  1331,  2037,     0,     0,  2038,     0,     0,     0,
    2039,  2040,  2041,    28,     0,     0,     0,     0,     0,     0,
    2527,     0,     0,     0,     0,  2528,     0,  2523,     0,     0,
       0,    29,     0,     0,     0,     0,     0,  2524,     0,     0,
       0,     0,     0,     0,  2525,     0,     0,  2529,  2225,     0,
    1531,     0,     0,  1331,  1532,     0,     0,     0,     0,     0,
       0,     0,  2530,     0,  1533,     0,     0,     0,     0,     0,
    2526,     0,     0,  1534,    30,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1535,     0,     0,    31,     0,
       0,     0,     0,     0,    32,    33,     0,    34,     0,     0,
       0,  2275,    35,     0,     0,  5956,     0,     0,    36,     0,
       0,    37,     0,     0,  4903,  2531,     0,  4905,    38,     0,
       0,     0,     0,  1536,    39,    40,  1537,  1538,     0,     0,
       0,     0,    41,     0,     0,     0,    42,     0,     0,     0,
       0,  4920,  5956,     0,     0,     0,    43,     0,     0,     0,
       0,     0,  5956,     0,     0,     0,     0,  1539,     0,     0,
       0,    44,     0,     0,     0,  2876,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    45,  4437,     0,  2527,     0,     0,     0,     0,  2528,
       0,     0,    46,     0,     0,     0,     0,     0,    47,     0,
       0,     0,     0,    48,     0,     0,  2533,  4453,     0,     0,
       0,  2529,  2225,     0,     0,     0,    49,  1041,     0,     0,
       0,     0,     0,     0,     0,  1540,  2530,  1331,  1331,  1331,
    1331,  1331,  1331,  1331,  1331,  1331,     0,  1331,     0,    50,
      51,    52,    53,    54,    55,   832,  1331,     0,  1331,     0,
       0,     0,     0,     0,     0,   832,     0,    56,     0,     0,
    -135,     0,     0,     0,     0,  2275,     0,  1107,   684,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2531,
       0,     0,  2532,     0,   832,     0,  1331,     0,     0,   917,
    1331,     0,     0,  1331,     0,  1331,     0,     0,  1331,     0,
       0,     0,  1331,     0,     0,     0,  2463,     0,     0,     0,
       0,     0,     0,     0,  2464,  2465,  2466,  2467,  2468,  2469,
    2470,  2471,  2472,     0,     0,  3322,     0,     0,  5050,     0,
       0,   832,   832,     0,     0,     0,     0,     0,     0,     0,
       0,  2037,  1331,     0,  2038,     0,     0,     0,  2039,  2040,
    2041,  1331,  1331,     0,     0,     0,     0,     0,     0,     0,
       0,  1206,     0,     0,     0,   832,     0,     0,  5074,  5075,
    2533,     0,  3365,     0,  3370,  2524,     0,     0,     0,     0,
       0,     0,  2525,     0,     0,     0,     0,  1224,     0,     0,
       0,     0,     0,     0,     0,  1334,     0,     0,  1343,  1107,
    1345,     0,     0,     0,     0,     0,     0,     0,  2526,     0,
       0,  1522,     0,   766,     0,   766,     0,  1523,     0,     0,
       0,     0,     0,     0,  1522,     0,     0,     0,     0,     0,
    1523,     0,  1331,     0,     0,     0,     0,  1590,     0,     0,
       0,     0,     0,   616,     0,     0,   929,   965,   929,   929,
       0,     0,   917,     0,     0,   832,  4646,  5117,  5118,  1591,
       0,     0,  1525,     0,     0,     0,     0,     0,     0,     0,
    2463,     0,     0,     0,     0,  1525,   796,     0,  2464,  2465,
    2466,  2467,  2468,  2469,  2470,  2471,  2472,  2729,     0,     0,
       0,  3196,     0,     0,     0,  3478,   832,     0,     0,     0,
       0,     0,  3489,     0,     0,     0,     0,     0,     0,     0,
    1592,   832,     0,     0,     0,     0,     0,     0,  1526,     0,
       0,     0,  2527,     0,     0,  1527,     0,  2528,  1528,     0,
       0,  1526,   832,     0,     0,     0,     0,     0,  1527,     0,
       0,  1528,     0,     0,     0,     0,     0,     0,     0, -2775,
   -2775,     0,   832,   832,     0,  1529,   832,     0,     0,   796,
       0,     0,     0,     0,  2530,     0,     0,     0,  1529,     0,
       0,     0,     0,     0,     0,  4750,     0,     0,  4753,     0,
       0,     0,   917,     0,     0,   917,     0,  5212,     0,  1530,
    5214,  5215,     0,     0,     0,     0,     0,     0,     0,  1593,
       0,  1107,  1530, -2775,     0,     0,     0,  5219,     0,     0,
     832,   832,     0,     0,     0,     0,     0,  2531,     0,     0,
       0,     0,     0,     0,     0,  3628,     0,  3631,  3633,     0,
       0,     0,  1522,     0,     0,     0,     0,     0,  1523,     0,
       0,     0,     0,     0,     0,     0,     0,  1594,     0,     0,
    1595,     0,  1631,  1629,     0,     0,  1532,     0,  1331,  1331,
    1331,  1522,     0,     0,  1331,  1596,  1533,  1523,     0,  1532,
       0,     0,   917,     0,     0,  1534,     0,     0,  4835,  1533,
       0,     0,     0,  1525,     0,   917,     0,  1535,  1534,     0,
       0,  1331,     0,   917,     0,  2876,     0,     0,     0,  1597,
    1535,     0,     0,     0,     0,     0,  2729,     0,  2533,     0,
       0,   832,  1525,     0,   832,     0,     0,     0,  3734,     0,
       0,   766,     0,     0,     0,  2693,     0,     0,  1537,  1538,
       0,     0,     0,   917,  3745,     0,     0,  1630,  1598,  1526,
       0,  1537,  1538,  1599,  3628,     0,  1527,     0,     0,  1528,
       0,     0,     0,     0,   917,     0,  3767,     0,     0,  2694,
       0,     0,     0,     0,     0,     0,  1600,     0,  1526,     0,
       0,     0,  1601,     0,  3850,  1527,  1529,     0,  1528,     0,
       0,     0,     0,     0,     0,     0,  1602,     0,     0,     0,
    1969,     0,     0,     0,     0,   917,     0,   917,     0,   917,
       0,     0,     0,     0,     0,  1529,     0,     0,  2463,     0,
    1530,     0,     0,  1107,     0,     0,  2464,  2465,  2466,  2467,
    2468,  2469,  2470,  2471,  2472,     0,     0,  1540,     0,     0,
       0,     0,     0,  1945,     0,     0,     0,     0,  2037,  1530,
    1540,  2038,     0,     0,     0,  2039,  2040,  2041,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2523,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2524,  1631,     0,     0,     0,  1532,     0,  2525,
       0,     0,     0,   616,   917,     0,   929,  1533,   929,   929,
    2033,   917,     0,     0,     0,     0,  1534,     0,  1331,  2035,
       0,     0,  1631,  1331,     0,  2526,  1532,     0,  1535,     0,
       0,     0,     0,  2486,     0,     0,  1533,     0,     0,     0,
       0,     0,     0,     0,     0,  1534,     0,     0,     0,  1331,
    1331,  1331,  1107,     0,  1331,  2503,  2504,  1535,     0,     0,
    1107,  1107,  1331,  1331,  1331,  1331,  3599,     0,     0,  1537,
    1538,     0,     0,     0,     0,  1331,     0,     0,  1331,     0,
    1331,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1331,  1331,     0,     0,  1331,     0,     0,  1537,  1538,
    3600,     0,     0,  5500,     0,     0,     0,     0,     0,     0,
       0,     0,   965,     0,  1331,     0,  1331,     0,  1331,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1539,
       0,     0,     0,     0,     0,     0,     0,     0,  1331,  2527,
       0,     0,   832,     0,  2528,     0,     0,     0,     0,     0,
    5084,     0,     0,     0,  5536,     0,     0,     0,     0,     0,
       0,     0,  5094,   832,     0,     0,  2529,  2225,  1540,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2530,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   616,     0,     0,  3322,  4029,     0,  1540,     0,  4029,
    4043,  4029,     0,     0,     0,     0,  1331,     0,     0,     0,
       0,  1331,     0,     0,     0,     0,  1522,     0,     0,     0,
    2275,     0,  1523,     0,     0,     0,  1331,   916,   918,     0,
       0,   921,  -135,  1522,  2531,     0,     0,  2532,     0,  1523,
    3322,     0,     0,     0,  4074,   880,     0,  4077,     0,  3370,
       0,   982,     1,     0,     0,     0,     0,     0,   992,     0,
       0,     0,     2,     0,     3,     4,  5625,  1525,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     5,     0,  1525,     0,     0,     0,     0,  1331,
       0,     0,     6,     0,     0,     0,  1945,     0,     0,     0,
       0,     0,     0,     0,     7,     0,     8,     9,     0,     0,
       0,     0,     0,    10,  2830,    11,     0,     0,     0,   917,
     917,     0,  2838,  1526,     0,  2533,     0,    12,     0,    13,
    1527,     0,     0,  1528,     0,     0,     0,     0,     0,     0,
    1526,     0,     0,     0,     0,     0,    14,  1527,     0,    15,
    1528,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1529,     0,     0,     0,    16,     0,    17,     0,     0,     0,
      18,     0,     0,     0,  3850,     0,    19,  1529,     0,     0,
       0,     0,     0,     0,    20,     0,    21,     0,     0,     0,
       0,     0,     0,    22,  1530,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      23,  1530,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2463,   832,    24,     0,     0,
       0,     0,     0,  2464,  2465,  2466,  2467,  2468,  2469,  2470,
    2471,  2472,  1522,     0,     0,     0,  4289,     0,  1523,     0,
       0,     0,     0,     0,     0,  1590,     0,  1531,     0,     0,
       0,  1532,     0,     0,     0,     0,     0,    25,    26,     0,
       0,  1533,     0,    27,  1631,     0,     0,  1591,  1532,     0,
    1534,     0,     0,     0,  3850,    28,  3850,     0,  1533,     0,
       0,     0,  1535,  1525,     0,     0,     0,  1534,     0,     0,
       0,     0,     0,    29,     0,     0,     0,     0,     0,  1535,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1592,     0,
    2770,     0,     0,  1537,  1538,  2967,     0,     0,  1331,  2972,
       0,     0,     0,     0,  1331,     0,    30,  3470,     0,  1526,
    1537,  1538,     0,     0,  2037,   917,  1527,  2038,     0,  1528,
      31,  2039,  2040,  2041,  2771,     0,    32,    33,     0,    34,
       0,     0,     0,     0,    35,     0,     0,     0,  2523,     0,
      36,  1539,     0,    37,     0,     0,  1529,     0,  2524,     0,
      38,  5866,   832,   832,   832,  2525,    39,    40,     0,     0,
       0,     0,     0,     0,    41,     0,     0,     0,    42,   832,
       0,     0,     0,     0,     0,     0,     0,  1593,    43,     0,
    1530,  2526,     0,     0,  1331,     0,     0,     0,     0,     0,
       0,     0,  1540,    44,     0,     0,     0,     0,     0,     0,
       0,     0,  1945,   832,   832,     0,     0,     0,   832,  1540,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
     832,     0,     0,     0,    46,  1594,     0,  1050,  1595,  1053,
      47,  2037,  1055,     0,  2038,    48,     0,     0,  2039,  2040,
    2041,     0,     0,  1596,     0,     0,  1080,  1532,    49,     0,
       0,     0,  1084,     0,     0,  2523,     0,  1533,     0,     0,
       0,     0,     0,     0,     0,  2524,  1534,  3152,     0,     0,
       0,    50,  2525,     0,     0,     0,   917,  1597,  1535,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    56,
       0,     0,  -135,     0,     0,  2527,     0,   832,  2526,     0,
    2528,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     832,     0,     0,   832,     0,     0,  3574,     0,     0,  1537,
    1538,  1599,  2529,  2225,     0,     0,     0,     0,     0,     0,
       0,     0,  1331,     0,     0,     0,     0,  2530,     0,     0,
       0,  1331,     0,     0,  1600,     0,     0,     0,     0,  1331,
    3575,  1331,     0,     0,  1331,     0,     0,     0,     0,  1331,
    1331,  1331,  1331,     0,  1602,  1331,  1331,  1331,  1331,  1331,
    1331,  1331,  1331,  1331,  1331,     0,  2275,     0,  1331,  1331,
    1331,     0,     0,     0,     0,     0,     0,     0,  1331,     0,
    2531,     0,  1331,  2532,     0,     0,  1331,     0,     0,     0,
       0,     0,     0,     0,  1331,     0,     0,  1331,     0,  1331,
       0,     0,  2527,     0,     0,     0,     0,  2528,  1540,  1331,
       0,     0,  1331,  1331,     0,     0,     0,  1331,  1331,     0,
       0,     0,  4542,     0,  1331,     0,     0,     0,     0,  2529,
    2225,   832,   832,   832,     0,   880,     0,     0,     0,     0,
       0,     0,     0,     0,  2530,     0,     0,     0,     0,     0,
       0,  4029,  4043,  4029,     0,  1331,  4029,     0,     0,  4566,
       0,   880,     0,  3322,     0,     0,     0,  3322,     0,     0,
       0,  2533,     0,  4581,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2275,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2531,     0,  1331,
    2532,  1522,     0,     0,     0,     0,     0,  1523,     0,     0,
       0,     0,     0,  3370,     0,  1331,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1554,  1555,     0,  4628,  1945,  1945,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1525,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2463,     0,  2729,     0,     0,     0,     0,     0,  2464,
    2465,  2466,  2467,  2468,  2469,  2470,  2471,  2472,  2533,     0,
    2037,  4680,  4469,  2038,     0,     0,     0,  2039,  2040,  2041,
       0,     0,  1781,     0,     0,     0,   880,     0,  1526,     0,
       0,     0,     0,     0,  2523,  1527,     0,  1793,  1528,     0,
    2037,     0,     0,  2038,  2524,     0,     0,  2039,  2040,  2041,
       0,  2525,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2523,  1529,     0,  1815,  1816,     0,
       0,     0,     0,     0,  2524,     0,     0,  2526,     0,     0,
       0,  2525,     0,     0,  3850,     0,     0,     0,     0,     0,
       0,     0,  1853,     0,     0,     0,     0,     0,     0,  1530,
       0,     0,     0,     0,     0,     0,     0,  2526,  2463,     0,
       0,  4768,     0,     0,     0,     0,  2464,  2465,  2466,  2467,
    2468,  2469,  2470,  2471,  2472,     0,     0,  2037,     0,  4519,
    2038,     0,  1890,  1892,  2039,  2040,  2041,     0,     0,     0,
       0,     0,     0,     0,   917,     0,     0,     0,     0,     0,
       0,  2523,     0,     0,     0,  3329,     0,     0,   917,     0,
    1331,  2524,  1631,     0,     0,     0,  1532,   832,  2525,     0,
       0,  1678,     0,  4812,     0,     0,  1533,     0,  3272,     0,
       0,     0,     0,     0,  2729,  1534,     0,     0,     0,   880,
       0,  2527,     0,     0,  2526,     0,  2528,  1535,   832,     0,
     880,     0,     0,  3322,  3745,     0,     0,     0,     0,     0,
       0,  3628,     0,     0,     0,   880,     0,     0,  2529,  2225,
    4861,  2527,     0,     0,     0,     0,  2528,     0,     0,     0,
     832,     0,     0,  2530,     0,  3644,     0,     0,  1537,  1538,
       0,     0,  1331,  1331,     0,  3330,     0,     0,  2529,  2225,
       0,     0,     0,  1331,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2530,  1945,   832,     0,     0,     0,  3645,
       0,     0,  2275,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   832,     0,     0,     0,  2531,     0,     0,  2532,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2275,  1522,     0,     0,     0,     0,  2527,  1523,
       0,     0,     0,  2528,     0,     0,  2531,     0,  1331,  2532,
       0,     0,     0,     0,  1107,     0,     0,     0,     0,  1331,
       0,     0,     0,     0,     0,  2529,  2225,  1540,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2530,     0,     0,     0,  1525,     0,     0,  1331,     0,     0,
    1331,     0,     0,     0,     0,     0,     0,     0,  1331,  1331,
       0,   880,     0,     0,     0,  1331,  1331,  2533,     0,     0,
    1331,     0,     0,  1345,  1331,     0,     0,  1331,  1331,  2275,
       0,     0,  1331,  4977,     0,     0,     0,     0,  1331,   832,
     832,   832,   832,  2531,     0,     0,  2532,  2533,     0,     0,
    1526,     0,     0,     0,     0,   616,     0,  1527,  4029,     0,
    1528,     0,  3322,     0,     0,     0,     0,  3322,     0,     0,
    3322,   616,     0,  3628,     0,  5008,     0,     0,  1331,     0,
     965,     0,     0,     0,     0,     0,     0,  1529,     0,  1331,
       0,     0,     0,  4074,     0,     0,     0,     0,  3370,     0,
       0,     0,  1345,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   766,     0,     0,  1331,  2463,     0,  1345,
       0,  1530,     0,     0,     0,  2464,  2465,  2466,  2467,  2468,
    2469,  2470,  2471,  2472,  2533,     0,     0,     0,  4622,     0,
       0,     0,     0,     0,     0,     0,     0,  2463,  2711,     0,
    2729,     0,     0,     0,     0,  2464,  2465,  2466,  2467,  2468,
    2469,  2470,  2471,  2472,     0,  5072,     0,     0,  4841,     0,
       0,     0,     0,  2750,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1631,  3637,     0,     0,  1532,     0,
       0,     0,     0,     0,  3331,     0,     0,     0,  1533,     0,
       0,     0,     0,     0,     0,     0,     0,  1534,     0,     0,
       0,     0,     0,     0,     0,     0,  1331,     0,     0,  1535,
       0,     0,  3669,     0,  3669,     0,  3669,  3669,     0,     0,
       0,  3669,  3669,  3669,  2463,  3669,  3669,  3669,     0,     0,
     917,     0,  2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,
    2472,  2832,     0,  2631,     0,   917,     0,  4126,     0,     0,
    1537,  1538,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2857,  2858,  2859,  2860,     0,     0,  1331,     0,     0,     0,
    3747,  4127,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   616,     0,     0,     0,     0,     0,     0,  2729,
       0,     0,     0,     0,     0,  3775,     0,     0,  1945,  2631,
       0,     0,     0,     0,     0,     0,     0,     0,  2037,     0,
       0,  2038,     0,  3745,     0,  2039,  2040,  2041,     0,     0,
       0,     0,     0,     0,     0,     0,   917,     0,  3767,     0,
       0,     0,  2523,     0,     0,     0,     0,     0,     0,  1540,
     880,     0,  2524,     0,     0,     0,     0,     0,     0,  2525,
       0,     0,     0,     0,   832,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   832,     0,     0,     0,     0,
       0,     0,     0,     0,   880,  2526,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2913,  2914,     0,     0,
    1331,     0,     0,  1331,     0,     0,  1331,  1331,  1331,     0,
       0,     0,  2931,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1331,  1331,     0,     0,  1331,     0,     0,     0,     0,
       0,     0,     0,  1678,  1678,  1678,  2975,  2976,  2977,  2978,
       0,     0,     0,     0,     0,  1331,     0,     0,     0,     0,
       0,  1331,     0,     0,     0,  3322,     0,     0,     0,  5008,
       0,     0,  1331,     0,  5282,     0,     0,     0,     0,  2527,
       0,     0,     0,     0,  2528,  4628,     0,  1331,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4628,   965,
     917,     0,   917,     0,     0,     0,  2529,  2225,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2530,     0,     0,     0,     0,     0,  3053,     0,     0,
       0,     0,     0,  3057,     0,     0,     0,     0,  2037,     0,
       0,  2038,     0,     0,     0,  2039,  2040,  2041,     0,     0,
     929,   965,     0,     0,   880,     0,     0,     0,     0,  1107,
    2275,     0,  2523,     0,     0,   880,     0,     0,     0,     0,
       0,     0,  2524,     0,  2531,     0,     0,  2532,     0,  2525,
       0,   880,  1522,     0,     0,     0,     0,     0,  1523,     0,
       0,     0,     0,     0,   929,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2526,     0,  4812,     0,     0,
       0,     0,   832,     0,     0,     0,     0,   832,     0,     0,
       0,     0,     0,     0,     0,     0,  2729,     0,     0,     0,
       0,     0,     0,  1525,   880,     0,   832,     0,     0,     0,
    4861,     0,     0,  5415,     0,     0,     0,     0,     0,   880,
       0,     0,   880,   880,   917,   832,  4628,     0,     0,     0,
       0,     0,     0,  2037,     0,  2533,  2038,     0,     0,     0,
    2039,  2040,  2041,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   880,   880,     0,  2523,  1331,  1526,
       0,     0,  1331,     0,  1331,     0,  1527,  2524,     0,  1528,
       0,     0,     0,     0,  2525,     0,  3210,     0,     0,     0,
       0,     0,     0,     0,   616,     0,  1107,  1331,     0,  2527,
       0,  5479,     0,     0,  2528,     0,  1529,     0,  1331,     0,
    2526,     0,     0,     0,     0,  1331,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2529,  2225,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1530,  2530,     0,     0,     0,  2463,   832,     0,  1945,     0,
       0,     0,     0,  2464,  2465,  2466,  2467,  2468,  2469,  2470,
    2471,  2472,     0,     0,     0,  1678,  4936,     0,  1678,     0,
       0,     0,  1331,     0,  4173,     0,     0,  1331,  1331,     0,
    2275,     0,   917,   917,   917,   917,     0,     0,     0,     0,
       0,     0,   880,     0,  2531,     0,     0,  2532,     0,     0,
       0,     0,     0,  1631,     0,     0,     0,  1532,     0,     0,
       0,     0,     0,  1331,     0,     0,     0,  1533,     0,     0,
     616,     0,     0,     0,  2527,     0,  1534,     0,  4212,  2528,
       0,     0,     0,     0,     0,     0,     0,     0,  1535,     0,
       0,     0,     0,     0,     0,   832,     0,     0,  3322,     0,
       0,  2529,  2225,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2530,     0,     0,     0,
       0,     0,     0,   832,     0,     0,  4182,     0,     0,  1537,
    1538,     0,     0,     0,     0,  2533,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4255,     0,     0,     0,
       0,  1331,     0,     0,     0,  2275,     0,  1331,     0,     0,
    4183,  1945,     0,     0,     0,  3628,     0,     0,  1331,  2531,
       0,     0,  2532,     0,     0,     0,     0,  1331,     0,  1331,
       0,  1331,  5282,     0,     0,     0,     0,     0,  4628,     0,
       0,     0,  3669,     0,     0,     0,   965,     0,     0,     0,
       0,     0,     0,     0,  4286,  4286,  1331,     0,     0,     0,
       0,     0,     0,     0,  4302,     0,     0,     0,     0,  1107,
       0,  1107,     0,     0,     0,     0,     0,     0,  1540,     0,
       0,     0,     0,     0,     0,  2463,     0,     0,     0,     0,
       0,  1945,  1945,  2464,  2465,  2466,  2467,  2468,  2469,  2470,
    2471,  2472,     0,     0,     0,     0,  4973,     0,     0,     0,
    2533,     0,     0,     0,     0,     0,     0,     0,  4356,     0,
       0,     0,   917,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5730,   624,     0,     0,
       0,     0,     0,   673,   624,     0,     0,     0,     0,   725,
       0,   624,     0,  4392,  1107,     0,     0,   624,     0,   776,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1331,  1331,  1331,     0,   843,   843,
       0,     0,  1331,     0,     0,     0,  5479,     0,     0,     0,
       0,     0,  1331,     0,     0,     0,     0,     0,     0,     0,
       0,  3370,     0,     0,     0,     0,     0,     0,     0,     0,
    2463,     0,     0,     0,     0,   929,  3210,     0,  2464,  2465,
    2466,  2467,  2468,  2469,  2470,  2471,  2472,     0,     0,     0,
     917,  5223,     0,     0,     0,     0,     0,  1945,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2729,     0,     0,     0,     0,     0,     0,  1331,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4628,
       0,     0,     0,     0,     0,     0,     0,   929,   929,  5841,
       0,     0,     0,  1331,     0,  1331,     0,     0,     0,     0,
       0,     0,     0,     0,  1945,  1945,  5856,     0,     0,     0,
       0,  1331,  1331,     0,     0,     0,     0,  5862,     0,     0,
       0,     0,     0,     0,     0,     0,  4520,     0,   919,     0,
       0,     0,   923,     0,     0,   917,     0,     0,     0,  1678,
     967,     0,     0,   971,     0,     0,   976,   977,     0,   980,
       0,   983,     0,     0,   989,     0,   991,     0,     0,     0,
       0,     0,     0,  5730,   917,   917,     0,     0,     0,  4628,
       0,     0,     0,     0,     0,     0,  1492,     0,     0,  3443,
       0,     0,  1492,     0,     0,     0,   616,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1331,     0,     0,     0,
    1331,  1493,     0,     0,     0,  1331,     0,  1493,     0,     0,
       0,     0,     0,     0,  2037,     0,     0,  2038,     0,     0,
       0,  2039,  2040,  2041,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1331,     0,  2523,     0,
       0,  5935,  5936,   616,  5939,  5479,     0,     0,  2524,     0,
       0,     0,     0,     0,   917,  2525,     0,  4628,     0,     0,
       0,     0,  1494,     0,     0,  3377,     0,     0,  1494,  2631,
    3383,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2526,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1331,   616,     0,     0,     0,   616,  1495,  3579,
       0,     0,  3582,     0,  1495,     0,   929,   929,     0,     0,
    5982,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   880,     0,     0,     0,
       0,     0,   880,  4302,  1496,     0,     0,     0,     0,     0,
    1496,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   930,   940,     0,     0,     0,  4719,     0,
       0,   930,     0,   940,   930,     0,  4728,     0,     0,  4729,
    1497,  4730,     0,   880,  1498,     0,  1497,   940,     0,  2037,
    1498,     0,  2038,     0,     0,     0,  2039,  2040,  2041,  3673,
       0,     0,     0,     0,     0,  2527,     0,     0,     0,     0,
    2528,     0,  3686,  2523,     0,  1499,  1500,     0,     0,     0,
    3695,  1563,  1500,  2524,     0,     0,     0,  4770,     0,     0,
    2525,     0,  2529,  2225,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3669,     0,     0,     0,  2530,  3669,     0,
       0,     0,     0,  1501,     0,     0,  2526,    35,     0,  1564,
    3740,     0,  1502,    35,     0,     0,     0,     0,  1502,     0,
       0,  1503,     0,     0,     0,     0,     0,  1503,     0,  1504,
       0,  3764,     0,     0,     0,  1504,  2275,  1505,     0,     0,
       0,     0,     0,  1565,     0,     0,     0,     0,     0,  1506,
    2531,     0,     0,  2532,     0,  1506,     0,     0,  1507,     0,
       0,     0,  1508,  1492,  1507,     0,     0,     0,  1508,     0,
       0,     0,     0,     0,  3819,     0,  3821,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4875,     0,  1493,  4302,
       0,  1678,     0,     0,     0,     0,     0,     0,  1018,     0,
       0,     0,     0,     0,     0,     0,  1509,     0,     0,  1054,
    2527,     0,  1509,  1058,     0,  2528,     0,     0,     0,     0,
    1071,  1072,     0,   880,  1078,     0,  1081,  1082,     0,     0,
       0,  2533,     0,     0,     0,     0,     0,  2529,  2225,     0,
       0,  1104,     0,     0,     0,     0,     0,     0,     0,  1494,
       0,  3875,  2530,     0,     0,     0,     0,     0,  3882,  1117,
    4923,  4923,  4923,  4923,     0,  4923,  4923,  4923,  4923,  4923,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1146,     0,  1148,     0,     0,  1495,     0,     0,     0,     0,
       0,  2275,  1164,     0,     0,     0,     0,  2631,     0,     0,
       0,  2631,     0,     0,     0,  2531,     0,     0,  2532,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1496,     0,     0,   624,     0,     0,     0,     0,     0,
       0,  2463,     0,     0,     0,     0,     0,     0,     0,  2464,
    2465,  2466,  2467,  2468,  2469,  2470,  2471,  2472,     0,     0,
       0,     0,  5234,     0,     0,     0,     0,  1497,     0,     0,
    4985,  1498,  4987,     0,     0,     0,     0,     0,     0,     0,
    2037,     0,     0,  2038,     0,     0,     0,  2039,  2040,  2041,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1581,  1500,  2523,     0,  2533,     0,     0,     0,
       0,   880,     0,     0,  2524,     0,     0,     0,     0,   843,
       0,  2525,     0,     0,     0,     0,   880,     0,     0,     0,
    2037,   880,     0,  2038,     0,     0,   940,  2039,  2040,  2041,
    1582,     0,     0,     0,    35,     0,     0,  2526,     0,  1502,
       0,     0,     0,     0,  2523,   940,     0,     0,  1503,     0,
       0,   940,     0,     0,  2524,     0,  1504,     0,     0,     0,
       0,  2525,     0,   940,  1583,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1506,     0,     0,   940,
       0,     0,     0,     0,     0,  1507,     0,  2526,     0,  1508,
       0,  1483,     0,   930,   940,     0,  2463,     0,     0,     0,
     930,     0,   940,   930,  2464,  2465,  2466,  2467,  2468,  2469,
    2470,  2471,  2472,     0,     0,     0,   940,  5242,     0,     0,
       0,     0,     0,     0,     0,     0,   940,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1509,     0,     0,     0,     0,     0,     0,
       0,  2527,     0,     0,     0,     0,  2528,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4114,  4115,  1662,     0,
       0,  5114,  5115,     0,     0,     0,     0,     0,  2529,  2225,
       0,     0,   940,     0,  3669,     0,  3669,  3669,  3669,     0,
       0,     0,  1782,  2530,     0,     0,     0,     0,     0,     0,
       0,  2527,     0,     0,     0,     0,  2528,  1794,     0,  1795,
       0,   940,     0,     0,     0,     0,     0,     0,  1798,     0,
       0,     0,     0,     0,     0,  1808,     0,     0,  2529,  2225,
       0,  2037,  2275,     0,  2038,   940,     0,     0,  2039,  2040,
    2041,     0,     0,  2530,     0,     0,  2531,     0,     0,  2532,
       0,     0,  5167,     0,     0,  2523,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2524,     0,  1859,     0,  1861,
    2631,     0,  2525,  3383,     0,  3383,     0,     0,     0,     0,
    2631,     0,  2275,     0,     0,     0,     0,     0,     0,     0,
       0,  5195,     0,     0,     0,   940,  2531,  2037,  2526,  2532,
    2038,     0,     0,     0,  2039,  2040,  2041,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2523,     0,     0,     0,     0,     0,   880,     0,     0,
       0,  2524,     0,  4923,     0,   880,     0,  2533,  2525,     0,
       0,     0,     0,     0,   624,     0,   624,     0,   624,     0,
     624,     0,   624,   624,   624,     0,     0,     0,     0,   624,
    2631,     0,     0,     0,  2526,     0,     0,     0,     0,     0,
    1965,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1977,     0,     0,     0,  2533,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2037,  4276,     0,  2038,     0,     0,  1764,  2039,  2040,
    2041,     0,  2527,   940,     0,     0,     0,  2528,     0,     0,
       0,     0,     0,     0,   930,  2523,     0,     0,   930,   880,
     930,   880,     0,     0,     0,  2524,     0,  2463,     0,  2529,
    2225,     0,  2525,     0,     0,  2464,  2465,  2466,  2467,  2468,
    2469,  2470,  2471,  2472,  2530,     0,     0,     0,  5245,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2526,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2527,     0,
       0,     0,  4302,  2528,     0,     0,     0,  2463,     0,     0,
       0,     0,     0,  2275,     0,  2464,  2465,  2466,  2467,  2468,
    2469,  2470,  2471,  2472,     0,  2529,  2225,  2531,  5295,     0,
    2532,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2530,     0,   880,     0,     0,     0,     0,  3669,     0,     0,
       0,     0,     0,     0,  2037,   940,  5363,  2038,     0,     0,
     843,  2039,  2040,  2041,     0,     0,     0,     0,     0,  1678,
       0,     0,     0,     0,     0,  1678,     0,     0,  2523,  2275,
       0,     0,     0,  4428,   880,     0,     0,     0,  2524,     0,
       0,     0,     0,  2531,     0,  2525,  2532,     0,     0,     0,
       0,  2037,  2527,     0,  2038,     0,     0,  2528,  2039,  2040,
    2041,     0,  3383,     0,     0,     0,   940,     0,  2533,     0,
       0,  2526,     0,     0,     0,  2523,     0,   940,     0,  2529,
    2225,     0,     0,     0,     0,  2524,     0,     0,     0,     0,
       0,   940,  2525,     0,  2530,   940,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2526,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2691,     0,
       0,   880,     0,  2275,  2533,     0,     0,     0,   879,     0,
       0,     0,     0,     0,     0,     0,     0,  2531,     0,     0,
    2532,     0,     0,  3383,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2463,     0,
       0,     0,     0,     0,     0,   880,  2464,  2465,  2466,  2467,
    2468,  2469,  2470,  2471,  2472,  2527,     0,     0,     0,  5328,
    2528,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2782,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2529,  2225,   940,     0,     0,     0,     0,     0,
       0,     0,   940,   940,     0,     0,  1107,  2530,     0,     0,
    5545,     0,  2527,     0,  2463,     0,     0,  2528,  2533,     0,
       0,     0,  2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,
    2472,     0,     0,     0,     0,  5368,   880,     0,     0,  2529,
    2225,     0,     0,     0,     0,     0,  2275,     0,     0,     0,
       0,     0,     0,     0,  2530,  1764,     0,     0,     0,   880,
    2531,     0,     0,  2532,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   880,     0,     0,     0,     0,     0,
       0,     0,     0,  2275,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2531,     0,     0,
    2532,     0,     0,     0,     0,     0,     0,     0,  2463,     0,
       0,     0,     0,     0,     0,     0,  2464,  2465,  2466,  2467,
    2468,  2469,  2470,  2471,  2472,     0,     0,     0,     0,  5680,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2533,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2037,     0,     0,
    2038,     0,     0,     0,  2039,  2040,  2041,     0,     0,     0,
       0,     0,     0,     0,     0,  2904,  1107,     0,  2533,     0,
    5692,  2523,  5693,     0,     0,     0,  5698,  5699,     0,     0,
       0,  2524,     0,  2037,     0,     0,  2038,     0,  2525,     0,
    2039,  2040,  2041,     0,     0,     0,     0,     0,     0,     0,
    2940,     0,  2631,     0,     0,     0,     0,  2523,     0,     0,
       0,     0,     0,     0,  2526,     0,     0,  2524,     0,     0,
       0,  2463,     0,     0,  2525,     0,     0,     0,     0,  2464,
    2465,  2466,  2467,  2468,  2469,  2470,  2471,  2472,     0,     0,
       0,  4792,  5702,  3002,     0,  3006,     0,     0,     0,     0,
    2526,     0,     0,     0,     0,  4794,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3024,     0,     0,  2463,     0,
       0,     0,   940,     0,     0,     0,  2464,  2465,  2466,  2467,
    2468,  2469,  2470,  2471,  2472,     0,     0,     0,     0,  5883,
       0,  3383,  3045,     0,  3046,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3055,
       0,  3056,     0,     0,     0,     0,  3383,   624,     0,   624,
       0,   624,     0,   624,     0,   624,     0,     0,  2527,   624,
       0,     0,     0,  2528,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2529,  2225,     0,     0,     0,
       0,     0,     0,     0,  2527,     0,     0,     0,     0,  2528,
    2530,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   940,     0,     0,     0,
       0,  2529,  2225,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2530,     0,     0,  2275,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1764,     0,  2531,  1107,     0,  2532,     0,     0,  2037,
       0,     0,  2038,     0,     0,     0,  2039,  2040,  2041,     0,
       0,     0,     0,     0,   940,  2275,     0,     0,     0,     0,
       0,   880,   940,  2523,     0,     0,     0,     0,     0,  2531,
     940,     0,  2532,  2524,     0,     0,     0,     0,     0,     0,
    2525,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2037,     0,     0,  2038,
       0,     0,     0,  2039,  2040,  2041,  2526,  3383,     0,     0,
     930,   930,  2631,   940,   940,     0,     0,     0,     0,     0,
    2523,     0,     0,     0,  2533,   930,   930,     0,   940,   930,
    2524,     0,     0,     0,     0,     0,     0,  2525,   879,     0,
       0,   940,   940,     0,     0,     0,  2037,     0,     0,  2038,
       0,     0,     0,  2039,  2040,  2041,     0,     0,     0,     0,
    2533,     0,     0,  2526,   879,     0,     0,  5957,     0,     0,
    2523,     0,     0,  2486,     0,     0,     0,     0,     0,   930,
    2524,     0,   930,   930,     0,     0,     0,  2525,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5957,     0,     0,     0,     0,     0,
       0,     0,     0,  2526,  5957,     0,     0,  4985,     0,     0,
    2527,     0,     0,     0,  2463,  2528,     0,     0,     0,     0,
       0,     0,  2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,
    2472,     0,   880,     0,     0,  5901,     0,  2529,  2225,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2463,     0,  2530,     0,     0,     0,     0,     0,  2464,  2465,
    2466,  2467,  2468,  2469,  2470,  2471,  2472,  2527,     0,     0,
       0,  5941,  2528,     0,     0,     0,  1764,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2275,     0,  3935,  2529,  2225,     0,  5109,  3936,   879,
       0,     0,     0,     0,     0,  2531,     0,     0,  2532,  2530,
       0,     0,  5113,     0,     0,     0,     0,  2527,     0,     0,
       0,     0,  2528,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2529,  2225,     0,     0,  2275,     0,
       0,     0,     0,     0,     0,   880,     0,     0,     0,  2530,
       0,     0,  2531,     0,     0,  2532,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   880,     0,     0,     0,  2533,     0,  2275,     0,
       0,     0,     0,  5172,     0,     0,     0,     0,     0,     0,
       0,     0,  2531,     0,   880,  2532,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2533,     0,     0,   870,     0,     0,     0,
       0,     0,   879,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   879,     0,     0,     0,     0,     0,     0,
       0,   880,     0,     0,     0,     0,     0,     0,   879,     0,
       0,     0,     0,     0,     0,     0,  2463,     0,     0,     0,
       0,     0,     0,  3937,  2464,  2465,  2466,  2467,  2468,  2469,
    2470,  2471,  2472,     0,     0,     0,     0,  5942,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2463,     0,     0,     0,     0,     0,     0,
       0,  2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,  2472,
       0,     0,  2900,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5300,     0,  5301,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5199,     0,   880,  2463,  3373,  3374,     0,     0,     0,     0,
       0,  2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,  2472,
       0,     0,     0,  3389,  3390,     0,  3392,  3393,     0,     0,
    3395,  3396,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   879,  3407,     0,     0,     0,     0,
       0,     0,  3416,     0,     0,     0,  3419,  3420,     0,     0,
    3423,  3424,     0,     0,     0,     0,     0,  3429,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3444,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3461,     0,     0,     0,     0,  3463,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3469,     0,     0,     0,     0,     0,     0,     0,     0,
    3476,  2037,   880,  3480,  2038,  3482,  3485,  3487,  2039,  2040,
    2041,     0,  3495,  3498,     0,     0,     0,     0,     0,     0,
       0,  5427,  3511,     0,     0,  2523,     0,  3520,     0,     0,
       0,  3523,     0,     0,     0,  2524,     0,     0,     0,     0,
       0,     0,  2525,  3533,  3534,     0,     0,     0,  3539,     0,
       0,     0,     0,     0,  3548,  3549,     0,     0,  1764,     0,
       0,  3554,     0,     0,  3556,     0,  2502,     0,  2526,     0,
    3383,  3568,  3569,     0,     0,     0,     0,  3573,     0,     0,
       0,     0,   939,     0,     0,     0,     0,     0,     0,  3580,
       0,   939,  3583,     0,     0,     0,     0,  3586,     0,     0,
       0,     0,     0,  3589,  3590,   939,     0,     0,     0,     0,
       0,  3596,   940,     0,  3598,     0,     0,     0,  3605,  3606,
    3607,  3608,     0,  3610,     0,     0,     0,     0,     0,     0,
     940,     0,     0,     0,   940,     0,  3635,  3636,   940,  3638,
       0,     0,     0,     0,     0,     0,   940,     0,     0,     0,
    3647,  3648,  3649,     0,     0,     0,     0,  5848,     0,     0,
       0,     0,     0,     0,   940,     0,   879,     0,     0,     0,
    5532,     0,  5534,     0,     0,     0,     0,     0,     0,     0,
       0,   930,  2527,   930,   930,     0,     0,  2528,     0,     0,
    3383,     0,   872,     0,     0,     0,     0,     0,   940,     0,
       0,     0,     0,     0,     0,     0,     0,  3701,     0,  2529,
    2225,     0,     0,     0,     0,  3725,     0,     0,   940,   940,
       0,     0,     0,     0,  2530,     0,     0,     0,     0,     0,
       0,     0,   879,     0,     0,  3738,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1764,
     940,     0,     0,  1764,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2275,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   879,     0,     0,   940,  2531,  1764,     0,
    2532,     0,   940,     0,     0,  3806,     0,     0,     0,   940,
       0,     0,     0,     0,     0,     0,   940,     0,     0,   940,
       0,     0,  5849,     0,  3820,   940,  3822,   879,     0,     0,
       0,     0,     0,   880,     0,     0,     0,     0,   880,   880,
       0,     0,     0,     0,     0,   940,  2037,     0,     0,  2038,
       0,   940,     0,  2039,  2040,  2041,     0,     0,   940,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2523,   940,     0,  3892,     0,     0,     0,     0,     0,     0,
    2524,     0,     0,     0,   940,     0,     0,  2525,  2533,  1764,
    2037,     0,     0,  2038,     0,   940,   870,  2039,  2040,  2041,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2526,  2523,     0,     0,     0,  3883,     0,
       0,     0,   870,     0,  2524,     0,     0,     0,     0,  5716,
       0,  2525,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5199,   880,
       0,     0,     0,     0,     0,  1764,     0,  2526,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2463,     0,
       0,     0,     0,   880,     0,     0,  2464,  2465,  2466,  2467,
    2468,  2469,  2470,  2471,  2472,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   879,     0,     0,
       0,     0,     0,     0,   939,     0,     0,  2527,   879,     0,
       0,     0,  2528,     0,     0,     0,     0,  5796,     0,     0,
       0,     0,     0,   939,   879,     0,     0,     0,     0,   939,
       0,     0,     0,     0,  2529,  2225,     0,     0,     0,     0,
       0,   939,     0,     0,     0,     0,     0,   870,     0,  2530,
       0,  2527,     0,     0,     0,     0,  2528,   939,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   939,     0,     0,     0,     0,   879,  2529,  2225,
     939,     0,     0,     0,     0,     0,     0,     0,  2275,   940,
       0,     0,   879,  2530,   939,   879,   879,     0,     0,     0,
       0,     0,  2531,     0,   939,  2532,     0,   940,     0,     0,
       0,     0,     0,     0,   940,     0,     0,     0,     0,     0,
       0,   930,  5871,   930,   930,     0,     0,   879,   879,     0,
       0,     0,  2275,     0,     0,     0,     0,   196,     0,     0,
       0,     0,     0,     0,     0,     0,  2531,     0,     0,  2532,
       0,  5885,  5885,     0,     0,     0,     0,     0,     0,     0,
     939,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4511,     0,     0,     0,  4099,     0,     0,
       0,     0,     0,     0,     0,  1764,     0,     0,   197,   939,
       0,  1764,     0,  2533,     0,     0,     0,  4111,     0,     0,
       0,     0,     0,     0,   198,     0,     0,     0,     0,     0,
     870,     0,     0,   939,  4118,     0,     0,     0,  4118,     0,
       0,   870,   199,  4129,  4130,  4131,     0,     0,   200,     0,
       0,     0,     0,     0,     0,     0,   870,  2533,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,     0,     0,
       0,  5885,     0,     0,  4512,   879,     0,   202,     0,  4160,
    4161,  4162,  4163,     0,     0,     0,   203,     0,     0,     0,
       0,   940,     0,   939,     0,     0,     0,     0,     0,   204,
       0,     0,     0,     0,   205,     0,     0,     0,     0,     0,
       0,   206,     0,  2463,     0,     0,  4181,     0,  4185,  4186,
    4187,  2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,  2472,
     207,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   872,     0,     0,   208,     0,  2463,     0,     0,
       0,     0,     0,     0,     0,  2464,  2465,  2466,  2467,  2468,
    2469,  2470,  2471,  2472,     0,     0,   209,     0,   872,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1763,     0,     0,     0,     0,
       0,   939,   870,     0,     0,     0,   210,     0,   940,   940,
       0,     0,     0,     0,     0,     0,     0,  2037,     0,     0,
    2038,  4263,     0,     0,  2039,  2040,  2041,     0,     0,   211,
    4269,     0,     0,     0,     0,   940,     0,     0,   940,   212,
     213,  2523,     0,   214,     0,     0,     0,     0,     0,     0,
       0,  2524,     0,     0,     0,     0,  4279,  4280,  2525,     0,
       0,  4281,     0,  1678,     0,     0,     0,     0,     0,     0,
     215,     0,     0,   216,     0,     0,     0,   217,     0,   218,
       0,     0,     0,  4323,  2526,     0,   219,     0,     0,   220,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   221,     0,
    1764,  1764,  1764,   872,     0,   222,     0,     0,     0,     0,
     223,   224,     0,   939,   225,     0,     0,     0,   226,     0,
       0,     0,     0,     0,   940,     0,  4359,     0,   227,     0,
       0,  4365,     0,   228,     0,     0,     0,  4371,     0,     0,
       0,     0,     0,   940,     0,     0,   229,     0,     0,     0,
       0,     0,     0,   873,     0,     0,     0,     0,     0,   230,
       0,     0,   940,     0,     0,     0,     0,  4410,     0,     0,
       0,     0,     0,  2037,   939,     0,  2038,     0,     0,     0,
    2039,  2040,  2041,     0,     0,   939,     0,     0,  2527,     0,
       0,     0,     0,  2528,     0,     0,  4425,  2523,  4426,   939,
    3940,     0,     0,   939,     0,     0,     0,  2524,     0,     0,
       0,     0,     0,     0,  2525,  2529,  2225,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2530,     0,     0,     0,   870,     0,     0,  4449,     0,     0,
    2526,     0,     0,     0,     0,     0,     0,     0,   940,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   872,     0,     0,  2275,
       0,     0,     0,     0,     0,     0,     0,   872,     0,     0,
       0,     0,     0,  2531,     0,   875,  2532,     0,     0,     0,
       0,     0,   872,     0,     0,  1764,     0,     0,     0,     0,
     870,   940,     0,   940,  3908,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   940,     0,   940,     0,
       0,     0,   939,     0,     0,     0,     0,     0,     0,     0,
     939,   939,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   870,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2527,     0,     0,     0,     0,  2528,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2533,   870,     0,     0,     0,     0,
       0,  2529,  2225,  1763,     0,     0,   940,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2530,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   940,     0,
       0,     0,     0,     0,     0,  2275,     0,     0,   879,     0,
       0,     0,   879,   879,     0,   940,     0,     0,   872,  2531,
       0,     0,  2532,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   940,     0,     0,
     940,     0,     0,  4632,  2463,     0,  4639,     0,  4640,     0,
       0,     0,  2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,
    2472,  4647,     0,     0,     0,     0,     0,     0,     0,   879,
       0,     0,     0,  4653,     0,   879,     0,  4656,     0,     0,
    4659,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4679,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2533,     0,     0,  4683,     0,   876,   879,     0,  4687,  1764,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   870,     0,     0,     0,     0,
       0,     0,     0,  4722,     0,     0,   870,  4726,     0,     0,
       0,     0,     0,     0,     0,  4731,  4732,  4733,  4734,     0,
       0,     0,   870,     0,     0,  4738,  4739,  4740,  4741,     0,
       0,     0,     0,     0,  4743,  4744,     0,     0,     0,     0,
    4751,  4752,     0,  4754,  4755,  4756,  4757,  4758,  4759,  4760,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4769,
     939,     0,     0,  4772,  4773,  4774,  4775,     0,     0,     0,
    2463,     0,     0,     0,     0,   870,     0,     0,  2464,  2465,
    2466,  2467,  2468,  2469,  2470,  2471,  2472,  4118,     0,     0,
     870,     0,     0,   870,   870,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4795,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     872,  2037,     0,     0,  2038,   870,   870,     0,  2039,  2040,
    2041,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2523,     0,     0,     0,   940,
       0,     0,     0,     0,     0,  2524,     0,     0,     0,     0,
       0,     0,  2525,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   939,     0,   879,     0,     0,     0,
    4876,     0,     0,     0,  2037,     0,   872,  2038,  2526,     0,
       0,  2039,  2040,  2041,     0,     0,     0,     0,     0,  1764,
       0,     0,     0,     0,  1764,     0,  1764,     0,  2523,  1763,
       0,  3951,     0,  4118,     0,     0,     0,     0,  2524,     0,
    4901,     0,  4902,   873,     0,  2525,     0,   872,     0,  1764,
       0,     0,   939,     0,     0,     0,     0,     0,     0,     0,
     939,     0,  4916,     0,     0,     0,     0,     0,   939,   873,
     879,  2526,     0,   870,   879,     0,     0,     0,     0,     0,
       0,   872,     0,     0,     0,     0,     0,     0,   940,     0,
       0,   940,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3945,     0,     0,     0,     0,     0,     0,
       0,   939,   939,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2527,     0,     0,     0,   939,  2528,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   939,
     939,     0,     0,     0,     0,     0,     0,     0,     0,  2529,
    2225,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2530,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   879,   875,     0,     0,     0,     0,
       0,   940,   940,     0,     0,  2527,     0,     0,     0,   879,
    2528,   940,     0,     0,   879,     0,     0,     0,     0,     0,
       0,   875,     0,  2275,     0,     0,     0,     0,   940,     0,
       0,     0,  2529,  2225,   873,     0,     0,  2531,     0,     0,
    2532,     0,     0,     0,     0,     0,     0,  2530,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5052,  5053,  5054,     0,     0,  2275,  5055,  5056,  5057,
    5058,   872,     0,     0,  5060,     0,     0,     0,     0,     0,
    2531,     0,   872,  2532,  1763,     0,     0,   940,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   872,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2533,  5079,
    5080,  5081,  5082,  5083,     0,  5085,  5086,     0,     0,     0,
       0,     0,   878,     0,     0,     0,     0,  5095,  5096,     0,
       0,  2037,     0,     0,  2038,     0,     0,     0,  2039,  2040,
    2041,     0,     0,     0,     0,     0,   875,     0,     0,     0,
       0,   872,     0,     0,     0,  2523,  5101,     0,     0,     0,
       0,     0,     0,     0,     0,  2524,   872,     0,     0,   872,
     872,  2533,  2525,     0,     0,     0,     0,   873,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   873,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2526,     0,
       0,   872,   872,   873,     0,     0,  2037,     0,  2463,  2038,
       0,     0,     0,  2039,  2040,  2041,  2464,  2465,  2466,  2467,
    2468,  2469,  2470,  2471,  2472,     0,     0,     0,     0,     0,
    2523,     0,     0,  4518,     0,   876,     0,     0,     0,     0,
    2524,     0,     0,   879,     0,     0,   879,  2525,   879,     0,
       0,     0,     0,   879,     0,     0,     0,     0,  5165,     0,
       0,   876,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2463,     0,  2526,     0,     0,     0,     0,     0,  2464,
    2465,  2466,  2467,  2468,  2469,  2470,  2471,  2472,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     879,     0,   940,     0,     0,     0,     0,     0,   879,   875,
       0,     0,  2527,     0,     0,     0,     0,  2528,     0,     0,
     875,     0,     0,  5216,     0,     0,     0,     0,     0,   872,
       0,     0,     0,   879,     0,   875,     0,     0,     0,  2529,
    2225,     0,     0,   940,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2530,   940,     0,     0,     0,   873,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   940,     0,     0,  2527,     0,     0,
       0,     0,  2528,  2275,     0,     0,     0,     0,     0,     0,
       0,     0,   879,     0,   879,     0,   876,  2531,     0,     0,
    2532,     0,     0,     0,  2529,  2225,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2530,
       0,     0,     0,     0,   624,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   870,     0,     0,     0,
     870,   870,  1764,     0,     0,     0,     0,     0,  2275,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   940,  2531,     0,     0,  2532,     0,     0,     0,     0,
       0,   875,     0,     0,     0,   879,     0,  5317,  2533,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5327,   870,     0,     0,
       0,  5332,  5333,   870,     0,     0,     0,     0,     0,     0,
    4465,  5344,     0,     0,     0,     0,     0,   879,  5346,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   870,   879,     0,   940,     0,   876,
       0,     0,     0,  2533,  5397,  5398,     0,     0,     0,     0,
     876,     0,     0,     0,     0,     0,  1763,  5406,     0,  5408,
       0,     0,     0,     0,     0,   876,     0,     0,  2463,     0,
       0,   873,     0,     0,  5422,     0,  2464,  2465,  2466,  2467,
    2468,  2469,  2470,  2471,  2472,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4118,
       0,     0,     0,     0,   879,     0,     0,  5456,     0,     0,
     939,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   879,     0,   939,     0,
       0,     0,   939,     0,     0,     0,   939,   873,     0,     0,
       0,     0,     0,  2463,   939,     0,     0,   940,   879,   940,
       0,  2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,  2472,
    2037,     0,   939,  2038,     0,     0,     0,  2039,  2040,  2041,
       0,     0,     0,     0,     0,     0,  5493,     0,   873,     0,
       0,     0,     0,     0,  2523,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2524,   940,   939,  5510,     0,     0,
       0,  2525,     0,   875,     0,   930,     0,  5517,     0,     0,
       0,     0,   873,     0,     0,     0,   939,   939,     0,     0,
       0,   876,     0,     0,     0,     0,     0,  2526,     0,   879,
       0,     0,   878,     0,   870,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1764,     0,     0,  1763,   939,   930,
       0,  1763,   879,     0,     0,     0,     0,     0,   878,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   875,
       0,     0,  5576,     0,   939,     0,  1763,   879,     0,     0,
     939,     0,     0,     0,     0,     0,     0,   939,     0,     0,
       0,     0,     0,     0,   939,     0,     0,   939,     0,     0,
       0,     0,     0,   939,     0,     0,     0,     0,   870,     0,
     875,     0,   870,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4937,   939,     0,     0,     0,     0,     0,   939,
       0,     0,     0,     0,     0,     0,   939,     0,     0,     0,
       0,  2527,  4118,     0,   875,     0,  2528,     0,     0,   939,
       0,     0,   943,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   939,     0,   979,     0,     0,  1763,  2529,  2225,
       0,     0,     0,   939,     0,   998,     0,     0,     0,     0,
       0,     0,   872,  2530,     0,     0,   872,   872,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5668,     0,   873,   878,     0,     0,     0,     0,     0,     0,
       0,     0,   870,   873,  5681,     0,     0,     0,     0,     0,
       0,     0,  2275,     0,     0,   879,     0,   870,     0,   873,
       0,     0,   870,  1763,     0,     0,  2531,     0,     0,  2532,
       0,     0,     0,   872,     0,     0,     0,     0,     0,   872,
       0,     0,     0,     0,   940,     0,     0,  5709,     0,     0,
       0,     0,     0,   876,     0,     0,     0,     0,   940,     0,
       0,  2037,     0,  5720,  2038,     0,     0,     0,  2039,  2040,
    2041,     0,   873,     0,     0,     0,     0,     0,     0,     0,
     872,     0,     0,     0,     0,  2523,     0,   873,  1764,     0,
     873,   873,     0,     0,     0,  2524,     0,     0,     0,     0,
       0,     0,  2525,     0,   879,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2533,     0,   876,
       0,     0,   873,   873,   875,     0,     0,     0,  2526,   879,
       0,     0,     0,     0,     0,   875,     0,     0,     0,     0,
    2037,     0,     0,  2038,     0,     0,     0,  2039,  2040,  2041,
    5790,   875,     0,     0,     0,     0,   878,     0,     0,     0,
     876,     0,     0,     0,  2523,     0,     0,   878,     0,     0,
       0,     0,     0,     0,  2524,     0,     0,   939,     0,     0,
       0,  2525,   878,     0,  1764,     0,     0,     0,     0,     0,
       0,     0,     0,  5811,   876,   939,     0,     0,     0,     0,
       0,     0,   939,     0,   875,     0,     0,  2526,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2463,  4944,   875,
       0,     0,   875,   875,     0,  2464,  2465,  2466,  2467,  2468,
    2469,  2470,  2471,  2472,     0,     0,     0,     0,     0,     0,
       0,     0,  2527,     0,     0,     0,  1764,  2528,   940,     0,
     873,     0,     0,     0,   875,   875,     0,     0,     0,     0,
       0,     0,     0,     0,   879,     0,     0,     0,     0,  2529,
    2225,   870,     0,  1763,   870,     0,   870,     0,     0,  1763,
     872,   870,     0,     0,  2530,     0,     0,     0,     0,  5877,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4943,     0,     0,     0,     0,     0,     0,     0,
     879,     0,     0,     0,     0,   879,     0,     0,     0,     0,
       0,  2527,     0,  2275,     0,     0,  2528,     0,   870,     0,
       0,     0,     0,     0,     0,     0,   870,  2531,   878,     0,
    2532,     0,     0,     0,     0,     0,     0,     0,  2529,  2225,
       0,     0,     0,     0,   872,     0,     0,     0,   872,   939,
       0,   870,     0,  2530,  1017,     0,     0,   940,     0,     0,
    1048,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     930,     0,   875,     0,   876,     0,     0,     0,     0,     0,
       0,     0,     0,   940,     0,   876,     0,     0,     0,     0,
       0,     0,  2275,     0,     0,     0,     0,     0,     0,     0,
       0,   876,     0,     0,     0,     0,  2531,     0,     0,  2532,
       0,     0,     0,     0,     0,     0,     0,     0,  2533,     0,
     870,     0,   870,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   879,     0,     0,     0,     0,
       0,     0,   930,   930,     0,     0,     0,     0,   872,     0,
       0,     0,     0,     0,   876,     0,     0,     0,     0,     0,
       0,     0,     0,   872,     0,     0,     0,     0,   872,   876,
       0,     0,   876,   876,     0,     0,   939,   939,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   940,  2533,     0,     0,
       0,     0,     0,   939,   876,   876,   939,     0,     0,     0,
       0,     0,     0,   870,     0,     0,     0,     0,  2463,     0,
       0,     0,     0,     0,     0,     0,  2464,  2465,  2466,  2467,
    2468,  2469,  2470,  2471,  2472,  1338,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1361,   870,     0,     0,   879,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     878,     0,     0,     0,     0,     0,     0,     0,  1763,  1763,
    1763,     0,     0,   870,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   879,     0,  2463,     0,     0,
       0,     0,   939,     0,     0,  2464,  2465,  2466,  2467,  2468,
    2469,  2470,  2471,  2472,     0,     0,     0,   879,     0,     0,
       0,   939,     0,  1419,     0,     0,     0,     0,     0,  1764,
       0,     0,   876,     0,     0,     0,   878,     0,     0,     0,
     939,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   870,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1764,     0,     0,     0,
    1553,   930,   930,     0,   870,     0,  1764,   878,     0,     0,
       0,     0,     0,     0,   879,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   870,     0,     0,     0,
       0,  2037,     0,     0,  2038,     0,     0,     0,  2039,  2040,
    2041,   878,     0,     0,     0,     0,     0,   872,     0,     0,
     872,     0,   872,     0,     0,  2523,   939,   872,     0,     0,
       0,     0,     0,     0,     0,  2524,     0,     0,     0,     0,
       0,     0,  2525,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2526,     0,
       0,     0,     0,  1763,   872,     0,     0,   870,     0,   939,
       0,   939,   872,     0,     0,  1813,     0,     0,     0,     0,
       0,     0,     0,     0,   939,     0,   939,     0,     0,     0,
     870,     0,     0,     0,     0,   879,     0,   872,     0,     0,
       0,     0,     0,  1847,  1850,  1851,     0,     0,     0,     0,
       0,     0,     0,   873,     0,   870,     0,   873,   873,     0,
       0,     0,     0,     0,     0,     0,     0,  4945,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   939,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   872,     0,   872,     0,
       0,     0,  2527,     0,   873,     0,     0,  2528,     0,     0,
     873,     0,     0,     0,     0,  2037,     0,     0,  2038,     0,
       0,   878,  2039,  2040,  2041,     0,   939,     0,     0,  2529,
    2225,     0,   878,     0,     0,     0,     0,     0,     0,  2523,
       0,     0,  1338,   939,  2530,   879,     0,     0,   878,  2524,
       0,   873,     0,     0,     0,     0,  2525,     0,  1976,     0,
       0,     0,     0,     0,     0,   939,     0,  1338,   939,     0,
       0,     0,     0,     0,     0,   875,     0,     0,     0,   875,
     875,     0,  2526,  2275,     0,     0,     0,     0,     0,   872,
       0,     0,     0,   870,     0,     0,     0,  2531,     0,     0,
    2532,   878,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   879,     0,     0,   878,     0,     0,   878,
     878,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   872,     0,     0,     0,     0,   875,     0,     0,     0,
       0,     0,   875,     0,     0,     0,     0,  1763,     0,     0,
       0,   878,   878,     0,     0,     0,     0,     0,     0,   872,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5458,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   870,   875,     0,     0,     0,     0,  2533,     0,
       0,     0,     0,     0,     0,     0,  2527,     0,     0,     0,
       0,  2528,     0,     0,     0,  2517,     0,   870,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2529,  2225,     0,     0,     0,   872,     0,
       0,     0,     0,   879,     0,     0,     0,     0,  2530,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     872,   873,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   872,     0,     0,     0,     0,  2275,     0,   878,
       0,     0,     0,     0,     0,  2608,     0,     0,  2463,     0,
       0,  2531,     0,     0,  2532,     0,  2464,  2465,  2466,  2467,
    2468,  2469,  2470,  2471,  2472,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   939,     0,     0,
       0,     0,     0,     0,     0,   873,     0,     0,     0,   873,
       0,     0,     0,     0,     0,   876,     0,     0,     0,   876,
     876,     0,   870,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   872,     0,     0,   879,     0,     0,     0,
       0,   879,   879,     0,     0,     0,  2723,  1763,     0,     0,
       0,     0,  1763,     0,  1763,  2746,   872,     0,     0,     0,
       0,     0,  2533,   875,     0,     0,     0,     0,   870,     0,
       0,     0,     0,   870,     0,     0,   876,  1763,     0,     0,
       0,   872,   876,     0,     0,     0,     0,  2783,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   873,
       0,  2806,     0,     0,  2809,     0,   939,     0,     0,   939,
       0,     0,     0,   876,   873,     0,     0,     0,     0,   873,
       0,     0,     0,     0,     0,     0,     0,   875,     0,     0,
       0,   875,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   879,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2463,     0,     0,     0,     0,     0,     0,  2861,
    2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,  2472,     0,
       0,     0,     0,  2880,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   879,     0,  2037,     0,
       0,  2038,     0,   870,     0,  2039,  2040,  2041,     0,   939,
     939,     0,     0,     0,     0,     0,     0,     0,     0,   939,
       0,     0,  2523,     0,     0,     0,     0,     0,     0,   872,
       0,     0,  2524,     0,     0,     0,   939,     0,     0,  2525,
     636,   875,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   875,     0,   637,     0,
       0,   875,     0,     0,     0,  2526,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   638,     0,     0,     0,     0,     0,     0,
       0,     0,  2902,     0,     0,     0,   639,     0,     0,     0,
       0,     0,     0,  2905,     0,     0,     0,     0,     0,     0,
       0,     0,  -854,     0,     0,   939,     0,     0,   872,     0,
       0,     0,     0,   876,     0,     0,   870,     0,     0,     0,
     640,     0,     0,     0,     0,     0,   641,     0,     0,     0,
       0,     0,     0,   872,     0,  2949,     0,     0,     0,     0,
       0,     0,     0,     0,   642,     0,     0,     0,     0,     0,
       0,     0,     0,   870,     0,   643,     0,     0,     0,     0,
    2985,     0,     0,     0,   644,     0,     0,  2998,   873,  2527,
       0,   873,     0,   873,  2528,   870,     0,   645,   873,     0,
       0,     0,     0,     0,     0,   646,     0,   876,     0,   647,
       0,   876,     0,     0,     0,     0,  2529,  2225,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -1049,     0,
       0,  2530,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   873,     0,     0,     0,     0,
       0,     0,     0,   873,     0,     0,     0,     0,     0,     0,
    3060,     0,   870,     0,     0,   648,     0,     0,     0,     0,
    2275,     0,     0,     0,  -590,     0,     0,     0,   873,     0,
       0,     0,     0,     0,  2531,     0,     0,  2532,   872,     0,
       0,     0,  1338,  1338,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3110,
       0,   876,     0,     0,   649,     0,     0,   650,     0,     0,
     875,     0,     0,   875,     0,   875,   876,     0,     0,     0,
     875,   876,     0,     0,   872,     0,     0,   651,     0,   872,
     939,     0,     0,     0,     0,     0,     0,   873,     0,   873,
       0,   652,   878,     0,     0,     0,   878,   878,  -453,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2533,     0,   875,   653,     0,
       0,   939,     0,   870,     0,   875,     0,   654,     0,     0,
       0,     0,     0,   939,  -453,     0,     0,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     875,     0,     0,   878,     0,     0,   656,     0,     0,   878,
       0,     0,   939,   657,     0,     0,     0,     0,     0,  -453,
       0,     0,   658,   659,     0,   660,   661,     0,     0,     0,
     873,     0,     0,     0,     0,     0,     0,     0,  1314,  1314,
       0,   662,     0,     0,     0,     0,     0,     0,   663,     0,
     878,   664,     0,     0,   665,     0,     0,     0,     0,   872,
       0,     0,     0,     0,     0,  2463,     0,  -453,     0,   875,
       0,   875,   873,  2464,  2465,  2466,  2467,  2468,  2469,  2470,
    2471,  2472,     0,     0,     0,     0,     0,     0,     0,     0,
    1763,     0,     0,   870,     0,     0,     0,     0,     0,     0,
     873,     0,     0,     0,     0,     0,     0,     0,     0,   939,
       0,     0,     0,     0,     0,  1314,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   870,   875,     0,     0,     0,     0,     0,     0,   873,
     876,     0,     0,   876,     0,   876,     0,     0,     0,     0,
     876,     0,   872,     0,     0,     0,     0,     0,     0,     0,
       0,   873,     0,     0,     0,   939,     0,     0,     0,     0,
       0,     0,     0,     0,   875,     0,     0,     0,     0,     0,
       0,     0,     0,   873,     0,     0,     0,     0,     0,   872,
       0,     0,     0,     0,     0,     0,     0,   876,     0,     0,
       0,     0,   875,     0,     0,   876,     0,     0,  1675,  1679,
       0,   872,     0,     0,     0,     0,     0,     0,     0,     0,
     878,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     876,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   870,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   873,     0,     0,     0,     0,     0,
       0,   875,     0,     0,     0,   939,     0,   939,   872,     0,
       0,     0,     0,     0,     0,     0,     0,   873,     0,     0,
       0,     0,     0,   875,   878,     0,     0,     0,   878,   876,
       0,   876,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   873,     0,   685,   875,     0,     0,     0,   686,
       0,     0,     0,   939,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     688,     0,  1763,     0,   870,     0,     0,  3264,     0,   870,
     870,     0,     0,     0,     0,     0,   689,  3269,     0,     0,
       0,     0,   876,     0,     0,     0,   875,     0,   878,   872,
       0,     0,     0,     0,   690,     0,     0,     0,     0,     0,
       0,     0,     0,   878,     0,     0,  1419,     0,   878,   875,
       0,     0,     0,     0,     0,     0,     0,     0,   691,     0,
       0,     0,     0,     0,   876,     0,     0,     0,   685,   692,
    1993,     0,     0,  1020,   875,     0,     0,     0,   693,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     873,   694,   876,  1419,  1419,     0,   695,     0,     0,     0,
       0,  2008,     0,   696,     0,     0,     0,     0,     0,     0,
       0,  1021,     0,     0,     0,     0,     0,     0,     0,     0,
     870,     0,   697,     0,   688,  1022,     0,  1338,     0,  2026,
    2027,  2028,     0,  2030,     0,     0,  1023,     0,     0,     0,
     689,     0,     0,     0,     0,     0,     0,     0,     0,   872,
       0,     0,     0,  2481,     0,     0,     0,     0,  1024,     0,
       0,   876,     0,     0,   870,     0,     0,     0,   698,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   873,
       0,     0,  1025,   876,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   873,   876,     0,     0,   699,     0,
       0,     0,   939,     0,     0,   694,     0,   872,     0,     0,
    1026,   700,   875,     0,     0,     0,   939,     0,     0,     0,
       0,   701,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   212,   702,     0,     0,   703,  1027,     0,     0,     0,
       0,     0,     0,     0,     0,  2575,  1763,     0,  3479,  2587,
    2592,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1028,   704,  3501,     0,   705,     0,     0,     0,   706,
       0,   707,     0,     0,     0,     0,   876,     0,   708,     0,
       0,   709,   698,     0,  3528,     0,     0,   878,     0,     0,
     878,     0,   878,     0,     0,     0,     0,   878,     0,   876,
     710,   875,     0,     0,     0,     0,     0,   711,     0,     0,
       0,     0,     0,   712,     0,     0,   713,     0,     0,     0,
     714,     0,  1029,     0,   876,     0,   875,   872,   715,   873,
     716,     0,     0,     0,     0,   717,     0,     0,     0,     0,
       0,     0,  1763,     0,   878,   701,     0,     0,   718,     0,
       0,     0,   878,     0,     0,   212,  1030,     0,     0,   703,
       0,   719,  3603,  3604,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   873,     0,   878,     0,     0,
     873,     0,     0,     0,     0,     0,  1031,     0,     0,  1032,
       0,     0,     0,   706,     0,   707,     0,     0,     0,     0,
       0,     0,   708,     0,  1763,   709,   939,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   710,     0,     0,     0,     0,     0,
       0,  1033,     0,     0,     0,     0,     0,   712,     0,     0,
    1034,     0,     0,     0,   714,     0,   878,     0,   878,     0,
     872,     0,  1035,     0,   716,   872,   872,     0,     0,  1036,
       0,   875,     0,  3727,     0,     0,     0,     0,     0,     0,
       0,     0,   876,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   719,     0,     0,     0,     0,
    1675,  1675,  1675,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   875,     0,     0,
     873,     0,   875,     0,     0,     0,     0,     0,     0,     0,
       0,   685,     0,     0,     0,   939,  2680,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   878,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   939,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   876,     0,     0,  2681,     0,   872,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   688,     0,     0,
       0,   878,     0,     0,     0,     0,   876,     0,     0,     0,
       0,     0,     0,   689,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   878,
     872,  1024,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   873,     0,  2682,     0,     0,     0,     0,
       0,     0,   875,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,     0,     0,     0,
       0,     0,     0,     0,   939,     0,     0,     0,   694,     0,
     873,     0,     0,  2683,     0,     0,     0,     0,   878,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   873,     0,     0,     0,     0,     0,     0,  1027,
     878,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   876,   878,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   698,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   873,
       0,     0,     0,     0,     0,   875,     0,   876,     0,     0,
       0,     0,   876,     0,  3997,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2684,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1419,     0,  1763,     0,     0,
       0,     0,   875,   878,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3138,     0,   212,  2685,
       0,     0,   703,     0,   875,     0,   878,     0,  3158,     0,
    3159,     0,  3161,     0,  1763,  3175,  3178,  3183,     0,     0,
       0,     0,  3189,     0,  1763,  3194,     0,     0,     0,  1031,
       0,   878,  2686,     0,     0,     0,     0,     0,   707,     0,
    3201,  3202,  3203,     0,     0,   708,     0,     0,   709,     0,
       0,     0,     0,     0,     0,     0,     0,  3204,     0,     0,
     873,     0,     0,     0,     0,     0,     0,   710,     0,     0,
       0,   875,     0,     0,  1033,     0,     0,     0,     0,     0,
     712,     0,   876,  1034,     0,     0,     0,   714,     0,     0,
       0,     0,     0,     0,     0,  2687,     0,     0,     0,     0,
       0,     0,  2688,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   878,
     873,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   875,     0,     0,     0,     0,     0,     0,     0,
    3211,     0,     0,     0,     0,   876,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2474,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4203,     0,
    3228,     0,   876,     0,     0,     0,     0,     0,   873,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   876,     0,     0,     0,   878,     0,
       0,     0,     0,     0,     0,  2474,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3230,     0,   878,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   875,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   876,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   873,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     875,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4327,  4328,  4329,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4338,     0,     0,     0,     0,     0,     0,   878,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   876,     0,     0,  4362,  4364,     0,     0,     0,
    4369,     0,     0,     0,     0,  3237,  3238,  3239,  3240,  3241,
    3242,  3243,  3244,  3245,   878,  3246,     0,     0,     0,   878,
       0,     0,     0,     0,  1314,     0,  1675,     0,     0,     0,
       0,   873,     0,     0,     0,     0,   873,   873,     0,     0,
     875,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3204,     0,     0,     0,  3211,     0,
       0,  3228,     0,  3230,     0,     0,  3281,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     1,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     2,     0,     3,
       4,     0,  4448,     0,     0,  1338,     0,     0,     0,     0,
       0,     0,   876,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2474,     0,     0,     0,  2474,     6,     0,  2027,
    2028,     0,     0,     0,     0,     0,     0,     0,     0,     7,
       0,     8,     9,     0,     0,     0,     0,   873,    10,   878,
      11,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    12,   875,    13,     0,     0,     0,   875,   875,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     876,    14,     0,     0,    15,     0,     0,     0,     0,     0,
       0,   873,     0,     0,     0,     0,     0,     0,     0,    16,
       0,    17,     0,     0,     0,    18,     0,     0,     0,     0,
    3421,  5436,     0,     0,     0,     0,     0,     0,     0,    20,
       0,    21,     0,     0,     0,     0,     0,     0,    22,     0,
       0,     0,     0,  4550,  4551,  4552,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    23,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    24,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   878,     0,     0,     0,     0,     0,     0,   875,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     876,     0,    25,    26,     0,     0,     0,     0,    27,   878,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      28,     0,     0,   875,     0,     0,     0,     0,     0,     0,
       0,   878,     0,     0,     0,     0,     0,     0,    29,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    30,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    31,     0,     0,   878,     0,
       0,    32,    33,     0,    34,     0,     0,     0,     0,    35,
       0,     0,  4400,     0,     0,    36,     0,     0,    37,     0,
       0,     0,     0,   876,     0,    38,     0,     0,   876,   876,
       0,    39,    40,     0,     0,     0,  3659,  3660,  1675,    41,
    2474,     0,  3664,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    43,     0,  2474,     0,     0,     0,  3171,
       0,     0,     0,     0,     0,     0,     0,     0,    44,  3693,
       0,     0,     0,  2474,  2474,  2474,     0,  2474,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    46,
       0,     0,     0,     0,     0,    47,     0,     0,     0,     0,
      48,     0,     0,     0,     0,     0,     0,     0,     0,   878,
       0,     0,     0,    49,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   876,
       0,     0,     0,     0,     0,     0,    50,     0,     0,  4805,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    56,     0,     0,  -135,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4837,     0,     0,   876,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   878,
       0,     0,     0,     0,     0,     0,     0,  4895,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3060,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3888,     0,     0,     0,
       0,  3894,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   878,     0,  2030,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3183,     0,  3183,  3183,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3954,     0,     0,  3957,     0,  3959,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3978,     0,  3981,     0,  3983,     0,     0,     0,
       0,  4980,  4981,  4982,  4983,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   878,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4048,     0,     0,     0,     0,  2575,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2592,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2474,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4097,     0,     0,
     878,     0,     0,     0,     0,   878,   878,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2474,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2474,     0,     0,     0,     0,  2474,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   878,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     878,     0,     0,     0,     0,     0,  5194,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5204,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1675,     0,     0,     0,
       0,     0,  1675,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4349,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5381,     0,     0,     0,     0,  1338,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5411,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4466,     0,     0,     0,     0,     0,     0,     0,     0,  4470,
       0,     0,     0,     0,     0,     0,     0,  4472,     0,  4473,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4495,  4496,  4497,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3189,     0,     0,     0,     0,     0,
       0,     0,  4521,     0,     0,  4524,     0,  4526,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4529,     0,     0,
       0,     0,     0,     0,     0,  4536,  4537,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5506,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2474,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2474,  2474,  4595,  2474,     0,
       0,     0,     0,  3171,  3171,     0,  3931,     0,  3171,     0,
       0,     0,  2474,  4608,     0,  2474,     0,     0,     0,     0,
    2474,     0,     0,     0,     0,     0,  2474,  5583,     0,     0,
       0,  2474,     0,     0,     0,     0,     0,     0,  2474,  2474,
    2474,  2474,     0,     0,     0,  3171,  3171,     0,  2474,     0,
       0,     0,     0,     0,     0,  5605,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2474,     0,  2474,     0,     0,
       0,     0,     0,     0,  2474,  2474,  2474,  2474,  2474,  2474,
    2474,  2474,  2474,  2474,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2474,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2474,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4883,  4884,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4891,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4933,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4939,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4958,  4960,     0,     0,
       0,     0,     0,  4964,  4965,     0,     0,     0,  4966,     0,
       0,     0,  4967,     0,     0,  4970,  4971,     0,     0,     0,
    4975,     0,     0,     0,     0,     0,  4979,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2474,  2474,     0,     0,
       0,  2474,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5010,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1314,     0,     0,
    2474,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5033,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5098,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5134,  2474,     0,     0,     0,     0,
       0,  2474,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3931,
    3931,     0,     0,  3171,  3171,  3171,  3171,     0,     0,  3171,
    3171,  3171,  3171,  3171,  3171,  3171,  3171,  3171,  3171,  3931,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2474,     0,     0,  2474,     0,  2474,     0,     0,  3931,
    3931,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2474,  3171,  3171,  2474,     0,
    2474,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5222,     0,
       0,     0,     0,     0,  5226,  5227,  5228,     0,     0,     0,
       0,     0,     0,     0,     0,  2474,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5239,
    5240,     0,     0,  5241,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5261,
       0,     0,     0,     0,  2474,     0,     0,     0,     0,     0,
    5279,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5291,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3171,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3189,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2474,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2030,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5524,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5560,     0,  2474,     0,     0,     0,  2474,     0,  2474,
    2474,     0,     0,     0,     0,  3931,  3931,  3931,  3931,     0,
       0,     0,  3931,  3931,  3931,  3931,  3931,  3931,  3931,  3931,
    3931,  3931,  2474,  2474,  2474,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2474,     0,
       0,  2474,     0,  2474,     0,     0,  2474,     0,     0,  3931,
    3931,     0,     0,  2474,  2474,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5626,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5279,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2474,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5670,  2474,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5755,  5755,  5755,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5279,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3931,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5818,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5842,     0,  5755,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2474,  2474,     0,     0,     0,     0,     0,     0,  2474,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2474,     0,     0,     0,     0,     0,  2474,  3171,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5913,  2474,     0,  2474,  5914,     0,
       0,  2474,  2474,  2474,  2474,     0,     0,  2474,  2474,     0,
       0,     0,  2474,     0,     0,     0,  2474,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3171,
       0,     0,     0,     0,  5755,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2474,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2474,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1675,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2474,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2474,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2474,
       0,  3931,  3171,  2474,  2474,  2474,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2474,  2474,  2474,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3171,     0,     0,  3931,     0,     0,     0,  2474,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2474,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2474,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3931,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3931,     0,  3171,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2474,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2474,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2474,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2474,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2474,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3171,  3171,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2474,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2474,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3931,  3931,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   233,     0,  1230,   680,
       0,  1231,  1232,  1233,   740,  1234,     0,     0,     0,     0,
       0,     0,     0,   234,   235,   236,   237,   238,   239,   240,
     241,  1669,   242,   243,   244,     0,     0,     0,     0,  1235,
    2474,  2474,   245,   246,   247,     0,   248,   249,   250,   251,
     252,   253,   254,   255,   256,  1236,   258,  1237,  1238,     0,
     261,   262,   263,   264,   265,   266,   267,  1239,  1240,   268,
     269,  1241,  1242,   272,     0,   273,   274,   275,   276,  1243,
       0,  1244,     0,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
       0,   295,   296,   297,   298,  1245,  1246,  1247,  1248,  1249,
    1250,  1251,   300,   301,   302,   303,   304,   305,  1252,  1253,
     308,  1254,   309,     0,   310,   311,   312,   313,   314,   315,
     316,     0,   317,   318,   319,   320,  1670,     0,   321,   322,
     853,   324,   325,     0,   326,   327,   328,     0,   329,   330,
     331,     0,   332,   333,   334,   335,  1255,   337,   338,   339,
     340,  1256,  1257,   342,     0,   343,   344,   345,  1258,   347,
       0,   348,     0,   349,   350,     0,   351,   352,   353,   354,
     355,     0,   356,  1259,     0,  1260,   359,   360,     0,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,     0,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,  1261,  1262,     0,  1263,     0,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
       0,     0,   398,  1264,   400,   401,   402,     0,   403,   404,
     405,  1265,  1266,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,  1267,
     423,  1268,   425,   426,   427,   428,   429,   430,   431,   432,
    1269,   434,  1270,   435,   436,   437,   438,  1271,  1272,   440,
    1273,   442,   443,   444,     0,   445,   446,     0,     0,  1274,
     448,   449,     0,     0,   450,   451,   452,   453,   454,   455,
    1275,   457,   458,   459,   460,   461,   462,   463,   464,   465,
       0,   466,   467,  1276,   469,   470,   471,   472,   473,     0,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
    1277,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,     0,
     502,   503,   504,   505,   506,   507,   508,   509,  1278,   511,
     512,   513,   514,   515,   516,   517,   518,   519,     0,   520,
     521,   522,   523,   524,  1279,   525,   526,   527,   528,   529,
     530,   531,   532,  1280,   534,     0,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,  1281,
     549,     0,   550,   551,     0,   552,   553,   554,   555,   556,
     557,   558,     0,   559,  1282,  1283,     0,     0,   562,   563,
    1284,   565,  1285,  1286,   567,   568,   569,   570,   571,   572,
     573,   574,     0,  1287,   575,   576,   577,   578,   579,  1288,
       0,   580,   581,   582,   583,   584,   585,  1289,  1671,   587,
     588,   589,   590,   591,   592,     0,     0,   593,     0,     0,
     594,   595,   596,   597,   598,   599,   600,  1290,  1291,  1292,
    1293,   605,  1294,  1295,  1296,  1297,   610,   611,   612,   613,
    1298,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1299,  1300,  1672,     0,     0,     0,     0,     0,     0,
    1302,  1673,   233,     0,  1230,   680,     0,  1231,  1232,  1233,
     740,  1234,     0,     0,     0,     0,     0,     0,     0,   234,
     235,   236,   237,   238,   239,   240,   241,     0,   242,   243,
     244,     0,     0,     0,     0,  1235,     0,     0,   245,   246,
     247,     0,   248,   249,   250,   251,   252,   253,   254,   255,
     256,  1236,   258,  1237,  1238,     0,   261,   262,   263,   264,
     265,   266,   267,  1239,  1240,   268,   269,  1241,  1242,   272,
       0,   273,   274,   275,   276,  1243,     0,  1244,     0,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,   290,   291,   292,   293,   294,     0,   295,   296,   297,
     298,  1245,  1246,  1247,  1248,  1249,  1250,  1251,   300,   301,
     302,   303,   304,   305,  1252,  1253,   308,  1254,   309,     0,
     310,   311,   312,   313,   314,   315,   316,     0,   317,   318,
     319,   320,     0,     0,   321,   322,   853,   324,   325,     0,
     326,   327,   328,     0,   329,   330,   331,     0,   332,   333,
     334,   335,  1255,   337,   338,   339,   340,  1256,  1257,   342,
       0,   343,   344,   345,  1258,   347,     0,   348,     0,   349,
     350,     0,   351,   352,   353,   354,   355,     0,   356,  1259,
       0,  1260,   359,   360,     0,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,     0,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,  1261,  1262,     0,  1263,     0,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,     0,     0,   398,  1264,
     400,   401,   402,     0,   403,   404,   405,  1265,  1266,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,  1267,   423,  1268,   425,   426,
     427,   428,   429,   430,   431,   432,  1269,   434,  1270,   435,
     436,   437,   438,  1271,  1272,   440,  1273,   442,   443,   444,
       0,   445,   446,     0,     0,  1274,   448,   449,     0,     0,
     450,   451,   452,   453,   454,   455,  1275,   457,   458,   459,
     460,   461,   462,   463,   464,   465,     0,   466,   467,  1276,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,  1277,   485,   486,   487,
     488,     0,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,     0,   502,   503,   504,   505,
     506,   507,   508,   509,  1278,   511,   512,   513,   514,   515,
     516,   517,   518,   519,    40,   520,   521,   522,   523,   524,
    1279,   525,   526,   527,   528,   529,   530,   531,   532,  1280,
     534,     0,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,  1281,   549,     0,   550,   551,
      44,   552,   553,   554,   555,   556,   557,   558,     0,   559,
    1282,  1283,     0,     0,   562,   563,  1284,   565,  1285,  1286,
     567,   568,   569,   570,   571,   572,   573,   574,     0,  1287,
     575,   576,   577,   578,   579,  1288,     0,   580,   581,   582,
     583,   584,  1170,  1289,     0,   587,   588,   589,   590,   591,
     592,     0,     0,   593,     0,    49,   594,   595,   596,   597,
     598,   599,   600,  1290,  1291,  1292,  1293,   605,  1294,  1295,
    1296,  1297,   610,   611,   612,   613,  1298,     0,    50,     0,
       0,     0,     0,     0,     0,     0,     0,  1299,  1300,     0,
       0,     0,     0,     0,     0,     0,  1302,  5487,   233,     0,
    1230,   680,     0,  1231,  1232,  1233,   740,  1234,     0,     0,
       0,     0,     0,     0,     0,   234,   235,   236,   237,   238,
     239,   240,   241,     0,   242,   243,   244,     0,     0,     0,
       0,  1235,     0,     0,   245,   246,   247,     0,   248,   249,
     250,   251,   252,   253,   254,   255,   256,  1236,   258,  1237,
    1238,     0,   261,   262,   263,   264,   265,   266,   267,  1239,
    1240,   268,   269,  1241,  1242,   272,     0,   273,   274,   275,
     276,  1243,     0,  1244,     0,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,     0,   295,   296,   297,   298,  1245,  1246,  1247,
    1248,  1249,  1250,  1251,   300,   301,   302,   303,   304,   305,
    1252,  1253,   308,  1254,   309,     0,   310,   311,   312,   313,
     314,   315,   316,     0,   317,   318,   319,   320,     0,     0,
     321,   322,   853,   324,   325,     0,   326,   327,   328,     0,
     329,   330,   331,     0,   332,   333,   334,   335,  1255,   337,
     338,   339,   340,  1256,  1257,   342,     0,   343,   344,   345,
    1258,   347,     0,   348,     0,   349,   350,     0,   351,   352,
     353,   354,   355,     0,   356,  1259,     0,  1260,   359,   360,
       0,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,     0,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,  1261,  1262,     0,
    1263,     0,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,     0,     0,   398,  1264,   400,   401,   402,     0,
     403,   404,   405,  1265,  1266,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,  1267,   423,  1268,   425,   426,   427,   428,   429,   430,
     431,   432,  1269,   434,  1270,   435,   436,   437,   438,  1271,
    1272,   440,  1273,   442,   443,   444,     0,   445,   446,     0,
       0,  1274,   448,   449,     0,     0,   450,   451,   452,   453,
     454,   455,  1275,   457,   458,   459,   460,   461,   462,   463,
     464,   465,     0,   466,   467,  1276,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,  1277,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,     0,   502,   503,   504,   505,   506,   507,   508,   509,
    1278,   511,   512,   513,   514,   515,   516,   517,   518,   519,
       0,   520,   521,   522,   523,   524,  1279,   525,   526,   527,
     528,   529,   530,   531,   532,  1280,   534,     0,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,  1281,   549,     0,   550,   551,     0,   552,   553,   554,
     555,   556,   557,   558,     0,   559,  1282,  1283,     0,     0,
     562,   563,  1284,   565,  1285,  1286,   567,   568,   569,   570,
     571,   572,   573,   574,     0,  1287,   575,   576,   577,   578,
     579,  1288,     0,   580,   581,   582,   583,   584,   585,  1289,
       0,   587,   588,   589,   590,   591,   592,     0,     0,   593,
       0,     0,   594,   595,   596,   597,   598,   599,   600,  1290,
    1291,  1292,  1293,   605,  1294,  1295,  1296,  1297,   610,   611,
     612,   613,  1298,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1299,  1300,     0,     0,     0,     0,     0,
       0,     0,  1302,  3173,   233,     0,  1230,   680,     0,  1231,
    1232,  1233,   740,  1234,     0,     0,     0,     0,     0,     0,
       0,   234,   235,   236,   237,   238,   239,   240,   241,     0,
     242,   243,   244,     0,     0,     0,     0,  1235,     0,     0,
     245,   246,   247,     0,   248,   249,   250,   251,   252,   253,
     254,   255,   256,  1236,   258,  1237,  1238,     0,   261,   262,
     263,   264,   265,   266,   267,  1239,  1240,   268,   269,  1241,
    1242,   272,     0,   273,   274,   275,   276,  1243,     0,  1244,
       0,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,     0,   295,
     296,   297,   298,  1245,  1246,  1247,  1248,  1249,  1250,  1251,
     300,   301,   302,   303,   304,   305,  1252,  1253,   308,  1254,
     309,     0,   310,   311,   312,   313,   314,   315,   316,     0,
     317,   318,   319,   320,     0,     0,   321,   322,   853,   324,
     325,     0,   326,   327,   328,     0,   329,   330,   331,     0,
     332,   333,   334,   335,  1255,   337,   338,   339,   340,  1256,
    1257,   342,     0,   343,   344,   345,  1258,   347,     0,   348,
       0,   349,   350,     0,   351,   352,   353,   354,   355,     0,
     356,  1259,     0,  1260,   359,   360,     0,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,     0,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,  1261,  1262,     0,  1263,     0,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,     0,     0,
     398,  1264,   400,   401,   402,     0,   403,   404,   405,  1265,
    1266,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,  1267,   423,  1268,
     425,   426,   427,   428,   429,   430,   431,   432,  1269,   434,
    1270,   435,   436,   437,   438,  1271,  1272,   440,  1273,   442,
     443,   444,     0,   445,   446,     0,     0,  1274,   448,   449,
       0,     0,   450,   451,   452,   453,   454,   455,  1275,   457,
     458,   459,   460,   461,   462,   463,   464,   465,     0,   466,
     467,  1276,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,  1277,   485,
     486,   487,   488,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,     0,   502,   503,
     504,   505,   506,   507,   508,   509,  1278,   511,   512,   513,
     514,   515,   516,   517,   518,   519,     0,   520,   521,   522,
     523,   524,  1279,   525,   526,   527,   528,   529,   530,   531,
     532,  1280,   534,     0,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,  1281,   549,     0,
     550,   551,     0,   552,   553,   554,   555,   556,   557,   558,
       0,   559,  1282,  1283,     0,     0,   562,   563,  1284,   565,
    1285,  1286,   567,   568,   569,   570,   571,   572,   573,   574,
       0,  1287,   575,   576,   577,   578,   579,  1288,     0,   580,
     581,   582,   583,   584,   585,  1289,     0,   587,   588,   589,
     590,   591,   592,     0,     0,   593,     0,     0,   594,   595,
     596,   597,   598,   599,   600,  1290,  1291,  1292,  1293,   605,
    1294,  1295,  1296,  1297,   610,   611,   612,   613,  1298,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1299,
    1300,     0,     0,     0,     0,     0,     0,     0,  1302,  4474,
     233,     0,  1230,   680,     0,  1231,  1232,  1233,   740,  1234,
       0,     0,     0,     0,     0,     0,     0,   234,   235,   236,
     237,   238,   239,   240,   241,     0,   242,   243,   244,     0,
       0,     0,     0,  1235,     0,     0,   245,   246,   247,     0,
     248,   249,   250,   251,   252,   253,   254,   255,   256,  1236,
     258,  1237,  1238,     0,   261,   262,   263,   264,   265,   266,
     267,  1239,  1240,   268,   269,  1241,  1242,   272,     0,   273,
     274,   275,   276,  1243,     0,  1244,     0,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,     0,   295,   296,   297,   298,  1245,
    1246,  1247,  1248,  1249,  1250,  1251,   300,   301,   302,   303,
     304,   305,  1252,  1253,   308,  1254,   309,     0,   310,   311,
     312,   313,   314,   315,   316,     0,   317,   318,   319,   320,
       0,     0,   321,   322,   853,   324,   325,     0,   326,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,   335,
    1255,   337,   338,   339,   340,  1256,  1257,   342,     0,   343,
     344,   345,  1258,   347,     0,   348,     0,   349,   350,     0,
     351,   352,   353,   354,   355,     0,   356,  1259,     0,  1260,
     359,   360,     0,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,     0,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,  1261,
    1262,     0,  1263,     0,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,     0,     0,   398,  1264,   400,   401,
     402,     0,   403,   404,   405,  1265,  1266,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,  1267,   423,  1268,   425,   426,   427,   428,
     429,   430,   431,   432,  1269,   434,  1270,   435,   436,   437,
     438,  1271,  1272,   440,  1273,   442,   443,   444,     0,   445,
     446,     0,     0,  1274,   448,   449,     0,     0,   450,   451,
     452,   453,   454,   455,  1275,   457,   458,   459,   460,   461,
     462,   463,   464,   465,     0,   466,   467,  1276,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,  1277,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,     0,   502,   503,   504,   505,   506,   507,
     508,   509,  1278,   511,   512,   513,   514,   515,   516,   517,
     518,   519,     0,   520,   521,   522,   523,   524,  1279,   525,
     526,   527,   528,   529,   530,   531,   532,  1280,   534,     0,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,  1281,   549,     0,   550,   551,     0,   552,
     553,   554,   555,   556,   557,   558,     0,   559,  1282,  1283,
       0,     0,   562,   563,  1284,   565,  1285,  1286,   567,   568,
     569,   570,   571,   572,   573,   574,     0,  1287,   575,   576,
     577,   578,   579,  1288,     0,   580,   581,   582,   583,   584,
     585,  1289,     0,   587,   588,   589,   590,   591,   592,     0,
       0,   593,     0,     0,   594,   595,   596,   597,   598,   599,
     600,  1290,  1291,  1292,  1293,   605,  1294,  1295,  1296,  1297,
     610,   611,   612,   613,  1298,     0,     0,     0,     0,   621,
       0,     0,     0,     0,     0,  1299,  1300,     0,     0,     0,
       0,     0,     0,     0,  1302,  4543,   234,   235,   236,   237,
     238,   239,   240,   241,     0,   242,   243,   244,     0,     0,
       0,     0,     0,  4026,     0,   245,   246,   247,     0,   248,
     249,   250,   251,     0,   253,   254,   255,   256,   257,     0,
     259,   260,     0,   261,   262,   263,   264,   265,   266,   267,
       0,     0,   268,   269,   270,   271,   272,     0,   273,   274,
     275,   276,   277,     0,     0,     0,   279,   280,   281,   282,
     283,   284,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,     0, -1766,   296,   297,   298,     0,     0,
       0,     0,     0,     0,     0,   300,   301,   302,   303,   304,
     305,   306,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   315,   316,     0,   317,   318,   319,   320,     0,
       0,   321,   322,   323,   324,   325,     0,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,     0,   342,     0,   343,   344,
     345,   346,   347,     0,   348,     0,   349,     0,     0, -1766,
     352,   353,   354,   355,     0,   356,   357,     0,   358,   359,
     360,     0,   361,   362,   363,   364,   365,     0,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378, -1766,   380,   381,   382,   383,   384,   385,   386,
       0,   387,     0,   388,     0,     0,   391, -1766,   393,   394,
     395,   396,   397,     0,     0,   398,   399, -1766,   401,     0,
       0,   403,   404,   405,     0,     0,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422, -1766,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,     0,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,     0,     0,   450,   451,   452,
       0,   454,     0,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,     0,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503, -1766,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,     0,   520,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,     0,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,     0,   552,     0,
     554,   555,   556,   557,   558,     0,   559,   560,   561,     0,
       0,   562,   563,   564,   565,   566,     0,   567,   568,   569,
     570,   571,   572,   573,   574,     0,     0,   575,   576,   577,
     578,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,     0,   587,     0,   589,   590,   591,   592,     0,     0,
     593,     0,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,     0,     0,     0,     0,     0,   845,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1412,   234,   235,   236,   237,   238,
     239,   240,   241,     0,   242,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,     0,   248,   249,
     250,   251,   252,   253,   254,   255,     0,   846,   258,   847,
     848,     0,   261,   262,   263,   264,   265,   266,   267,     0,
       0,   268,   269,   849,   850,   272,     0,   273,   274,   275,
     276,     0,     0,   278,     0,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,     0,   295,   296,   297,   298,     0,     0,     0,
     299,     0,     0,     0,   300,   301,   302,   303,   304,   305,
     851,   852,   308,     0,   309,     0,   310,   311,   312,   313,
     314,   315,   316,     0,   317,   318,   319,   320,     0,     0,
     321,   322,   853,   324,   325,     0,   326,   327,   328,     0,
     329,   330,   331,     0,   332,   333,   334,   335,     0,   337,
     338,   339,   340,     0,     0,   342,     0,   343,   344,   345,
     854,   347,     0,   348,     0,   349,   350,     0,   351,   352,
     353,   354,   355,     0,   356,     0,     0,     0,   359,   360,
       0,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,  2617,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,  2618,   381,   382,   383,   384,   855,   856,     0,
     857,     0,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,     0,     0,   398,     0,   400,   401,   402,     0,
     403,   404,   405,     0,     0,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   858,   423,   859,   425,   426,   427,   428,   429,   430,
     431,     0,     0,   434,     0,   435,   436,   437,   438,     0,
       0,   440,   860,   442,   443,   444,     0,   445,   446,     0,
       0,   447,   448,   449,     0,     0,   450,   451,  2620,   453,
     454,   455,     0,   457,   458,   459,   460,   461,   462,   463,
     464,   465,     0,   466,   467,     0,   469,     0,   471,   472,
     473,     0,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   861,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,     0,   502,   503,   504,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,   515,   516,   517,   518,   519,
       0,   520,   521,   522,   523,   524,     0,   525,   526,  2621,
     528,   529,   530,   531,   532,   863,   534,     0,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,     0,   549,     0,   550,   551,     0,   552,   553,   554,
     555,   556,   557,   558,     0,   559,   864,   865,     0,     0,
     562,   563,     0,   565,     0,     0,   567,   568,   569,   570,
     571,   572,   573,   574,     0,     0,   575,   576,   577,   578,
     579,     0,     0,   580,   581,   582,   583,   584,     0,   866,
    2622,   587,   588,   589,   590,   591,   592,     0,     0,   593,
       0,     0,   594,   595,   596,   597,   598,   599,   845,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   611,
     612,   613,     0,     0,     0,   234,   235,   236,   237,   238,
     239,   240,   241,     0,   242,   243,   244,     0,     0,     0,
       0,     0,     0,  2717,   245,   246,   247,     0,   248,   249,
     250,   251,   252,   253,   254,   255,     0,   846,   258,   847,
     848,     0,   261,   262,   263,   264,   265,   266,   267,     0,
       0,   268,   269,   849,   850,   272,     0,   273,   274,   275,
     276,     0,     0,   278,     0,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,     0,   295,   296,   297,   298,     0,     0,     0,
     299,     0,     0,     0,   300,   301,   302,   303,   304,   305,
     851,   852,   308,     0,   309,     0,   310,   311,   312,   313,
     314,   315,   316,     0,   317,   318,   319,   320,     0,     0,
     321,   322,   853,   324,   325,     0,   326,   327,   328,     0,
     329,   330,   331,     0,   332,   333,   334,   335,     0,   337,
     338,   339,   340,     0,     0,   342,     0,   343,   344,   345,
     854,   347,     0,   348,     0,   349,   350,     0,   351,   352,
     353,   354,   355,     0,   356,     0,     0,     0,   359,   360,
       0,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,  2617,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,  2618,   381,   382,   383,   384,   855,   856,     0,
     857,     0,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,     0,     0,   398,     0,   400,   401,   402,     0,
     403,   404,   405,     0,     0,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   858,   423,   859,   425,   426,   427,   428,   429,   430,
     431,     0,     0,   434,     0,   435,   436,   437,   438,     0,
       0,   440,   860,   442,   443,   444,     0,   445,   446,     0,
       0,   447,   448,   449,     0,     0,   450,   451,  2620,   453,
     454,   455,     0,   457,   458,   459,   460,   461,   462,   463,
     464,   465,     0,   466,   467,     0,   469,     0,   471,   472,
     473,     0,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   861,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,     0,   502,   503,   504,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,   515,   516,   517,   518,   519,
       0,   520,   521,   522,   523,   524,     0,   525,   526,  2621,
     528,   529,   530,   531,   532,   863,   534,     0,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,     0,   549,     0,   550,   551,     0,   552,   553,   554,
     555,   556,   557,   558,     0,   559,   864,   865,     0,     0,
     562,   563,     0,   565,     0,     0,   567,   568,   569,   570,
     571,   572,   573,   574,     0,     0,   575,   576,   577,   578,
     579,     0,     0,   580,   581,   582,   583,   584,     0,   866,
    2622,   587,   588,   589,   590,   591,   592,     0,     0,   593,
       0,     0,   594,   595,   596,   597,   598,   599,   233,     0,
    1230,   680,     0,  1231,  1232,  1233,   740,  1234,     0,   611,
     612,   613,     0,     0,     0,   234,   235,   236,   237,   238,
     239,   240,   241,     0,   242,   243,   244,     0,     0,     0,
       0,  1235,     0,  3783,   245,   246,   247,     0,   248,   249,
     250,   251,   252,   253,   254,   255,   256,  1236,   258,  1237,
    1238,     0,   261,   262,   263,   264,   265,   266,   267,  1239,
    1240,   268,   269,  1241,  1242,   272,     0,   273,   274,   275,
     276,  1243,     0,  1244,     0,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,     0,   295,   296,   297,   298,  1245,  1246,  1247,
    1248,  1249,  1250,  1251,   300,   301,   302,   303,   304,   305,
    1252,  1253,   308,  1254,   309,     0,   310,   311,   312,   313,
     314,   315,   316,     0,   317,   318,   319,   320,     0,     0,
     321,   322,   853,   324,   325,     0,   326,   327,   328,     0,
     329,   330,   331,     0,   332,   333,   334,   335,  1255,   337,
     338,   339,   340,  1256,  1257,   342,     0,   343,   344,   345,
    1258,   347,     0,   348,     0,   349,   350,     0,   351,   352,
     353,   354,   355,     0,   356,  1259,     0,  1260,   359,   360,
       0,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,     0,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,  1261,  1262,     0,
    1263,     0,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,     0,     0,   398,  1264,   400,   401,   402,     0,
     403,   404,   405,  1265,  1266,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,  1267,   423,  1268,   425,   426,   427,   428,   429,   430,
     431,   432,  1269,   434,  1270,   435,   436,   437,   438,  1271,
    1272,   440,  1273,   442,   443,   444,     0,   445,   446,     0,
       0,  1274,   448,   449,     0,     0,   450,   451,   452,   453,
     454,   455,  1275,   457,   458,   459,   460,   461,   462,   463,
     464,   465,     0,   466,   467,  1276,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,  1277,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,     0,   502,   503,   504,   505,   506,   507,   508,   509,
    1278,   511,   512,   513,   514,   515,   516,   517,   518,   519,
      40,   520,   521,   522,   523,   524,  1279,   525,   526,   527,
     528,   529,   530,   531,   532,  1280,   534,     0,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,  1281,   549,     0,   550,   551,    44,   552,   553,   554,
     555,   556,   557,   558,     0,   559,  1282,  1283,     0,     0,
     562,   563,  1284,   565,  1285,  1286,   567,   568,   569,   570,
     571,   572,   573,   574,     0,  1287,   575,   576,   577,   578,
     579,  1288,     0,   580,   581,   582,   583,   584,  1170,  1289,
       0,   587,   588,   589,   590,   591,   592,     0,     0,   593,
       0,    49,   594,   595,   596,   597,   598,   599,   600,  1290,
    1291,  1292,  1293,   605,  1294,  1295,  1296,  1297,   610,   611,
     612,   613,  1298,     0,    50,     0,     0,     0,     0,     0,
       0,     0,     0,  1299,  1300,     0,     0,     0,   233,     0,
    1230,   680,  1302,  1231,  1232,  1233,   740,  1234,     0,     0,
       0,     0,     0,     0,     0,   234,   235,   236,   237,   238,
     239,   240,   241,     0,   242,   243,   244,     0,     0,     0,
       0,  1235,     0,     0,   245,   246,   247,     0,   248,   249,
     250,   251,   252,   253,   254,   255,   256,  1236,   258,  1237,
    1238,  3179,   261,   262,   263,   264,   265,   266,   267,  1239,
    1240,   268,   269,  1241,  1242,   272,     0,   273,   274,   275,
     276,  1243,     0,  1244,     0,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,     0,   295,   296,   297,   298,  1245,  1246,  1247,
    1248,  1249,  1250,  1251,   300,   301,   302,   303,   304,   305,
    1252,  1253,   308,  1254,   309,     0,   310,   311,   312,   313,
     314,   315,   316,     0,   317,   318,   319,   320,     0,     0,
     321,   322,   853,   324,   325,     0,   326,   327,   328,     0,
     329,   330,   331,     0,   332,   333,   334,   335,  1255,   337,
     338,   339,   340,  1256,  1257,   342,     0,   343,   344,   345,
    1258,   347,     0,   348,     0,   349,   350,  3180,   351,   352,
     353,   354,   355,     0,   356,  1259,     0,  1260,   359,   360,
       0,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,     0,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,  1261,  1262,     0,
    1263,     0,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,     0,  3181,   398,  1264,   400,   401,   402,     0,
     403,   404,   405,  1265,  1266,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,  1267,   423,  1268,   425,   426,   427,   428,   429,   430,
     431,   432,  1269,   434,  1270,   435,   436,   437,   438,  1271,
    1272,   440,  1273,   442,   443,   444,     0,   445,   446,     0,
       0,  1274,   448,   449,     0,     0,   450,   451,   452,   453,
     454,   455,  1275,   457,   458,   459,   460,   461,   462,   463,
     464,   465,     0,   466,   467,  1276,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,  1277,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,     0,   502,   503,   504,   505,   506,   507,   508,   509,
    1278,   511,   512,   513,   514,   515,   516,   517,   518,   519,
       0,   520,   521,   522,   523,   524,  1279,   525,   526,   527,
     528,   529,   530,   531,   532,  1280,   534,     0,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,  1281,   549,     0,   550,   551,     0,   552,   553,   554,
     555,   556,   557,   558,     0,   559,  1282,  1283,     0,  3182,
     562,   563,  1284,   565,  1285,  1286,   567,   568,   569,   570,
     571,   572,   573,   574,     0,  1287,   575,   576,   577,   578,
     579,  1288,     0,   580,   581,   582,   583,   584,   585,  1289,
       0,   587,   588,   589,   590,   591,   592,     0,     0,   593,
       0,     0,   594,   595,   596,   597,   598,   599,   600,  1290,
    1291,  1292,  1293,   605,  1294,  1295,  1296,  1297,   610,   611,
     612,   613,  1298,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1299,  1300,     0,     0,     0,   233,     0,
    1230,   680,  1302,  1231,  1232,  1233,   740,  1234,     0,     0,
       0,     0,     0,     0,     0,   234,   235,   236,   237,   238,
     239,   240,   241, -2155,   242,   243,   244,     0,     0,     0,
   -2155,  1235,     0,     0,   245,   246,   247,     0,   248,   249,
     250,   251,   252,   253,   254,   255,   256,  1236,   258,  1237,
    1238,     0,   261,   262,   263,   264,   265,   266,   267,  1239,
    1240,   268,   269,  1241,  1242,   272,     0,   273,   274,   275,
     276,  1243,     0,  1244,     0,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,     0,   295,   296,   297,   298,  1245,  1246,  1247,
    1248,  1249,  1250,  1251,   300,   301,   302,   303,   304,   305,
    1252,  1253,   308,  1254,   309,     0,   310,   311,   312,   313,
     314,   315,   316,     0,   317,   318,   319,   320,     0,     0,
     321,   322,   853,   324,   325,     0,   326,   327,   328,     0,
     329,   330,   331,     0,   332,   333,   334,   335,  1255,   337,
     338,   339,   340,  1256,  1257,   342,     0,   343,   344,   345,
    1258,   347,     0,   348,     0,   349,   350,     0,   351,   352,
     353,   354,   355,     0,   356,  1259,     0,  1260,   359,   360,
       0,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,     0,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,  1261,  1262,     0,
    1263,     0,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,     0,     0,   398,  1264,   400,   401,   402,     0,
     403,   404,   405,  1265,  1266,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,  1267,   423,  1268,   425,   426,   427,   428,   429,   430,
     431,   432,  1269,   434,  1270,   435,   436,   437,   438,  1271,
    1272,   440,  1273,   442,   443,   444,     0,   445,   446,     0,
       0,  1274,   448,   449,     0,     0,   450,   451,   452,   453,
     454,   455,  1275,   457,   458,   459,   460,   461,   462,   463,
     464,   465,     0,   466,   467,  1276,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,  1277,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,     0,   502,   503,   504,   505,   506,   507,   508,   509,
    1278,   511,   512,   513,   514,   515,   516,   517,   518,   519,
       0,   520,   521,   522,   523,   524,  1279,   525,   526,   527,
     528,   529,   530,   531,   532,  1280,   534, -2155,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,  1281,   549,     0,   550,   551,     0,   552,   553,   554,
     555,   556,   557,   558,     0,   559,  1282,  1283,     0,     0,
     562,   563,  1284,   565,  1285,  1286,   567,   568,   569,   570,
     571,   572,   573,   574,     0,  1287,   575,   576,   577,   578,
     579,  1288,     0,   580,   581,   582,   583,   584,   585,  1289,
       0,   587,   588,   589,   590,   591,   592,     0,     0,   593,
       0,     0,   594,   595,   596,   597,   598,   599,   600,  1290,
    1291,  1292,  1293,   605,  1294,  1295,  1296,  1297,   610,   611,
     612,   613,  1298,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1299,  1300,     0,     0,     0,   233,     0,
    1230,   680,  1302,  1231,  1232,  1233,   740,  1234,     0,     0,
       0,     0,     0,     0,     0,   234,   235,   236,   237,   238,
     239,   240,   241, -2153,   242,   243,   244,     0,     0,     0,
   -2153,  1235,     0,     0,   245,   246,   247,     0,   248,   249,
     250,   251,   252,   253,   254,   255,   256,  1236,   258,  1237,
    1238,     0,   261,   262,   263,   264,   265,   266,   267,  1239,
    1240,   268,   269,  1241,  1242,   272,     0,   273,   274,   275,
     276,  1243,     0,  1244,     0,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,     0,   295,   296,   297,   298,  1245,  1246,  1247,
    1248,  1249,  1250,  1251,   300,   301,   302,   303,   304,   305,
    1252,  1253,   308,  1254,   309,     0,   310,   311,   312,   313,
     314,   315,   316,     0,   317,   318,   319,   320,     0,     0,
     321,   322,   853,   324,   325,     0,   326,   327,   328,     0,
     329,   330,   331,     0,   332,   333,   334,   335,  1255,   337,
     338,   339,   340,  1256,  1257,   342,     0,   343,   344,   345,
    1258,   347,     0,   348,     0,   349,   350,     0,   351,   352,
     353,   354,   355,     0,   356,  1259,     0,  1260,   359,   360,
       0,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,     0,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,  1261,  1262,     0,
    1263,     0,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,     0,     0,   398,  1264,   400,   401,   402,     0,
     403,   404,   405,  1265,  1266,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,  1267,   423,  1268,   425,   426,   427,   428,   429,   430,
     431,   432,  1269,   434,  1270,   435,   436,   437,   438,  1271,
    1272,   440,  1273,   442,   443,   444,     0,   445,   446,     0,
       0,  1274,   448,   449,     0,     0,   450,   451,   452,   453,
     454,   455,  1275,   457,   458,   459,   460,   461,   462,   463,
     464,   465,     0,   466,   467,  1276,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,  1277,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,     0,   502,   503,   504,   505,   506,   507,   508,   509,
    1278,   511,   512,   513,   514,   515,   516,   517,   518,   519,
       0,   520,   521,   522,   523,   524,  1279,   525,   526,   527,
     528,   529,   530,   531,   532,  1280,   534, -2153,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,  1281,   549,     0,   550,   551,     0,   552,   553,   554,
     555,   556,   557,   558,     0,   559,  1282,  1283,     0,     0,
     562,   563,  1284,   565,  1285,  1286,   567,   568,   569,   570,
     571,   572,   573,   574,     0,  1287,   575,   576,   577,   578,
     579,  1288,     0,   580,   581,   582,   583,   584,   585,  1289,
       0,   587,   588,   589,   590,   591,   592,     0,     0,   593,
       0,     0,   594,   595,   596,   597,   598,   599,   600,  1290,
    1291,  1292,  1293,   605,  1294,  1295,  1296,  1297,   610,   611,
     612,   613,  1298,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1299,  1300,     0,     0,     0,   233,     0,
    1230,   680,  1302,  1231,  1232,  1233,   740,  1234,     0,     0,
       0,     0,     0,     0,     0,   234,   235,   236,   237,   238,
     239,   240,   241,     0,   242,   243,   244,     0,     0,     0,
       0,  1235,     0,     0,   245,   246,   247,     0,   248,   249,
     250,   251,   252,   253,   254,   255,   256,  1236,   258,  1237,
    1238,     0,   261,   262,   263,   264,   265,   266,   267,  1239,
    1240,   268,   269,  1241,  1242,   272,     0,   273,   274,   275,
     276,  1243,     0,  1244,     0,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,     0,   295,   296,   297,   298,  1245,  1246,  1247,
    1248,  1249,  1250,  1251,   300,   301,   302,   303,   304,   305,
    1252,  1253,   308,  1254,   309,     0,   310,   311,   312,   313,
     314,   315,   316,     0,   317,   318,   319,   320,     0,     0,
     321,   322,   853,   324,   325,     0,   326,   327,   328,     0,
     329,   330,   331,     0,   332,   333,   334,   335,  1255,   337,
     338,   339,   340,  1256,  1257,   342,     0,   343,   344,   345,
    1258,   347,     0,   348,     0,   349,   350,     0,   351,   352,
     353,   354,   355,     0,   356,  1259,     0,  1260,   359,   360,
       0,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,     0,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,  1261,  1262,     0,
    1263,     0,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,     0,     0,   398,  1264,   400,   401,   402,     0,
     403,   404,   405,  1265,  1266,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,  1267,   423,  1268,   425,   426,   427,   428,   429,   430,
     431,   432,  1269,   434,  1270,   435,   436,   437,   438,  1271,
    1272,   440,  1273,   442,   443,   444,     0,   445,   446,     0,
       0,  1274,   448,   449,     0,     0,   450,   451,   452,   453,
     454,   455,  1275,   457,   458,   459,   460,   461,   462,   463,
     464,   465,     0,   466,   467,  1276,   469,   470,   471,   472,
     473,     0,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,  1277,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,     0,   502,   503,   504,   505,   506,   507,   508,   509,
    1278,   511,   512,   513,   514,   515,   516,   517,   518,   519,
       0,   520,   521,   522,   523,   524,  1279,   525,   526,   527,
     528,   529,   530,   531,   532,  1280,   534,     0,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,  1281,   549,     0,   550,   551,     0,   552,   553,   554,
     555,   556,   557,   558,     0,   559,  1282,  1283,     0,     0,
     562,   563,  1284,   565,  1285,  1286,   567,   568,   569,   570,
     571,   572,   573,   574,     0,  1287,   575,   576,   577,   578,
     579,  1288,     0,   580,   581,   582,   583,   584,   585,  1289,
       0,   587,   588,   589,   590,   591,   592,     0,     0,   593,
       0,     0,   594,   595,   596,   597,   598,   599,   600,  1290,
    1291,  1292,  1293,   605,  1294,  1295,  1296,  1297,   610,   611,
     612,   613,  1298,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1299,  1300,     0,     0,     0,     0,     0,
    1990,  3131,  1302,   233,     0,  1230,   680,     0,  1231,  1232,
    1233,   740,  1234,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,  1235,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,   252,   253,   254,
     255,   256,  1236,   258,  1237,  1238,     0,   261,   262,   263,
     264,   265,   266,   267,  1239,  1240,   268,   269,  1241,  1242,
     272,     0,   273,   274,   275,   276,  1243,     0,  1244,     0,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,   295,   296,
     297,   298,  1245,  1246,  1247,  1248,  1249,  1250,  1251,   300,
     301,   302,   303,   304,   305,  1252,  1253,   308,  1254,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   853,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,  1255,   337,   338,   339,   340,  1256,  1257,
     342,     0,   343,   344,   345,  1258,   347,     0,   348,     0,
     349,   350,     0,   351,   352,   353,   354,   355,     0,   356,
    1259,     0,  1260,   359,   360,     0,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,  1261,  1262,     0,  1263,     0,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,     0,     0,   398,
    1264,   400,   401,   402,     0,   403,   404,   405,  1265,  1266,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,  1267,   423,  1268,   425,
     426,   427,   428,   429,   430,   431,   432,  1269,   434,  1270,
     435,   436,   437,   438,  1271,  1272,   440,  1273,   442,   443,
     444,     0,   445,   446,     0,     0,  1274,   448,   449,     0,
       0,   450,   451,   452,   453,   454,   455,  1275,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
    1276,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1277,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,  1278,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,  1279,   525,   526,   527,   528,   529,   530,   531,   532,
    1280,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,  1281,   549,     0,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,     0,
     559,  1282,  1283,     0,     0,   562,   563,  1284,   565,  1285,
    1286,   567,   568,   569,   570,   571,   572,   573,   574,     0,
    1287,   575,   576,   577,   578,   579,  1288,     0,   580,   581,
     582,   583,   584,   585,  1289,     0,   587,   588,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,  1290,  1291,  1292,  1293,   605,  1294,
    1295,  1296,  1297,   610,   611,   612,   613,  1298,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1299,  1300,
    1301,     0,     0,   233,     0,  1230,   680,  1302,  1231,  1232,
    1233,   740,  1234,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,  2585,   242,
     243,   244,     0,     0,     0,     0,  1235,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,   252,   253,   254,
     255,   256,  1236,   258,  1237,  1238,     0,   261,   262,   263,
     264,   265,   266,   267,  1239,  1240,   268,   269,  1241,  1242,
     272,     0,   273,   274,   275,   276,  1243,     0,  1244,     0,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,   295,   296,
     297,   298,  1245,  1246,  1247,  1248,  1249,  1250,  1251,   300,
     301,   302,   303,   304,   305,  1252,  1253,   308,  1254,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   853,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,  1255,   337,   338,   339,   340,  1256,  1257,
     342,     0,   343,   344,   345,  1258,   347,     0,   348,     0,
     349,   350,     0,   351,   352,   353,   354,   355,     0,   356,
    1259,     0,  1260,   359,   360,     0,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,  1261,  1262,     0,  1263,     0,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,     0,     0,   398,
    1264,   400,   401,   402,     0,   403,   404,   405,  1265,  1266,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,  1267,   423,  1268,   425,
     426,   427,   428,   429,   430,   431,   432,  1269,   434,  1270,
     435,   436,   437,   438,  1271,  1272,   440,  1273,   442,   443,
     444,     0,   445,   446,     0,     0,  1274,   448,   449,     0,
       0,   450,   451,   452,   453,   454,   455,  1275,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
    1276,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1277,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,  1278,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,  1279,   525,   526,   527,   528,   529,   530,   531,   532,
    1280,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,  1281,   549,     0,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,     0,
     559,  1282,  1283,     0,     0,   562,   563,  1284,   565,  1285,
    1286,   567,   568,   569,   570,   571,   572,   573,   574,     0,
    1287,   575,   576,   577,   578,   579,  1288,     0,   580,   581,
     582,   583,   584,   585,  1289,     0,   587,   588,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,  1290,  1291,  1292,  1293,   605,  1294,
    1295,  1296,  1297,   610,   611,   612,   613,  1298,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1299,  1300,
       0,     0,     0,   233,     0,  1230,   680,  1302,  1231,  1232,
    1233,   740,  1234,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,  1235,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,   252,   253,   254,
     255,   256,  1236,   258,  1237,  1238,     0,   261,   262,   263,
     264,   265,   266,   267,  1239,  1240,   268,   269,  1241,  1242,
     272,     0,   273,   274,   275,   276,  1243,     0,  1244,     0,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,   295,   296,
     297,   298,  1245,  1246,  1247,  1248,  1249,  1250,  1251,   300,
     301,   302,   303,   304,   305,  1252,  1253,   308,  1254,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   853,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,  1255,   337,   338,   339,   340,  1256,  1257,
     342,     0,   343,   344,   345,  1258,   347,     0,   348,     0,
     349,   350,     0,   351,   352,   353,   354,   355,     0,   356,
    1259,     0,  1260,   359,   360,     0,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,  1261,  1262,     0,  1263,     0,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,     0,     0,   398,
    1264,   400,   401,   402,     0,   403,   404,   405,  1265,  1266,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,  1267,   423,  1268,   425,
     426,   427,   428,   429,   430,   431,   432,  1269,   434,  1270,
     435,   436,   437,   438,  1271,  1272,   440,  1273,   442,   443,
     444,     0,   445,   446,     0,     0,  1274,   448,   449,     0,
       0,   450,   451,   452,   453,   454,   455,  1275,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
    1276,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1277,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,  1278,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,  1279,   525,   526,   527,   528,   529,   530,   531,   532,
    1280,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,  1281,   549,     0,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,     0,
     559,  1282,  1283,     0,     0,   562,   563,  1284,   565,  1285,
    1286,   567,   568,   569,   570,   571,   572,   573,   574,     0,
    1287,   575,   576,   577,   578,   579,  1288,     0,   580,   581,
     582,   583,   584,   585,  1289,  3661,   587,   588,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,  1290,  1291,  1292,  1293,   605,  1294,
    1295,  1296,  1297,   610,   611,   612,   613,  1298,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1299,  1300,
       0,     0,     0,   233,     0,  1230,   680,  1302,  1231,  1232,
    1233,   740,  1234,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,  1235,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,   252,   253,   254,
     255,   256,  1236,   258,  1237,  1238,     0,   261,   262,   263,
     264,   265,   266,   267,  1239,  1240,   268,   269,  1241,  1242,
     272,     0,   273,   274,   275,   276,  1243,     0,  1244,     0,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,   295,   296,
     297,   298,  1245,  1246,  1247,  1248,  1249,  1250,  1251,   300,
     301,   302,   303,   304,   305,  1252,  1253,   308,  1254,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   853,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,  1255,   337,   338,   339,   340,  1256,  1257,
     342,     0,   343,   344,   345,  1258,   347,     0,   348,     0,
     349,   350,  3180,   351,   352,   353,   354,   355,     0,   356,
    1259,     0,  1260,   359,   360,     0,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,  1261,  1262,     0,  1263,     0,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,     0,     0,   398,
    1264,   400,   401,   402,     0,   403,   404,   405,  1265,  1266,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,  1267,   423,  1268,   425,
     426,   427,   428,   429,   430,   431,   432,  1269,   434,  1270,
     435,   436,   437,   438,  1271,  1272,   440,  1273,   442,   443,
     444,     0,   445,   446,     0,     0,  1274,   448,   449,     0,
       0,   450,   451,   452,   453,   454,   455,  1275,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
    1276,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1277,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,  1278,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,  1279,   525,   526,   527,   528,   529,   530,   531,   532,
    1280,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,  1281,   549,     0,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,     0,
     559,  1282,  1283,     0,     0,   562,   563,  1284,   565,  1285,
    1286,   567,   568,   569,   570,   571,   572,   573,   574,     0,
    1287,   575,   576,   577,   578,   579,  1288,     0,   580,   581,
     582,   583,   584,   585,  1289,     0,   587,   588,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,  1290,  1291,  1292,  1293,   605,  1294,
    1295,  1296,  1297,   610,   611,   612,   613,  1298,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1299,  1300,
       0,     0,     0,   233,     0,  1230,   680,  1302,  1231,  1232,
    1233,   740,  1234,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,  1235,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,   252,   253,   254,
     255,   256,  1236,   258,  1237,  1238,     0,   261,   262,   263,
     264,   265,   266,   267,  1239,  1240,   268,   269,  1241,  1242,
     272,     0,   273,   274,   275,   276,  1243,     0,  1244,     0,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,   295,   296,
     297,   298,  1245,  1246,  1247,  1248,  1249,  1250,  1251,   300,
     301,   302,   303,   304,   305,  1252,  1253,   308,  1254,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   853,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,  1255,   337,   338,   339,   340,  1256,  1257,
     342,     0,   343,   344,   345,  1258,   347,     0,   348,     0,
     349,   350,     0,   351,   352,   353,   354,   355,     0,   356,
    1259,     0,  1260,   359,   360,     0,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,  1261,  1262,     0,  1263,     0,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,     0,     0,   398,
    1264,   400,   401,   402,     0,   403,   404,   405,  1265,  1266,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,  1267,   423,  1268,   425,
     426,   427,   428,   429,   430,   431,   432,  1269,   434,  1270,
     435,   436,   437,   438,  1271,  1272,   440,  1273,   442,   443,
     444,     0,   445,   446,     0,     0,  1274,   448,   449,     0,
       0,   450,   451,   452,   453,   454,   455,  1275,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
    1276,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1277,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,  1278,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,  1279,   525,   526,   527,   528,   529,   530,   531,   532,
    1280,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,  1281,   549,     0,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,     0,
     559,  1282,  1283,  3231,     0,   562,   563,  1284,   565,  1285,
    1286,   567,   568,   569,   570,   571,   572,   573,   574,     0,
    1287,   575,   576,   577,   578,   579,  1288,     0,   580,   581,
     582,   583,   584,   585,  1289,     0,   587,   588,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,  1290,  1291,  1292,  1293,   605,  1294,
    1295,  1296,  1297,   610,   611,   612,   613,  1298,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1299,  1300,
       0,     0,     0,   233,     0,  1230,   680,  1302,  1231,  1232,
    1233,   740,  1234,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,  1235,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,   252,   253,   254,
     255,   256,  1236,   258,  1237,  1238,     0,   261,   262,   263,
     264,   265,   266,   267,  1239,  1240,   268,   269,  1241,  1242,
     272,     0,   273,   274,   275,   276,  1243,     0,  1244,     0,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,   295,   296,
     297,   298,  1245,  1246,  1247,  1248,  1249,  1250,  1251,   300,
     301,   302,   303,   304,   305,  1252,  1253,   308,  1254,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   853,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,  1255,   337,   338,   339,   340,  1256,  1257,
     342,     0,   343,   344,   345,  1258,   347,     0,   348,     0,
     349,   350,     0,   351,   352,   353,   354,   355,     0,   356,
    1259,     0,  1260,   359,   360,     0,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,  1261,  1262,     0,  1263,     0,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,     0,     0,   398,
    1264,   400,   401,   402,     0,   403,   404,   405,  1265,  1266,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,  1267,   423,  1268,   425,
     426,   427,   428,   429,   430,   431,   432,  1269,   434,  1270,
     435,   436,   437,   438,  1271,  1272,   440,  1273,   442,   443,
     444,     0,   445,   446,     0,     0,  1274,   448,   449,     0,
       0,   450,   451,   452,   453,   454,   455,  1275,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
    1276,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1277,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,  1278,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,  1279,   525,   526,   527,   528,   529,   530,   531,   532,
    1280,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,  1281,   549,     0,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,     0,
     559,  1282,  1283,     0,     0,   562,   563,  1284,   565,  1285,
    1286,   567,   568,   569,   570,   571,   572,   573,   574,     0,
    1287,   575,   576,   577,   578,   579,  1288,     0,   580,   581,
     582,   583,   584,   585,  1289,     0,   587,   588,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,  1290,  1291,  1292,  1293,   605,  1294,
    1295,  1296,  1297,   610,   611,   612,   613,  1298,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1299,  1300,
       0,     0,     0,   233,     0,  1230,   680,  1302,  1231,  1232,
    1233,   740,  1234,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,  1235,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,   252,   253,   254,
     255,   256,  1236,   258,  1237,  1238,     0,   261,   262,   263,
     264,   265,   266,   267,  1239,  1240,   268,   269,  1241,  1242,
     272,     0,   273,   274,   275,   276,  1243,     0,  1244,     0,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,   295,   296,
     297,   298,  1245,  1246,  1247,  1248,  1249,  1250,  1251,   300,
     301,   302,   303,   304,   305,  1252,  1253,   308,  1254,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   853,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,  1255,   337,   338,   339,   340,  1256,  1257,
     342,     0,   343,   344,   345,  1258,   347,     0,   348,     0,
     349,   350,     0,   351,   352,   353,   354,   355,     0,   356,
    1259,     0,  1260,   359,   360,     0,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,  1261,  1262,     0,  1263,     0,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,     0,     0,   398,
    1264,   400,   401,   402,     0,   403,   404,   405,  1265,  1266,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,  1267,   423,  1268,   425,
     426,   427,   428,   429,   430,   431,   432,  1269,   434,  1270,
     435,   436,   437,   438,  1271,  1272,   440,  1273,   442,   443,
     444,     0,   445,   446,     0,     0,  1274,   448,   449,     0,
       0,   450,   451,   452,   453,   454,   455,  1275,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
    1276,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1277,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,  1278,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,  1279,   525,   526,   527,   528,   529,   530,   531,   532,
    1280,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,  1281,   549,     0,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,     0,
     559,  1282,  1283,     0,     0,   562,   563,  1284,   565,  1285,
    1286,   567,   568,   569,   570,   571,   572,   573,   574,     0,
    1287,   575,   576,   577,   578,   579,  1288,     0,   580,   581,
     582,   583,   584,   585,  1289,     0,   587,   588,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,  1290,  1291,  1292,  1293,   605,  1294,
    1295,  1296,  1297,   610,   611,   612,   613,  1298,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2588,  2589,
       0,     0,     0,   233,     0,  3344,   680,  1302,  1231,  1232,
    1233,   740,  1234,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,  1235,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,   252,   253,   254,
     255,   256,  1236,   258,  1237,  1238,     0,   261,   262,   263,
     264,   265,   266,   267,  1239,  1240,   268,   269,  1241,  1242,
     272,     0,   273,   274,   275,   276,  1243,     0,  1244,     0,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,   295,   296,
     297,   298,  1245,  1246,  1247,  1248,  1249,  1250,  1251,   300,
     301,   302,   303,   304,   305,  1252,  1253,   308,  1254,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   853,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,  1255,   337,   338,   339,   340,  1256,  1257,
     342,     0,   343,   344,   345,  1258,   347,     0,   348,     0,
     349,   350,     0,   351,   352,   353,   354,   355,     0,   356,
    1259,     0,  1260,   359,   360,     0,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,  1261,  1262,     0,  1263,     0,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,     0,     0,   398,
    1264,   400,   401,   402,     0,   403,   404,   405,  1265,  1266,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,  1267,   423,  1268,   425,
     426,   427,   428,   429,   430,   431,   432,  1269,   434,  1270,
     435,   436,   437,   438,  1271,  1272,   440,  1273,   442,   443,
     444,     0,   445,   446,     0,     0,  1274,   448,   449,     0,
       0,   450,   451,   452,   453,   454,   455,  1275,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
    1276,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1277,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,  1278,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,  1279,   525,   526,   527,   528,   529,   530,   531,   532,
    1280,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,  1281,   549,     0,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,     0,
     559,  1282,  1283,     0,     0,   562,   563,  1284,   565,  1285,
    1286,   567,   568,   569,   570,   571,   572,   573,   574,     0,
    1287,   575,   576,   577,   578,   579,  1288,     0,   580,   581,
     582,   583,   584,   585,  1289,     0,   587,   588,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,  1290,  1291,  1292,  1293,   605,  1294,
    1295,  1296,  1297,   610,   611,   612,   613,  1298,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1299,  1300,
       0,     0,     0,   233,     0,  1230,   680,  1302,  1231,  1232,
    1233,   740,  1234,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,  1235,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,   252,   253,   254,
     255,   256,  1236,   258,  1237,  1238,     0,   261,   262,   263,
     264,   265,   266,   267,  1239,  1240,   268,   269,  1241,  1242,
     272,     0,   273,   274,   275,   276,  1243,     0,  1244,     0,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,   295,   296,
     297,  4594,  1245,  1246,  1247,  1248,  1249,  1250,  1251,   300,
     301,   302,   303,   304,   305,  1252,  1253,   308,  1254,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   853,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,  1255,   337,   338,   339,   340,  1256,  1257,
     342,     0,   343,   344,   345,  1258,   347,     0,   348,     0,
     349,   350,     0,   351,   352,   353,   354,   355,     0,   356,
    1259,     0,  1260,   359,   360,     0,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,  1261,  1262,     0,  1263,     0,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,     0,     0,   398,
    1264,   400,   401,   402,     0,   403,   404,   405,  1265,  1266,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,  1267,   423,  1268,   425,
     426,   427,   428,   429,   430,   431,   432,  1269,   434,  1270,
     435,   436,   437,   438,  1271,  1272,   440,  1273,   442,   443,
     444,     0,   445,   446,     0,     0,  1274,   448,   449,     0,
       0,   450,   451,   452,   453,   454,   455,  1275,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
    1276,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1277,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,  1278,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,  1279,   525,   526,   527,   528,   529,   530,   531,   532,
    1280,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,  1281,   549,     0,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,     0,
     559,  1282,  1283,     0,     0,   562,   563,  1284,   565,  1285,
    1286,   567,   568,   569,   570,   571,   572,   573,   574,     0,
    1287,   575,   576,   577,   578,   579,  1288,     0,   580,   581,
     582,   583,   584,   585,  1289,     0,   587,   588,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,  1290,  1291,  1292,  1293,   605,  1294,
    1295,  1296,  1297,   610,   611,   612,   613,  1298,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1299,  1300,
       0,     0,     0,   233,     0,  1230,   680,  1302,  1231,  1232,
    1233,   740,  1234,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,  1235,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,   252,   253,   254,
     255,   256,  1236,   258,  1237,  1238,     0,   261,   262,   263,
     264,   265,   266,   267,  1239,  1240,   268,   269,  1241,  1242,
     272,     0,   273,   274,   275,   276,  1243,     0,  1244,     0,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,   295,   296,
     297,   298,  1245,  1246,  1247,  1248,  1249,  1250,  1251,   300,
     301,   302,   303,   304,   305,  1252,  1253,   308,  1254,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   853,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,  1255,   337,   338,   339,   340,  1256,  1257,
     342,     0,   343,   344,   345,  1258,   347,     0,   348,     0,
     349,   350,     0,   351,   352,   353,   354,   355,     0,   356,
    1259,     0,  1260,   359,   360,     0,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,  1261,  1262,     0,  1263,     0,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,     0,     0,   398,
    1264,   400,   401,   402,     0,   403,   404,   405,  1265,  1266,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,  1267,   423,  1268,   425,
     426,   427,   428,   429,   430,   431,   432,  1269,   434,  1270,
     435,   436,   437,   438,  1271,  1272,   440,  1273,   442,   443,
     444,     0,   445,   446,     0,     0,  1274,   448,   449,     0,
       0,   450,   451,   452,   453,   454,   455,  1275,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
    1276,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1277,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,  1278,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,  1279,   525,   526,   527,   528,   529,   530,   531,   532,
    1280,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,  1281,   549,     0,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,     0,
     559,  1282,  1283,     0,     0,   562,   563,  1284,   565,  1285,
    1286,   567,   568,   569,   570,   571,   572,   573,   574,     0,
    1287,   575,   576,   577,   578,   579,  1288,     0,   580,   581,
     582,   583,   584,   585,  1289,     0,   587,   588,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,  4947,  1290,  1291,  1292,  1293,   605,  1294,
    1295,  1296,  1297,   610,   611,   612,   613,  1298,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1299,  1300,
       0,     0,     0,   233,     0,  1230,   680,  1302,  1231,  1232,
    1233,   740,  1234,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,  1235,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,   252,   253,   254,
     255,   256,  1236,   258,  1237,  1238,     0,   261,   262,   263,
     264,   265,   266,   267,  1239,  1240,   268,   269,  1241,  1242,
     272,     0,   273,   274,   275,   276,  1243,     0,  1244,     0,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,   295,   296,
     297,   298,  1245,  1246,  1247,  1248,  1249,  1250,  1251,   300,
     301,   302,   303,   304,   305,  1252,  1253,   308,  1254,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   853,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,  1255,   337,   338,   339,   340,  1256,  1257,
     342,     0,   343,   344,   345,  1258,   347,     0,   348,     0,
     349,   350,     0,   351,   352,   353,   354,   355,     0,   356,
    1259,     0,  1260,   359,   360,     0,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,  1261,  1262,     0,  1263,     0,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,     0,     0,   398,
    1264,   400,   401,   402,     0,   403,   404,   405,  1265,  1266,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,  1267,   423,  1268,   425,
     426,   427,   428,   429,   430,  4959,   432,  1269,   434,  1270,
     435,   436,   437,   438,  1271,  1272,   440,  1273,   442,   443,
     444,     0,   445,   446,     0,     0,  1274,   448,   449,     0,
       0,   450,   451,   452,   453,   454,   455,  1275,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
    1276,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1277,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,  1278,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,  1279,   525,   526,   527,   528,   529,   530,   531,   532,
    1280,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,  1281,   549,     0,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,     0,
     559,  1282,  1283,     0,     0,   562,   563,  1284,   565,  1285,
    1286,   567,   568,   569,   570,   571,   572,   573,   574,     0,
    1287,   575,   576,   577,   578,   579,  1288,     0,   580,   581,
     582,   583,   584,   585,  1289,     0,   587,   588,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,  1290,  1291,  1292,  1293,   605,  1294,
    1295,  1296,  1297,   610,   611,   612,   613,  1298,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1299,  1300,
       0,     0,     0,   233,     0,  1230,   680,  1302,  1231,  1232,
    1233,   740,  1234,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,  1235,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,   252,   253,   254,
     255,   256,  1236,   258,  1237,  1238,     0,   261,   262,   263,
     264,   265,   266,   267,  1239,  1240,   268,   269,  1241,  1242,
     272,     0,   273,   274,   275,   276,  1243,     0,  1244,     0,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,   295,   296,
    5269,   298,  1245,  1246,  1247,  1248,  1249,  1250,  1251,   300,
     301,   302,   303,   304,   305,  1252,  1253,   308,  1254,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   853,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,  1255,   337,   338,   339,   340,  1256,  1257,
     342,     0,   343,   344,   345,  1258,   347,     0,   348,     0,
     349,   350,     0,   351,   352,   353,   354,   355,     0,   356,
    1259,     0,  5270,   359,   360,     0,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,  1261,  1262,     0,  1263,     0,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,     0,     0,   398,
    1264,   400,   401,   402,     0,   403,   404,   405,  1265,  1266,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,  1267,   423,  1268,   425,
     426,   427,   428,   429,   430,   431,   432,  1269,   434,  1270,
     435,   436,   437,   438,  1271,  1272,   440,  1273,   442,   443,
     444,     0,   445,   446,     0,     0,  1274,   448,   449,     0,
       0,   450,   451,   452,   453,   454,   455,  1275,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
    1276,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1277,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,  5271,   508,   509,  1278,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,  1279,   525,   526,   527,   528,   529,   530,   531,   532,
    1280,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,  1281,   549,     0,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,     0,
     559,  1282,  1283,     0,     0,   562,   563,  1284,   565,  1285,
    1286,   567,   568,   569,   570,   571,   572,   573,   574,     0,
    1287,   575,   576,   577,   578,   579,  1288,     0,   580,   581,
     582,   583,   584,   585,  1289,     0,   587,   588,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,  1290,  1291,  1292,  1293,   605,  1294,
    1295,  1296,  1297,   610,   611,   612,   613,  1298,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1299,  1300,
       0,     0,     0,   233,     0,  1230,   680,  5272,  1231,  1232,
    1233,   740,  1234,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,  1235,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,   252,   253,   254,
     255,  5752,  1236,   258,  1237,  1238,     0,   261,   262,   263,
     264,   265,   266,   267,  1239,  1240,   268,   269,  1241,  1242,
     272,     0,   273,   274,   275,   276,  1243,     0,  1244,     0,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,   295,   296,
     297,  5753,  1245,  1246,  1247,  1248,  1249,  1250,  1251,   300,
     301,   302,   303,   304,   305,  1252,  1253,   308,  1254,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   853,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,  1255,   337,   338,   339,   340,  1256,  1257,
     342,     0,   343,   344,   345,  1258,   347,     0,   348,     0,
     349,   350,     0,   351,   352,   353,   354,   355,     0,   356,
    1259,     0,  1260,   359,   360,     0,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,  1261,  1262,     0,  1263,     0,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,     0,     0,   398,
    1264,   400,   401,   402,     0,   403,   404,   405,  1265,  1266,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,  1267,   423,  1268,   425,
     426,   427,   428,   429,   430,   431,   432,  1269,   434,  1270,
     435,   436,   437,   438,  1271,  1272,   440,  1273,   442,   443,
     444,     0,   445,   446,     0,     0,  1274,   448,   449,     0,
       0,   450,   451,   452,   453,   454,   455,  1275,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
    1276,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1277,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,  1278,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,  1279,   525,   526,   527,   528,   529,   530,   531,   532,
    1280,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,  1281,   549,     0,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,     0,
     559,  1282,  1283,     0,     0,   562,   563,  1284,   565,  1285,
    1286,   567,   568,   569,   570,   571,  5754,   573,   574,     0,
    1287,   575,   576,   577,   578,   579,  1288,     0,   580,   581,
     582,   583,   584,   585,  1289,     0,   587,   588,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,  1290,  1291,  1292,  1293,   605,  1294,
    1295,  1296,  1297,   610,   611,   612,   613,  1298,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1299,  1300,
       0,     0,     0,   233,     0,  1230,   680,  1302,  1231,  1232,
    1233,   740,  1234,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,  1235,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,   252,   253,   254,
     255,   256,  1236,   258,  1237,  1238,     0,   261,   262,   263,
     264,   265,   266,   267,  1239,  1240,   268,   269,  1241,  1242,
     272,     0,   273,   274,   275,   276,  1243,     0,  1244,     0,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,   295,   296,
     297,  5753,  1245,  1246,  1247,  1248,  1249,  1250,  1251,   300,
     301,   302,   303,   304,   305,  1252,  1253,   308,  1254,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   853,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,  1255,   337,   338,   339,   340,  1256,  1257,
     342,     0,   343,   344,   345,  1258,   347,     0,   348,     0,
     349,   350,     0,   351,   352,   353,   354,   355,     0,   356,
    1259,     0,  1260,   359,   360,     0,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,  1261,  1262,     0,  1263,     0,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,     0,     0,   398,
    1264,   400,   401,   402,     0,   403,   404,   405,  1265,  1266,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,  1267,   423,  1268,   425,
     426,   427,   428,   429,   430,   431,   432,  1269,   434,  1270,
     435,   436,   437,   438,  1271,  1272,   440,  1273,   442,   443,
     444,     0,   445,   446,     0,     0,  1274,   448,   449,     0,
       0,   450,   451,   452,   453,   454,   455,  1275,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
    1276,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1277,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,  1278,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,  1279,   525,   526,   527,   528,   529,   530,   531,   532,
    1280,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,  1281,   549,     0,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,     0,
     559,  1282,  1283,     0,     0,   562,   563,  1284,   565,  1285,
    1286,   567,   568,   569,   570,   571,  5754,   573,   574,     0,
    1287,   575,   576,   577,   578,   579,  1288,     0,   580,   581,
     582,   583,   584,   585,  1289,     0,   587,   588,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,  1290,  1291,  1292,  1293,   605,  1294,
    1295,  1296,  1297,   610,   611,   612,   613,  1298,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1299,  1300,
       0,     0,     0,   233,     0,  1230,   680,  1302,  1231,  1232,
    1233,   740,  1234,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,  1235,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,   252,   253,   254,
     255,   256,  1236,   258,  1237,  1238,     0,   261,   262,   263,
     264,   265,   266,   267,  1239,  1240,   268,   269,  1241,  1242,
     272,     0,   273,   274,   275,   276,  1243,     0,  1244,     0,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,   295,   296,
     297,   298,  1245,  1246,  1247,  1248,  1249,  1250,  1251,   300,
     301,   302,   303,   304,   305,  1252,  1253,   308,  5254,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   853,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,  1255,   337,   338,   339,   340,  1256,  1257,
     342,     0,   343,   344,   345,  1258,   347,     0,   348,     0,
     349,   350,     0,   351,   352,   353,   354,   355,     0,   356,
    1259,     0,  1260,   359,   360,     0,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,  1261,  1262,     0,  1263,     0,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,     0,     0,   398,
    1264,   400,   401,   402,     0,   403,   404,   405,  1265,  1266,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,  1267,   423,  1268,   425,
     426,   427,   428,   429,   430,   431,   432,  1269,   434,     0,
     435,   436,   437,   438,  1271,  1272,   440,  1273,   442,   443,
     444,     0,   445,   446,     0,     0,  1274,   448,   449,     0,
       0,   450,   451,   452,   453,   454,   455,  1275,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
    1276,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1277,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,  3165,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,  1279,   525,   526,   527,   528,   529,   530,   531,   532,
    1280,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,  1281,   549,     0,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,     0,
     559,  1282,  1283,     0,     0,   562,   563,  1284,   565,  1285,
    1286,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,  1288,     0,   580,   581,
     582,   583,   584,   585,  1289,     0,   587,   588,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,  1290,  1291,  1292,  1293,   605,  1294,
    1295,  1296,  1297,   610,   611,   612,   613,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3166,  3167,
       0,     0,     0,   233,     0,  1230,   680,  3168,  1231,  1232,
    1233,   740,  1234,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,  1235,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,   252,   253,   254,
     255, -2775,  1236,   258,  1237,  1238,     0,   261,   262,   263,
     264,   265,   266,   267,  1239,  1240,   268,   269,  1241,  1242,
     272,     0,   273,   274,   275,   276,  1243,     0,  1244,     0,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,   295,   296,
     297,  5753,  1245,  1246,  1247,  1248,  1249,  1250,  1251,   300,
     301,   302,   303,   304,   305,  1252,  1253,   308,  1254,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   853,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,  1255,   337,   338,   339,   340,  1256,  1257,
     342,     0,   343,   344,   345,  1258,   347,     0,   348,     0,
     349,   350,     0,   351,   352,   353,   354,   355,     0,   356,
    1259,     0,  1260,   359,   360,     0,   361,   362,   363,   364,
     365, -2775,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,  1261,  1262,     0,  1263,     0,   388,     0,     0,
     391,   392,   393,   394,   395,   396,   397,     0,     0,   398,
    1264,   400,   401, -2775,     0,   403,   404,   405,  1265,  1266,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,  1267,   423,  1268,   425,
     426,   427,   428,   429,   430,   431,   432,  1269,   434,  1270,
     435,   436,     0,   438,  1271,  1272,   440,  1273,   442,   443,
     444,     0,   445,   446,     0,     0,  1274,   448,   449,     0,
       0,   450,   451,   452,   453,   454,   455,  1275,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
    1276,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1277,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,  1278,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,  1279,   525,   526,   527,   528,   529, -2775,   531,   532,
    1280,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,  1281,   549,     0,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,     0,
     559,  1282,  1283,     0,     0,   562,   563,  1284,   565,  1285,
    1286,   567,   568,   569,   570,   571,  5754,   573,   574,     0,
    1287,   575,   576,   577,   578,   579,  1288,     0,   580,   581,
     582,   583,   584,   585,  1289,     0,   587,   588,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,  1290,  1291,  1292,  1293,   605,  1294,
    1295,  1296,  1297,   610,   611,   612,   613, -2775,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1299,  1300,
       0,     0,     0,   233,     0,  1230,   680,  1302,  1231,  1232,
    1233,   740,  1234,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,  1235,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,   252,   253,   254,
     255,   256,  1236,   258,  1237,  1238,     0,   261,   262,   263,
     264,   265,   266,   267,  1239,  1240,   268,   269,  1241,  1242,
     272,     0,   273,   274,   275,   276,  1243,     0,  1244,     0,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,   295,   296,
     297,   298,  1245,  1246,  1247,  1248,  1249,  1250,  1251,   300,
     301,   302,   303,   304,   305,  1252,  1253,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   853,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,  1255,   337,   338,   339,   340,  1256,  1257,
     342,     0,   343,   344,   345,  1258,   347,     0,   348,     0,
     349,   350,     0,   351,   352,   353,   354,   355,     0,   356,
    1259,     0,  1260,   359,   360,     0,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,  1261,  1262,     0,  1263,     0,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,     0,     0,   398,
    1264,   400,   401,   402,     0,   403,   404,   405,  1265,  1266,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,  1267,   423,  1268,   425,
     426,   427,   428,   429,   430,   431,   432,  1269,   434,     0,
     435,   436,   437,   438,  1271,  1272,   440,  1273,   442,   443,
     444,     0,   445,   446,     0,     0,  1274,   448,   449,     0,
       0,   450,   451,   452,   453,   454,   455,  1275,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
    1276,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1277,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,  3165,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,  1279,   525,   526,   527,   528,   529,   530,   531,   532,
    1280,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,  1281,   549,     0,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,     0,
     559,  1282,  1283,     0,     0,   562,   563,  1284,   565,  1285,
    1286,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,  1288,     0,   580,   581,
     582,   583,   584,   585,  1289,     0,   587,   588,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,  1290,  1291,  1292,  1293,   605,  1294,
    1295,  1296,  1297,   610,   611,   612,   613,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3166,  3167,
     233,     0,  1230,   680,     0,  1231,  1232,  3168,   740,  1234,
       0,     0,     0,     0,     0,     0,     0,   234,   235,   236,
     237,   238,   239,   240,   241,     0,   242,   243,   244,     0,
       0,     0,     0,  1235,     0,     0,   245,   246,   247,     0,
     248,   249,   250,   251,   252,   253,   254,   255,   256,  1236,
     258,  1237,  1238,     0,   261,   262,   263,   264,   265,   266,
     267,  1239,  1240,   268,   269,  1241,  1242,   272,     0,   273,
     274,   275,   276,  1243,     0,  1244,     0,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,     0,   295,   296,   297,   298,  1245,
    1246,  1247,  1248,  1249,  1250,  1251,   300,   301,   302,   303,
     304,   305,  1252,  1253,   308,     0,   309,     0,   310,   311,
     312,   313,   314,   315,   316,     0,   317,   318,   319,   320,
       0,     0,   321,   322,   853,   324,   325,     0,   326,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,   335,
    1255,   337,   338,   339,   340,  1256,  1257,   342,     0,   343,
     344,   345,  1258,   347,     0,   348,     0,   349,   350,     0,
     351,   352,   353,   354,   355,     0,   356,  1259,     0,  1260,
     359,   360,     0,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,     0,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,  1261,
    1262,     0,  1263,     0,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,     0,     0,   398,  1264,   400,   401,
     402,     0,   403,   404,   405,  1265,  1266,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,  1267,   423,  1268,   425,   426,   427,   428,
     429,   430,   431,   432,  1269,   434,     0,   435,   436,   437,
     438,  1271,  1272,   440,  1273,   442,   443,   444,     0,   445,
     446,     0,     0,   447,   448,   449,     0,     0,   450,   451,
     452,   453,   454,   455,  1275,   457,   458,   459,   460,   461,
     462,   463,   464,   465,     0,   466,   467,  1276,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,  1277,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,     0,   502,   503,   504,   505,   506,   507,
     508,   509,  3333,  3334,   512,   513,   514,   515,   516,   517,
     518,   519,     0,   520,   521,   522,   523,   524,  1279,   525,
     526,   527,   528,   529,   530,   531,   532,  1280,   534,     0,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,  1281,   549,     0,   550,   551,     0,   552,
     553,   554,   555,   556,   557,   558,     0,   559,  1282,  1283,
       0,     0,   562,   563,  1284,   565,  1285,  1286,   567,   568,
     569,   570,   571,   572,   573,   574,     0,     0,   575,   576,
     577,   578,   579,  1288,     0,   580,   581,   582,   583,   584,
     585,  1289,     0,   587,   588,   589,   590,   591,   592,     0,
       0,   593,     0,     0,   594,   595,   596,   597,   598,   599,
     600,  1290,  1291,  1292,  1293,   605,  1294,  1295,  1296,  1297,
     610,   611,   612,   613,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3335,  3336,   233,     0,  1230,
     680,     0,  1231,  1232,  3168,   740,  1234,     0,     0,     0,
       0,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
    1235,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,   252,   253,   254,   255,   256,  1236,   258,  1237,  1238,
       0,   261,   262,   263,   264,   265,   266,   267,  1239,  1240,
     268,   269,  1241,  1242,   272,     0,   273,   274,   275,   276,
    1243,     0,  1244,     0,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,   295,   296,   297,   298,  1245,  1246,  1247,  1248,
    1249,  1250,  1251,   300,   301,   302,   303,   304,   305,  1252,
    1253,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   853,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,  1255,   337,   338,
     339,   340,  1256,  1257,   342,     0,   343,   344,   345,  1258,
     347,     0,   348,     0,   349,   350,     0,   351,   352,   353,
     354,   355,     0,   356,  1259,     0,  1260,   359,   360,     0,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,  1261,  1262,     0,  1263,
       0,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,     0,     0,   398,  1264,   400,   401,   402,     0,   403,
     404,   405,  1265,  1266,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
    1267,   423,  1268,   425,   426,   427,   428,   429,   430,   431,
     432,  1269,   434,     0,   435,   436,   437,   438,  1271,  1272,
     440,  1273,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,   452,   453,   454,
     455,  1275,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,  1276,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,  1277,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,  3165,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,  1279,   525,   526,   527,   528,
     529,   530,   531,   532,  1280,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
    1281,   549,     0,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,     0,   559,  1282,  1283,     0,     0,   562,
     563,  1284,   565,  1285,  1286,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
    1288,     0,   580,   581,   582,   583,   584,   585,  1289,     0,
     587,   588,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   600,  1290,  1291,
    1292,  1293,   605,  1294,  1295,  1296,  1297,   610,   611,   612,
     613,     0,     0,     0,     0,   233,     0,  1230,   680,     0,
    1231,  1232,     0,   740,  1234,     0,     0,     0,     0,     0,
       0,  3168,   234,   235,   236,   237,   238,   239,   240,   241,
       0,   242,   243,   244,     0,     0,     0,     0,  1235,     0,
       0,   245,   246,   247,     0,   248,   249,   250,   251,   252,
     253,   254,   255,   256,  1236,   258,  1237,  1238,     0,   261,
    4505,   263,   264,   265,   266,   267,  1239,  1240,   268,   269,
    1241,  1242,   272,     0,   273,   274,   275,   276,  1243,     0,
    1244,     0,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,     0,
     295,   296,   297,   298,  1245,  1246,  1247,  1248,  1249,  1250,
    1251,   300,   301,   302,   303,   304,   305,  1252,  1253,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   315,   316,
       0,   317,   318,   319,   320,     0,     0,   321,   322,   853,
     324,   325,     0,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,   335,  1255,   337,   338,   339,   340,
    1256,  1257,   342,     0,   343,   344,   345,  1258,   347,     0,
     348,     0,   349,   350,     0,   351,   352,   353,   354,   355,
       0,   356,  1259,     0,  1260,   359,   360,     0,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,  1261,  1262,     0,  1263,     0,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,     0,
       0,   398,  1264,   400,   401,   402,     0,   403,   404,   405,
    1265,  1266,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,  1267,   423,
    1268,   425,   426,   427,   428,   429,   430,   431,   432,  1269,
     434,     0,   435,   436,   437,   438,  1271,  1272,   440,  1273,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,     0,     0,   450,   451,   452,   453,   454,   455,  1275,
     457,   458,   459,   460,   461,   462,   463,   464,   465,     0,
     466,   467,  1276,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,  1277,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,  3165,   511,   512,
     513,   514,   515,   516,   517,   518,   519,     0,   520,   521,
     522,   523,   524,  1279,   525,   526,   527,   528,   529,   530,
     531,   532,  1280,   534,     0,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,  1281,   549,
       0,   550,   551,     0,   552,   553,   554,   555,   556,   557,
     558,     0,   559,  1282,  1283,     0,     0,   562,   563,  1284,
     565,  1285,  1286,   567,   568,   569,   570,   571,   572,   573,
     574,     0,     0,   575,   576,   577,   578,   579,  1288,     0,
     580,   581,   582,   583,   584,   585,  1289,     0,   587,   588,
     589,   590,   591,   592,     0,     0,   593,     0,     0,   594,
     595,   596,   597,   598,   599,   600,  1290,  1291,  1292,  1293,
     605,  1294,  1295,  1296,  1297,   610,   611,   612,   613,     0,
       0,     0,     0,   233,     0,  1230,   680,     0,  1231,  1232,
       0,   740,  1234,     0,     0,     0,     0,     0,     0,  3168,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,  1235,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,   252,   253,   254,
     255,   256,  1236,   258,  1237,  1238,     0,   261,   262,   263,
     264,   265,   266,   267,  1239,  1240,   268,   269,  1241,  1242,
     272,     0,   273,   274,   275,   276,  1243,     0,  1244,     0,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,   295,   296,
     297,   298,  1245,  1246,  1247,  1248,  1249,  1250,  1251,   300,
     301,   302,   303,   304,   305,  1252,  1253,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   853,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,  1255,   337,   338,   339,   340,  1256,  1257,
     342,     0,   343,   344,   345,  1258,   347,     0,   348,     0,
     349,   350,     0,   351,   352,   353,   354,   355,     0,   356,
    1259,     0,  1260,   359,   360,     0,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,  1261,  1262,     0,  1263,     0,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,     0,     0,   398,
    1264,   400,   401,   402,     0,   403,   404,   405,  1265,  1266,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,  1267,   423,  1268,   425,
     426,   427,   428,   429,   430,   431,   432,  1269,   434,     0,
     435,   436,   437,   438,  1271,  1272,   440,  1273,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,     0,
       0,   450,   451,   452,   453,   454,   455,  1275,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
    1276,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1277,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,  3165,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,  1279,   525,   526,   527,   528,   529,   530,   531,   532,
    1280,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,  1281,   549,     0,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,     0,
     559,  1282,  1283,     0,     0,   562,   563,  1284,   565,  1285,
    1286,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,  1288,     0,   580,   581,
     582,   583,   584,   585,  1289,     0,   587,   588,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,  1290,  1291,  1292,  1293,  4563,  1294,
    1295,  1296,  1297,   610,   611,   612,   613,     0,     0,     0,
       0,   233,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3168,   234,   235,
     236,   237,   238,   239,   240,   241,     0,   242,   243,   244,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
       0,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,   262,   263,   264,   265,
     266,   267,     0,  1240,   268,   269,   270,   271,   272,     0,
     273,   274,   275,   276,  1243,     0,  1244,     0,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,     0,   295,   296,   297,   298,
    1245,  1246,  1247,  1248,  1249,  1250,  1251,   300,   301,   302,
     303,   304,   305,   306,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   315,   316,     0,   317,   318,   319,
     320,     0,     0,   321,   322,   323,   324,   325,     0,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,  1256,     0,   342,     0,
     343,   344,   345,   346,   347,     0,   348,     0,   349,   350,
       0,   351,   352,   353,   354,   355,     0,   356,  1259,     0,
     358,   359,   360,     0,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
     385,   386,     0,   387,     0,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,  3308,     0,   398,  1264,   400,
     401,   402,     0,   403,   404,   405,  1265,  1266,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,  1269,   434,     0,   435,   436,
     437,   438,     0,  1272,   440,   441,   442,   443,   444,     0,
     445,   446,     0,   829,   447,   448,   449,     0,     0,   450,
     451,   452,   453,   454,   455,  1275,   457,   458,   459,   460,
     461,   462,   463,   464,   465,     0,   466,   467,  1276,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,  3309,   512,   513,   514,   515,   516,
     517,   518,   519,    40,   520,   521,   522,   523,   524,  1279,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,  1281,   549,     0,   550,   551,    44,
     552,   553,   554,   555,   556,   557,   558,     0,   559,   560,
     561,     0,     0,   562,   563,  1284,   565,  1285,     0,   567,
     568,   569,   570,   571,   572,   573,   574,     0,     0,   575,
     576,   577,   578,   579,  1288,     0,   580,   581,   582,   583,
     584,  1170,   586,     0,   587,   588,   589,   590,   591,   592,
       0,     0,   593,     0,    49,   594,   595,   596,   597,   598,
     599,   600,  1290,  1291,  1292,  1293,   605,  1294,  1295,  1296,
    1297,  3310,   611,   612,   613,     0,     0,    50,     0,   233,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3311,   234,   235,   236,   237,
     238,   239,   240,   241,     0,   242,   243,   244,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,     0,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,   262,   263,   264,   265,   266,   267,
       0,  1240,   268,   269,   270,   271,   272,     0,   273,   274,
     275,   276,  1243,     0,  1244,     0,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,     0,   295,   296,   297,   298,  1245,  1246,
    1247,  1248,  1249,  1250,  1251,   300,   301,   302,   303,   304,
     305,   306,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   315,   316,     0,   317,   318,   319,   320,     0,
       0,   321,   322,   323,   324,   325,     0,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,  1256,     0,   342,     0,   343,   344,
     345,   346,   347,     0,   348,     0,   349,   350,     0,   351,
     352,   353,   354,   355,     0,   356,  1259,     0,   358,   359,
     360,     0,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,   385,   386,
       0,   387,     0,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,  3308,     0,   398,  1264,   400,   401,   402,
       0,   403,   404,   405,  1265,  1266,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,  1269,   434,     0,   435,   436,   437,   438,
       0,  1272,   440,   441,   442,   443,   444,     0,   445,   446,
       0,   829,   447,   448,   449,     0,     0,   450,   451,   452,
     453,   454,   455,  1275,   457,   458,   459,   460,   461,   462,
     463,   464,   465,     0,   466,   467,  1276,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,  3309,   512,   513,   514,   515,   516,   517,   518,
     519,     0,   520,   521,   522,   523,   524,  1279,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,  1281,   549,     0,   550,   551,     0,   552,   553,
     554,   555,   556,   557,   558,     0,   559,   560,   561,     0,
       0,   562,   563,  1284,   565,  1285,     0,   567,   568,   569,
     570,   571,   572,   573,   574,     0,     0,   575,   576,   577,
     578,   579,  1288,     0,   580,   581,   582,   583,   584,   585,
     586,     0,   587,   588,   589,   590,   591,   592,     0,     0,
     593,     0,     0,   594,   595,   596,   597,   598,   599,   600,
    1290,  1291,  1292,  1293,   605,  1294,  1295,  1296,  1297,  3310,
     611,   612,   613,     0,     0,     0,     0,   233,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3311,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,   262,   263,   264,   265,   266,   267,     0,  1240,
     268,   269,   270,   271,   272,     0,   273,   274,   275,   276,
    1243,     0,  1244,     0,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,   295,   296,   297,   298,  1245,  1246,  1247,  1248,
    1249,  1250,  1251,   300,   301,   302,   303,   304,   305,   306,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   323,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,  1256,     0,   342,     0,   343,   344,   345,   346,
     347,     0,   348,     0,   349,   350,     0,   351,   352,   353,
     354,   355,     0,   356,  1259,     0,   358,   359,   360,     0,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,   385,   386,     0,   387,
       0,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,     0,     0,   398,  1264,   400,   401,   402,     0,   403,
     404,   405,  1265,  1266,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,  1269,   434,     0,   435,   436,   437,   438,     0,  1272,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,   452,   453,   454,
     455,  1275,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,  1276,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,  1279,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
    1281,   549,     0,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,     0,   559,   560,   561,     0,     0,   562,
     563,  1284,   565,  1285,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
    1288,     0,   580,   581,   582,   583,   584,   585,   586,     0,
     587,   588,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   600,  1290,  1291,
    1292,  1293,   605,  1294,  1295,  1296,  1297,   610,   611,   612,
     613,     0,     0,     0,     0,   233,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3741,   234,   235,   236,   237,   238,   239,   240,   241,
       0,   242,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,     0,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
     262,   263,   264,   265,   266,   267,     0,  1240,   268,   269,
     270,   271,   272,     0,   273,   274,   275,   276,  1243,     0,
    1244,     0,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,     0,
     295,   296,   297,   298,  1245,  1246,  1247,  1248,  1249,  1250,
    1251,   300,   301,   302,   303,   304,   305,   306,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   315,   316,
       0,   317,   318,   319,   320,     0,     0,   321,   322,   323,
     324,   325,     0,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
    1256,     0,   342,     0,   343,   344,   345,   346,   347,     0,
     348,     0,   349,   350,     0,   351,   352,   353,   354,   355,
       0,   356,  1259,     0,   358,   359,   360,     0,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,   385,   386,     0,   387,     0,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,     0,
       0,   398,  1264,   400,   401,   402,     0,   403,   404,   405,
    1265,  1266,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,  1269,
     434,     0,   435,   436,   437,   438,     0,  1272,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,     0,     0,   450,   451,   452,   453,   454,   455,  1275,
     457,   458,   459,   460,   461,   462,   463,   464,   465,     0,
     466,   467,  1276,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,  3309,   512,
     513,   514,   515,   516,   517,   518,   519,     0,   520,   521,
     522,   523,   524,  1279,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,  1281,   549,
       0,   550,   551,     0,   552,   553,   554,   555,   556,   557,
     558,     0,   559,   560,   561,     0,     0,   562,   563,  1284,
     565,  1285,     0,   567,   568,   569,   570,   571,   572,   573,
     574,     0,     0,   575,   576,   577,   578,   579,  1288,     0,
     580,   581,   582,   583,   584,   585,   586,     0,   587,   588,
     589,   590,   591,   592,     0,     0,   593,     0,     0,   594,
     595,   596,   597,   598,   599,   600,  1290,  1291,  1292,  1293,
     605,  1294,  1295,  1296,  1297,  3310,   611,   612,   613,     0,
       0,     0,     0,   233,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    56,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,   262,   263,
     264,   265,   266,   267,     0,  1240,   268,   269,   270,   271,
     272,     0,   273,   274,   275,   276,  1243,     0,  1244,     0,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,   295,   296,
     297,   298,  1245,  1246,  1247,  1248,  1249,  1250,  1251,   300,
     301,   302,   303,   304,   305,   306,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   323,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,  1256,     0,
     342,     0,   343,   344,   345,   346,   347,     0,   348,     0,
     349,   350,     0,   351,   352,   353,   354,   355,     0,   356,
    1259,     0,   358,   359,   360,     0,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,   385,   386,     0,   387,     0,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,     0,     0,   398,
    1264,   400,   401,   402,     0,   403,   404,   405,  1265,  1266,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,  1269,   434,     0,
     435,   436,   437,   438,     0,  1272,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,     0,
       0,   450,   451,   452,   453,   454,   455,  1275,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
    1276,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,  1279,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,  1281,   549,     0,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,     0,
     559,   560,   561,     0,     0,   562,   563,  1284,   565,  1285,
       0,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,  1288,     0,   580,   581,
     582,   583,   584,   585,   586,     0,   587,   588,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,  1290,  1291,  1292,  1293,   605,  1294,
    1295,  1296,  1297,   610,   611,   612,   613,     0,     0,     0,
       0,   233,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4623,   234,   235,
     236,   237,   238,   239,   240,   241,     0,   242,   243,   244,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
       0,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,   262,   263,   264,   265,
     266,   267,     0,  1240,   268,   269,   270,   271,   272,     0,
     273,   274,   275,   276,  1243,     0,  1244,     0,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,     0,   295,   296,   297,   298,
    1245,  1246,  1247,  1248,  1249,  1250,  1251,   300,   301,   302,
     303,   304,   305,   306,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   315,   316,     0,   317,   318,   319,
     320,     0,     0,   321,   322,   323,   324,   325,     0,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,  1256,     0,   342,     0,
     343,   344,   345,   346,   347,     0,   348,     0,   349,   350,
       0,   351,   352,   353,   354,   355,     0,   356,  1259,     0,
     358,   359,   360,     0,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
     385,   386,     0,   387,     0,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,     0,     0,   398,  1264,   400,
     401,   402,     0,   403,   404,   405,  1265,  1266,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,  1269,   434,     0,   435,   436,
     437,   438,     0,  1272,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,     0,     0,   450,
     451,   452,   453,   454,   455,  1275,   457,   458,   459,   460,
     461,   462,   463,   464,   465,     0,   466,   467,  1276,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,     0,   520,   521,   522,   523,   524,  1279,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,  1281,   549,     0,   550,   551,     0,
     552,   553,   554,   555,   556,   557,   558,     0,   559,   560,
     561,     0,     0,   562,   563,  1284,   565,  1285,     0,   567,
     568,   569,   570,   571,   572,   573,   574,     0,     0,   575,
     576,   577,   578,   579,  1288,     0,   580,   581,   582,   583,
     584,   585,   586,     0,   587,   588,   589,   590,   591,   592,
       0,     0,   593,     0,     0,   594,   595,   596,   597,   598,
     599,   600,  1290,  1291,  1292,  1293,   605,  1294,  1295,  1296,
    1297,   610,   611,   612,   613,     0,     0,     0,     0,   931,
       0,  1546,   680,     0,     0,     0,     0,   740,     0,     0,
       0,     0,     0,     0,     0,  5726,   234,   235,   236,   237,
     238,   239,   240,   241,     0,   242,   243,   244,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,     0,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,   262,   263,   264,   265,   266,   267,
       0,     0,   268,   269,   270,   271,   272,     0,   273,   274,
     275,   276,   277,     0,   278,     0,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,     0,   295,   296,   297,   298,     0,     0,
       0,   299,     0,     0,     0,   300,   301,   302,   303,   304,
     305,   306,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   315,   316,     0,   317,   318,   319,   320,     0,
       0,   321,   322,   323,   324,   325,     0,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,  1769,   342,     0,   343,   344,
     345,   346,   347,     0,   348,     0,   349,   350,     0,   351,
     352,   353,   354,   355,     0,   356,   357,     0,   358,   359,
     360,     0,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,   385,   386,
       0,   387,     0,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,     0,     0,   398,   399,   400,   401,   402,
       0,   403,   404,   405,     0,     0,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,   437,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
    1770,     0,   447,   448,   449,     0,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,     0,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,     0,   520,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,     0,   552,   553,
     554,   555,   556,   557,   558,     0,   559,   560,   561,     0,
       0,   562,   563,   564,   565,   566,  1771,   567,   568,   569,
     570,   571,   572,   573,   574,     0,     0,   575,   576,   577,
     578,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,     0,   587,   588,   589,   590,   591,   592,     0,     0,
     593,     0,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,     0,     0,     0,     0,   931,     0,     0,
       0,     0,     0,     0,  1547,  1548,  5539,     0,     0,     0,
       0,     0,     0,  5540,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     3,     4,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   270,   271,   272,     0,   273,   274,   275,   276,
     277,     0,   278,     0,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,   295,   296,   297,   298,     0,     0,     0,   299,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   306,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   323,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,     0,   342,     0,   343,   344,   345,   346,
     347,     0,   348,     0,   349,   350,     0,   351,   352,   353,
     354,   355,     0,   356,   357,     0,   358,   359,   360,     0,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,   385,   386,     0,   387,
       0,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,     0,     0,   398,   399,   400,   401,   402,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,   437,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,    40,
     520,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,    44,   552,   553,   554,   555,
     556,   557,   558,     0,   559,   560,   561,     0,     0,   562,
     563,   564,   565,   566,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,  1170,   586,     0,
     587,   588,   589,   590,   591,   592,     0,     0,   593,     0,
      49,   594,   595,   596,   597,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,     0,     0,    50,     0,   233,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    56,   234,   235,   236,   237,   238,   239,   240,   241,
       0,   242,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,     0,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
     262,   263,   264,   265,   266,   267,     0,     0,   268,   269,
     270,   271,   272,     0,   273,   274,   275,   276,   277,     0,
     278,     0,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,     0,
     295,   296,   297,   298,     0,     0,     0,   299,     0,     0,
       0,   300,   301,   302,   303,   304,   305,   306,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   315,   316,
       0,   317,   318,   319,   320,     0,     0,   321,   322,   323,
     324,   325,     0,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,     0,   342,     0,   343,   344,   345,   346,   347,     0,
     348,     0,   349,   350,     0,   351,   352,   353,   354,   355,
       0,   356,   357,     0,   358,   359,   360,     0,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,   385,   386,     0,   387,     0,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,     0,
       0,   398,   399,   400,   401,   402,     0,   403,   404,   405,
       0,     0,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,   437,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,     0,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,     0,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,     0,   520,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,     0,   552,   553,   554,   555,   556,   557,
     558,     0,   559,   560,   561,     0,     0,   562,   563,   564,
     565,   566,     0,   567,   568,   569,   570,   571,   572,   573,
     574,     0,     0,   575,   576,   577,   578,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,     0,   587,   588,
     589,   590,   591,   592,     0,     0,   593,     0,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,     0,
       0,     0,     0,   621,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5319,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,     0,   253,   254,
     255,   256,   257,     0,   259,   260,     0,   261,   262,   263,
     264,   265,   266,   267,     0,     0,   268,   269,   270,   271,
     272,     0,   273,   274,   275,   276,   277,     0,     0,     0,
     279,   280,   281,   282,   283,   284,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,     0,   296,
     297,   298,     0,     0,     0,     0,     0,     0,     0,   300,
     301,   302,   303,   304,   305,   306,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   323,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,     0,
     342,     0,   343,   344,   345,   346,   347,     0,   348,     0,
     349,     0,     0,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,   359,   360,     0,   361,   362,   363,   364,
     365,     0,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,   381,   382,
     383,   384,   385,   386,     0,   387,     0,   388,     0,     0,
     391,     0,   393,   394,   395,   396,   397,     0,     0,   398,
     399,     0,   401,     0,     0,   403,   404,   405,     0,     0,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,     0,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,     0,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,     0,
       0,   450,   451,   452,     0,   454,     0,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,    40,   520,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,     0,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,    44,   552,     0,   554,   555,   556,   557,   558,     0,
     559,   560,   561,     0,     0,   562,   563,   564,   565,   566,
       0,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,     0,     0,   580,   581,
     582,   583,   584,  1170,   586,     0,   587,     0,   589,   590,
     591,   592,     0,     0,   593,     0,    49,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,     0,     0,    50,
       0,   621,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    56,   234,   235,
     236,   237,   238,   239,   240,   241,     0,   242,   243,   244,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
       0,   248,   249,   250,   251,     0,   253,   254,   255,   256,
     257,     0,   259,   260,     0,   261,   262,   263,   264,   265,
     266,   267,     0,     0,   268,   269,   270,   271,   272,     0,
     273,   274,   275,   276,   277,     0,     0,     0,   279,   280,
     281,   282,   283,   284,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,     0,     0,   296,   297,   298,
       0,     0,     0,     0,     0,     0,     0,   300,   301,   302,
     303,   304,   305,   306,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   315,   316,     0,   317,   318,   319,
     320,     0,     0,   321,   322,   323,   324,   325,     0,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,     0,   342,     0,
     343,   344,   345,   346,   347,     0,   348,     0,   349,     0,
       0,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,   359,   360,     0,   361,   362,   363,   364,   365,     0,
     367,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,     0,   380,   381,   382,   383,   384,
     385,   386,     0,   387,     0,   388,     0,     0,   391,     0,
     393,   394,   395,   396,   397,     0,     0,   398,   399,     0,
     401,     0,     0,   403,   404,   405,     0,     0,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,     0,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
       0,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,     0,     0,   450,
     451,   452,     0,   454,     0,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,     0,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,     0,   520,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,     0,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,     0,
     552,     0,   554,   555,   556,   557,   558,     0,   559,   560,
     561,     0,     0,   562,   563,   564,   565,   566,     0,   567,
     568,   569,   570,   571,   572,   573,   574,     0,     0,   575,
     576,   577,   578,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,     0,   587,     0,   589,   590,   591,   592,
       0,     0,   593,     0,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,     0,     0,     0,     0,   621,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1360,   234,   235,   236,   237,
     238,   239,   240,   241,     0,   242,   243,   244,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,     0,   248,
     249,   250,   251,     0,   253,   254,   255,   256,   257,     0,
     259,   260,     0,   261,   262,   263,   264,   265,   266,   267,
       0,     0,   268,   269,   270,   271,   272,     0,   273,   274,
     275,   276,   277,     0,     0,     0,   279,   280,   281,   282,
     283,   284,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,     0,     0,   296,   297,   298,     0,     0,
       0,     0,     0,     0,     0,   300,   301,   302,   303,   304,
     305,   306,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   315,   316,     0,   317,   318,   319,   320,     0,
       0,   321,   322,   323,   324,   325,     0,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,     0,   342,     0,   343,   344,
     345,   346,   347,     0,   348,     0,   349,     0,     0,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,   359,
     360,     0,   361,   362,   363,   364,   365,     0,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,   381,   382,   383,   384,   385,   386,
       0,   387,     0,   388,     0,     0,   391,     0,   393,   394,
     395,   396,   397,     0,     0,   398,   399,     0,   401,     0,
       0,   403,   404,   405,     0,     0,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,     0,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,     0,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,     0,     0,   450,   451,   452,
       0,   454,     0,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,     0,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,     0,   520,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,     0,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,     0,   552,     0,
     554,   555,   556,   557,   558,     0,   559,   560,   561,     0,
       0,   562,   563,   564,   565,   566,     0,   567,   568,   569,
     570,   571,   572,   573,   574,     0,     0,   575,   576,   577,
     578,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,     0,   587,     0,   589,   590,   591,   592,     0,     0,
     593,     0,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,     0,     0,     0,     0,   621,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3366,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,     0,   253,   254,   255,   256,   257,     0,   259,   260,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   270,   271,   272,     0,   273,   274,   275,   276,
     277,     0,     0,     0,   279,   280,   281,   282,   283,   284,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,     0,   296,   297,   298,     0,     0,     0,     0,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   306,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   323,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,     0,   342,     0,   343,   344,   345,   346,
     347,     0,   348,     0,   349,     0,     0,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,   359,   360,     0,
     361,   362,   363,   364,   365,     0,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
       0,   380,   381,   382,   383,   384,   385,   386,     0,   387,
       0,   388,     0,     0,   391,     0,   393,   394,   395,   396,
     397,     0,     0,   398,   399,     0,   401,     0,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,     0,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,     0,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,   452,     0,   454,
       0,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,     0,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,     0,   552,     0,   554,   555,
     556,   557,   558,     0,   559,   560,   561,     0,     0,   562,
     563,   564,   565,   566,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,     0,
     587,     0,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,     0,     0,     0,     0,   621,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4540,   234,   235,   236,   237,   238,   239,   240,   241,
       0,   242,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,     0,   248,   249,   250,   251,     0,
     253,   254,   255,   256,   257,     0,   259,   260,     0,   261,
     262,   263,   264,   265,   266,   267,     0,     0,   268,   269,
     270,   271,   272,     0,   273,   274,   275,   276,   277,     0,
       0,     0,   279,   280,   281,   282,   283,   284,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,     0,
       0,   296,   297,   298,     0,     0,     0,     0,     0,     0,
       0,   300,   301,   302,   303,   304,   305,   306,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   315,   316,
       0,   317,   318,   319,   320,     0,     0,   321,   322,   323,
     324,   325,     0,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,     0,   342,     0,   343,   344,   345,   346,   347,     0,
     348,     0,   349,     0,     0,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,   359,   360,     0,   361,   362,
     363,   364,   365,     0,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,     0,   380,
     381,   382,   383,   384,   385,   386,     0,   387,     0,   388,
       0,     0,   391,     0,   393,   394,   395,   396,   397,     0,
       0,   398,   399,     0,   401,     0,     0,   403,   404,   405,
       0,     0,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,     0,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,     0,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,     0,     0,   450,   451,   452,     0,   454,     0,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,     0,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,     0,   520,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,     0,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,     0,   552,     0,   554,   555,   556,   557,
     558,     0,   559,   560,   561,     0,     0,   562,   563,   564,
     565,   566,     0,   567,   568,   569,   570,   571,   572,   573,
     574,     0,     0,   575,   576,   577,   578,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,     0,   587,     0,
     589,   590,   591,   592,     0,     0,   593,     0,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,     0,
       0,     0,     0,     0,     0,     0,   845,     0,  1546,   680,
       0,     0,     0,   946,   740,     0,     0,     0,     0,  4580,
     947,   948,   949,   234,   235,   236,   237,   238,   239,   240,
     241,  1682,   242,   243,   244,  1683,  1684,  1685,  1686,  1687,
    1688,  1689,   245,   246,   247,  1690,   248,   249,   250,   251,
     252,   253,   254,   255,     0,   846,   258,   847,   848,  1691,
     261,   262,   263,   264,   265,   266,   267,  1692,  1693,   268,
     269,   849,   850,   272,  1694,   273,   274,   275,   276,     0,
    1695,   278,  1696,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,  1697,   289,   290,   291,   292,   293,   294,
    1698,   295,   296,   297,   298,  1699,  1700,  1701,   299,  1702,
    1703,  1704,   300,   301,   302,   303,   304,   305,   851,   852,
     308,  1705,   309,  1706,   310,   311,   312,   313,   314,   315,
     316,  1707,   317,   318,   319,   320,  1708,  1709,   321,   322,
     853,   324,   325,  1710,   326,   327,   328,  1711,   329,   330,
     331,  1712,   332,   333,   334,   335,     0,   337,   338,   339,
     340,     0,  1713,   342,  1714,   343,   344,   345,   854,   347,
    1715,   348,  1716,   349,   350,  1717,   351,   352,   353,   354,
     355,  1718,   356,     0,  1719,     0,   359,   360,  1720,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,  1721,
     371,   372,   373,   374,   375,   376,   377,  1722,   378,   379,
       0,   381,   382,   383,   384,   855,   856,  1723,   857,  1724,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
    1725,  1726,   398,     0,   400,   401,   402,  1727,   403,   404,
     405,  1728,  1729,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   858,
     423,   859,   425,   426,   427,   428,   429,   430,   431,  4294,
       0,   434,  1730,   435,   436,   437,   438,  1731,     0,   440,
     860,   442,   443,   444,  1732,   445,   446,  1733,  1734,  4295,
     448,   449,  1735,  1736,   450,   451,     0,   453,   454,   455,
       0,   457,   458,   459,   460,   461,   462,   463,   464,   465,
    1737,   466,   467,     0,   469,     0,   471,   472,   473,  1738,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     861,   485,   486,   487,   488,  1739,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,  1740,
     502,   503,   504,   505,   506,   507,   508,   509,     0,   511,
     512,   513,   514,   515,   516,   517,   518,   519,  1741,   520,
     521,   522,   523,   524,  1742,   525,   526,  2621,   528,   529,
     530,   531,   532,   863,   534,  1743,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,     0,
     549,  1744,   550,   551,  1745,   552,   553,   554,   555,   556,
     557,   558,  1746,   559,   864,   865,  1747,  1748,   562,   563,
       0,   565,     0,  1749,   567,   568,   569,   570,   571,   572,
     573,   574,  1750,  1751,   575,   576,   577,   578,   579,  1752,
    1753,   580,   581,   582,   583,   584,     0,   866,  1754,   587,
     588,   589,   590,   591,   592,  1755,  1756,   593,  1757,  1758,
     594,   595,   596,   597,   598,   599,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   611,   612,   613,
       0,     0,     0,     0,     0,     0,     0,     0,   952,   953,
     954,  4296,  4297,   957,   958,   959,   960,   845,     0,  1546,
     680,     0,     0,     0,   946,   740,     0,     0,     0,     0,
       0,   947,   948,   949,   234,   235,   236,   237,   238,   239,
     240,   241,  1682,   242,   243,   244,  1683,  1684,  1685,  1686,
    1687,  1688,  1689,   245,   246,   247,  1690,   248,   249,   250,
     251,   252,   253,   254,   255,     0,   846,   258,   847,   848,
    1691,   261,   262,   263,   264,   265,   266,   267,  1692,  1693,
     268,   269,   849,   850,   272,  1694,   273,   274,   275,   276,
       0,  1695,   278,  1696,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,  1697,   289,   290,   291,   292,   293,
     294,  1698,   295,   296,   297,   298,  1699,  1700,  1701,   299,
    1702,  1703,  1704,   300,   301,   302,   303,   304,   305,   851,
     852,   308,  1705,   309,  1706,   310,   311,   312,   313,   314,
     315,   316,  1707,   317,   318,   319,   320,  1708,  1709,   321,
     322,   853,   324,   325,  1710,   326,   327,   328,  1711,   329,
     330,   331,  1712,   332,   333,   334,   335,     0,   337,   338,
     339,   340,     0,  1713,   342,  1714,   343,   344,   345,   854,
     347,  1715,   348,  1716,   349,   350,  1717,   351,   352,   353,
     354,   355,  1718,   356,     0,  1719,     0,   359,   360,  1720,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
    1721,   371,   372,   373,   374,   375,   376,   377,  1722,   378,
     379,     0,   381,   382,   383,   384,   855,   856,  1723,   857,
    1724,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,  1725,  1726,   398,     0,   400,   401,   402,  1727,   403,
     404,   405,  1728,  1729,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     858,   423,   859,   425,   426,   427,   428,   429,   430,   431,
    4714,     0,   434,  1730,   435,   436,   437,   438,  1731,     0,
     440,   860,   442,   443,   444,  1732,   445,   446,  1733,  1734,
    4295,   448,   449,  1735,  1736,   450,   451,     0,   453,   454,
     455,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,  1737,   466,   467,     0,   469,     0,   471,   472,   473,
    1738,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   861,   485,   486,   487,   488,  1739,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
    1740,   502,   503,   504,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,   515,   516,   517,   518,   519,  1741,
     520,   521,   522,   523,   524,  1742,   525,   526,  2621,   528,
     529,   530,   531,   532,   863,   534,  1743,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   549,  1744,   550,   551,  1745,   552,   553,   554,   555,
     556,   557,   558,  1746,   559,   864,   865,  1747,  1748,   562,
     563,     0,   565,     0,  1749,   567,   568,   569,   570,   571,
     572,   573,   574,  1750,  1751,   575,   576,   577,   578,   579,
    1752,  1753,   580,   581,   582,   583,   584,     0,   866,  1754,
     587,   588,   589,   590,   591,   592,  1755,  1756,   593,  1757,
    1758,   594,   595,   596,   597,   598,   599,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   611,   612,
     613,     0,     0,     0,     0,     0,     0,     0,     0,   952,
     953,   954,  4296,  4297,   957,   958,   959,   960,  2036,     0,
       0,     0,     0,     0,     0,  2037,     0,     0,  2038,     0,
       0,     0,  2039,  2040,  2041,  2042,  2043,  2044,  2045,  2046,
    2047,  2048,  2049,  2050,  2051,  2052,  2053,  2054,  2055,  2056,
    2057,     0,  2058,  2059,  2060,  2061,  2062,  2063,  2064,  2065,
    2066,  2067,  2068,  2069,  2070,  2071,  2072,  2073,  2074,  2075,
    2076,  2077,  2078,  2079,  2080,  2081,  2082,  2083,  2084,  2085,
    2086,  2087,  2088,     0,     0,  2089,  2090,  2091,  2092,  2093,
    2094,  2095,  2096,  2097,  2098,  2099,  2100,  2101,  2102,  2103,
    2104,  2105,  2106,  2107,  2108,  2109,  2110,  2111,  2112,  2113,
    2114,  2115,     0,  2116,  2117,  2118,  2119,  2120,  2121,  2122,
    2123,  2124,  2125,  2126,  2127,  2128,  2129,  2130,     0,  2131,
    2132,  2133,  2134,  2135,  2136,  2137,  2138,  2139,  2140,  2141,
    2142,  2143,  2144,  2145,  2146,  2147,  2148,  2149,  2150,  2151,
    2152,  2153,  2154,  2155,  2156,  2157,  2158,  2159,  2160,  2161,
    2162,  2163,  2164,     0,  2165,  2166,  2167,  2168,  2169,  2170,
    2171,  2172,  2173,  2174,  2175,  2176,     0,     0,  2177,  2178,
    2179,  2180,     0,  2181,  2182,  2183,  2184,     0,  2185,  2186,
    2187,  2188,  2189,     0,  2190,  2191,     0,  2192,  2193,  2194,
       0,  2195,  2196,     0,  2197,  2198,  2199,  2200,  2201,  2202,
    2203,  2204,  2205,  2206,  2207,  2208,  2209,  2210,  2211,  2212,
    2213,  2214,  2215,  2216,  2217,  2218,  2219,  2220,  2221,     0,
    2222,     0,  2223,  2224,  2225,  2226,  2227,  2228,  2229,  2230,
    2231,  2232,  2233,  2234,  2235,  2236,  2237,  2238,  2239,     0,
    2240,  2241,  2242,  2243,  2244,  2245,  2246,  2247,  2248,  2249,
    2250,  2251,  2252,  2253,     0,  2254,  2255,     0,  2256,  2257,
    2258,  2259,  2260,  2261,  2262,  2263,  2264,  2265,  2266,  2267,
    2268,  2269,  2270,  2271,  2272,  2273,  2274,  2275,  2276,  2277,
    2278,  2279,  2280,  2281,  2282,  2283,     0,  2284,  2285,     0,
    2286,  2287,  2288,  2289,  2290,     0,  2291,  2292,  2293,  2294,
       0,     0,  2295,  2296,  2297,  2298,  2299,  2300,  2301,  2302,
    2303,  2304,  2305,  2306,  2307,  2308,  2309,     0,  2310,  2311,
    2312,  2313,  2314,  2315,  2316,  2317,  2318,  2319,  2320,  2321,
    2322,  2323,  2324,  2325,  2326,  2327,  2328,  2329,  2330,  2331,
    2332,  2333,  2334,  2335,  2336,  2337,  2338,  2339,  2340,  2341,
    2342,     0,  2343,  2344,  2345,  2346,  2347,  2348,  2349,  2350,
    2351,  2352,  2353,  2354,  2355,  2356,  2357,  2358,     0,  2359,
    2360,  2361,  2362,  2363,  2364,  2365,  2366,  2367,  2368,  2369,
    2370,  2371,  2372,  2373,  2374,  2375,  2376,  2377,  2378,  2379,
    2380,  2381,  2382,  2383,  2384,  2385,  2386,  2387,  2388,  2389,
    2390,  2391,  2392,  2393,  2394,  2395,  2396,  2397,  2398,  2399,
    2400,  2401,  2402,  2403,  2404,  2405,  2406,  2407,     0,  2408,
    2409,  2410,  2411,  2412,  2413,  2414,  2415,  2416,  2417,  2418,
    2419,  2420,  2421,  2422,     0,  2423,  2424,  2425,  2426,  2427,
    2428,  2429,  2430,  2431,  2432,  2433,  2434,  2435,  2436,  2437,
    2438,     0,  2439,  2440,  2441,  2442,  2443,  2444,     0,  2445,
       0,     0,     0,     0,  2446,  2447,  2448,  2449,  2450,  2451,
    2452,  2453,  2454,  2455,  2456,  2457,  2458,  2459,  2460,     0,
    2461,  2462,  2463,     0,     0,     0,     0,     0,     0,     0,
    2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,  2472,   621,
       0,     0,     0,     0,     0,     0,   946,     0,     0,     0,
       0,     0,     0,   947,   948,   949,   234,   235,   236,   237,
     238,   239,   240,   241,     0,   242,   243,   244,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,     0,   248,
     249,   250,   251,     0,   253,   254,   255,   256,   257,     0,
     259,   260,     0,   261,   262,   263,   264,   265,   266,   267,
       0,     0,   268,   269,   270,   271,   272,     0,   273,   950,
     275,   276,   277,     0,     0,     0,   279,   280,   281,   282,
     283,   284,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,     0,     0,   296,   297,   298,     0,     0,
       0,     0,     0,     0,     0,   300,   301,   302,   303,   304,
     305,   306,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   315,   316,     0,   317,   318,   319,   320,     0,
       0,   321,   322,   323,   324,   325,     0,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,     0,   951,     0,   343,   344,
     345,   346,   347,     0,   348,     0,   349,     0,     0,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,   359,
     360,     0,   361,   362,   363,   364,   365,     0,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,   381,   382,   383,   384,   385,   386,
       0,   387,     0,   388,     0,     0,   391,     0,   393,   394,
     395,   396,   397,     0,     0,   398,   399,     0,   401,     0,
       0,   403,   404,   405,     0,     0,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,     0,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,     0,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,     0,     0,   450,   451,   452,
       0,   454,     0,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,     0,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,     0,   520,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,     0,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,     0,   552,     0,
     554,   555,   556,   557,   558,     0,   559,   560,   561,     0,
       0,   562,   563,   564,   565,   566,     0,   567,   568,   569,
     570,   571,   572,   573,   574,     0,     0,   575,   576,   577,
     578,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,     0,   587,     0,   589,   590,   591,   592,     0,     0,
     593,     0,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,     0,     0,     0,     0,     0,     0,     0,
       0,   952,   953,   954,   955,   956,   957,   958,   959,   960,
     621,     0,     0,     0,     0,     0,     0,   946,     0,     0,
       0,     0,     0,     0,   947,   948,   949,   234,   235,   236,
     237,   238,   239,   240,   241,     0,   242,   243,   244,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,     0,
     248,   249,   250,   251,     0,   253,   254,   255,   256,   257,
       0,   259,   260,     0,   261,   262,   263,   264,   265,   266,
     267,     0,     0,   268,   269,   270,   271,   272,     0,   273,
    1067,   275,   276,   277,     0,     0,     0,   279,   280,   281,
     282,   283,   284,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,     0,     0,   296,   297,   298,     0,
       0,     0,     0,     0,     0,     0,   300,   301,   302,   303,
     304,   305,   306,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,   315,   316,     0,   317,   318,   319,   320,
       0,     0,   321,   322,   323,   324,   325,     0,   326,   327,
     328,     0,   329,   330,   331,     0,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,     0,  1068,     0,   343,
     344,   345,   346,   347,     0,   348,     0,   349,     0,     0,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
     359,   360,     0,   361,   362,   363,   364,   365,     0,   367,
     368,   369,   370,     0,   371,   372,   373,   374,   375,   376,
     377,     0,   378,     0,   380,   381,   382,   383,   384,   385,
     386,     0,   387,     0,   388,     0,     0,   391,     0,   393,
     394,   395,   396,   397,     0,     0,   398,   399,     0,   401,
       0,     0,   403,   404,   405,     0,     0,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,     0,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,     0,   435,   436,     0,
     438,     0,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,     0,   447,   448,   449,     0,     0,   450,   451,
     452,     0,   454,     0,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,     0,   466,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,     0,   502,   503,     0,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,     0,   520,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,     0,   531,   532,   533,   534,     0,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,     0,   552,
       0,   554,   555,   556,   557,   558,     0,   559,   560,   561,
       0,     0,   562,   563,   564,   565,   566,     0,   567,   568,
     569,   570,   571,   572,   573,   574,     0,     0,   575,   576,
     577,   578,   579,     0,     0,   580,   581,   582,   583,   584,
     585,   586,     0,   587,     0,   589,   590,   591,   592,     0,
       0,   593,     0,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,     0,     0,     0,     0,     0,     0,
       0,     0,   952,   953,   954,   955,   956,   957,   958,   959,
     960,   621,     0,     0,     0,     0,     0,     0,   946,     0,
       0,     0,     0,     0,     0,   947,   948,   949,   234,   235,
     236,   237,   238,   239,   240,   241,     0,   242,   243,   244,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
       0,   248,   249,   250,   251,     0,   253,   254,   255,   256,
     257,     0,   259,   260,     0,   261,   262,   263,   264,   265,
     266,   267,     0,     0,   268,   269,   270,   271,   272,     0,
     273,  1132,   275,   276,   277,     0,     0,     0,   279,   280,
     281,   282,   283,   284,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,     0,     0,   296,   297,   298,
       0,     0,     0,     0,     0,     0,     0,   300,   301,   302,
     303,   304,   305,   306,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   315,   316,     0,   317,   318,   319,
     320,     0,     0,   321,   322,   323,   324,   325,     0,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,     0,  1133,     0,
     343,   344,   345,   346,   347,     0,   348,     0,   349,     0,
       0,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,   359,   360,     0,   361,   362,   363,   364,  1134,     0,
     367,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,     0,   380,   381,   382,   383,   384,
     385,   386,     0,   387,     0,   388,     0,     0,   391,     0,
     393,   394,   395,   396,   397,     0,     0,   398,   399,     0,
     401,     0,     0,   403,   404,   405,     0,     0,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,     0,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
       0,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,     0,     0,   450,
     451,   452,     0,   454,     0,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,     0,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,     0,   520,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,     0,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,     0,
     552,     0,   554,   555,   556,   557,   558,     0,   559,   560,
     561,     0,     0,   562,   563,   564,   565,   566,     0,   567,
     568,   569,   570,   571,   572,   573,   574,     0,     0,   575,
     576,   577,   578,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,     0,   587,     0,   589,   590,   591,   592,
       0,     0,   593,     0,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,     0,     0,     0,     0,     0,
       0,     0,     0,   952,   953,   954,   955,   956,   957,   958,
     959,   960,   621,     0,     0,     0,     0,     0,     0,   946,
       0,     0,     0,     0,     0,     0,   947,   948,   949,   234,
     235,   236,   237,   238,   239,   240,   241,     0,   242,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,     0,   248,   249,   250,   251,     0,   253,   254,   255,
     256,   257,     0,   259,   260,     0,   261,   262,   263,   264,
     265,   266,   267,     0,     0,   268,   269,   270,   271,   272,
       0,   273,  1786,   275,   276,   277,     0,     0,     0,   279,
     280,   281,   282,   283,   284,     0,   286,   287,   288,     0,
     289,   290,   291,   292,   293,   294,     0,     0,   296,   297,
     298,     0,     0,     0,     0,     0,     0,     0,   300,   301,
     302,   303,   304,   305,   306,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,   315,   316,     0,   317,   318,
     319,   320,     0,     0,   321,   322,   323,   324,   325,     0,
     326,   327,   328,     0,   329,   330,   331,     0,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,     0,  1787,
       0,   343,   344,   345,   346,   347,     0,   348,     0,   349,
       0,     0,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,   359,   360,     0,   361,   362,   363,   364,   365,
       0,   367,   368,   369,   370,     0,   371,   372,   373,   374,
     375,   376,   377,     0,   378,     0,   380,   381,   382,   383,
     384,   385,   386,     0,   387,     0,   388,     0,     0,   391,
       0,   393,   394,   395,   396,   397,     0,     0,   398,   399,
       0,   401,     0,     0,   403,   404,   405,     0,     0,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,     0,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,     0,   438,     0,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,     0,   447,   448,   449,     0,     0,
     450,   451,   452,     0,   454,     0,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,     0,   466,   467,   468,
     469,   470,   471,   472,   473,     0,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,     0,   502,   503,     0,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,     0,   520,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,     0,   531,   532,   533,
     534,     0,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
       0,   552,     0,   554,   555,   556,   557,   558,     0,   559,
     560,   561,     0,     0,   562,   563,   564,   565,   566,     0,
     567,   568,   569,   570,   571,   572,   573,   574,     0,     0,
     575,   576,   577,   578,   579,     0,     0,   580,   581,   582,
     583,   584,   585,   586,     0,   587,     0,   589,   590,   591,
     592,     0,     0,   593,     0,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,     0,     0,     0,     0,
       0,     0,     0,     0,   952,   953,   954,   955,   956,   957,
     958,   959,   960,   621,     0,     0,     0,     0,     0,     0,
     946,     0,     0,     0,     0,     0,     0,   947,   948,   949,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,     0,   253,   254,
     255,   256,   257,     0,   259,   260,     0,   261,   262,   263,
     264,   265,   266,   267,     0,     0,   268,   269,   270,   271,
     272,     0,   273,   274,   275,   276,   277,     0,     0,     0,
     279,   280,   281,   282,   283,   284,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,     0,   296,
     297,   298,     0,     0,     0,     0,     0,     0,     0,   300,
     301,   302,   303,   304,   305,   306,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   323,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,     0,
     342,     0,   343,   344,   345,   346,   347,     0,   348,     0,
     349,     0,     0,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,   359,   360,     0,   361,   362,   363,   364,
     365,     0,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,   381,   382,
     383,   384,   385,   386,     0,   387,     0,   388,     0,     0,
     391,     0,   393,   394,   395,   396,   397,     0,     0,   398,
     399,     0,   401,     0,     0,   403,   404,   405,     0,     0,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,     0,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,     0,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,     0,
       0,   450,   451,   452,     0,   454,     0,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,     0,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,     0,   552,     0,   554,   555,   556,   557,   558,     0,
     559,   560,   561,     0,     0,   562,   563,   564,   565,   566,
       0,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,     0,   587,     0,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,     0,     0,     0,
       0,     0,     0,     0,     0,   952,   953,   954,   955,   956,
     957,   958,   959,   960,   621,     0,     0,     0,     0,     0,
       0,   946,     0,     0,     0,     0,     0,     0,   947,   948,
     949,   234,   235,   236,   237,   238,   239,   240,   241,     0,
     242,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,     0,   248,   249,   250,   251,     0,   253,
     254,   255,   256,   257,     0,   259,   260,     0,   261,   262,
     263,   264,   265,   266,   267,     0,     0,   268,   269,   270,
     271,   272,     0,   273,  3436,   275,   276,   277,     0,     0,
       0,   279,   280,   281,   282,   283,   284,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,     0,     0,
     296,   297,   298,     0,     0,     0,     0,     0,     0,     0,
     300,   301,   302,   303,   304,   305,   306,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,   315,   316,     0,
     317,   318,   319,   320,     0,     0,   321,   322,   323,   324,
     325,     0,   326,   327,   328,     0,   329,   330,   331,     0,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
       0,  3437,     0,   343,   344,   345,   346,   347,     0,   348,
       0,   349,     0,     0,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,   359,   360,     0,   361,   362,   363,
     364,   365,     0,   367,   368,   369,   370,     0,   371,   372,
     373,   374,   375,   376,   377,     0,   378,     0,   380,   381,
     382,   383,   384,   385,   386,     0,   387,     0,   388,     0,
       0,   391,     0,   393,   394,   395,   396,   397,     0,     0,
     398,   399,     0,   401,     0,     0,   403,   404,   405,     0,
       0,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,     0,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   435,   436,     0,   438,     0,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,     0,   447,   448,   449,
       0,     0,   450,   451,   452,     0,   454,     0,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,     0,   466,
     467,   468,   469,   470,   471,   472,   473,     0,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,     0,   502,   503,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,     0,   520,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,     0,   531,
     532,   533,   534,     0,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,     0,   552,     0,   554,   555,   556,   557,   558,
       0,   559,   560,   561,     0,     0,   562,   563,   564,   565,
     566,     0,   567,   568,   569,   570,   571,   572,   573,   574,
       0,     0,   575,   576,   577,   578,   579,     0,     0,   580,
     581,   582,   583,   584,   585,   586,     0,   587,     0,   589,
     590,   591,   592,     0,     0,   593,     0,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,     0,     0,
       0,     0,     0,     0,     0,     0,   952,   953,   954,   955,
     956,   957,   958,   959,   960,   621,     0,     0,     0,     0,
       0,     0,   946,     0,     0,     0,     0,     0,     0,   947,
     948,   949,   234,   235,   236,   237,   238,   239,   240,   241,
       0,   242,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,     0,   248,   249,   250,   251,     0,
     253,   254,   255,   256,   257,     0,   259,   260,     0,   261,
     262,   263,   264,   265,   266,   267,     0,     0,   268,   269,
     270,   271,   272,     0,   273,   274,   275,   276,   277,     0,
       0,     0,   279,   280,   281,   282,   283,   284,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,     0,
       0,   296,   297,   298,     0,     0,     0,     0,     0,     0,
       0,   300,   301,   302,   303,   304,   305,   306,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   315,   316,
       0,   317,   318,   319,   320,     0,     0,   321,   322,   323,
     324,   325,     0,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,     0,   342,     0,   343,   344,   345,   346,   347,     0,
     348,     0,   349,     0,     0,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,   359,   360,     0,   361,   362,
     363,   364,   365,     0,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,     0,   380,
     381,   382,   383,   384,   385,   386,     0,   387,     0,   388,
       0,     0,   391,     0,   393,   394,   395,   396,   397,     0,
       0,   398,   399,     0,   401,     0,     0,   403,   404,   405,
       0,     0,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,     0,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,     0,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,  5298,   448,
     449,     0,     0,   450,   451,   452,     0,   454,     0,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,     0,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,     0,   520,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,     0,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,     0,   552,     0,   554,   555,   556,   557,
     558,     0,   559,   560,   561,     0,     0,   562,   563,   564,
     565,   566,     0,   567,   568,   569,   570,   571,   572,   573,
     574,     0,     0,   575,   576,   577,   578,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,     0,   587,     0,
     589,   590,   591,   592,     0,     0,   593,     0,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,  1681,
       0,     0,     0,     0,     0,     0,     0,   952,   953,   954,
     955,   956,   957,   958,   959,   960,   234,   235,   236,   237,
     238,   239,   240,   241,  1682,   242,   243,   244,  1683,  1684,
    1685,  1686,  1687,  1688,  1689,   245,   246,   247,  1690,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,  1691,   261,   262,   263,   264,   265,   266,   267,
    1692,  1693,   268,   269,   270,   271,   272,  1694,   273,   274,
     275,   276,   277,  1695,   278,  1696,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,  1697,   289,   290,   291,
     292,   293,   294,  1698,   295,   296,   297,   298,  1699,  1700,
    1701,   299,  1702,  1703,  1704,   300,   301,   302,   303,   304,
     305,   306,   307,   308,  1705,   309,  1706,   310,   311,   312,
     313,   314,   315,   316,  1707,   317,   318,   319,   320,  1708,
    1709,   321,   322,   323,   324,   325,  1710,   326,   327,   328,
    1711,   329,   330,   331,  1712,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,  1713,   342,  1714,   343,   344,
     345,   346,   347,  1715,   348,  1716,   349,   350,  1717,   351,
     352,   353,   354,   355,  1718,   356,   357,  1719,   358,   359,
     360,  1720,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,  1721,   371,   372,   373,   374,   375,   376,   377,
    1722,   378,   379,   380,   381,   382,   383,   384,   385,   386,
    1723,   387,  1724,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,  1725,  1726,   398,   399,   400,   401,   402,
    1727,   403,   404,   405,  1728,  1729,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,  1730,   435,   436,   437,   438,
    1731,   439,   440,   441,   442,   443,   444,  1732,   445,   446,
    1733,  1734,   447,   448,   449,  1735,  1736,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,  1737,   466,   467,   468,   469,   470,   471,
     472,   473,  1738,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,  1739,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,  1740,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,  1741,   520,   521,   522,   523,   524,  1742,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,  1743,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,  1744,   550,   551,  1745,   552,   553,
     554,   555,   556,   557,   558,  1746,   559,   560,   561,  1747,
    1748,   562,   563,   564,   565,   566,  1749,   567,   568,   569,
     570,   571,   572,   573,   574,  1750,  1751,   575,   576,   577,
     578,   579,  1752,  1753,   580,   581,   582,   583,   584,   585,
     586,  1754,   587,   588,   589,   590,   591,   592,  1755,  1756,
     593,  1757,  1758,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   621,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1759,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,     0,   253,   254,
     255,   256,   257,     0,   259,   260,     0,   261,   262,   263,
     264,   265,   266,   267,     0,     0,   268,   269,   270,   271,
     272,     0,   273,   274,   275,   276,   277,     0,     0,     0,
     279,   280,   281,   282,   283,   284,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,     0,   296,
     297,   298,     0,     0,     0,     0,     0,     0,     0,   300,
     301,   302,   303,   304,   305,   306,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   323,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,     0,
     342,     0,   343,   344,   345,   346,   347,     0,   348,     0,
     349,     0,     0,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,   359,   360,     0,   361,   362,   363,   364,
     365,     0,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,   381,   382,
     383,   384,   385,   386,     0,   387,     0,   388,     0,     0,
     391,     0,   393,   394,   395,   396,   397,     0,     0,   398,
     399,     0,   401,     0,     0,   403,   404,   405,     0,     0,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,     0,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,     0,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,     0,
       0,   450,   451,   452,     0,   454,     0,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,     0,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,     0,   552,     0,   554,   555,   556,   557,   558,     0,
     559,   560,   561,     0,     0,   562,   563,   564,   565,   566,
       0,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,     0,   587,     0,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   621,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     834,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,     0,   253,   254,   255,   256,   257,     0,   259,   260,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   270,   271,   272,     0,   273,   274,   275,   276,
     277,     0,     0,     0,   279,   280,   281,   282,   283,   284,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,     0,   296,   297,   298,     0,     0,     0,     0,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   306,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   323,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,     0,   342,     0,   343,   344,   345,   346,
     347,     0,   348,     0,   349,     0,     0,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,   359,   360,     0,
     361,   362,   363,   364,   365,     0,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
       0,   380,   381,   382,   383,   384,   385,   386,     0,   387,
       0,   388,     0,     0,   391,     0,   393,   394,   395,   396,
     397,     0,     0,   398,   399,     0,   401,     0,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,     0,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,     0,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,   452,     0,   454,
       0,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,     0,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,     0,   552,     0,   554,   555,
     556,   557,   558,     0,   559,   560,   561,     0,     0,   562,
     563,   564,   565,   566,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,     0,
     587,     0,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   845,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5696,     0,     0,     0,   234,   235,
     236,   237,   238,   239,   240,   241,     0,   242,   243,   244,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
       0,   248,   249,   250,   251,   252,   253,   254,   255,     0,
     846,   258,   847,   848,     0,   261,   262,   263,   264,   265,
     266,   267,     0,     0,   268,   269,   849,   850,   272,     0,
     273,   274,   275,   276,     0,     0,   278,     0,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,     0,   295,   296,   297,   298,
       0,     0,     0,   299,     0,     0,     0,   300,   301,   302,
     303,   304,   305,   851,   852,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   315,   316,     0,   317,   318,   319,
     320,     0,     0,   321,   322,   853,   324,   325,     0,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
     335,     0,   337,   338,   339,   340,     0,     0,   342,     0,
     343,   344,   345,   854,   347,     0,   348,     0,   349,   350,
       0,   351,   352,   353,   354,   355,     0,   356,     0,     0,
       0,   359,   360,     0,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,  2617,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,  2618,   381,   382,   383,   384,
     855,   856,     0,   857,     0,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,     0,     0,   398,     0,   400,
     401,   402,     0,   403,   404,   405,     0,     0,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   858,   423,   859,   425,   426,   427,
     428,   429,   430,   431,     0,     0,   434,     0,   435,   436,
     437,   438,     0,     0,   440,   860,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,     0,  2619,   450,
     451,  2620,   453,   454,   455,     0,   457,   458,   459,   460,
     461,   462,   463,   464,   465,     0,   466,   467,     0,   469,
       0,   471,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   861,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,   515,   516,
     517,   518,   519,     0,   520,   521,   522,   523,   524,     0,
     525,   526,  2621,   528,   529,   530,   531,   532,   863,   534,
       0,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,     0,   549,     0,   550,   551,     0,
     552,   553,   554,   555,   556,   557,   558,     0,   559,   864,
     865,     0,     0,   562,   563,     0,   565,     0,     0,   567,
     568,   569,   570,   571,   572,   573,   574,     0,     0,   575,
     576,   577,   578,   579,     0,     0,   580,   581,   582,   583,
     584,     0,   866,  2622,   587,   588,   589,   590,   591,   592,
       0,     0,   593,     0,     0,   594,   595,   596,   597,   598,
     599,     0,     0,  3778,     0,     0,     0,     0,     0,     0,
       0,     0,   611,   612,   613,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,  2623,   242,
     243,   244,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,   252,   253,   254,
     255,     0,   846,   258,   847,   848,     0,   261,   262,   263,
     264,   265,   266,   267,     0,     0,   268,   269,   849,   850,
     272,     0,   273,   274,   275,   276,     0,     0,   278,     0,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,   295,   296,
     297,   298,     0,     0,     0,   299,     0,     0,     0,   300,
     301,   302,   303,   304,   305,   851,   852,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   853,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,     0,   337,   338,   339,   340,     0,     0,
     342,     0,   343,   344,   345,   854,   347,     0,   348,     0,
     349,   350,     0,   351,   352,   353,   354,   355,     0,   356,
       0,     0,     0,   359,   360,     0,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,  2617,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,  2618,   381,   382,
     383,   384,   855,   856,     0,   857,     0,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,     0,     0,   398,
       0,   400,   401,   402,     0,   403,   404,   405,     0,     0,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   858,   423,   859,   425,
     426,   427,   428,   429,   430,   431,     0,     0,   434,     0,
     435,   436,   437,   438,     0,     0,   440,   860,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,     0,
    2619,   450,   451,  2620,   453,   454,   455,     0,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
       0,   469,     0,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   861,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,     0,   525,   526,  2621,   528,   529,   530,   531,   532,
     863,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,     0,   549,     0,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,     0,
     559,   864,   865,     0,     0,   562,   563,     0,   565,     0,
       0,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,     0,     0,   580,   581,
     582,   583,   584,     0,   866,  2622,   587,   588,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,     0,     0,   931,     0,  1546,   680,     0,
       0,     0,     0,   740,   611,   612,   613,     0,     0,     0,
       0,     0,   234,   235,   236,   237,   238,   239,   240,   241,
    2623,   242,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,     0,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
     262,   263,   264,   265,   266,   267,     0,     0,   268,   269,
     270,   271,   272,     0,   273,   274,   275,   276,   277,     0,
     278,     0,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,     0,
     295,   296,   297,   298,     0,     0,     0,   299,     0,     0,
       0,   300,   301,   302,   303,   304,   305,   306,   307,   308,
    2509,   309,     0,   310,   311,   312,   313,   314,   315,   316,
       0,   317,   318,   319,   320,     0,     0,   321,   322,   323,
     324,   325,     0,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,  1769,   342,     0,   343,   344,   345,   346,   347,     0,
     348,     0,   349,   350,     0,   351,   352,   353,   354,   355,
       0,   356,   357,     0,   358,   359,   360,     0,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,   385,   386,     0,   387,     0,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,     0,
       0,   398,   399,   400,   401,   402,     0,   403,   404,   405,
       0,     0,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,   437,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,  1770,     0,   447,   448,
     449,     0,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,     0,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,     0,   520,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,     0,   552,   553,   554,   555,   556,   557,
     558,     0,   559,   560,   561,     0,     0,   562,   563,   564,
     565,   566,  1771,   567,   568,   569,   570,   571,   572,   573,
     574,     0,     0,   575,   576,   577,   578,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,     0,   587,   588,
     589,   590,   591,   592,     0,     0,   593,     0,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   931,
       0,  1546,   680,     0,     0,     0,     0,   740,     0,     0,
    1547,  1548,     0,     0,     0,     0,   234,   235,   236,   237,
     238,   239,   240,   241,     0,   242,   243,   244,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,     0,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,   262,   263,   264,   265,   266,   267,
       0,     0,   268,   269,   270,   271,   272,     0,   273,   274,
     275,   276,   277,     0,   278,     0,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,     0,   295,   296,   297,   298,     0,     0,
       0,   299,     0,     0,     0,   300,   301,   302,   303,   304,
     305,   306,   307,   308,  2514,   309,     0,   310,   311,   312,
     313,   314,   315,   316,     0,   317,   318,   319,   320,     0,
       0,   321,   322,   323,   324,   325,     0,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,  1769,   342,     0,   343,   344,
     345,   346,   347,     0,   348,     0,   349,   350,     0,   351,
     352,   353,   354,   355,     0,   356,   357,     0,   358,   359,
     360,     0,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,   385,   386,
       0,   387,     0,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,     0,     0,   398,   399,   400,   401,   402,
       0,   403,   404,   405,     0,     0,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,   437,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
    1770,     0,   447,   448,   449,     0,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,     0,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,     0,   520,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,     0,   552,   553,
     554,   555,   556,   557,   558,     0,   559,   560,   561,     0,
       0,   562,   563,   564,   565,   566,  1771,   567,   568,   569,
     570,   571,   572,   573,   574,     0,     0,   575,   576,   577,
     578,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,     0,   587,   588,   589,   590,   591,   592,     0,     0,
     593,     0,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   931,     0,  1546,   680,     0,     0,     0,
       0,   740,     0,     0,  1547,  1548,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,   262,   263,
     264,   265,   266,   267,     0,     0,   268,   269,   270,   271,
     272,     0,   273,   274,   275,   276,   277,     0,   278,     0,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,   295,   296,
     297,   298,     0,     0,     0,   299,     0,     0,     0,   300,
     301,   302,   303,   304,   305,   306,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   323,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,  1769,
     342,     0,   343,   344,   345,   346,   347,     0,   348,     0,
     349,   350,     0,   351,   352,   353,   354,   355,     0,   356,
     357,     0,   358,   359,   360,     0,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,   385,   386,     0,   387,     0,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,     0,     0,   398,
     399,   400,   401,   402,     0,   403,   404,   405,     0,     0,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,   437,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,  1770,     0,   447,   448,   449,     0,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,     0,
     559,   560,   561,     0,     0,   562,   563,   564,   565,   566,
    1771,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,     0,   587,   588,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   931,     0,     0,
     680,     0,     0,     0,     0,   740,     0,     0,  1547,  1548,
       0,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   270,   271,   272,     0,   273,   274,   275,   276,
     277,     0,   278,     0,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,   295,   296,   297,   298,     0,     0,     0,   299,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   306,
     307,   308,  3397,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   323,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,  1769,   342,     0,   343,   344,   345,   346,
     347,     0,   348,     0,   349,   350,     0,   351,   352,   353,
     354,   355,     0,   356,   357,     0,   358,   359,   360,     0,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,   385,   386,     0,   387,
       0,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,     0,     0,   398,   399,   400,   401,   402,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,   437,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,  1770,     0,
     447,   448,   449,     0,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,     0,   559,   560,   561,     0,     0,   562,
     563,   564,   565,   566,  1771,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,     0,
     587,   588,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   621,     0,     0,     0,     0,     0,     0,     0,   740,
       0,     0,   752,   753,     0,     0,     0,     0,   234,   741,
     236,   237,   238,   239,   240,   241,   742,   242,   243,   244,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
       0,   248,   249,   250,   251,     0,   743,   254,   255,   256,
     257,     0,   259,   260,     0,   261,   262,   263,   264,   265,
     266,   267,     0,     0,   268,   269,   270,   271,   272,     0,
     273,   274,   275,   276,   277,     0,     0,     0,   279,   280,
     281,   282,   283,   284,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,     0,     0,   296,   297,   298,
       0,     0,     0,     0,     0,     0,     0,   300,   301,   302,
     303,   304,   305,   306,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   315,   316,     0,   317,   318,   319,
     320,     0,     0,   321,   322,   323,   324,   325,     0,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,     0,   342,     0,
     343,   344,   744,   346,   347,     0,   348,     0,   745,     0,
     746,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,   359,   360,     0,   361,   362,   363,   364,   365,     0,
     367,   368,   369,   370,   747,   371,   372,   373,   374,   375,
     376,   377,     0,   378,     0,   380,   381,   382,   383,   384,
     385,   386,     0,   387,     0,   388,     0,     0,   391,     0,
     393,   394,   395,   396,   748,     0,     0,   398,   399,     0,
     401,     0,     0,   403,   404,   405,     0,     0,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,     0,   424,   425,   749,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
       0,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,     0,     0,   450,
     451,   452,     0,   454,     0,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,     0,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   750,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   751,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,     0,   520,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,     0,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,     0,
     552,     0,   554,   555,   556,   557,   558,     0,   559,   560,
     561,     0,     0,   562,   563,   564,   565,   566,     0,   567,
     568,   569,   570,   571,   572,   573,   574,     0,     0,   575,
     576,   577,   578,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,     0,   587,     0,   589,   590,   591,   592,
       0,     0,   593,     0,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,  1681,     0,  5953,   680,     0,
       0,     0,     0,   740,     0,     0,   752,   753,     0,     0,
       0,     0,   234,   235,   236,   237,   238,   239,   240,   241,
    1682,   242,   243,   244,  1683,  1684,  1685,  1686,  1687,  1688,
    1689,   245,   246,   247,  1690,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,  1691,   261,
     262,   263,   264,   265,   266,   267,  1692,  1693,   268,   269,
     270,   271,   272,  1694,   273,   274,   275,   276,   277,  1695,
     278,  1696,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,  1697,   289,   290,   291,   292,   293,   294,  1698,
     295,   296,   297,   298,  1699,  1700,  1701,   299,  1702,  1703,
    1704,   300,   301,   302,   303,   304,   305,   306,   307,   308,
    1705,   309,  1706,   310,   311,   312,   313,   314,   315,   316,
    1707,   317,   318,   319,   320,  1708,  1709,   321,   322,   323,
     324,   325,  1710,   326,   327,   328,  1711,   329,   330,   331,
    1712,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,  1713,   342,  1714,   343,   344,   345,   346,   347,  1715,
     348,  1716,   349,   350,  1717,   351,   352,   353,   354,   355,
    1718,   356,   357,  1719,   358,   359,   360,  1720,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,  1721,   371,
     372,   373,   374,   375,   376,   377,  1722,   378,   379,   380,
     381,   382,   383,   384,   385,   386,  1723,   387,  1724,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,  1725,
    1726,   398,   399,   400,   401,   402,  1727,   403,   404,   405,
    1728,  1729,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,  1730,   435,   436,   437,   438,  1731,   439,   440,   441,
     442,   443,   444,  1732,   445,   446,  1733,  1734,   447,   448,
     449,  1735,  1736,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,  1737,
     466,   467,   468,   469,   470,   471,   472,   473,  1738,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,  1739,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,  1740,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,  1741,   520,   521,
     522,   523,   524,  1742,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,  1743,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
    1744,   550,   551,  1745,   552,   553,   554,   555,   556,   557,
     558,  1746,   559,   560,   561,  1747,  1748,   562,   563,   564,
     565,   566,  1749,   567,   568,   569,   570,   571,   572,   573,
     574,  1750,  1751,   575,   576,   577,   578,   579,  1752,  1753,
     580,   581,   582,   583,   584,   585,   586,  1754,   587,   588,
     589,   590,   591,   592,  1755,  1756,   593,  1757,  1758,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,  1681,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,   235,   236,   237,
     238,   239,   240,   241,  1682,   242,   243,   244,  1683,  1684,
    1685,  1686,  1687,  1688,  1689,   245,   246,   247,  1690,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,  1691,   261,   262,   263,   264,   265,   266,   267,
    1692,  1693,   268,   269,   270,   271,   272,  1694,   273,   274,
     275,   276,   277,  1695,   278,  1696,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,  1697,   289,   290,   291,
     292,   293,   294,  1698,   295,   296,   297,   298,  1699,  1700,
    1701,   299,  1702,  1703,  1704,   300,   301,   302,   303,   304,
     305,   306,   307,   308,  1705,   309,  1706,   310,   311,   312,
     313,   314,   315,   316,  1707,   317,   318,   319,   320,  1708,
    1709,   321,   322,   323,   324,   325,  1710,   326,   327,   328,
    1711,   329,   330,   331,  1712,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,  1713,   342,  1714,   343,   344,
     345,   346,   347,  1715,   348,  1716,   349,   350,  1717,   351,
     352,   353,   354,   355,  1718,   356,   357,  1719,   358,   359,
     360,  1720,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,  1721,   371,   372,   373,   374,   375,   376,   377,
    1722,   378,   379,   380,   381,   382,   383,   384,   385,   386,
    1723,   387,  1724,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,  1725,  1726,   398,   399,   400,   401,   402,
    1727,   403,   404,   405,  1728,  1729,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,  1730,   435,   436,   437,   438,
    1731,   439,   440,   441,   442,   443,   444,  1732,   445,   446,
    1733,  1734,   447,   448,   449,  1735,  1736,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,  1737,   466,   467,   468,   469,   470,   471,
     472,   473,  1738,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,  1739,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,  1740,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,  1741,   520,   521,   522,   523,   524,  1742,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,  1743,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,  1744,   550,   551,  1745,   552,   553,
     554,   555,   556,   557,   558,  1746,   559,   560,   561,  1747,
    1748,   562,   563,   564,   565,   566,  1749,   567,   568,   569,
     570,   571,   572,   573,   574,  1750,  1751,   575,   576,   577,
     578,   579,  1752,  1753,   580,   581,   582,   583,   584,   585,
     586,  1754,   587,   588,   589,   590,   591,   592,  1755,  1756,
     593,  1757,  1758,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,  1681,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,  3502,   239,   240,   241,  1682,   242,
     243,   244,  1683,  1684,  1685,  1686,  1687,  1688,  1689,   245,
     246,   247,  1690,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,  1691,   261,   262,   263,
     264,   265,   266,   267,  1692,  1693,   268,   269,   270,   271,
     272,  1694,   273,   274,   275,   276,   277,  1695,   278,  1696,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
    1697,   289,   290,   291,   292,   293,   294,  1698,   295,   296,
     297,   298,  1699,  1700,  1701,   299,  1702,  1703,  1704,   300,
     301,   302,   303,   304,   305,   306,   307,   308,  1705,   309,
    1706,   310,   311,   312,   313,   314,   315,   316,  1707,   317,
     318,   319,   320,  1708,  1709,   321,   322,   323,  3503,   325,
    1710,   326,   327,   328,  1711,   329,   330,   331,  1712,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,  1713,
     342,  1714,   343,   344,   345,   346,   347,  1715,   348,  1716,
     349,   350,  1717,   351,   352,   353,   354,   355,  1718,   356,
     357,  1719,   358,   359,   360,  1720,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,  1721,   371,   372,   373,
     374,   375,   376,   377,  1722,   378,   379,   380,   381,   382,
     383,   384,   385,   386,  1723,   387,  1724,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,  1725,  1726,   398,
     399,   400,   401,   402,  1727,   403,   404,   405,  1728,  1729,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,  1730,
     435,   436,   437,   438,  1731,   439,   440,   441,   442,   443,
     444,  1732,   445,   446,  1733,  1734,   447,   448,   449,  1735,
    1736,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,  1737,   466,   467,
     468,   469,   470,   471,   472,   473,  1738,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,  1739,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,  1740,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,  1741,   520,   521,   522,   523,
     524,  1742,  3504,   526,   527,   528,   529,   530,   531,   532,
     533,   534,  1743,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,  1744,   550,
     551,  1745,   552,   553,   554,   555,   556,   557,   558,  1746,
     559,   560,   561,  1747,  1748,   562,   563,   564,   565,   566,
    1749,   567,   568,   569,   570,   571,   572,   573,   574,  1750,
    1751,   575,   576,   577,   578,   579,  1752,  1753,   580,   581,
     582,   583,   584,   585,   586,  1754,   587,   588,   589,   590,
     591,   592,  1755,  1756,   593,  1757,  1758,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   233,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,   262,   263,   264,   265,   266,   267,     0,  1240,
     268,   269,   270,   271,   272,     0,   273,   274,   275,   276,
    1243,     0,  1244,     0,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,   295,   296,   297,   298,  1245,  1246,  1247,  1248,
    1249,  1250,  1251,   300,   301,   302,   303,   304,   305,   306,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   323,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,  1256,     0,   342,     0,   343,   344,   345,   346,
     347,     0,   348,     0,   349,   350,     0,   351,   352,   353,
     354,   355,     0,   356,  1259,     0,   358,   359,   360,     0,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,   385,   386,     0,   387,
       0,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,     0,     0,   398,  1264,   400,   401,   402,     0,   403,
     404,   405,  1265,  1266,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,  1269,   434,     0,   435,   436,   437,   438,     0,  1272,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,   452,   453,   454,
     455,  1275,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,  1276,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,  1279,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
    1281,   549,     0,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,     0,   559,   560,   561,     0,     0,   562,
     563,  1284,   565,  1285,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
    1288,     0,   580,   581,   582,   583,   584,   585,   586,     0,
     587,   588,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   600,  1290,  1291,
    1292,  1293,   605,  1294,  1295,  1296,  1297,   610,   611,   612,
     613,   233,     0,  1230,   680,     0,  1231,  1232,     0,   740,
       0,     0,     0,     0,     0,     0,     0,     0,   234,   235,
     236,   237,   238,   239,   240,   241,     0,   242,   243,   244,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
       0,   248,   249,   250,   251,   252,   253,   254,   255,   256,
    1236,   258,  1237,  1238,     0,   261,   262,   263,   264,   265,
     266,   267,     0,     0,   268,   269,  1241,  1242,   272,     0,
     273,   274,   275,   276,   277,     0,   278,     0,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,     0,   295,   296,   297,   298,
       0,     0,     0,   299,     0,     0,     0,   300,   301,   302,
     303,   304,   305,  1252,  1253,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   315,   316,     0,   317,   318,   319,
     320,     0,     0,   321,   322,   853,   324,   325,     0,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,  1257,   342,     0,
     343,   344,   345,  1258,   347,     0,   348,     0,   349,   350,
       0,   351,   352,   353,   354,   355,     0,   356,   357,     0,
     358,   359,   360,     0,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
    1261,  1262,     0,  1263,     0,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,     0,     0,   398,   399,   400,
     401,   402,     0,   403,   404,   405,     0,     0,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,  1267,   423,  1268,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
     437,   438,  1271,   439,   440,  1273,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,     0,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,     0,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,  1277,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,     0,   520,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,   531,   532,  1280,   534,
       0,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,     0,
     552,   553,   554,   555,   556,   557,   558,     0,   559,  1282,
    1283,     0,     0,   562,   563,   564,   565,   566,  1286,   567,
     568,   569,   570,   571,   572,   573,   574,     0,     0,   575,
     576,   577,   578,   579,     0,     0,   580,   581,   582,   583,
     584,   585,  1289,     0,   587,   588,   589,   590,   591,   592,
       0,     0,   593,     0,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   931,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,   235,   236,   237,   238,   239,   240,   241,
     972,   242,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,     0,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
     262,   263,   264,   265,   266,   267,     0,     0,   268,   269,
     270,   271,   272,     0,   273,   274,   275,   276,   277,     0,
     278,     0,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,     0,
     295,   296,   297,   298,     0,     0,   932,   299,     0,     0,
     933,   300,   301,   302,   303,   304,   305,   306,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   315,   316,
       0,   317,   318,   319,   320,     0,     0,   321,   322,   323,
     324,   325,     0,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,     0,   342,     0,   343,   344,   345,   346,   347,     0,
     348,     0,   349,   350,     0,   351,   352,   353,   354,   355,
       0,   356,   357,     0,   358,   359,   360,     0,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,   385,   386,     0,   387,     0,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,     0,
       0,   398,   399,   400,   401,   402,     0,   403,   404,   405,
       0,     0,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,   437,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,     0,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,     0,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,     0,   520,   521,
     522,   523,   524,   934,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,     0,   552,   553,   554,   555,   556,   557,
     558,     0,   559,   560,   561,     0,     0,   562,   563,   564,
     565,   566,     0,   567,   568,   569,   570,   571,   572,   573,
     574,     0,     0,   575,   576,   577,   578,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,     0,   587,   588,
     589,   590,   591,   592,     0,     0,   593,     0,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   931,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,   235,   236,   237,
     238,   239,   240,   241,   993,   242,   243,   244,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,     0,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,   262,   263,   264,   265,   266,   267,
       0,     0,   268,   269,   270,   271,   272,     0,   273,   274,
     275,   276,   277,     0,   278,     0,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,     0,   295,   296,   297,   298,     0,     0,
     932,   299,     0,     0,   933,   300,   301,   302,   303,   304,
     305,   306,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   315,   316,     0,   317,   318,   319,   320,     0,
       0,   321,   322,   323,   324,   325,     0,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,     0,   342,     0,   343,   344,
     345,   346,   347,     0,   348,     0,   349,   350,     0,   351,
     352,   353,   354,   355,     0,   356,   357,     0,   358,   359,
     360,     0,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,   385,   386,
       0,   387,     0,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,     0,     0,   398,   399,   400,   401,   402,
       0,   403,   404,   405,     0,     0,   406,   407,   408,   409,
     994,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,   437,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,     0,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,     0,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,     0,   520,   521,   522,   523,   524,   934,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,     0,   552,   553,
     554,   555,   556,   557,   558,     0,   559,   560,   561,     0,
       0,   562,   563,   564,   565,   566,     0,   567,   568,   569,
     570,   571,   572,   573,   574,     0,     0,   575,   576,   577,
     578,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,     0,   587,   588,   589,   590,   591,   592,     0,     0,
     593,     0,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   931,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,   262,   263,
     264,   265,   266,   267,     0,     0,   268,   269,   270,   271,
     272,     0,   273,   274,   275,   276,   277,     0,   278,     0,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,   295,   296,
     297,   298,     0,     0,   932,   299,     0,     0,   933,   300,
     301,   302,   303,   304,   305,   306,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   323,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,     0,
     342,     0,   343,   344,   345,   346,   347,     0,   348,     0,
     349,   350,     0,   351,   352,   353,   354,   355,     0,   356,
     357,     0,   358,   359,   360,     0,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,   385,   386,     0,   387,     0,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,     0,     0,   398,
     399,   400,   401,   402,     0,   403,   404,   405,     0,     0,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,   437,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,     0,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,   934,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,     0,
     559,   560,   561,     0,     0,   562,   563,   564,   565,   566,
       0,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,  2874,     0,   580,   581,
     582,   583,   584,   585,   586,     0,   587,   588,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   931,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   270,   271,   272,     0,   273,   274,   275,   276,
     277,     0,   278,     0,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,   295,   296,   297,   298,     0,     0,   932,   299,
       0,     0,   933,   300,   301,   302,   303,   304,   305,   306,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   323,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,     0,   342,     0,   343,   344,   345,   346,
     347,     0,   348,     0,   349,   350,     0,   351,   352,   353,
     354,   355,     0,   356,   357,  3847,   358,   359,   360,     0,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,   385,   386,     0,   387,
       0,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,     0,     0,   398,   399,   400,   401,   402,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,   437,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,   934,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,     0,   559,   560,   561,     0,     0,   562,
     563,   564,   565,   566,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,     0,
     587,   588,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   931,     0,     0,   680,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,   235,
     236,   237,   238,   239,   240,   241,     0,   242,   243,   244,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
       0,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,   262,   263,   264,   265,
     266,   267,     0,     0,   268,   269,   270,   271,   272,     0,
     273,   274,   275,   276,   277,     0,   278,     0,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,     0,   295,   296,   297,   298,
       0,     0,     0,   299,     0,     0,     0,   300,   301,   302,
     303,   304,   305,   306,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   315,   316,     0,   317,   318,   319,
     320,     0,     0,   321,   322,   323,   324,   325,     0,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,  1769,   342,     0,
     343,   344,   345,   346,   347,     0,   348,     0,   349,   350,
       0,   351,   352,   353,   354,   355,     0,   356,   357,     0,
     358,   359,   360,     0,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
     385,   386,     0,   387,     0,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,     0,     0,   398,   399,   400,
     401,   402,     0,   403,   404,   405,     0,     0,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
     437,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,  1770,     0,   447,   448,   449,     0,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,     0,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,     0,   520,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,     0,
     552,   553,   554,   555,   556,   557,   558,     0,   559,   560,
     561,     0,     0,   562,   563,   564,   565,   566,  1771,   567,
     568,   569,   570,   571,   572,   573,   574,     0,     0,   575,
     576,   577,   578,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,     0,   587,   588,   589,   590,   591,   592,
       0,     0,   593,     0,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   931,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,   235,   236,   237,   238,   239,   240,   241,
       0,   242,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,     0,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
     262,   263,   264,   265,   266,   267,     0,     0,   268,   269,
     270,   271,   272,     0,   273,   274,   275,   276,   277,     0,
     278,     0,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,     0,
     295,   296,   297,   298,     0,     0,   932,   299,     0,     0,
     933,   300,   301,   302,   303,   304,   305,   306,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   315,   316,
       0,   317,   318,   319,   320,     0,     0,   321,   322,   323,
     324,   325,     0,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,     0,   342,     0,   343,   344,   345,   346,   347,     0,
     348,     0,   349,   350,     0,   351,   352,   353,   354,   355,
       0,   356,   357,     0,   358,   359,   360,     0,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,   385,   386,     0,   387,     0,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,     0,
       0,   398,   399,   400,   401,   402,     0,   403,   404,   405,
       0,     0,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,   437,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,     0,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,     0,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,     0,   520,   521,
     522,   523,   524,   934,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,     0,   552,   553,   554,   555,   556,   557,
     558,     0,   559,   560,   561,     0,     0,   562,   563,   564,
     565,   566,     0,   567,   568,   569,   570,   571,   572,   573,
     574,     0,     0,   575,   576,   577,   578,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,     0,   587,   588,
     589,   590,   591,   592,     0,     0,   593,     0,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   931,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,   235,   236,   237,
     238,   239,   240,   241,     0,   242,   243,   244,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,     0,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,   262,   263,   264,   265,   266,   267,
       0,     0,   268,   269,   270,   271,   272,     0,   273,   274,
     275,   276,   277,     0,   278,     0,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,     0,   295,   296,   297,   298,     0,     0,
     932,   299,     0,     0,   933,   300,   301,   302,   303,   304,
     305,   306,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   315,   316,     0,   317,   318,   319,   320,     0,
       0,   321,   322,   323,   324,   325,     0,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,     0,   342,     0,   343,   344,
     345,   346,   347,     0,   348,     0,   349,   350,     0,   351,
     352,   353,   354,   355,     0,   356,   357,     0,   358,   359,
     360,     0,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,   385,   386,
       0,   387,     0,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,     0,     0,   398,   399,   400,   401,   402,
       0,   403,   404,   405,     0,     0,   406,   407,   408,   409,
    1085,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,   437,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,     0,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,     0,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,     0,   520,   521,   522,   523,   524,   934,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,     0,   552,   553,
     554,   555,   556,   557,   558,     0,   559,   560,   561,     0,
       0,   562,   563,   564,   565,   566,     0,   567,   568,   569,
     570,   571,   572,   573,   574,     0,     0,   575,   576,   577,
     578,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,     0,   587,   588,   589,   590,   591,   592,     0,     0,
     593,     0,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   931,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,   262,   263,
     264,   265,   266,   267,     0,     0,   268,   269,   270,   271,
     272,     0,   273,   274,   275,   276,   277,     0,   278,     0,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,   295,   296,
     297,   298,     0,     0,   932,   299,     0,     0,   933,   300,
     301,   302,   303,   304,   305,   306,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   323,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,     0,
     342,     0,   343,   344,   345,   346,   347,     0,   348,     0,
     349,   350,     0,   351,   352,   353,   354,   355,     0,   356,
     357,     0,   358,   359,   360,     0,   361,   362,   363,   364,
    1127,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,   385,   386,     0,   387,     0,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,     0,     0,   398,
     399,   400,   401,   402,     0,   403,   404,   405,     0,     0,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,   437,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,     0,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,   934,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,     0,
     559,   560,   561,     0,     0,   562,   563,   564,   565,   566,
       0,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,     0,   587,   588,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   931,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   270,   271,   272,     0,   273,   274,   275,   276,
     277,     0,   278,     0,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,   295,   296,   297,   298,     0,     0,   932,   299,
       0,     0,   933,   300,   301,   302,   303,   304,   305,   306,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   323,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,     0,   342,     0,   343,   344,   345,   346,
     347,     0,   348,     0,   349,   350,     0,   351,   352,   353,
     354,   355,     0,   356,   357,     0,   358,   359,   360,     0,
     361,   362,   363,   364,  1141,   366,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,   385,   386,     0,   387,
       0,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,     0,     0,   398,   399,   400,   401,   402,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,   437,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,   934,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,     0,   559,   560,   561,     0,     0,   562,
     563,   564,   565,   566,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,     0,
     587,   588,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   931,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,   235,
     236,   237,   238,   239,   240,   241,     0,   242,   243,   244,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
       0,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,   262,   263,   264,   265,
     266,   267,     0,     0,   268,   269,   270,   271,   272,     0,
     273,   274,   275,   276,   277,     0,   278,     0,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,     0,   295,   296,   297,   298,
       0,     0,   932,   299,     0,     0,   933,   300,   301,   302,
     303,   304,   305,   306,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   315,   316,     0,   317,   318,   319,
     320,     0,     0,   321,   322,   323,   324,   325,     0,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,     0,   342,     0,
     343,   344,   345,   346,   347,     0,   348,     0,   349,   350,
       0,   351,   352,   353,   354,   355,     0,   356,   357,     0,
     358,   359,   360,     0,   361,   362,   363,   364,  1153,   366,
     367,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
     385,   386,     0,   387,     0,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,     0,     0,   398,   399,   400,
     401,   402,     0,   403,   404,   405,     0,     0,   406,   407,
     408,   409,  1154,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
     437,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,     0,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,     0,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,     0,   520,   521,   522,   523,   524,   934,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,     0,
     552,   553,   554,   555,   556,   557,   558,     0,   559,   560,
     561,     0,     0,   562,   563,   564,   565,   566,     0,   567,
     568,   569,   570,   571,   572,   573,   574,     0,     0,   575,
     576,   577,   578,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,     0,   587,   588,   589,   590,   591,   592,
       0,     0,   593,     0,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   931,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,   235,   236,   237,   238,   239,   240,   241,
       0,   242,   243,   244,     3,     4,     0,     0,     0,     0,
       0,   245,   246,   247,     0,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
     262,   263,   264,   265,   266,   267,     0,     0,   268,   269,
     270,   271,   272,     0,   273,   274,   275,   276,   277,     0,
     278,     0,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,     0,
     295,   296,   297,   298,     0,     0,     0,   299,     0,     0,
       0,   300,   301,   302,   303,   304,   305,   306,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   315,   316,
       0,   317,   318,   319,   320,     0,     0,   321,   322,   323,
     324,   325,     0,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,     0,   342,     0,   343,   344,   345,   346,   347,     0,
     348,     0,   349,   350,     0,   351,   352,   353,   354,   355,
       0,   356,   357,     0,   358,   359,   360,     0,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,   385,   386,     0,   387,     0,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,     0,
       0,   398,   399,   400,   401,   402,     0,   403,   404,   405,
       0,     0,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,   437,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,     0,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,     0,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,     0,   520,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,     0,   552,   553,   554,   555,   556,   557,
     558,     0,   559,   560,   561,     0,     0,   562,   563,   564,
     565,   566,     0,   567,   568,   569,   570,   571,   572,   573,
     574,     0,     0,   575,   576,   577,   578,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,     0,   587,   588,
     589,   590,   591,   592,     0,     0,   593,     0,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   931,
       0,     0,   680,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,   235,   236,   237,
     238,   239,   240,   241,     0,   242,   243,   244,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,     0,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,   262,   263,   264,   265,   266,   267,
       0,     0,   268,   269,   270,   271,   272,     0,   273,   274,
     275,   276,   277,     0,   278,     0,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,     0,   295,   296,   297,   298,     0,     0,
       0,   299,     0,     0,     0,   300,   301,   302,   303,   304,
     305,   306,   307,   308,  2494,   309,     0,   310,   311,   312,
     313,   314,   315,   316,     0,   317,   318,   319,   320,     0,
       0,   321,   322,   323,   324,   325,     0,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,     0,   342,     0,   343,   344,
     345,   346,   347,     0,   348,     0,   349,   350,     0,   351,
     352,   353,   354,   355,     0,   356,   357,     0,   358,   359,
     360,     0,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,   385,   386,
       0,   387,     0,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,     0,     0,   398,   399,   400,   401,   402,
       0,   403,   404,   405,     0,     0,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,   437,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,     0,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,     0,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,     0,   520,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,     0,   552,   553,
     554,   555,   556,   557,   558,     0,   559,   560,   561,     0,
       0,   562,   563,   564,   565,   566,     0,   567,   568,   569,
     570,   571,   572,   573,   574,     0,     0,   575,   576,   577,
     578,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,     0,   587,   588,   589,   590,   591,   592,     0,     0,
     593,     0,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   931,     0,     0,   680,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,   262,   263,
     264,   265,   266,   267,     0,     0,   268,   269,   270,   271,
     272,     0,   273,   274,   275,   276,   277,     0,   278,     0,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,   295,   296,
     297,   298,     0,     0,     0,   299,     0,     0,     0,   300,
     301,   302,   303,   304,   305,   306,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   323,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,     0,
     342,     0,   343,   344,   345,   346,   347,     0,   348,     0,
     349,   350,     0,   351,   352,   353,   354,   355,     0,   356,
     357,     0,   358,   359,   360,     0,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,   385,   386,     0,   387,     0,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,     0,     0,   398,
     399,   400,   401,   402,     0,   403,   404,   405,     0,     0,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,   437,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,     0,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,     0,
     559,   560,   561,     0,     0,   562,   563,   564,   565,   566,
       0,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,     0,   587,   588,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   233,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   270,   271,   272,     0,   273,   274,   275,   276,
     277,     0,   278,     0,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,   295,   296,   297,   298,     0,     0,     0,   299,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   306,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   323,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,     0,   342,     0,   343,   344,   345,   346,
     347,     0,   348,     0,   349,   350,     0,   351,   352,   353,
     354,   355,     0,   356,   357,     0,   358,   359,   360,     0,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,   385,   386,     0,   387,
       0,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,     0,     0,   398,   399,   400,   401,   402,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,   437,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,     0,   559,   560,   561,     0,     0,   562,
     563,   564,   565,   566,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,     0,
     587,   588,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   233,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,   235,
     236,   237,   238,   239,   240,   241,     0,   242,   243,   244,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
       0,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,   262,   263,   264,   265,
     266,   267,     0,     0,   268,   269,   270,   271,   272,     0,
     273,   274,   275,   276,   277,     0,   278,     0,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,     0,   295,   296,   297,   298,
       0,     0,     0,   299,     0,     0,     0,   300,   301,   302,
     303,   304,   305,   306,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   315,   316,     0,   317,   318,   319,
     320,     0,     0,   321,   322,   323,   324,   325,     0,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,     0,   342,     0,
     343,   344,   345,   346,   347,     0,   348,     0,   349,   350,
       0,   351,   352,   353,   354,   355,     0,   356,   357,     0,
     358,   359,   360,     0,   361,   362,   363,   364,  1111,   366,
     367,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
     385,   386,     0,   387,     0,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,     0,     0,   398,   399,   400,
     401,   402,     0,   403,   404,   405,     0,     0,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
     437,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,     0,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,     0,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,     0,   520,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,     0,
     552,   553,   554,   555,   556,   557,   558,     0,   559,   560,
     561,     0,     0,   562,   563,   564,   565,   566,     0,   567,
     568,   569,   570,   571,   572,   573,   574,     0,     0,   575,
     576,   577,   578,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,     0,   587,   588,   589,   590,   591,   592,
       0,     0,   593,     0,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   233,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,   235,   236,   237,   238,   239,   240,   241,
       0,   242,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,     0,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
     262,   263,   264,   265,   266,   267,     0,     0,   268,   269,
     270,   271,   272,     0,   273,   274,   275,   276,   277,     0,
     278,     0,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,     0,
     295,   296,   297,   298,     0,     0,     0,   299,     0,     0,
       0,   300,   301,   302,   303,   304,   305,   306,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   315,   316,
       0,   317,   318,   319,   320,     0,     0,   321,   322,   323,
     324,   325,     0,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,     0,   342,     0,   343,   344,   345,   346,   347,     0,
     348,     0,   349,   350,     0,   351,   352,   353,   354,   355,
       0,   356,   357,     0,   358,   359,   360,     0,   361,   362,
     363,   364,  1124,   366,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,   385,   386,     0,   387,     0,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,     0,
       0,   398,   399,   400,   401,   402,     0,   403,   404,   405,
       0,     0,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,   437,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,     0,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,     0,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,     0,   520,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,     0,   552,   553,   554,   555,   556,   557,
     558,     0,   559,   560,   561,     0,     0,   562,   563,   564,
     565,   566,     0,   567,   568,   569,   570,   571,   572,   573,
     574,     0,     0,   575,   576,   577,   578,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,     0,   587,   588,
     589,   590,   591,   592,     0,     0,   593,     0,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   233,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,   235,   236,   237,
     238,   239,   240,   241,     0,   242,   243,   244,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,     0,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,   262,   263,   264,   265,   266,   267,
       0,     0,   268,   269,   270,   271,   272,     0,   273,   274,
     275,   276,   277,     0,   278,     0,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,     0,   295,   296,   297,   298,     0,     0,
       0,   299,     0,     0,     0,   300,   301,   302,   303,   304,
     305,   306,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   315,   316,     0,   317,   318,   319,   320,     0,
       0,   321,   322,   323,   324,   325,     0,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,     0,   342,     0,   343,   344,
     345,   346,   347,     0,   348,     0,   349,   350,     0,   351,
     352,   353,   354,   355,     0,   356,   357,     0,   358,   359,
     360,     0,   361,   362,   363,   364,  1138,   366,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,   385,   386,
       0,   387,     0,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,     0,     0,   398,   399,   400,   401,   402,
       0,   403,   404,   405,     0,     0,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,   437,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,     0,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,     0,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,     0,   520,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,     0,   552,   553,
     554,   555,   556,   557,   558,     0,   559,   560,   561,     0,
       0,   562,   563,   564,   565,   566,     0,   567,   568,   569,
     570,   571,   572,   573,   574,     0,     0,   575,   576,   577,
     578,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,     0,   587,   588,   589,   590,   591,   592,     0,     0,
     593,     0,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   233,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,   262,   263,
     264,   265,   266,   267,     0,     0,   268,   269,   270,   271,
     272,     0,   273,   274,   275,   276,   277,     0,   278,     0,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,   295,   296,
     297,   298,     0,     0,     0,   299,     0,     0,     0,   300,
     301,   302,   303,   304,   305,   306,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   323,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,     0,
     342,     0,   343,   344,   345,   346,   347,     0,   348,     0,
     349,   350,     0,   351,   352,   353,   354,   355,     0,   356,
     357,     0,   358,   359,   360,     0,   361,   362,   363,   364,
    1143,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,   385,   386,     0,   387,     0,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,     0,     0,   398,
     399,   400,   401,   402,     0,   403,   404,   405,     0,     0,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,   437,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,     0,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,     0,
     559,   560,   561,     0,     0,   562,   563,   564,   565,   566,
       0,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,     0,   587,   588,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   931,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   270,   271,   272,     0,   273,   274,   275,   276,
     277,     0,   278,     0,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,   295,   296,   297,   298,     0,     0,     0,   299,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   306,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   323,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,     0,   342,     0,   343,   344,   345,   346,
     347,     0,   348,     0,   349,   350,     0,   351,   352,   353,
     354,   355,     0,   356,   357,     0,   358,   359,   360,     0,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,   385,   386,     0,   387,
       0,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,     0,     0,   398,   399,   400,   401,   402,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,   437,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,     0,   559,   560,   561,     0,     0,   562,
     563,   564,   565,   566,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,     0,
     587,   588,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   621,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,   235,
     236,   237,   238,   239,   240,   241,     0,   242,   243,   244,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
       0,   248,   249,   250,   251,     0,   253,   254,   255,   256,
     257,     0,   259,   260,     0,   261,   262,   263,   264,   265,
     266,   267,     0,     0,   268,   269,   270,   271,   272,  2655,
     273,   274,   275,   276,   277,     0,     0,  2724,   279,   280,
     281,   282,   283,   284,     0,   286,   287,   288,  2656,   289,
     290,   291,   292,   293,   294,     0,     0,   296,   297,   298,
       0,     0,     0,     0,     0,     0,     0,   300,   301,   302,
     303,   304,   305,   306,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   315,   316,     0,   317,   318,   319,
     320,     0,     0,   321,   322,   323,   324,   325,     0,   326,
     327,   328,     0,   329,   330,   331,     0,  2725,   333,   334,
     335,   336,   337,   338,   339,   340,   341,     0,   342,     0,
     343,   344,   345,   346,   347,     0,   348,  2658,   349,     0,
       0,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,   359,   360,     0,   361,   362,   363,   364,  2726,     0,
     367,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,     0,   380,   381,   382,   383,   384,
     385,   386,     0,   387,     0,   388,     0,     0,   391,     0,
     393,   394,   395,   396,   397,     0,     0,   398,   399,     0,
     401,     0,     0,   403,   404,   405,     0,     0,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,     0,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
       0,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,     0,     0,   450,
     451,   452,     0,   454,     0,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,     0,   466,   467,   468,   469,
     470,   471,   472,   473,  2659,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,     0,   520,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,     0,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,     0,
     552,     0,   554,   555,   556,   557,   558,     0,   559,   560,
     561,     0,     0,   562,   563,   564,   565,   566,     0,   567,
     568,   569,   570,   571,   572,   573,   574,     0,  2660,   575,
     576,   577,   578,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,     0,   587,     0,   589,   590,   591,   592,
       0,     0,   593,     0,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   621,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,   235,   236,   237,   238,   239,   240,   241,
       0,   242,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,     0,   248,   249,   250,   251,     0,
     253,   254,   255,   256,   257,     0,   259,   260,     0,   261,
     262,   263,   264,   265,   266,   267,     0,     0,   268,   269,
     270,   271,   272,  2655,   273,   274,   275,   276,   277,     0,
       0,     0,   279,   280,   281,   282,   283,   284,     0,   286,
     287,   288,  2656,   289,   290,   291,   292,   293,   294,     0,
       0,   296,   297,   298,     0,     0,     0,     0,     0,     0,
       0,   300,   301,   302,   303,   304,   305,   306,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   315,   316,
       0,   317,   318,   319,   320,     0,     0,   321,   322,   323,
     324,   325,     0,   326,   327,   328,     0,   329,   330,   331,
       0,  2725,   333,   334,   335,   336,   337,   338,   339,   340,
     341,     0,   342,     0,   343,   344,   345,   346,   347,     0,
     348,  2658,   349,     0,     0,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,   359,   360,     0,   361,   362,
     363,   364,   365,     0,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,     0,   380,
     381,   382,   383,   384,   385,   386,     0,   387,     0,   388,
       0,     0,   391,     0,   393,   394,   395,   396,   397,     0,
       0,   398,   399,     0,   401,  3711,     0,   403,   404,   405,
       0,     0,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,     0,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,     0,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,     0,     0,   450,   451,   452,     0,   454,     0,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,     0,
     466,   467,   468,   469,   470,   471,   472,   473,  2659,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,     0,   520,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,     0,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,     0,   552,     0,   554,   555,   556,   557,
     558,     0,   559,   560,   561,     0,     0,   562,   563,   564,
     565,   566,     0,   567,   568,   569,   570,   571,   572,   573,
     574,     0,  2660,   575,   576,   577,   578,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,     0,   587,     0,
     589,   590,   591,   592,     0,     0,   593,     0,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   621,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,   235,   236,   237,
     238,   797,   240,   241,   759,   242,   243,   244,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,     0,   248,
     249,   250,   251,     0,   253,   254,   255,   256,   257,     0,
     259,   260,     0,   261,   262,   263,   264,   265,   266,   267,
       0,     0,   268,   269,   270,   271,   272,     0,   273,   274,
     275,   276,   277,     0,     0,     0,   279,   280,   281,   282,
     283,   284,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   760,     0,   296,   297,   298,     0,     0,
       0,     0,     0,     0,     0,   300,   301,   302,   303,   304,
     305,   306,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   315,   316,     0,   317,   318,   319,   320,     0,
       0,   321,   322,   323,   324,   325,     0,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,     0,   342,     0,   343,   344,
     345,   346,   347,     0,   348,     0,   349,     0,     0,     0,
     352,   353,   354,   355,   798,   356,   357,     0,   358,   359,
     360,     0,   361,   362,   363,   364,   365,     0,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,   381,   382,   383,   384,   385,   386,
       0,   387,     0,   388,     0,     0,   391,     0,   393,   394,
     395,   396,   397,     0,     0,   398,   399,     0,   401,     0,
       0,   403,   404,   405,     0,     0,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,     0,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,     0,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,     0,     0,   450,   451,   452,
       0,   454,     0,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,     0,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   761,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   762,   520,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,     0,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,     0,   552,     0,
     554,   555,   556,   557,   558,     0,   559,   560,   561,     0,
       0,   562,   563,   564,   565,   566,     0,   567,   568,   569,
     570,   571,   572,   573,   574,     0,     0,   575,   576,   577,
     578,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,     0,   587,     0,   589,   590,   591,   592,     0,     0,
     593,     0,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   621,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,   759,   242,
     243,   244,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,     0,   253,   254,
     255,   256,   257,     0,   259,   260,     0,   261,   262,   263,
     264,   265,   266,   267,     0,     0,   268,   269,   270,   271,
     272,     0,   273,   274,   275,   276,   277,     0,     0,     0,
     279,   280,   281,   282,   283,   284,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   760,     0,   296,
     297,   298,     0,     0,     0,     0,     0,     0,     0,   300,
     301,   302,   303,   304,   305,   306,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   323,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,     0,
     342,     0,   343,   344,   345,   346,   347,     0,   348,     0,
     349,     0,     0,     0,   352,   353,   354,   355,  3404,   356,
     357,     0,   358,   359,   360,     0,   361,   362,   363,   364,
     365,     0,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,   381,   382,
     383,   384,   385,   386,     0,   387,     0,   388,     0,     0,
     391,     0,   393,   394,   395,   396,   397,     0,     0,   398,
     399,     0,   401,     0,     0,   403,   404,   405,     0,     0,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,     0,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,     0,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,     0,
       0,   450,   451,   452,     0,   454,     0,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   761,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   762,   520,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,     0,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,     0,   552,     0,   554,   555,   556,   557,   558,     0,
     559,   560,   561,     0,     0,   562,   563,   564,   565,   566,
       0,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,     0,   587,     0,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   621,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,     0,   253,   254,   255,   256,   257,     0,   259,   260,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   270,   271,   272,  2655,   273,   274,   275,   276,
     277,     0,     0,     0,   279,   280,   281,   282,   283,   284,
       0,   286,   287,   288,  2656,   289,   290,   291,   292,   293,
     294,     0,     0,   296,   297,   298,     0,     0,     0,     0,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   306,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   323,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,  2725,   333,   334,   335,   336,   337,   338,
     339,   340,   341,     0,   342,     0,   343,   344,   345,   346,
     347,     0,   348,  2658,   349,     0,     0,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,   359,   360,     0,
     361,   362,   363,   364,   365,     0,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
       0,   380,   381,   382,   383,   384,   385,   386,     0,   387,
       0,   388,     0,     0,   391,     0,   393,   394,   395,   396,
     397,     0,     0,   398,   399,     0,   401,     0,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,     0,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,     0,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,   452,     0,   454,
       0,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,   468,   469,   470,   471,   472,   473,
    2659,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,     0,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,     0,   552,     0,   554,   555,
     556,   557,   558,     0,   559,   560,   561,     0,     0,   562,
     563,   564,   565,   566,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,  2660,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,     0,
     587,     0,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   621,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,   235,
     236,   237,   238,   239,   240,   241,   759,   242,   243,   244,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
       0,   248,   249,   250,   251,     0,   253,   254,   255,   256,
     257,     0,   259,   260,     0,   261,   262,   263,   264,   265,
     266,   267,     0,     0,   268,   269,   270,   271,   272,     0,
     273,   274,   275,   276,   277,     0,     0,     0,   279,   280,
     281,   282,   283,   284,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   760,     0,   296,   297,   298,
       0,     0,     0,     0,     0,     0,     0,   300,   301,   302,
     303,   304,   305,   306,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   315,   316,     0,   317,   318,   319,
     320,     0,     0,   321,   322,   323,   324,   325,     0,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,     0,   342,     0,
     343,   344,   345,   346,   347,     0,   348,     0,   349,     0,
       0,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,   359,   360,     0,   361,   362,   363,   364,   365,     0,
     367,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,     0,   380,   381,   382,   383,   384,
     385,   386,     0,   387,     0,   388,     0,     0,   391,     0,
     393,   394,   395,   396,   397,     0,     0,   398,   399,     0,
     401,     0,     0,   403,   404,   405,     0,     0,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,     0,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
       0,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,     0,     0,   450,
     451,   452,     0,   454,     0,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,     0,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     761,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   762,   520,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,     0,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,     0,
     552,     0,   554,   555,   556,   557,   558,     0,   559,   560,
     561,     0,     0,   562,   563,   564,   565,   566,     0,   567,
     568,   569,   570,   571,   572,   573,   574,     0,     0,   575,
     576,   577,   578,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,     0,   587,     0,   589,   590,   591,   592,
       0,     0,   593,     0,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   621,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,   235,   236,   237,   238,   239,   240,   241,
    1947,   242,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,     0,   248,   249,   250,   251,     0,
     253,   254,   255,   256,   257,     0,   259,   260,     0,   261,
     262,   263,   264,   265,   266,   267,     0,     0,   268,   269,
     270,   271,   272,     0,   273,   274,   275,   276,   277,     0,
       0,     0,   279,   280,   281,   282,   283,   284,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,     0,
       0,   296,   297,   298,     0,     0,     0,     0,     0,     0,
       0,   300,   301,   302,  1948,   304,   305,   306,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   315,   316,
       0,   317,   318,   319,   320,     0,     0,   321,  1949,   323,
     324,   325,     0,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,     0,   342,     0,   343,   344,   345,   346,   347,     0,
     348,  1950,   349,     0,     0,     0,  1951,   353,   354,   355,
       0,   356,   357,     0,   358,   359,   360,     0,   361,   362,
     363,   364,   365,     0,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,     0,   380,
     381,   382,   383,   384,   385,   386,     0,   387,     0,   388,
       0,     0,   391,     0,   393,   394,  1952,  1953,   397,     0,
       0,   398,   399,     0,   401,     0,     0,   403,   404,   405,
       0,     0,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,     0,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,     0,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,     0,     0,   450,   451,   452,     0,   454,     0,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,     0,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,  1954,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,     0,   505,   506,   507,  1955,   509,   510,   511,   512,
     513,  1956,   515,   516,   517,   518,   519,     0,  1957,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,     0,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,  1958,   552,     0,  1959,   555,   556,   557,
     558,     0,   559,   560,   561,     0,     0,   562,   563,   564,
     565,   566,     0,   567,   568,  1960,   570,   571,   572,   573,
     574,     0,     0,   575,   576,   577,   578,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,     0,   587,     0,
     589,   590,   591,   592,     0,     0,   593,     0,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   621,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,   235,   236,   237,
     238,   239,   240,   241,     0,   242,   243,   244,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,     0,   248,
     249,   250,   251,     0,   253,   254,   255,   256,   257,     0,
     259,   260,     0,   261,   262,   263,   264,   265,   266,   267,
       0,     0,   268,   269,   270,   271,   272,     0,   273,   274,
     275,   276,   277,     0,     0,     0,   279,   280,   281,   282,
     283,   284,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   760,     0,   296,   297,   298,     0,     0,
       0,     0,     0,     0,     0,   300,   301,   302,   303,   304,
     305,   306,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   315,   316,     0,   317,   318,   319,   320,     0,
       0,   321,   322,   323,   324,   325,     0,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,     0,   342,     0,   343,   344,
     345,   346,   347,     0,   348,     0,   349,     0,     0,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,   359,
     360,     0,   361,   362,   363,   364,   365,     0,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,   381,   382,   383,   384,   385,   386,
       0,   387,     0,   388,     0,     0,   391,     0,   393,   394,
     395,   396,   397,     0,     0,   398,   399,     0,   401,     0,
       0,   403,   404,   405,     0,     0,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,     0,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,     0,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,     0,     0,   450,   451,   452,
       0,   454,     0,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,     0,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   761,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   762,   520,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,     0,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,     0,   552,     0,
     554,   555,   556,   557,   558,     0,   559,   560,   561,     0,
       0,   562,   563,   564,   565,   566,     0,   567,   568,   569,
     570,   571,   572,   573,   574,     0,     0,   575,   576,   577,
     578,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,     0,   587,     0,   589,   590,   591,   592,     0,     0,
     593,     0,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   621,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,   986,   242,
     243,   244,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,     0,   253,   254,
     255,   256,   257,     0,   259,   260,     0,   261,   262,   263,
     264,   265,   266,   267,     0,     0,   268,   269,   270,   271,
     272,     0,   273,   274,   275,   276,   277,     0,     0,     0,
     279,   280,   281,   282,   283,   284,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,     0,   296,
     297,   298,     0,     0,     0,     0,     0,     0,     0,   300,
     301,   302,   303,   304,   305,   306,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   323,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,     0,
     342,     0,   343,   344,   345,   346,   347,     0,   348,     0,
     349,     0,     0,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,   359,   360,     0,   361,   362,   363,   364,
     987,     0,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,   381,   382,
     383,   384,   385,   386,     0,   387,     0,   388,     0,     0,
     391,     0,   393,   394,   395,   396,   397,     0,     0,   398,
     399,     0,   401,     0,     0,   403,   404,   405,     0,     0,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,     0,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,     0,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,   829,   447,   448,   449,     0,
       0,   450,   451,   452,     0,   454,     0,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,     0,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,     0,   552,     0,   554,   555,   556,   557,   558,     0,
     559,   560,   561,     0,     0,   562,   563,   564,   565,   566,
       0,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,     0,   587,     0,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   621,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,  3483,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,     0,   253,   254,   255,   256,   257,     0,   259,   260,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   270,   271,   272,     0,   273,   274,   275,   276,
     277,     0,     0,     0,   279,   280,   281,   282,   283,   284,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,     0,   296,   297,   298,     0,     0,     0,     0,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   306,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   323,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,     0,   342,     0,   343,   344,   345,   346,
     347,     0,   348,     0,   349,     0,     0,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,   359,   360,     0,
     361,   362,   363,   364,   365,     0,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
       0,   380,   381,   382,   383,   384,   385,   386,     0,   387,
       0,   388,     0,     0,   391,     0,   393,   394,   395,   396,
     397,     0,     0,   398,   399,     0,   401,     0,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,     0,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,     0,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,   452,     0,   454,
       0,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,     0,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,     0,   552,     0,   554,   555,
     556,   557,   558,     0,   559,   560,   561,     0,     0,   562,
     563,   564,   565,   566,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
    3484,     0,   580,   581,   582,   583,   584,   585,   586,     0,
     587,     0,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   621,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,   235,
     236,   237,   238,   239,   240,   241,  3496,   242,   243,   244,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
       0,   248,   249,   250,   251,     0,   253,   254,   255,   256,
     257,     0,   259,   260,     0,   261,   262,   263,   264,   265,
     266,   267,     0,     0,   268,   269,   270,   271,   272,     0,
     273,   274,   275,   276,   277,     0,     0,     0,   279,   280,
     281,   282,   283,   284,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,     0,     0,   296,   297,   298,
       0,     0,     0,     0,     0,     0,     0,   300,   301,   302,
     303,   304,   305,   306,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   315,   316,     0,   317,   318,   319,
     320,     0,     0,   321,   322,   323,   324,   325,     0,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,     0,   342,     0,
     343,   344,   345,   346,   347,     0,   348,     0,   349,     0,
       0,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,   359,   360,     0,   361,   362,   363,   364,   365,     0,
     367,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,     0,   380,   381,   382,   383,   384,
     385,   386,     0,   387,     0,   388,     0,     0,   391,     0,
     393,   394,   395,   396,   397,     0,     0,   398,   399,     0,
     401,     0,     0,   403,   404,   405,     0,     0,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,     0,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
       0,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,     0,     0,   450,
     451,   452,     0,   454,     0,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,     0,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,     0,   520,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,     0,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,     0,
     552,     0,   554,   555,   556,   557,   558,     0,   559,   560,
     561,     0,     0,   562,   563,   564,   565,   566,     0,   567,
     568,   569,   570,   571,   572,   573,   574,     0,     0,   575,
     576,   577,   578,   579,  3497,     0,   580,   581,   582,   583,
     584,   585,   586,     0,   587,     0,   589,   590,   591,   592,
       0,     0,   593,     0,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   621,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,   235,   236,   237,   238,   239,   240,   241,
     622,   242,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,     0,   248,   249,   250,   251,     0,
     253,   254,   255,   256,   257,     0,   259,   260,     0,   261,
     262,   263,   264,   265,   266,   267,     0,     0,   268,   269,
     270,   271,   272,     0,   273,   274,   275,   276,   277,     0,
       0,     0,   279,   280,   281,   282,   283,   284,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,     0,
       0,   296,   297,   298,     0,     0,     0,     0,     0,     0,
       0,   300,   301,   302,   303,   304,   305,   306,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   315,   316,
       0,   317,   318,   319,   320,     0,     0,   321,   322,   323,
     324,   325,     0,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,     0,   342,     0,   343,   344,   345,   346,   347,     0,
     348,     0,   349,     0,     0,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,   359,   360,     0,   361,   362,
     363,   364,   365,     0,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,     0,   380,
     381,   382,   383,   384,   385,   386,     0,   387,     0,   388,
       0,     0,   391,     0,   393,   394,   395,   396,   397,     0,
       0,   398,   399,     0,   401,     0,     0,   403,   404,   405,
       0,     0,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,     0,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,     0,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,     0,     0,   450,   451,   452,     0,   454,     0,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,     0,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,     0,   520,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,     0,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,     0,   552,     0,   554,   555,   556,   557,
     558,     0,   559,   560,   561,     0,     0,   562,   563,   564,
     565,   566,     0,   567,   568,   569,   570,   571,   572,   573,
     574,     0,     0,   575,   576,   577,   578,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,     0,   587,     0,
     589,   590,   591,   592,     0,     0,   593,     0,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   621,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,   235,   236,   237,
     238,   239,   240,   241,   671,   242,   243,   244,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,     0,   248,
     249,   250,   251,     0,   253,   254,   255,   256,   257,     0,
     259,   260,     0,   261,   262,   263,   264,   265,   266,   267,
       0,     0,   268,   269,   270,   271,   272,     0,   273,   274,
     275,   276,   277,     0,     0,     0,   279,   280,   281,   282,
     283,   284,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,     0,     0,   296,   297,   298,     0,     0,
       0,     0,     0,     0,     0,   300,   301,   302,   303,   304,
     305,   306,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   315,   316,     0,   317,   318,   319,   320,     0,
       0,   321,   322,   323,   324,   325,     0,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,     0,   342,     0,   343,   344,
     345,   346,   347,     0,   348,     0,   349,     0,     0,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,   359,
     360,     0,   361,   362,   363,   364,   365,     0,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,   381,   382,   383,   384,   385,   386,
       0,   387,     0,   388,     0,     0,   391,     0,   393,   394,
     395,   396,   397,     0,     0,   398,   399,     0,   401,     0,
       0,   403,   404,   405,     0,     0,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,     0,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,     0,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,     0,     0,   450,   451,   452,
       0,   454,     0,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,     0,   466,   467,   468,   469,   470,   471,
     672,   473,     0,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,     0,   520,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,     0,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,     0,   552,     0,
     554,   555,   556,   557,   558,     0,   559,   560,   561,     0,
       0,   562,   563,   564,   565,   566,     0,   567,   568,   569,
     570,   571,   572,   573,   574,     0,     0,   575,   576,   577,
     578,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,     0,   587,     0,   589,   590,   591,   592,     0,     0,
     593,     0,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   621,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,   789,   242,
     243,   244,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,     0,   253,   254,
     255,   256,   257,     0,   259,   260,     0,   261,   262,   263,
     264,   265,   266,   267,     0,     0,   268,   269,   270,   271,
     272,     0,   273,   274,   275,   276,   277,     0,     0,     0,
     279,   280,   281,   282,   283,   284,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,     0,   296,
     297,   298,     0,     0,     0,     0,     0,     0,     0,   300,
     301,   302,   303,   304,   305,   306,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   323,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,     0,
     342,     0,   343,   344,   345,   346,   347,     0,   348,     0,
     349,     0,     0,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,   359,   360,     0,   361,   362,   363,   364,
     365,     0,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,   381,   382,
     383,   384,   385,   386,     0,   387,     0,   388,     0,     0,
     391,     0,   393,   394,   395,   396,   397,     0,     0,   398,
     399,     0,   401,     0,     0,   403,   404,   405,     0,     0,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,     0,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,     0,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,     0,
       0,   450,   451,   452,     0,   454,     0,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     790,     0,   525,   526,   527,   528,   529,     0,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,     0,   552,     0,   554,   555,   556,   557,   558,     0,
     559,   791,   561,     0,     0,   792,   563,   564,   565,   566,
       0,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,     0,   587,     0,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   621,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,   823,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,     0,   253,   254,   255,   256,   257,     0,   259,   260,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   270,   271,   272,     0,   273,   274,   275,   276,
     277,     0,     0,     0,   279,   280,   281,   282,   283,   284,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,     0,   296,   297,   298,     0,     0,     0,     0,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   306,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   323,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,     0,   342,     0,   343,   344,   345,   346,
     347,     0,   348,     0,   349,     0,     0,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,   359,   360,     0,
     361,   362,   363,   364,   365,     0,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
       0,   380,   381,   382,   383,   384,   385,   386,     0,   387,
       0,   388,     0,     0,   391,     0,   393,   394,   395,   396,
     397,     0,     0,   398,   399,     0,   401,     0,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,     0,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,     0,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,   452,     0,   454,
       0,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   824,     0,   525,   526,   527,   528,
     529,     0,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,     0,   552,     0,   554,   555,
     556,   557,   558,     0,   559,   825,   561,     0,     0,   826,
     563,   564,   565,   566,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,     0,
     587,     0,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   621,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,   235,
     236,   237,   238,   239,   240,   241,     0,   242,   243,   244,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
       0,   248,   249,   250,   251,     0,   253,   254,   255,   256,
     257,     0,   259,   260,     0,   261,   262,   263,   264,   265,
     266,   267,     0,     0,   268,   269,   270,   271,   272,     0,
     273,   274,   275,   276,   277,     0,     0,     0,   279,   280,
     281,   282,   283,   284,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,     0,     0,   296,   297,   298,
       0,     0,     0,     0,     0,     0,     0,   300,   301,   302,
     303,   304,   305,   306,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   315,   316,     0,   317,   318,   319,
     320,     0,     0,   321,   322,   323,   324,   325,     0,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,     0,   342,     0,
     343,   344,   345,   346,   347,     0,   348,     0,   349,     0,
       0,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,   359,   360,     0,   361,   362,   363,   364,   365,     0,
     367,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,     0,   380,   381,   382,   383,   384,
     385,   386,     0,   387,     0,   388,     0,     0,   391,     0,
     393,   394,   395,   396,   397,     0,     0,   398,   399,     0,
     401,     0,     0,   403,   404,   405,     0,     0,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,     0,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
       0,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,   829,   447,   448,   449,     0,     0,   450,
     451,   452,     0,   454,     0,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,     0,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,     0,   520,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,     0,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,     0,
     552,     0,   554,   555,   556,   557,   558,     0,   559,   560,
     561,     0,     0,   562,   563,   564,   565,   566,     0,   567,
     568,   569,   570,   571,   572,   573,   574,     0,     0,   575,
     576,   577,   578,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,     0,   587,     0,   589,   590,   591,   592,
       0,     0,   593,     0,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   621,     0,     0,     0,     0,
       0,     0,     0,     0,   886,     0,     0,     0,     0,     0,
       0,     0,   234,   235,   236,   237,   238,   239,   240,   241,
       0,   242,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,     0,   248,   249,   250,   251,     0,
     253,   254,   255,   256,   257,     0,   259,   260,     0,   261,
     262,   263,   264,   265,   266,   267,     0,     0,   268,   269,
     270,   271,   272,     0,   273,   274,   275,   276,   277,     0,
       0,     0,   279,   280,   281,   282,   283,   284,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,     0,
       0,   296,   297,   298,     0,     0,     0,     0,     0,     0,
       0,   300,   301,   302,   303,   304,   305,   306,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   315,   316,
       0,   317,   318,   319,   320,     0,     0,   321,   322,   323,
     324,   325,     0,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,     0,   342,     0,   343,   344,   345,   346,   347,     0,
     348,     0,   349,     0,     0,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,   359,   360,     0,   361,   362,
     363,   364,   365,     0,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,     0,   380,
     381,   382,   383,   384,   385,   386,     0,   387,     0,   388,
       0,     0,   391,     0,   393,   394,   395,   396,   397,     0,
       0,   398,   399,     0,   401,     0,     0,   403,   404,   405,
       0,     0,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,     0,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,     0,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,     0,     0,   450,   451,   452,     0,   454,     0,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,     0,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,     0,   520,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,     0,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,     0,   552,     0,   554,   555,   556,   557,
     558,     0,   559,   560,   561,     0,     0,   562,   563,   564,
     565,   566,     0,   567,   568,   569,   570,   571,   572,   573,
     574,     0,     0,   575,   576,   577,   578,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,     0,   587,     0,
     589,   590,   591,   592,     0,     0,   593,     0,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   621,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,   235,   236,   237,
     238,   239,   240,   241,   941,   242,   243,   244,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,     0,   248,
     249,   250,   251,     0,   253,   254,   255,   256,   257,     0,
     259,   260,     0,   261,   262,   263,   264,   265,   266,   267,
       0,     0,   268,   269,   270,   271,   272,     0,   273,   274,
     275,   276,   277,     0,     0,     0,   279,   280,   281,   282,
     283,   284,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,     0,     0,   296,   297,   298,     0,     0,
       0,     0,     0,     0,     0,   300,   301,   302,   303,   304,
     305,   306,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   315,   316,     0,   317,   318,   319,   320,     0,
       0,   321,   322,   323,   324,   325,     0,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,     0,   342,     0,   343,   344,
     345,   346,   347,     0,   348,     0,   349,     0,     0,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,   359,
     360,     0,   361,   362,   363,   364,   942,     0,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,   381,   382,   383,   384,   385,   386,
       0,   387,     0,   388,     0,     0,   391,     0,   393,   394,
     395,   396,   397,     0,     0,   398,   399,     0,   401,     0,
       0,   403,   404,   405,     0,     0,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,     0,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,     0,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,     0,     0,   450,   451,   452,
       0,   454,     0,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,     0,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,     0,   520,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,     0,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,     0,   552,     0,
     554,   555,   556,   557,   558,     0,   559,   560,   561,     0,
       0,   562,   563,   564,   565,   566,     0,   567,   568,   569,
     570,   571,   572,   573,   574,     0,     0,   575,   576,   577,
     578,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,     0,   587,     0,   589,   590,   591,   592,     0,     0,
     593,     0,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   621,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,  1103,   242,
     243,   244,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,     0,   253,   254,
     255,   256,   257,     0,   259,   260,     0,   261,   262,   263,
     264,   265,   266,   267,     0,     0,   268,   269,   270,   271,
     272,     0,   273,   274,   275,   276,   277,     0,     0,     0,
     279,   280,   281,   282,   283,   284,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,     0,   296,
     297,   298,     0,     0,     0,     0,     0,     0,     0,   300,
     301,   302,   303,   304,   305,   306,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   323,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,     0,
     342,     0,   343,   344,   345,   346,   347,     0,   348,     0,
     349,     0,     0,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,   359,   360,     0,   361,   362,   363,   364,
     365,     0,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,   381,   382,
     383,   384,   385,   386,     0,   387,     0,   388,     0,     0,
     391,     0,   393,   394,   395,   396,   397,     0,     0,   398,
     399,     0,   401,     0,     0,   403,   404,   405,     0,     0,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,     0,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,     0,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,     0,
       0,   450,   451,   452,     0,   454,     0,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,     0,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,     0,   552,     0,   554,   555,   556,   557,   558,     0,
     559,   560,   561,     0,     0,   562,   563,   564,   565,   566,
       0,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,     0,   587,     0,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   621,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,  1335,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,     0,   253,   254,   255,   256,   257,     0,   259,   260,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   270,   271,   272,     0,   273,   274,   275,   276,
     277,     0,     0,     0,   279,   280,   281,   282,   283,   284,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,     0,   296,   297,   298,     0,     0,     0,     0,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   306,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   323,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,     0,   342,     0,   343,   344,   345,   346,
     347,     0,   348,     0,   349,     0,     0,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,   359,   360,     0,
     361,   362,   363,   364,   365,     0,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
       0,   380,   381,   382,   383,   384,   385,   386,     0,   387,
       0,   388,     0,     0,   391,     0,   393,   394,   395,   396,
     397,     0,     0,   398,   399,     0,   401,     0,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,     0,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,     0,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,   452,     0,   454,
       0,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,     0,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,     0,   552,     0,   554,   555,
     556,   557,   558,     0,   559,   560,   561,     0,     0,   562,
     563,   564,   565,   566,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,     0,
     587,     0,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   621,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,   235,
     236,   237,   238,   239,   240,   241,     0,   242,   243,   244,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
       0,   248,   249,   250,   251,  1346,   253,   254,   255,   256,
     257,     0,   259,   260,     0,   261,   262,   263,   264,   265,
     266,   267,     0,     0,   809,   269,   270,   271,  1347,     0,
     273,   274,   275,   276,   277,     0,     0,     0,   279,   280,
     281,   282,   283,   284,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,     0,     0,   296,   297,   298,
       0,     0,     0,     0,     0,     0,     0,   300,   301,   302,
     303,   304,   305,   306,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   315,   316,     0,   317,   318,   319,
     320,     0,     0,   321,   322,   323,   324,   325,     0,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,     0,   342,     0,
     343,   344,   345,   346,   347,     0,   348,     0,   349,     0,
       0,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,   359,   360,     0,   361,   362,   363,   364,   365,     0,
     367,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,     0,   380,   381,   382,   383,   384,
     385,   386,     0,   387,     0,   388,     0,     0,   391,     0,
     393,   394,   395,   396,   397,     0,     0,   398,   399,     0,
     401,     0,     0,   403,   404,   405,     0,     0,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   812,   422,     0,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
       0,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,     0,     0,   450,
     451,   452,     0,   454,     0,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,     0,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,     0,   813,   506,
     507,   508,   509,   510,   511,   512,   513,   814,   515,   516,
     517,   518,   519,     0,   520,   521,   522,   523,  1339,     0,
     525,   526,   527,   528,   529,     0,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,     0,
     552,     0,   554,   555,   556,   557,   558,     0,   559,   816,
     561,     0,     0,   817,   563,   564,   565,   566,     0,   567,
     568,   569,   570,   571,   572,   573,   574,     0,     0,   575,
     576,   577,   578,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,     0,   587,     0,   589,   590,   591,   592,
       0,     0,   593,     0,     0,   594,   595,   596,   597,   598,
     818,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   621,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,   235,   236,   237,   238,   239,   240,   241,
       0,   242,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,     0,   248,   249,   250,   251,     0,
     253,   254,   255,   256,   257,     0,   259,   260,     0,   261,
     262,   263,   264,   265,   266,   267,     0,     0,   268,   269,
     270,   271,   272,     0,   273,   274,   275,   276,   277,     0,
       0,     0,   279,   280,   281,   282,   283,   284,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,     0,
       0,   296,   297,   298,     0,     0,     0,     0,     0,     0,
       0,   300,   301,   302,   303,   304,   305,   306,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   315,   316,
       0,   317,   318,   319,   320,     0,     0,   321,   322,   323,
     324,   325,     0,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,     0,   342,     0,   343,   344,   345,   346,   347,     0,
     348,     0,   349,     0,     0,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,   359,   360,     0,   361,   362,
     363,   364,  1490,     0,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,     0,   380,
     381,   382,   383,   384,   385,   386,     0,   387,     0,   388,
       0,     0,   391,     0,   393,   394,   395,   396,   397,     0,
       0,   398,   399,     0,   401,     0,     0,   403,   404,   405,
       0,     0,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,     0,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,     0,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,   829,   447,   448,
     449,     0,     0,   450,   451,   452,     0,   454,     0,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,     0,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,     0,   520,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,     0,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,     0,   552,     0,   554,   555,   556,   557,
     558,     0,   559,   560,   561,     0,     0,   562,   563,   564,
     565,   566,     0,   567,   568,   569,   570,   571,   572,   573,
     574,     0,     0,   575,   576,   577,   578,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,     0,   587,     0,
     589,   590,   591,   592,     0,     0,   593,     0,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   621,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,   235,   236,   237,
     238,   239,   240,   241,  1551,   242,   243,   244,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,     0,   248,
     249,   250,   251,     0,   253,   254,   255,   256,   257,     0,
     259,   260,     0,   261,   262,   263,   264,   265,   266,   267,
       0,     0,   268,   269,   270,   271,   272,     0,   273,   274,
     275,   276,   277,     0,     0,     0,   279,   280,   281,   282,
     283,   284,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,     0,     0,   296,   297,   298,     0,     0,
       0,     0,     0,     0,     0,   300,   301,   302,   303,   304,
     305,   306,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   315,   316,     0,   317,   318,   319,   320,     0,
       0,   321,   322,   323,   324,   325,     0,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,     0,   342,     0,   343,   344,
     345,   346,   347,     0,   348,     0,   349,     0,     0,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,   359,
     360,     0,   361,   362,   363,   364,  1552,     0,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,   381,   382,   383,   384,   385,   386,
       0,   387,     0,   388,     0,     0,   391,     0,   393,   394,
     395,   396,   397,     0,     0,   398,   399,     0,   401,     0,
       0,   403,   404,   405,     0,     0,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,     0,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,     0,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,     0,     0,   450,   451,   452,
       0,   454,     0,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,     0,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,     0,   520,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,     0,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,     0,   552,     0,
     554,   555,   556,   557,   558,     0,   559,   560,   561,     0,
       0,   562,   563,   564,   565,   566,     0,   567,   568,   569,
     570,   571,   572,   573,   574,     0,     0,   575,   576,   577,
     578,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,     0,   587,     0,   589,   590,   591,   592,     0,     0,
     593,     0,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   621,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,   789,   242,
     243,   244,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,     0,   253,   254,
     255,   256,   257,     0,   259,   260,     0,   261,   262,   263,
     264,   265,   266,   267,     0,     0,   268,   269,   270,   271,
     272,     0,   273,   274,   275,   276,   277,     0,     0,     0,
     279,   280,   281,   282,   283,   284,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,     0,   296,
     297,   298,     0,     0,     0,     0,     0,     0,     0,   300,
     301,   302,   303,   304,   305,   306,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   323,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,     0,
     342,     0,   343,   344,   345,   346,   347,     0,   348,     0,
     349,     0,     0,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,   359,   360,     0,   361,   362,   363,   364,
     365,     0,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,   381,   382,
     383,   384,   385,   386,     0,   387,     0,   388,     0,     0,
     391,     0,   393,   394,   395,   396,   397,     0,     0,   398,
     399,     0,   401,     0,     0,   403,   404,   405,     0,     0,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,     0,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,     0,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,     0,
       0,   450,   451,   452,     0,   454,     0,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,     0,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,     0,   552,     0,   554,   555,   556,   557,   558,     0,
     559,   560,   561,     0,     0,   562,   563,   564,   565,   566,
       0,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,     0,   587,     0,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   621,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,     0,   253,   254,   255,   256,   257,     0,   259,   260,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   270,   271,   272,     0,   273,   274,   275,   276,
     277,     0,     0,     0,   279,   280,   281,   282,   283,   284,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,     0,   296,   297,   298,     0,     0,     0,     0,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   306,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   323,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,     0,   342,     0,   343,   344,   345,   346,
     347,     0,   348,     0,   349,     0,     0,     0,   352,   353,
     354,  3257,     0,   356,   357,     0,   358,   359,   360,     0,
     361,   362,   363,   364,   365,     0,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
       0,   380,   381,   382,   383,   384,   385,   386,     0,   387,
       0,   388,     0,     0,   391,     0,   393,   394,   395,   396,
     397,     0,     0,   398,   399,     0,   401,     0,     0,   403,
     404,  3258,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,     0,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,     0,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,   452,     0,   454,
       0,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,     0,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,  3259,   552,     0,   554,  3260,
     556,  3261,   558,     0,   559,   560,   561,     0,     0,   562,
     563,   564,   565,   566,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,  3262,   578,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,     0,
     587,     0,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   621,     0,     0,   680,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,   235,
     236,   237,   238,   239,   240,   241,     0,   242,   243,   244,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
       0,   248,   249,   250,   251,     0,   253,   254,   255,   256,
     257,     0,   259,   260,     0,   261,   262,   263,   264,   265,
     266,   267,     0,     0,   268,   269,   270,   271,   272,     0,
     273,   274,   275,   276,   277,     0,     0,     0,   279,   280,
     281,   282,   283,   284,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,     0,     0,   296,   297,   298,
       0,     0,     0,     0,     0,     0,     0,   300,   301,   302,
     303,   304,   305,   306,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   315,   316,     0,   317,   318,   319,
     320,     0,     0,   321,   322,   323,   324,   325,     0,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,     0,   342,     0,
     343,   344,   345,   346,   347,     0,   348,     0,   349,     0,
       0,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,   359,   360,     0,   361,   362,   363,   364,   365,     0,
     367,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,     0,   380,   381,   382,   383,   384,
     385,   386,     0,   387,     0,   388,     0,     0,   391,     0,
     393,   394,   395,   396,   397,     0,     0,   398,   399,     0,
     401,     0,     0,   403,   404,   405,     0,     0,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,     0,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
       0,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,     0,     0,   450,
     451,   452,     0,   454,     0,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,     0,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,     0,   520,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,     0,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,     0,
     552,     0,   554,   555,   556,   557,   558,     0,   559,   560,
     561,     0,     0,   562,   563,   564,   565,   566,     0,   567,
     568,   569,   570,   571,   572,   573,   574,     0,     0,   575,
     576,   577,   578,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,     0,   587,     0,   589,   590,   591,   592,
       0,     0,   593,     0,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   621,     0,     0,     0,     0,
       0,     0,     0,   740,     0,     0,     0,     0,     0,     0,
       0,     0,   234,   235,   236,   237,   238,   239,   240,   241,
       0,   242,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,     0,   248,   249,   250,   251,     0,
     253,   254,   255,   256,   257,     0,   259,   260,     0,   261,
     262,   263,   264,   265,   266,   267,     0,     0,   268,   269,
     270,   271,   272,     0,   273,   274,   275,   276,   277,     0,
       0,     0,   279,   280,   281,   282,   283,   284,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,     0,
       0,   296,   297,   298,     0,     0,     0,     0,     0,     0,
       0,   300,   301,   302,   303,   304,   305,   306,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   315,   316,
       0,   317,   318,   319,   320,     0,     0,   321,   322,   323,
     324,   325,     0,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,     0,   342,     0,   343,   344,   345,   346,   347,     0,
     348,     0,   349,     0,     0,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,   359,   360,     0,   361,   362,
     363,   364,   365,     0,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,     0,   380,
     381,   382,   383,   384,   385,   386,     0,   387,     0,   388,
       0,     0,   391,     0,   393,   394,   395,   396,   397,     0,
       0,   398,   399,     0,   401,     0,     0,   403,   404,   405,
       0,     0,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,     0,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,     0,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,     0,     0,   450,   451,   452,     0,   454,     0,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,     0,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,     0,   520,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,     0,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,     0,   552,     0,   554,   555,   556,   557,
     558,     0,   559,   560,   561,     0,     0,   562,   563,   564,
     565,   566,     0,   567,   568,   569,   570,   571,   572,   573,
     574,     0,     0,   575,   576,   577,   578,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,     0,   587,     0,
     589,   590,   591,   592,     0,     0,   593,     0,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   621,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,   235,   236,   237,
     238,   239,   240,   241,     0,   242,   243,   244,     0,     0,
       0,     0,     0,  4026,     0,   245,   246,   247,     0,   248,
     249,   250,   251,     0,   253,   254,   255,   256,   257,     0,
     259,   260,     0,   261,   262,   263,   264,   265,   266,   267,
       0,     0,   268,   269,   270,   271,   272,     0,   273,   274,
     275,   276,   277,     0,     0,     0,   279,   280,   281,   282,
     283,   284,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,     0,     0,   296,   297,   298,     0,     0,
       0,     0,     0,     0,     0,   300,   301,   302,   303,   304,
     305,   306,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   315,   316,     0,   317,   318,   319,   320,     0,
       0,   321,   322,   323,   324,   325,     0,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,     0,   342,     0,   343,   344,
     345,   346,   347,     0,   348,     0,   349,     0,     0,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,   359,
     360,     0,   361,   362,   363,   364,   365,     0,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,   381,   382,   383,   384,   385,   386,
       0,   387,     0,   388,     0,     0,   391,     0,   393,   394,
     395,   396,   397,     0,     0,   398,   399,     0,   401,     0,
       0,   403,   404,   405,     0,     0,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,     0,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,     0,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,     0,     0,   450,   451,   452,
       0,   454,     0,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,     0,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,     0,   520,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,     0,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,     0,   552,     0,
     554,   555,   556,   557,   558,     0,   559,   560,   561,     0,
       0,   562,   563,   564,   565,   566,     0,   567,   568,   569,
     570,   571,   572,   573,   574,     0,     0,   575,   576,   577,
     578,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,     0,   587,     0,   589,   590,   591,   592,     0,     0,
     593,     0,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   621,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,     0,  4040,     0,   245,
     246,   247,     0,   248,   249,   250,   251,     0,   253,   254,
     255,   256,   257,     0,   259,   260,     0,   261,   262,   263,
     264,   265,   266,   267,     0,     0,   268,   269,   270,   271,
     272,     0,   273,   274,   275,   276,   277,     0,     0,     0,
     279,   280,   281,   282,   283,   284,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,     0,   296,
     297,   298,     0,     0,     0,     0,     0,     0,     0,   300,
     301,   302,   303,   304,   305,   306,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   323,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,     0,
     342,     0,   343,   344,   345,   346,   347,     0,   348,     0,
     349,     0,     0,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,   359,   360,     0,   361,   362,   363,   364,
     365,     0,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,   381,   382,
     383,   384,   385,   386,     0,   387,     0,   388,     0,     0,
     391,     0,   393,   394,   395,   396,   397,     0,     0,   398,
     399,     0,   401,     0,     0,   403,   404,   405,     0,     0,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,     0,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,     0,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,     0,
       0,   450,   451,   452,     0,   454,     0,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,     0,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,     0,   552,     0,   554,   555,   556,   557,   558,     0,
     559,   560,   561,     0,     0,   562,   563,   564,   565,   566,
       0,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,     0,   587,     0,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   621,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,     0,   253,   254,   255,   256,   257,     0,   259,   260,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   270,   271,   272,     0,   273,   274,   275,   276,
     277,     0,     0,     0,   279,   280,   281,   282,   283,   284,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,     0,   296,   297,   298,     0,     0,     0,     0,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   306,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   323,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,     0,   342,     0,   343,   344,   345,   346,
     347,     0,   348,     0,   349,     0,     0,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,   359,   360,     0,
     361,   362,   363,   364,   365,     0,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
       0,   380,   381,   382,   383,   384,   385,   386,     0,   387,
       0,   388,     0,     0,   391,     0,   393,   394,   395,   396,
     397,     0,     0,   398,   399,     0,   401,     0,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,     0,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,     0,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,   452,     0,   454,
       0,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,     0,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,     0,   552,     0,   554,   555,
     556,   557,   558,     0,   559,   560,   561,     0,     0,   562,
     563,   564,   565,   566,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,     0,
     587,     0,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   621,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,   235,
     236,   237,   238,   239,   240,   241,     0,   242,   243,   244,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
       0,   248,   249,   250,   251,     0,   253,   254,   255,   256,
     257,     0,   259,   260,     0,   261,   262,   263,   264,   265,
     266,   267,     0,     0,   268,   269,   270,   271,   272,     0,
     273,   274,   275,   276,   277,     0,     0,     0,   279,   280,
     281,   282,   283,   284,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,     0,     0,   296,   297,   298,
       0,     0,     0,     0,     0,     0,     0,   300,   301,   302,
     303,   304,   305,   306,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   315,   316,     0,   317,   318,   319,
     320,     0,     0,   321,   322,   323,   324,   325,     0,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,     0,   342,     0,
     343,   344,   345,   346,   347,     0,   348,     0,   349,     0,
       0,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,   359,   360,     0,   361,   362,   363,   364,   365,     0,
     367,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,     0,   380,   381,   382,   383,   384,
     385,   386,     0,   387,     0,   388,     0,     0,   391,     0,
     393,   394,   395,   396,   397,     0,     0,   398,   399,     0,
     401,     0,     0,   403,   404,   405,     0,     0,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,     0,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
       0,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,     0,     0,   450,
     451,   452,     0,   454,     0,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,     0,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,     0,   520,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,     0,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,     0,
     552,     0,   554,   555,   556,   557,   558,     0,   559,   560,
     561,     0,     0,   775,   563,   564,   565,   566,     0,   567,
     568,   569,   570,   571,   572,   573,   574,     0,     0,   575,
     576,   577,   578,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,     0,   587,     0,   589,   590,   591,   592,
       0,     0,   593,     0,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   621,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,   235,   236,   237,   238,   239,   240,   241,
       0,   242,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,     0,   248,   249,   250,   251,     0,
     253,   254,   255,   256,   257,     0,   259,   260,     0,   261,
     262,   263,   264,   265,   266,   267,     0,     0,   268,   269,
     270,   271,   272,     0,   273,   274,   275,   276,   277,     0,
       0,     0,   279,   280,   281,   282,   283,   284,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,     0,
       0,   296,   297,   298,     0,     0,     0,     0,     0,     0,
       0,   300,   301,   302,   303,   304,   305,   306,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   315,   316,
       0,   317,   318,   319,   320,     0,     0,   321,   322,   323,
     324,   325,     0,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,     0,   342,     0,   343,   344,   345,   346,   347,     0,
     348,     0,   349,     0,     0,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,   359,   360,     0,   361,   362,
     363,   364,   365,     0,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,     0,   380,
     381,   382,   383,   384,   385,   386,     0,   387,     0,   388,
       0,     0,   391,     0,   393,   394,   395,   396,   397,     0,
       0,   398,   399,     0,   401,     0,     0,   403,   404,   405,
       0,     0,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,     0,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,     0,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,     0,     0,   450,   451,   452,     0,   454,     0,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,     0,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     787,   514,   515,   516,   517,   518,   519,     0,   520,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,     0,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,     0,   552,     0,   554,   555,   556,   557,
     558,     0,   559,   560,   561,     0,     0,   562,   563,   564,
     565,   566,     0,   567,   568,   569,   570,   571,   572,   573,
     574,     0,     0,   575,   576,   577,   578,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,     0,   587,     0,
     589,   590,   591,   592,     0,     0,   593,     0,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   621,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,   235,   236,   237,
     238,   239,   240,   241,     0,   242,   243,   244,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,     0,   248,
     249,   250,   251,     0,   253,   254,   255,   256,   257,     0,
     259,   260,     0,   261,   262,   263,   264,   265,   266,   267,
       0,     0,   809,   269,   270,   271,   272,     0,   273,   274,
     275,   276,   277,     0,     0,     0,   279,   280,   281,   282,
     283,   284,     0,   286,   287,   288,     0,   810,   290,   291,
     292,   293,   294,     0,     0,   296,   297,   298,     0,     0,
       0,     0,     0,     0,     0,   300,   301,   302,   303,   304,
     305,   306,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   315,   316,     0,   317,   318,   319,   320,     0,
       0,   321,   322,   323,   324,   325,     0,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,     0,   342,     0,   343,   344,
     345,   346,   347,     0,   348,     0,   349,     0,     0,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,   359,
     360,     0,   361,   362,   363,   364,   365,     0,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,   381,   382,   383,   384,   385,   386,
       0,   387,     0,   388,     0,     0,   391,     0,   393,   394,
     395,   396,   397,     0,     0,   398,   399,     0,   401,     0,
       0,   403,   404,   811,     0,     0,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   812,   422,     0,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,     0,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,     0,     0,   450,   451,   452,
       0,   454,     0,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,     0,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,     0,   813,   506,   507,   508,
     509,   510,   511,   512,   513,   814,   515,   516,   517,   518,
     519,     0,   520,   521,   522,   523,   815,     0,   525,   526,
     527,   528,   529,     0,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,     0,   552,     0,
     554,   555,   556,   557,   558,     0,   559,   816,   561,     0,
       0,   817,   563,   564,   565,   566,     0,   567,   568,   569,
     570,   571,   572,   573,   574,     0,     0,   575,   576,   577,
     578,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,     0,   587,     0,   589,   590,   591,   592,     0,     0,
     593,     0,     0,   594,   595,   596,   597,   598,   818,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   621,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,     0,   253,   254,
     255,   256,   257,     0,   259,   260,     0,   261,   262,   263,
     264,   265,   266,   267,     0,     0,   268,   269,   270,   271,
     272,     0,   273,   274,   275,   276,   277,     0,     0,     0,
     279,   280,   281,   282,   283,   284,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,     0,   296,
     297,   298,     0,     0,     0,     0,     0,     0,     0,   300,
     301,   302,   303,   304,   305,   306,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   323,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,     0,
     342,     0,   343,   344,   345,   346,   347,     0,   348,     0,
     349,     0,     0,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,   359,   360,     0,   361,   362,   363,   364,
     365,     0,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,   381,   382,
     383,   384,   385,   386,     0,   387,     0,   388,     0,     0,
     391,     0,   393,   394,   395,   396,   397,     0,     0,   398,
     399,     0,   401,     0,     0,   403,   404,   405,     0,     0,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,     0,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,     0,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,     0,
       0,   450,   451,   452,     0,   454,     0,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     840,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,     0,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,     0,   552,     0,   554,   555,   556,   557,   558,     0,
     559,   560,   561,     0,     0,   562,   563,   564,   565,   566,
       0,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,     0,   587,     0,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   621,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,     0,   253,   254,   255,   256,   257,     0,   259,   260,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   270,   271,   272,     0,   273,   274,   275,   276,
     277,     0,     0,     0,   279,   280,   281,   282,   283,   284,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,     0,   296,   297,   298,     0,     0,     0,     0,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   306,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   323,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,     0,   342,     0,   343,   344,   345,   346,
     347,     0,   348,     0,   349,     0,     0,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,   359,   360,     0,
     361,   362,   363,   364,   966,     0,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
       0,   380,   381,   382,   383,   384,   385,   386,     0,   387,
       0,   388,     0,     0,   391,     0,   393,   394,   395,   396,
     397,     0,     0,   398,   399,     0,   401,     0,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,     0,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,     0,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,   452,     0,   454,
       0,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,     0,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,     0,   552,     0,   554,   555,
     556,   557,   558,     0,   559,   560,   561,     0,     0,   562,
     563,   564,   565,   566,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,     0,
     587,     0,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   621,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,   235,
     236,   237,   238,   239,   240,   241,     0,   242,   243,   244,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
       0,   248,   249,   250,   251,     0,   253,   254,   255,   256,
     257,     0,   259,   260,     0,   261,   262,   263,   264,   265,
     266,   267,     0,     0,   268,   269,   270,   271,   272,     0,
     273,   274,   275,   276,   277,     0,     0,     0,   279,   280,
     281,   282,   283,   284,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,     0,     0,   296,   297,   298,
       0,     0,     0,     0,     0,     0,     0,   300,   301,   302,
     303,   304,   305,   306,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   315,   316,     0,   317,   318,   319,
     320,     0,     0,   321,   322,   323,   324,   325,     0,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,     0,   342,     0,
     343,   344,   345,   346,   347,     0,   348,     0,   349,     0,
       0,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,   359,   360,     0,   361,   362,   363,   364,   978,     0,
     367,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,     0,   380,   381,   382,   383,   384,
     385,   386,     0,   387,     0,   388,     0,     0,   391,     0,
     393,   394,   395,   396,   397,     0,     0,   398,   399,     0,
     401,     0,     0,   403,   404,   405,     0,     0,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,     0,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
       0,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,     0,     0,   450,
     451,   452,     0,   454,     0,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,     0,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,     0,   520,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,     0,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,     0,
     552,     0,   554,   555,   556,   557,   558,     0,   559,   560,
     561,     0,     0,   562,   563,   564,   565,   566,     0,   567,
     568,   569,   570,   571,   572,   573,   574,     0,     0,   575,
     576,   577,   578,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,     0,   587,     0,   589,   590,   591,   592,
       0,     0,   593,     0,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   621,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,   235,   236,   237,   238,   239,   240,   241,
       0,   242,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,     0,   248,   249,   250,   251,     0,
     253,   254,   255,   256,   257,     0,   259,   260,     0,   261,
     262,   263,   264,   265,   266,   267,     0,     0,   268,   269,
     270,   271,   272,     0,   273,   274,   275,   276,   277,     0,
       0,     0,   279,   280,   281,   282,   283,   284,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,     0,
       0,   296,   297,   298,     0,     0,     0,     0,     0,     0,
       0,   300,   301,   302,   303,   304,   305,   306,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   315,   316,
       0,   317,   318,   319,   320,     0,     0,   321,   322,   323,
     324,   325,     0,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,     0,   342,     0,   343,   344,   345,   346,   347,     0,
     348,     0,   349,     0,     0,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,   359,   360,     0,   361,   362,
     363,   364,   981,     0,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,     0,   380,
     381,   382,   383,   384,   385,   386,     0,   387,     0,   388,
       0,     0,   391,     0,   393,   394,   395,   396,   397,     0,
       0,   398,   399,     0,   401,     0,     0,   403,   404,   405,
       0,     0,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,     0,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,     0,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,     0,     0,   450,   451,   452,     0,   454,     0,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,     0,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,     0,   520,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,     0,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,     0,   552,     0,   554,   555,   556,   557,
     558,     0,   559,   560,   561,     0,     0,   562,   563,   564,
     565,   566,     0,   567,   568,   569,   570,   571,   572,   573,
     574,     0,     0,   575,   576,   577,   578,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,     0,   587,     0,
     589,   590,   591,   592,     0,     0,   593,     0,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   621,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,   235,   236,   237,
     238,   239,   240,   241,     0,   242,   243,   244,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,     0,   248,
     249,   250,   251,     0,   253,   254,   255,   256,   257,     0,
     259,   260,     0,   261,   262,   263,   264,   265,   266,   267,
       0,     0,   268,   269,   270,   271,   272,     0,   273,   274,
     275,   276,   277,     0,     0,     0,   279,   280,   281,   282,
     283,   284,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,     0,     0,   296,   297,   298,     0,     0,
       0,     0,     0,     0,     0,   300,   301,   302,   303,   304,
     305,   306,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   315,   316,     0,   317,   318,   319,   320,     0,
       0,   321,   322,   323,   324,   325,     0,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,     0,   342,     0,   343,   344,
     345,   346,   347,     0,   348,     0,   349,     0,     0,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,   359,
     360,     0,   361,   362,   363,   364,   997,     0,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,   381,   382,   383,   384,   385,   386,
       0,   387,     0,   388,     0,     0,   391,     0,   393,   394,
     395,   396,   397,     0,     0,   398,   399,     0,   401,     0,
       0,   403,   404,   405,     0,     0,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,     0,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,     0,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,     0,     0,   450,   451,   452,
       0,   454,     0,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,     0,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,     0,   520,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,     0,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,     0,   552,     0,
     554,   555,   556,   557,   558,     0,   559,   560,   561,     0,
       0,   562,   563,   564,   565,   566,     0,   567,   568,   569,
     570,   571,   572,   573,   574,     0,     0,   575,   576,   577,
     578,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,     0,   587,     0,   589,   590,   591,   592,     0,     0,
     593,     0,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   621,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,     0,   253,   254,
     255,   256,   257,     0,   259,   260,     0,   261,   262,   263,
     264,   265,   266,   267,     0,     0,   268,   269,   270,   271,
     272,     0,   273,   274,   275,   276,   277,     0,     0,     0,
     279,   280,   281,   282,   283,   284,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,     0,   296,
     297,   298,     0,     0,     0,     0,     0,     0,     0,   300,
     301,   302,   303,   304,   305,   306,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   323,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,     0,
     342,     0,   343,   344,   345,   346,   347,     0,   348,     0,
     349,     0,     0,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,   359,   360,     0,   361,   362,   363,   364,
    1052,     0,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,   381,   382,
     383,   384,   385,   386,     0,   387,     0,   388,     0,     0,
     391,     0,   393,   394,   395,   396,   397,     0,     0,   398,
     399,     0,   401,     0,     0,   403,   404,   405,     0,     0,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,     0,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,     0,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,     0,
       0,   450,   451,   452,     0,   454,     0,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,     0,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,     0,   552,     0,   554,   555,   556,   557,   558,     0,
     559,   560,   561,     0,     0,   562,   563,   564,   565,   566,
       0,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,     0,   587,     0,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   621,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,     0,   253,   254,   255,   256,   257,     0,   259,   260,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   270,   271,   272,     0,   273,   274,   275,   276,
     277,     0,     0,     0,   279,   280,   281,   282,   283,   284,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,     0,   296,   297,   298,     0,     0,     0,     0,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   306,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   323,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,     0,   342,     0,   343,   344,   345,   346,
     347,     0,   348,     0,   349,     0,     0,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,   359,   360,     0,
     361,   362,   363,   364,  1057,     0,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
       0,   380,   381,   382,   383,   384,   385,   386,     0,   387,
       0,   388,     0,     0,   391,     0,   393,   394,   395,   396,
     397,     0,     0,   398,   399,     0,   401,     0,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,     0,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,     0,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,   452,     0,   454,
       0,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,     0,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,     0,   552,     0,   554,   555,
     556,   557,   558,     0,   559,   560,   561,     0,     0,   562,
     563,   564,   565,   566,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,     0,
     587,     0,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   621,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,   235,
     236,   237,   238,   239,   240,   241,     0,   242,   243,   244,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
       0,   248,   249,   250,   251,     0,   253,   254,   255,   256,
     257,     0,   259,   260,     0,   261,   262,   263,   264,   265,
     266,   267,     0,     0,   268,   269,   270,   271,   272,     0,
     273,   274,   275,   276,   277,     0,     0,     0,   279,   280,
     281,   282,   283,   284,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,     0,     0,   296,   297,   298,
       0,     0,     0,     0,     0,     0,     0,   300,   301,   302,
     303,   304,   305,   306,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   315,   316,     0,   317,   318,   319,
     320,     0,     0,   321,   322,   323,   324,   325,     0,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,     0,   342,     0,
     343,   344,   345,   346,   347,     0,   348,     0,   349,     0,
       0,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,   359,   360,     0,   361,   362,   363,   364,  1074,     0,
     367,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,     0,   380,   381,   382,   383,   384,
     385,   386,     0,   387,     0,   388,     0,     0,   391,     0,
     393,   394,   395,   396,   397,     0,     0,   398,   399,     0,
     401,     0,     0,   403,   404,   405,     0,     0,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,     0,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
       0,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,     0,     0,   450,
     451,   452,     0,   454,     0,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,     0,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,     0,   520,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,     0,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,     0,
     552,     0,   554,   555,   556,   557,   558,     0,   559,   560,
     561,     0,     0,   562,   563,   564,   565,   566,     0,   567,
     568,   569,   570,   571,   572,   573,   574,     0,     0,   575,
     576,   577,   578,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,     0,   587,     0,   589,   590,   591,   592,
       0,     0,   593,     0,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   621,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,   235,   236,   237,   238,   239,   240,   241,
       0,   242,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,     0,   248,   249,   250,   251,     0,
     253,   254,   255,   256,   257,     0,   259,   260,     0,   261,
     262,   263,   264,   265,   266,   267,     0,     0,   268,   269,
     270,   271,   272,     0,   273,   274,   275,   276,   277,     0,
       0,     0,   279,   280,   281,   282,   283,   284,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,     0,
       0,   296,   297,   298,     0,     0,     0,     0,     0,     0,
       0,   300,   301,   302,   303,   304,   305,   306,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   315,   316,
       0,   317,   318,   319,   320,     0,     0,   321,   322,   323,
     324,   325,     0,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,     0,   342,     0,   343,   344,   345,   346,   347,     0,
     348,     0,   349,     0,     0,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,   359,   360,     0,   361,   362,
     363,   364,  1077,     0,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,     0,   380,
     381,   382,   383,   384,   385,   386,     0,   387,     0,   388,
       0,     0,   391,     0,   393,   394,   395,   396,   397,     0,
       0,   398,   399,     0,   401,     0,     0,   403,   404,   405,
       0,     0,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,     0,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,     0,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,     0,     0,   450,   451,   452,     0,   454,     0,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,     0,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,     0,   520,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,     0,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,     0,   552,     0,   554,   555,   556,   557,
     558,     0,   559,   560,   561,     0,     0,   562,   563,   564,
     565,   566,     0,   567,   568,   569,   570,   571,   572,   573,
     574,     0,     0,   575,   576,   577,   578,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,     0,   587,     0,
     589,   590,   591,   592,     0,     0,   593,     0,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   621,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,   235,   236,   237,
     238,   239,   240,   241,     0,   242,   243,   244,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,     0,   248,
     249,   250,   251,     0,   253,   254,   255,   256,   257,     0,
     259,   260,     0,   261,   262,   263,   264,   265,   266,   267,
       0,     0,   268,   269,   270,   271,   272,     0,   273,   274,
     275,   276,   277,     0,     0,     0,   279,   280,   281,   282,
     283,   284,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,     0,     0,   296,   297,   298,     0,     0,
       0,     0,     0,     0,     0,   300,   301,   302,   303,   304,
     305,   306,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   315,   316,     0,   317,   318,   319,   320,     0,
       0,   321,   322,   323,   324,   325,     0,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,     0,   342,     0,   343,   344,
     345,   346,   347,     0,   348,     0,   349,     0,     0,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,   359,
     360,     0,   361,   362,   363,   364,  1079,     0,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,   381,   382,   383,   384,   385,   386,
       0,   387,     0,   388,     0,     0,   391,     0,   393,   394,
     395,   396,   397,     0,     0,   398,   399,     0,   401,     0,
       0,   403,   404,   405,     0,     0,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,     0,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,     0,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,     0,     0,   450,   451,   452,
       0,   454,     0,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,     0,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,     0,   520,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,     0,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,     0,   552,     0,
     554,   555,   556,   557,   558,     0,   559,   560,   561,     0,
       0,   562,   563,   564,   565,   566,     0,   567,   568,   569,
     570,   571,   572,   573,   574,     0,     0,   575,   576,   577,
     578,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,     0,   587,     0,   589,   590,   591,   592,     0,     0,
     593,     0,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   621,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,     0,   253,   254,
     255,   256,   257,     0,   259,   260,     0,   261,   262,   263,
     264,   265,   266,   267,     0,     0,   268,   269,   270,   271,
     272,     0,   273,   274,   275,   276,   277,     0,     0,     0,
     279,   280,   281,   282,   283,   284,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,     0,   296,
     297,   298,     0,     0,     0,     0,     0,     0,     0,   300,
     301,   302,   303,   304,   305,   306,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   323,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,     0,
     342,     0,   343,   344,   345,   346,   347,     0,   348,     0,
     349,     0,     0,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,   359,   360,     0,   361,   362,   363,   364,
    1116,     0,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,   381,   382,
     383,   384,   385,   386,     0,   387,     0,   388,     0,     0,
     391,     0,   393,   394,   395,   396,   397,     0,     0,   398,
     399,     0,   401,     0,     0,   403,   404,   405,     0,     0,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,     0,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,     0,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,     0,
       0,   450,   451,   452,     0,   454,     0,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,     0,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,     0,   552,     0,   554,   555,   556,   557,   558,     0,
     559,   560,   561,     0,     0,   562,   563,   564,   565,   566,
       0,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,     0,   587,     0,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   621,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,     0,   253,   254,   255,   256,   257,     0,   259,   260,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   270,   271,   272,     0,   273,   274,   275,   276,
     277,     0,     0,     0,   279,   280,   281,   282,   283,   284,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,     0,   296,   297,   298,     0,     0,     0,     0,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   306,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   323,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,     0,   342,     0,   343,   344,   345,   346,
     347,     0,   348,     0,   349,     0,     0,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,   359,   360,     0,
     361,   362,   363,   364,  1145,     0,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
       0,   380,   381,   382,   383,   384,   385,   386,     0,   387,
       0,   388,     0,     0,   391,     0,   393,   394,   395,   396,
     397,     0,     0,   398,   399,     0,   401,     0,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,     0,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,     0,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,   452,     0,   454,
       0,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,     0,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,     0,   552,     0,   554,   555,
     556,   557,   558,     0,   559,   560,   561,     0,     0,   562,
     563,   564,   565,   566,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,     0,
     587,     0,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   621,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,   235,
     236,   237,   238,   239,   240,   241,     0,   242,   243,   244,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
       0,   248,   249,   250,   251,     0,   253,   254,   255,   256,
     257,     0,   259,   260,     0,   261,   262,   263,   264,   265,
     266,   267,     0,     0,   268,   269,   270,   271,   272,     0,
     273,   274,   275,   276,   277,     0,     0,     0,   279,   280,
     281,   282,   283,   284,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,     0,     0,   296,   297,   298,
       0,     0,     0,     0,     0,     0,     0,   300,   301,   302,
     303,   304,   305,   306,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   315,   316,     0,   317,   318,   319,
     320,     0,     0,   321,   322,   323,   324,   325,     0,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,     0,   342,     0,
     343,   344,   345,   346,   347,     0,   348,     0,   349,     0,
       0,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,   359,   360,     0,   361,   362,   363,   364,  1147,     0,
     367,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,     0,   380,   381,   382,   383,   384,
     385,   386,     0,   387,     0,   388,     0,     0,   391,     0,
     393,   394,   395,   396,   397,     0,     0,   398,   399,     0,
     401,     0,     0,   403,   404,   405,     0,     0,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,     0,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
       0,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,     0,     0,   450,
     451,   452,     0,   454,     0,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,     0,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,     0,   520,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,     0,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,     0,
     552,     0,   554,   555,   556,   557,   558,     0,   559,   560,
     561,     0,     0,   562,   563,   564,   565,   566,     0,   567,
     568,   569,   570,   571,   572,   573,   574,     0,     0,   575,
     576,   577,   578,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,     0,   587,     0,   589,   590,   591,   592,
       0,     0,   593,     0,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   621,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,   235,   236,   237,   238,   239,   240,   241,
       0,   242,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,     0,   248,   249,   250,   251,     0,
     253,   254,   255,   256,   257,     0,   259,   260,     0,   261,
     262,   263,   264,   265,   266,   267,     0,     0,   268,   269,
     270,   271,   272,     0,   273,   274,   275,   276,   277,     0,
       0,     0,   279,   280,   281,   282,   283,   284,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,     0,
       0,   296,   297,   298,     0,     0,     0,     0,     0,     0,
       0,   300,   301,   302,   303,   304,   305,   306,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   315,   316,
       0,   317,   318,   319,   320,     0,     0,   321,   322,   323,
     324,   325,     0,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,     0,   342,     0,   343,   344,   345,   346,   347,     0,
     348,     0,   349,     0,     0,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,   359,   360,     0,   361,   362,
     363,   364,  1157,     0,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,     0,   380,
     381,   382,   383,   384,   385,   386,     0,   387,     0,   388,
       0,     0,   391,     0,   393,   394,   395,   396,   397,     0,
       0,   398,   399,     0,   401,     0,     0,   403,   404,   405,
       0,     0,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,     0,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,     0,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,     0,     0,   450,   451,   452,     0,   454,     0,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,     0,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,     0,   520,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,     0,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,     0,   552,     0,   554,   555,   556,   557,
     558,     0,   559,   560,   561,     0,     0,   562,   563,   564,
     565,   566,     0,   567,   568,   569,   570,   571,   572,   573,
     574,     0,     0,   575,   576,   577,   578,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,     0,   587,     0,
     589,   590,   591,   592,     0,     0,   593,     0,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   621,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,   235,   236,   237,
     238,   239,   240,   241,     0,   242,   243,   244,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,     0,   248,
     249,   250,   251,     0,   253,   254,   255,   256,   257,     0,
     259,   260,     0,   261,   262,   263,   264,   265,   266,   267,
       0,     0,   268,   269,   270,   271,   272,     0,   273,   274,
     275,   276,   277,     0,     0,     0,   279,   280,   281,   282,
     283,   284,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,     0,     0,   296,   297,   298,     0,     0,
       0,     0,     0,     0,     0,   300,   301,   302,   303,   304,
     305,   306,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   315,   316,     0,   317,   318,   319,   320,     0,
       0,   321,   322,   323,   324,   325,     0,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,     0,   342,     0,   343,   344,
     345,   346,   347,     0,   348,     0,   349,     0,     0,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,   359,
     360,     0,   361,   362,   363,   364,  1160,     0,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,   381,   382,   383,   384,   385,   386,
       0,   387,     0,   388,     0,     0,   391,     0,   393,   394,
     395,   396,   397,     0,     0,   398,   399,     0,   401,     0,
       0,   403,   404,   405,     0,     0,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,     0,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,     0,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,     0,     0,   450,   451,   452,
       0,   454,     0,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,     0,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,     0,   520,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,     0,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,     0,   552,     0,
     554,   555,   556,   557,   558,     0,   559,   560,   561,     0,
       0,   562,   563,   564,   565,   566,     0,   567,   568,   569,
     570,   571,   572,   573,   574,     0,     0,   575,   576,   577,
     578,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,     0,   587,     0,   589,   590,   591,   592,     0,     0,
     593,     0,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   621,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,     0,   253,   254,
     255,   256,   257,     0,   259,   260,     0,   261,   262,   263,
     264,   265,   266,   267,     0,     0,   268,   269,   270,   271,
     272,     0,   273,   274,   275,   276,   277,     0,     0,     0,
     279,   280,   281,   282,   283,   284,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,     0,   296,
     297,   298,     0,     0,     0,     0,     0,     0,     0,   300,
     301,   302,   303,   304,   305,   306,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   323,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,     0,
     342,     0,   343,   344,   345,   346,   347,     0,   348,     0,
     349,     0,     0,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,   359,   360,     0,   361,   362,   363,   364,
    1163,     0,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,   381,   382,
     383,   384,   385,   386,     0,   387,     0,   388,     0,     0,
     391,     0,   393,   394,   395,   396,   397,     0,     0,   398,
     399,     0,   401,     0,     0,   403,   404,   405,     0,     0,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,     0,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,     0,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,     0,
       0,   450,   451,   452,     0,   454,     0,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,     0,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,     0,   552,     0,   554,   555,   556,   557,   558,     0,
     559,   560,   561,     0,     0,   562,   563,   564,   565,   566,
       0,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,     0,   587,     0,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   621,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,     0,   253,   254,   255,   256,   257,     0,   259,   260,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     809,   269,   270,   271,   272,     0,   273,   274,   275,   276,
     277,     0,     0,     0,   279,   280,   281,   282,   283,   284,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,     0,   296,   297,   298,     0,     0,     0,     0,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   306,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   323,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,     0,   342,     0,   343,   344,   345,   346,
     347,     0,   348,     0,   349,     0,     0,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,   359,   360,     0,
     361,   362,   363,   364,   365,     0,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
       0,   380,   381,   382,   383,   384,   385,   386,     0,   387,
       0,   388,     0,     0,   391,     0,   393,   394,   395,   396,
     397,     0,     0,   398,   399,     0,   401,     0,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   812,
     422,     0,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,     0,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,   452,     0,   454,
       0,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,     0,   813,   506,   507,   508,   509,   510,
     511,   512,   513,   814,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,  1339,     0,   525,   526,   527,   528,
     529,     0,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,     0,   552,     0,   554,   555,
     556,   557,   558,     0,   559,   816,   561,     0,     0,   817,
     563,   564,   565,   566,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,     0,
     587,     0,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   818,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   621,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,   235,
     236,   237,   238,   239,   240,   241,     0,   242,   243,   244,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
       0,   248,   249,   250,   251,     0,   253,   254,   255,   256,
     257,     0,   259,   260,     0,   261,   262,   263,   264,   265,
     266,   267,     0,     0,   268,   269,   270,   271,   272,     0,
     273,   274,   275,   276,   277,     0,     0,     0,   279,   280,
     281,   282,   283,   284,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,     0,     0,   296,   297,   298,
       0,     0,     0,     0,     0,     0,     0,   300,   301,   302,
     303,   304,   305,   306,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   315,   316,     0,   317,   318,   319,
     320,     0,     0,   321,   322,   323,   324,   325,     0,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,     0,   342,     0,
     343,   344,   345,   346,   347,     0,   348,     0,   349,     0,
       0,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,   359,   360,     0,   361,   362,   363,   364,  1812,     0,
     367,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,     0,   380,   381,   382,   383,   384,
     385,   386,     0,   387,     0,   388,     0,     0,   391,     0,
     393,   394,   395,   396,   397,     0,     0,   398,   399,     0,
     401,     0,     0,   403,   404,   405,     0,     0,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,     0,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
       0,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,     0,     0,   450,
     451,   452,     0,   454,     0,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,     0,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,     0,   520,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,     0,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,     0,
     552,     0,   554,   555,   556,   557,   558,     0,   559,   560,
     561,     0,     0,   562,   563,   564,   565,   566,     0,   567,
     568,   569,   570,   571,   572,   573,   574,     0,     0,   575,
     576,   577,   578,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,     0,   587,     0,   589,   590,   591,   592,
       0,     0,   593,     0,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   621,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,   235,   236,   237,   238,   239,   240,   241,
       0,   242,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,     0,   248,   249,   250,   251,     0,
     253,   254,   255,   256,   257,     0,   259,   260,     0,   261,
     262,   263,   264,   265,   266,   267,     0,     0,   268,   269,
     270,   271,   272,     0,   273,   274,   275,   276,   277,     0,
       0,     0,   279,   280,   281,   282,   283,   284,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,     0,
       0,   296,   297,   298,     0,     0,     0,     0,     0,     0,
       0,   300,   301,   302,   303,   304,   305,   306,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   315,   316,
       0,   317,   318,   319,   320,     0,     0,   321,   322,   323,
     324,   325,     0,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,     0,   342,     0,   343,   344,   345,   346,   347,     0,
     348,     0,   349,     0,     0,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,   359,   360,     0,   361,   362,
     363,   364,  1846,     0,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,     0,   380,
     381,   382,   383,   384,   385,   386,     0,   387,     0,   388,
       0,     0,   391,     0,   393,   394,   395,   396,   397,     0,
       0,   398,   399,     0,   401,     0,     0,   403,   404,   405,
       0,     0,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,     0,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,     0,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,     0,     0,   450,   451,   452,     0,   454,     0,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,     0,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,     0,   520,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,     0,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,     0,   552,     0,   554,   555,   556,   557,
     558,     0,   559,   560,   561,     0,     0,   562,   563,   564,
     565,   566,     0,   567,   568,   569,   570,   571,   572,   573,
     574,     0,     0,   575,   576,   577,   578,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,     0,   587,     0,
     589,   590,   591,   592,     0,     0,   593,     0,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   621,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,   235,   236,   237,
     238,   239,   240,   241,     0,   242,   243,   244,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,     0,   248,
     249,   250,   251,     0,   253,   254,   255,   256,   257,     0,
     259,   260,     0,   261,   262,   263,   264,   265,   266,   267,
       0,     0,   268,   269,   270,   271,   272,     0,   273,   274,
     275,   276,   277,     0,     0,     0,   279,   280,   281,   282,
     283,   284,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,     0,     0,   296,   297,   298,     0,     0,
       0,     0,     0,     0,     0,   300,   301,   302,   303,   304,
     305,   306,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   315,   316,     0,   317,   318,   319,   320,     0,
       0,   321,   322,   323,   324,   325,     0,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,     0,   342,     0,   343,   344,
     345,   346,   347,     0,   348,     0,   349,     0,     0,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,   359,
     360,     0,   361,   362,   363,   364,  1848,     0,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,   381,   382,   383,   384,   385,   386,
       0,   387,     0,   388,     0,     0,   391,     0,   393,   394,
     395,   396,   397,     0,     0,   398,   399,     0,   401,     0,
       0,   403,   404,   405,     0,     0,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,     0,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,     0,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,     0,     0,   450,   451,   452,
       0,   454,     0,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,     0,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,     0,   520,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,     0,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,     0,   552,     0,
     554,   555,   556,   557,   558,     0,   559,   560,   561,     0,
       0,   562,   563,   564,   565,   566,     0,   567,   568,   569,
     570,   571,   572,   573,   574,     0,     0,   575,   576,   577,
     578,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,     0,   587,     0,   589,   590,   591,   592,     0,     0,
     593,     0,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   621,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,     0,   253,   254,
     255,   256,   257,     0,   259,   260,     0,   261,   262,   263,
     264,   265,   266,   267,     0,     0,   268,   269,   270,   271,
     272,     0,   273,   274,   275,   276,   277,     0,     0,     0,
     279,   280,   281,   282,   283,   284,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,     0,   296,
     297,   298,     0,     0,     0,     0,     0,     0,     0,   300,
     301,   302,   303,   304,   305,   306,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   323,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,     0,
     342,     0,   343,   344,   345,   346,   347,     0,   348,     0,
     349,     0,     0,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,   359,   360,     0,   361,   362,   363,   364,
    1887,     0,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,   381,   382,
     383,   384,   385,   386,     0,   387,     0,   388,     0,     0,
     391,     0,   393,   394,   395,   396,   397,     0,     0,   398,
     399,     0,   401,     0,     0,   403,   404,   405,     0,     0,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,     0,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,     0,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,     0,
       0,   450,   451,   452,     0,   454,     0,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,     0,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,     0,   552,     0,   554,   555,   556,   557,   558,     0,
     559,   560,   561,     0,     0,   562,   563,   564,   565,   566,
       0,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,     0,   587,     0,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   621,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,     0,   253,   254,   255,   256,   257,     0,   259,   260,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   270,   271,   272,     0,   273,   274,   275,   276,
     277,     0,     0,     0,   279,   280,   281,   282,   283,   284,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,     0,   296,   297,   298,     0,     0,     0,     0,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   306,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   323,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,     0,   342,     0,   343,   344,   345,   346,
     347,     0,   348,     0,   349,     0,     0,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,   359,   360,     0,
     361,   362,   363,   364,  1889,     0,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
       0,   380,   381,   382,   383,   384,   385,   386,     0,   387,
       0,   388,     0,     0,   391,     0,   393,   394,   395,   396,
     397,     0,     0,   398,   399,     0,   401,     0,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,     0,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,     0,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,   452,     0,   454,
       0,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,     0,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,     0,   552,     0,   554,   555,
     556,   557,   558,     0,   559,   560,   561,     0,     0,   562,
     563,   564,   565,   566,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,     0,
     587,     0,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   621,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,   235,
     236,   237,   238,   239,   240,   241,     0,   242,   243,   244,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
       0,   248,   249,   250,   251,     0,   253,   254,   255,   256,
     257,     0,   259,   260,     0,   261,   262,   263,   264,   265,
     266,   267,     0,     0,   268,   269,   270,   271,   272,     0,
     273,   274,   275,   276,   277,     0,     0,     0,   279,   280,
     281,   282,   283,   284,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,     0,     0,   296,   297,   298,
       0,     0,     0,     0,     0,     0,     0,   300,   301,   302,
     303,   304,   305,   306,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   315,   316,     0,   317,   318,   319,
     320,     0,     0,   321,   322,   323,   324,   325,     0,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,     0,   342,     0,
     343,   344,   345,   346,   347,     0,   348,     0,   349,     0,
       0,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,   359,   360,     0,   361,   362,   363,   364,  1891,     0,
     367,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,     0,   380,   381,   382,   383,   384,
     385,   386,     0,   387,     0,   388,     0,     0,   391,     0,
     393,   394,   395,   396,   397,     0,     0,   398,   399,     0,
     401,     0,     0,   403,   404,   405,     0,     0,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,     0,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
       0,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,     0,     0,   450,
     451,   452,     0,   454,     0,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,     0,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,     0,   520,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,     0,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,     0,
     552,     0,   554,   555,   556,   557,   558,     0,   559,   560,
     561,     0,     0,   562,   563,   564,   565,   566,     0,   567,
     568,   569,   570,   571,   572,   573,   574,     0,     0,   575,
     576,   577,   578,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,     0,   587,     0,   589,   590,   591,   592,
       0,     0,   593,     0,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   621,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,   235,   236,   237,   238,   239,   240,   241,
       0,   242,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,     0,   248,   249,   250,   251,     0,
     253,   254,   255,   256,   257,     0,   259,   260,     0,   261,
     262,   263,   264,   265,   266,   267,     0,     0,   268,   269,
     270,   271,   272,     0,   273,   274,   275,   276,   277,     0,
       0,     0,   279,   280,   281,   282,   283,   284,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,     0,
       0,   296,   297,   298,     0,     0,     0,     0,     0,     0,
       0,   300,   301,   302,   303,   304,   305,   306,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   315,   316,
       0,   317,   318,   319,   320,     0,     0,   321,   322,   323,
     324,   325,     0,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,     0,   342,     0,   343,   344,   345,   346,   347,     0,
     348,     0,   349,     0,     0,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,   359,   360,     0,   361,   362,
     363,   364,   365,     0,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,     0,   380,
     381,   382,   383,   384,   385,   386,     0,   387,     0,   388,
       0,     0,   391,     0,   393,   394,   395,   396,   397,     0,
       0,   398,   399,     0,   401,     0,     0,   403,   404,   405,
       0,     0,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,     0,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,     0,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,     0,     0,   450,   451,   452,     0,   454,     0,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,     0,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,     0,   505,   506,   507,   508,   509,   510,   511,   512,
    1984,   514,   515,   516,   517,   518,   519,     0,   520,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,     0,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,     0,   552,     0,   554,   555,   556,   557,
     558,     0,   559,   560,   561,     0,     0,   562,   563,   564,
     565,   566,     0,   567,   568,   569,   570,   571,   572,   573,
     574,     0,     0,   575,   576,   577,   578,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,     0,   587,     0,
     589,   590,   591,   592,     0,     0,   593,     0,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   621,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,   235,   236,   237,
     238,   239,   240,   241,     0,   242,   243,   244,     0,     0,
       0,     0,     0,  2609,     0,   245,   246,   247,     0,   248,
     249,   250,   251,     0,   253,   254,   255,   256,   257,     0,
     259,   260,     0,   261,   262,   263,   264,   265,   266,   267,
       0,     0,   268,   269,   270,   271,   272,     0,   273,   274,
     275,   276,   277,     0,     0,     0,   279,   280,   281,   282,
     283,   284,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,     0,     0,   296,   297,   298,     0,     0,
       0,     0,     0,     0,     0,   300,   301,   302,   303,   304,
     305,   306,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   315,   316,     0,   317,   318,   319,   320,     0,
       0,   321,   322,   323,   324,   325,     0,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,     0,   342,     0,   343,   344,
     345,   346,   347,     0,   348,     0,   349,     0,     0,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,   359,
     360,     0,   361,   362,   363,   364,   365,     0,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,   381,   382,   383,   384,   385,   386,
       0,   387,     0,   388,     0,     0,   391,     0,   393,   394,
     395,   396,   397,     0,     0,   398,   399,     0,   401,     0,
       0,   403,   404,   405,     0,     0,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,     0,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,     0,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,     0,     0,   450,   451,   452,
       0,   454,     0,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,     0,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,     0,   520,   521,   522,   523,   524,     0,     0,   526,
     527,   528,   529,     0,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,     0,   552,     0,
     554,   555,   556,   557,   558,     0,   559,   560,   561,     0,
       0,   562,   563,   564,   565,   566,     0,   567,   568,   569,
     570,   571,   572,   573,   574,     0,     0,   575,   576,   577,
     578,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,     0,   587,     0,   589,   590,   591,   592,     0,     0,
     593,     0,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   621,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,     0,   253,   254,
     255,   256,   257,     0,   259,   260,     0,   261,   262,   263,
     264,   265,   266,   267,     0,     0,   809,   269,   270,   271,
     272,     0,   273,   274,   275,   276,   277,     0,     0,     0,
     279,   280,   281,   282,   283,   284,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,     0,   296,
     297,   298,     0,     0,     0,     0,     0,     0,     0,   300,
     301,   302,   303,   304,   305,   306,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   323,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,     0,
     342,     0,   343,   344,   345,   346,   347,     0,   348,     0,
     349,     0,     0,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,   359,   360,     0,   361,   362,   363,   364,
     365,     0,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,   381,   382,
     383,   384,   385,   386,     0,   387,     0,   388,     0,     0,
     391,     0,   393,   394,   395,   396,   397,     0,     0,   398,
     399,     0,   401,     0,     0,   403,   404,   405,     0,     0,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   812,   422,     0,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,     0,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,     0,
       0,   450,   451,   452,     0,   454,     0,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,     0,
     813,   506,   507,   508,   509,   510,   511,   512,   513,   814,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
    1339,     0,   525,   526,   527,   528,   529,     0,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,     0,   552,     0,  2642,   555,   556,   557,   558,     0,
     559,   816,   561,     0,     0,   817,   563,   564,   565,   566,
       0,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,     0,   587,     0,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   818,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   621,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,     0,   253,   254,   255,   256,   257,     0,   259,   260,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     809,   269,   270,   271,   272,     0,   273,   274,   275,   276,
     277,     0,     0,     0,   279,   280,   281,   282,   283,   284,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,     0,   296,   297,   298,     0,     0,     0,     0,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   306,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   323,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,     0,   342,     0,   343,   344,   345,   346,
     347,     0,   348,     0,   349,     0,     0,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,   359,   360,     0,
     361,   362,   363,   364,   365,     0,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
       0,   380,   381,   382,   383,   384,   385,   386,     0,   387,
       0,   388,     0,     0,   391,     0,   393,   394,   395,   396,
     397,     0,     0,   398,   399,     0,   401,     0,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   812,
     422,     0,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,     0,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,   452,     0,   454,
       0,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,     0,   813,   506,   507,   508,   509,   510,
     511,   512,   513,  2707,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,  2708,     0,   525,   526,   527,   528,
     529,     0,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,     0,   552,     0,   554,   555,
     556,   557,   558,     0,   559,   816,   561,     0,     0,  2709,
     563,   564,   565,   566,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,     0,
     587,     0,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   818,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   621,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,   235,
     236,   237,   238,   239,   240,   241,     0,   242,   243,   244,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
       0,   248,   249,   250,   251,     0,   253,   254,   255,   256,
     257,     0,   259,   260,     0,   261,   262,   263,   264,   265,
     266,   267,     0,     0,   809,   269,   270,   271,   272,     0,
     273,   274,   275,   276,   277,     0,     0,     0,   279,   280,
     281,   282,   283,   284,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,     0,     0,   296,   297,   298,
       0,     0,     0,     0,     0,     0,     0,   300,   301,   302,
     303,   304,   305,   306,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   315,   316,     0,   317,   318,   319,
     320,     0,     0,   321,   322,   323,   324,   325,     0,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,     0,   342,     0,
     343,   344,   345,   346,   347,     0,   348,     0,   349,     0,
       0,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,   359,   360,     0,   361,   362,   363,   364,   365,     0,
     367,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,     0,   380,   381,   382,   383,   384,
     385,   386,     0,   387,     0,   388,     0,     0,   391,     0,
     393,   394,   395,   396,   397,     0,     0,   398,   399,     0,
     401,     0,     0,   403,   404,   405,     0,     0,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   812,   422,     0,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
       0,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,     0,     0,   450,
     451,   452,     0,   454,     0,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,     0,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,     0,   813,   506,
     507,   508,   509,   510,   511,   512,   513,  2786,   515,   516,
     517,   518,   519,     0,   520,   521,   522,   523,  2708,     0,
     525,   526,   527,   528,   529,     0,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,     0,
     552,     0,   554,   555,   556,   557,   558,     0,   559,   816,
     561,     0,     0,  2709,   563,   564,   565,   566,     0,   567,
     568,   569,   570,   571,   572,   573,   574,     0,     0,   575,
     576,   577,   578,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,     0,   587,     0,   589,   590,   591,   592,
       0,     0,   593,     0,     0,   594,   595,   596,   597,   598,
     818,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   621,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,   235,   236,   237,   238,   239,   240,   241,
       0,   242,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,     0,   248,   249,   250,   251,     0,
     253,   254,   255,   256,   257,     0,   259,   260,     0,   261,
     262,   263,   264,   265,   266,   267,     0,     0,   809,   269,
     270,   271,   272,     0,   273,   274,   275,   276,   277,     0,
       0,     0,   279,   280,   281,   282,   283,   284,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,     0,
       0,   296,   297,   298,     0,     0,     0,     0,     0,     0,
       0,   300,   301,   302,   303,   304,   305,   306,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   315,   316,
       0,   317,   318,   319,   320,     0,     0,   321,   322,   323,
     324,   325,     0,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,     0,   342,     0,   343,   344,   345,   346,   347,     0,
     348,     0,   349,     0,     0,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,   359,   360,     0,   361,   362,
     363,   364,   365,     0,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,     0,   380,
     381,   382,   383,   384,   385,   386,     0,   387,     0,   388,
       0,     0,   391,     0,   393,   394,   395,   396,   397,     0,
       0,   398,   399,     0,   401,     0,     0,   403,   404,   405,
       0,     0,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   812,   422,     0,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,     0,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,     0,     0,   450,   451,   452,     0,   454,     0,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,     0,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,     0,   813,   506,   507,   508,   509,   510,   511,   512,
     513,  2803,   515,   516,   517,   518,   519,     0,   520,   521,
     522,   523,  2708,     0,   525,   526,   527,   528,   529,     0,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,     0,   552,     0,   554,   555,   556,   557,
     558,     0,   559,   816,   561,     0,     0,  2709,   563,   564,
     565,   566,     0,   567,   568,   569,   570,   571,   572,   573,
     574,     0,     0,   575,   576,   577,   578,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,     0,   587,     0,
     589,   590,   591,   592,     0,     0,   593,     0,     0,   594,
     595,   596,   597,   598,   818,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   621,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,   235,   236,   237,
     238,   239,   240,   241,     0,   242,   243,   244,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,     0,   248,
     249,   250,   251,     0,   253,   254,   255,   256,   257,     0,
     259,   260,     0,   261,   262,   263,   264,   265,   266,   267,
       0,     0,   268,   269,   270,   271,   272,     0,   273,   274,
     275,   276,   277,     0,     0,     0,   279,   280,   281,   282,
     283,   284,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,     0,     0,   296,   297,   298,     0,     0,
       0,     0,     0,     0,     0,   300,   301,   302,   303,   304,
     305,   306,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   315,   316,     0,   317,   318,   319,   320,     0,
       0,   321,   322,   323,   324,   325,     0,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,     0,   342,     0,   343,   344,
     345,   346,   347,     0,   348,     0,   349,     0,     0,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,   359,
     360,     0,   361,   362,   363,   364,  2996,     0,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,   381,   382,   383,   384,   385,   386,
       0,   387,     0,   388,     0,     0,   391,     0,   393,   394,
     395,   396,   397,     0,     0,   398,   399,     0,   401,     0,
       0,   403,   404,   405,     0,     0,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,     0,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,     0,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,     0,     0,   450,   451,   452,
       0,   454,     0,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,     0,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,     0,   520,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,     0,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,     0,   552,     0,
     554,   555,   556,   557,   558,     0,   559,   560,   561,     0,
       0,   562,   563,   564,   565,   566,     0,   567,   568,   569,
     570,   571,   572,   573,   574,     0,     0,   575,   576,   577,
     578,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,     0,   587,     0,   589,   590,   591,   592,     0,     0,
     593,     0,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   621,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,     0,   253,   254,
     255,   256,   257,     0,   259,   260,     0,   261,   262,   263,
     264,   265,   266,   267,     0,     0,   268,   269,   270,   271,
     272,     0,   273,   274,   275,   276,   277,     0,     0,     0,
     279,   280,   281,   282,   283,   284,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,     0,   296,
     297,   298,     0,     0,     0,     0,     0,     0,     0,   300,
     301,   302,   303,   304,   305,   306,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   323,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,     0,
     342,     0,   343,   344,   345,   346,   347,     0,   348,     0,
     349,     0,     0,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,   359,   360,     0,   361,   362,   363,   364,
    3000,     0,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,   381,   382,
     383,   384,   385,   386,     0,   387,     0,   388,     0,     0,
     391,     0,   393,   394,   395,   396,   397,     0,     0,   398,
     399,     0,   401,     0,     0,   403,   404,   405,     0,     0,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,     0,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,     0,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,     0,
       0,   450,   451,   452,     0,   454,     0,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,     0,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,     0,   552,     0,   554,   555,   556,   557,   558,     0,
     559,   560,   561,     0,     0,   562,   563,   564,   565,   566,
       0,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,     0,   587,     0,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   621,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,     0,   253,   254,   255,   256,   257,     0,   259,   260,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   270,   271,   272,     0,   273,   274,   275,   276,
     277,     0,     0,     0,   279,   280,   281,   282,   283,   284,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,     0,   296,   297,   298,     0,     0,     0,     0,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   306,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   323,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,     0,   342,     0,   343,   344,   345,   346,
     347,     0,   348,     0,   349,     0,     0,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,   359,   360,     0,
     361,   362,   363,   364,  3059,     0,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
       0,   380,   381,   382,   383,   384,   385,   386,     0,   387,
       0,   388,     0,     0,   391,     0,   393,   394,   395,   396,
     397,     0,     0,   398,   399,     0,   401,     0,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,     0,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,     0,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,   452,     0,   454,
       0,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,     0,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,     0,   552,     0,   554,   555,
     556,   557,   558,     0,   559,   560,   561,     0,     0,   562,
     563,   564,   565,   566,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,     0,
     587,     0,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   621,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,   235,
     236,   237,   238,   239,   240,   241,     0,   242,   243,   244,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
       0,   248,   249,   250,   251,     0,   253,   254,   255,   256,
     257,     0,   259,   260,     0,   261,   262,   263,   264,   265,
     266,   267,     0,     0,   268,   269,   270,   271,   272,     0,
     273,   274,   275,   276,   277,     0,     0,     0,   279,   280,
     281,   282,   283,   284,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,     0,     0,   296,   297,   298,
       0,     0,     0,     0,     0,     0,     0,   300,   301,   302,
     303,   304,   305,   306,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   315,   316,     0,   317,   318,   319,
     320,     0,     0,   321,   322,   323,   324,   325,     0,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,     0,   342,     0,
     343,   344,   345,   346,   347,     0,   348,     0,   349,     0,
       0,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,   359,   360,     0,   361,   362,   363,   364,  3415,     0,
     367,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,     0,   380,   381,   382,   383,   384,
     385,   386,     0,   387,     0,   388,     0,     0,   391,     0,
     393,   394,   395,   396,   397,     0,     0,   398,   399,     0,
     401,     0,     0,   403,   404,   405,     0,     0,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,     0,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
       0,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,     0,     0,   450,
     451,   452,     0,   454,     0,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,     0,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,     0,   520,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,     0,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,     0,
     552,     0,   554,   555,   556,   557,   558,     0,   559,   560,
     561,     0,     0,   562,   563,   564,   565,   566,     0,   567,
     568,   569,   570,   571,   572,   573,   574,     0,     0,   575,
     576,   577,   578,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,     0,   587,     0,   589,   590,   591,   592,
       0,     0,   593,     0,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   621,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,   235,   236,   237,   238,   239,   240,   241,
       0,   242,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,     0,   248,   249,   250,   251,     0,
     253,   254,   255,   256,   257,     0,   259,   260,     0,   261,
     262,   263,   264,   265,   266,   267,     0,     0,   809,   269,
     270,   271,   272,     0,   273,   274,   275,   276,   277,     0,
       0,     0,   279,   280,   281,   282,   283,   284,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,     0,
       0,   296,   297,   298,     0,     0,     0,     0,     0,     0,
       0,   300,   301,   302,   303,   304,   305,   306,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   315,   316,
       0,   317,   318,   319,   320,     0,     0,   321,   322,   323,
     324,   325,     0,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,     0,   342,     0,   343,   344,   345,   346,   347,     0,
     348,     0,   349,     0,     0,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,   359,   360,     0,   361,   362,
     363,   364,   365,     0,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,     0,   380,
     381,   382,   383,   384,   385,   386,     0,   387,     0,   388,
       0,     0,   391,     0,   393,   394,   395,   396,   397,     0,
       0,   398,   399,     0,   401,     0,     0,   403,   404,   405,
       0,     0,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   812,   422,     0,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,     0,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,     0,     0,   450,   451,   452,     0,   454,     0,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,     0,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,     0,   813,   506,   507,   508,   509,   510,   511,   512,
     513,   814,   515,   516,   517,   518,   519,     0,   520,   521,
     522,   523,  2708,     0,   525,   526,   527,   528,   529,     0,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,     0,   552,     0,   554,   555,   556,   557,
     558,     0,   559,   816,   561,     0,     0,  2709,   563,   564,
     565,   566,     0,   567,   568,   569,   570,   571,   572,   573,
     574,     0,     0,   575,   576,   577,   578,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,     0,   587,     0,
     589,   590,   591,   592,     0,     0,   593,     0,     0,   594,
     595,   596,   597,   598,   818,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   621,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,   235,   236,   237,
     238,   239,   240,   241,     0,   242,   243,   244,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,     0,   248,
     249,   250,   251,     0,   253,   254,   255,   256,   257,     0,
     259,   260,     0,   261,   262,   263,   264,   265,   266,   267,
       0,     0,   268,   269,   270,   271,   272,     0,   273,   274,
     275,   276,   277,     0,     0,     0,   279,   280,   281,   282,
     283,   284,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,     0,     0,   296,   297,   298,     0,     0,
       0,     0,     0,     0,     0,   300,   301,   302,   303,   304,
     305,   306,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   315,   316,     0,   317,   318,   319,   320,     0,
       0,   321,   322,   323,   324,   325,     0,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,     0,   342,     0,   343,   344,
     345,   346,   347,     0,   348,     0,   349,     0,     0,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,   359,
     360,     0,   361,   362,   363,   364,  3472,     0,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,   381,   382,   383,   384,   385,   386,
       0,   387,     0,   388,     0,     0,   391,     0,   393,   394,
     395,   396,   397,     0,     0,   398,   399,     0,   401,     0,
       0,   403,   404,   405,     0,     0,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,     0,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,     0,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,     0,     0,   450,   451,   452,
       0,   454,     0,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,     0,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,     0,   520,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,     0,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,     0,   552,     0,
     554,   555,   556,   557,   558,     0,   559,   560,   561,     0,
       0,   562,   563,   564,   565,   566,     0,   567,   568,   569,
     570,   571,   572,   573,   574,     0,     0,   575,   576,   577,
     578,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,     0,   587,     0,   589,   590,   591,   592,     0,     0,
     593,     0,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   621,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,     0,   253,   254,
     255,   256,   257,     0,   259,   260,     0,   261,   262,   263,
     264,   265,   266,   267,     0,     0,   268,   269,   270,   271,
     272,     0,   273,   274,   275,   276,   277,     0,     0,     0,
     279,   280,   281,   282,   283,   284,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,     0,   296,
     297,   298,     0,     0,     0,     0,     0,     0,     0,   300,
     301,   302,   303,   304,   305,   306,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   323,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,     0,
     342,     0,   343,   344,   345,   346,   347,     0,   348,     0,
     349,     0,     0,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,   359,   360,     0,   361,   362,   363,   364,
    3486,     0,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,   381,   382,
     383,   384,   385,   386,     0,   387,     0,   388,     0,     0,
     391,     0,   393,   394,   395,   396,   397,     0,     0,   398,
     399,     0,   401,     0,     0,   403,   404,   405,     0,     0,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,     0,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,     0,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,     0,
       0,   450,   451,   452,     0,   454,     0,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,     0,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,     0,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,     0,   552,     0,   554,   555,   556,   557,   558,     0,
     559,   560,   561,     0,     0,   562,   563,   564,   565,   566,
       0,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,     0,   587,     0,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   621,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,     0,   253,   254,   255,   256,   257,     0,   259,   260,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   270,   271,   272,     0,   273,   274,   275,   276,
     277,     0,     0,     0,   279,   280,   281,   282,   283,   284,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,     0,   296,   297,   298,     0,     0,     0,     0,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   306,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   323,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,     0,   342,     0,   343,   344,   345,   346,
     347,     0,   348,     0,   349,     0,     0,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,   359,   360,     0,
     361,   362,   363,   364,  3488,     0,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
       0,   380,   381,   382,   383,   384,   385,   386,     0,   387,
       0,   388,     0,     0,   391,     0,   393,   394,   395,   396,
     397,     0,     0,   398,   399,     0,   401,     0,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,     0,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,     0,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,   452,     0,   454,
       0,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,     0,   531,   532,   533,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,     0,   552,     0,   554,   555,
     556,   557,   558,     0,   559,   560,   561,     0,     0,   562,
     563,   564,   565,   566,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,     0,
     587,     0,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   621,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,   235,
     236,   237,   238,   239,   240,   241,     0,   242,   243,   244,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
       0,   248,   249,   250,   251,     0,   253,   254,   255,   256,
     257,     0,   259,   260,     0,   261,   262,   263,   264,   265,
     266,   267,     0,     0,   268,   269,   270,   271,   272,     0,
     273,   274,   275,   276,   277,     0,     0,     0,   279,   280,
     281,   282,   283,   284,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,     0,     0,   296,   297,   298,
       0,     0,     0,     0,     0,     0,     0,   300,   301,   302,
     303,   304,   305,   306,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   315,   316,     0,   317,   318,   319,
     320,     0,     0,   321,   322,   323,   324,   325,     0,   326,
     327,   328,     0,   329,   330,   331,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,     0,   342,     0,
     343,   344,   345,   346,   347,     0,   348,     0,   349,     0,
       0,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,   359,   360,     0,   361,   362,   363,   364,  3632,     0,
     367,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,     0,   380,   381,   382,   383,   384,
     385,   386,     0,   387,     0,   388,     0,     0,   391,     0,
     393,   394,   395,   396,   397,     0,     0,   398,   399,     0,
     401,     0,     0,   403,   404,   405,     0,     0,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,     0,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
       0,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,     0,     0,   450,
     451,   452,     0,   454,     0,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,     0,   466,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,     0,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,     0,   520,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,     0,   531,   532,   533,   534,
       0,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,     0,
     552,     0,   554,   555,   556,   557,   558,     0,   559,   560,
     561,     0,     0,   562,   563,   564,   565,   566,     0,   567,
     568,   569,   570,   571,   572,   573,   574,     0,     0,   575,
     576,   577,   578,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,     0,   587,     0,   589,   590,   591,   592,
       0,     0,   593,     0,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   621,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,   235,   236,   237,   238,   239,   240,   241,
       0,   242,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,     0,   248,   249,   250,   251,     0,
     253,   254,   255,   256,   257,     0,   259,   260,     0,   261,
     262,   263,   264,   265,   266,   267,     0,     0,   268,   269,
     270,   271,   272,     0,   273,   274,   275,   276,   277,     0,
       0,     0,   279,   280,   281,   282,   283,   284,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,     0,
       0,   296,   297,   298,     0,     0,     0,     0,     0,     0,
       0,   300,   301,   302,   303,   304,   305,   306,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   315,   316,
       0,   317,   318,   319,   320,     0,     0,   321,  3672,   323,
     324,   325,     0,   326,   327,   328,     0,   329,   330,   331,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,     0,   342,     0,   343,   344,   345,   346,   347,     0,
     348,     0,   349,     0,     0,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,   359,   360,     0,   361,   362,
     363,   364,   365,     0,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,     0,   380,
     381,   382,   383,   384,   385,   386,     0,   387,     0,   388,
       0,     0,   391,     0,   393,   394,   395,   396,   397,     0,
       0,   398,   399,     0,   401,     0,     0,   403,   404,   405,
       0,     0,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,     0,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,     0,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,     0,     0,   450,   451,   452,     0,   454,     0,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,     0,
     466,   467,   468,   469,   470,   471,   472,   473,     0,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,     0,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,     0,   520,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,     0,
     531,   532,   533,   534,     0,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,     0,   552,     0,   554,   555,   556,   557,
     558,     0,   559,   560,   561,     0,     0,   562,   563,   564,
     565,   566,     0,   567,   568,   569,   570,   571,   572,   573,
     574,     0,     0,   575,   576,   577,   578,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,     0,   587,     0,
     589,   590,   591,   592,     0,     0,   593,     0,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   621,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,   235,   236,   237,
     238,   239,   240,   241,     0,   242,   243,   244,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,     0,   248,
     249,   250,   251,     0,   253,   254,   255,   256,   257,     0,
     259,   260,     0,   261,   262,   263,   264,   265,   266,   267,
       0,     0,   268,   269,   270,   271,   272,     0,   273,   274,
     275,   276,   277,     0,     0,     0,   279,   280,   281,   282,
     283,   284,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,     0,     0,   296,   297,   298,     0,     0,
       0,     0,     0,     0,     0,   300,   301,   302,   303,   304,
     305,   306,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   315,   316,     0,   317,   318,   319,   320,     0,
       0,   321,   322,   323,   324,   325,     0,   326,   327,   328,
       0,   329,   330,   331,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,     0,   342,     0,   343,   344,
     345,   346,   347,     0,   348,     0,   349,     0,     0,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,   359,
     360,     0,   361,   362,   363,   364,  4836,     0,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,   381,   382,   383,   384,   385,   386,
       0,   387,     0,   388,     0,     0,   391,     0,   393,   394,
     395,   396,   397,     0,     0,   398,   399,     0,   401,     0,
       0,   403,   404,   405,     0,     0,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,     0,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,     0,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,     0,     0,   450,   451,   452,
       0,   454,     0,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,     0,   466,   467,   468,   469,   470,   471,
     472,   473,     0,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,     0,   520,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,     0,   531,   532,   533,   534,     0,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,     0,   552,     0,
     554,   555,   556,   557,   558,     0,   559,   560,   561,     0,
       0,   562,   563,   564,   565,   566,     0,   567,   568,   569,
     570,   571,   572,   573,   574,     0,     0,   575,   576,   577,
     578,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,     0,   587,     0,   589,   590,   591,   592,     0,     0,
     593,     0,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   845,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,   252,   253,   254,
     255,     0,   846,   258,   847,   848,     0,   261,   262,   263,
     264,   265,   266,   267,     0,     0,   268,   269,   849,   850,
     272,     0,   273,   274,   275,   276,     0,     0,   278,     0,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,   295,   296,
     297,   298,     0,     0,     0,   299,     0,     0,     0,   300,
     301,   302,   303,   304,   305,   851,   852,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   853,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,     0,   337,   338,   339,   340,     0,     0,
     342,     0,   343,   344,   345,   854,   347,     0,   348,     0,
     349,   350,     0,   351,   352,   353,   354,   355,     0,   356,
       0,     0,     0,   359,   360,     0,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,  2617,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,  2618,   381,   382,
     383,   384,   855,   856,     0,   857,     0,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,     0,     0,   398,
       0,   400,   401,   402,     0,   403,   404,   405,     0,     0,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   858,   423,   859,   425,
     426,   427,   428,   429,   430,   431,     0,     0,   434,     0,
     435,   436,   437,   438,     0,     0,   440,   860,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,     0,
       0,   450,   451,  2620,   453,   454,   455,     0,   457,   458,
     459,   460,   461,   462,   463,   464,   465,     0,   466,   467,
       0,   469,     0,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   861,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,     0,   525,   526,  2621,   528,   529,   530,   531,   532,
     863,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,     0,   549,     0,   550,
     551,     0,   552,   553,   554,   555,   556,   557,   558,     0,
     559,   864,   865,     0,     0,   562,   563,     0,   565,     0,
       0,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,     0,     0,   580,   581,
     582,   583,   584,     0,   866,  2622,   587,   588,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   621,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   611,   612,   613,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,     0,   242,
     243,   244,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,     0,   248,   249,   250,   251,     0,   253,   254,
     255,   256,   257,     0,   259,   260,     0,   261,   262,   263,
     264,   265,   266,   267,     0,     0,   268,   269,   270,   271,
     272,     0,   273,   274,   275,   276,   277,     0,     0,     0,
     279,   280,   281,   282,   283,   284,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,     0,     0,   296,
     297,   298,     0,     0,     0,     0,     0,     0,     0,   300,
     301,   302,   303,   304,   305,   306,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   315,   316,     0,   317,
     318,   319,   320,     0,     0,   321,   322,   323,   324,   325,
       0,   326,   327,   328,     0,   329,   330,   331,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,     0,
     342,     0,   343,   344,   345,   346,   347,     0,   348,     0,
     349,     0,     0,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   360,     0,   361,   362,   363,   364,
     365,     0,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,   381,   382,
     383,   384,   385,   386,     0,   387,     0,   388,     0,     0,
     391,     0,   393,   394,   395,   396,   397,     0,     0,   398,
     399,     0,   401,     0,     0,   403,   404,   405,     0,     0,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,     0,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,     0,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,     0,
       0,   450,   451,   452,     0,   454,     0,   456,   457,   458,
     459,   460,   461,   462,     0,   464,   465,     0,   466,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,     0,
     505,   506,   507,   508,   509,   510,     0,   512,   513,   514,
     515,   516,   517,   518,   519,     0,   520,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,     0,   531,   532,
     533,   534,     0,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,     0,   552,     0,   554,   555,   556,   557,   558,     0,
     559,   560,   561,     0,     0,   562,   563,   564,   565,   566,
       0,   567,   568,   569,   570,   571,   572,   573,   574,     0,
       0,   575,   576,   577,   578,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,     0,   587,     0,   589,   590,
     591,   592,     0,     0,   593,     0,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   845,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,   252,   253,   254,   255,     0,   846,   258,   847,   848,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   849,   850,   272,     0,   273,   274,   275,   276,
       0,     0,   278,     0,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,   295,   296,   297,   298,     0,     0,     0,   299,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   851,
     852,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   853,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,     0,   337,   338,
     339,   340,     0,     0,   342,     0,   343,   344,   345,   854,
     347,     0,   348,     0,   349,   350,     0,   351,   352,   353,
     354,   355,     0,   356,     0,     0,     0,   359,   360,     0,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,     0,   381,   382,   383,   384,   855,   856,     0,   857,
       0,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,     0,     0,   398,     0,   400,   401,   402,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     858,   423,   859,   425,   426,   427,   428,   429,   430,   431,
       0,     0,   434,     0,   435,   436,   437,   438,  2703,     0,
     440,   860,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,     0,   453,   454,
     455,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,     0,   469,     0,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   861,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,     0,   525,   526,  2621,   528,
     529,   530,   531,   532,   863,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   549,     0,   550,   551,  4394,   552,   553,   554,   555,
     556,   557,   558,     0,   559,   864,   865,     0,     0,   562,
     563,     0,   565,     0,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,     0,   866,     0,
     587,   588,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   845,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   611,   612,
     613,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,   252,   253,   254,   255,     0,   846,   258,   847,   848,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   849,   850,   272,     0,   273,   274,   275,   276,
       0,     0,   278,     0,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,   295,   296,   297,   298,     0,     0,     0,   299,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   851,
     852,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   853,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,     0,   337,   338,
     339,   340,     0,     0,   342,     0,   343,   344,   345,   854,
     347,     0,   348,     0,   349,   350,     0,   351,   352,   353,
     354,   355,     0,   356,     0,     0,     0,   359,   360,     0,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,     0,   381,   382,   383,   384,   855,   856,     0,   857,
       0,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,     0,     0,   398,     0,   400,   401,   402,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     858,   423,   859,   425,   426,   427,   428,   429,   430,   431,
    2776,     0,   434,     0,   435,   436,   437,   438,     0,     0,
     440,   860,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,     0,   453,   454,
     455,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,     0,   469,     0,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   861,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,     0,   525,   526,   862,   528,
     529,   530,   531,   532,   863,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   549,     0,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,     0,   559,   864,   865,     0,     0,   562,
     563,     0,   565,     0,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,     0,   866,     0,
     587,   588,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   845,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   611,   612,
     613,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,   252,   253,   254,   255,     0,   846,   258,   847,   848,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   849,   850,   272,     0,   273,   274,   275,   276,
       0,     0,   278,     0,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,   295,   296,   297,   298,     0,     0,     0,   299,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   851,
     852,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   853,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,     0,   337,   338,
     339,   340,     0,     0,   342,     0,   343,   344,   345,   854,
     347,     0,   348,     0,   349,   350,     0,   351,   352,   353,
     354,   355,     0,   356,     0,     0,     0,   359,   360,     0,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,     0,   381,   382,   383,   384,   855,   856,     0,   857,
       0,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,     0,     0,   398,     0,   400,   401,   402,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     858,   423,   859,   425,   426,   427,   428,   429,   430,   431,
    4198,     0,   434,     0,   435,   436,   437,   438,     0,     0,
     440,   860,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,     0,   453,   454,
     455,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,     0,   469,     0,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   861,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,     0,   525,   526,   862,   528,
     529,   530,   531,   532,   863,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   549,     0,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,     0,   559,   864,   865,     0,     0,   562,
     563,     0,   565,     0,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,     0,   866,     0,
     587,   588,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   845,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   611,   612,
     613,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,   252,   253,   254,   255,     0,   846,   258,   847,   848,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   849,   850,   272,     0,   273,   274,   275,   276,
       0,     0,   278,     0,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,   295,   296,   297,   298,     0,     0,     0,   299,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   851,
     852,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   853,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,     0,   337,   338,
     339,   340,     0,     0,   342,     0,   343,   344,   345,   854,
     347,  5644,   348,     0,   349,   350,     0,   351,   352,   353,
     354,   355,     0,   356,     0,     0,     0,   359,   360,     0,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,     0,   381,   382,   383,   384,   855,   856,     0,   857,
       0,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,     0,     0,   398,     0,   400,   401,   402,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     858,   423,   859,   425,   426,   427,   428,   429,   430,   431,
       0,     0,   434,     0,   435,   436,   437,   438,     0,     0,
     440,   860,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,     0,   453,   454,
     455,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,     0,   469,     0,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   861,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,     0,   525,   526,   862,   528,
     529,   530,   531,   532,   863,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   549,     0,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,     0,   559,   864,   865,     0,     0,   562,
     563,     0,   565,     0,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,     0,   866,     0,
     587,   588,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   845,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   611,   612,
     613,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,   252,   253,   254,   255,     0,   846,   258,   847,   848,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   849,   850,   272,     0,   273,   274,   275,   276,
       0,     0,   278,     0,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,   295,   296,   297,   298,     0,     0,     0,   299,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   851,
     852,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   853,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,     0,   337,   338,
     339,   340,     0,     0,   342,     0,   343,   344,   345,   854,
     347,     0,   348,     0,   349,   350,     0,   351,   352,   353,
     354,   355,     0,   356,     0,     0,     0,   359,   360,     0,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,     0,   381,   382,   383,   384,   855,   856,     0,   857,
       0,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,     0,     0,   398,     0,   400,   401,   402,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     858,   423,   859,   425,   426,   427,   428,   429,   430,   431,
       0,     0,   434,     0,   435,   436,   437,   438,     0,     0,
     440,   860,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,     0,   453,   454,
     455,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,     0,   469,     0,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   861,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,     0,   525,   526,   862,   528,
     529,   530,   531,   532,   863,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   549,     0,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,     0,   559,   864,   865,     0,     0,   562,
     563,     0,   565,     0,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,     0,   866,     0,
     587,   588,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   845,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   611,   612,
     613,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,   252,   253,   254,   255,     0,   846,   258,   847,   848,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   849,   850,   272,     0,   273,   274,   275,   276,
       0,     0,   278,     0,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,   295,   296,   297,   298,     0,     0,     0,   299,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   851,
     852,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   853,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,     0,   337,   338,
     339,   340,     0,     0,   342,     0,   343,   344,   345,   854,
     347,     0,   348,     0,   349,   350,     0,   351,   352,   353,
     354,   355,     0,   356,     0,     0,     0,   359,   360,     0,
     361,   362,   363,   364,  1118,   366,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,     0,   381,   382,   383,   384,   855,   856,     0,   857,
       0,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,     0,     0,   398,     0,   400,   401,   402,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     858,   423,   859,   425,   426,   427,   428,   429,   430,   431,
       0,     0,   434,     0,   435,   436,   437,   438,     0,     0,
     440,   860,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,     0,   453,   454,
     455,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,     0,   469,     0,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   861,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,     0,   525,   526,   862,   528,
     529,   530,   531,   532,   863,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   549,     0,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,     0,   559,   864,   865,     0,     0,   562,
     563,     0,   565,     0,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,     0,   866,     0,
     587,   588,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   845,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   611,   612,
     613,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,   252,   253,   254,   255,     0,   846,   258,   847,   848,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   849,   850,   272,     0,   273,   274,   275,   276,
       0,     0,   278,     0,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,   295,   296,   297,   298,     0,     0,     0,   299,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   851,
     852,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   853,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,     0,   337,   338,
     339,   340,     0,     0,   342,     0,   343,   344,   345,   854,
     347,     0,   348,     0,   349,   350,     0,   351,   352,   353,
     354,   355,     0,   356,     0,     0,     0,   359,   360,     0,
     361,   362,   363,   364,  1151,   366,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,     0,   381,   382,   383,   384,   855,   856,     0,   857,
       0,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,     0,     0,   398,     0,   400,   401,   402,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     858,   423,   859,   425,   426,   427,   428,   429,   430,   431,
       0,     0,   434,     0,   435,   436,   437,   438,     0,     0,
     440,   860,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,     0,   453,   454,
     455,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,     0,   469,     0,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   861,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,     0,   525,   526,   862,   528,
     529,   530,   531,   532,   863,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   549,     0,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,     0,   559,   864,   865,     0,     0,   562,
     563,     0,   565,     0,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,     0,   866,     0,
     587,   588,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   845,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   611,   612,
     613,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,   252,   253,   254,   255,     0,   846,   258,   847,   848,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   849,   850,   272,     0,   273,   274,   275,   276,
       0,     0,   278,     0,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,   295,   296,   297,   298,     0,     0,     0,   299,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   851,
     852,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   853,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,     0,   337,   338,
     339,   340,     0,     0,   342,     0,   343,   344,   345,   854,
     347,     0,   348,     0,   349,   350,     0,   351,   352,   353,
     354,   355,     0,   356,     0,     0,     0,   359,   360,     0,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,     0,   381,   382,   383,   384,   855,   856,     0,   857,
       0,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,     0,     0,   398,     0,   400,   401,   402,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     858,   423,   859,   425,   426,   427,   428,   429,   430,   431,
       0,     0,   434,     0,   435,   436,   437,   438,     0,     0,
     440,   860,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,     0,   453,   454,
     455,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,     0,   469,     0,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   861,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,     0,   525,   526,  2621,   528,
     529,   530,   531,   532,   863,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   549,     0,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,     0,   559,   864,   865,     0,     0,   562,
     563,     0,   565,     0,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,     0,   866,     0,
     587,   588,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   845,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   611,   612,
     613,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,   252,   253,   254,   255,     0,   846,   258,   847,   848,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,   849,   850,   272,     0,   273,   274,   275,   276,
       0,     0,   278,     0,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,   295,   296,   297,   298,     0,     0,     0,   299,
       0,     0,     0,   300,   301,   302,   303,   304,   305,   851,
     852,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   853,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,     0,   337,   338,
     339,   340,     0,     0,   342,     0,   343,   344,   345,   854,
     347,     0,   348,     0,   349,   350,     0,   351,   352,   353,
     354,   355,     0,   356,     0,     0,     0,   359,   360,     0,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,     0,   381,   382,   383,   384,   855,   856,     0,   857,
       0,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,     0,     0,   398,     0,   400,   401,   402,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     858,   423,   859,   425,   426,   427,   428,   429,   430,   431,
       0,     0,   434,     0,   435,   436,   437,   438,     0,     0,
     440,   860,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,     0,   453,   454,
     455,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,     0,   469,     0,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   861,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,     0,   525,   526,     0,   528,
     529,   530,   531,   532,   863,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   549,     0,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,     0,   559,   864,   865,     0,     0,   562,
     563,     0,   565,     0,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,     0,   866,     0,
     587,   588,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,   845,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   611,   612,
     613,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,     0,   242,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,     0,   248,   249,   250,
     251,   252,   253,   254,   255,     0,     0,   258,     0,     0,
       0,   261,   262,   263,   264,   265,   266,   267,     0,     0,
     268,   269,     0,     0,   272,     0,   273,   274,   275,   276,
       0,     0,   278,     0,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,     0,   295,   296,   297,   298,     0,     0,     0,   299,
       0,     0,     0,   300,   301,   302,   303,   304,   305,     0,
       0,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     315,   316,     0,   317,   318,   319,   320,     0,     0,   321,
     322,   323,   324,   325,     0,   326,   327,   328,     0,   329,
     330,   331,     0,   332,   333,   334,   335,     0,   337,   338,
     339,   340,     0,     0,   342,     0,   343,   344,   345,     0,
     347,     0,   348,     0,   349,   350,     0,   351,   352,   353,
     354,   355,     0,   356,     0,     0,     0,   359,   360,     0,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,     0,   381,   382,   383,   384,     0,     0,     0,     0,
       0,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,     0,     0,   398,     0,   400,   401,   402,     0,   403,
     404,   405,     0,     0,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   423,     0,   425,   426,   427,   428,   429,   430,   431,
       0,     0,   434,     0,   435,   436,   437,   438,     0,     0,
     440,     0,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,     0,     0,   450,   451,     0,   453,   454,
     455,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,     0,   466,   467,     0,   469,     0,   471,   472,   473,
       0,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     0,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,   515,   516,   517,   518,   519,     0,
     520,   521,   522,   523,   524,     0,   525,   526,     0,   528,
     529,   530,   531,   532,     0,   534,     0,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   549,     0,   550,   551,     0,   552,   553,   554,   555,
     556,   557,   558,     0,   559,     0,     0,     0,     0,   562,
     563,     0,   565,     0,     0,   567,   568,   569,   570,   571,
     572,   573,   574,     0,     0,   575,   576,   577,   578,   579,
       0,     0,   580,   581,   582,   583,   584,     0,     0,     0,
     587,   588,   589,   590,   591,   592,     0,     0,   593,     0,
       0,   594,   595,   596,   597,   598,   599,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   611,   612,
     613
};

static const yytype_int16 yycheck[] =
{
       6,     0,    36,     0,     0,     0,     0,     0,     0,     0,
       0,    56,  1015,     0,   205,     0,   649,     0,     0,     0,
     210,     0,   979,     0,    21,     0,     0,  1130,     6,    21,
    1007,   810,   704,   760,   761,   762,   188,   807,   906,   766,
    1604,    45,    22,  1476,  1538,    51,   718,   996,    28,   862,
     900,  1449,   902,  1522,   880,  1011,  2604,   196,  1005,   851,
     852,   786,  1192,  2605,   980,   681,   628,   213,   860,  1515,
     216,  1009,  1080,  1222,  1234,   210,   865,   944,  3266,  1842,
    3268,   833,  2943,   726,  1527,   832,   215,   722,  3009,  1522,
    2971,   917,  3093,   817,  3747,  1972,    44,  3449,  3796,  3357,
     229,  4100,  4054,  1671,  2862,  1054,  3763,  3774,   630,  1058,
    3698,   705,  2956,  3116,  1063,  2841,  3317,  1515,  3366,   681,
    1990,   943,  2035,    23,  1073,  1505,   213,  4564,  4096,   216,
    4142,   727,  1407,     8,   190,  3476,    36,  1086,   717,  3311,
      15,  4365,     2,   175,  1638,  1639,   190,   969,  1015,  4382,
      35,  1914,  3502,   975,  3504,  4328,  4370,    42,  4177,  4874,
    4580,  2484,  4582,  1069,  3331,  2488,   728,  5145,  1117,    50,
    4866,  2521,  2625,  2626,  3761,  4660,    41,  2589,  1084,  3223,
    4817,  3376,   929,  5181,  4628,  1565,  2591,  4076,     0,  1632,
     196,  5193,  5416,     6,    11,    62,  4369,   813,   903,   205,
     206,  5060,   903,  1583,  1488,     0,  3316,   213,  3318,   215,
     216,   849,   850,     0,    37,     6,  1659,   979,  2568,   839,
    4506,   859,   784,   229,   926,     6,   988,    13,  4865,    53,
      13,  5400,     6,     0,    15,    16,   998,  2908,   120,  2910,
    2911,    93,  5101,    42,  2915,  2916,  2917,    84,  2919,  2920,
    2921,   813,     0,     6,     6,    28,    46,     6,    62,    77,
       0,    44,     6,    11,    28,     6,    46,   969,     6,    28,
      62,    11,  1019,   975,   173,   837,   224,    15,    16,     6,
      28,     6,   118,     6,     6,   112,   145,   167,    28,     6,
      15,    16,     6,    90,    77,  5108,  5109,    79,  1468,    50,
      62,   120,    71,     6,     3,    62,     5,     6,    13,   111,
     179,   179,    11,    42,    90,   113,     5,   125,     6,   189,
     216,  1048,    11,   111,     6,    62,    11,    62,    62,    79,
      62,     5,    39,    28,   172,   897,    34,    11,   220,   184,
      35,   284,    62,   265,   123,    15,    53,  4359,  4455,  4456,
    4457,     6,  4459,  4460,  4461,  4462,  4463,  5133,   285,   123,
     172,   279,   120,  5743,  4383,   172,    90,   279,  1093,   118,
     290,   318,  5596,   200,   222,    13,  4861,   172,   174,   200,
     149,   123,     0,   323,   196,   172,   304,   269,  2562,   290,
     188,  5302,   304,   355,   118,    24,   138,    13,   166,   118,
     169,   196,   109,    21,  1351,   172,    44,  1363,    79,   196,
     373,  1419,  5729,  5730,    28,   172,    28,   265,  5587,   118,
    5418,    35,   359,   172,   172,    24,   355,  1070,    24,   196,
     122,   210,   172,   372,    30,   338,    28,   148,    56,    77,
     413,    13,    28,  5910,   326,    79,   210,    31,   196,    35,
    5830,   249,   118,  1015,   252,  1411,   196,   355,  5317,   300,
    1252,  1253,   220,   355,    79,  1137,   325,   487,   342,  1407,
     974,     6,    44,  5139,  5073,    90,    79,   344,   326,   499,
     495,  1273,  1349,   284,   499,  1210,  5182,  1354,  1355,   993,
     286,   343,   996,  5960,  1283,   387,    79,   338,   372,   172,
      79,   167,   209,   401,   140,    77,   435,    90,  5732,   138,
     413,   269,   172,    13,   649,   172,   215,  5116,   647,   172,
    2012,   133,   172,   234,   653,   217,  1198,   375,   501,   456,
     172,   172,   359,   123,   497,   497,   665,  1209,   237,   138,
     344,   133,   138,   311,    44,   269,  1166,   316,  5928,   308,
     497,  1223,   344,   475,   497,   274,  1303,   497,   265,   111,
     497,  1517,   501,   152,   699,   363,  5883,   369,   326,   224,
     497,   313,   190,   400,   401,   413,  1172,    77,    36,   497,
     401,   501,   344,   196,  1331,   497,  5006,   435,  5364,  4177,
     427,  5815,   274,  5504,   345,   391,   441,  5595,   497,   398,
     501,   365,   359,  1241,  1242,   501,   413,   344,   367,   344,
     344,  1227,   344,   401,  4202,   702,  1408,   497,   705,   501,
     439,   418,   628,   413,   344,    31,  1493,   497,   401,   437,
    1268,   413,   501,   501,   501,  1805,  1503,   413,   497,   634,
    5306,   647,   634,   634,  5813,   458,   405,   653,   407,   501,
    1599,   487,   442,  1602,   361,   634,   435,   634,  5882,   665,
     118,   430,   442,   413,   413,  1227,   479,  1573,  4954,   398,
     497,   435,   446,   497,   497,   681,   474,   495,   111,   496,
     686,   499,  1302,   728,   497,   691,  4339,   382,   500,   695,
     696,   448,  1669,  1670,  1610,  5919,   702,   501,   704,   705,
     732,   389,   390,  1987,   495,   500,   497,   493,   499,   501,
     493,   717,   718,   500,  5410,   413,   497,  1623,  4607,  5532,
    1667,  4378,   728,   497,  1591,  5723,  4379,  1594,  1595,  1491,
    1346,  1553,  1437,   500,  5736,   727,  1437,  1372,   487,   501,
     488,   489,   413,   372,   497,   497,  1384,  1385,   488,   489,
     499,   152,   500,   497,   906,   458,   497,   341,  1378,   497,
     500,   741,  4103,   743,   501,   745,   501,   501,   382,   501,
     497,   751,   497,  5751,   497,   497,   479,  1590,   784,   413,
     497,   501,   456,   497,  1346,   490,   491,   492,   493,   488,
     489,  1553,  1354,  1355,   497,  4383,   382,  2971,   413,   488,
     489,   807,   808,   488,   489,   479,   435,   813,  1676,  5668,
     413,  1513,  1942,  1916,   488,   489,   452,   487,  4019,  5817,
    4927,     3,  5681,  1443,   772,   495,    24,    24,   501,   499,
     413,   837,   290,   839,   413,  1026,  5502,   497,   894,  1029,
      24,  5507,  4429,   101,   501,   435,  1949,   497,   501,   401,
     894,  5295,   490,   491,   492,   493,   862,  1960,  4030,   501,
     501,  3905,  4034,   452,  1566,  1803,  3592,  3593,    51,   123,
    3871,  3597,   488,   489,   490,   491,   492,   493,   884,  5594,
     755,  1020,  1584,  5881,  1030,   833,  1032,   172,   501,    62,
    3734,   897,    24,  4088,  1029,  5591,    87,   896,    22,   896,
     896,   896,   896,   896,   896,   896,   896,    89,  4018,   896,
    4020,   896,   151,   896,   896,   896,    71,   896,  1785,   896,
     919,   896,   896,   181,  3336,     6,  3379,  1560,  3381,  5414,
    3280,  5790,  3337,    87,  3451,   341,  4288,  5574,    75,   130,
     138,   138,   118,  1030,     6,  1032,   811,   290,  4289,   355,
     815,   357,    67,  5590,   138,   172,   210,     6,     3,   840,
     142,     6,   910,   118,   365,    29,  1488,     3,   401,    41,
     181,  5949,   122,   279,   161,   196,   130,   925,    10,   196,
      34,    13,  5752,   164,   270,    17,    18,    19,   488,   489,
     490,   491,   492,   493,   151,  1882,   184,   173,   304,  5172,
     401,  1007,  1008,  1009,   456,  3676,   138,   265,   191,  1015,
     300,   285,   418,   196,  1020,    71,   634,   222,  5733,  1025,
    1026,   176,   118,   174,  1030,   150,  1032,   151,  5724,   487,
    1036,   342,    87,  1989,    90,  4202,  5035,   495,   123,   497,
     498,   499,   443,   501,  3367,  1051,   111,   234,   338,   501,
     233,    26,  5472,    89,   112,   456,   498,  5076,   240,   501,
     265,   372,  4414,    10,  1951,   184,    13,   217,   113,   401,
      17,    18,    19,   198,    49,   130,  2032,   265,   479,   260,
     743,   744,   745,   167,   113,   748,   749,   750,  1094,   285,
    1096,  1097,  4350,   149,   270,   758,   497,    44,   152,   984,
     985,   279,   300,   300,    51,   304,   148,   143,  5823,   727,
     728,   302,  5827,   169,   269,    63,   300,   338,   300,   274,
    2058,   342,   194,    71,  1851,   210,   304,   174,   413,   265,
      77,  1137,    24,  5903,  3308,   286,   375,  3311,    30,   350,
     338,   338,   200,   188,   304,   282,   265,   211,   302,   435,
     265,   372,   410,  5165,   338,   498,   288,    24,   501,   188,
    1166,   316,   175,    30,   196,  5880,   202,   421,  5382,   288,
     375,   344,   214,   269,   372,   372,     3,   332,  1957,  1958,
    1172,   435,   456,  3357,  5408,   285,   218,  1429,   372,  4887,
    3707,   497,  1198,   274,   377,  5428,  4863,  4850,  5412,  4856,
     265,  1207,   487,  1209,   249,  5920,  1768,   252,  5381,   285,
     342,   343,   274,  1885,   499,   406,    62,  1223,   375,  4100,
     249,  1227,   404,   252,   406,   274,   120,  2625,  1900,  5944,
     435,   355,  5947,  1239,   188,   456,   211,   118,  5411,   456,
     372,  1913,  1102,   440,   191,  3698,   138,   302,   290,   196,
    2693,   375,   406,   441,   286,  2724,   340,  1302,   479,    10,
     316,   437,    13,   359,  1270,   461,    17,    18,    19,   131,
     306,   138,   184,   320,   284,   430,   894,   330,   896,   141,
     365,  4622,  2029,    34,  1919,  2560,   233,     6,   331,   237,
      37,   118,  1298,  1299,  1300,   249,  1302,   357,   497,  1878,
    1175,   359,  1177,  1897,  1179,   441,  1181,  1901,  1183,  1184,
    1185,   437,    59,  1948,   273,  1190,  1322,  1952,   363,   497,
     173,  1956,   441,   152,  1959,  5293,   220,  2770,  5765,  2897,
    1926,   359,  1911,  2713,   363,  1367,  3789,   497,   120,   286,
    1346,   354,   400,   401,   437,   169,    31,   360,  1354,  1355,
     435,   406,   177,   265,   367,   246,   456,  4605,   418,  3272,
    1954,  1955,     3,   110,  4565,   453,  1422,  1423,  1988,  1425,
    1990,   497,  1378,    58,   430,   269,  1996,  2010,  1422,  1423,
     456,  1425,  2002,  2003,  2004,  5397,   632,   429,   300,   402,
     183,   175,   428,  2013,  5406,   372,   449,  4569,  2018,   442,
     436,  1407,  4574,   439,   497,  4577,   177,    10,   300,   363,
      13,   424,   237,   501,    17,    18,    19,   298,  1424,   265,
     379,   246,  1428,  1429,  2988,  1560,   338,    27,   372,   474,
     377,    34,   326,   300,  5353,   300,  5355,  1443,   300,  4440,
    5359,  5360,   269,  1449,  5456,   474,   338,   274,    89,  4450,
     303,   243,   199,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   148,   372,  4814,  1987,   237,   218,   497,   497,
    4351,   338,   372,   338,  4395,   161,   338,   196,   724,   315,
     372,   167,   299,   249,   365,   495,   205,   381,  5076,   499,
      90,  1439,   274,   133,   213,   135,  5495,   216,   344,   372,
     247,   142,    98,   250,    38,   372,    22,   372,  2485,  1515,
    1173,   401,    28,  1176,  5171,  1178,  5183,  1180,   265,  1182,
     401,    97,    51,  1186,   501,   378,   372,    13,   214,   441,
     477,  2487,   325,   110,   728,   286,   365,   321,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   223,   234,   167,
    1556,   340,   299,  5505,  1172,   315,   802,   501,   265,   330,
     178,  3007,   443,   356,  5576,   243,   300,   359,   413,   161,
     354,   243,   401,   415,   174,   456,  1575,   173,   196,   415,
     405,  1580,   407,   367,  1590,  5821,  5822,   161,     0,  4315,
     784,    77,   501,   167,   128,   281,   343,   363,   479,   240,
    4358,   501,   178,   299,   290,  3003,  4277,   497,   433,  3007,
     206,  4282,   404,   365,   443,   218,   497,  1235,   402,   366,
     350,   288,  2560,   459,   173,   221,  4352,   456,   501,   269,
     120,   338,   497,   300,   405,   231,   407,  1255,   372,   386,
     161,   433,   234,   837,    10,  2648,   167,    13,  1654,   401,
     479,    17,    18,    19,  1653,   415,   501,   206,  1657,   300,
     234,   257,   433,  1669,  1670,  1671,   458,   456,   497,  1287,
     247,   338,   221,   250,  3166,  3167,   372,   167,   449,  3171,
    1628,  4562,   231,   286,  1302,  5921,    57,   359,   284,   281,
     479,   443,  1883,   299,   168,   299,   174,   338,  5617,   459,
      86,   342,   456,   897,  1894,   497,   436,   281,  5720,   413,
    5662,   118,   501,   234,   204,  2799,  3208,  3209,   330,   121,
     320,  2553,  2554,  2555,  4177,   121,   404,   121,   202,   207,
     348,   372,   404,  1872,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   429,   164,   497,  5399,   501,   155,  4202,
    5417,   498,  1898,   349,   366,   433,   127,   357,  1893,  1894,
     281,   433,  1768,   404,    10,   406,   372,    13,   372,  5426,
    2012,    17,    18,    19,  1780,   265,   290,   163,  2020,   269,
     458,   448,   189,   487,    10,  1791,   458,    13,    34,   401,
     192,    17,    18,    19,  2878,   499,   192,  1803,   192,  5811,
     349,  1807,   456,   447,  1422,  1423,   226,  1425,  2621,   495,
    1897,  1898,   498,   499,  1901,   456,   416,  2755,   418,   497,
    1826,   447,   422,  2602,   497,   497,   120,  5826,  1834,   500,
    5002,   148,   148,   501,   400,    53,  1842,   449,   357,  4662,
     300,   437,  2780,   437,   161,   161,  4669,   501,   362,   318,
     167,   167,  2809,   497,  1860,   300,  4030,   415,  5210,  1575,
    4034,    34,   269,  1869,  1580,  5877,  1872,  1954,  1955,  1875,
     436,   497,  1878,  1879,   334,  2010,  1882,  1883,   338,  1885,
    1886,    99,   485,   486,   487,   488,   489,   490,   491,   492,
     493,  1897,  1898,   338,  1900,  1901,    92,   214,   214,   418,
     355,   459,   357,   497,  1910,  1911,   124,  1913,  1914,  5607,
     204,   359,   372,   300,   418,  5034,  4919,   234,   234,  2539,
     286,   278,  5589,  5042,   142,  5924,  4100,   372,   146,  3032,
    4383,  5588,   338,  2871,  1926,    10,   172,  1653,    13,   135,
     388,  1657,    17,    18,    19,  1951,  2813,  1981,  1954,  1955,
     168,   338,  2858,   171,  2821,  4816,    98,  2824,   343,  4840,
     196,  2723,    37,   418,   281,   281,   372,   686,   186,    68,
      69,   265,   218,   290,   290,   269,   695,  1972,  3376,   456,
    1972,  1972,  1988,   702,  1990,   372,   705,   372,  3386,  1995,
    1996,  4835,   218,  1972,  4855,  1972,  2002,  2003,  2004,  2937,
     243,  2007,   479,  2009,    90,  2011,  2012,  2013,  2014,  2015,
    2016,  1566,  2018,  3577,  2020,  2021,  5204,  3887,  2024,  1967,
    3466,   167,   449,  2891,  2892,  2893,  5029,   330,  5031,  1584,
    5380,   173,  2038,  2039,  2040,  2041,  3196,  2789,  2790,  2861,
     286,  2793,   110,   338,   190,   300,  2952,  2809,     5,  2721,
    2056,   362,  2058,  1928,    11,  1930,   274,  1932,  5725,  1934,
     286,  1936,    61,   366,   206,  1940,   365,  3830,  3466,  2975,
    2976,  2977,  2978,   167,  2980,  3024,   269,   372,  4804,   221,
    1980,   274,   458,   338,  2846,  5738,  2648,  3655,  1824,   231,
    5431,   177,  2022,  3661,   300,  2025,   190,    96,   401,  3005,
     168,  5453,   401,   479,   224,   456,   324,  4778,  1844,  4780,
    4781,  4782,   429,   429,   200,   257,   359,   372,  2880,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   479,    15,
      16,   324,   338,  4010,   202,   243,   342,   300,   497,   326,
     148,  5022,   498,   218,   443,   501,   449,  5405,   259,  5816,
     501,   237,   339,   161,  5035,    47,  3599,   456,   157,   167,
     167,   404,   691,   413,   271,   243,   372,     5,  5509,   133,
     497,   135,   283,    11,  5362,   338,  4350,  4351,    70,   247,
     479,   368,   250,   190,   458,   355,   356,   437,   717,   246,
     433,   456,   458,  2199,   193,   159,   270,   271,   497,  2951,
     248,  3644,  2837,   289,  2839,   479,   214,   349,  2843,   372,
    3370,   286,   269,   479,   479,   458,  3083,    79,     5,  5220,
     405,    24,   407,   497,    11,   741,   234,   743,    90,   745,
     229,   497,   497,  2239,    26,   751,   752,   753,   418,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   496,  3187,
     340,   359,   456,   501,   497,  3193,     3,    49,   365,   485,
     486,   487,   488,   489,   490,   491,   492,   493,    79,  5922,
     269,  2998,   496,   281,   246,   479,  3770,   501,    25,    90,
     492,   359,   290,  3413,  2290,   497,    89,   499,   284,   498,
     362,   365,   501,   289,   401,    37,   404,   261,   262,   263,
     264,  1020,   301,   246,   268,   269,  5494,  1026,  1926,     5,
     274,  1030,  5193,  1032,  2957,    11,    22,    59,  5044,   405,
      94,   407,    28,    19,  5665,   433,   404,   401,   131,   405,
      10,   407,   418,    13,  5319,   138,   443,  2579,   141,  5324,
    5325,    37,    89,   342,   430,   344,   969,   433,   347,   456,
     458,   492,   975,   248,  1972,   433,   497,   356,   499,   190,
    3179,   284,  3181,  3182,    44,   364,   289,   200,   110,   443,
    5251,    51,   479,   372,   497,  1094,   499,  1096,  1097,   495,
     458,   497,   456,   499,   418,   384,  3111,  3112,  4562,   497,
     497,   498,    58,   500,   393,  4569,   143,    77,   397,  3267,
    4574,   498,    86,  4577,   501,   479,  3273,   495,   449,   497,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   497,
     497,   429,   499,   497,  3916,  3917,  3918,  3919,   944,   362,
    3922,  3923,  3924,  3925,  3926,  3927,  3928,  3929,  3930,  3931,
     456,   224,   458,  5784,   498,  3080,   497,   501,   498,   196,
    5121,   501,   451,    32,    33,   202,   420,   199,  2464,  2465,
    2466,  2467,  2468,  2469,  2470,  2471,  2472,   431,  2474,   447,
     498,   243,   243,   501,    10,   498,    11,  2483,   501,  2485,
     497,    17,    18,    19,   355,   356,   498,  3979,  3980,   501,
     284,   405,  2683,   407,  2684,    71,  1025,   300,   405,  1015,
     407,    77,   359,  3292,  3293,   247,   501,  1036,   250,   243,
     498,   191,  5433,   501,    90,   498,   196,  2523,   501,   355,
     356,  2527,  1051,   265,  2530,  2522,  2532,   498,  5869,  2535,
     501,   334,   133,  2539,   135,   338,  3452,   355,   356,  2685,
    2686,  2680,   118,   456,   120,   458,  3270,   498,  3168,  2684,
     501,  3377,   497,   233,  2560,   298,  2562,   299,   498,   306,
    3180,   501,  3478,   261,   262,   263,   264,    58,   498,   372,
    5296,   501,   243,  2579,   498,  3322,   498,   501,  5304,   501,
    5632,  5633,  2588,  2589,  2562,  4149,  2204,   359,   359,    86,
     243,  2720,  3212,  5781,    47,  3387,  3229,  4360,  2685,  2686,
     176,   343,   498,   350,   498,   501,   286,   501,  2614,   449,
      28,   456,  2607,   458,  5495,  2621,  2650,   476,  2652,  2625,
    2626,   499,   365,  5076,   366,   359,  2632,   287,   204,  3759,
    2636,   220,   404,   404,  2640,  3255,   287,   498,   498,   284,
     501,   501,  2648,   498,   386,   498,   501,   498,   501,   284,
     501,   498,   399,  4147,   501,  4149,  5659,   498,   401,   500,
    2666,   433,   433,  2669,    82,   167,  4840,    85,  2648,  2798,
     404,  4140,   498,    91,  2680,   501,  2682,  2683,  1207,  2685,
    2686,   428,  2688,  4126,  5758,  5759,   458,   458,   359,   436,
    4088,  3453,   439,   269,  2700,    54,    55,   377,   274,   433,
     443,   119,   498,   476,  5892,   501,   359,   498,    47,   287,
     501,  3273,  5593,   456,  2720,  2721,   498,   476,   497,   501,
      37,  3870,   220,  2729,   458,   497,   497,   171,  3400,  3401,
     490,   498,  3740,   404,   501,   498,   479,   501,   501,  4182,
     316,  5283,    59,  5196,  2692,  2751,  2752,   446,  2877,  2755,
     286,   404,  3701,   498,   497,   500,   332,   498,   176,  3697,
     501,   498,   433,   497,   501,   497,  3528,   498,  3403,   312,
     501,   189,  2778,   498,  2780,  5963,   501,   497,  2784,   498,
     433,   498,   501,   201,   501,  2791,    36,   458,   498,  3695,
     497,   501,  2798,   110,   498,  2801,   498,   477,  4001,   501,
    4003,  2807,    58,   498,   498,   458,   501,   501,   488,   489,
     490,   491,   492,   493,  3430,  4307,   498,   498,   172,   501,
     501,  2827,   498,   498,   216,   501,   497,  2833,  5002,   498,
     497,   499,   501,  1349,  2840,   497,   460,   498,  1354,  1355,
     501,  2789,  2790,   498,   497,  2793,   501,  2853,  5022,   498,
     498,   497,   501,   501,   430,  5736,  2836,   497,  5719,   176,
    2866,  5035,   196,   338,   498,  2871,  1382,   501,  3430,   498,
     153,  2877,   501,  3545,  4553,  1391,  4555,  1393,  4372,  3604,
     498,  1397,   199,   501,   498,   497,   499,   501,  1404,  2895,
    2896,  2897,  3564,   498,   498,  2901,   501,   501,   498,   498,
     498,   501,   501,   501,   498,   498,   498,   501,   501,   501,
    2528,   153,   498,   498,  4074,   501,   501,   498,   498,   284,
     501,   501,  2928,  2929,  3166,  3167,  4035,   196,  4037,  3171,
     247,  2937,  3123,   250,  4367,  3126,   338,   498,   498,  5820,
     501,   501,  4388,  5491,  2562,  5826,   284,   153,   265,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   498,   498,
     498,   501,   501,   501,   153,  2971,  3208,  3209,   196,   153,
     388,  4101,  4102,   391,   284,    32,    33,  1493,   338,  3125,
     498,  3120,   299,   501,  4984,   498,  4986,  1503,   501,  2607,
    4388,   498,   167,  2971,   501,  2990,    97,  3003,   153,   232,
    3727,  3007,  3958,  2951,   498,   498,   498,   501,   501,   501,
     120,  3878,   498,  3951,   498,   501,   117,   501,   498,  5193,
     498,   501,   498,   501,   437,   501,   343,  1556,   497,   284,
     498,  1547,  1548,   501,   498,   278,   498,   501,  3125,   501,
      97,   498,   498,  5924,   501,   501,  3718,   498,  3720,   366,
     501,   152,   498,   498,   167,   501,   501,  4004,   498,   498,
     117,   501,   501,   498,    71,   269,    37,   269,   497,   386,
     460,   284,   167,   269,    47,  1591,   269,  5251,  1594,  1595,
      47,   423,   269,    89,   300,  3091,   449,  3703,   449,  3705,
     418,  4047,   167,   319,  3229,   152,   497,   153,   153,   153,
     153,  3107,  3854,  3109,   460,   153,   153,   501,   153,   153,
    3116,  3746,  4676,   153,  3120,   153,  3122,  3123,   153,  3125,
    3126,  3127,   153,  3168,   167,    10,   153,  4083,    13,  3135,
     153,   153,   153,   153,  3140,   284,   401,    37,   232,   497,
     284,  3703,   167,  3705,   133,   497,   135,     6,   167,     6,
    1869,   497,   497,  1872,   167,     6,   497,   497,     6,    44,
    3166,  3167,  3168,  1882,  1883,  3171,    51,  3212,   497,     6,
     159,   497,  3788,  3179,  3180,  3181,  3182,   497,  1897,  1898,
       6,  3187,  1901,   497,   497,   497,  3192,  3193,  4657,  3195,
     497,  3197,    77,   497,   497,   497,  3331,  3869,   497,  4148,
     497,   497,  3208,  3209,   497,   497,  3212,   497,  3843,   497,
     497,   497,   497,   497,   296,   497,   497,   497,   457,   216,
      37,   101,   501,   501,   232,  3231,  3788,  3233,    37,  3235,
     497,  5405,  1951,   334,    36,  1954,  1955,   411,  4176,   411,
    4178,   495,   495,   413,   413,   413,   497,   413,   172,  3255,
     167,  1780,   501,   281,   167,   279,  3260,  3261,  3262,    67,
     372,   146,  1791,  4201,   365,     0,  3311,  3273,   413,  1785,
     413,   359,   261,   262,   263,   264,   413,   334,  1807,   268,
     413,  4411,   359,   448,   499,   274,   413,   413,   359,   234,
     413,  3911,  4118,  4085,   413,   487,   413,    90,   359,   153,
     401,   284,  3308,   229,   364,  3311,   191,    42,   365,   413,
     413,   196,   274,   126,   413,   436,  3361,  3323,   404,   304,
     284,  5495,  3328,   355,   279,  3945,   497,   189,   413,   413,
    3308,  1860,    90,  3311,   497,  4202,  4285,  3343,   126,   501,
     300,   196,   443,   153,   401,   437,  1875,  4263,   233,  1878,
    1879,  3357,   126,   112,   437,   456,   126,    58,    58,   401,
     401,   413,    97,   413,   413,   254,   288,   413,   304,   323,
    3376,  3991,  2990,  3379,   413,  3381,   413,   413,   479,  3357,
    3386,  1910,  1911,   413,   413,   323,   443,   413,   323,    10,
     447,    46,    13,   304,  3400,  3401,   497,   413,   413,   456,
    3406,   286,   413,   413,   413,  4273,   404,    46,   413,   413,
     413,   413,   501,   148,   413,   502,   284,   413,   498,  5593,
     218,  3427,   479,    44,  3430,   413,   161,  3433,   218,   218,
      51,   420,   167,   218,   218,  3441,   218,   172,   218,   218,
     497,   218,   431,   178,   284,   218,   181,   423,  4940,    37,
     185,   153,   284,   269,   153,   118,    77,   437,   153,   153,
    3466,   456,   448,   497,   153,   284,   269,    37,   240,   269,
     269,   167,    37,   224,   361,   153,   153,   153,   437,   214,
     497,   216,  1998,  1999,   437,   497,   153,   278,  4886,  2005,
    2006,   172,   377,   413,   452,   273,  3502,  3503,  3504,   234,
     254,   254,    13,   497,   497,   411,   413,   497,   181,  2038,
     501,   162,   415,   497,   501,   189,   498,   189,  2034,   498,
    3526,   495,   363,   498,   476,   146,   476,   252,   498,  3535,
      10,  3537,   498,    13,   453,   498,   501,   375,   222,  3545,
     285,   437,    37,   214,   501,   293,   281,   498,    58,   284,
    3168,   497,   359,   437,   222,   290,   222,   274,  3564,   274,
     413,   413,  5736,  3698,    44,   497,   413,   167,   274,  4436,
     191,    51,   284,    47,   284,   196,   381,   269,   232,   232,
     232,   284,   413,   404,   355,   126,   501,   284,   338,   372,
     413,   284,   477,   284,  3212,   190,   326,    77,   413,   498,
     369,    37,   290,   488,   489,   490,   491,   492,   493,   218,
     437,   346,   233,   437,   224,   322,  3234,   487,   153,   279,
      10,   167,  3628,    13,   449,    37,   402,    17,    18,    19,
     169,   497,  3250,   323,   153,   369,   497,   153,   153,   279,
     437,   269,   456,    37,  3650,  4601,  5820,   269,   284,  3655,
      26,   284,  5826,   224,   279,  3661,   187,   187,   167,    37,
     168,  4333,  4334,   398,  3670,   286,   146,   224,   167,   284,
     269,   369,   196,   196,  3916,  3917,  3918,  3919,   196,   196,
    3922,  3923,  3924,  3925,  3926,  3927,  3928,  3929,  3930,  3931,
    3308,  3697,  3698,  3311,   429,  4825,   196,  3703,   460,  3705,
     501,    25,   179,   497,   413,  4518,   501,  3949,   172,   501,
     456,   191,  3718,   251,  3720,   501,   196,   284,   453,    58,
     455,   456,   278,   172,   296,   305,   501,   172,   268,   295,
     498,   498,   498,  5225,  4584,  3741,   501,  3979,  3980,  3357,
     501,   498,   498,  3361,  5177,   246,   498,   476,   413,   498,
    5924,   498,   496,   233,   497,   497,   377,   498,   498,   498,
     498,  3767,  5254,   498,   497,   500,   501,   498,   172,   497,
     497,   497,   496,   181,   479,   498,   497,   435,  3773,   501,
    4022,   242,  3788,  3789,   453,    58,   443,   284,   284,   287,
     284,   478,   153,   497,   200,  4430,  4431,  4432,  4433,  4434,
    4667,   487,   413,   208,   274,  3811,   286,  5301,   413,   413,
     156,   413,   497,   269,  3809,   153,    85,   372,   153,   364,
     153,   364,   364,   232,  3830,   200,  4596,   156,   218,  3777,
     284,   487,   413,   156,   437,  3987,   234,  4786,   306,   501,
     306,  3847,   434,  2562,   156,   413,   359,   244,   244,   413,
     413,   206,   388,   413,   413,   244,   477,   359,   126,   413,
     215,   413,   413,  3869,   413,   413,  3872,   488,   489,   490,
     491,   492,   493,   359,   229,   359,   413,   269,   153,   372,
     413,   413,    46,  3889,  4504,   413,  3892,   218,   218,   184,
     498,   498,  3898,   288,   423,   496,   286,   377,     3,    47,
    3906,   498,  3908,   501,   498,  3911,  3854,   498,   167,  3915,
    3916,  3917,  3918,  3919,   111,   498,  3922,  3923,  3924,  3925,
    3926,  3927,  3928,  3929,  3930,  3931,   501,   167,   497,  3935,
    3936,  3937,   153,    37,  3940,   413,   498,   153,   167,  3945,
    3985,   184,   279,  3949,   497,  3951,   437,  3953,   437,   153,
     369,   501,   359,   487,  4587,  3961,   359,   359,  3964,   359,
    3966,  2680,   287,   151,  2683,   151,  2685,  2686,   359,     0,
    3976,   218,   218,  3979,  3980,   495,   218,   218,  3984,  3985,
     218,   218,  4654,   218,   218,  3991,   218,   144,    13,  3993,
    3994,  3995,  3996,   296,   501,   498,    10,   477,   448,    13,
     172,   268,   453,    17,    18,    19,   498,   497,   488,   489,
     490,   491,   492,   493,    10,  4010,  4022,    13,  4010,  4010,
      34,    17,    18,    19,  4030,   498,   498,   498,  4034,   496,
      44,  4010,   501,  4010,  2550,  2551,  5434,    51,    34,   498,
    2556,   498,  4177,   498,   497,   221,   294,   221,    58,   403,
     497,   185,  4030,   497,   410,   291,  4034,   346,   442,    88,
    4066,   423,    37,    77,  4736,  4307,    97,  4202,   167,   437,
     437,   224,  2588,  2589,    58,   208,  4082,   413,  4805,   153,
     388,   176,  4088,   404,   364,   413,   156,   413,   359,   423,
     456,   413,    58,   413,  4100,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   413,   359,   404,   338,   167,   497,
    4745,  4746,   498,  4748,   284,  4121,   498,   148,  1119,   498,
      77,   153,  4100,   111,  1125,   443,   423,   498,   218,   218,
     161,   218,  2648,   218,  1135,   203,   167,  5701,  1139,   497,
     222,   172,   284,  1144,  5012,  1146,   497,   178,   497,   413,
     181,  1152,    37,  2682,   185,  3773,   460,  1158,   498,  2688,
    1161,  4833,   282,   304,     3,  4171,   284,   423,    43,   501,
    4176,  4177,  4178,   369,   501,  5305,   178,   191,   497,   111,
     413,   497,   196,   214,   501,   498,   172,   498,  5126,   172,
     218,  3809,   498,   498,    58,  4201,  4202,   454,   498,   454,
    2729,   497,   501,   234,   218,   219,   498,   498,   296,   497,
     221,   497,   410,   279,   423,   487,  2732,   172,   413,   233,
      77,   197,   218,   202,   274,   455,   190,   190,   456,  4209,
     274,    58,   413,   404,  4240,   487,  5339,  4243,  5341,   501,
    4220,   501,    71,   153,   413,   413,   413,   156,  4383,   498,
     281,   218,  2971,   284,   125,   174,   118,    37,   272,   290,
     437,   196,   279,   369,   437,  4507,    37,   169,   269,   369,
     497,   497,   286,   279,   456,   289,  5768,  5769,    83,    58,
     404,   456,    37,   172,   284,   497,   167,   501,   333,   205,
     286,   216,   647,   287,   172,   497,   442,  2813,   653,   385,
     304,  4307,   362,    37,   498,  2821,   498,    80,  2824,   498,
     665,   134,   497,   497,    90,   346,   284,   332,   497,   413,
    2836,    37,   153,   153,   167,    37,   274,  4333,  4334,   413,
     245,  4337,   498,   200,   497,   497,   497,  4343,  5468,   497,
     153,   497,   497,   497,  4350,  4351,   497,  5350,   498,   369,
     111,    37,   288,   498,  4360,   172,   423,   383,   498,   383,
    4995,   167,    58,   377,   110,   497,   497,  3985,   497,    37,
     401,  5006,  4350,  4351,   501,  5154,  5244,  4383,   501,   442,
     497,  4376,  4388,  4389,  4390,   404,   189,   497,   437,   167,
     284,   404,  4010,   265,  4400,   404,   498,     6,   429,   460,
    2929,  3120,   160,  5036,  3123,  5077,  3125,  3126,    71,   356,
     356,   287,  4030,    71,   497,   134,  4034,   456,  5548,  5549,
     500,    37,   453,   456,   455,   456,   139,   164,   164,   452,
     442,   372,   501,  4439,   441,   497,   329,   172,   274,   497,
     202,   497,   404,   284,   284,    61,   369,    37,    37,   287,
     287,   497,  4587,   197,   174,  5088,   174,   497,   152,  4465,
     498,    58,    58,   477,   495,   291,    37,   498,   499,   500,
    4476,   485,   486,   487,   488,   489,   490,   491,   492,   493,
      96,   339,   453,  5350,   498,    58,   413,   501,   392,   485,
     486,   487,   488,   489,   490,   491,   492,   493,  4504,   498,
     123,  4507,   435,   498,     6,   497,   369,   139,   355,  4515,
    4516,   149,  4518,    23,   274,     0,  4522,  4523,    34,   497,
     497,  4527,   355,   497,    80,  4531,   413,   172,  4534,  4535,
     355,   501,   501,  4539,   152,   292,   497,  5540,  5476,  4545,
     118,   157,   456,   456,   174,   174,   437,   497,   383,   383,
    5203,   896,  2955,   498,  1656,   936,  4562,   985,  3273,  1355,
     984,  2846,  2763,  4569,  5694,  3478,  4176,  3083,  4574,  4151,
    5685,  4577,  4578,  2926,  2872,  3689,  5129,   193,  3107,  4585,
    5538,  5798,  5177,  4149,  4562,  4331,  4620,  4795,  5153,  3308,
    4596,  4569,  3311,  3122,  3407,  3070,  4574,  5664,  3127,  4577,
    5538,  5558,  5035,  4598,  4599,  5787,  5567,  5566,   224,  5704,
    5820,  5231,    97,   229,  3411,  4840,  4377,  4623,  4351,  4362,
    5512,  4321,  2940,  4171,  3503,  2940,  3738,  5262,   980,  4834,
    5160,  5761,  5762,  4346,  3782,  4641,  4413,  5446,  3357,  5893,
    5978,  5968,  5144,  5717,  5090,  5265,  3697,  5322,  4654,  5521,
    5093,  1815,  5272,   269,  4385,    18,    28,   630,  5292,  5889,
    2957,  4439,  4388,   148,  1858,  2626,  3386,  1855,   970,  1869,
      10,  3793,  4678,    13,  1199,  5203,   161,    17,    18,    19,
    5434,  4661,   167,  1893,   682,   301,  1975,   172,   715,  4695,
    3631,  4671,  2871,   178,  4700,  4201,   181,  5743,  4940,  1975,
     185,  4707,  5928,   828,    44,  4417,  1768,  2902,  5343,  1472,
    4419,    51,  5018,  2569,  5334,  5335,  4600,  4723,  5658,    10,
    4080,  1371,    13,    40,    40,  2579,   342,  3328,  3343,   214,
    4736,   347,  4350,  5488,  5649,  4019,  1332,    77,  3311,  4036,
     356,  5003,  5251,  3308,  5250,  4081,  3308,  5912,   364,   234,
    4992,  1434,  1432,    44,  5643,  3271,   372,  3273,  4376,  5772,
      51,  4767,  5475,  5229,  1439,  1388,  5489,  1431,   384,  5490,
    2014,  2480,  3234,  3289,  5336,  3136,  3953,   393,  3232,  5506,
    2901,   397,  2483,   884,    -1,    -1,    77,  4793,  5350,  2567,
      -1,    -1,    -1,    -1,    -1,  5798,   281,    -1,    -1,   284,
     416,    -1,    -1,  4809,    -1,   290,    -1,    -1,  4814,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3335,
    3336,    -1,    -1,    -1,    -1,    -1,    -1,  4833,    -1,    -1,
      -1,    -1,    -1,    -1,  4840,   451,    -1,    -1,    -1,   455,
      -1,    -1,    -1,    -1,  5464,    -1,    -1,    -1,    -1,    -1,
      -1,   191,    -1,    -1,    -1,   146,   196,  4852,    -1,    -1,
      -1,   346,  4840,    -1,  5484,    -1,  5486,    -1,    -1,    -1,
    5503,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   218,   219,
    4886,    -1,  4888,    -1,    -1,    -1,    -1,  1888,    -1,    -1,
      -1,    -1,    -1,   233,    -1,  1896,  5087,    -1,  5088,    -1,
     191,  5036,    -1,    -1,  3433,   196,    -1,    -1,    -1,    -1,
      -1,    -1,  3441,  4919,    -1,    -1,   401,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4937,   272,    -1,  4940,    -1,    -1,  4943,  4944,  4945,
    5131,  5076,   233,    -1,   429,    -1,   286,    -1,    -1,    -1,
      -1,  4569,    -1,  5088,    -1,    -1,  4574,    -1,    -1,  4577,
      -1,    -1,  4968,  4969,    -1,    -1,  4972,    -1,   453,    -1,
     455,   456,    -1,    -1,    -1,    -1,    -1,    -1,  5540,    -1,
    4598,  4599,  5959,  5225,    -1,    -1,  4992,    -1,    -1,    -1,
      -1,    -1,  4998,  5931,    -1,   286,  5002,    -1,    -1,    -1,
      -1,    -1,  5008,  5009,    -1,    -1,  3535,    -1,  3537,    -1,
     495,    -1,  5254,   498,   499,   500,  5022,    -1,  5024,    -1,
      -1,    -1,    -1,  5029,  5002,  5031,    -1,    -1,    -1,  5035,
    5968,    -1,    -1,    -1,    -1,    -1,    -1,   377,    -1,    -1,
    5978,    -1,    -1,    -1,  5022,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5035,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5076,  5077,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     6,
      -1,  5087,    -1,    -1,    -1,    -1,   377,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    23,    -1,    25,  3628,
      -1,  5969,    29,    -1,    -1,    -1,    -1,    34,    35,    36,
      -1,    38,    -1,    -1,    41,    42,    -1,    44,    -1,    46,
    5126,    -1,    -1,  5685,    -1,  5131,    53,    54,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,    -1,    -1,
    5015,  3670,    -1,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5158,     0,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3698,    -1,    -1,    -1,   477,  5193,    -1,    -1,
    5196,    -1,    -1,    -1,  5189,    -1,    -1,   488,   489,   490,
     491,   492,   493,    -1,  5203,  3721,  5203,  5203,  5203,  5203,
    5203,  5203,  5203,  5203,    -1,  5193,  5203,    -1,  5203,  5225,
    5203,  5203,  5203,  5229,  5203,  5231,  5203,  5272,  5203,  5203,
      -1,    -1,    -1,  5475,  4852,    -1,  5798,    -1,  3767,    -1,
      -1,    -1,    -1,    -1,  5192,  5251,    -1,    -1,  5254,    -1,
      -1,    -1,  5872,    -1,    -1,    -1,    -1,    -1,    -1,  5265,
      -1,    97,    -1,    -1,    -1,    -1,  5272,    -1,    -1,   196,
     197,   198,    -1,  5251,   201,    -1,    -1,    -1,   205,    -1,
     207,    -1,  3811,   210,    -1,    -1,   213,    -1,    -1,   216,
      -1,    -1,   219,    -1,   221,    -1,    -1,   224,    -1,  1654,
      -1,   228,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4030,   148,  5319,    -1,  4034,    -1,    -1,  5324,  5325,
      -1,    -1,    -1,  5329,    -1,   161,    -1,    -1,  5334,  5335,
    5336,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
      -1,    -1,   178,    -1,  5350,   181,    -1,    -1,    -1,   185,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3878,  3892,  5370,    -1,    -1,    -1,  5503,    -1,
      -1,  5377,    -1,    -1,  5380,    -1,    -1,    -1,   214,    -1,
      -1,  4100,    -1,    -1,  5002,    -1,  3915,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5639,   234,  5405,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3940,  5407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5405,  5434,  5435,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   281,    -1,    -1,   284,    -1,
      -1,    -1,  5458,    -1,   290,    -1,    -1,    -1,  5464,    -1,
      -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    -1,  5475,
    5476,  1826,    -1,  5479,    -1,    -1,    -1,    -1,  5484,  1834,
    5486,  5672,  5488,    -1,    -1,    -1,    -1,  1842,    -1,  5495,
      -1,    -1,    -1,    -1,    -1,    44,    -1,  5492,    -1,    -1,
      -1,    -1,    51,    -1,    -1,    -1,    -1,  5513,    10,    -1,
     346,    13,    -1,    -1,    -1,    -1,    -1,  5495,    -1,  2520,
      -1,    -1,    -1,    -1,    -1,    -1,  5768,  5769,    77,    -1,
      -1,  1886,  5538,    -1,  5540,    -1,    -1,    -1,    -1,    -1,
    5158,    -1,    44,    -1,    -1,    -1,    -1,    -1,    -1,    51,
      -1,    -1,    -1,  5744,  5745,    -1,    -1,    -1,    -1,  1914,
      -1,    -1,    -1,    -1,    -1,   401,    -1,    -1,    -1,    -1,
      -1,  5189,    -1,    -1,    -1,    77,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5203,    -1,  5593,    -1,    -1,
      -1,    -1,    -1,   429,    -1,    -1,    -1,   146,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5593,    -1,   453,    -1,   455,
     456,    -1,    -1,    -1,    -1,  5631,  5632,  5633,    -1,    -1,
      -1,  4350,  4351,  5639,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   191,  5649,   146,    -1,    -1,   196,    -1,    -1,
      -1,    -1,    -1,  5659,  5272,    -1,    -1,    -1,    -1,   495,
      -1,  4177,   498,   499,   500,    -1,  5672,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5685,
      -1,    -1,    -1,    -1,   233,    -1,  4202,    -1,    -1,   191,
      -1,    -1,    -1,  4209,   196,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   629,    -1,  4220,    -1,    -1,    -1,   635,    -1,
     637,    -1,   639,    -1,    -1,   642,    -1,    -1,    -1,    -1,
    5726,    -1,   649,  5718,    -1,    -1,    -1,   654,    -1,   656,
    5736,   233,    -1,    -1,    -1,   662,    -1,   286,  5744,  5745,
      -1,    -1,    -1,    -1,  5750,    -1,  5752,    -1,  5743,    -1,
      -1,  5743,  5743,    -1,    -1,    -1,    -1,    -1,  5736,   686,
      -1,    -1,  5768,  5769,  5743,    -1,  5743,    -1,   695,    -1,
      -1,    -1,   699,    -1,    -1,   702,    -1,    -1,   705,    -1,
    4296,  4297,  5973,  5974,   286,  5830,    -1,  5405,    -1,  5407,
      -1,    -1,  5798,    -1,   721,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4337,    -1,
      -1,    -1,    -1,    -1,  5820,    -1,    -1,    -1,    -1,    -1,
    5826,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   377,    -1,
      -1,    -1,    -1,    -1,    -1,  5830,    -1,  5843,  5830,  5830,
      -1,    -1,  5820,  4562,    -1,   772,    -1,    -1,  5826,    -1,
    4569,  5830,    -1,  5830,    -1,  4574,    -1,  5863,  4577,  4578,
     787,  5867,    -1,    -1,    -1,    -1,  5872,  4383,    -1,    -1,
      -1,    -1,    -1,    -1,  5492,   377,    -1,    -1,    -1,    -1,
     807,   808,    -1,   810,   811,    -1,    -1,    -1,   815,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5903,    -1,    -1,
      -1,    -1,   829,    -1,  5910,    -1,   833,    -1,    -1,    -1,
      -1,    -1,   839,    -1,    -1,    -1,    -1,    -1,  5924,    -1,
    4436,    -1,    -1,    -1,    -1,  5931,    -1,    -1,   477,    -1,
      -1,    -1,    -1,  5928,    -1,    -1,  5928,  5928,    -1,   488,
     489,   490,   491,   492,   493,    -1,  5924,    -1,    -1,  5928,
      -1,  5928,    -1,  5959,  5960,    -1,    -1,   884,  5964,    -1,
      -1,    -1,  5968,    -1,    -1,    -1,    -1,  5973,  5974,    -1,
      -1,   898,  5978,    -1,    -1,   477,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   910,    -1,    -1,   488,   489,   490,   491,
     492,   493,    -1,    -1,    -1,    -1,    -1,    -1,   925,    -1,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   945,    -1,
    3021,    -1,    -1,   950,   951,  3026,    -1,  3028,    61,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3038,    -1,    -1,
    3041,    -1,    -1,  3044,  3045,    -1,    -1,  3048,    -1,    -1,
      -1,  3052,    -1,  3054,    -1,    -1,  3057,   984,   985,    -1,
      -1,    -1,    -1,    96,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,
    1007,  1008,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4809,    -1,    -1,  1020,    34,  1022,    -1,    -1,    -1,  1026,
    5718,    -1,  1029,  1030,    44,  1032,    -1,    -1,    -1,    -1,
    1037,    51,  4641,    -1,    -1,    -1,    -1,  3118,    -1,    -1,
      -1,  4840,    -1,    -1,   157,  5743,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1060,    -1,    -1,    -1,    77,    -1,    -1,
    1067,  1068,    -1,    -1,    -1,  4661,    -1,    -1,    -1,  4678,
      -1,  4667,    -1,    -1,    -1,  4671,    -1,    -1,    -1,    -1,
     193,  1088,  1089,  1090,    -1,  1092,    -1,  1094,    -1,  1096,
    1097,  4700,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4698,  4699,    -1,    -1,    -1,  4703,  4704,    -1,
      -1,   224,    -1,    -1,    -1,    -1,   229,    -1,    -1,    -1,
      -1,    -1,    -1,  1130,    -1,  1132,  1133,    -1,    -1,    -1,
      -1,    -1,  5830,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   269,    -1,  4767,  1166,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   191,    -1,    -1,    -1,    -1,   196,    -1,    -1,  2614,
      -1,    -1,    -1,    -1,    -1,  1192,  1193,    -1,   301,    -1,
    1197,    -1,  1199,    -1,    -1,    -1,    -1,  2632,   218,   219,
      -1,  2636,    -1,  5002,    -1,  2640,  1213,    -1,    -1,    -1,
      -1,    -1,  1219,   233,    -1,  1222,    -1,    -1,  1225,    -1,
      -1,    -1,    -1,  5022,    -1,    -1,    -1,    -1,    -1,   342,
    5928,  2666,  1239,    -1,   347,    -1,  5035,    -1,    -1,    -1,
      -1,    -1,    -1,   356,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   364,   272,    -1,    -1,    -1,    -1,    -1,    -1,   372,
      -1,    -1,    -1,  1270,    -1,  2700,   286,    24,    -1,   289,
      -1,   384,    -1,    30,    -1,    -1,    -1,    -1,    -1,  4888,
     393,    -1,    -1,    -1,   397,  2720,    -1,    -1,  5087,    -1,
      -1,  1298,  1299,  1300,    -1,  1302,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   416,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1322,    -1,  2752,    75,    -1,
      -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,  5131,    -1,    -1,  3416,    -1,    -1,   451,    -1,
      -1,    -1,   455,  2778,    -1,    34,    -1,    -1,    -1,  2784,
      -1,    -1,    -1,  1360,    -1,    44,  2791,   377,    -1,    -1,
      -1,    -1,    51,  2798,    -1,    -1,  2801,    -1,    -1,    -1,
      -1,  1378,  2807,    -1,   131,    -1,    -1,    -1,    -1,    -1,
      37,   138,    -1,    -1,   141,    -1,    -1,    -1,    77,    -1,
      -1,    -1,  2827,    -1,  5193,    -1,    -1,    -1,  2833,  5008,
      -1,    -1,    59,    -1,    -1,  2840,  3487,    -1,  3489,    -1,
      -1,   168,    -1,    -1,    -1,    -1,    -1,  1424,  2853,    -1,
      -1,  1428,  1429,    -1,    -1,    -1,    -1,    -1,    85,    -1,
      -1,  2866,  1439,  1440,  1441,    -1,  1443,    -1,    -1,    -1,
      -1,    -1,  2877,    -1,    -1,   202,    -1,    -1,    -1,    -1,
      -1,    -1,  5251,   110,   111,    -1,    -1,   477,  1465,    -1,
      -1,   118,    -1,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,    -1,    -1,    -1,    22,    -1,    -1,
    5076,   501,    27,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1500,    -1,    -1,    -1,    -1,  1505,    -1,
      -1,  1508,   191,    -1,    -1,    -1,    -1,   196,   265,    -1,
      -1,    -1,   269,    -1,  1521,  1522,    -1,    -1,    -1,   176,
      -1,    -1,   279,  1530,    -1,    -1,  1533,    -1,    -1,   218,
     219,   288,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   199,   300,   233,    -1,  3627,    -1,    -1,    94,
      -1,    -1,  3633,  1560,    -1,  1562,    -1,    -1,  1565,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1583,    -1,  5377,  1586,
      -1,   338,  1589,   272,   341,   342,    -1,    -1,    -1,    -1,
     247,   136,    -1,   250,    -1,    -1,    -1,   286,    -1,    -1,
     289,    -1,   147,    -1,  1611,    -1,  5405,    -1,   265,    -1,
      -1,   156,   269,    -1,    -1,   372,    -1,    -1,    -1,    -1,
      -1,  1628,    -1,    -1,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,  1640,  1641,  1642,  1643,  1644,    24,    -1,
      -1,    -1,   299,    -1,    30,    -1,    -1,    -1,    -1,    -1,
      -1,  1658,    -1,    -1,    -1,   200,  3091,    -1,    -1,    45,
      -1,    -1,  1669,  1670,  1671,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3109,    -1,    -1,    -1,    -1,    -1,
     225,  3116,    -1,   440,    -1,    -1,   343,    -1,   377,    75,
      -1,    -1,    -1,    -1,    -1,    -1,  5495,    -1,    -1,    -1,
      -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   366,
    5319,    -1,    -1,    -1,    -1,  5324,  5325,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   386,
      -1,   388,    -1,    -1,   391,    -1,    -1,  3818,    -1,  3820,
      -1,  3822,    -1,   129,    -1,   131,    -1,    -1,    -1,    -1,
      -1,    -1,   138,    -1,  5350,   141,    -1,    -1,    -1,    -1,
    1767,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1778,    -1,    -1,   319,   320,    -1,    -1,   323,  1786,
    1787,    -1,   168,    -1,    -1,    -1,    -1,    -1,   477,    -1,
      -1,    -1,    -1,    -1,  5593,  1802,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   350,    -1,    -1,   353,    -1,
      -1,    -1,   501,  1820,   359,    -1,   202,    -1,    -1,    -1,
      -1,   366,    -1,    -1,   369,    -1,  5435,    -1,    -1,  1836,
    1837,  1838,  1839,    17,    -1,    -1,    -1,    -1,  1845,    -1,
     497,    -1,    26,   388,    -1,  1852,    -1,    -1,    -1,    -1,
     395,    -1,    -1,    -1,    -1,    -1,   401,    -1,    -1,   404,
      -1,    -1,  1869,   408,    -1,  1872,    -1,    -1,    -1,    -1,
    5479,    -1,    -1,  5672,    -1,  1882,  1883,    -1,   423,   265,
      -1,    -1,    -1,   269,    -1,    -1,  1893,  1894,    -1,    -1,
    1897,  1898,    -1,   279,  1901,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   288,    -1,   449,    -1,    -1,    -1,    -1,  1916,
    1917,    -1,    -1,    -1,   300,    -1,  1923,    -1,  1925,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5530,  1942,    -1,  5736,    -1,    -1,
      -1,    -1,  1949,    -1,  1951,  5744,  5745,  1954,  1955,    -1,
    1957,  1958,   338,  1960,    -1,   341,   342,    -1,    -1,    -1,
    1967,    -1,    -1,    -1,    -1,    -1,    -1,  1974,    -1,    -1,
      -1,    -1,    -1,  1980,  1981,    -1,    -1,  1984,    -1,    -1,
      -1,  1988,    -1,  1990,    -1,    -1,   372,    -1,  1995,  1996,
       0,    -1,  3427,    -1,    -1,  2002,  2003,  2004,    -1,    -1,
    2007,    -1,  2009,  2010,  2011,  2012,  2013,  2014,  2015,  2016,
      20,  2018,    -1,  2020,  2021,    -1,    -1,  2024,    -1,    -1,
      30,  5820,    32,    33,    -1,    -1,    -1,  5826,    -1,    -1,
      -1,    -1,  2039,  2040,  2041,    -1,    -1,    -1,    -1,    24,
      50,    -1,    -1,    -1,  5843,    30,    -1,    -1,    -1,  2056,
      60,    -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,    -1,
      45,    -1,    72,    -1,    74,    75,    -1,    -1,    -1,    10,
      -1,    81,    13,    83,    -1,    -1,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,    -1,    95,    -1,    97,    -1,  2096,
      75,  3526,    -1,    34,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    44,   114,    -1,    -1,   117,    -1,    -1,
      51,  5910,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   132,    -1,   134,  5924,    -1,    -1,   138,    -1,
      -1,    -1,    -1,    -1,   144,    -1,    77,    -1,    -1,    -1,
      -1,    -1,   152,    -1,   154,    -1,   131,    -1,    -1,    -1,
      -1,   161,    -1,   138,    -1,    -1,   141,    -1,    -1,    -1,
      -1,  5960,    -1,    -1,    -1,  5964,    -1,    -1,   178,    -1,
      -1,    -1,    -1,    -1,  5973,  5974,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   168,    -1,   195,    -1,    -1,    -1,    -1,
      -1,    -1,  2199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3650,    -1,   202,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   235,   236,    -1,    -1,    -1,
      -1,   241,  2239,    10,    -1,    -1,    13,    -1,    -1,    -1,
      17,    18,    19,   253,    -1,    -1,    -1,    -1,    -1,    -1,
     191,    -1,    -1,    -1,    -1,   196,    -1,    34,    -1,    -1,
      -1,   271,    -1,    -1,    -1,    -1,    -1,    44,    -1,    -1,
      -1,    -1,    -1,    -1,    51,    -1,    -1,   218,   219,    -1,
     265,    -1,    -1,  2290,   269,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   233,    -1,   279,    -1,    -1,    -1,    -1,    -1,
      77,    -1,    -1,   288,   314,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   300,    -1,    -1,   328,    -1,
      -1,    -1,    -1,    -1,   334,   335,    -1,   337,    -1,    -1,
      -1,   272,   342,    -1,    -1,  5931,    -1,    -1,   348,    -1,
      -1,   351,    -1,    -1,  4425,   286,    -1,  4428,   358,    -1,
      -1,    -1,    -1,   338,   364,   365,   341,   342,    -1,    -1,
      -1,    -1,   372,    -1,    -1,    -1,   376,    -1,    -1,    -1,
      -1,  4452,  5968,    -1,    -1,    -1,   386,    -1,    -1,    -1,
      -1,    -1,  5978,    -1,    -1,    -1,    -1,   372,    -1,    -1,
      -1,   401,    -1,    -1,    -1,  3830,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   421,  3847,    -1,   191,    -1,    -1,    -1,    -1,   196,
      -1,    -1,   432,    -1,    -1,    -1,    -1,    -1,   438,    -1,
      -1,    -1,    -1,   443,    -1,    -1,   377,  3872,    -1,    -1,
      -1,   218,   219,    -1,    -1,    -1,   456,   631,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   440,   233,  2464,  2465,  2466,
    2467,  2468,  2469,  2470,  2471,  2472,    -1,  2474,    -1,   479,
     480,   481,   482,   483,   484,  2482,  2483,    -1,  2485,    -1,
      -1,    -1,    -1,    -1,    -1,  2492,    -1,   497,    -1,    -1,
     500,    -1,    -1,    -1,    -1,   272,    -1,   681,   682,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   286,
      -1,    -1,   289,    -1,  2521,    -1,  2523,    -1,    -1,  2526,
    2527,    -1,    -1,  2530,    -1,  2532,    -1,    -1,  2535,    -1,
      -1,    -1,  2539,    -1,    -1,    -1,   477,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   485,   486,   487,   488,   489,   490,
     491,   492,   493,    -1,    -1,  2562,    -1,    -1,  4639,    -1,
      -1,  2568,  2569,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    10,  2579,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,  2588,  2589,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   775,    -1,    -1,    -1,  2602,    -1,    -1,  4679,  4680,
     377,    -1,  2609,    -1,  2611,    44,    -1,    -1,    -1,    -1,
      -1,    -1,    51,    -1,    -1,    -1,    -1,   801,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   809,    -1,    -1,   812,   813,
     814,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    -1,
      -1,    24,    -1,  2650,    -1,  2652,    -1,    30,    -1,    -1,
      -1,    -1,    -1,    -1,    24,    -1,    -1,    -1,    -1,    -1,
      30,    -1,  2669,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      -1,    -1,    -1,  2680,    -1,    -1,  2683,  2684,  2685,  2686,
      -1,    -1,  2689,    -1,    -1,  2692,  4121,  4768,  4769,    59,
      -1,    -1,    75,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     477,    -1,    -1,    -1,    -1,    75,  2713,    -1,   485,   486,
     487,   488,   489,   490,   491,   492,   493,  2724,    -1,    -1,
      -1,   498,    -1,    -1,    -1,  2732,  2733,    -1,    -1,    -1,
      -1,    -1,  2739,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,  2748,    -1,    -1,    -1,    -1,    -1,    -1,   131,    -1,
      -1,    -1,   191,    -1,    -1,   138,    -1,   196,   141,    -1,
      -1,   131,  2769,    -1,    -1,    -1,    -1,    -1,   138,    -1,
      -1,   141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   218,
     219,    -1,  2789,  2790,    -1,   168,  2793,    -1,    -1,  2796,
      -1,    -1,    -1,    -1,   233,    -1,    -1,    -1,   168,    -1,
      -1,    -1,    -1,    -1,    -1,  4240,    -1,    -1,  4243,    -1,
      -1,    -1,  2819,    -1,    -1,  2822,    -1,  4898,    -1,   202,
    4901,  4902,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   199,
      -1,  1015,   202,   272,    -1,    -1,    -1,  4918,    -1,    -1,
    2847,  2848,    -1,    -1,    -1,    -1,    -1,   286,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2862,    -1,  2864,  2865,    -1,
      -1,    -1,    24,    -1,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   247,    -1,    -1,
     250,    -1,   265,    45,    -1,    -1,   269,    -1,  2895,  2896,
    2897,    24,    -1,    -1,  2901,   265,   279,    30,    -1,   269,
      -1,    -1,  2909,    -1,    -1,   288,    -1,    -1,  4343,   279,
      -1,    -1,    -1,    75,    -1,  2922,    -1,   300,   288,    -1,
      -1,  2928,    -1,  2930,    -1,  4360,    -1,    -1,    -1,   299,
     300,    -1,    -1,    -1,    -1,    -1,  2943,    -1,   377,    -1,
      -1,  2948,    75,    -1,  2951,    -1,    -1,    -1,  2955,    -1,
      -1,  2958,    -1,    -1,    -1,   338,    -1,    -1,   341,   342,
      -1,    -1,    -1,  2970,  2971,    -1,    -1,   129,   338,   131,
      -1,   341,   342,   343,  2981,    -1,   138,    -1,    -1,   141,
      -1,    -1,    -1,    -1,  2991,    -1,  2993,    -1,    -1,   372,
      -1,    -1,    -1,    -1,    -1,    -1,   366,    -1,   131,    -1,
      -1,    -1,   372,    -1,  4439,   138,   168,    -1,   141,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   386,    -1,    -1,    -1,
    1204,    -1,    -1,    -1,    -1,  3032,    -1,  3034,    -1,  3036,
      -1,    -1,    -1,    -1,    -1,   168,    -1,    -1,   477,    -1,
     202,    -1,    -1,  1227,    -1,    -1,   485,   486,   487,   488,
     489,   490,   491,   492,   493,    -1,    -1,   440,    -1,    -1,
      -1,    -1,    -1,  3070,    -1,    -1,    -1,    -1,    10,   202,
     440,    13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    44,   265,    -1,    -1,    -1,   269,    -1,    51,
      -1,    -1,    -1,  3120,  3121,    -1,  3123,   279,  3125,  3126,
    1304,  3128,    -1,    -1,    -1,    -1,   288,    -1,  3135,  1313,
      -1,    -1,   265,  3140,    -1,    77,   269,    -1,   300,    -1,
      -1,    -1,    -1,  1327,    -1,    -1,   279,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,  3166,
    3167,  3168,  1346,    -1,  3171,  1349,  1350,   300,    -1,    -1,
    1354,  1355,  3179,  3180,  3181,  3182,   338,    -1,    -1,   341,
     342,    -1,    -1,    -1,    -1,  3192,    -1,    -1,  3195,    -1,
    3197,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3208,  3209,    -1,    -1,  3212,    -1,    -1,   341,   342,
     372,    -1,    -1,  5294,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3229,    -1,  3231,    -1,  3233,    -1,  3235,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   372,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3255,   191,
      -1,    -1,  3259,    -1,   196,    -1,    -1,    -1,    -1,    -1,
    4695,    -1,    -1,    -1,  5345,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4707,  3280,    -1,    -1,   218,   219,   440,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3308,    -1,    -1,  3311,  3312,    -1,   440,    -1,  3316,
    3317,  3318,    -1,    -1,    -1,    -1,  3323,    -1,    -1,    -1,
      -1,  3328,    -1,    -1,    -1,    -1,    24,    -1,    -1,    -1,
     272,    -1,    30,    -1,    -1,    -1,  3343,   197,   198,    -1,
      -1,   201,     0,    24,   286,    -1,    -1,   289,    -1,    30,
    3357,    -1,    -1,    -1,  3361,    51,    -1,  3364,    -1,  3366,
      -1,   221,    20,    -1,    -1,    -1,    -1,    -1,   228,    -1,
      -1,    -1,    30,    -1,    32,    33,  5457,    75,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    50,    -1,    75,    -1,    -1,    -1,    -1,  3406,
      -1,    -1,    60,    -1,    -1,    -1,  3413,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    72,    -1,    74,    75,    -1,    -1,
      -1,    -1,    -1,    81,  1608,    83,    -1,    -1,    -1,  3436,
    3437,    -1,  1616,   131,    -1,   377,    -1,    95,    -1,    97,
     138,    -1,    -1,   141,    -1,    -1,    -1,    -1,    -1,    -1,
     131,    -1,    -1,    -1,    -1,    -1,   114,   138,    -1,   117,
     141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     168,    -1,    -1,    -1,   132,    -1,   134,    -1,    -1,    -1,
     138,    -1,    -1,    -1,  4919,    -1,   144,   168,    -1,    -1,
      -1,    -1,    -1,    -1,   152,    -1,   154,    -1,    -1,    -1,
      -1,    -1,    -1,   161,   202,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   202,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   477,  3543,   195,    -1,    -1,
      -1,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,    24,    -1,    -1,    -1,   498,    -1,    30,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    -1,   265,    -1,    -1,
      -1,   269,    -1,    -1,    -1,    -1,    -1,   235,   236,    -1,
      -1,   279,    -1,   241,   265,    -1,    -1,    59,   269,    -1,
     288,    -1,    -1,    -1,  5029,   253,  5031,    -1,   279,    -1,
      -1,    -1,   300,    75,    -1,    -1,    -1,   288,    -1,    -1,
      -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,   300,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,    -1,
     338,    -1,    -1,   341,   342,  1829,    -1,    -1,  3655,  1833,
      -1,    -1,    -1,    -1,  3661,    -1,   314,   338,    -1,   131,
     341,   342,    -1,    -1,    10,  3672,   138,    13,    -1,   141,
     328,    17,    18,    19,   372,    -1,   334,   335,    -1,   337,
      -1,    -1,    -1,    -1,   342,    -1,    -1,    -1,    34,    -1,
     348,   372,    -1,   351,    -1,    -1,   168,    -1,    44,    -1,
     358,  5782,  3709,  3710,  3711,    51,   364,   365,    -1,    -1,
      -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,   376,  3726,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   199,   386,    -1,
     202,    77,    -1,    -1,  3741,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   440,   401,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3759,  3760,  3761,    -1,    -1,    -1,  3765,   440,
      -1,    -1,    -1,   421,    -1,    -1,    -1,    -1,    -1,    -1,
    3777,    -1,    -1,    -1,   432,   247,    -1,   637,   250,   639,
     438,    10,   642,    -1,    13,   443,    -1,    -1,    17,    18,
      19,    -1,    -1,   265,    -1,    -1,   656,   269,   456,    -1,
      -1,    -1,   662,    -1,    -1,    34,    -1,   279,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    44,   288,  2001,    -1,    -1,
      -1,   479,    51,    -1,    -1,    -1,  3833,   299,   300,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   497,
      -1,    -1,   500,    -1,    -1,   191,    -1,  3854,    77,    -1,
     196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3867,    -1,    -1,  3870,    -1,    -1,   338,    -1,    -1,   341,
     342,   343,   218,   219,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3889,    -1,    -1,    -1,    -1,   233,    -1,    -1,
      -1,  3898,    -1,    -1,   366,    -1,    -1,    -1,    -1,  3906,
     372,  3908,    -1,    -1,  3911,    -1,    -1,    -1,    -1,  3916,
    3917,  3918,  3919,    -1,   386,  3922,  3923,  3924,  3925,  3926,
    3927,  3928,  3929,  3930,  3931,    -1,   272,    -1,  3935,  3936,
    3937,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3945,    -1,
     286,    -1,  3949,   289,    -1,    -1,  3953,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3961,    -1,    -1,  3964,    -1,  3966,
      -1,    -1,   191,    -1,    -1,    -1,    -1,   196,   440,  3976,
      -1,    -1,  3979,  3980,    -1,    -1,    -1,  3984,  3985,    -1,
      -1,    -1,  3989,    -1,  3991,    -1,    -1,    -1,    -1,   218,
     219,  3998,  3999,  4000,    -1,   691,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   233,    -1,    -1,    -1,    -1,    -1,
      -1,  4018,  4019,  4020,    -1,  4022,  4023,    -1,    -1,  4026,
      -1,   717,    -1,  4030,    -1,    -1,    -1,  4034,    -1,    -1,
      -1,   377,    -1,  4040,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   272,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   286,    -1,  4066,
     289,    24,    -1,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      -1,    -1,    -1,  4080,    -1,  4082,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     950,   951,    -1,  4100,  4101,  4102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    75,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   477,    -1,  4140,    -1,    -1,    -1,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   377,    -1,
      10,  4158,   498,    13,    -1,    -1,    -1,    17,    18,    19,
      -1,    -1,  1022,    -1,    -1,    -1,   862,    -1,   131,    -1,
      -1,    -1,    -1,    -1,    34,   138,    -1,  1037,   141,    -1,
      10,    -1,    -1,    13,    44,    -1,    -1,    17,    18,    19,
      -1,    51,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    34,   168,    -1,  1067,  1068,    -1,
      -1,    -1,    -1,    -1,    44,    -1,    -1,    77,    -1,    -1,
      -1,    51,    -1,    -1,  5659,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1092,    -1,    -1,    -1,    -1,    -1,    -1,   202,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,   477,    -1,
      -1,  4258,    -1,    -1,    -1,    -1,   485,   486,   487,   488,
     489,   490,   491,   492,   493,    -1,    -1,    10,    -1,   498,
      13,    -1,  1132,  1133,    17,    18,    19,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4291,    -1,    -1,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    -1,    38,    -1,    -1,  4305,    -1,
    4307,    44,   265,    -1,    -1,    -1,   269,  4314,    51,    -1,
      -1,  1007,    -1,  4320,    -1,    -1,   279,    -1,  2502,    -1,
      -1,    -1,    -1,    -1,  4331,   288,    -1,    -1,    -1,  1025,
      -1,   191,    -1,    -1,    77,    -1,   196,   300,  4345,    -1,
    1036,    -1,    -1,  4350,  4351,    -1,    -1,    -1,    -1,    -1,
      -1,  4358,    -1,    -1,    -1,  1051,    -1,    -1,   218,   219,
    4367,   191,    -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,
    4377,    -1,    -1,   233,    -1,   338,    -1,    -1,   341,   342,
      -1,    -1,  4389,  4390,    -1,   128,    -1,    -1,   218,   219,
      -1,    -1,    -1,  4400,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   233,  4411,  4412,    -1,    -1,    -1,   372,
      -1,    -1,   272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4429,    -1,    -1,    -1,   286,    -1,    -1,   289,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   272,    24,    -1,    -1,    -1,    -1,   191,    30,
      -1,    -1,    -1,   196,    -1,    -1,   286,    -1,  4465,   289,
      -1,    -1,    -1,    -1,  2648,    -1,    -1,    -1,    -1,  4476,
      -1,    -1,    -1,    -1,    -1,   218,   219,   440,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     233,    -1,    -1,    -1,    75,    -1,    -1,  4504,    -1,    -1,
    4507,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4515,  4516,
      -1,  1207,    -1,    -1,    -1,  4522,  4523,   377,    -1,    -1,
    4527,    -1,    -1,  2707,  4531,    -1,    -1,  4534,  4535,   272,
      -1,    -1,  4539,  4540,    -1,    -1,    -1,    -1,  4545,  4546,
    4547,  4548,  4549,   286,    -1,    -1,   289,   377,    -1,    -1,
     131,    -1,    -1,    -1,    -1,  4562,    -1,   138,  4565,    -1,
     141,    -1,  4569,    -1,    -1,    -1,    -1,  4574,    -1,    -1,
    4577,  4578,    -1,  4580,    -1,  4582,    -1,    -1,  4585,    -1,
    4587,    -1,    -1,    -1,    -1,    -1,    -1,   168,    -1,  4596,
      -1,    -1,    -1,  4600,    -1,    -1,    -1,    -1,  4605,    -1,
      -1,    -1,  2786,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4620,    -1,    -1,  4623,   477,    -1,  2803,
      -1,   202,    -1,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   377,    -1,    -1,    -1,   498,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,  1508,    -1,
    4657,    -1,    -1,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,    -1,  4672,    -1,    -1,   498,    -1,
      -1,    -1,    -1,  1533,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   265,  2869,    -1,    -1,   269,    -1,
      -1,    -1,    -1,    -1,   437,    -1,    -1,    -1,   279,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4723,    -1,    -1,   300,
      -1,    -1,  2906,    -1,  2908,    -1,  2910,  2911,    -1,    -1,
      -1,  2915,  2916,  2917,   477,  2919,  2920,  2921,    -1,    -1,
    4747,    -1,   485,   486,   487,   488,   489,   490,   491,   492,
     493,  1611,    -1,  1449,    -1,  4762,    -1,   338,    -1,    -1,
     341,   342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1640,  1641,  1642,  1643,    -1,    -1,  4793,    -1,    -1,    -1,
    2974,   372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4809,    -1,    -1,    -1,    -1,    -1,    -1,  4816,
      -1,    -1,    -1,    -1,    -1,  2999,    -1,    -1,  4825,  1515,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,
      -1,    13,    -1,  4840,    -1,    17,    18,    19,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4853,    -1,  4855,    -1,
      -1,    -1,    34,    -1,    -1,    -1,    -1,    -1,    -1,   440,
    1556,    -1,    44,    -1,    -1,    -1,    -1,    -1,    -1,    51,
      -1,    -1,    -1,    -1,  4881,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4892,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1590,    77,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1786,  1787,    -1,    -1,
    4937,    -1,    -1,  4940,    -1,    -1,  4943,  4944,  4945,    -1,
      -1,    -1,  1802,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4968,  4969,    -1,    -1,  4972,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1669,  1670,  1671,  1836,  1837,  1838,  1839,
      -1,    -1,    -1,    -1,    -1,  4992,    -1,    -1,    -1,    -1,
      -1,  4998,    -1,    -1,    -1,  5002,    -1,    -1,    -1,  5006,
      -1,    -1,  5009,    -1,  5011,    -1,    -1,    -1,    -1,   191,
      -1,    -1,    -1,    -1,   196,  5022,    -1,  5024,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5035,  5036,
    5037,    -1,  5039,    -1,    -1,    -1,   218,   219,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   233,    -1,    -1,    -1,    -1,    -1,  1917,    -1,    -1,
      -1,    -1,    -1,  1923,    -1,    -1,    -1,    -1,    10,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,
    5087,  5088,    -1,    -1,  1780,    -1,    -1,    -1,    -1,  3273,
     272,    -1,    34,    -1,    -1,  1791,    -1,    -1,    -1,    -1,
      -1,    -1,    44,    -1,   286,    -1,    -1,   289,    -1,    51,
      -1,  1807,    24,    -1,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    -1,    -1,    -1,  5131,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    -1,  5144,    -1,    -1,
      -1,    -1,  5149,    -1,    -1,    -1,    -1,  5154,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5163,    -1,    -1,    -1,
      -1,    -1,    -1,    75,  1860,    -1,  5173,    -1,    -1,    -1,
    5177,    -1,    -1,  5180,    -1,    -1,    -1,    -1,    -1,  1875,
      -1,    -1,  1878,  1879,  5191,  5192,  5193,    -1,    -1,    -1,
      -1,    -1,    -1,    10,    -1,   377,    13,    -1,    -1,    -1,
      17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1910,  1911,    -1,    34,  5225,   131,
      -1,    -1,  5229,    -1,  5231,    -1,   138,    44,    -1,   141,
      -1,    -1,    -1,    -1,    51,    -1,  2096,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5251,    -1,  3430,  5254,    -1,   191,
      -1,  5258,    -1,    -1,   196,    -1,   168,    -1,  5265,    -1,
      77,    -1,    -1,    -1,    -1,  5272,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   218,   219,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     202,   233,    -1,    -1,    -1,   477,  5303,    -1,  5305,    -1,
      -1,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,    -1,    -1,    -1,  2011,   498,    -1,  2014,    -1,
      -1,    -1,  5329,    -1,  3508,    -1,    -1,  5334,  5335,    -1,
     272,    -1,  5339,  5340,  5341,  5342,    -1,    -1,    -1,    -1,
      -1,    -1,  2038,    -1,   286,    -1,    -1,   289,    -1,    -1,
      -1,    -1,    -1,   265,    -1,    -1,    -1,   269,    -1,    -1,
      -1,    -1,    -1,  5370,    -1,    -1,    -1,   279,    -1,    -1,
    5377,    -1,    -1,    -1,   191,    -1,   288,    -1,  3562,   196,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   300,    -1,
      -1,    -1,    -1,    -1,    -1,  5402,    -1,    -1,  5405,    -1,
      -1,   218,   219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   233,    -1,    -1,    -1,
      -1,    -1,    -1,  5430,    -1,    -1,   338,    -1,    -1,   341,
     342,    -1,    -1,    -1,    -1,   377,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3630,    -1,    -1,    -1,
      -1,  5458,    -1,    -1,    -1,   272,    -1,  5464,    -1,    -1,
     372,  5468,    -1,    -1,    -1,  5472,    -1,    -1,  5475,   286,
      -1,    -1,   289,    -1,    -1,    -1,    -1,  5484,    -1,  5486,
      -1,  5488,  5489,    -1,    -1,    -1,    -1,    -1,  5495,    -1,
      -1,    -1,  3676,    -1,    -1,    -1,  5503,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3688,  3689,  5513,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3698,    -1,    -1,    -1,    -1,  3703,
      -1,  3705,    -1,    -1,    -1,    -1,    -1,    -1,   440,    -1,
      -1,    -1,    -1,    -1,    -1,   477,    -1,    -1,    -1,    -1,
      -1,  5548,  5549,   485,   486,   487,   488,   489,   490,   491,
     492,   493,    -1,    -1,    -1,    -1,   498,    -1,    -1,    -1,
     377,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3752,    -1,
      -1,    -1,  5579,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5593,     8,    -1,    -1,
      -1,    -1,    -1,    14,    15,    -1,    -1,    -1,    -1,    20,
      -1,    22,    -1,  3787,  3788,    -1,    -1,    28,    -1,    30,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5631,  5632,  5633,    -1,    49,    50,
      -1,    -1,  5639,    -1,    -1,    -1,  5643,    -1,    -1,    -1,
      -1,    -1,  5649,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5658,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     477,    -1,    -1,    -1,    -1,  5672,  2526,    -1,   485,   486,
     487,   488,   489,   490,   491,   492,   493,    -1,    -1,    -1,
    5687,   498,    -1,    -1,    -1,    -1,    -1,  5694,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5719,    -1,    -1,    -1,    -1,    -1,    -1,  5726,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5736,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5744,  5745,  5746,
      -1,    -1,    -1,  5750,    -1,  5752,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5761,  5762,  5763,    -1,    -1,    -1,
      -1,  5768,  5769,    -1,    -1,    -1,    -1,  5774,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3960,    -1,   199,    -1,
      -1,    -1,   203,    -1,    -1,  5792,    -1,    -1,    -1,  2485,
     211,    -1,    -1,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,   222,    -1,    -1,   225,    -1,   227,    -1,    -1,    -1,
      -1,    -1,    -1,  5820,  5821,  5822,    -1,    -1,    -1,  5826,
      -1,    -1,    -1,    -1,    -1,    -1,    61,    -1,    -1,  2689,
      -1,    -1,    61,    -1,    -1,    -1,  5843,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5863,    -1,    -1,    -1,
    5867,    96,    -1,    -1,    -1,  5872,    -1,    96,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5903,    -1,    34,    -1,
      -1,  5908,  5909,  5910,  5911,  5912,    -1,    -1,    44,    -1,
      -1,    -1,    -1,    -1,  5921,    51,    -1,  5924,    -1,    -1,
      -1,    -1,   157,    -1,    -1,  2621,    -1,    -1,   157,  2625,
    2626,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5959,  5960,    -1,    -1,    -1,  5964,   193,  2819,
      -1,    -1,  2822,    -1,   193,    -1,  5973,  5974,    -1,    -1,
    5977,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2682,    -1,    -1,    -1,
      -1,    -1,  2688,  4177,   229,    -1,    -1,    -1,    -1,    -1,
     229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   205,   206,    -1,    -1,    -1,  4202,    -1,
      -1,   213,    -1,   215,   216,    -1,  4210,    -1,    -1,  4213,
     265,  4215,    -1,  2729,   269,    -1,   265,   229,    -1,    10,
     269,    -1,    13,    -1,    -1,    -1,    17,    18,    19,  2909,
      -1,    -1,    -1,    -1,    -1,   191,    -1,    -1,    -1,    -1,
     196,    -1,  2922,    34,    -1,   300,   301,    -1,    -1,    -1,
    2930,   300,   301,    44,    -1,    -1,    -1,  4261,    -1,    -1,
      51,    -1,   218,   219,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4277,    -1,    -1,    -1,   233,  4282,    -1,
      -1,    -1,    -1,   338,    -1,    -1,    77,   342,    -1,   338,
    2970,    -1,   347,   342,    -1,    -1,    -1,    -1,   347,    -1,
      -1,   356,    -1,    -1,    -1,    -1,    -1,   356,    -1,   364,
      -1,  2991,    -1,    -1,    -1,   364,   272,   372,    -1,    -1,
      -1,    -1,    -1,   372,    -1,    -1,    -1,    -1,    -1,   384,
     286,    -1,    -1,   289,    -1,   384,    -1,    -1,   393,    -1,
      -1,    -1,   397,    61,   393,    -1,    -1,    -1,   397,    -1,
      -1,    -1,    -1,    -1,  3034,    -1,  3036,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4380,    -1,    96,  4383,
      -1,  2897,    -1,    -1,    -1,    -1,    -1,    -1,   629,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   451,    -1,    -1,   640,
     191,    -1,   451,   644,    -1,   196,    -1,    -1,    -1,    -1,
     651,   652,    -1,  2929,   655,    -1,   657,   658,    -1,    -1,
      -1,   377,    -1,    -1,    -1,    -1,    -1,   218,   219,    -1,
      -1,   672,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   157,
      -1,  3121,   233,    -1,    -1,    -1,    -1,    -1,  3128,   690,
    4454,  4455,  4456,  4457,    -1,  4459,  4460,  4461,  4462,  4463,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     711,    -1,   713,    -1,    -1,   193,    -1,    -1,    -1,    -1,
      -1,   272,   723,    -1,    -1,    -1,    -1,  3003,    -1,    -1,
      -1,  3007,    -1,    -1,    -1,   286,    -1,    -1,   289,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   229,    -1,    -1,   755,    -1,    -1,    -1,    -1,    -1,
      -1,   477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,    -1,    -1,
      -1,    -1,   498,    -1,    -1,    -1,    -1,   265,    -1,    -1,
    4554,   269,  4556,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   300,   301,    34,    -1,   377,    -1,    -1,    -1,
      -1,  3107,    -1,    -1,    44,    -1,    -1,    -1,    -1,   840,
      -1,    51,    -1,    -1,    -1,    -1,  3122,    -1,    -1,    -1,
      10,  3127,    -1,    13,    -1,    -1,   628,    17,    18,    19,
     338,    -1,    -1,    -1,   342,    -1,    -1,    77,    -1,   347,
      -1,    -1,    -1,    -1,    34,   647,    -1,    -1,   356,    -1,
      -1,   653,    -1,    -1,    44,    -1,   364,    -1,    -1,    -1,
      -1,    51,    -1,   665,   372,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   384,    -1,    -1,   681,
      -1,    -1,    -1,    -1,    -1,   393,    -1,    77,    -1,   397,
      -1,   922,    -1,   695,   696,    -1,   477,    -1,    -1,    -1,
     702,    -1,   704,   705,   485,   486,   487,   488,   489,   490,
     491,   492,   493,    -1,    -1,    -1,   718,   498,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   728,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   451,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   191,    -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3436,  3437,   999,    -1,
      -1,  4765,  4766,    -1,    -1,    -1,    -1,    -1,   218,   219,
      -1,    -1,   784,    -1,  4778,    -1,  4780,  4781,  4782,    -1,
      -1,    -1,  1023,   233,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   191,    -1,    -1,    -1,    -1,   196,  1038,    -1,  1040,
      -1,   813,    -1,    -1,    -1,    -1,    -1,    -1,  1049,    -1,
      -1,    -1,    -1,    -1,    -1,  1056,    -1,    -1,   218,   219,
      -1,    10,   272,    -1,    13,   837,    -1,    -1,    17,    18,
      19,    -1,    -1,   233,    -1,    -1,   286,    -1,    -1,   289,
      -1,    -1,  4846,    -1,    -1,    34,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    44,    -1,  1098,    -1,  1100,
    3376,    -1,    51,  3379,    -1,  3381,    -1,    -1,    -1,    -1,
    3386,    -1,   272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4885,    -1,    -1,    -1,   897,   286,    10,    77,   289,
      13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    -1,    -1,    -1,  3433,    -1,    -1,
      -1,    44,    -1,  4927,    -1,  3441,    -1,   377,    51,    -1,
      -1,    -1,    -1,    -1,  1175,    -1,  1177,    -1,  1179,    -1,
    1181,    -1,  1183,  1184,  1185,    -1,    -1,    -1,    -1,  1190,
    3466,    -1,    -1,    -1,    77,    -1,    -1,    -1,    -1,    -1,
    1201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1214,    -1,    -1,    -1,   377,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    10,  3672,    -1,    13,    -1,    -1,  1009,    17,    18,
      19,    -1,   191,  1015,    -1,    -1,    -1,   196,    -1,    -1,
      -1,    -1,    -1,    -1,  1026,    34,    -1,    -1,  1030,  3535,
    1032,  3537,    -1,    -1,    -1,    44,    -1,   477,    -1,   218,
     219,    -1,    51,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   233,    -1,    -1,    -1,   498,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,    -1,
      -1,    -1,  5076,   196,    -1,    -1,    -1,   477,    -1,    -1,
      -1,    -1,    -1,   272,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,    -1,   218,   219,   286,   498,    -1,
     289,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     233,    -1,  3628,    -1,    -1,    -1,    -1,  5121,    -1,    -1,
      -1,    -1,    -1,    -1,    10,  1137,  5130,    13,    -1,    -1,
    1371,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,  3655,
      -1,    -1,    -1,    -1,    -1,  3661,    -1,    -1,    34,   272,
      -1,    -1,    -1,  3833,  3670,    -1,    -1,    -1,    44,    -1,
      -1,    -1,    -1,   286,    -1,    51,   289,    -1,    -1,    -1,
      -1,    10,   191,    -1,    13,    -1,    -1,   196,    17,    18,
      19,    -1,  3698,    -1,    -1,    -1,  1198,    -1,   377,    -1,
      -1,    77,    -1,    -1,    -1,    34,    -1,  1209,    -1,   218,
     219,    -1,    -1,    -1,    -1,    44,    -1,    -1,    -1,    -1,
      -1,  1223,    51,    -1,   233,  1227,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1489,    -1,
      -1,  3767,    -1,   272,   377,    -1,    -1,    -1,    51,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   286,    -1,    -1,
     289,    -1,    -1,  3789,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,    -1,
      -1,    -1,    -1,    -1,    -1,  3811,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   191,    -1,    -1,    -1,   498,
     196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1561,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   218,   219,  1346,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1354,  1355,    -1,    -1,  5350,   233,    -1,    -1,
    5354,    -1,   191,    -1,   477,    -1,    -1,   196,   377,    -1,
      -1,    -1,   485,   486,   487,   488,   489,   490,   491,   492,
     493,    -1,    -1,    -1,    -1,   498,  3892,    -1,    -1,   218,
     219,    -1,    -1,    -1,    -1,    -1,   272,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   233,  1407,    -1,    -1,    -1,  3915,
     286,    -1,    -1,   289,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3940,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   272,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   286,    -1,    -1,
     289,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   485,   486,   487,   488,
     489,   490,   491,   492,   493,    -1,    -1,    -1,    -1,   498,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   377,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1776,  5540,    -1,   377,    -1,
    5544,    34,  5546,    -1,    -1,    -1,  5550,  5551,    -1,    -1,
      -1,    44,    -1,    10,    -1,    -1,    13,    -1,    51,    -1,
      17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1811,    -1,  4088,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    -1,    -1,    44,    -1,    -1,
      -1,   477,    -1,    -1,    51,    -1,    -1,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,    -1,    -1,
      -1,  4291,   498,  1854,    -1,  1856,    -1,    -1,    -1,    -1,
      77,    -1,    -1,    -1,    -1,  4305,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1876,    -1,    -1,   477,    -1,
      -1,    -1,  1654,    -1,    -1,    -1,   485,   486,   487,   488,
     489,   490,   491,   492,   493,    -1,    -1,    -1,    -1,   498,
      -1,  4177,  1903,    -1,  1905,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1920,
      -1,  1922,    -1,    -1,    -1,    -1,  4202,  1928,    -1,  1930,
      -1,  1932,    -1,  1934,    -1,  1936,    -1,    -1,   191,  1940,
      -1,    -1,    -1,   196,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   218,   219,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   191,    -1,    -1,    -1,    -1,   196,
     233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1768,    -1,    -1,    -1,
      -1,   218,   219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   233,    -1,    -1,   272,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1803,    -1,   286,  5798,    -1,   289,    -1,    -1,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,  1826,   272,    -1,    -1,    -1,    -1,
      -1,  4337,  1834,    34,    -1,    -1,    -1,    -1,    -1,   286,
    1842,    -1,   289,    44,    -1,    -1,    -1,    -1,    -1,    -1,
      51,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,    77,  4383,    -1,    -1,
    1882,  1883,  4388,  1885,  1886,    -1,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    -1,   377,  1897,  1898,    -1,  1900,  1901,
      44,    -1,    -1,    -1,    -1,    -1,    -1,    51,   691,    -1,
      -1,  1913,  1914,    -1,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,
     377,    -1,    -1,    77,   717,    -1,    -1,  5931,    -1,    -1,
      34,    -1,    -1,  5937,    -1,    -1,    -1,    -1,    -1,  1951,
      44,    -1,  1954,  1955,    -1,    -1,    -1,    51,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5968,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    77,  5978,    -1,    -1,  5981,    -1,    -1,
     191,    -1,    -1,    -1,   477,   196,    -1,    -1,    -1,    -1,
      -1,    -1,   485,   486,   487,   488,   489,   490,   491,   492,
     493,    -1,  4518,    -1,    -1,   498,    -1,   218,   219,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     477,    -1,   233,    -1,    -1,    -1,    -1,    -1,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   191,    -1,    -1,
      -1,   498,   196,    -1,    -1,    -1,  2058,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   272,    -1,   167,   218,   219,    -1,  4747,   172,   862,
      -1,    -1,    -1,    -1,    -1,   286,    -1,    -1,   289,   233,
      -1,    -1,  4762,    -1,    -1,    -1,    -1,   191,    -1,    -1,
      -1,    -1,   196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   218,   219,    -1,    -1,   272,    -1,
      -1,    -1,    -1,    -1,    -1,  4641,    -1,    -1,    -1,   233,
      -1,    -1,   286,    -1,    -1,   289,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4678,    -1,    -1,    -1,   377,    -1,   272,    -1,
      -1,    -1,    -1,  4853,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   286,    -1,  4700,   289,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   377,    -1,    -1,    51,    -1,    -1,    -1,
      -1,    -1,  1025,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1036,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4767,    -1,    -1,    -1,    -1,    -1,    -1,  1051,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   477,    -1,    -1,    -1,
      -1,    -1,    -1,   377,   485,   486,   487,   488,   489,   490,
     491,   492,   493,    -1,    -1,    -1,    -1,   498,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   477,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
      -1,    -1,   496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5037,    -1,  5039,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4886,    -1,  4888,   477,  2615,  2616,    -1,    -1,    -1,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
      -1,    -1,    -1,  2634,  2635,    -1,  2637,  2638,    -1,    -1,
    2641,  2642,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1207,  2656,    -1,    -1,    -1,    -1,
      -1,    -1,  2663,    -1,    -1,    -1,  2667,  2668,    -1,    -1,
    2671,  2672,    -1,    -1,    -1,    -1,    -1,  2678,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2690,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2702,    -1,    -1,    -1,    -1,  2707,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2722,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2731,    10,  5008,  2734,    13,  2736,  2737,  2738,    17,    18,
      19,    -1,  2743,  2744,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5191,  2753,    -1,    -1,    34,    -1,  2758,    -1,    -1,
      -1,  2762,    -1,    -1,    -1,    44,    -1,    -1,    -1,    -1,
      -1,    -1,    51,  2774,  2775,    -1,    -1,    -1,  2779,    -1,
      -1,    -1,    -1,    -1,  2785,  2786,    -1,    -1,  2560,    -1,
      -1,  2792,    -1,    -1,  2795,    -1,  1349,    -1,    77,    -1,
    5076,  2802,  2803,    -1,    -1,    -1,    -1,  2808,    -1,    -1,
      -1,    -1,   206,    -1,    -1,    -1,    -1,    -1,    -1,  2820,
      -1,   215,  2823,    -1,    -1,    -1,    -1,  2828,    -1,    -1,
      -1,    -1,    -1,  2834,  2835,   229,    -1,    -1,    -1,    -1,
      -1,  2842,  2614,    -1,  2845,    -1,    -1,    -1,  2849,  2850,
    2851,  2852,    -1,  2854,    -1,    -1,    -1,    -1,    -1,    -1,
    2632,    -1,    -1,    -1,  2636,    -1,  2867,  2868,  2640,  2870,
      -1,    -1,    -1,    -1,    -1,    -1,  2648,    -1,    -1,    -1,
    2881,  2882,  2883,    -1,    -1,    -1,    -1,   166,    -1,    -1,
      -1,    -1,    -1,    -1,  2666,    -1,  1449,    -1,    -1,    -1,
    5340,    -1,  5342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2683,   191,  2685,  2686,    -1,    -1,   196,    -1,    -1,
    5196,    -1,    51,    -1,    -1,    -1,    -1,    -1,  2700,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2938,    -1,   218,
     219,    -1,    -1,    -1,    -1,  2946,    -1,    -1,  2720,  2721,
      -1,    -1,    -1,    -1,   233,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1515,    -1,    -1,  2966,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2751,
    2752,    -1,    -1,  2755,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   272,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1556,    -1,    -1,  2778,   286,  2780,    -1,
     289,    -1,  2784,    -1,    -1,  3016,    -1,    -1,    -1,  2791,
      -1,    -1,    -1,    -1,    -1,    -1,  2798,    -1,    -1,  2801,
      -1,    -1,   311,    -1,  3035,  2807,  3037,  1590,    -1,    -1,
      -1,    -1,    -1,  5319,    -1,    -1,    -1,    -1,  5324,  5325,
      -1,    -1,    -1,    -1,    -1,  2827,    10,    -1,    -1,    13,
      -1,  2833,    -1,    17,    18,    19,    -1,    -1,  2840,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      34,  2853,    -1,    37,    -1,    -1,    -1,    -1,    -1,    -1,
      44,    -1,    -1,    -1,  2866,    -1,    -1,    51,   377,  2871,
      10,    -1,    -1,    13,    -1,  2877,   691,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    34,    -1,    -1,    -1,  3129,    -1,
      -1,    -1,   717,    -1,    44,    -1,    -1,    -1,    -1,  5579,
      -1,    51,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5434,  5435,
      -1,    -1,    -1,    -1,    -1,  2937,    -1,    77,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,    -1,
      -1,    -1,    -1,  5479,    -1,    -1,   485,   486,   487,   488,
     489,   490,   491,   492,   493,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1780,    -1,    -1,
      -1,    -1,    -1,    -1,   628,    -1,    -1,   191,  1791,    -1,
      -1,    -1,   196,    -1,    -1,    -1,    -1,  5687,    -1,    -1,
      -1,    -1,    -1,   647,  1807,    -1,    -1,    -1,    -1,   653,
      -1,    -1,    -1,    -1,   218,   219,    -1,    -1,    -1,    -1,
      -1,   665,    -1,    -1,    -1,    -1,    -1,   862,    -1,   233,
      -1,   191,    -1,    -1,    -1,    -1,   196,   681,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   696,    -1,    -1,    -1,    -1,  1860,   218,   219,
     704,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   272,  3091,
      -1,    -1,  1875,   233,   718,  1878,  1879,    -1,    -1,    -1,
      -1,    -1,   286,    -1,   728,   289,    -1,  3109,    -1,    -1,
      -1,    -1,    -1,    -1,  3116,    -1,    -1,    -1,    -1,    -1,
      -1,  3123,  5792,  3125,  3126,    -1,    -1,  1910,  1911,    -1,
      -1,    -1,   272,    -1,    -1,    -1,    -1,    27,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   286,    -1,    -1,   289,
      -1,  5821,  5822,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     784,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   313,    -1,    -1,    -1,  3408,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3187,    -1,    -1,    78,   813,
      -1,  3193,    -1,   377,    -1,    -1,    -1,  3428,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    -1,    -1,    -1,    -1,    -1,
    1025,    -1,    -1,   837,  3445,    -1,    -1,    -1,  3449,    -1,
      -1,  1036,   112,  3454,  3455,  3456,    -1,    -1,   118,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1051,   377,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   136,    -1,    -1,    -1,
      -1,  5921,    -1,    -1,   394,  2038,    -1,   147,    -1,  3490,
    3491,  3492,  3493,    -1,    -1,    -1,   156,    -1,    -1,    -1,
      -1,  3273,    -1,   897,    -1,    -1,    -1,    -1,    -1,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,    -1,
      -1,   181,    -1,   477,    -1,    -1,  3527,    -1,  3529,  3530,
    3531,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     200,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   691,    -1,    -1,   225,    -1,   477,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,    -1,    -1,   246,    -1,   717,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1009,    -1,    -1,    -1,    -1,
      -1,  1015,  1207,    -1,    -1,    -1,   286,    -1,  3400,  3401,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      13,  3642,    -1,    -1,    17,    18,    19,    -1,    -1,   309,
    3651,    -1,    -1,    -1,    -1,  3427,    -1,    -1,  3430,   319,
     320,    34,    -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    44,    -1,    -1,    -1,    -1,  3677,  3678,    51,    -1,
      -1,  3682,    -1,  5959,    -1,    -1,    -1,    -1,    -1,    -1,
     350,    -1,    -1,   353,    -1,    -1,    -1,   357,    -1,   359,
      -1,    -1,    -1,  3704,    77,    -1,   366,    -1,    -1,   369,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   388,    -1,
    3502,  3503,  3504,   862,    -1,   395,    -1,    -1,    -1,    -1,
     400,   401,    -1,  1137,   404,    -1,    -1,    -1,   408,    -1,
      -1,    -1,    -1,    -1,  3526,    -1,  3757,    -1,   418,    -1,
      -1,  3762,    -1,   423,    -1,    -1,    -1,  3768,    -1,    -1,
      -1,    -1,    -1,  3545,    -1,    -1,   436,    -1,    -1,    -1,
      -1,    -1,    -1,    51,    -1,    -1,    -1,    -1,    -1,   449,
      -1,    -1,  3564,    -1,    -1,    -1,    -1,  3798,    -1,    -1,
      -1,    -1,    -1,    10,  1198,    -1,    13,    -1,    -1,    -1,
      17,    18,    19,    -1,    -1,  1209,    -1,    -1,   191,    -1,
      -1,    -1,    -1,   196,    -1,    -1,  3827,    34,  3829,  1223,
      37,    -1,    -1,  1227,    -1,    -1,    -1,    44,    -1,    -1,
      -1,    -1,    -1,    -1,    51,   218,   219,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     233,    -1,    -1,    -1,  1449,    -1,    -1,  3868,    -1,    -1,
      77,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3650,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1025,    -1,    -1,   272,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1036,    -1,    -1,
      -1,    -1,    -1,   286,    -1,    51,   289,    -1,    -1,    -1,
      -1,    -1,  1051,    -1,    -1,  3697,    -1,    -1,    -1,    -1,
    1515,  3703,    -1,  3705,   307,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3718,    -1,  3720,    -1,
      -1,    -1,  1346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1354,  1355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1556,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   191,    -1,    -1,    -1,    -1,   196,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   377,  1590,    -1,    -1,    -1,    -1,
      -1,   218,   219,  1407,    -1,    -1,  3788,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   233,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3830,    -1,
      -1,    -1,    -1,    -1,    -1,   272,    -1,    -1,  2621,    -1,
      -1,    -1,  2625,  2626,    -1,  3847,    -1,    -1,  1207,   286,
      -1,    -1,   289,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3869,    -1,    -1,
    3872,    -1,    -1,  4104,   477,    -1,  4107,    -1,  4109,    -1,
      -1,    -1,   485,   486,   487,   488,   489,   490,   491,   492,
     493,  4122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2682,
      -1,    -1,    -1,  4134,    -1,  2688,    -1,  4138,    -1,    -1,
    4141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4156,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     377,    -1,    -1,  4174,    -1,    51,  2729,    -1,  4179,  3951,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1780,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4204,    -1,    -1,  1791,  4208,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4216,  4217,  4218,  4219,    -1,
      -1,    -1,  1807,    -1,    -1,  4226,  4227,  4228,  4229,    -1,
      -1,    -1,    -1,    -1,  4235,  4236,    -1,    -1,    -1,    -1,
    4241,  4242,    -1,  4244,  4245,  4246,  4247,  4248,  4249,  4250,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4260,
    1654,    -1,    -1,  4264,  4265,  4266,  4267,    -1,    -1,    -1,
     477,    -1,    -1,    -1,    -1,  1860,    -1,    -1,   485,   486,
     487,   488,   489,   490,   491,   492,   493,  4288,    -1,    -1,
    1875,    -1,    -1,  1878,  1879,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4306,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1449,    10,    -1,    -1,    13,  1910,  1911,    -1,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    34,    -1,    -1,    -1,  4121,
      -1,    -1,    -1,    -1,    -1,    44,    -1,    -1,    -1,    -1,
      -1,    -1,    51,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1768,    -1,  2929,    -1,    -1,    -1,
    4381,    -1,    -1,    -1,    10,    -1,  1515,    13,    77,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,  4171,
      -1,    -1,    -1,    -1,  4176,    -1,  4178,    -1,    34,  1803,
      -1,    37,    -1,  4414,    -1,    -1,    -1,    -1,    44,    -1,
    4421,    -1,  4423,   691,    -1,    51,    -1,  1556,    -1,  4201,
      -1,    -1,  1826,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1834,    -1,  4443,    -1,    -1,    -1,    -1,    -1,  1842,   717,
    3003,    77,    -1,  2038,  3007,    -1,    -1,    -1,    -1,    -1,
      -1,  1590,    -1,    -1,    -1,    -1,    -1,    -1,  4240,    -1,
      -1,  4243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1885,  1886,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   191,    -1,    -1,    -1,  1900,   196,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1913,
    1914,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   218,
     219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   233,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3107,   691,    -1,    -1,    -1,    -1,
      -1,  4333,  4334,    -1,    -1,   191,    -1,    -1,    -1,  3122,
     196,  4343,    -1,    -1,  3127,    -1,    -1,    -1,    -1,    -1,
      -1,   717,    -1,   272,    -1,    -1,    -1,    -1,  4360,    -1,
      -1,    -1,   218,   219,   862,    -1,    -1,   286,    -1,    -1,
     289,    -1,    -1,    -1,    -1,    -1,    -1,   233,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4642,  4643,  4644,    -1,    -1,   272,  4648,  4649,  4650,
    4651,  1780,    -1,    -1,  4655,    -1,    -1,    -1,    -1,    -1,
     286,    -1,  1791,   289,  2058,    -1,    -1,  4439,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1807,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   377,  4690,
    4691,  4692,  4693,  4694,    -1,  4696,  4697,    -1,    -1,    -1,
      -1,    -1,    51,    -1,    -1,    -1,    -1,  4708,  4709,    -1,
      -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,   862,    -1,    -1,    -1,
      -1,  1860,    -1,    -1,    -1,    34,  4737,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    44,  1875,    -1,    -1,  1878,
    1879,   377,    51,    -1,    -1,    -1,    -1,  1025,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1036,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    -1,
      -1,  1910,  1911,  1051,    -1,    -1,    10,    -1,   477,    13,
      -1,    -1,    -1,    17,    18,    19,   485,   486,   487,   488,
     489,   490,   491,   492,   493,    -1,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    -1,   691,    -1,    -1,    -1,    -1,
      44,    -1,    -1,  3376,    -1,    -1,  3379,    51,  3381,    -1,
      -1,    -1,    -1,  3386,    -1,    -1,    -1,    -1,  4839,    -1,
      -1,   717,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   477,    -1,    77,    -1,    -1,    -1,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3433,    -1,  4654,    -1,    -1,    -1,    -1,    -1,  3441,  1025,
      -1,    -1,   191,    -1,    -1,    -1,    -1,   196,    -1,    -1,
    1036,    -1,    -1,  4904,    -1,    -1,    -1,    -1,    -1,  2038,
      -1,    -1,    -1,  3466,    -1,  1051,    -1,    -1,    -1,   218,
     219,    -1,    -1,  4695,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   233,  4707,    -1,    -1,    -1,  1207,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4736,    -1,    -1,   191,    -1,    -1,
      -1,    -1,   196,   272,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3535,    -1,  3537,    -1,   862,   286,    -1,    -1,
     289,    -1,    -1,    -1,   218,   219,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   233,
      -1,    -1,    -1,    -1,  5015,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2621,    -1,    -1,    -1,
    2625,  2626,  4814,    -1,    -1,    -1,    -1,    -1,   272,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4833,   286,    -1,    -1,   289,    -1,    -1,    -1,    -1,
      -1,  1207,    -1,    -1,    -1,  3628,    -1,  5078,   377,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5097,  2682,    -1,    -1,
      -1,  5102,  5103,  2688,    -1,    -1,    -1,    -1,    -1,    -1,
     409,  5112,    -1,    -1,    -1,    -1,    -1,  3670,  5119,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2729,  3698,    -1,  4919,    -1,  1025,
      -1,    -1,    -1,   377,  5155,  5156,    -1,    -1,    -1,    -1,
    1036,    -1,    -1,    -1,    -1,    -1,  2560,  5168,    -1,  5170,
      -1,    -1,    -1,    -1,    -1,  1051,    -1,    -1,   477,    -1,
      -1,  1449,    -1,    -1,  5185,    -1,   485,   486,   487,   488,
     489,   490,   491,   492,   493,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5210,
      -1,    -1,    -1,    -1,  3767,    -1,    -1,  5218,    -1,    -1,
    2614,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3789,    -1,  2632,    -1,
      -1,    -1,  2636,    -1,    -1,    -1,  2640,  1515,    -1,    -1,
      -1,    -1,    -1,   477,  2648,    -1,    -1,  5029,  3811,  5031,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
      10,    -1,  2666,    13,    -1,    -1,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,  5287,    -1,  1556,    -1,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    44,  5077,  2700,  5308,    -1,    -1,
      -1,    51,    -1,  1449,    -1,  5087,    -1,  5318,    -1,    -1,
      -1,    -1,  1590,    -1,    -1,    -1,  2720,  2721,    -1,    -1,
      -1,  1207,    -1,    -1,    -1,    -1,    -1,    77,    -1,  3892,
      -1,    -1,   691,    -1,  2929,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5126,    -1,    -1,  2751,  2752,  5131,
      -1,  2755,  3915,    -1,    -1,    -1,    -1,    -1,   717,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1515,
      -1,    -1,  5383,    -1,  2778,    -1,  2780,  3940,    -1,    -1,
    2784,    -1,    -1,    -1,    -1,    -1,    -1,  2791,    -1,    -1,
      -1,    -1,    -1,    -1,  2798,    -1,    -1,  2801,    -1,    -1,
      -1,    -1,    -1,  2807,    -1,    -1,    -1,    -1,  3003,    -1,
    1556,    -1,  3007,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   172,  2827,    -1,    -1,    -1,    -1,    -1,  2833,
      -1,    -1,    -1,    -1,    -1,    -1,  2840,    -1,    -1,    -1,
      -1,   191,  5453,    -1,  1590,    -1,   196,    -1,    -1,  2853,
      -1,    -1,   207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2866,    -1,   219,    -1,    -1,  2871,   218,   219,
      -1,    -1,    -1,  2877,    -1,   230,    -1,    -1,    -1,    -1,
      -1,    -1,  2621,   233,    -1,    -1,  2625,  2626,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5511,    -1,  1780,   862,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3107,  1791,  5525,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   272,    -1,    -1,  4088,    -1,  3122,    -1,  1807,
      -1,    -1,  3127,  2937,    -1,    -1,   286,    -1,    -1,   289,
      -1,    -1,    -1,  2682,    -1,    -1,    -1,    -1,    -1,  2688,
      -1,    -1,    -1,    -1,  5336,    -1,    -1,  5568,    -1,    -1,
      -1,    -1,    -1,  1449,    -1,    -1,    -1,    -1,  5350,    -1,
      -1,    10,    -1,  5584,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,  1860,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2729,    -1,    -1,    -1,    -1,    34,    -1,  1875,  5380,    -1,
    1878,  1879,    -1,    -1,    -1,    44,    -1,    -1,    -1,    -1,
      -1,    -1,    51,    -1,  4177,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   377,    -1,  1515,
      -1,    -1,  1910,  1911,  1780,    -1,    -1,    -1,    77,  4202,
      -1,    -1,    -1,    -1,    -1,  1791,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,
    5671,  1807,    -1,    -1,    -1,    -1,  1025,    -1,    -1,    -1,
    1556,    -1,    -1,    -1,    34,    -1,    -1,  1036,    -1,    -1,
      -1,    -1,    -1,    -1,    44,    -1,    -1,  3091,    -1,    -1,
      -1,    51,  1051,    -1,  5476,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5714,  1590,  3109,    -1,    -1,    -1,    -1,
      -1,    -1,  3116,    -1,  1860,    -1,    -1,    77,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,   167,  1875,
      -1,    -1,  1878,  1879,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   191,    -1,    -1,    -1,  5538,   196,  5540,    -1,
    2038,    -1,    -1,    -1,  1910,  1911,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4337,    -1,    -1,    -1,    -1,   218,
     219,  3376,    -1,  3187,  3379,    -1,  3381,    -1,    -1,  3193,
    2929,  3386,    -1,    -1,   233,    -1,    -1,    -1,    -1,  5810,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4383,    -1,    -1,    -1,    -1,  4388,    -1,    -1,    -1,    -1,
      -1,   191,    -1,   272,    -1,    -1,   196,    -1,  3433,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3441,   286,  1207,    -1,
     289,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   218,   219,
      -1,    -1,    -1,    -1,  3003,    -1,    -1,    -1,  3007,  3273,
      -1,  3466,    -1,   233,   629,    -1,    -1,  5659,    -1,    -1,
     635,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5672,    -1,  2038,    -1,  1780,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5685,    -1,  1791,    -1,    -1,    -1,    -1,
      -1,    -1,   272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1807,    -1,    -1,    -1,    -1,   286,    -1,    -1,   289,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   377,    -1,
    3535,    -1,  3537,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4518,    -1,    -1,    -1,    -1,
      -1,    -1,  5744,  5745,    -1,    -1,    -1,    -1,  3107,    -1,
      -1,    -1,    -1,    -1,  1860,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3122,    -1,    -1,    -1,    -1,  3127,  1875,
      -1,    -1,  1878,  1879,    -1,    -1,  3400,  3401,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5798,   377,    -1,    -1,
      -1,    -1,    -1,  3427,  1910,  1911,  3430,    -1,    -1,    -1,
      -1,    -1,    -1,  3628,    -1,    -1,    -1,    -1,   477,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   810,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   829,  3670,    -1,    -1,  4641,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1449,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3502,  3503,
    3504,    -1,    -1,  3698,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4678,    -1,   477,    -1,    -1,
      -1,    -1,  3526,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,    -1,    -1,    -1,  4700,    -1,    -1,
      -1,  3545,    -1,   898,    -1,    -1,    -1,    -1,    -1,  5931,
      -1,    -1,  2038,    -1,    -1,    -1,  1515,    -1,    -1,    -1,
    3564,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3767,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5968,    -1,    -1,    -1,
     945,  5973,  5974,    -1,  3789,    -1,  5978,  1556,    -1,    -1,
      -1,    -1,    -1,    -1,  4767,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3811,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,  1590,    -1,    -1,    -1,    -1,    -1,  3376,    -1,    -1,
    3379,    -1,  3381,    -1,    -1,    34,  3650,  3386,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    44,    -1,    -1,    -1,    -1,
      -1,    -1,    51,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    -1,
      -1,    -1,    -1,  3697,  3433,    -1,    -1,  3892,    -1,  3703,
      -1,  3705,  3441,    -1,    -1,  1060,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3718,    -1,  3720,    -1,    -1,    -1,
    3915,    -1,    -1,    -1,    -1,  4888,    -1,  3466,    -1,    -1,
      -1,    -1,    -1,  1088,  1089,  1090,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2621,    -1,  3940,    -1,  2625,  2626,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3788,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3535,    -1,  3537,    -1,
      -1,    -1,   191,    -1,  2682,    -1,    -1,   196,    -1,    -1,
    2688,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,
      -1,  1780,    17,    18,    19,    -1,  3830,    -1,    -1,   218,
     219,    -1,  1791,    -1,    -1,    -1,    -1,    -1,    -1,    34,
      -1,    -1,  1197,  3847,   233,  5008,    -1,    -1,  1807,    44,
      -1,  2729,    -1,    -1,    -1,    -1,    51,    -1,  1213,    -1,
      -1,    -1,    -1,    -1,    -1,  3869,    -1,  1222,  3872,    -1,
      -1,    -1,    -1,    -1,    -1,  2621,    -1,    -1,    -1,  2625,
    2626,    -1,    77,   272,    -1,    -1,    -1,    -1,    -1,  3628,
      -1,    -1,    -1,  4088,    -1,    -1,    -1,   286,    -1,    -1,
     289,  1860,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5076,    -1,    -1,  1875,    -1,    -1,  1878,
    1879,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3670,    -1,    -1,    -1,    -1,  2682,    -1,    -1,    -1,
      -1,    -1,  2688,    -1,    -1,    -1,    -1,  3951,    -1,    -1,
      -1,  1910,  1911,    -1,    -1,    -1,    -1,    -1,    -1,  3698,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4177,  2729,    -1,    -1,    -1,    -1,   377,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   191,    -1,    -1,    -1,
      -1,   196,    -1,    -1,    -1,  1360,    -1,  4202,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   218,   219,    -1,    -1,    -1,  3767,    -1,
      -1,    -1,    -1,  5196,    -1,    -1,    -1,    -1,   233,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3789,  2929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3811,    -1,    -1,    -1,    -1,   272,    -1,  2038,
      -1,    -1,    -1,    -1,    -1,  1440,    -1,    -1,   477,    -1,
      -1,   286,    -1,    -1,   289,    -1,   485,   486,   487,   488,
     489,   490,   491,   492,   493,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4121,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3003,    -1,    -1,    -1,  3007,
      -1,    -1,    -1,    -1,    -1,  2621,    -1,    -1,    -1,  2625,
    2626,    -1,  4337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3892,    -1,    -1,  5319,    -1,    -1,    -1,
      -1,  5324,  5325,    -1,    -1,    -1,  1521,  4171,    -1,    -1,
      -1,    -1,  4176,    -1,  4178,  1530,  3915,    -1,    -1,    -1,
      -1,    -1,   377,  2929,    -1,    -1,    -1,    -1,  4383,    -1,
      -1,    -1,    -1,  4388,    -1,    -1,  2682,  4201,    -1,    -1,
      -1,  3940,  2688,    -1,    -1,    -1,    -1,  1562,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3107,
      -1,  1586,    -1,    -1,  1589,    -1,  4240,    -1,    -1,  4243,
      -1,    -1,    -1,  2729,  3122,    -1,    -1,    -1,    -1,  3127,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3003,    -1,    -1,
      -1,  3007,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5435,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   477,    -1,    -1,    -1,    -1,    -1,    -1,  1644,
     485,   486,   487,   488,   489,   490,   491,   492,   493,    -1,
      -1,    -1,    -1,  1658,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5479,    -1,    10,    -1,
      -1,    13,    -1,  4518,    -1,    17,    18,    19,    -1,  4333,
    4334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4343,
      -1,    -1,    34,    -1,    -1,    -1,    -1,    -1,    -1,  4088,
      -1,    -1,    44,    -1,    -1,    -1,  4360,    -1,    -1,    51,
      22,  3107,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3122,    -1,    40,    -1,
      -1,  3127,    -1,    -1,    -1,    77,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1767,    -1,    -1,    -1,    78,    -1,    -1,    -1,
      -1,    -1,    -1,  1778,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    -1,    -1,  4439,    -1,    -1,  4177,    -1,
      -1,    -1,    -1,  2929,    -1,    -1,  4641,    -1,    -1,    -1,
     112,    -1,    -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,
      -1,    -1,    -1,  4202,    -1,  1820,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   136,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4678,    -1,   147,    -1,    -1,    -1,    -1,
    1845,    -1,    -1,    -1,   156,    -1,    -1,  1852,  3376,   191,
      -1,  3379,    -1,  3381,   196,  4700,    -1,   169,  3386,    -1,
      -1,    -1,    -1,    -1,    -1,   177,    -1,  3003,    -1,   181,
      -1,  3007,    -1,    -1,    -1,    -1,   218,   219,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   200,    -1,
      -1,   233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3433,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3441,    -1,    -1,    -1,    -1,    -1,    -1,
    1925,    -1,  4767,    -1,    -1,   237,    -1,    -1,    -1,    -1,
     272,    -1,    -1,    -1,   246,    -1,    -1,    -1,  3466,    -1,
      -1,    -1,    -1,    -1,   286,    -1,    -1,   289,  4337,    -1,
      -1,    -1,  1957,  1958,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1974,
      -1,  3107,    -1,    -1,   286,    -1,    -1,   289,    -1,    -1,
    3376,    -1,    -1,  3379,    -1,  3381,  3122,    -1,    -1,    -1,
    3386,  3127,    -1,    -1,  4383,    -1,    -1,   309,    -1,  4388,
    4654,    -1,    -1,    -1,    -1,    -1,    -1,  3535,    -1,  3537,
      -1,   323,  2621,    -1,    -1,    -1,  2625,  2626,   330,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   377,    -1,  3433,   350,    -1,
      -1,  4695,    -1,  4888,    -1,  3441,    -1,   359,    -1,    -1,
      -1,    -1,    -1,  4707,   366,    -1,    -1,   369,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3466,    -1,    -1,  2682,    -1,    -1,   388,    -1,    -1,  2688,
      -1,    -1,  4736,   395,    -1,    -1,    -1,    -1,    -1,   401,
      -1,    -1,   404,   405,    -1,   407,   408,    -1,    -1,    -1,
    3628,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   807,   808,
      -1,   423,    -1,    -1,    -1,    -1,    -1,    -1,   430,    -1,
    2729,   433,    -1,    -1,   436,    -1,    -1,    -1,    -1,  4518,
      -1,    -1,    -1,    -1,    -1,   477,    -1,   449,    -1,  3535,
      -1,  3537,  3670,   485,   486,   487,   488,   489,   490,   491,
     492,   493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4814,    -1,    -1,  5008,    -1,    -1,    -1,    -1,    -1,    -1,
    3698,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4833,
      -1,    -1,    -1,    -1,    -1,   884,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5076,  3628,    -1,    -1,    -1,    -1,    -1,    -1,  3767,
    3376,    -1,    -1,  3379,    -1,  3381,    -1,    -1,    -1,    -1,
    3386,    -1,  4641,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3789,    -1,    -1,    -1,  4919,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3670,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3811,    -1,    -1,    -1,    -1,    -1,  4678,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3433,    -1,    -1,
      -1,    -1,  3698,    -1,    -1,  3441,    -1,    -1,  1007,  1008,
      -1,  4700,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3892,    -1,    -1,    -1,    -1,    -1,
      -1,  3767,    -1,    -1,    -1,  5029,    -1,  5031,  4767,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3915,    -1,    -1,
      -1,    -1,    -1,  3789,  3003,    -1,    -1,    -1,  3007,  3535,
      -1,  3537,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3940,    -1,    22,  3811,    -1,    -1,    -1,    27,
      -1,    -1,    -1,  5077,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    -1,  5126,    -1,  5319,    -1,    -1,  2482,    -1,  5324,
    5325,    -1,    -1,    -1,    -1,    -1,    94,  2492,    -1,    -1,
      -1,    -1,  3628,    -1,    -1,    -1,  3892,    -1,  3107,  4888,
      -1,    -1,    -1,    -1,   112,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3122,    -1,    -1,  2521,    -1,  3127,  3915,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   136,    -1,
      -1,    -1,    -1,    -1,  3670,    -1,    -1,    -1,    22,   147,
    1239,    -1,    -1,    27,  3940,    -1,    -1,    -1,   156,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4088,   169,  3698,  2568,  2569,    -1,   174,    -1,    -1,    -1,
      -1,  1270,    -1,   181,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5435,    -1,   200,    -1,    78,    79,    -1,  2602,    -1,  1298,
    1299,  1300,    -1,  1302,    -1,    -1,    90,    -1,    -1,    -1,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5008,
      -1,    -1,    -1,  1322,    -1,    -1,    -1,    -1,   112,    -1,
      -1,  3767,    -1,    -1,  5479,    -1,    -1,    -1,   246,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4177,
      -1,    -1,   136,  3789,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   156,    -1,  4202,  3811,    -1,    -1,   286,    -1,
      -1,    -1,  5336,    -1,    -1,   169,    -1,  5076,    -1,    -1,
     174,   299,  4088,    -1,    -1,    -1,  5350,    -1,    -1,    -1,
      -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   319,   320,    -1,    -1,   323,   200,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1424,  5380,    -1,  2733,  1428,
    1429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   225,   350,  2748,    -1,   353,    -1,    -1,    -1,   357,
      -1,   359,    -1,    -1,    -1,    -1,  3892,    -1,   366,    -1,
      -1,   369,   246,    -1,  2769,    -1,    -1,  3376,    -1,    -1,
    3379,    -1,  3381,    -1,    -1,    -1,    -1,  3386,    -1,  3915,
     388,  4177,    -1,    -1,    -1,    -1,    -1,   395,    -1,    -1,
      -1,    -1,    -1,   401,    -1,    -1,   404,    -1,    -1,    -1,
     408,    -1,   286,    -1,  3940,    -1,  4202,  5196,   416,  4337,
     418,    -1,    -1,    -1,    -1,   423,    -1,    -1,    -1,    -1,
      -1,    -1,  5476,    -1,  3433,   309,    -1,    -1,   436,    -1,
      -1,    -1,  3441,    -1,    -1,   319,   320,    -1,    -1,   323,
      -1,   449,  2847,  2848,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4383,    -1,  3466,    -1,    -1,
    4388,    -1,    -1,    -1,    -1,    -1,   350,    -1,    -1,   353,
      -1,    -1,    -1,   357,    -1,   359,    -1,    -1,    -1,    -1,
      -1,    -1,   366,    -1,  5538,   369,  5540,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   388,    -1,    -1,    -1,    -1,    -1,
      -1,   395,    -1,    -1,    -1,    -1,    -1,   401,    -1,    -1,
     404,    -1,    -1,    -1,   408,    -1,  3535,    -1,  3537,    -1,
    5319,    -1,   416,    -1,   418,  5324,  5325,    -1,    -1,   423,
      -1,  4337,    -1,  2948,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4088,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   449,    -1,    -1,    -1,    -1,
    1669,  1670,  1671,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4383,    -1,    -1,
    4518,    -1,  4388,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    22,    -1,    -1,    -1,  5659,    27,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3628,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5685,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4177,    -1,    -1,    65,    -1,  5435,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,
      -1,  3670,    -1,    -1,    -1,    -1,  4202,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3698,
    5479,   112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4641,    -1,   136,    -1,    -1,    -1,    -1,
      -1,    -1,  4518,    -1,    -1,    -1,   147,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   156,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5798,    -1,    -1,    -1,   169,    -1,
    4678,    -1,    -1,   174,    -1,    -1,    -1,    -1,  3767,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4700,    -1,    -1,    -1,    -1,    -1,    -1,   200,
    3789,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4337,  3811,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   246,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4767,
      -1,    -1,    -1,    -1,    -1,  4641,    -1,  4383,    -1,    -1,
      -1,    -1,  4388,    -1,  3259,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3280,    -1,  5931,    -1,    -1,
      -1,    -1,  4678,  3892,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1995,    -1,   319,   320,
      -1,    -1,   323,    -1,  4700,    -1,  3915,    -1,  2007,    -1,
    2009,    -1,  2011,    -1,  5968,  2014,  2015,  2016,    -1,    -1,
      -1,    -1,  2021,    -1,  5978,  2024,    -1,    -1,    -1,   350,
      -1,  3940,   353,    -1,    -1,    -1,    -1,    -1,   359,    -1,
    2039,  2040,  2041,    -1,    -1,   366,    -1,    -1,   369,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2056,    -1,    -1,
    4888,    -1,    -1,    -1,    -1,    -1,    -1,   388,    -1,    -1,
      -1,  4767,    -1,    -1,   395,    -1,    -1,    -1,    -1,    -1,
     401,    -1,  4518,   404,    -1,    -1,    -1,   408,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   416,    -1,    -1,    -1,    -1,
      -1,    -1,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   449,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4088,
    5008,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4888,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2199,    -1,    -1,    -1,    -1,  4641,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1314,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3543,    -1,
    2239,    -1,  4678,    -1,    -1,    -1,    -1,    -1,  5076,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4700,    -1,    -1,    -1,  4177,    -1,
      -1,    -1,    -1,    -1,    -1,  1368,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2290,    -1,  4202,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5008,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4767,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5196,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5076,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3709,  3710,  3711,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3726,    -1,    -1,    -1,    -1,    -1,    -1,  4337,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4888,    -1,    -1,  3760,  3761,    -1,    -1,    -1,
    3765,    -1,    -1,    -1,    -1,  2464,  2465,  2466,  2467,  2468,
    2469,  2470,  2471,  2472,  4383,  2474,    -1,    -1,    -1,  4388,
      -1,    -1,    -1,    -1,  2483,    -1,  2485,    -1,    -1,    -1,
      -1,  5319,    -1,    -1,    -1,    -1,  5324,  5325,    -1,    -1,
    5196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2523,    -1,    -1,    -1,  2527,    -1,
      -1,  2530,    -1,  2532,    -1,    -1,  2535,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    30,    -1,    32,
      33,    -1,  3867,    -1,    -1,  3870,    -1,    -1,    -1,    -1,
      -1,    -1,  5008,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1675,    -1,    -1,    -1,  1679,    60,    -1,  2588,
    2589,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    72,
      -1,    74,    75,    -1,    -1,    -1,    -1,  5435,    81,  4518,
      83,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,  5319,    97,    -1,    -1,    -1,  5324,  5325,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5076,   114,    -1,    -1,   117,    -1,    -1,    -1,    -1,    -1,
      -1,  5479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   132,
      -1,   134,    -1,    -1,    -1,   138,    -1,    -1,    -1,    -1,
    2669,   144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   152,
      -1,   154,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,
      -1,    -1,    -1,  3998,  3999,  4000,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4641,    -1,    -1,    -1,    -1,    -1,    -1,  5435,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5196,    -1,   235,   236,    -1,    -1,    -1,    -1,   241,  4678,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     253,    -1,    -1,  5479,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4700,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   314,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   328,    -1,    -1,  4767,    -1,
      -1,   334,   335,    -1,   337,    -1,    -1,    -1,    -1,   342,
      -1,    -1,   345,    -1,    -1,   348,    -1,    -1,   351,    -1,
      -1,    -1,    -1,  5319,    -1,   358,    -1,    -1,  5324,  5325,
      -1,   364,   365,    -1,    -1,    -1,  2895,  2896,  2897,   372,
    1993,    -1,  2901,   376,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   386,    -1,  2008,    -1,    -1,    -1,  2012,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   401,  2928,
      -1,    -1,    -1,  2026,  2027,  2028,    -1,  2030,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   421,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   432,
      -1,    -1,    -1,    -1,    -1,   438,    -1,    -1,    -1,    -1,
     443,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4888,
      -1,    -1,    -1,   456,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5435,
      -1,    -1,    -1,    -1,    -1,    -1,   479,    -1,    -1,  4314,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   497,    -1,    -1,   500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4345,    -1,    -1,  5479,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4377,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5008,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4412,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4429,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3135,    -1,    -1,    -1,
      -1,  3140,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5076,    -1,  3168,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3179,    -1,  3181,  3182,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3192,    -1,    -1,  3195,    -1,  3197,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3231,    -1,  3233,    -1,  3235,    -1,    -1,    -1,
      -1,  4546,  4547,  4548,  4549,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5196,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3323,    -1,    -1,    -1,    -1,  3328,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3343,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2481,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3406,    -1,    -1,
    5319,    -1,    -1,    -1,    -1,  5324,  5325,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2575,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2587,    -1,    -1,    -1,    -1,  2592,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5435,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5479,    -1,    -1,    -1,    -1,    -1,  4881,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4892,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3655,    -1,    -1,    -1,
      -1,    -1,  3661,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3741,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5149,    -1,    -1,    -1,    -1,  5154,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5173,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3889,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3898,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3906,    -1,  3908,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3935,  3936,  3937,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3953,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3961,    -1,    -1,  3964,    -1,  3966,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3976,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3984,  3985,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5303,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3138,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3158,  3159,  4066,  3161,    -1,
      -1,    -1,    -1,  3166,  3167,    -1,  3169,    -1,  3171,    -1,
      -1,    -1,  3175,  4082,    -1,  3178,    -1,    -1,    -1,    -1,
    3183,    -1,    -1,    -1,    -1,    -1,  3189,  5402,    -1,    -1,
      -1,  3194,    -1,    -1,    -1,    -1,    -1,    -1,  3201,  3202,
    3203,  3204,    -1,    -1,    -1,  3208,  3209,    -1,  3211,    -1,
      -1,    -1,    -1,    -1,    -1,  5430,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3228,    -1,  3230,    -1,    -1,
      -1,    -1,    -1,    -1,  3237,  3238,  3239,  3240,  3241,  3242,
    3243,  3244,  3245,  3246,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3281,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3421,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4389,  4390,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4465,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4476,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4515,  4516,    -1,    -1,
      -1,    -1,    -1,  4522,  4523,    -1,    -1,    -1,  4527,    -1,
      -1,    -1,  4531,    -1,    -1,  4534,  4535,    -1,    -1,    -1,
    4539,    -1,    -1,    -1,    -1,    -1,  4545,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3659,  3660,    -1,    -1,
      -1,  3664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4585,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4596,    -1,    -1,
    3693,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4623,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4723,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4793,  3888,    -1,    -1,    -1,    -1,
      -1,  3894,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3912,
    3913,    -1,    -1,  3916,  3917,  3918,  3919,    -1,    -1,  3922,
    3923,  3924,  3925,  3926,  3927,  3928,  3929,  3930,  3931,  3932,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3954,    -1,    -1,  3957,    -1,  3959,    -1,    -1,  3962,
    3963,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3978,  3979,  3980,  3981,    -1,
    3983,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4937,    -1,
      -1,    -1,    -1,    -1,  4943,  4944,  4945,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4048,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4968,
    4969,    -1,    -1,  4972,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4998,
      -1,    -1,    -1,    -1,  4097,    -1,    -1,    -1,    -1,    -1,
    5009,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5024,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4307,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4349,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5272,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5370,    -1,  4466,    -1,    -1,    -1,  4470,    -1,  4472,
    4473,    -1,    -1,    -1,    -1,  4478,  4479,  4480,  4481,    -1,
      -1,    -1,  4485,  4486,  4487,  4488,  4489,  4490,  4491,  4492,
    4493,  4494,  4495,  4496,  4497,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4521,    -1,
      -1,  4524,    -1,  4526,    -1,    -1,  4529,    -1,    -1,  4532,
    4533,    -1,    -1,  4536,  4537,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5458,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5488,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5513,  4608,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5631,  5632,  5633,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5649,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4796,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5726,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5750,    -1,  5752,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4883,  4884,    -1,    -1,    -1,    -1,    -1,    -1,  4891,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4933,    -1,    -1,    -1,    -1,    -1,  4939,  4940,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5863,  4958,    -1,  4960,  5867,    -1,
      -1,  4964,  4965,  4966,  4967,    -1,    -1,  4970,  4971,    -1,
      -1,    -1,  4975,    -1,    -1,    -1,  4979,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4992,
      -1,    -1,    -1,    -1,  5903,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5010,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5033,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5959,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5098,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5222,
      -1,  5224,  5225,  5226,  5227,  5228,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5239,  5240,  5241,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5254,    -1,    -1,  5257,    -1,    -1,    -1,  5261,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5279,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5291,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5459,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5473,    -1,  5475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5560,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5626,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5670,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5755,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5768,  5769,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5818,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5842,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5858,  5859,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,     5,     6,
      -1,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    -1,    -1,    -1,    -1,    36,
    5913,  5914,    39,    40,    41,    -1,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    -1,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    -1,    72,    73,    74,    75,    76,
      -1,    78,    -1,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      -1,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,    -1,   145,   146,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,    -1,   170,   171,    -1,   173,   174,   175,   176,
     177,    -1,   179,   180,    -1,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,    -1,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,    -1,   229,   230,   231,   232,   233,    -1,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,    -1,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,    -1,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   488,   489,   490,    -1,    -1,    -1,    -1,    -1,    -1,
     497,   498,     3,    -1,     5,     6,    -1,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,    40,
      41,    -1,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    -1,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      -1,    72,    73,    74,    75,    76,    -1,    78,    -1,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    -1,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,    -1,   145,   146,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,    -1,   170,
     171,    -1,   173,   174,   175,   176,   177,    -1,   179,   180,
      -1,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,    -1,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,    -1,   229,   230,
     231,   232,   233,    -1,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,    -1,    -1,   454,    -1,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,   479,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,   489,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   497,   498,     3,    -1,
       5,     6,    -1,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    36,    -1,    -1,    39,    40,    41,    -1,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    -1,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    -1,    72,    73,    74,
      75,    76,    -1,    78,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    -1,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,    -1,
     145,   146,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,    -1,   170,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,   180,    -1,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,    -1,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,    -1,   229,   230,   231,   232,   233,    -1,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,    -1,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,    -1,    -1,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   488,   489,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   497,   498,     3,    -1,     5,     6,    -1,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      39,    40,    41,    -1,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    -1,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    -1,    72,    73,    74,    75,    76,    -1,    78,
      -1,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    -1,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,    -1,   145,   146,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
      -1,   170,   171,    -1,   173,   174,   175,   176,   177,    -1,
     179,   180,    -1,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,    -1,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,    -1,
     229,   230,   231,   232,   233,    -1,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,    -1,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,
     489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   497,   498,
       3,    -1,     5,     6,    -1,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    39,    40,    41,    -1,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    -1,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    -1,    72,
      73,    74,    75,    76,    -1,    78,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    -1,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,    -1,   145,   146,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,    -1,   170,   171,    -1,
     173,   174,   175,   176,   177,    -1,   179,   180,    -1,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,    -1,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,    -1,   229,   230,   231,   232,
     233,    -1,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,    -1,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,    -1,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,   488,   489,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   497,   498,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    37,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    98,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,   173,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,   221,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,   231,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,    -1,   273,
      -1,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
      -1,   295,    -1,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,    -1,   402,    -1,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,    -1,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   498,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,
      45,    46,    47,    48,    49,    50,    -1,    52,    53,    54,
      55,    -1,    57,    58,    59,    60,    61,    62,    63,    -1,
      -1,    66,    67,    68,    69,    70,    -1,    72,    73,    74,
      75,    -1,    -1,    78,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    -1,    98,    99,   100,   101,    -1,    -1,    -1,
     105,    -1,    -1,    -1,   109,   110,   111,   112,   113,   114,
     115,   116,   117,    -1,   119,    -1,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,    -1,
     145,   146,   147,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,    -1,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,    -1,   170,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,    -1,    -1,    -1,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,    -1,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,    -1,   229,    -1,   231,   232,   233,    -1,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,    -1,   268,    -1,   270,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,    -1,   282,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,    -1,   311,    -1,   313,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,    -1,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,    -1,    -1,
     415,   416,    -1,   418,    -1,    -1,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,    -1,   438,   439,   440,   441,   442,    -1,   444,
     445,   446,   447,   448,   449,   450,   451,    -1,    -1,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,
     475,   476,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,   498,    39,    40,    41,    -1,    43,    44,
      45,    46,    47,    48,    49,    50,    -1,    52,    53,    54,
      55,    -1,    57,    58,    59,    60,    61,    62,    63,    -1,
      -1,    66,    67,    68,    69,    70,    -1,    72,    73,    74,
      75,    -1,    -1,    78,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    -1,    98,    99,   100,   101,    -1,    -1,    -1,
     105,    -1,    -1,    -1,   109,   110,   111,   112,   113,   114,
     115,   116,   117,    -1,   119,    -1,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,    -1,
     145,   146,   147,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,    -1,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,    -1,   170,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,    -1,    -1,    -1,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,    -1,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,    -1,   229,    -1,   231,   232,   233,    -1,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,    -1,   268,    -1,   270,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,    -1,   282,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,    -1,   311,    -1,   313,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,    -1,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,    -1,    -1,
     415,   416,    -1,   418,    -1,    -1,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,    -1,   438,   439,   440,   441,   442,    -1,   444,
     445,   446,   447,   448,   449,   450,   451,    -1,    -1,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,     3,    -1,
       5,     6,    -1,     8,     9,    10,    11,    12,    -1,   474,
     475,   476,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    36,    -1,   498,    39,    40,    41,    -1,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    -1,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    -1,    72,    73,    74,
      75,    76,    -1,    78,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    -1,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,    -1,
     145,   146,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,    -1,   170,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,   180,    -1,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,    -1,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,    -1,   229,   230,   231,   232,   233,    -1,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,    -1,    -1,   454,
      -1,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   488,   489,    -1,    -1,    -1,     3,    -1,
       5,     6,   497,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    36,    -1,    -1,    39,    40,    41,    -1,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    -1,    72,    73,    74,
      75,    76,    -1,    78,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    -1,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,    -1,
     145,   146,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,    -1,   170,   171,   172,   173,   174,
     175,   176,   177,    -1,   179,   180,    -1,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,    -1,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,   232,   233,    -1,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,    -1,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,    -1,    -1,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   488,   489,    -1,    -1,    -1,     3,    -1,
       5,     6,   497,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    -1,    -1,    -1,
      35,    36,    -1,    -1,    39,    40,    41,    -1,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    -1,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    -1,    72,    73,    74,
      75,    76,    -1,    78,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    -1,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,    -1,
     145,   146,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,    -1,   170,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,   180,    -1,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,    -1,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,    -1,   229,   230,   231,   232,   233,    -1,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,    -1,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,    -1,    -1,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   488,   489,    -1,    -1,    -1,     3,    -1,
       5,     6,   497,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    -1,    -1,    -1,
      35,    36,    -1,    -1,    39,    40,    41,    -1,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    -1,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    -1,    72,    73,    74,
      75,    76,    -1,    78,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    -1,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,    -1,
     145,   146,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,    -1,   170,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,   180,    -1,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,    -1,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,    -1,   229,   230,   231,   232,   233,    -1,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,    -1,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,    -1,    -1,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   488,   489,    -1,    -1,    -1,     3,    -1,
       5,     6,   497,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    36,    -1,    -1,    39,    40,    41,    -1,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    -1,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    -1,    72,    73,    74,
      75,    76,    -1,    78,    -1,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    -1,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,    -1,
     145,   146,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,    -1,   170,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,   180,    -1,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,    -1,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,    -1,   229,   230,   231,   232,   233,    -1,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,    -1,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,    -1,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,    -1,    -1,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   488,   489,    -1,    -1,    -1,    -1,    -1,
     495,   496,   497,     3,    -1,     5,     6,    -1,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,   489,
     490,    -1,    -1,     3,    -1,     5,     6,   497,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,   489,
      -1,    -1,    -1,     3,    -1,     5,     6,   497,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,   489,
      -1,    -1,    -1,     3,    -1,     5,     6,   497,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,   172,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,   489,
      -1,    -1,    -1,     3,    -1,     5,     6,   497,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,   489,
      -1,    -1,    -1,     3,    -1,     5,     6,   497,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,   489,
      -1,    -1,    -1,     3,    -1,     5,     6,   497,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,   489,
      -1,    -1,    -1,     3,    -1,     5,     6,   497,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,   489,
      -1,    -1,    -1,     3,    -1,     5,     6,   497,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,   489,
      -1,    -1,    -1,     3,    -1,     5,     6,   497,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,   489,
      -1,    -1,    -1,     3,    -1,     5,     6,   497,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,   489,
      -1,    -1,    -1,     3,    -1,     5,     6,   497,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,   489,
      -1,    -1,    -1,     3,    -1,     5,     6,   497,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,   489,
      -1,    -1,    -1,     3,    -1,     5,     6,   497,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,   489,
      -1,    -1,    -1,     3,    -1,     5,     6,   497,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,   489,
      -1,    -1,    -1,     3,    -1,     5,     6,   497,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,   489,
      -1,    -1,    -1,     3,    -1,     5,     6,   497,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,   489,
       3,    -1,     5,     6,    -1,     8,     9,   497,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    39,    40,    41,    -1,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    -1,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    -1,    72,
      73,    74,    75,    76,    -1,    78,    -1,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    -1,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,    -1,   119,    -1,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,    -1,   145,   146,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,    -1,   170,   171,    -1,
     173,   174,   175,   176,   177,    -1,   179,   180,    -1,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,    -1,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,    -1,   229,   230,   231,   232,
     233,    -1,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,    -1,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,    -1,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   488,   489,     3,    -1,     5,
       6,    -1,     8,     9,   497,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,   231,   232,   233,    -1,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,    -1,    -1,    -1,    -1,     3,    -1,     5,     6,    -1,
       8,     9,    -1,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,   497,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      78,    -1,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,   171,    -1,   173,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,   231,   232,   233,    -1,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,    -1,
      -1,    -1,    -1,     3,    -1,     5,     6,    -1,     8,     9,
      -1,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,   497,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   497,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    78,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,   233,    -1,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
     272,   273,    -1,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,   285,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,    -1,    -1,   479,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   497,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    78,    -1,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,   171,    -1,   173,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,   233,
      -1,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,   272,   273,
      -1,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,   285,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   497,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,   231,   232,   233,    -1,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,   272,   273,    -1,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   497,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      78,    -1,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,   171,    -1,   173,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,   231,   232,   233,    -1,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,   272,   273,    -1,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   497,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,   272,   273,    -1,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   497,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    78,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,   231,
     232,   233,    -1,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
     272,   273,    -1,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,    -1,    -1,    -1,    -1,     3,
      -1,     5,     6,    -1,    -1,    -1,    -1,    11,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   497,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    78,    -1,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    98,    99,   100,   101,    -1,    -1,
      -1,   105,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,   171,    -1,   173,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,   231,   232,   233,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,   272,   273,
      -1,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,   488,   489,   490,    -1,    -1,    -1,
      -1,    -1,    -1,   497,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    32,    33,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    98,    99,   100,   101,    -1,    -1,    -1,   105,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,   231,   232,   233,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,   272,   273,    -1,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,    -1,    -1,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,    -1,    -1,   479,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   497,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      78,    -1,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      98,    99,   100,   101,    -1,    -1,    -1,   105,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,   171,    -1,   173,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,   231,   232,   233,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,   272,   273,    -1,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   497,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,    -1,   273,    -1,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,    -1,   295,    -1,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,    -1,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,    -1,   448,   449,
     450,   451,    -1,    -1,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,    -1,    -1,   479,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   497,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
      -1,   273,    -1,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,    -1,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,    -1,
     402,    -1,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,    -1,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   497,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,    -1,   273,
      -1,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
      -1,   295,    -1,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,    -1,   402,    -1,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,    -1,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   497,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,    -1,   273,    -1,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,    -1,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,    -1,   402,    -1,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,    -1,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   497,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,    -1,   273,    -1,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,    -1,   295,    -1,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,    -1,   402,    -1,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,    -1,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,     5,     6,
      -1,    -1,    -1,    10,    11,    -1,    -1,    -1,    -1,   497,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    -1,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,    -1,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,    -1,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
      -1,   418,    -1,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,    -1,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,   475,   476,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   485,   486,
     487,   488,   489,   490,   491,   492,   493,     3,    -1,     5,
       6,    -1,    -1,    -1,    10,    11,    -1,    -1,    -1,    -1,
      -1,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,    -1,   418,    -1,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,    -1,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,   475,
     476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,
      -1,    -1,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    -1,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    -1,    -1,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    -1,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,    -1,    -1,   163,   164,
     165,   166,    -1,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,    -1,   179,   180,    -1,   182,   183,   184,
      -1,   186,   187,    -1,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,    -1,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,    -1,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,    -1,   250,   251,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,    -1,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
      -1,    -1,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,   449,   450,   451,   452,    -1,   454,
      -1,    -1,    -1,    -1,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,    -1,
     475,   476,   477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     485,   486,   487,   488,   489,   490,   491,   492,   493,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,    -1,   273,
      -1,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
      -1,   295,    -1,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,    -1,   402,    -1,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,    -1,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    54,    55,    -1,    57,    58,    59,    60,    61,    62,
      63,    -1,    -1,    66,    67,    68,    69,    70,    -1,    72,
      73,    74,    75,    76,    -1,    -1,    -1,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    -1,    -1,    99,   100,   101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,
     113,   114,   115,   116,   117,    -1,   119,    -1,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,    -1,   145,   146,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,
      -1,   174,   175,   176,   177,    -1,   179,   180,    -1,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,    -1,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,
     223,   224,   225,   226,    -1,    -1,   229,   230,    -1,   232,
      -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,    -1,
     273,    -1,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,    -1,   295,    -1,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,    -1,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,    -1,   399,   400,    -1,   402,
      -1,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
      -1,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,    -1,   448,   449,   450,   451,    -1,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   485,   486,   487,   488,   489,   490,   491,   492,
     493,     3,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
      -1,   273,    -1,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,    -1,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,    -1,
     402,    -1,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,    -1,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     3,    -1,    -1,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    54,    55,    -1,    57,    58,    59,    60,
      61,    62,    63,    -1,    -1,    66,    67,    68,    69,    70,
      -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    -1,    -1,    99,   100,
     101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,
     111,   112,   113,   114,   115,   116,   117,    -1,   119,    -1,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,    -1,   145,   146,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,    -1,   170,
      -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,   180,
      -1,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
      -1,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,
      -1,   222,   223,   224,   225,   226,    -1,    -1,   229,   230,
      -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,    -1,   273,    -1,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,    -1,   295,    -1,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
      -1,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,    -1,   399,   400,
      -1,   402,    -1,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,    -1,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,    -1,   448,   449,   450,
     451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   485,   486,   487,   488,   489,   490,
     491,   492,   493,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,    -1,   273,    -1,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,    -1,   295,    -1,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,    -1,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,    -1,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    41,    -1,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    54,    55,    -1,    57,    58,
      59,    60,    61,    62,    63,    -1,    -1,    66,    67,    68,
      69,    70,    -1,    72,    73,    74,    75,    76,    -1,    -1,
      -1,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    -1,    -1,
      99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     109,   110,   111,   112,   113,   114,   115,   116,   117,    -1,
     119,    -1,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,    -1,   145,   146,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
      -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,
     179,   180,    -1,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,    -1,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,   201,   202,   203,    -1,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,    -1,   215,    -1,   217,    -1,
      -1,   220,    -1,   222,   223,   224,   225,   226,    -1,    -1,
     229,   230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,    -1,   273,    -1,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,    -1,   295,    -1,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,    -1,
     399,   400,    -1,   402,    -1,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,    -1,   448,
     449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   485,   486,   487,   488,
     489,   490,   491,   492,   493,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,    -1,   273,    -1,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,    -1,   295,    -1,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,    -1,   402,    -1,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,    -1,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   485,   486,   487,
     488,   489,   490,   491,   492,   493,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   490,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,    -1,   273,    -1,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,    -1,   295,    -1,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,    -1,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,    -1,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     490,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,    -1,   273,    -1,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,    -1,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,    -1,   402,    -1,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,    -1,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   490,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    -1,    -1,    78,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    98,    99,   100,   101,
      -1,    -1,    -1,   105,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,    -1,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,    -1,    -1,
      -1,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,    -1,   229,    -1,   231,
     232,   233,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,    -1,    -1,   268,    -1,   270,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,    -1,   286,   287,   288,    -1,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,    -1,   311,
      -1,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,    -1,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,    -1,    -1,   415,   416,    -1,   418,    -1,    -1,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,    -1,   444,   445,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   474,   475,   476,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,   490,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    -1,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,    -1,    -1,    -1,   105,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,    -1,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
      -1,    -1,    -1,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
      -1,   231,   232,   233,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,    -1,    -1,   268,    -1,
     270,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
      -1,   311,    -1,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,    -1,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,    -1,   418,    -1,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,    -1,    -1,     3,    -1,     5,     6,    -1,
      -1,    -1,    -1,    11,   474,   475,   476,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
     490,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      78,    -1,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      98,    99,   100,   101,    -1,    -1,    -1,   105,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,   171,    -1,   173,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,   231,   232,   233,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,   272,   273,    -1,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     3,
      -1,     5,     6,    -1,    -1,    -1,    -1,    11,    -1,    -1,
     488,   489,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    78,    -1,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    98,    99,   100,   101,    -1,    -1,
      -1,   105,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,   171,    -1,   173,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,   231,   232,   233,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,   272,   273,
      -1,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     3,    -1,     5,     6,    -1,    -1,    -1,
      -1,    11,    -1,    -1,   488,   489,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,    -1,    -1,    -1,   105,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,   272,   273,    -1,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     3,    -1,    -1,
       6,    -1,    -1,    -1,    -1,    11,    -1,    -1,   488,   489,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    98,    99,   100,   101,    -1,    -1,    -1,   105,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,   231,   232,   233,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,   272,   273,    -1,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    11,
      -1,    -1,   488,   489,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,    -1,
     172,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
      -1,   273,    -1,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,    -1,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,    -1,
     402,    -1,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,    -1,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     3,    -1,     5,     6,    -1,
      -1,    -1,    -1,    11,    -1,    -1,   488,   489,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,   231,   232,   233,    -1,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,   272,   273,    -1,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     3,    -1,     5,     6,    -1,     8,     9,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    78,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    98,    99,   100,   101,
      -1,    -1,    -1,   105,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,   231,
     232,   233,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      78,    -1,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      98,    99,   100,   101,    -1,    -1,   104,   105,    -1,    -1,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,   171,    -1,   173,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,   231,   232,   233,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,   272,   273,    -1,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    78,    -1,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    98,    99,   100,   101,    -1,    -1,
     104,   105,    -1,    -1,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,   171,    -1,   173,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,   231,   232,   233,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,   272,   273,
      -1,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,    -1,    -1,   104,   105,    -1,    -1,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,   272,   273,    -1,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    98,    99,   100,   101,    -1,    -1,   104,   105,
      -1,    -1,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,   231,   232,   233,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,   272,   273,    -1,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     3,    -1,    -1,     6,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    78,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    98,    99,   100,   101,
      -1,    -1,    -1,   105,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,   231,
     232,   233,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
     272,   273,    -1,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      78,    -1,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      98,    99,   100,   101,    -1,    -1,   104,   105,    -1,    -1,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,   171,    -1,   173,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,   231,   232,   233,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,   272,   273,    -1,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    78,    -1,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    98,    99,   100,   101,    -1,    -1,
     104,   105,    -1,    -1,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,   171,    -1,   173,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,   231,   232,   233,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,   272,   273,
      -1,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,    -1,    -1,   104,   105,    -1,    -1,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,   272,   273,    -1,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    98,    99,   100,   101,    -1,    -1,   104,   105,
      -1,    -1,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,   231,   232,   233,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,   272,   273,    -1,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    78,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    98,    99,   100,   101,
      -1,    -1,   104,   105,    -1,    -1,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,   231,
     232,   233,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
     272,   273,    -1,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    32,    33,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      78,    -1,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      98,    99,   100,   101,    -1,    -1,    -1,   105,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,   171,    -1,   173,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,   231,   232,   233,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,   272,   273,    -1,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     3,
      -1,    -1,     6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    78,    -1,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    98,    99,   100,   101,    -1,    -1,
      -1,   105,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,   171,    -1,   173,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,   231,   232,   233,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,   272,   273,
      -1,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     3,    -1,    -1,     6,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,    -1,    -1,    -1,   105,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,   272,   273,    -1,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    98,    99,   100,   101,    -1,    -1,    -1,   105,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,   231,   232,   233,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,   272,   273,    -1,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    78,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    98,    99,   100,   101,
      -1,    -1,    -1,   105,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,   171,
      -1,   173,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,   231,
     232,   233,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
     272,   273,    -1,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      78,    -1,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      98,    99,   100,   101,    -1,    -1,    -1,   105,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,   171,    -1,   173,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,   231,   232,   233,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,   272,   273,    -1,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    78,    -1,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    98,    99,   100,   101,    -1,    -1,
      -1,   105,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,   171,    -1,   173,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,   231,   232,   233,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,   272,   273,
      -1,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,    -1,    -1,    -1,   105,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,   232,   233,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,   272,   273,    -1,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    98,    99,   100,   101,    -1,    -1,    -1,   105,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,   231,   232,   233,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,   272,   273,    -1,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    -1,    -1,    79,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
      -1,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
      -1,   273,    -1,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,    -1,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,    -1,
     402,    -1,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,    -1,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,   233,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,    -1,   273,    -1,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,    -1,   295,    -1,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,    -1,   402,    -1,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,   433,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,    -1,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,    -1,   273,
      -1,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
      -1,   295,    -1,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,    -1,   402,    -1,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,    -1,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,    -1,   273,    -1,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,    -1,   295,    -1,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,    -1,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,    -1,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,    -1,    -1,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,    -1,   273,    -1,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,    -1,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,    -1,   402,    -1,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,    -1,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
      -1,   273,    -1,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,    -1,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,    -1,
     402,    -1,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,    -1,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,    -1,   273,    -1,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,    -1,   295,    -1,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,    -1,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,    -1,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,    -1,   273,
      -1,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
      -1,   295,    -1,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,    -1,   402,    -1,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,    -1,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,    -1,   273,    -1,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,   285,   286,   287,   288,    -1,
      -1,   291,   292,   293,    -1,   295,    -1,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,    -1,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,    -1,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,    -1,   273,    -1,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,    -1,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,    -1,   402,    -1,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,    -1,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
      -1,   273,    -1,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,    -1,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,    -1,
     402,    -1,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,    -1,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,    -1,   273,    -1,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,    -1,   295,    -1,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,    -1,   402,    -1,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,    -1,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,    -1,   273,
      -1,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
      -1,   295,    -1,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,    -1,   402,    -1,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,    -1,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,    -1,   273,    -1,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,    -1,   295,    -1,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,    -1,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,    -1,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,    -1,   273,    -1,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,    -1,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,    -1,   402,    -1,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,    -1,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
      -1,   273,    -1,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,   285,   286,   287,   288,    -1,    -1,   291,
     292,   293,    -1,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,    -1,
     402,    -1,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,    -1,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,    -1,   273,    -1,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,    -1,   295,    -1,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,    -1,   402,    -1,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,    -1,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,    -1,   273,
      -1,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
      -1,   295,    -1,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,    -1,   402,    -1,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,    -1,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,    -1,   273,    -1,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,    -1,   295,    -1,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,    -1,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,    -1,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,    -1,   273,    -1,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,    -1,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,    -1,   402,    -1,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,    -1,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
      -1,   273,    -1,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,    -1,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,    -1,
     402,    -1,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,    -1,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,    -1,   273,    -1,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,   285,   286,   287,
     288,    -1,    -1,   291,   292,   293,    -1,   295,    -1,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,    -1,   402,    -1,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,    -1,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,    -1,   273,
      -1,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
      -1,   295,    -1,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,    -1,   402,    -1,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,    -1,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,    -1,   273,    -1,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,    -1,   295,    -1,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,    -1,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,    -1,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,    -1,   273,    -1,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,    -1,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,    -1,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,    -1,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     3,    -1,    -1,     6,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
      -1,   273,    -1,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,    -1,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,    -1,
     402,    -1,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,    -1,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,    -1,   273,    -1,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,    -1,   295,    -1,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,    -1,   402,    -1,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,    -1,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    37,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,    -1,   273,
      -1,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
      -1,   295,    -1,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,    -1,   402,    -1,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,    -1,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    37,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,    -1,   273,    -1,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,    -1,   295,    -1,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,    -1,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,    -1,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,    -1,   273,    -1,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,    -1,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,    -1,   402,    -1,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,    -1,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
      -1,   273,    -1,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,    -1,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,    -1,
     402,    -1,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,    -1,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,    -1,   273,    -1,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,    -1,   295,    -1,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,    -1,   402,    -1,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,    -1,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,    -1,   273,
      -1,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
      -1,   295,    -1,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,    -1,   402,    -1,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,    -1,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,    -1,   273,    -1,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,    -1,   295,    -1,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,    -1,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,    -1,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,    -1,   273,    -1,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,    -1,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,    -1,   402,    -1,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,    -1,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
      -1,   273,    -1,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,    -1,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,    -1,
     402,    -1,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,    -1,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,    -1,   273,    -1,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,    -1,   295,    -1,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,    -1,   402,    -1,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,    -1,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,    -1,   273,
      -1,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
      -1,   295,    -1,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,    -1,   402,    -1,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,    -1,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,    -1,   273,    -1,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,    -1,   295,    -1,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,    -1,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,    -1,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,    -1,   273,    -1,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,    -1,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,    -1,   402,    -1,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,    -1,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
      -1,   273,    -1,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,    -1,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,    -1,
     402,    -1,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,    -1,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,    -1,   273,    -1,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,    -1,   295,    -1,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,    -1,   402,    -1,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,    -1,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,    -1,   273,
      -1,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
      -1,   295,    -1,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,    -1,   402,    -1,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,    -1,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,    -1,   273,    -1,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,    -1,   295,    -1,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,    -1,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,    -1,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,    -1,   273,    -1,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,    -1,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,    -1,   402,    -1,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,    -1,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
      -1,   273,    -1,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,    -1,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,    -1,
     402,    -1,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,    -1,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,    -1,   273,    -1,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,    -1,   295,    -1,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,    -1,   402,    -1,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,    -1,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,    -1,   273,
      -1,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
      -1,   295,    -1,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,    -1,   402,    -1,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,    -1,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,    -1,   273,    -1,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,    -1,   295,    -1,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,    -1,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,    -1,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,    -1,   273,    -1,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,    -1,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,    -1,   402,    -1,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,    -1,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
      -1,   273,    -1,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,    -1,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,    -1,
     402,    -1,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,    -1,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,    -1,   273,    -1,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,    -1,   295,    -1,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,    -1,   402,    -1,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,    -1,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,    -1,   273,
      -1,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
      -1,   295,    -1,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,    -1,   402,    -1,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,    -1,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,    -1,   273,    -1,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,    -1,   295,    -1,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,    -1,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,    -1,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,    -1,   273,    -1,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,    -1,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,    -1,   402,    -1,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,    -1,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
      -1,   273,    -1,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,    -1,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,    -1,
     402,    -1,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,    -1,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,    -1,   273,    -1,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,    -1,   295,    -1,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,    -1,   402,    -1,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,    -1,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    37,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,    -1,   273,
      -1,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
      -1,   295,    -1,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,    -1,   402,    -1,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,    -1,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,    -1,   273,    -1,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,    -1,   295,    -1,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,    -1,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,    -1,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,    -1,   273,    -1,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,    -1,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,    -1,   402,    -1,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,    -1,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
      -1,   273,    -1,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,    -1,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,    -1,
     402,    -1,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,    -1,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,    -1,   273,    -1,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,    -1,   295,    -1,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,    -1,   402,    -1,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,    -1,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,    -1,   273,
      -1,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
      -1,   295,    -1,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,    -1,   402,    -1,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,    -1,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,    -1,   273,    -1,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,    -1,   295,    -1,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,    -1,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,    -1,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,    -1,   273,    -1,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,    -1,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,    -1,   402,    -1,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,    -1,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
      -1,   273,    -1,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,    -1,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,    -1,
     402,    -1,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,    -1,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,    -1,   273,    -1,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,    -1,   295,    -1,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,    -1,   402,    -1,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,    -1,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,    -1,   273,
      -1,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
      -1,   295,    -1,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,    -1,   402,    -1,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,    -1,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,    -1,   273,    -1,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,    -1,   295,    -1,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,    -1,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,    -1,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      76,    -1,    -1,    -1,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,    -1,    -1,   220,    -1,   222,   223,   224,   225,
     226,    -1,    -1,   229,   230,    -1,   232,    -1,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,    -1,   273,    -1,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,    -1,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,    -1,   402,    -1,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,    -1,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    -1,    57,    58,    59,    60,    61,
      62,    63,    -1,    -1,    66,    67,    68,    69,    70,    -1,
      72,    73,    74,    75,    76,    -1,    -1,    -1,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
     112,   113,   114,   115,   116,   117,    -1,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,    -1,   145,   146,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,    -1,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,   201,
     202,   203,    -1,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,    -1,
     222,   223,   224,   225,   226,    -1,    -1,   229,   230,    -1,
     232,    -1,    -1,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
      -1,   273,    -1,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,    -1,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,    -1,   399,   400,    -1,
     402,    -1,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,    -1,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,    -1,   448,   449,   450,   451,
      -1,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    54,    55,    -1,    57,
      58,    59,    60,    61,    62,    63,    -1,    -1,    66,    67,
      68,    69,    70,    -1,    72,    73,    74,    75,    76,    -1,
      -1,    -1,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,   112,   113,   114,   115,   116,   117,
      -1,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,    -1,   145,   146,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,    -1,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,   201,   202,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,    -1,   217,
      -1,    -1,   220,    -1,   222,   223,   224,   225,   226,    -1,
      -1,   229,   230,    -1,   232,    -1,    -1,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,    -1,   273,    -1,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,    -1,   295,    -1,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,    -1,   402,    -1,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,    -1,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,    -1,
     448,   449,   450,   451,    -1,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    -1,    57,    58,    59,    60,    61,    62,    63,
      -1,    -1,    66,    67,    68,    69,    70,    -1,    72,    73,
      74,    75,    76,    -1,    -1,    -1,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,   112,   113,
     114,   115,   116,   117,    -1,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
      -1,   145,   146,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,    -1,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,    -1,   217,    -1,    -1,   220,    -1,   222,   223,
     224,   225,   226,    -1,    -1,   229,   230,    -1,   232,    -1,
      -1,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,    -1,   273,
      -1,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
      -1,   295,    -1,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,    -1,   402,    -1,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,    -1,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,    -1,   448,   449,   450,   451,    -1,    -1,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    -1,    -1,    78,    -1,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    98,    99,
     100,   101,    -1,    -1,    -1,   105,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,    -1,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,   171,    -1,   173,   174,   175,   176,   177,    -1,   179,
      -1,    -1,    -1,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,    -1,   229,
      -1,   231,   232,   233,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,    -1,    -1,   268,    -1,
     270,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
      -1,   311,    -1,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,    -1,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,    -1,   418,    -1,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   474,   475,   476,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    -1,    57,    58,    59,
      60,    61,    62,    63,    -1,    -1,    66,    67,    68,    69,
      70,    -1,    72,    73,    74,    75,    76,    -1,    -1,    -1,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,   112,   113,   114,   115,   116,   117,    -1,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,    -1,   145,   146,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,    -1,   184,    -1,   186,   187,   188,   189,
     190,    -1,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,    -1,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,    -1,   217,    -1,    -1,
     220,    -1,   222,   223,   224,   225,   226,    -1,    -1,   229,
     230,    -1,   232,    -1,    -1,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,    -1,   273,    -1,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,    -1,   295,    -1,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,    -1,   402,    -1,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,    -1,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,    -1,   448,   449,
     450,   451,    -1,    -1,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      -1,    -1,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    98,    99,   100,   101,    -1,    -1,    -1,   105,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,    -1,    -1,    -1,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,    -1,   229,    -1,   231,   232,   233,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,    -1,   268,    -1,   270,   271,   272,   273,   274,    -1,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,    -1,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,    -1,   311,    -1,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,    -1,   418,    -1,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,    -1,   444,    -1,
     446,   447,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,   475,
     476,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      -1,    -1,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    98,    99,   100,   101,    -1,    -1,    -1,   105,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,    -1,    -1,    -1,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,    -1,   229,    -1,   231,   232,   233,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,    -1,   268,    -1,   270,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,    -1,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,    -1,   311,    -1,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,    -1,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,    -1,   418,    -1,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,    -1,   444,    -1,
     446,   447,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,   475,
     476,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      -1,    -1,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    98,    99,   100,   101,    -1,    -1,    -1,   105,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,    -1,    -1,    -1,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,    -1,   229,    -1,   231,   232,   233,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,    -1,   268,    -1,   270,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,    -1,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,    -1,   311,    -1,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,    -1,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,    -1,   418,    -1,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,    -1,   444,    -1,
     446,   447,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,   475,
     476,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      -1,    -1,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    98,    99,   100,   101,    -1,    -1,    -1,   105,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,    -1,    -1,    -1,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,    -1,   229,    -1,   231,   232,   233,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,    -1,   268,    -1,   270,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,    -1,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,    -1,   311,    -1,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,    -1,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,    -1,   418,    -1,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,    -1,   444,    -1,
     446,   447,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,   475,
     476,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      -1,    -1,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    98,    99,   100,   101,    -1,    -1,    -1,   105,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,    -1,    -1,    -1,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,    -1,   229,    -1,   231,   232,   233,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,    -1,   268,    -1,   270,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,    -1,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,    -1,   311,    -1,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,    -1,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,    -1,   418,    -1,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,    -1,   444,    -1,
     446,   447,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,   475,
     476,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      -1,    -1,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    98,    99,   100,   101,    -1,    -1,    -1,   105,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,    -1,    -1,    -1,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,    -1,   229,    -1,   231,   232,   233,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,    -1,   268,    -1,   270,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,    -1,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,    -1,   311,    -1,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,    -1,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,    -1,   418,    -1,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,    -1,   444,    -1,
     446,   447,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,   475,
     476,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      -1,    -1,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    98,    99,   100,   101,    -1,    -1,    -1,   105,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,    -1,    -1,    -1,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,    -1,   229,    -1,   231,   232,   233,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,    -1,   268,    -1,   270,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,    -1,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,    -1,   311,    -1,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,    -1,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,    -1,   418,    -1,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,    -1,   444,    -1,
     446,   447,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,   475,
     476,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      -1,    -1,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    98,    99,   100,   101,    -1,    -1,    -1,   105,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,    -1,    -1,    -1,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,    -1,   229,    -1,   231,   232,   233,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,    -1,   268,    -1,   270,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,    -1,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,    -1,   311,    -1,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,    -1,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,    -1,   418,    -1,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,    -1,   444,    -1,
     446,   447,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,   475,
     476,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    68,    69,    70,    -1,    72,    73,    74,    75,
      -1,    -1,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    98,    99,   100,   101,    -1,    -1,    -1,   105,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,   115,
     116,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,    -1,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,    -1,    -1,    -1,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,    -1,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,    -1,   229,    -1,   231,   232,   233,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,    -1,   268,    -1,   270,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,    -1,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,    -1,   311,    -1,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,    -1,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,    -1,    -1,   415,
     416,    -1,   418,    -1,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,    -1,   444,    -1,
     446,   447,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,   475,
     476,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    -1,    53,    -1,    -1,
      -1,    57,    58,    59,    60,    61,    62,    63,    -1,    -1,
      66,    67,    -1,    -1,    70,    -1,    72,    73,    74,    75,
      -1,    -1,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    -1,    98,    99,   100,   101,    -1,    -1,    -1,   105,
      -1,    -1,    -1,   109,   110,   111,   112,   113,   114,    -1,
      -1,   117,    -1,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,    -1,   145,
     146,   147,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,    -1,   160,    -1,   162,   163,   164,    -1,
     166,    -1,   168,    -1,   170,   171,    -1,   173,   174,   175,
     176,   177,    -1,   179,    -1,    -1,    -1,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,    -1,   205,
     206,    -1,   208,   209,   210,   211,    -1,    -1,    -1,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,    -1,   229,    -1,   231,   232,   233,    -1,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,   260,   261,   262,   263,   264,   265,
      -1,    -1,   268,    -1,   270,   271,   272,   273,    -1,    -1,
     276,    -1,   278,   279,   280,    -1,   282,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,    -1,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,    -1,   311,    -1,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,    -1,   372,   373,    -1,   375,
     376,   377,   378,   379,    -1,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,    -1,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,    -1,    -1,    -1,    -1,   415,
     416,    -1,   418,    -1,    -1,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,    -1,    -1,    -1,
     446,   447,   448,   449,   450,   451,    -1,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,   475,
     476
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    20,    30,    32,    33,    50,    60,    72,    74,    75,
      81,    83,    95,    97,   114,   117,   132,   134,   138,   144,
     152,   154,   161,   178,   195,   235,   236,   241,   253,   271,
     314,   328,   334,   335,   337,   342,   348,   351,   358,   364,
     365,   372,   376,   386,   401,   421,   432,   438,   443,   456,
     479,   480,   481,   482,   483,   484,   497,   504,   505,   506,
     507,   508,   509,   515,   516,   518,   519,   520,   521,   523,
     527,   539,   544,   545,   548,   549,   550,   569,   572,   573,
     588,   633,   636,   637,   640,   643,   644,   645,   653,   660,
     662,   663,   666,   669,   670,   674,   683,   687,   688,   689,
     692,   694,   695,   696,   697,   705,   707,   727,   731,   733,
     734,   744,   746,   753,   754,   757,   758,   759,   760,   761,
     770,   772,   774,   777,   781,   782,   790,   791,   794,   799,
     813,   848,   851,   852,   853,   858,   861,   863,   865,   867,
     868,   871,   872,   875,   877,   878,   882,   883,   884,   887,
     888,   889,   890,   891,   898,   900,   901,   902,   903,   909,
     911,   912,   918,   919,   920,   923,   924,   925,   926,   928,
     929,   931,   932,   934,   935,   937,   949,   951,   954,   956,
     957,   966,   968,   973,   978,   982,   983,   984,   985,   986,
     987,   993,  1029,   415,   459,   904,    27,    78,    94,   112,
     118,   136,   147,   156,   169,   174,   181,   200,   225,   246,
     286,   309,   319,   320,   323,   350,   353,   357,   359,   366,
     369,   388,   395,   400,   401,   404,   408,   418,   423,   436,
     449,   659,   904,     3,    20,    21,    22,    23,    24,    25,
      26,    27,    29,    30,    31,    39,    40,    41,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    57,    58,    59,    60,    61,    62,    63,    66,    67,
      68,    69,    70,    72,    73,    74,    75,    76,    78,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    91,
      92,    93,    94,    95,    96,    98,    99,   100,   101,   105,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   119,
     121,   122,   123,   124,   125,   126,   127,   129,   130,   131,
     132,   135,   136,   137,   138,   139,   141,   142,   143,   145,
     146,   147,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   160,   162,   163,   164,   165,   166,   168,   170,
     171,   173,   174,   175,   176,   177,   179,   180,   182,   183,
     184,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   197,   198,   199,   200,   201,   202,   203,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   215,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   229,   230,
     231,   232,   233,   235,   236,   237,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   270,   271,   272,   273,   275,
     276,   277,   278,   279,   280,   282,   283,   286,   287,   288,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   308,   309,   310,   311,
     312,   313,   314,   315,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     366,   367,   368,   369,   370,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     399,   400,   402,   403,   404,   405,   406,   407,   408,   410,
     411,   412,   415,   416,   417,   418,   419,   421,   422,   423,
     424,   425,   426,   427,   428,   431,   432,   433,   434,   435,
     438,   439,   440,   441,   442,   443,   444,   446,   447,   448,
     449,   450,   451,   454,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,  1089,  1159,  1171,  1172,  1176,  1177,
    1178,     3,    28,   979,  1156,  1171,  1176,   447,   497,   942,
     284,   315,   904,    53,   497,   580,    22,    40,    65,    78,
     112,   118,   136,   147,   156,   169,   177,   181,   237,   286,
     289,   309,   323,   350,   359,   369,   388,   395,   404,   405,
     407,   408,   423,   430,   433,   436,   589,   642,   749,   800,
     814,    28,   314,  1156,   979,    28,   308,   367,   405,   407,
       6,   224,   859,   860,  1162,    22,    27,    65,    78,    94,
     112,   136,   147,   156,   169,   174,   181,   200,   246,   286,
     299,   309,   320,   323,   350,   353,   357,   359,   366,   369,
     388,   395,   401,   404,   408,   416,   418,   423,   436,   449,
     659,   762,   764,   765,   904,  1156,    97,   447,   497,   637,
     640,   643,   937,   950,   954,   957,   966,   973,   978,   982,
      11,    21,    28,    48,   164,   170,   172,   196,   226,   260,
     317,   336,   488,   489,   778,   779,   979,  1161,  1163,    28,
      97,   332,   365,   783,   784,   785,  1171,   169,  1171,  1158,
    1162,   401,   996,   778,  1171,   415,  1156,   299,   246,   112,
     200,   359,   400,   401,   497,   869,   870,   358,  1171,    28,
     370,   411,   415,   531,   540,   541,  1171,    25,   178,   783,
     784,   315,   904,  1171,   223,    28,   133,   998,   999,    66,
      91,   237,   255,   350,   359,   370,   411,   415,   462,   528,
     529,   530,   531,    28,   370,   411,   415,   531,   415,   285,
    1041,  1154,  1171,   996,   490,  1171,   173,   497,   943,   497,
     330,   988,   989,  1156,   988,     3,    52,    54,    55,    68,
      69,   115,   116,   137,   165,   212,   213,   215,   256,   258,
     277,   327,   374,   380,   411,   412,   444,  1063,  1065,  1067,
    1069,  1071,  1073,  1074,  1075,  1077,  1078,  1079,  1081,  1082,
    1172,  1176,   998,   999,  1000,  1167,    12,  1168,  1169,  1171,
    1168,  1168,   983,   984,   987,     0,   500,   497,   942,   148,
     214,   290,   429,  1001,  1002,   983,   985,   986,   123,   210,
     435,   501,    34,   908,   833,  1159,   767,  1171,   767,  1156,
     318,   767,   418,  1156,   111,   401,   819,   820,  1159,  1171,
    1178,     3,   104,   108,   371,  1164,  1165,  1173,  1176,  1177,
    1178,    28,   190,  1154,   278,   449,    10,    17,    18,    19,
      73,   160,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   855,   857,  1119,  1120,  1171,   190,  1156,   820,   821,
    1159,  1156,    28,  1164,  1165,   821,  1156,  1156,   190,  1154,
    1156,   190,   767,  1156,   342,   372,    28,   190,  1041,  1156,
     362,  1156,   767,    28,   244,  1164,  1165,   190,  1154,   224,
     120,   220,   269,   326,   905,   906,   907,   497,   495,   499,
    1145,  1147,   936,   937,   938,   939,  1173,  1154,  1156,  1171,
      27,    65,    79,    90,   112,   136,   174,   200,   225,   286,
     320,   350,   353,   395,   404,   416,   423,   762,   763,   764,
     765,  1162,   908,   953,   957,   966,   973,   982,  1154,   248,
     767,   497,   190,   767,  1156,   767,   418,   190,  1156,   111,
     401,   405,   407,  1164,  1165,   405,   407,    73,   160,   855,
     340,  1156,  1156,  1164,   190,   524,  1171,   190,  1156,   190,
     767,  1156,  1156,   362,   767,   244,  1164,   330,   366,   401,
     449,   246,    94,   200,    27,    90,   174,   320,   357,   416,
     418,   422,   654,    28,  1156,   980,   538,  1162,  1173,   860,
     248,   190,   833,   834,   190,   864,   190,  1156,   190,   769,
    1063,   418,   111,   401,   190,   817,   819,   190,  1165,  1166,
      86,   449,    73,   160,   190,   856,   857,    58,   190,   818,
     821,   190,  1166,   190,   818,   190,  1156,   190,  1156,   362,
     864,   190,   769,   190,   244,  1166,   224,   190,   766,   767,
     190,  1155,  1156,   190,  1156,   908,   497,   955,   589,   950,
     443,   936,   942,  1163,   779,   780,    28,   780,  1163,   780,
      28,   780,  1163,   780,   780,   780,  1163,  1161,  1161,   979,
     780,   318,   497,   497,   610,   610,   610,   284,   413,   501,
     610,   359,  1041,  1042,   501,   899,  1162,   497,   952,    58,
     449,   936,    86,   801,   801,  1171,    47,   476,   220,   499,
     287,   287,   284,   172,  1162,   413,   908,   167,   775,   284,
       5,     8,     9,    10,    12,    36,    52,    54,    55,    64,
      65,    68,    69,    76,    78,   102,   103,   104,   105,   106,
     107,   108,   115,   116,   118,   153,   158,   159,   165,   180,
     182,   212,   213,   215,   230,   238,   239,   256,   258,   267,
     269,   274,   275,   277,   286,   297,   310,   327,   355,   371,
     380,   396,   411,   412,   417,   419,   420,   430,   436,   444,
     464,   465,   466,   467,   469,   470,   471,   472,   477,   488,
     489,   490,   497,   983,  1066,  1069,  1072,  1073,  1074,  1076,
    1077,  1078,  1081,  1082,  1086,  1088,  1089,  1090,  1092,  1115,
    1116,  1117,  1121,  1139,  1144,  1151,  1152,  1159,  1160,  1161,
    1162,  1171,  1150,  1151,  1162,    28,   546,  1153,  1154,   370,
     528,   118,   537,  1162,   538,  1162,    47,    70,   528,   476,
     381,   906,   287,   172,   413,   487,    47,   476,   220,   907,
     497,  1154,   490,  1147,  1042,   936,   171,   944,  1086,  1124,
     988,   501,   497,   945,   446,  1080,  1080,  1080,   497,  1068,
    1068,   312,   497,  1070,    68,    69,  1080,  1068,  1065,   458,
     479,   497,  1083,   497,  1083,    36,  1064,   497,   113,   188,
     249,   252,   363,   474,   497,  1084,  1085,   499,   768,  1068,
    1150,  1148,   498,   498,   506,   936,   946,   947,   948,  1154,
      28,   133,   997,   997,    58,   997,   161,   167,   234,   281,
    1005,  1007,  1008,  1023,  1025,  1026,  1027,  1001,  1002,   172,
     216,  1041,  1043,   497,    67,   265,   300,   338,   372,   497,
     831,   300,   334,   338,   372,   768,   300,   338,   372,     3,
      89,   142,   240,   300,   338,   372,   404,   406,   456,   539,
     542,   913,   914,   915,   916,   795,    24,   138,   300,   338,
     372,   440,   555,  1156,    24,   138,   372,   435,   522,   460,
     190,  1041,    61,    96,   157,   193,   229,   265,   269,   300,
     301,   338,   347,   356,   364,   372,   384,   393,   397,   451,
     539,   543,   837,   849,   876,   497,   815,  1147,   338,   522,
     196,   153,    24,    30,    45,    75,   131,   138,   141,   168,
     202,   265,   269,   279,   288,   300,   338,   341,   342,   372,
     440,   551,   553,   554,   677,   876,     5,   488,   489,   651,
    1163,    28,   190,  1154,   767,   767,   497,   854,   300,   372,
     499,   153,   284,   300,   338,   372,   849,   876,   815,    24,
     138,   300,   338,   372,   196,   517,   338,   456,   479,   510,
     517,   300,   338,   372,   849,   876,   284,   300,   338,   153,
      37,    59,   110,   199,   247,   250,   265,   299,   338,   343,
     366,   372,   386,   551,   648,   649,   300,   338,   448,   677,
     685,   153,   300,   338,   372,    24,    89,   131,   138,   141,
     300,   334,   338,   372,   541,   529,   531,   196,   153,    45,
     129,   265,   338,   372,   551,   552,   300,   338,   342,   372,
      87,   130,   302,   406,   284,    24,    30,   138,   300,   338,
     372,   570,   571,   517,   167,   338,   510,   517,   153,   338,
     372,   551,  1156,   232,   120,   285,   461,   501,   905,    28,
     133,   445,   490,   498,   826,  1086,  1125,  1126,  1172,  1086,
    1146,     3,    28,    32,    33,    34,    35,    36,    37,    38,
      42,    56,    64,    65,    71,    77,    79,    90,    97,   102,
     103,   104,   106,   107,   108,   118,   120,   128,   133,   134,
     140,   144,   148,   159,   161,   167,   169,   172,   178,   181,
     185,   196,   204,   214,   216,   227,   228,   234,   238,   239,
     269,   274,   281,   284,   285,   289,   290,   307,   316,   332,
     346,   365,   371,   382,   398,   401,   409,   413,   414,   420,
     429,   430,   436,   437,   445,   452,   453,   455,   456,   490,
    1157,  1174,  1176,  1177,  1178,  1179,  1145,   498,   501,   159,
     284,   420,   535,   538,   651,   940,   437,   933,   284,   833,
     497,   767,  1156,  1063,   819,   278,    73,   160,   857,   821,
     821,   167,  1063,   767,  1156,  1156,   498,   610,  1156,    71,
    1063,   269,   172,   497,   735,   510,    37,   927,  1156,   269,
     510,   460,   190,  1154,   510,   767,   767,   735,   433,   589,
     284,   167,   885,   886,   510,   269,    47,   525,   269,   423,
     684,   269,   945,    89,   300,   661,    87,   130,   302,   406,
      37,   735,   167,   190,   510,   449,   190,  1154,   190,   638,
    1154,  1154,   449,   767,   801,  1159,   418,  1159,  1159,  1156,
     167,  1156,   659,    39,    53,   109,   209,   265,   361,   153,
      62,   344,   501,   556,   153,   497,   153,   510,   153,   501,
     556,   460,   153,   501,   556,   153,   501,   190,   766,   190,
     767,   190,   767,   153,   501,   556,  1166,   153,   501,   556,
     153,   153,   556,   153,   556,   153,    87,   130,   302,   406,
     167,   153,   556,   153,   167,   190,   153,   501,   556,   153,
     501,   556,   153,   284,  1124,   401,   498,   950,   780,   979,
     780,   979,   780,   979,   780,   979,   780,   979,   979,   979,
     780,   979,   497,   611,   612,  1171,   611,    28,   112,   136,
     169,   174,   224,   225,   320,   353,   359,   366,   401,   404,
     423,   786,  1153,  1166,   785,  1156,   196,   501,   969,  1162,
    1063,  1128,    37,  1166,   801,   498,  1154,  1156,   232,  1171,
     167,   167,   786,  1166,   358,  1171,   538,   284,   497,  1148,
     495,   983,  1129,  1086,  1143,   497,   497,   167,   497,   497,
     983,   497,   497,   497,   497,   497,   497,   497,  1086,   497,
     497,   497,   497,   497,   497,   497,   497,   983,   497,   497,
     497,   497,   497,   497,   497,   497,  1086,  1086,  1086,   983,
    1086,  1124,  1147,  1162,   497,  1162,     3,    10,    13,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   163,   164,   165,
     166,   168,   169,   170,   171,   173,   174,   175,   176,   177,
     179,   180,   182,   183,   184,   186,   187,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   215,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   250,   251,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   282,   283,   285,   286,   287,   288,
     289,   291,   292,   293,   294,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   447,
     448,   449,   450,   451,   452,   454,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   475,   476,   477,   485,   486,   487,   488,   489,   490,
     491,   492,   493,  1119,  1121,  1123,  1175,  1180,   457,  1102,
     296,  1086,   216,   501,   994,   497,  1162,  1147,   994,   121,
     192,   547,   501,    70,   118,   538,    37,     3,   118,   237,
     536,   651,  1082,  1162,  1162,    92,   135,  1098,   101,   118,
     532,   533,   535,   651,   118,   532,   232,  1154,    93,   343,
     771,   498,   942,    34,    44,    51,    77,   191,   196,   218,
     233,   286,   289,   377,   498,   501,   989,  1155,    37,   497,
    1124,  1161,  1080,  1080,    36,  1064,   411,   411,  1161,  1161,
     495,   495,  1161,   413,   413,   413,   497,   413,  1161,  1157,
     499,  1068,   172,  1030,    15,   487,  1145,  1170,   498,   501,
     945,   985,   985,  1003,  1004,  1086,   985,   164,   260,  1014,
     222,   265,   326,   375,   435,    28,  1009,  1086,   488,   489,
    1010,  1011,  1086,  1088,  1023,  1024,  1008,  1007,  1005,  1006,
     167,  1026,   279,  1028,  1005,  1023,  1043,   958,  1154,    37,
    1171,   372,  1124,    67,   413,   413,   359,   196,   207,   290,
     293,   374,   445,   490,   824,   825,   826,   828,   830,   832,
    1063,  1172,   413,   448,   413,   359,   413,   413,   359,   234,
     413,   413,   404,   528,   300,   913,   915,   487,   917,   167,
     178,   196,   348,   796,   797,    71,    90,   149,   169,   316,
     430,   607,   608,    90,   118,   269,   413,    90,   413,   118,
     269,   359,    90,   131,   141,   300,   338,   732,   359,   667,
      27,    65,   136,   174,   286,   320,   353,   416,   423,   762,
     763,  1156,   153,   338,   372,   551,   284,   651,   364,   229,
     413,  1171,   413,   274,   651,   122,   217,   359,   370,   415,
     530,   767,   344,   372,   837,   850,   126,   498,   816,   824,
     413,   436,   404,  1154,    79,   149,   190,   596,   607,  1171,
      79,    90,   873,   304,   284,   355,   357,   418,    90,   873,
      31,   341,   355,   357,   418,   355,  1154,   168,   202,   279,
     767,   497,   413,   413,   189,   497,   560,   243,   404,   433,
     458,   560,    90,   501,   126,     5,     5,   300,   196,   153,
     338,   372,   551,   876,   437,   437,   266,  1063,   413,   359,
     497,   855,  1156,  1154,   413,   413,   359,   850,   126,   401,
     401,   413,   413,   401,   735,   112,   372,   542,   413,   512,
     542,   413,   413,   359,   850,   126,  1154,   413,   413,  1154,
    1065,   651,    58,   650,   651,   651,   110,   247,   250,    58,
     413,   510,   254,   359,   510,   265,   649,   413,   413,   274,
    1162,   677,   767,   413,   413,   359,   388,   323,  1162,   323,
     413,   323,   413,   323,   735,   404,  1041,   304,   304,    90,
     413,   873,   359,   413,   413,   560,   560,   767,   767,   767,
     767,  1154,    46,   442,    46,    46,   413,    46,   413,   442,
     359,   497,   501,   542,   436,   693,  1165,   413,   512,   542,
    1154,   413,   873,   359,   300,   338,   326,   339,   368,   534,
     905,  1125,  1125,  1126,   498,    15,    16,   501,  1001,  1002,
     496,   502,  1154,   938,  1156,  1154,   218,  1063,   218,   284,
     218,   218,   651,   767,   767,   218,   218,   218,  1063,   218,
     218,   218,   284,   413,   172,   413,   574,   423,   497,    37,
     153,   767,   736,   737,  1174,   913,  1063,   284,   153,   664,
    1156,   269,   304,   497,   511,   749,   437,   330,   449,  1154,
      28,   401,   456,   845,   511,   153,  1165,    97,   178,   526,
     588,   644,   707,   781,   799,   909,   153,  1162,   685,   686,
     153,   284,  1162,  1165,   240,   767,   767,   767,   767,   145,
     325,   497,   693,   269,   511,  1154,   269,   646,   648,   269,
      37,   279,   304,   497,   610,   610,   190,   641,  1154,   167,
     190,   802,  1156,   497,   739,   831,  1156,   497,   822,   822,
      37,  1063,    26,    49,   211,   708,   224,   456,   458,   981,
     361,   834,   833,  1063,  1156,   497,   769,  1063,   817,   819,
    1166,  1165,   153,   556,   153,   437,   153,   437,   856,   857,
     556,   818,   821,  1166,   818,  1156,  1156,  1063,   769,  1166,
     693,   153,   766,   767,  1155,  1156,  1156,   767,   498,   190,
    1154,   950,   979,   979,   979,   979,   979,   979,   611,   498,
     501,   498,   175,   321,   354,   367,   402,  1155,   766,   111,
     369,   817,  1155,   278,   818,   818,  1155,  1153,  1153,  1155,
     766,   413,   456,   792,   148,   234,   690,   691,    22,   151,
     355,   375,   970,  1041,   273,   971,   498,   501,   953,   413,
    1154,   869,   870,   784,   783,   784,   172,   179,   793,  1171,
      27,    79,   136,   174,   225,   320,   353,   423,   762,   763,
    1124,   496,  1124,  1129,  1130,   452,  1140,  1141,  1086,  1124,
     497,  1161,  1161,     3,   113,   188,   249,   252,   363,   474,
    1131,  1132,  1162,  1124,  1124,  1124,  1161,  1161,  1086,  1086,
     855,  1086,  1125,  1127,  1134,   355,   488,   489,   497,  1087,
    1088,  1121,  1135,   498,  1124,  1086,  1127,  1136,  1086,    56,
     172,   228,   414,  1086,  1124,  1137,  1124,   254,  1088,  1086,
    1096,  1097,  1098,   254,  1086,  1098,   498,   501,  1161,  1084,
    1063,  1086,  1086,  1086,  1086,  1174,   411,    42,   398,  1149,
     767,  1086,   497,   983,  1138,   133,   135,   159,   261,   262,
     263,   264,   268,   269,   274,   420,   431,  1133,  1086,   497,
    1086,   413,    51,   191,   196,   233,   377,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,    28,    35,   382,
    1118,   181,   162,  1103,   355,   497,  1115,   177,   237,   401,
     405,   407,   433,   995,  1154,  1152,  1030,  1125,  1030,  1154,
     415,   497,  1162,   501,   498,   189,   189,   556,   948,   937,
     941,  1086,   498,   246,   269,   990,  1124,   498,   498,   495,
     476,   476,   498,   498,  1161,   496,  1161,   498,   188,   249,
    1085,   249,  1085,  1085,  1161,   252,   498,  1157,   227,   356,
     473,   497,   983,  1031,  1032,  1033,  1041,  1046,  1056,  1089,
    1091,  1092,  1171,   453,  1051,  1167,   948,   946,   501,    38,
     128,   437,   811,   355,   356,   488,   489,  1011,  1013,  1088,
     375,   222,   285,   501,     5,  1012,  1161,  1012,   355,   356,
    1013,  1153,   273,   379,   972,  1024,  1006,   437,   967,   118,
     298,   497,   959,   982,    37,  1171,   497,   974,   975,   976,
    1171,   498,  1165,  1156,  1156,   293,    58,  1172,   498,   826,
     828,   825,   828,  1172,   290,   498,   501,   768,  1165,  1156,
    1156,  1165,  1156,  1156,  1165,  1156,  1156,   118,   535,  1163,
     350,   436,   783,   359,   178,   783,   497,  1156,   437,   803,
     222,   222,   437,   497,   632,   190,  1156,   274,  1165,  1156,
    1156,  1086,   274,  1156,  1156,    31,   341,   413,   413,  1156,
     413,   668,   833,   497,  1063,   819,    73,   160,   857,   821,
     821,   167,  1063,   767,  1156,   184,   265,   300,   338,   441,
     671,   672,   673,  1041,   413,   873,   359,   274,   122,   217,
    1165,  1156,   284,  1156,   284,   498,   501,  1164,  1166,  1156,
     338,   551,   190,   596,   269,  1063,  1156,  1161,  1171,  1154,
    1156,   232,  1156,    28,   436,  1156,   190,  1156,   190,  1171,
     357,   418,   357,   418,   232,  1156,    28,   436,  1156,   232,
     355,  1154,    24,   138,   372,   678,   679,   680,   681,  1174,
    1165,  1156,   118,   173,   270,   437,   559,   562,   563,  1174,
    1156,    75,   282,  1156,   554,   284,   413,   404,  1154,   413,
     873,   359,   126,  1156,  1156,   501,   498,   501,  1165,  1156,
     879,   880,  1174,   284,   338,   413,   701,  1165,  1156,  1156,
     284,  1042,  1042,  1165,  1156,  1042,  1156,  1164,     3,    89,
     143,   202,   306,   428,   436,   439,   513,  1165,  1156,  1156,
     284,   338,  1165,  1156,   338,   372,   551,   648,   651,   767,
    1156,   651,   767,  1156,   651,  1165,  1156,   372,  1165,  1156,
    1156,  1163,  1155,  1155,  1165,   845,  1156,  1155,  1156,   338,
     372,   551,   552,  1154,  1154,  1156,  1156,  1156,  1156,  1165,
    1156,    24,    30,   138,   300,   338,   372,   300,   338,   372,
     735,   338,   372,   338,   372,   338,   876,  1055,  1171,   190,
     745,  1171,   190,  1171,  1165,  1156,  1156,  1162,  1156,   879,
      24,   571,   369,  1164,   338,   372,   551,  1156,  1156,  1156,
     413,   413,    84,   427,   326,   501,  1001,  1001,  1001,  1086,
    1086,   445,  1126,   498,  1086,  1146,   933,   274,   773,  1162,
      37,   773,   136,   767,   773,   773,   218,   437,   437,   773,
     773,   773,   224,   773,   773,   773,   767,   322,   575,   575,
     200,   401,   706,  1086,  1063,   767,   498,   501,   487,   599,
    1174,  1156,    62,   172,   359,   448,   665,   672,   673,   153,
     279,   233,   590,   592,   594,   596,   604,   607,    25,   196,
     350,   399,   513,   514,   167,  1156,   449,  1154,    37,   702,
     402,  1042,   735,   524,  1171,   525,   589,   814,  1156,   169,
     767,   497,   634,   635,  1091,  1171,   323,  1162,   735,   735,
     735,   735,   497,   735,  1053,  1054,  1055,   369,   153,   497,
     153,   153,   152,   982,   767,   279,   590,  1171,   437,   627,
     456,   561,   269,    37,   610,  1162,   269,   284,     3,   740,
     741,   735,    26,   498,   823,   824,   829,    37,   224,   347,
     416,   455,   835,   836,   837,   838,   835,   284,   224,   279,
     123,   210,   421,   435,   709,   710,  1156,   187,   187,   167,
     556,    37,   510,   168,   921,   922,   556,   556,   766,   767,
    1156,   767,  1156,   556,   556,   556,   556,   224,   556,   369,
     167,   556,   556,   284,   556,   269,   498,   612,   196,   196,
     196,   196,   196,   460,  1155,   651,   652,   181,   787,   788,
    1165,    25,   793,   413,   497,   172,   151,   375,   151,   375,
     355,   435,   251,  1063,  1165,   456,   639,   801,   801,   172,
     284,   787,    58,   556,   833,   767,  1063,   819,   278,   821,
     819,  1063,   767,  1156,   498,   496,   496,   501,  1086,   140,
    1141,  1142,    37,   498,  1086,   498,   498,   498,   172,   498,
     498,   498,   498,   498,   498,   501,   501,   498,   307,   498,
     498,   497,  1087,  1087,  1124,    13,    17,    18,    19,   196,
     218,   286,   485,   486,   487,   488,   489,   490,   491,   492,
     493,  1121,  1087,   498,   498,   167,   172,   377,   498,   498,
      37,  1137,  1124,  1137,  1137,   172,   498,   498,  1174,   305,
    1100,    37,   498,   501,  1086,  1174,   501,  1086,  1148,  1086,
     498,   476,  1087,  1087,   146,  1124,   172,   133,   135,   159,
     268,   274,   420,   431,  1133,   268,   146,   855,  1086,   398,
    1149,  1086,  1138,  1086,   413,   497,   983,   497,   497,   295,
    1107,   497,  1124,   405,   407,   405,   407,  1154,   996,   996,
     996,  1051,  1001,  1051,   906,  1161,  1084,   533,   948,   246,
     497,   498,  1161,  1083,  1083,   496,   496,   498,   983,  1046,
    1056,   172,   497,   983,  1032,  1033,    37,  1034,  1035,  1171,
     501,    98,   173,   206,   221,   231,   257,   349,  1038,  1035,
      37,  1034,  1037,  1171,  1035,   479,  1050,  1147,  1086,   181,
    1015,  1004,   286,  1119,  1122,   478,   812,     5,  1161,  1013,
     285,   456,   435,  1010,   242,  1031,   453,  1052,   443,   400,
     436,   960,   961,   962,  1171,   284,   963,  1171,   976,   977,
     501,  1030,   487,  1148,   832,   768,   828,   828,    58,   830,
     492,  1166,  1166,   284,  1155,   287,   284,  1086,   608,  1156,
     497,   497,   497,   632,   200,   611,   725,   153,   556,   413,
    1165,  1156,   538,  1063,   767,   767,  1063,   655,  1156,   184,
     441,   413,   413,   655,   671,   677,   338,   372,   551,  1156,
    1156,  1156,   208,   274,   156,   824,   299,   372,   413,   269,
     153,    85,   598,   725,   372,    24,   138,   342,   343,   372,
     555,   564,   565,   677,   874,   364,   153,   556,   153,   556,
    1156,  1156,  1156,  1156,   364,   364,   232,   680,   681,   680,
     498,   501,   682,  1162,   200,   498,   501,   487,   499,   156,
    1165,  1156,   338,   372,   551,  1156,  1156,  1156,   284,   300,
     338,   372,    24,   138,   300,   338,   372,  1063,   266,  1063,
     498,   501,   487,  1154,   413,  1166,   437,   698,   156,   234,
     306,   274,  1162,   306,  1166,   434,   156,   413,   413,   359,
     388,   845,   845,   845,   299,   372,    90,   413,   873,   359,
     118,   167,   566,   163,   801,   413,   413,   244,   244,   244,
     413,   413,   359,   413,   413,   359,   413,   359,   413,   359,
     413,   126,   556,  1063,   269,  1162,   372,   874,   153,   556,
     413,   413,   498,  1156,   413,   873,   359,   413,  1165,  1156,
     498,   498,   498,  1126,   496,  1063,   767,   218,   773,  1156,
    1156,  1156,   218,   389,   390,   576,  1162,   576,   184,   498,
     498,   172,   735,   737,   266,   286,   488,   489,   651,   738,
     828,  1122,  1162,  1179,    71,    77,    90,   118,   120,   176,
     204,   269,   274,   316,   332,   430,   600,   601,   603,   152,
     452,   510,   538,  1156,   538,   288,   675,  1154,  1154,  1154,
     498,   501,  1166,   181,   350,  1166,  1161,   423,  1154,   610,
       3,   167,   703,    47,   525,   401,   684,   111,   945,  1086,
     172,   501,  1155,   561,   742,   743,  1162,   498,   501,  1156,
     167,   611,  1154,   638,  1154,  1156,   639,   497,   591,  1154,
     498,  1156,   456,   458,   628,   560,    37,   153,   982,   627,
     413,   153,  1041,   487,   498,   501,   709,   498,   501,   118,
     487,   839,  1162,   538,   401,   827,   828,   167,   844,    50,
     345,   840,   841,   838,   841,   123,   210,   365,   435,   896,
    1156,   279,   284,   289,   184,   982,  1063,   497,   498,   501,
     556,   437,   556,   437,   556,  1156,  1156,   693,   767,   153,
     359,   359,   359,   359,   359,  1155,   501,  1165,   456,   501,
     789,   287,  1042,   369,   151,   151,   111,   265,  1154,  1156,
    1166,   786,   793,  1165,   218,   218,   218,   218,   651,   218,
     218,   218,   218,   218,  1129,   409,  1086,   144,  1063,   498,
    1086,  1133,  1086,  1086,   498,  1124,   501,  1063,  1087,  1087,
    1087,  1087,   133,   135,   269,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1086,  1086,  1086,  1063,   498,
     498,   498,  1124,   498,   501,    58,  1088,  1101,   498,  1174,
    1097,   313,   394,  1099,   498,   501,   448,  1093,    37,   498,
    1162,  1086,    34,    34,  1086,   498,  1086,   172,   268,  1086,
     498,   146,  1087,  1087,   146,   146,  1086,  1086,  1002,   453,
     497,  1108,  1171,   498,  1124,   501,   996,   996,   996,   996,
    1154,  1154,  1154,  1015,   498,  1015,   498,   953,   496,  1035,
    1037,  1035,   497,   468,  1088,   498,  1171,   497,  1032,   221,
     294,  1039,  1032,  1039,   221,  1038,  1039,   221,   403,  1044,
     497,  1171,   497,   291,    58,   185,  1022,   497,   812,   164,
     226,   285,   456,   410,   101,  1086,   346,   965,   442,   498,
     501,  1148,    88,   965,   498,   501,   975,  1052,  1086,   498,
     492,   832,   423,   175,   354,   360,   367,   402,   424,   798,
     167,   798,   498,   497,   615,   616,   806,  1091,  1171,   611,
     611,   725,  1156,   498,   120,   204,   265,   269,   726,  1156,
    1156,    37,   437,   437,   224,   768,  1165,  1156,   413,   873,
     359,   413,   208,  1156,    58,   404,  1156,   153,   596,  1156,
     675,   388,   176,   155,   189,   269,   560,   510,   111,   176,
     269,   388,   391,   560,   598,   649,   372,   565,   423,  1156,
    1171,   364,   679,  1156,   563,   738,  1174,  1156,   299,   372,
     413,   873,   359,   413,   156,   413,   413,   359,   174,   286,
     391,   747,   748,   174,   286,   755,   756,   413,   413,   359,
     498,   498,   498,   880,   266,   651,   828,   881,  1122,  1162,
    1179,   338,  1156,   497,   456,   699,  1156,  1163,  1162,  1162,
    1162,  1156,  1156,  1156,  1156,  1163,    58,   404,  1156,  1156,
    1156,  1156,   443,  1156,  1156,   167,   167,   340,   167,   190,
    1165,  1156,  1156,  1165,  1156,  1156,  1156,  1156,  1156,  1156,
    1156,   284,    77,   557,   153,    26,    49,   423,  1171,  1156,
    1162,   677,  1156,  1156,  1156,  1156,  1001,   498,   218,   773,
     218,   218,   218,   773,   510,   437,   581,   582,   655,   725,
     456,   458,   767,   497,   767,  1156,  1087,    31,    58,   602,
     121,   192,   120,   274,   222,  1154,   845,   174,   320,   721,
     728,   729,  1171,   664,   497,   304,   497,   591,   605,   203,
     622,   594,  1166,  1166,  1063,   497,   561,    28,   123,   210,
     365,   435,   704,   413,   700,  1165,   190,  1154,   686,   460,
     284,   498,  1031,   635,   845,   498,   501,  1055,   675,   693,
     498,   646,    37,   279,   304,   497,   955,   593,   595,   597,
     607,  1171,   304,   623,   624,   591,   622,   560,   282,   284,
     629,   982,   641,   639,   561,  1162,  1156,   803,   738,     3,
     741,   284,   829,  1086,  1086,   501,   497,   835,   423,   501,
      43,  1086,   413,   497,   611,  1154,   710,   655,   498,   921,
     922,  1156,  1156,   556,   369,   556,  1155,  1155,  1155,  1155,
    1155,   651,   178,   788,   793,   498,  1156,   111,   793,   172,
     556,   274,   776,  1162,   776,   776,   776,   218,   776,   776,
     776,   776,   776,  1086,   498,   498,   498,   172,   498,  1086,
     172,   133,   135,   172,   167,   146,   498,   463,  1095,  1124,
     331,   442,    58,  1101,  1088,   454,   454,   498,  1086,   265,
    1086,   501,  1094,  1065,  1086,  1086,  1086,  1086,    34,    34,
    1086,  1086,   146,   498,   498,  1086,  1109,  1171,   498,  1086,
    1154,  1154,  1154,  1154,  1022,  1162,  1022,  1162,   498,  1047,
    1048,  1091,   497,  1100,  1034,   497,  1155,  1032,   284,   437,
    1040,  1032,   221,  1032,  1159,  1054,   497,  1054,  1171,   997,
    1086,   455,  1104,   855,   410,   279,  1151,   982,   298,   982,
     962,   284,   497,   964,   487,   976,   965,   423,   498,   413,
     783,   172,   725,  1086,   498,   501,   456,    77,   805,   809,
     805,   498,   498,   197,   613,   121,   192,   202,   120,   439,
     556,  1063,  1156,  1156,  1156,  1156,  1156,  1156,  1156,  1166,
    1156,   596,   599,  1163,   602,   190,   190,   274,   651,   602,
     274,  1163,  1171,  1063,   556,   556,   487,    58,   404,  1156,
    1156,  1156,  1156,  1156,  1165,  1156,  1156,  1161,  1161,  1063,
     501,  1161,  1161,   501,  1165,  1156,  1156,   413,  1086,    71,
    1166,  1156,   413,   413,   172,   196,   456,  1155,  1155,   767,
    1155,   153,   156,   767,  1162,  1162,  1063,   556,   556,   413,
     498,   218,   773,   773,   773,   773,   497,   577,   578,   510,
     125,   174,   207,   174,  1086,   269,   601,   118,    37,   845,
     610,   437,   631,  1159,    34,   152,   196,   676,   680,   279,
     590,   566,   150,   198,   497,   369,   437,   611,    37,  1166,
     698,   525,   269,   497,   169,  1156,   634,  1162,   369,   561,
     152,   982,   767,   279,   590,   639,   498,   501,   456,   599,
      58,   627,   566,   623,    83,   404,   630,   456,   910,    37,
     630,   172,   284,   497,  1154,  1162,   826,   846,   847,  1172,
     841,  1063,   167,   842,  1154,   172,   413,   866,   333,   711,
     205,   656,   556,   498,   556,   556,  1156,   287,   216,   556,
     787,   776,  1086,   498,  1087,   172,  1086,  1086,  1086,   497,
     498,   501,   498,  1101,   498,   442,   385,   498,   498,  1086,
    1086,  1086,   498,   304,  1110,   498,  1104,  1104,   362,   991,
     498,   501,    37,  1049,   118,  1061,  1062,  1087,    80,  1155,
     498,  1086,   497,  1032,  1040,   497,   498,  1054,   498,   100,
     182,   352,   497,  1016,  1017,  1018,  1019,  1020,  1021,  1086,
    1105,  1106,  1171,  1001,   498,   979,   960,    90,   804,   806,
     134,  1086,   787,   284,   787,   498,   613,   616,   286,   855,
     767,   767,   810,   332,   613,   497,   845,   498,   413,   372,
     971,    37,   153,   153,   557,   738,  1166,  1156,   413,   497,
     819,   855,   857,   748,   497,   497,   756,  1156,   498,   497,
     372,   971,  1156,  1156,   497,   497,   497,   456,   479,   930,
     340,   930,   930,   167,  1156,   557,  1156,   773,   583,   584,
    1174,    53,    99,   124,   142,   146,   168,   171,   186,   274,
     324,   579,   577,  1162,   819,    37,   862,   862,   498,   189,
     497,   631,   245,   614,   200,   497,   729,   721,   497,   498,
     501,  1154,   498,   369,    28,    82,    85,    91,   119,   176,
     189,   201,   388,   391,   606,   606,  1153,  1156,  1156,   498,
     982,   699,   153,   111,   675,   172,  1156,    37,  1156,   639,
     591,  1154,   498,   595,   288,  1171,   628,   623,   627,   123,
     138,   313,  1156,    63,    71,   237,   982,   767,  1041,   804,
     172,   724,   828,   498,   501,   423,   144,   507,   840,   843,
    1051,   383,   383,   498,   259,   283,   712,   713,   714,   167,
     717,   655,   265,   441,   657,   658,  1156,   793,   167,  1087,
    1096,  1124,   265,   475,    58,  1001,    57,   127,   110,   992,
    1050,  1047,   497,  1087,   498,   501,    37,  1057,  1058,  1171,
     498,  1155,  1124,   498,   497,   373,   497,   498,   501,   501,
      37,  1006,   442,  1156,   498,   501,   270,   435,   789,   798,
     556,   805,   845,   497,   560,   811,  1154,   845,   611,   631,
    1156,   404,   189,   437,   558,   372,   971,  1156,  1128,   167,
     751,   751,  1128,  1128,  1086,   404,  1124,  1124,   567,   568,
    1173,   766,   767,   766,   767,  1155,   556,   498,   501,   490,
     497,   535,   585,   651,   927,  1162,   927,   269,   274,   324,
     927,   927,  1051,   862,    41,   194,   265,   609,   497,   647,
    1086,   173,   303,   378,   284,   618,   619,   620,   404,   498,
    1159,     6,   730,   680,   591,   622,  1156,   498,   675,   160,
     750,   561,   910,  1154,   460,  1031,   675,   982,   955,   623,
     591,   622,   599,   497,   629,   627,   628,   356,   356,    71,
     287,    71,   639,   803,   498,  1154,   725,   835,   846,  1063,
     500,   134,   456,   456,   713,   355,   401,   715,   139,   718,
     452,   720,   441,   655,   675,   556,  1086,   498,   498,   442,
    1124,   183,   325,   356,  1111,   164,   164,   611,  1054,   501,
    1062,  1174,   498,   501,   167,  1063,   498,   498,  1124,   497,
    1124,  1017,  1106,  1108,  1024,   982,  1051,   806,   372,   172,
     631,   855,   811,   812,   610,   631,   498,   725,  1156,   647,
    1086,   404,   498,   290,   362,   329,   752,   752,   498,   498,
     498,  1156,   498,   498,   498,   501,  1161,   930,   584,   535,
     586,   587,  1162,  1162,   274,   611,   490,   611,  1162,  1162,
     202,   648,   498,   123,   435,   284,   620,   284,   619,  1156,
     497,   498,   501,   566,   369,   675,   767,    37,    37,   497,
    1156,   910,   639,   627,   566,   623,   497,   625,   626,  1091,
    1171,   630,   628,   629,   287,   287,   497,   197,   807,   167,
     841,    29,   211,   897,   174,   174,   927,   355,   387,   719,
     497,   152,    51,   101,   426,  1086,  1112,  1113,  1112,  1112,
     498,    58,    58,   372,   498,  1088,  1058,   291,     3,   118,
     269,   274,  1059,  1060,    37,  1036,   339,  1045,   498,  1016,
     498,   974,   787,   453,   617,   498,   812,   614,   725,   971,
    1156,   819,    58,   971,   413,   567,   767,   498,   501,   611,
     498,   392,    62,   265,   344,   372,   621,   621,   498,     6,
     369,  1156,   747,   982,   675,   628,   623,   627,  1086,   498,
     501,   809,   809,   629,   630,   804,   497,   561,   139,   270,
     497,   892,   894,   898,   957,   966,   973,   982,   819,   819,
     716,  1171,  1086,   721,  1113,   355,   166,   311,   166,   311,
     149,  1114,  1114,  1114,   611,   611,  1171,  1100,  1087,  1087,
     274,  1060,  1171,   497,   498,  1051,   556,   497,   725,   618,
     971,   767,   497,   587,    23,   118,   274,  1156,   675,   910,
     629,   627,   628,   498,   626,   767,   810,   810,   630,   498,
     806,   808,   630,   355,   893,   894,   895,   983,   984,   501,
     501,   498,  1159,    34,   101,   181,   265,   410,   372,   372,
     413,   437,    80,  1086,  1086,   725,  1124,   675,   630,   628,
     629,   809,   807,   498,   501,  1051,   720,   498,   500,   413,
     172,   497,  1113,   355,   292,  1171,  1171,  1159,  1160,  1171,
    1057,   498,   498,   498,   629,   630,   810,   561,   806,   152,
     895,   383,   383,     5,   722,   723,  1161,  1162,  1174,   497,
     118,   498,   630,   630,   721,   456,   456,   498,   501,  1125,
    1160,  1051,  1159,   174,   174,   723,  1001,   437,   497,   819,
     819,   498,  1171,   722,   498
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   503,   504,   504,   504,   504,   504,   504,   505,   505,
     506,   506,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   507,   507,   507,   507,
     507,   507,   507,   507,   507,   507,   508,   509,   510,   510,
     510,   511,   511,   512,   512,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   514,   514,   514,   514,   514,   514,
     515,   516,   516,   517,   517,   518,   518,   518,   518,   519,
     519,   519,   519,   519,   519,   520,   521,   522,   522,   523,
     523,   523,   523,   524,   524,   525,   525,   526,   526,   526,
     526,   526,   526,   527,   527,   527,   528,   528,   528,   529,
     529,   529,   529,   530,   530,   530,   530,   530,   530,   530,
     530,   530,   530,   530,   531,   531,   532,   532,   533,   533,
     534,   534,   534,   534,   535,   535,   535,   535,   536,   536,
     536,   536,   536,   536,   536,   537,   537,   537,   538,   538,
     539,   540,   540,   540,   540,   541,   541,   542,   542,   543,
     543,   544,   544,   544,   544,   544,   545,   546,   546,   547,
     547,   548,   549,   549,   549,   549,   549,   550,   550,   550,
     550,   550,   550,   550,   550,   550,   550,   550,   550,   550,
     550,   550,   550,   550,   550,   550,   550,   550,   551,   551,
     552,   552,   552,   553,   554,   554,   554,   554,   554,   554,
     554,   554,   554,   554,   554,   554,   554,   554,   554,   554,
     554,   554,   554,   554,   554,   554,   554,   554,   554,   554,
     554,   554,   554,   554,   554,   554,   554,   554,   554,   554,
     554,   554,   554,   554,   554,   554,   554,   554,   554,   554,
     554,   554,   554,   554,   554,   554,   554,   554,   554,   554,
     554,   554,   554,   555,   555,   556,   556,   556,   557,   557,
     558,   558,   559,   559,   559,   559,   560,   561,   561,   562,
     562,   563,   563,   563,   563,   564,   564,   565,   565,   565,
     565,   566,   566,   566,   566,   567,   568,   568,   569,   570,
     570,   571,   571,   571,   571,   572,   572,   573,   573,   574,
     574,   575,   575,   576,   576,   576,   577,   577,   578,   578,
     579,   579,   579,   579,   579,   579,   579,   579,   579,   579,
     579,   579,   579,   580,   580,   581,   581,   582,   582,   583,
     583,   584,   585,   585,   585,   585,   585,   586,   586,   587,
     588,   588,   588,   588,   588,   588,   589,   589,   589,   589,
     589,   589,   589,   589,   590,   590,   591,   591,   592,   592,
     593,   593,   594,   594,   594,   595,   595,   596,   597,   597,
     598,   598,   599,   599,   600,   600,   600,   600,   601,   601,
     601,   601,   601,   601,   601,   601,   601,   602,   602,   603,
     603,   603,   603,   604,   605,   605,   605,   606,   606,   606,
     606,   606,   606,   606,   606,   606,   606,   607,   607,   608,
     608,   608,   608,   608,   608,   608,   609,   609,   610,   610,
     611,   611,   612,   613,   613,   614,   614,   614,   614,   615,
     615,   616,   616,   617,   617,   618,   618,   618,   618,   618,
     619,   620,   621,   621,   621,   621,   621,   622,   622,   623,
     623,   624,   625,   625,   626,   626,   626,   627,   627,   628,
     628,   628,   629,   629,   629,   629,   630,   630,   631,   631,
     632,   633,   633,   634,   634,   635,   635,   635,   636,   636,
     637,   637,   638,   639,   639,   639,   640,   640,   641,   642,
     642,   643,   644,   644,   645,   645,   646,   646,   647,   647,
     648,   648,   649,   649,   649,   649,   649,   649,   649,   649,
     649,   649,   649,   649,   649,   649,   650,   650,   651,   651,
     651,   651,   652,   652,   653,   653,   654,   654,   655,   655,
     656,   656,   657,   657,   658,   658,   659,   659,   660,   661,
     661,   662,   662,   663,   663,   664,   664,   665,   665,   665,
     665,   666,   667,   667,   668,   669,   669,   669,   669,   669,
     669,   669,   669,   669,   669,   669,   669,   669,   670,   671,
     671,   671,   671,   672,   672,   673,   673,   674,   674,   675,
     675,   676,   676,   677,   678,   678,   679,   679,   679,   679,
     680,   681,   682,   683,   683,   684,   684,   685,   685,   686,
     686,   687,   687,   687,   688,   688,   688,   688,   689,   690,
     690,   691,   691,   692,   692,   693,   693,   694,   694,   695,
     696,   697,   698,   698,   699,   699,   700,   700,   701,   701,
     702,   702,   703,   703,   704,   704,   704,   704,   704,   705,
     706,   706,   707,   707,   708,   708,   708,   709,   709,   710,
     710,   710,   710,   710,   711,   711,   712,   712,   713,   714,
     714,   715,   715,   716,   717,   717,   718,   718,   719,   719,
     720,   720,   721,   721,   722,   722,   722,   723,   723,   723,
     723,   724,   724,   725,   725,   726,   726,   726,   726,   726,
     726,   727,   727,   728,   728,   729,   730,   730,   731,   732,
     732,   732,   732,   733,   734,   734,   734,   734,   734,   734,
     734,   734,   734,   734,   734,   734,   734,   734,   734,   734,
     735,   736,   736,   737,   737,   738,   738,   738,   738,   738,
     738,   739,   740,   740,   741,   742,   742,   743,   743,   744,
     744,   744,   744,   745,   745,   746,   747,   747,   748,   748,
     748,   748,   748,   749,   749,   750,   750,   751,   751,   751,
     752,   752,   753,   754,   754,   755,   755,   756,   756,   757,
     757,   758,   758,   759,   760,   761,   761,   761,   761,   761,
     761,   761,   761,   761,   761,   761,   761,   762,   762,   762,
     762,   762,   762,   762,   762,   762,   762,   762,   762,   762,
     763,   763,   763,   763,   763,   764,   764,   764,   764,   764,
     764,   764,   764,   765,   765,   765,   766,   766,   767,   767,
     768,   768,   769,   769,   770,   771,   771,   771,   772,   772,
     772,   772,   772,   772,   772,   772,   772,   772,   772,   772,
     772,   772,   772,   772,   772,   772,   773,   773,   774,   774,
     774,   774,   774,   774,   774,   774,   774,   774,   775,   775,
     776,   776,   777,   777,   778,   778,   778,   778,   778,   778,
     778,   778,   778,   778,   778,   778,   778,   778,   778,   778,
     779,   779,   780,   780,   781,   782,   782,   783,   783,   783,
     783,   783,   784,   784,   785,   785,   785,   785,   786,   786,
     786,   786,   786,   786,   786,   786,   786,   786,   786,   786,
     786,   786,   786,   786,   786,   786,   786,   786,   787,   787,
     788,   788,   789,   789,   790,   791,   791,   792,   792,   793,
     793,   794,   795,   795,   796,   796,   796,   797,   797,   797,
     798,   798,   798,   798,   798,   798,   799,   799,   800,   800,
     801,   801,   802,   802,   803,   803,   804,   804,   805,   805,
     806,   806,   806,   807,   807,   808,   808,   809,   809,   810,
     810,   811,   811,   811,   812,   812,   812,   813,   813,   813,
     813,   814,   814,   815,   815,   816,   816,   817,   817,   818,
     818,   819,   819,   820,   820,   820,   821,   821,   822,   822,
     823,   823,   824,   824,   824,   824,   824,   825,   825,   825,
     825,   825,   826,   827,   828,   828,   828,   829,   829,   829,
     830,   831,   831,   831,   831,   832,   832,   833,   834,   834,
     835,   835,   836,   836,   837,   837,   837,   837,   837,   837,
     837,   837,   837,   837,   837,   837,   837,   837,   837,   837,
     837,   838,   838,   838,   838,   838,   839,   839,   840,   841,
     841,   841,   842,   842,   843,   843,   844,   844,   845,   845,
     846,   847,   847,   848,   848,   848,   849,   849,   850,   850,
     851,   851,   851,   851,   851,   851,   852,   852,   853,   853,
     854,   854,   854,   854,   855,   855,   856,   856,   857,   858,
     859,   859,   860,   860,   861,   861,   861,   862,   862,   862,
     863,   864,   864,   865,   866,   866,   866,   866,   867,   868,
     868,   868,   868,   869,   869,   870,   870,   870,   871,   871,
     872,   872,   872,   872,   872,   872,   872,   872,   872,   872,
     872,   872,   872,   872,   872,   872,   872,   872,   872,   872,
     872,   872,   872,   872,   872,   872,   872,   872,   872,   872,
     872,   872,   872,   872,   872,   872,   872,   872,   872,   872,
     872,   872,   872,   872,   872,   872,   872,   872,   872,   872,
     872,   872,   872,   872,   872,   873,   873,   874,   874,   875,
     875,   875,   875,   875,   875,   876,   876,   877,   877,   877,
     877,   877,   877,   877,   877,   877,   877,   877,   877,   877,
     877,   877,   877,   877,   877,   877,   877,   877,   877,   877,
     877,   877,   877,   877,   878,   879,   879,   880,   880,   881,
     881,   881,   881,   881,   882,   883,   883,   883,   883,   883,
     883,   883,   883,   883,   883,   883,   883,   883,   883,   883,
     883,   883,   883,   883,   883,   883,   883,   883,   883,   884,
     885,   885,   886,   886,   887,   887,   887,   887,   888,   889,
     889,   889,   889,   889,   889,   889,   889,   890,   890,   891,
     892,   892,   892,   893,   893,   894,   894,   894,   894,   894,
     895,   895,   896,   896,   896,   896,   897,   897,   897,   898,
     899,   899,   900,   901,   901,   902,   902,   902,   902,   902,
     902,   902,   902,   902,   902,   902,   902,   903,   903,   904,
     904,   904,   905,   905,   905,   905,   905,   906,   906,   906,
     907,   907,   908,   908,   908,   909,   909,   909,   909,   910,
     910,   910,   910,   911,   912,   913,   913,   914,   914,   915,
     915,   915,   916,   916,   916,   916,   916,   916,   916,   917,
     917,   918,   918,   918,   919,   920,   920,   920,   920,   921,
     921,   922,   923,   924,   924,   925,   926,   926,   926,   926,
     926,   926,   926,   927,   927,   928,   929,   929,   929,   929,
     929,   929,   930,   930,   931,   932,   932,   932,   932,   933,
     933,   934,   934,   935,   935,   936,   936,   937,   937,   938,
     939,   939,   940,   940,   940,   941,   941,   942,   942,   943,
     943,   944,   944,   945,   945,   946,   947,   947,   948,   948,
     949,   949,   949,   949,   950,   950,   950,   950,   950,   950,
     950,   950,   950,   951,   952,   952,   953,   953,   953,   953,
     954,   954,   954,   955,   955,   956,   956,   956,   956,   957,
     958,   958,   959,   959,   959,   959,   959,   960,   960,   961,
     961,   962,   963,   963,   963,   964,   964,   964,   965,   965,
     966,   967,   967,   968,   969,   969,   970,   970,   970,   970,
     970,   970,   970,   970,   971,   971,   972,   972,   972,   973,
     974,   974,   975,   975,   976,   977,   977,   978,   979,   980,
     980,   980,   980,   980,   980,   981,   981,   981,   982,   982,
     983,   983,   984,   984,   984,   984,   984,   984,   984,   984,
     985,   985,   986,   986,   986,   986,   986,   986,   986,   987,
     987,   987,   988,   988,   989,   990,   990,   990,   991,   991,
     991,   992,   992,   992,   993,   993,   994,   994,   995,   995,
     995,   995,   995,   995,   995,   995,   995,   996,   996,   997,
     997,   997,   998,   998,   999,   999,  1000,  1000,  1001,  1001,
    1002,  1003,  1003,  1004,  1004,  1005,  1005,  1005,  1005,  1006,
    1006,  1007,  1007,  1007,  1007,  1007,  1007,  1008,  1008,  1009,
    1009,  1010,  1011,  1011,  1011,  1012,  1012,  1013,  1013,  1014,
    1014,  1015,  1015,  1016,  1016,  1017,  1017,  1017,  1017,  1017,
    1018,  1019,  1020,  1021,  1022,  1022,  1023,  1023,  1024,  1024,
    1025,  1025,  1026,  1027,  1027,  1027,  1027,  1028,  1028,  1029,
    1029,  1030,  1030,  1031,  1031,  1032,  1032,  1032,  1032,  1032,
    1032,  1032,  1032,  1032,  1032,  1033,  1033,  1033,  1033,  1033,
    1033,  1034,  1034,  1034,  1034,  1035,  1035,  1036,  1036,  1037,
    1037,  1037,  1037,  1037,  1038,  1038,  1038,  1038,  1039,  1039,
    1040,  1040,  1041,  1041,  1041,  1041,  1042,  1042,  1043,  1043,
    1043,  1044,  1045,  1045,  1046,  1046,  1047,  1048,  1048,  1049,
    1049,  1050,  1050,  1051,  1051,  1052,  1052,  1052,  1053,  1053,
    1054,  1054,  1055,  1056,  1056,  1057,  1057,  1058,  1058,  1058,
    1059,  1059,  1060,  1060,  1060,  1060,  1061,  1061,  1062,  1062,
    1063,  1063,  1063,  1063,  1063,  1063,  1064,  1064,  1064,  1065,
    1065,  1065,  1065,  1065,  1065,  1065,  1066,  1066,  1066,  1066,
    1067,  1067,  1068,  1068,  1069,  1069,  1069,  1069,  1069,  1069,
    1069,  1069,  1069,  1069,  1069,  1070,  1070,  1071,  1071,  1072,
    1072,  1073,  1074,  1075,  1075,  1076,  1076,  1077,  1078,  1079,
    1079,  1079,  1079,  1079,  1079,  1080,  1080,  1081,  1081,  1081,
    1081,  1082,  1083,  1083,  1083,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1085,
    1085,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1088,  1088,
    1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,
    1088,  1088,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1090,
    1090,  1091,  1091,  1092,  1092,  1092,  1092,  1092,  1092,  1092,
    1092,  1092,  1092,  1092,  1092,  1092,  1092,  1092,  1092,  1092,
    1092,  1092,  1092,  1092,  1092,  1092,  1092,  1092,  1092,  1092,
    1092,  1092,  1092,  1092,  1092,  1092,  1092,  1092,  1092,  1092,
    1092,  1092,  1092,  1092,  1092,  1092,  1092,  1092,  1092,  1093,
    1093,  1094,  1094,  1094,  1094,  1095,  1096,  1096,  1097,  1097,
    1098,  1098,  1099,  1099,  1099,  1100,  1100,  1100,  1100,  1101,
    1101,  1102,  1102,  1103,  1103,  1104,  1104,  1105,  1105,  1106,
    1107,  1107,  1107,  1108,  1109,  1109,  1110,  1110,  1111,  1111,
    1111,  1111,  1112,  1112,  1113,  1113,  1113,  1113,  1113,  1114,
    1114,  1114,  1114,  1114,  1115,  1115,  1115,  1116,  1116,  1117,
    1118,  1118,  1118,  1119,  1119,  1120,  1120,  1120,  1120,  1120,
    1120,  1120,  1120,  1120,  1120,  1120,  1120,  1121,  1121,  1122,
    1122,  1123,  1123,  1123,  1123,  1123,  1123,  1124,  1124,  1125,
    1125,  1126,  1126,  1126,  1127,  1127,  1128,  1128,  1129,  1129,
    1129,  1130,  1130,  1131,  1132,  1132,  1132,  1132,  1132,  1132,
    1132,  1132,  1133,  1133,  1133,  1133,  1134,  1134,  1135,  1136,
    1136,  1136,  1136,  1136,  1137,  1137,  1137,  1138,  1138,  1139,
    1140,  1140,  1141,  1142,  1142,  1143,  1143,  1144,  1144,  1145,
    1145,  1145,  1145,  1146,  1146,  1147,  1147,  1148,  1148,  1149,
    1149,  1150,  1150,  1151,  1151,  1152,  1152,  1152,  1152,  1153,
    1153,  1154,  1154,  1155,  1155,  1156,  1157,  1158,  1159,  1159,
    1160,  1160,  1160,  1160,  1160,  1160,  1160,  1160,  1160,  1160,
    1160,  1160,  1160,  1161,  1162,  1163,  1163,  1163,  1164,  1165,
    1165,  1165,  1165,  1166,  1166,  1167,  1168,  1169,  1169,  1170,
    1170,  1171,  1171,  1171,  1172,  1172,  1172,  1173,  1173,  1173,
    1173,  1174,  1174,  1174,  1174,  1174,  1175,  1175,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,  1176,
    1176,  1176,  1176,  1176,  1177,  1177,  1177,  1177,  1177,  1177,
    1177,  1177,  1177,  1177,  1177,  1177,  1177,  1177,  1177,  1177,
    1177,  1177,  1177,  1177,  1177,  1177,  1177,  1177,  1177,  1177,
    1177,  1177,  1177,  1177,  1177,  1177,  1177,  1177,  1177,  1177,
    1177,  1177,  1177,  1177,  1177,  1177,  1177,  1177,  1177,  1177,
    1177,  1177,  1177,  1177,  1177,  1178,  1178,  1178,  1178,  1178,
    1178,  1178,  1178,  1178,  1178,  1178,  1178,  1178,  1178,  1178,
    1178,  1178,  1178,  1178,  1178,  1178,  1178,  1178,  1179,  1179,
    1179,  1179,  1179,  1179,  1179,  1179,  1179,  1179,  1179,  1179,
    1179,  1179,  1179,  1179,  1179,  1179,  1179,  1179,  1179,  1179,
    1179,  1179,  1179,  1179,  1179,  1179,  1179,  1179,  1179,  1179,
    1179,  1179,  1179,  1179,  1179,  1179,  1179,  1179,  1179,  1179,
    1179,  1179,  1179,  1179,  1179,  1179,  1179,  1179,  1179,  1179,
    1179,  1179,  1179,  1179,  1179,  1179,  1179,  1179,  1179,  1179,
    1179,  1179,  1179,  1179,  1179,  1179,  1179,  1179,  1179,  1179,
    1179,  1179,  1179,  1179,  1179,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1180
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     2,     2,     2,     2,     2,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     2,     5,     1,     1,
       0,     2,     0,     2,     0,     2,     2,     3,     3,     1,
       3,     3,     2,     1,     1,     2,     2,     2,     3,     3,
       5,     5,     5,     0,     3,     5,     5,     5,     5,     3,
       5,     3,     5,     3,     5,     5,     6,     1,     1,     6,
       4,     9,     7,     1,     0,     2,     0,     1,     1,     1,
       1,     1,     1,     2,     3,     3,     2,     5,     1,     3,
       3,     3,     3,     1,     3,     3,     2,     2,     2,     2,
       3,     3,     3,     3,     1,     3,     1,     3,     1,     1,
       2,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       3,     5,     1,     1,     1,     1,     1,     0,     1,     1,
       2,     1,     2,     3,     2,     1,     1,     2,     1,     2,
       1,     2,     3,     4,     3,     2,     4,     1,     1,     1,
       1,     1,     2,     2,     2,     2,     2,     4,     6,     4,
       6,    10,    13,     4,     6,     4,    10,    13,     4,     6,
       4,     6,     5,     7,    11,    14,     5,     7,     1,     3,
       4,     4,     4,     3,     2,     5,     3,     6,     4,     6,
       6,     5,     7,     6,     6,     5,     5,     6,     9,     4,
       5,     7,     5,     6,     4,     8,     4,     2,     4,     3,
       6,     4,     3,     3,     3,     2,     2,     3,     4,     4,
       3,     3,     3,     3,     3,     3,     4,     4,     3,     2,
       3,     2,     2,     3,     3,     2,     2,     3,     4,     4,
       4,     5,     1,     3,     2,     1,     1,     0,     2,     0,
       2,     0,     1,     1,     1,     3,     3,     2,     0,     1,
       3,     3,     1,     5,     3,     1,     2,     1,     3,     2,
       3,     6,     6,    10,     1,     2,     1,     3,     4,     1,
       3,     4,     6,     4,     8,     2,     2,    11,     9,     1,
       1,     1,     0,     1,     1,     1,     1,     3,     2,     0,
       1,     1,     3,     3,     1,     1,     3,     3,     3,     3,
       4,     3,     2,     1,     0,     3,     0,     1,     0,     1,
       3,     2,     1,     1,     1,     3,     0,     1,     3,     1,
      13,    16,    12,    15,    14,    17,     1,     1,     2,     2,
       2,     2,     1,     0,     1,     0,     3,     0,     1,     3,
       1,     3,     1,     1,     1,     1,     1,     5,     2,     4,
       2,     0,     2,     0,     3,     1,     1,     2,     2,     1,
       3,     4,     5,     2,     5,     7,     5,     1,     2,     1,
       2,     2,     2,     3,     3,     3,     0,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     1,     5,
       8,     3,     9,     4,    10,    11,     2,     0,     3,     0,
       1,     3,     1,     4,     0,     2,     2,     2,     0,     1,
       3,     3,     6,     4,     0,     1,     1,     2,     2,     0,
       3,     3,     2,     1,     1,     2,     2,     4,     0,     1,
       0,     6,     1,     3,     3,     3,     5,     2,     0,     2,
       2,     0,     3,     4,     4,     0,     2,     0,     4,     0,
       3,     8,    11,     1,     3,     1,     1,     3,     6,     8,
       7,    10,     6,     2,     3,     0,     8,    11,     5,     1,
       0,     6,     5,     8,     4,     6,     1,     0,     3,     0,
       1,     2,     2,     2,     1,     2,     3,     2,     2,     2,
       2,     3,     3,     3,     1,     3,     1,     0,     1,     2,
       2,     1,     1,     3,     6,    10,     1,     0,     1,     2,
       2,     0,     2,     2,     1,     0,     1,     0,     7,     2,
       0,     3,     5,     5,     8,     2,     0,     2,     2,     2,
       1,     5,     2,     0,     2,     6,     6,     6,    10,     6,
       6,     6,     9,     9,     6,     6,     9,     6,     7,     2,
       2,     2,     2,     1,     2,     1,     0,     7,     6,     4,
       0,     1,     3,     4,     1,     3,     1,     2,     2,     2,
       2,     1,     1,    10,    13,     2,     0,     2,     2,     1,
       0,     5,     4,     4,    11,    14,    12,    15,    11,     2,
       1,     4,     0,     8,    11,     1,     1,     7,     9,     8,
      10,     8,     4,     0,     5,     0,     2,     0,     2,     0,
       2,     0,     2,     0,     1,     1,     1,     1,     1,     8,
       1,     1,    17,    21,     1,     1,     2,     1,     3,     1,
       1,     1,     3,     1,     2,     0,     1,     2,     4,     1,
       1,     1,     1,     1,     3,     0,     1,     0,     1,     1,
       4,     0,     1,     1,     1,     3,     0,     1,     1,     1,
       1,     2,     0,     0,     2,     2,     1,     2,     2,     2,
       2,    11,    13,     1,     3,     5,     1,     3,     5,     1,
       2,     2,     1,     8,     6,     5,     4,     4,     3,     7,
       8,     6,     6,     6,     6,     6,     4,     7,     5,     8,
       3,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     3,     3,     1,     0,     1,     3,     7,
       9,     9,     8,     3,     0,    13,     1,     3,     5,     5,
       3,     6,     2,     1,     0,     2,     0,     2,     4,     0,
       1,     0,     6,     8,     8,     1,     3,     5,     5,     7,
       9,     7,     9,     5,     6,     6,     4,     6,     4,     6,
       8,     4,     6,     4,     6,     5,     7,     1,     1,     1,
       2,     1,     2,     1,     1,     1,     3,     3,     3,     3,
       1,     1,     1,     1,     1,     2,     2,     1,     3,     2,
       1,     1,     1,     1,     1,     1,     1,     3,     1,     2,
       2,     3,     1,     3,     5,     2,     2,     0,     6,     6,
       6,     6,     6,     6,     6,     6,     8,     9,     8,     6,
       6,     9,     9,     9,     7,    10,     1,     1,     8,     8,
       8,     8,     8,     8,     8,     9,     8,     8,     2,     0,
       1,     1,     2,     2,     1,     2,     3,     3,     3,     3,
       4,     4,     3,     3,     3,     4,     4,     3,     4,     4,
       1,     1,     1,     0,     8,     8,    11,     1,     1,     2,
       4,     5,     1,     3,     2,     2,     2,     2,     1,     2,
       2,     4,     3,     2,     2,     2,     2,     2,     2,     3,
       2,     2,     2,     5,     5,     5,     5,     5,     1,     3,
       1,     2,     3,     0,     6,     6,     9,     3,     0,     3,
       0,     5,     2,     0,     3,     3,     3,     7,     7,    10,
       1,     1,     1,     1,     1,     1,    15,    18,     1,     0,
       1,     0,     1,     0,     2,     0,     1,     3,     4,     5,
       2,     2,     4,     4,     0,     1,     3,     2,     0,     1,
       0,     1,     1,     0,     2,     2,     0,     9,    12,     7,
       7,     2,     0,     3,     2,     1,     3,     1,     3,     1,
       3,     2,     1,     1,     1,     2,     2,     1,     3,     2,
       1,     3,     3,     3,     2,     2,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     4,     5,     1,     3,     3,
       1,     3,     3,     5,     6,     1,     3,     2,     1,     3,
       1,     0,     1,     2,     4,     5,     1,     1,     1,     1,
       3,     3,     2,     2,     1,     2,     2,     2,     2,     1,
       2,     2,     2,     2,     1,     1,     1,     3,     2,     1,
       4,     0,     3,     0,     1,     1,     3,     5,     2,     0,
       2,     1,     3,     5,     5,     5,     1,     2,     1,     0,
       4,     6,     4,     6,     4,     6,     4,     6,     4,     6,
       3,     5,     5,     5,     1,     3,     1,     3,     2,     2,
       1,     2,     1,     2,    11,    10,    10,     2,     2,     0,
       9,     2,     0,    10,    11,    11,     5,     5,     8,     4,
       4,     7,     7,     1,     1,     1,     1,     1,     5,     5,
       6,     6,     6,     6,     6,     8,     8,     6,     6,     7,
       9,     9,     8,    10,     6,     6,     6,     6,     6,     6,
       6,     8,     6,     8,     6,     8,     7,     9,     6,     8,
       7,     9,     8,    10,     8,    10,     9,    11,     8,    10,
       9,    11,     8,     8,     7,     6,     6,     6,     6,     8,
       8,     8,     8,     6,     9,     1,     0,     2,     0,     8,
       8,     8,    10,     9,     8,     1,     0,     6,     6,     6,
       6,     6,     6,     6,     9,     9,     6,     6,     6,     8,
       6,     8,     8,     8,     8,     6,     8,     6,     8,     7,
       9,     7,     9,     6,     7,     1,     3,     3,     3,     1,
       1,     1,     1,     1,     7,     6,     6,     6,     6,     6,
       6,     7,     7,     6,     9,     9,     6,     6,     6,     6,
       6,     6,     8,     8,     8,     6,     7,     6,     6,     5,
       1,     0,     3,     3,     5,     6,     6,     6,     8,     5,
       5,     6,     7,     7,     7,     4,     4,     4,     6,    13,
       1,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     0,     1,     1,     1,     1,     1,     1,     0,     3,
       2,     0,     2,     2,     2,     3,     3,     3,     3,     2,
       3,     2,     5,     4,     3,     3,     3,     3,     3,     1,
       1,     0,     3,     2,     2,     1,     2,     1,     3,     2,
       1,     0,     2,     3,     0,     9,    11,    12,    14,     3,
       4,     4,     0,     2,     5,     1,     0,     1,     2,     3,
       3,     3,     1,     2,     1,     1,     1,     1,     1,     1,
       0,     5,     4,     6,     4,     3,     5,     7,     9,     1,
       3,     1,     5,     4,     4,     6,     4,     6,     6,     5,
       7,     9,     6,     1,     0,     6,    11,    11,    11,    13,
       9,    11,     1,     1,    10,     4,     6,     2,     5,     2,
       0,     6,     5,     3,     5,     1,     3,     1,     1,     2,
       1,     1,     1,     1,     0,     1,     0,     1,     0,     1,
       0,     1,     0,     3,     0,     2,     1,     3,     1,     0,
       2,     4,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     5,     3,     0,     1,     1,     1,     1,
       3,     9,    12,     3,     0,     2,     3,     2,     3,     7,
       1,     3,     1,     4,     4,     7,     2,     1,     1,     1,
       3,     2,     8,     5,     0,     4,     3,     0,     2,     0,
       7,     2,     0,     5,     3,     0,     2,     2,     2,     3,
       1,     3,     1,     2,     1,     0,     1,     2,     0,     8,
       1,     3,     3,     5,     2,     1,     3,     7,     1,     0,
       3,     2,     2,     2,     2,     0,     2,     2,     1,     1,
       3,     3,     1,     2,     4,     4,     2,     3,     5,     5,
       1,     1,     9,     9,     1,     2,     4,     4,     4,     2,
       2,     3,     1,     3,     9,     1,     2,     0,     7,     7,
       0,    10,     6,     0,     1,     0,     2,     0,     3,     3,
       4,     4,     4,     4,     3,     2,     1,     1,     0,     1,
       1,     0,     1,     5,     1,     0,     1,     1,     1,     0,
       3,     1,     3,     4,     3,     2,     2,     1,     1,     1,
       0,     2,     4,     5,     6,     4,     5,     2,     3,     1,
       1,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     4,     0,     1,     3,     1,     1,     1,     1,     1,
       2,     4,     4,     5,     2,     0,     1,     3,     1,     0,
       1,     2,     3,     2,     4,     2,     3,     2,     0,     4,
       5,     2,     0,     1,     3,     2,     3,     2,     3,     2,
       3,     2,     3,     1,     4,     3,     4,     5,     4,     5,
       4,     5,     2,     4,     1,     1,     0,     2,     0,     1,
       4,     5,     4,     0,     2,     2,     2,     1,     1,     0,
       5,     2,     1,     2,     2,     4,     1,     3,     1,     2,
       3,     6,     4,     0,     2,     6,     2,     1,     3,     4,
       0,     2,     0,     2,     0,     2,     4,     0,     1,     0,
       1,     3,     3,     7,    12,     1,     3,     2,     3,     3,
       1,     2,     2,     2,     2,     1,     1,     3,     3,     2,
       2,     3,     5,     6,     2,     3,     3,     4,     0,     1,
       1,     1,     1,     1,     2,     4,     1,     1,     1,     1,
       2,     3,     3,     0,     1,     1,     1,     1,     1,     2,
       2,     2,     2,     2,     1,     3,     0,     1,     1,     1,
       1,     5,     2,     1,     1,     1,     1,     4,     1,     2,
       2,     1,     3,     3,     2,     1,     0,     5,     2,     5,
       2,     1,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     3,     3,     3,     3,     3,     3,     3,     0,     1,
       4,     1,     3,     3,     5,     2,     2,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     3,     3,     2,     2,     3,     5,     4,     6,     3,
       5,     4,     6,     4,     6,     5,     7,     3,     2,     4,
       2,     3,     3,     4,     3,     4,     3,     4,     5,     6,
       6,     7,     6,     7,     3,     4,     4,     6,     2,     3,
       4,     3,     4,     4,     5,     1,     1,     3,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     5,     6,     3,     4,     1,     1,
       2,     4,     1,     1,     1,     2,     2,     2,     2,     1,
       1,     4,     3,     5,     6,     8,     6,     6,     4,     4,
       1,     1,     1,     5,     1,     1,     4,     1,     4,     1,
       4,     1,     4,     1,     1,     1,     1,     1,     1,     6,
       4,     4,     6,     4,     4,     4,     4,     4,     6,     5,
       5,     5,     4,     6,     4,     4,     4,     4,     5,     7,
       7,     9,     5,     4,     6,     5,     7,     7,     7,     2,
       3,     3,     3,     4,     0,     4,     1,     3,     3,     1,
       1,     1,     2,     2,     0,     2,     3,     3,     4,     2,
       2,     5,     0,     5,     0,     2,     0,     1,     3,     3,
       2,     2,     0,     6,     1,     0,     3,     0,     3,     3,
       3,     0,     1,     4,     2,     2,     2,     2,     2,     3,
       2,     2,     3,     0,     4,     3,     5,     4,     3,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     1,
       4,     1,     4,     1,     2,     1,     2,     1,     3,     1,
       3,     1,     3,     3,     1,     0,     1,     3,     3,     3,
       2,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     7,     5,     3,     5,
       5,     3,     3,     5,     3,     2,     1,     1,     3,     5,
       1,     2,     4,     2,     0,     1,     0,     1,     2,     2,
       2,     3,     5,     1,     0,     1,     2,     0,     2,     1,
       0,     1,     0,     1,     3,     3,     2,     1,     1,     1,
       3,     1,     2,     1,     3,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     1,     2,     6,     2,     3,     5,
       1,     1,     1,     1,     1,     1,     2,     2,     1,     1,
       1,     1,     1,     1,     3,    10,     4,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static int
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  int res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyoutput = yyo;
  YYUSE (yyoutput);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyo, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyo, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyo, *yylocationp);
  YYFPRINTF (yyo, ": ");
  yy_symbol_value_print (yyo, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &yyvsp[(yyi + 1) - (yynrhs)]
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return (YYSIZE_T) (yystpcpy (yyres, yystr) - yyres);
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
                    yysize = yysize1;
                  else
                    return 2;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
      yysize = yysize1;
    else
      return 2;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yynewstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  *yyssp = (yytype_int16) yystate;

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    goto yyexhaustedlab;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = (YYSIZE_T) (yyssp - yyss + 1);

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
        yyls = yyls1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
# undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 828 "gram.y" /* yacc.c:1652  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
			}
#line 26991 "gram.c" /* yacc.c:1652  */
    break;

  case 3:
#line 832 "gram.y" /* yacc.c:1652  */
    {
				pg_yyget_extra(yyscanner)->parsetree = list_make1((yyvsp[0].typnam));
			}
#line 26999 "gram.c" /* yacc.c:1652  */
    break;

  case 4:
#line 836 "gram.y" /* yacc.c:1652  */
    {
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((yyvsp[0].node), 0));
			}
#line 27008 "gram.c" /* yacc.c:1652  */
    break;

  case 5:
#line 841 "gram.y" /* yacc.c:1652  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);
				n->nnames = 1;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 27019 "gram.c" /* yacc.c:1652  */
    break;

  case 6:
#line 848 "gram.y" /* yacc.c:1652  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);
				n->nnames = 2;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 27030 "gram.c" /* yacc.c:1652  */
    break;

  case 7:
#line 855 "gram.y" /* yacc.c:1652  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);
				n->nnames = 3;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 27041 "gram.c" /* yacc.c:1652  */
    break;

  case 8:
#line 874 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[-2].list) != NIL)
					{
						/* update length of previous stmt */
						updateRawStmtEnd(llast_node(RawStmt, (yyvsp[-2].list)), (yylsp[-1]));
					}
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), makeRawStmt((yyvsp[0].node), (yylsp[-1]) + 1));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 27057 "gram.c" /* yacc.c:1652  */
    break;

  case 9:
#line 886 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1(makeRawStmt((yyvsp[0].node), 0));
					else
						(yyval.list) = NIL;
				}
#line 27068 "gram.c" /* yacc.c:1652  */
    break;

  case 135:
#line 1028 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 27074 "gram.c" /* yacc.c:1652  */
    break;

  case 136:
#line 1038 "gram.y" /* yacc.c:1652  */
    {
					CallStmt *n = makeNode(CallStmt);
					n->funccall = castNode(FuncCall, (yyvsp[0].node));
					(yyval.node) = (Node *)n;
				}
#line 27084 "gram.c" /* yacc.c:1652  */
    break;

  case 137:
#line 1053 "gram.y" /* yacc.c:1652  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27096 "gram.c" /* yacc.c:1652  */
    break;

  case 141:
#line 1074 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27102 "gram.c" /* yacc.c:1652  */
    break;

  case 142:
#line 1075 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 27108 "gram.c" /* yacc.c:1652  */
    break;

  case 143:
#line 1079 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27114 "gram.c" /* yacc.c:1652  */
    break;

  case 144:
#line 1080 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 27120 "gram.c" /* yacc.c:1652  */
    break;

  case 145:
#line 1085 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 27129 "gram.c" /* yacc.c:1652  */
    break;

  case 146:
#line 1090 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("password", NULL, (yylsp[-1]));
				}
#line 27137 "gram.c" /* yacc.c:1652  */
    break;

  case 147:
#line 1094 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * These days, passwords are always stored in encrypted
					 * form, so there is no difference between PASSWORD and
					 * ENCRYPTED PASSWORD.
					 */
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 27151 "gram.c" /* yacc.c:1652  */
    break;

  case 148:
#line 1104 "gram.y" /* yacc.c:1652  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNENCRYPTED PASSWORD is no longer supported"),
							 errhint("Remove UNENCRYPTED to store the password in encrypted form instead."),
							 parser_errposition((yylsp[-2]))));
				}
#line 27163 "gram.c" /* yacc.c:1652  */
    break;

  case 149:
#line 1112 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 27171 "gram.c" /* yacc.c:1652  */
    break;

  case 150:
#line 1116 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 27179 "gram.c" /* yacc.c:1652  */
    break;

  case 151:
#line 1120 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 27187 "gram.c" /* yacc.c:1652  */
    break;

  case 152:
#line 1125 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 27195 "gram.c" /* yacc.c:1652  */
    break;

  case 153:
#line 1129 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(false), (yylsp[0]));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 27244 "gram.c" /* yacc.c:1652  */
    break;

  case 154:
#line 1176 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 27250 "gram.c" /* yacc.c:1652  */
    break;

  case 155:
#line 1179 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-1]));
				}
#line 27258 "gram.c" /* yacc.c:1652  */
    break;

  case 156:
#line 1183 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 27266 "gram.c" /* yacc.c:1652  */
    break;

  case 157:
#line 1187 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 27274 "gram.c" /* yacc.c:1652  */
    break;

  case 158:
#line 1191 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 27282 "gram.c" /* yacc.c:1652  */
    break;

  case 159:
#line 1195 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 27290 "gram.c" /* yacc.c:1652  */
    break;

  case 160:
#line 1209 "gram.y" /* yacc.c:1652  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27302 "gram.c" /* yacc.c:1652  */
    break;

  case 161:
#line 1227 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 27314 "gram.c" /* yacc.c:1652  */
    break;

  case 162:
#line 1235 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 27326 "gram.c" /* yacc.c:1652  */
    break;

  case 163:
#line 1245 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 27332 "gram.c" /* yacc.c:1652  */
    break;

  case 164:
#line 1246 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27338 "gram.c" /* yacc.c:1652  */
    break;

  case 165:
#line 1251 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 27350 "gram.c" /* yacc.c:1652  */
    break;

  case 166:
#line 1259 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 27362 "gram.c" /* yacc.c:1652  */
    break;

  case 167:
#line 1267 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 27374 "gram.c" /* yacc.c:1652  */
    break;

  case 168:
#line 1275 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 27386 "gram.c" /* yacc.c:1652  */
    break;

  case 169:
#line 1296 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27397 "gram.c" /* yacc.c:1652  */
    break;

  case 170:
#line 1303 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27408 "gram.c" /* yacc.c:1652  */
    break;

  case 171:
#line 1310 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27419 "gram.c" /* yacc.c:1652  */
    break;

  case 172:
#line 1317 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27430 "gram.c" /* yacc.c:1652  */
    break;

  case 173:
#line 1324 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27441 "gram.c" /* yacc.c:1652  */
    break;

  case 174:
#line 1331 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27452 "gram.c" /* yacc.c:1652  */
    break;

  case 175:
#line 1348 "gram.y" /* yacc.c:1652  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27464 "gram.c" /* yacc.c:1652  */
    break;

  case 176:
#line 1366 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-3].rolespec);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *)n;
				}
#line 27477 "gram.c" /* yacc.c:1652  */
    break;

  case 177:
#line 1376 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = +1; }
#line 27483 "gram.c" /* yacc.c:1652  */
    break;

  case 178:
#line 1377 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = -1; }
#line 27489 "gram.c" /* yacc.c:1652  */
    break;

  case 179:
#line 1389 "gram.y" /* yacc.c:1652  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 27503 "gram.c" /* yacc.c:1652  */
    break;

  case 180:
#line 1399 "gram.y" /* yacc.c:1652  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 27517 "gram.c" /* yacc.c:1652  */
    break;

  case 181:
#line 1409 "gram.y" /* yacc.c:1652  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 27536 "gram.c" /* yacc.c:1652  */
    break;

  case 182:
#line 1424 "gram.y" /* yacc.c:1652  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 27555 "gram.c" /* yacc.c:1652  */
    break;

  case 183:
#line 1441 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27561 "gram.c" /* yacc.c:1652  */
    break;

  case 184:
#line 1442 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 27567 "gram.c" /* yacc.c:1652  */
    break;

  case 185:
#line 1447 "gram.y" /* yacc.c:1652  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 27577 "gram.c" /* yacc.c:1652  */
    break;

  case 186:
#line 1453 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 27583 "gram.c" /* yacc.c:1652  */
    break;

  case 193:
#line 1481 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 27593 "gram.c" /* yacc.c:1652  */
    break;

  case 194:
#line 1487 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 27603 "gram.c" /* yacc.c:1652  */
    break;

  case 195:
#line 1493 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 27613 "gram.c" /* yacc.c:1652  */
    break;

  case 196:
#line 1502 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 27625 "gram.c" /* yacc.c:1652  */
    break;

  case 197:
#line 1510 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 27637 "gram.c" /* yacc.c:1652  */
    break;

  case 199:
#line 1522 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 27649 "gram.c" /* yacc.c:1652  */
    break;

  case 200:
#line 1530 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 27661 "gram.c" /* yacc.c:1652  */
    break;

  case 201:
#line 1538 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 27672 "gram.c" /* yacc.c:1652  */
    break;

  case 202:
#line 1545 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 27683 "gram.c" /* yacc.c:1652  */
    break;

  case 203:
#line 1554 "gram.y" /* yacc.c:1652  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 27689 "gram.c" /* yacc.c:1652  */
    break;

  case 204:
#line 1556 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 27700 "gram.c" /* yacc.c:1652  */
    break;

  case 205:
#line 1564 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 27715 "gram.c" /* yacc.c:1652  */
    break;

  case 206:
#line 1575 "gram.y" /* yacc.c:1652  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 27727 "gram.c" /* yacc.c:1652  */
    break;

  case 207:
#line 1583 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 27739 "gram.c" /* yacc.c:1652  */
    break;

  case 208:
#line 1591 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 27754 "gram.c" /* yacc.c:1652  */
    break;

  case 209:
#line 1602 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 27766 "gram.c" /* yacc.c:1652  */
    break;

  case 210:
#line 1610 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 27778 "gram.c" /* yacc.c:1652  */
    break;

  case 211:
#line 1618 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 27789 "gram.c" /* yacc.c:1652  */
    break;

  case 212:
#line 1625 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 27801 "gram.c" /* yacc.c:1652  */
    break;

  case 213:
#line 1634 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 27813 "gram.c" /* yacc.c:1652  */
    break;

  case 214:
#line 1643 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27819 "gram.c" /* yacc.c:1652  */
    break;

  case 215:
#line 1645 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 27825 "gram.c" /* yacc.c:1652  */
    break;

  case 216:
#line 1648 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 27831 "gram.c" /* yacc.c:1652  */
    break;

  case 217:
#line 1649 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 27837 "gram.c" /* yacc.c:1652  */
    break;

  case 218:
#line 1653 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 27843 "gram.c" /* yacc.c:1652  */
    break;

  case 219:
#line 1655 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 27849 "gram.c" /* yacc.c:1652  */
    break;

  case 220:
#line 1658 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "read uncommitted"; }
#line 27855 "gram.c" /* yacc.c:1652  */
    break;

  case 221:
#line 1659 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "read committed"; }
#line 27861 "gram.c" /* yacc.c:1652  */
    break;

  case 222:
#line 1660 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "repeatable read"; }
#line 27867 "gram.c" /* yacc.c:1652  */
    break;

  case 223:
#line 1661 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "serializable"; }
#line 27873 "gram.c" /* yacc.c:1652  */
    break;

  case 224:
#line 1665 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "true"; }
#line 27879 "gram.c" /* yacc.c:1652  */
    break;

  case 225:
#line 1666 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "false"; }
#line 27885 "gram.c" /* yacc.c:1652  */
    break;

  case 226:
#line 1667 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "on"; }
#line 27891 "gram.c" /* yacc.c:1652  */
    break;

  case 227:
#line 1673 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27897 "gram.c" /* yacc.c:1652  */
    break;

  case 228:
#line 1686 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 27905 "gram.c" /* yacc.c:1652  */
    break;

  case 229:
#line 1690 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 27913 "gram.c" /* yacc.c:1652  */
    break;

  case 230:
#line 1694 "gram.y" /* yacc.c:1652  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 27932 "gram.c" /* yacc.c:1652  */
    break;

  case 231:
#line 1709 "gram.y" /* yacc.c:1652  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 27943 "gram.c" /* yacc.c:1652  */
    break;

  case 232:
#line 1715 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 27949 "gram.c" /* yacc.c:1652  */
    break;

  case 233:
#line 1716 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 27955 "gram.c" /* yacc.c:1652  */
    break;

  case 234:
#line 1717 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 27961 "gram.c" /* yacc.c:1652  */
    break;

  case 235:
#line 1721 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27967 "gram.c" /* yacc.c:1652  */
    break;

  case 236:
#line 1722 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 27973 "gram.c" /* yacc.c:1652  */
    break;

  case 237:
#line 1723 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 27979 "gram.c" /* yacc.c:1652  */
    break;

  case 238:
#line 1727 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27985 "gram.c" /* yacc.c:1652  */
    break;

  case 239:
#line 1728 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27991 "gram.c" /* yacc.c:1652  */
    break;

  case 240:
#line 1732 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 27997 "gram.c" /* yacc.c:1652  */
    break;

  case 241:
#line 1736 "gram.y" /* yacc.c:1652  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 28003 "gram.c" /* yacc.c:1652  */
    break;

  case 242:
#line 1738 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 28014 "gram.c" /* yacc.c:1652  */
    break;

  case 243:
#line 1745 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 28025 "gram.c" /* yacc.c:1652  */
    break;

  case 244:
#line 1752 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 28036 "gram.c" /* yacc.c:1652  */
    break;

  case 245:
#line 1762 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 28047 "gram.c" /* yacc.c:1652  */
    break;

  case 246:
#line 1769 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 28057 "gram.c" /* yacc.c:1652  */
    break;

  case 247:
#line 1778 "gram.y" /* yacc.c:1652  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 28063 "gram.c" /* yacc.c:1652  */
    break;

  case 248:
#line 1779 "gram.y" /* yacc.c:1652  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 28069 "gram.c" /* yacc.c:1652  */
    break;

  case 249:
#line 1784 "gram.y" /* yacc.c:1652  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 28075 "gram.c" /* yacc.c:1652  */
    break;

  case 250:
#line 1785 "gram.y" /* yacc.c:1652  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 28081 "gram.c" /* yacc.c:1652  */
    break;

  case 251:
#line 1791 "gram.y" /* yacc.c:1652  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 28091 "gram.c" /* yacc.c:1652  */
    break;

  case 252:
#line 1797 "gram.y" /* yacc.c:1652  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 28101 "gram.c" /* yacc.c:1652  */
    break;

  case 253:
#line 1803 "gram.y" /* yacc.c:1652  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 28111 "gram.c" /* yacc.c:1652  */
    break;

  case 254:
#line 1809 "gram.y" /* yacc.c:1652  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 28121 "gram.c" /* yacc.c:1652  */
    break;

  case 255:
#line 1815 "gram.y" /* yacc.c:1652  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 28131 "gram.c" /* yacc.c:1652  */
    break;

  case 256:
#line 1825 "gram.y" /* yacc.c:1652  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 28142 "gram.c" /* yacc.c:1652  */
    break;

  case 257:
#line 1834 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 28148 "gram.c" /* yacc.c:1652  */
    break;

  case 258:
#line 1835 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28154 "gram.c" /* yacc.c:1652  */
    break;

  case 259:
#line 1839 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 28160 "gram.c" /* yacc.c:1652  */
    break;

  case 260:
#line 1840 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 28166 "gram.c" /* yacc.c:1652  */
    break;

  case 261:
#line 1849 "gram.y" /* yacc.c:1652  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
#line 28175 "gram.c" /* yacc.c:1652  */
    break;

  case 262:
#line 1864 "gram.y" /* yacc.c:1652  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 28185 "gram.c" /* yacc.c:1652  */
    break;

  case 263:
#line 1870 "gram.y" /* yacc.c:1652  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 28195 "gram.c" /* yacc.c:1652  */
    break;

  case 264:
#line 1876 "gram.y" /* yacc.c:1652  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 28205 "gram.c" /* yacc.c:1652  */
    break;

  case 265:
#line 1882 "gram.y" /* yacc.c:1652  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 28215 "gram.c" /* yacc.c:1652  */
    break;

  case 266:
#line 1888 "gram.y" /* yacc.c:1652  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 28225 "gram.c" /* yacc.c:1652  */
    break;

  case 267:
#line 1907 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28238 "gram.c" /* yacc.c:1652  */
    break;

  case 268:
#line 1916 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28251 "gram.c" /* yacc.c:1652  */
    break;

  case 269:
#line 1925 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28264 "gram.c" /* yacc.c:1652  */
    break;

  case 270:
#line 1934 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28277 "gram.c" /* yacc.c:1652  */
    break;

  case 271:
#line 1943 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 28292 "gram.c" /* yacc.c:1652  */
    break;

  case 272:
#line 1954 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 28307 "gram.c" /* yacc.c:1652  */
    break;

  case 273:
#line 1965 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28320 "gram.c" /* yacc.c:1652  */
    break;

  case 274:
#line 1974 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28333 "gram.c" /* yacc.c:1652  */
    break;

  case 275:
#line 1983 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28346 "gram.c" /* yacc.c:1652  */
    break;

  case 276:
#line 1992 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 28361 "gram.c" /* yacc.c:1652  */
    break;

  case 277:
#line 2003 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 28376 "gram.c" /* yacc.c:1652  */
    break;

  case 278:
#line 2014 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28389 "gram.c" /* yacc.c:1652  */
    break;

  case 279:
#line 2023 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28402 "gram.c" /* yacc.c:1652  */
    break;

  case 280:
#line 2032 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28415 "gram.c" /* yacc.c:1652  */
    break;

  case 281:
#line 2041 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28428 "gram.c" /* yacc.c:1652  */
    break;

  case 282:
#line 2050 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28441 "gram.c" /* yacc.c:1652  */
    break;

  case 283:
#line 2059 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28454 "gram.c" /* yacc.c:1652  */
    break;

  case 284:
#line 2068 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 28469 "gram.c" /* yacc.c:1652  */
    break;

  case 285:
#line 2079 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 28484 "gram.c" /* yacc.c:1652  */
    break;

  case 286:
#line 2090 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28497 "gram.c" /* yacc.c:1652  */
    break;

  case 287:
#line 2099 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28510 "gram.c" /* yacc.c:1652  */
    break;

  case 288:
#line 2110 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 28516 "gram.c" /* yacc.c:1652  */
    break;

  case 289:
#line 2111 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 28522 "gram.c" /* yacc.c:1652  */
    break;

  case 290:
#line 2117 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = (yyvsp[0].partboundspec);
					cmd->concurrent = false;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 28539 "gram.c" /* yacc.c:1652  */
    break;

  case 291:
#line 2131 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = NULL;
					cmd->concurrent = (yyvsp[0].boolean);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 28556 "gram.c" /* yacc.c:1652  */
    break;

  case 292:
#line 2144 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartitionFinalize;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = NULL;
					cmd->concurrent = false;
					n->def = (Node *) cmd;
					(yyval.node) = (Node *) n;
				}
#line 28572 "gram.c" /* yacc.c:1652  */
    break;

  case 293:
#line 2160 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					cmd->concurrent = false;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 28589 "gram.c" /* yacc.c:1652  */
    break;

  case 294:
#line 2177 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28601 "gram.c" /* yacc.c:1652  */
    break;

  case 295:
#line 2186 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28613 "gram.c" /* yacc.c:1652  */
    break;

  case 296:
#line 2195 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28625 "gram.c" /* yacc.c:1652  */
    break;

  case 297:
#line 2204 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28637 "gram.c" /* yacc.c:1652  */
    break;

  case 298:
#line 2213 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 28649 "gram.c" /* yacc.c:1652  */
    break;

  case 299:
#line 2222 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 28660 "gram.c" /* yacc.c:1652  */
    break;

  case 300:
#line 2230 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 28671 "gram.c" /* yacc.c:1652  */
    break;

  case 301:
#line 2238 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-2].str);
					(yyval.node) = (Node *)n;
				}
#line 28682 "gram.c" /* yacc.c:1652  */
    break;

  case 302:
#line 2246 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28694 "gram.c" /* yacc.c:1652  */
    break;

  case 303:
#line 2255 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 28706 "gram.c" /* yacc.c:1652  */
    break;

  case 304:
#line 2264 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					if ((yyvsp[-3].ival) <= 0 || (yyvsp[-3].ival) > PG_INT16_MAX)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("column number must be in range from 1 to %d", PG_INT16_MAX),
								 parser_errposition((yylsp[-3]))));

					n->subtype = AT_SetStatistics;
					n->num = (int16) (yyvsp[-3].ival);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 28725 "gram.c" /* yacc.c:1652  */
    break;

  case 305:
#line 2280 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28737 "gram.c" /* yacc.c:1652  */
    break;

  case 306:
#line 2289 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28749 "gram.c" /* yacc.c:1652  */
    break;

  case 307:
#line 2298 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 28761 "gram.c" /* yacc.c:1652  */
    break;

  case 308:
#line 2307 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					c->contype = CONSTR_IDENTITY;
					c->generated_when = (yyvsp[-3].ival);
					c->options = (yyvsp[0].list);
					c->location = (yylsp[-4]);

					n->subtype = AT_AddIdentity;
					n->name = (yyvsp[-6].str);
					n->def = (Node *) c;

					(yyval.node) = (Node *)n;
				}
#line 28781 "gram.c" /* yacc.c:1652  */
    break;

  case 309:
#line 2324 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetIdentity;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28793 "gram.c" /* yacc.c:1652  */
    break;

  case 310:
#line 2333 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-2].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28805 "gram.c" /* yacc.c:1652  */
    break;

  case 311:
#line 2342 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28817 "gram.c" /* yacc.c:1652  */
    break;

  case 312:
#line 2351 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetCompression;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 28829 "gram.c" /* yacc.c:1652  */
    break;

  case 313:
#line 2360 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28842 "gram.c" /* yacc.c:1652  */
    break;

  case 314:
#line 2370 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28855 "gram.c" /* yacc.c:1652  */
    break;

  case 315:
#line 2383 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 28873 "gram.c" /* yacc.c:1652  */
    break;

  case 316:
#line 2398 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28885 "gram.c" /* yacc.c:1652  */
    break;

  case 317:
#line 2407 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 28896 "gram.c" /* yacc.c:1652  */
    break;

  case 318:
#line 2415 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);
					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 28914 "gram.c" /* yacc.c:1652  */
    break;

  case 319:
#line 2430 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28925 "gram.c" /* yacc.c:1652  */
    break;

  case 320:
#line 2438 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28938 "gram.c" /* yacc.c:1652  */
    break;

  case 321:
#line 2448 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28951 "gram.c" /* yacc.c:1652  */
    break;

  case 322:
#line 2458 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
#line 28961 "gram.c" /* yacc.c:1652  */
    break;

  case 323:
#line 2465 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28972 "gram.c" /* yacc.c:1652  */
    break;

  case 324:
#line 2473 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 28983 "gram.c" /* yacc.c:1652  */
    break;

  case 325:
#line 2481 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *)n;
				}
#line 28993 "gram.c" /* yacc.c:1652  */
    break;

  case 326:
#line 2488 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *)n;
				}
#line 29003 "gram.c" /* yacc.c:1652  */
    break;

  case 327:
#line 2495 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29014 "gram.c" /* yacc.c:1652  */
    break;

  case 328:
#line 2503 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29025 "gram.c" /* yacc.c:1652  */
    break;

  case 329:
#line 2511 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29036 "gram.c" /* yacc.c:1652  */
    break;

  case 330:
#line 2519 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 29046 "gram.c" /* yacc.c:1652  */
    break;

  case 331:
#line 2526 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 29056 "gram.c" /* yacc.c:1652  */
    break;

  case 332:
#line 2533 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29067 "gram.c" /* yacc.c:1652  */
    break;

  case 333:
#line 2541 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 29077 "gram.c" /* yacc.c:1652  */
    break;

  case 334:
#line 2548 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 29087 "gram.c" /* yacc.c:1652  */
    break;

  case 335:
#line 2555 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29098 "gram.c" /* yacc.c:1652  */
    break;

  case 336:
#line 2563 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29109 "gram.c" /* yacc.c:1652  */
    break;

  case 337:
#line 2571 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29120 "gram.c" /* yacc.c:1652  */
    break;

  case 338:
#line 2579 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29131 "gram.c" /* yacc.c:1652  */
    break;

  case 339:
#line 2587 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 29142 "gram.c" /* yacc.c:1652  */
    break;

  case 340:
#line 2595 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 29153 "gram.c" /* yacc.c:1652  */
    break;

  case 341:
#line 2603 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[0].list));
					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
#line 29166 "gram.c" /* yacc.c:1652  */
    break;

  case 342:
#line 2613 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
#line 29176 "gram.c" /* yacc.c:1652  */
    break;

  case 343:
#line 2620 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 29187 "gram.c" /* yacc.c:1652  */
    break;

  case 344:
#line 2628 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29198 "gram.c" /* yacc.c:1652  */
    break;

  case 345:
#line 2636 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29209 "gram.c" /* yacc.c:1652  */
    break;

  case 346:
#line 2644 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29220 "gram.c" /* yacc.c:1652  */
    break;

  case 347:
#line 2652 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 29231 "gram.c" /* yacc.c:1652  */
    break;

  case 348:
#line 2660 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 29241 "gram.c" /* yacc.c:1652  */
    break;

  case 349:
#line 2667 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 29251 "gram.c" /* yacc.c:1652  */
    break;

  case 350:
#line 2674 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 29261 "gram.c" /* yacc.c:1652  */
    break;

  case 351:
#line 2681 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 29271 "gram.c" /* yacc.c:1652  */
    break;

  case 352:
#line 2687 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29282 "gram.c" /* yacc.c:1652  */
    break;

  case 353:
#line 2696 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29288 "gram.c" /* yacc.c:1652  */
    break;

  case 354:
#line 2697 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 29294 "gram.c" /* yacc.c:1652  */
    break;

  case 355:
#line 2701 "gram.y" /* yacc.c:1652  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 29300 "gram.c" /* yacc.c:1652  */
    break;

  case 356:
#line 2702 "gram.y" /* yacc.c:1652  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 29306 "gram.c" /* yacc.c:1652  */
    break;

  case 357:
#line 2703 "gram.y" /* yacc.c:1652  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 29312 "gram.c" /* yacc.c:1652  */
    break;

  case 358:
#line 2708 "gram.y" /* yacc.c:1652  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 29324 "gram.c" /* yacc.c:1652  */
    break;

  case 359:
#line 2715 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 29330 "gram.c" /* yacc.c:1652  */
    break;

  case 360:
#line 2719 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29336 "gram.c" /* yacc.c:1652  */
    break;

  case 361:
#line 2720 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 29342 "gram.c" /* yacc.c:1652  */
    break;

  case 362:
#line 2725 "gram.y" /* yacc.c:1652  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 29353 "gram.c" /* yacc.c:1652  */
    break;

  case 363:
#line 2732 "gram.y" /* yacc.c:1652  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 29364 "gram.c" /* yacc.c:1652  */
    break;

  case 364:
#line 2739 "gram.y" /* yacc.c:1652  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 29375 "gram.c" /* yacc.c:1652  */
    break;

  case 365:
#line 2746 "gram.y" /* yacc.c:1652  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29386 "gram.c" /* yacc.c:1652  */
    break;

  case 366:
#line 2755 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29392 "gram.c" /* yacc.c:1652  */
    break;

  case 367:
#line 2758 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29398 "gram.c" /* yacc.c:1652  */
    break;

  case 368:
#line 2759 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 29404 "gram.c" /* yacc.c:1652  */
    break;

  case 369:
#line 2763 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 29410 "gram.c" /* yacc.c:1652  */
    break;

  case 370:
#line 2764 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 29416 "gram.c" /* yacc.c:1652  */
    break;

  case 371:
#line 2770 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 29424 "gram.c" /* yacc.c:1652  */
    break;

  case 372:
#line 2774 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 29432 "gram.c" /* yacc.c:1652  */
    break;

  case 373:
#line 2778 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC, (yylsp[-4]));
				}
#line 29441 "gram.c" /* yacc.c:1652  */
    break;

  case 374:
#line 2783 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC, (yylsp[-2]));
				}
#line 29449 "gram.c" /* yacc.c:1652  */
    break;

  case 375:
#line 2790 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 29455 "gram.c" /* yacc.c:1652  */
    break;

  case 376:
#line 2792 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29461 "gram.c" /* yacc.c:1652  */
    break;

  case 377:
#line 2797 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 29469 "gram.c" /* yacc.c:1652  */
    break;

  case 378:
#line 2801 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 29477 "gram.c" /* yacc.c:1652  */
    break;

  case 379:
#line 2805 "gram.y" /* yacc.c:1652  */
    {
					if (strcmp((yyvsp[0].defelt)->defname, "as") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "restart") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "owned_by") == 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("sequence option \"%s\" not supported here", (yyvsp[0].defelt)->defname),
								 parser_errposition((yylsp[0]))));
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 29492 "gram.c" /* yacc.c:1652  */
    break;

  case 380:
#line 2816 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("generated", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 29500 "gram.c" /* yacc.c:1652  */
    break;

  case 381:
#line 2824 "gram.y" /* yacc.c:1652  */
    {
					ListCell   *lc;
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_HASH;
					n->modulus = n->remainder = -1;

					foreach (lc, (yyvsp[-1].list))
					{
						DefElem    *opt = lfirst_node(DefElem, lc);

						if (strcmp(opt->defname, "modulus") == 0)
						{
							if (n->modulus != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("modulus for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->modulus = defGetInt32(opt);
						}
						else if (strcmp(opt->defname, "remainder") == 0)
						{
							if (n->remainder != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("remainder for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->remainder = defGetInt32(opt);
						}
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized hash partition bound specification \"%s\"",
											opt->defname),
									 parser_errposition(opt->location)));
					}

					if (n->modulus == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("modulus for hash partition must be specified")));
					if (n->remainder == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("remainder for hash partition must be specified")));

					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 29555 "gram.c" /* yacc.c:1652  */
    break;

  case 382:
#line 2877 "gram.y" /* yacc.c:1652  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_LIST;
					n->is_default = false;
					n->listdatums = (yyvsp[-1].list);
					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 29570 "gram.c" /* yacc.c:1652  */
    break;

  case 383:
#line 2890 "gram.y" /* yacc.c:1652  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_RANGE;
					n->is_default = false;
					n->lowerdatums = (yyvsp[-5].list);
					n->upperdatums = (yyvsp[-1].list);
					n->location = (yylsp[-7]);

					(yyval.partboundspec) = n;
				}
#line 29586 "gram.c" /* yacc.c:1652  */
    break;

  case 384:
#line 2904 "gram.y" /* yacc.c:1652  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->is_default = true;
					n->location = (yylsp[0]);

					(yyval.partboundspec) = n;
				}
#line 29599 "gram.c" /* yacc.c:1652  */
    break;

  case 385:
#line 2916 "gram.y" /* yacc.c:1652  */
    {
				(yyval.defelt) = makeDefElem((yyvsp[-1].str), (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-1]));
			}
#line 29607 "gram.c" /* yacc.c:1652  */
    break;

  case 386:
#line 2923 "gram.y" /* yacc.c:1652  */
    {
				(yyval.list) = list_make1((yyvsp[0].defelt));
			}
#line 29615 "gram.c" /* yacc.c:1652  */
    break;

  case 387:
#line 2927 "gram.y" /* yacc.c:1652  */
    {
				(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
			}
#line 29623 "gram.c" /* yacc.c:1652  */
    break;

  case 388:
#line 2941 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
#line 29637 "gram.c" /* yacc.c:1652  */
    break;

  case 389:
#line 2953 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 29643 "gram.c" /* yacc.c:1652  */
    break;

  case 390:
#line 2954 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 29649 "gram.c" /* yacc.c:1652  */
    break;

  case 391:
#line 2960 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 29661 "gram.c" /* yacc.c:1652  */
    break;

  case 392:
#line 2969 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29674 "gram.c" /* yacc.c:1652  */
    break;

  case 393:
#line 2979 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29687 "gram.c" /* yacc.c:1652  */
    break;

  case 394:
#line 2989 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 29706 "gram.c" /* yacc.c:1652  */
    break;

  case 395:
#line 3015 "gram.y" /* yacc.c:1652  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29716 "gram.c" /* yacc.c:1652  */
    break;

  case 396:
#line 3021 "gram.y" /* yacc.c:1652  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 29726 "gram.c" /* yacc.c:1652  */
    break;

  case 397:
#line 3056 "gram.y" /* yacc.c:1652  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-6].boolean);
					n->is_program = (yyvsp[-5].boolean);
					n->filename = (yyvsp[-4].str);
					n->whereClause = (yyvsp[0].node);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					if (!n->is_from && n->whereClause != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("WHERE clause not allowed with COPY TO"),
								 parser_errposition((yylsp[0]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-3].defelt))
						n->options = lappend(n->options, (yyvsp[-3].defelt));
					if ((yyvsp[-1].list))
						n->options = list_concat(n->options, (yyvsp[-1].list));
					(yyval.node) = (Node *)n;
				}
#line 29763 "gram.c" /* yacc.c:1652  */
    break;

  case 398:
#line 3089 "gram.y" /* yacc.c:1652  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *)n;
				}
#line 29786 "gram.c" /* yacc.c:1652  */
    break;

  case 399:
#line 3110 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 29792 "gram.c" /* yacc.c:1652  */
    break;

  case 400:
#line 3111 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 29798 "gram.c" /* yacc.c:1652  */
    break;

  case 401:
#line 3115 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 29804 "gram.c" /* yacc.c:1652  */
    break;

  case 402:
#line 3116 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 29810 "gram.c" /* yacc.c:1652  */
    break;

  case 403:
#line 3125 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29816 "gram.c" /* yacc.c:1652  */
    break;

  case 404:
#line 3126 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 29822 "gram.c" /* yacc.c:1652  */
    break;

  case 405:
#line 3127 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 29828 "gram.c" /* yacc.c:1652  */
    break;

  case 406:
#line 3130 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29834 "gram.c" /* yacc.c:1652  */
    break;

  case 407:
#line 3131 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29840 "gram.c" /* yacc.c:1652  */
    break;

  case 408:
#line 3136 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29846 "gram.c" /* yacc.c:1652  */
    break;

  case 409:
#line 3137 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 29852 "gram.c" /* yacc.c:1652  */
    break;

  case 410:
#line 3142 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[0]));
				}
#line 29860 "gram.c" /* yacc.c:1652  */
    break;

  case 411:
#line 3146 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 29868 "gram.c" /* yacc.c:1652  */
    break;

  case 412:
#line 3150 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 29876 "gram.c" /* yacc.c:1652  */
    break;

  case 413:
#line 3154 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 29884 "gram.c" /* yacc.c:1652  */
    break;

  case 414:
#line 3158 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"), (yylsp[0]));
				}
#line 29892 "gram.c" /* yacc.c:1652  */
    break;

  case 415:
#line 3162 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 29900 "gram.c" /* yacc.c:1652  */
    break;

  case 416:
#line 3166 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 29908 "gram.c" /* yacc.c:1652  */
    break;

  case 417:
#line 3170 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 29916 "gram.c" /* yacc.c:1652  */
    break;

  case 418:
#line 3174 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 29924 "gram.c" /* yacc.c:1652  */
    break;

  case 419:
#line 3178 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star), (yylsp[-2]));
				}
#line 29932 "gram.c" /* yacc.c:1652  */
    break;

  case 420:
#line 3182 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[0].list), (yylsp[-3]));
				}
#line 29940 "gram.c" /* yacc.c:1652  */
    break;

  case 421:
#line 3186 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 29948 "gram.c" /* yacc.c:1652  */
    break;

  case 422:
#line 3190 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 29956 "gram.c" /* yacc.c:1652  */
    break;

  case 423:
#line 3199 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[0]));
				}
#line 29964 "gram.c" /* yacc.c:1652  */
    break;

  case 424:
#line 3202 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = NULL; }
#line 29970 "gram.c" /* yacc.c:1652  */
    break;

  case 425:
#line 3207 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 29978 "gram.c" /* yacc.c:1652  */
    break;

  case 426:
#line 3210 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = NULL; }
#line 29984 "gram.c" /* yacc.c:1652  */
    break;

  case 429:
#line 3221 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 29992 "gram.c" /* yacc.c:1652  */
    break;

  case 430:
#line 3225 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 30000 "gram.c" /* yacc.c:1652  */
    break;

  case 431:
#line 3232 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 30008 "gram.c" /* yacc.c:1652  */
    break;

  case 432:
#line 3238 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 30014 "gram.c" /* yacc.c:1652  */
    break;

  case 433:
#line 3239 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 30020 "gram.c" /* yacc.c:1652  */
    break;

  case 434:
#line 3240 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 30026 "gram.c" /* yacc.c:1652  */
    break;

  case 435:
#line 3241 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 30032 "gram.c" /* yacc.c:1652  */
    break;

  case 436:
#line 3242 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 30038 "gram.c" /* yacc.c:1652  */
    break;

  case 437:
#line 3247 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 30046 "gram.c" /* yacc.c:1652  */
    break;

  case 438:
#line 3251 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 30054 "gram.c" /* yacc.c:1652  */
    break;

  case 439:
#line 3258 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 30060 "gram.c" /* yacc.c:1652  */
    break;

  case 440:
#line 3272 "gram.y" /* yacc.c:1652  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-9].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 30081 "gram.c" /* yacc.c:1652  */
    break;

  case 441:
#line 3291 "gram.y" /* yacc.c:1652  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-9].range)->relpersistence = (yyvsp[-14].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 30102 "gram.c" /* yacc.c:1652  */
    break;

  case 442:
#line 3310 "gram.y" /* yacc.c:1652  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-8].range)->relpersistence = (yyvsp[-10].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 30124 "gram.c" /* yacc.c:1652  */
    break;

  case 443:
#line 3330 "gram.y" /* yacc.c:1652  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-8].range)->relpersistence = (yyvsp[-13].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 30146 "gram.c" /* yacc.c:1652  */
    break;

  case 444:
#line 3350 "gram.y" /* yacc.c:1652  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-10].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 30168 "gram.c" /* yacc.c:1652  */
    break;

  case 445:
#line 3370 "gram.y" /* yacc.c:1652  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-10].range)->relpersistence = (yyvsp[-15].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 30190 "gram.c" /* yacc.c:1652  */
    break;

  case 446:
#line 3400 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 30196 "gram.c" /* yacc.c:1652  */
    break;

  case 447:
#line 3401 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 30202 "gram.c" /* yacc.c:1652  */
    break;

  case 448:
#line 3402 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 30208 "gram.c" /* yacc.c:1652  */
    break;

  case 449:
#line 3403 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 30214 "gram.c" /* yacc.c:1652  */
    break;

  case 450:
#line 3405 "gram.y" /* yacc.c:1652  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 30225 "gram.c" /* yacc.c:1652  */
    break;

  case 451:
#line 3412 "gram.y" /* yacc.c:1652  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 30236 "gram.c" /* yacc.c:1652  */
    break;

  case 452:
#line 3418 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 30242 "gram.c" /* yacc.c:1652  */
    break;

  case 453:
#line 3419 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 30248 "gram.c" /* yacc.c:1652  */
    break;

  case 454:
#line 3423 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30254 "gram.c" /* yacc.c:1652  */
    break;

  case 455:
#line 3424 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30260 "gram.c" /* yacc.c:1652  */
    break;

  case 456:
#line 3428 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30266 "gram.c" /* yacc.c:1652  */
    break;

  case 457:
#line 3429 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30272 "gram.c" /* yacc.c:1652  */
    break;

  case 458:
#line 3434 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 30280 "gram.c" /* yacc.c:1652  */
    break;

  case 459:
#line 3438 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 30288 "gram.c" /* yacc.c:1652  */
    break;

  case 460:
#line 3445 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 30296 "gram.c" /* yacc.c:1652  */
    break;

  case 461:
#line 3449 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 30304 "gram.c" /* yacc.c:1652  */
    break;

  case 462:
#line 3455 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30310 "gram.c" /* yacc.c:1652  */
    break;

  case 463:
#line 3456 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30316 "gram.c" /* yacc.c:1652  */
    break;

  case 464:
#line 3457 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30322 "gram.c" /* yacc.c:1652  */
    break;

  case 465:
#line 3461 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30328 "gram.c" /* yacc.c:1652  */
    break;

  case 466:
#line 3462 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30334 "gram.c" /* yacc.c:1652  */
    break;

  case 467:
#line 3466 "gram.y" /* yacc.c:1652  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-4].str);
					n->typeName = (yyvsp[-3].typnam);
					n->compression = (yyvsp[-2].str);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 30358 "gram.c" /* yacc.c:1652  */
    break;

  case 468:
#line 3488 "gram.y" /* yacc.c:1652  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-1].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 30380 "gram.c" /* yacc.c:1652  */
    break;

  case 469:
#line 3506 "gram.y" /* yacc.c:1652  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 30402 "gram.c" /* yacc.c:1652  */
    break;

  case 470:
#line 3527 "gram.y" /* yacc.c:1652  */
    {
						(yyval.str) = (yyvsp[0].str);
					}
#line 30410 "gram.c" /* yacc.c:1652  */
    break;

  case 471:
#line 3530 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 30416 "gram.c" /* yacc.c:1652  */
    break;

  case 472:
#line 3534 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 30422 "gram.c" /* yacc.c:1652  */
    break;

  case 473:
#line 3535 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30428 "gram.c" /* yacc.c:1652  */
    break;

  case 474:
#line 3540 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 30439 "gram.c" /* yacc.c:1652  */
    break;

  case 475:
#line 3546 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30445 "gram.c" /* yacc.c:1652  */
    break;

  case 476:
#line 3547 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30451 "gram.c" /* yacc.c:1652  */
    break;

  case 477:
#line 3549 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 30468 "gram.c" /* yacc.c:1652  */
    break;

  case 478:
#line 3580 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 30479 "gram.c" /* yacc.c:1652  */
    break;

  case 479:
#line 3587 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 30490 "gram.c" /* yacc.c:1652  */
    break;

  case 480:
#line 3594 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30505 "gram.c" /* yacc.c:1652  */
    break;

  case 481:
#line 3605 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30520 "gram.c" /* yacc.c:1652  */
    break;

  case 482:
#line 3616 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *)n;
				}
#line 30536 "gram.c" /* yacc.c:1652  */
    break;

  case 483:
#line 3628 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 30549 "gram.c" /* yacc.c:1652  */
    break;

  case 484:
#line 3637 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_IDENTITY;
					n->generated_when = (yyvsp[-3].ival);
					n->options = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 30562 "gram.c" /* yacc.c:1652  */
    break;

  case 485:
#line 3646 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_GENERATED;
					n->generated_when = (yyvsp[-5].ival);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->location = (yylsp[-6]);

					/*
					 * Can't do this in the grammar because of shift/reduce
					 * conflicts.  (IDENTITY allows both ALWAYS and BY
					 * DEFAULT, but generated columns only allow ALWAYS.)  We
					 * can also give a more useful error message and location.
					 */
					if ((yyvsp[-5].ival) != ATTRIBUTE_IDENTITY_ALWAYS)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("for a generated column, GENERATED ALWAYS must be specified"),
								 parser_errposition((yylsp[-5]))));

					(yyval.node) = (Node *)n;
				}
#line 30589 "gram.c" /* yacc.c:1652  */
    break;

  case 486:
#line 3669 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable			= (yyvsp[-3].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[-2].list);
					n->fk_matchtype		= (yyvsp[-1].ival);
					n->fk_upd_action	= (char) ((yyvsp[0].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[0].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
#line 30608 "gram.c" /* yacc.c:1652  */
    break;

  case 487:
#line 3686 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_ALWAYS; }
#line 30614 "gram.c" /* yacc.c:1652  */
    break;

  case 488:
#line 3687 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_BY_DEFAULT; }
#line 30620 "gram.c" /* yacc.c:1652  */
    break;

  case 489:
#line 3707 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 30631 "gram.c" /* yacc.c:1652  */
    break;

  case 490:
#line 3714 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 30642 "gram.c" /* yacc.c:1652  */
    break;

  case 491:
#line 3721 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 30653 "gram.c" /* yacc.c:1652  */
    break;

  case 492:
#line 3728 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 30664 "gram.c" /* yacc.c:1652  */
    break;

  case 493:
#line 3739 "gram.y" /* yacc.c:1652  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					n->relationOid = InvalidOid;
					(yyval.node) = (Node *)n;
				}
#line 30676 "gram.c" /* yacc.c:1652  */
    break;

  case 494:
#line 3749 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 30682 "gram.c" /* yacc.c:1652  */
    break;

  case 495:
#line 3750 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 30688 "gram.c" /* yacc.c:1652  */
    break;

  case 496:
#line 3751 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 30694 "gram.c" /* yacc.c:1652  */
    break;

  case 497:
#line 3755 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 30700 "gram.c" /* yacc.c:1652  */
    break;

  case 498:
#line 3756 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMPRESSION; }
#line 30706 "gram.c" /* yacc.c:1652  */
    break;

  case 499:
#line 3757 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 30712 "gram.c" /* yacc.c:1652  */
    break;

  case 500:
#line 3758 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 30718 "gram.c" /* yacc.c:1652  */
    break;

  case 501:
#line 3759 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_IDENTITY; }
#line 30724 "gram.c" /* yacc.c:1652  */
    break;

  case 502:
#line 3760 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_GENERATED; }
#line 30730 "gram.c" /* yacc.c:1652  */
    break;

  case 503:
#line 3761 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 30736 "gram.c" /* yacc.c:1652  */
    break;

  case 504:
#line 3762 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STATISTICS; }
#line 30742 "gram.c" /* yacc.c:1652  */
    break;

  case 505:
#line 3763 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 30748 "gram.c" /* yacc.c:1652  */
    break;

  case 506:
#line 3764 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 30754 "gram.c" /* yacc.c:1652  */
    break;

  case 507:
#line 3774 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 30765 "gram.c" /* yacc.c:1652  */
    break;

  case 508:
#line 3780 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30771 "gram.c" /* yacc.c:1652  */
    break;

  case 509:
#line 3785 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 30788 "gram.c" /* yacc.c:1652  */
    break;

  case 510:
#line 3799 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-7]);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 30807 "gram.c" /* yacc.c:1652  */
    break;

  case 511:
#line 3814 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 30826 "gram.c" /* yacc.c:1652  */
    break;

  case 512:
#line 3830 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-8]);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 30845 "gram.c" /* yacc.c:1652  */
    break;

  case 513:
#line 3845 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 30864 "gram.c" /* yacc.c:1652  */
    break;

  case 514:
#line 3862 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-9]);
					n->access_method	= (yyvsp[-8].str);
					n->exclusions		= (yyvsp[-6].list);
					n->including		= (yyvsp[-4].list);
					n->options			= (yyvsp[-3].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[-2].str);
					n->where_clause		= (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 30885 "gram.c" /* yacc.c:1652  */
    break;

  case 515:
#line 3880 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable			= (yyvsp[-4].range);
					n->fk_attrs			= (yyvsp[-7].list);
					n->pk_attrs			= (yyvsp[-3].list);
					n->fk_matchtype		= (yyvsp[-2].ival);
					n->fk_upd_action	= (char) ((yyvsp[-1].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[-1].ival) & 0xFF);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 30907 "gram.c" /* yacc.c:1652  */
    break;

  case 516:
#line 3899 "gram.y" /* yacc.c:1652  */
    {  (yyval.boolean) = true; }
#line 30913 "gram.c" /* yacc.c:1652  */
    break;

  case 517:
#line 3900 "gram.y" /* yacc.c:1652  */
    {  (yyval.boolean) = false; }
#line 30919 "gram.c" /* yacc.c:1652  */
    break;

  case 518:
#line 3904 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30925 "gram.c" /* yacc.c:1652  */
    break;

  case 519:
#line 3905 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30931 "gram.c" /* yacc.c:1652  */
    break;

  case 520:
#line 3909 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30937 "gram.c" /* yacc.c:1652  */
    break;

  case 521:
#line 3910 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 30943 "gram.c" /* yacc.c:1652  */
    break;

  case 522:
#line 3914 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 30951 "gram.c" /* yacc.c:1652  */
    break;

  case 523:
#line 3919 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30957 "gram.c" /* yacc.c:1652  */
    break;

  case 524:
#line 3920 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30963 "gram.c" /* yacc.c:1652  */
    break;

  case 525:
#line 3924 "gram.y" /* yacc.c:1652  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 30971 "gram.c" /* yacc.c:1652  */
    break;

  case 526:
#line 3928 "gram.y" /* yacc.c:1652  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 30983 "gram.c" /* yacc.c:1652  */
    break;

  case 527:
#line 3936 "gram.y" /* yacc.c:1652  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 30991 "gram.c" /* yacc.c:1652  */
    break;

  case 528:
#line 3940 "gram.y" /* yacc.c:1652  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 30999 "gram.c" /* yacc.c:1652  */
    break;

  case 529:
#line 3946 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 31005 "gram.c" /* yacc.c:1652  */
    break;

  case 530:
#line 3948 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 31011 "gram.c" /* yacc.c:1652  */
    break;

  case 531:
#line 3952 "gram.y" /* yacc.c:1652  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 31019 "gram.c" /* yacc.c:1652  */
    break;

  case 532:
#line 3957 "gram.y" /* yacc.c:1652  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 31027 "gram.c" /* yacc.c:1652  */
    break;

  case 533:
#line 3963 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 31033 "gram.c" /* yacc.c:1652  */
    break;

  case 534:
#line 3964 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 31039 "gram.c" /* yacc.c:1652  */
    break;

  case 535:
#line 3975 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 31045 "gram.c" /* yacc.c:1652  */
    break;

  case 536:
#line 3977 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 31051 "gram.c" /* yacc.c:1652  */
    break;

  case 537:
#line 3979 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ((yyvsp[-1].ival) << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 31057 "gram.c" /* yacc.c:1652  */
    break;

  case 538:
#line 3981 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | ((yyvsp[-1].ival) & 0xFF); }
#line 31063 "gram.c" /* yacc.c:1652  */
    break;

  case 539:
#line 3983 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 31069 "gram.c" /* yacc.c:1652  */
    break;

  case 540:
#line 3986 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 31075 "gram.c" /* yacc.c:1652  */
    break;

  case 541:
#line 3989 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 31081 "gram.c" /* yacc.c:1652  */
    break;

  case 542:
#line 3993 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
#line 31087 "gram.c" /* yacc.c:1652  */
    break;

  case 543:
#line 3994 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
#line 31093 "gram.c" /* yacc.c:1652  */
    break;

  case 544:
#line 3995 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
#line 31099 "gram.c" /* yacc.c:1652  */
    break;

  case 545:
#line 3996 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
#line 31105 "gram.c" /* yacc.c:1652  */
    break;

  case 546:
#line 3997 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
#line 31111 "gram.c" /* yacc.c:1652  */
    break;

  case 547:
#line 4000 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31117 "gram.c" /* yacc.c:1652  */
    break;

  case 548:
#line 4001 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 31123 "gram.c" /* yacc.c:1652  */
    break;

  case 549:
#line 4005 "gram.y" /* yacc.c:1652  */
    { (yyval.partspec) = (yyvsp[0].partspec); }
#line 31129 "gram.c" /* yacc.c:1652  */
    break;

  case 550:
#line 4006 "gram.y" /* yacc.c:1652  */
    { (yyval.partspec) = NULL; }
#line 31135 "gram.c" /* yacc.c:1652  */
    break;

  case 551:
#line 4010 "gram.y" /* yacc.c:1652  */
    {
					PartitionSpec *n = makeNode(PartitionSpec);

					n->strategy = (yyvsp[-3].str);
					n->partParams = (yyvsp[-1].list);
					n->location = (yylsp[-5]);

					(yyval.partspec) = n;
				}
#line 31149 "gram.c" /* yacc.c:1652  */
    break;

  case 552:
#line 4021 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].partelem)); }
#line 31155 "gram.c" /* yacc.c:1652  */
    break;

  case 553:
#line 4022 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].partelem)); }
#line 31161 "gram.c" /* yacc.c:1652  */
    break;

  case 554:
#line 4026 "gram.y" /* yacc.c:1652  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = (yyvsp[-2].str);
					n->expr = NULL;
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 31176 "gram.c" /* yacc.c:1652  */
    break;

  case 555:
#line 4037 "gram.y" /* yacc.c:1652  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-2].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 31191 "gram.c" /* yacc.c:1652  */
    break;

  case 556:
#line 4048 "gram.y" /* yacc.c:1652  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-3].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.partelem) = n;
				}
#line 31206 "gram.c" /* yacc.c:1652  */
    break;

  case 557:
#line 4061 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31212 "gram.c" /* yacc.c:1652  */
    break;

  case 558:
#line 4062 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 31218 "gram.c" /* yacc.c:1652  */
    break;

  case 559:
#line 4067 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31224 "gram.c" /* yacc.c:1652  */
    break;

  case 560:
#line 4068 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 31230 "gram.c" /* yacc.c:1652  */
    break;

  case 561:
#line 4069 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 31236 "gram.c" /* yacc.c:1652  */
    break;

  case 562:
#line 4072 "gram.y" /* yacc.c:1652  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 31242 "gram.c" /* yacc.c:1652  */
    break;

  case 563:
#line 4073 "gram.y" /* yacc.c:1652  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 31248 "gram.c" /* yacc.c:1652  */
    break;

  case 564:
#line 4074 "gram.y" /* yacc.c:1652  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 31254 "gram.c" /* yacc.c:1652  */
    break;

  case 565:
#line 4075 "gram.y" /* yacc.c:1652  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 31260 "gram.c" /* yacc.c:1652  */
    break;

  case 566:
#line 4078 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31266 "gram.c" /* yacc.c:1652  */
    break;

  case 567:
#line 4079 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 31272 "gram.c" /* yacc.c:1652  */
    break;

  case 568:
#line 4082 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31278 "gram.c" /* yacc.c:1652  */
    break;

  case 569:
#line 4083 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 31284 "gram.c" /* yacc.c:1652  */
    break;

  case 570:
#line 4086 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31290 "gram.c" /* yacc.c:1652  */
    break;

  case 571:
#line 4106 "gram.y" /* yacc.c:1652  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 31305 "gram.c" /* yacc.c:1652  */
    break;

  case 572:
#line 4118 "gram.y" /* yacc.c:1652  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 31320 "gram.c" /* yacc.c:1652  */
    break;

  case 573:
#line 4137 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].selem)); }
#line 31326 "gram.c" /* yacc.c:1652  */
    break;

  case 574:
#line 4138 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].selem)); }
#line 31332 "gram.c" /* yacc.c:1652  */
    break;

  case 575:
#line 4142 "gram.y" /* yacc.c:1652  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = (yyvsp[0].str);
					(yyval.selem)->expr = NULL;
				}
#line 31342 "gram.c" /* yacc.c:1652  */
    break;

  case 576:
#line 4148 "gram.y" /* yacc.c:1652  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = NULL;
					(yyval.selem)->expr = (yyvsp[0].node);
				}
#line 31352 "gram.c" /* yacc.c:1652  */
    break;

  case 577:
#line 4154 "gram.y" /* yacc.c:1652  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = NULL;
					(yyval.selem)->expr = (yyvsp[-1].node);
				}
#line 31362 "gram.c" /* yacc.c:1652  */
    break;

  case 578:
#line 4171 "gram.y" /* yacc.c:1652  */
    {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);
					n->defnames = (yyvsp[-3].list);
					n->missing_ok = false;
					n->stxstattarget = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 31374 "gram.c" /* yacc.c:1652  */
    break;

  case 579:
#line 4179 "gram.y" /* yacc.c:1652  */
    {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);
					n->defnames = (yyvsp[-3].list);
					n->missing_ok = true;
					n->stxstattarget = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 31386 "gram.c" /* yacc.c:1652  */
    break;

  case 580:
#line 4200 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 31403 "gram.c" /* yacc.c:1652  */
    break;

  case 581:
#line 4213 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 31420 "gram.c" /* yacc.c:1652  */
    break;

  case 582:
#line 4230 "gram.y" /* yacc.c:1652  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-5].range);
					(yyval.into)->colNames = (yyvsp[-4].list);
					(yyval.into)->accessMethod = (yyvsp[-3].str);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 31436 "gram.c" /* yacc.c:1652  */
    break;

  case 583:
#line 4244 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 31442 "gram.c" /* yacc.c:1652  */
    break;

  case 584:
#line 4245 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 31448 "gram.c" /* yacc.c:1652  */
    break;

  case 585:
#line 4246 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 31454 "gram.c" /* yacc.c:1652  */
    break;

  case 586:
#line 4259 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 31471 "gram.c" /* yacc.c:1652  */
    break;

  case 587:
#line 4272 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 31488 "gram.c" /* yacc.c:1652  */
    break;

  case 588:
#line 4288 "gram.y" /* yacc.c:1652  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->accessMethod = (yyvsp[-2].str);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 31504 "gram.c" /* yacc.c:1652  */
    break;

  case 589:
#line 4301 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 31510 "gram.c" /* yacc.c:1652  */
    break;

  case 590:
#line 4302 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 31516 "gram.c" /* yacc.c:1652  */
    break;

  case 591:
#line 4315 "gram.y" /* yacc.c:1652  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 31528 "gram.c" /* yacc.c:1652  */
    break;

  case 592:
#line 4335 "gram.y" /* yacc.c:1652  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 31542 "gram.c" /* yacc.c:1652  */
    break;

  case 593:
#line 4345 "gram.y" /* yacc.c:1652  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 31556 "gram.c" /* yacc.c:1652  */
    break;

  case 594:
#line 4358 "gram.y" /* yacc.c:1652  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 31568 "gram.c" /* yacc.c:1652  */
    break;

  case 595:
#line 4366 "gram.y" /* yacc.c:1652  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 31580 "gram.c" /* yacc.c:1652  */
    break;

  case 596:
#line 4376 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31586 "gram.c" /* yacc.c:1652  */
    break;

  case 597:
#line 4377 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 31592 "gram.c" /* yacc.c:1652  */
    break;

  case 598:
#line 4380 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31598 "gram.c" /* yacc.c:1652  */
    break;

  case 599:
#line 4381 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 31604 "gram.c" /* yacc.c:1652  */
    break;

  case 600:
#line 4384 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 31610 "gram.c" /* yacc.c:1652  */
    break;

  case 601:
#line 4385 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31616 "gram.c" /* yacc.c:1652  */
    break;

  case 602:
#line 4389 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].typnam), (yylsp[-1]));
				}
#line 31624 "gram.c" /* yacc.c:1652  */
    break;

  case 603:
#line 4393 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 31632 "gram.c" /* yacc.c:1652  */
    break;

  case 604:
#line 4397 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 31640 "gram.c" /* yacc.c:1652  */
    break;

  case 605:
#line 4401 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(false), (yylsp[-1]));
				}
#line 31648 "gram.c" /* yacc.c:1652  */
    break;

  case 606:
#line 4405 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 31656 "gram.c" /* yacc.c:1652  */
    break;

  case 607:
#line 4409 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 31664 "gram.c" /* yacc.c:1652  */
    break;

  case 608:
#line 4413 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 31672 "gram.c" /* yacc.c:1652  */
    break;

  case 609:
#line 4417 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL, (yylsp[-1]));
				}
#line 31680 "gram.c" /* yacc.c:1652  */
    break;

  case 610:
#line 4421 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL, (yylsp[-1]));
				}
#line 31688 "gram.c" /* yacc.c:1652  */
    break;

  case 611:
#line 4425 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 31696 "gram.c" /* yacc.c:1652  */
    break;

  case 612:
#line 4429 "gram.y" /* yacc.c:1652  */
    {
					/* not documented, only used by pg_dump */
					(yyval.defelt) = makeDefElem("sequence_name", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 31705 "gram.c" /* yacc.c:1652  */
    break;

  case 613:
#line 4434 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 31713 "gram.c" /* yacc.c:1652  */
    break;

  case 614:
#line 4438 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 31721 "gram.c" /* yacc.c:1652  */
    break;

  case 615:
#line 4442 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 31729 "gram.c" /* yacc.c:1652  */
    break;

  case 618:
#line 4452 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 31735 "gram.c" /* yacc.c:1652  */
    break;

  case 619:
#line 4453 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 31741 "gram.c" /* yacc.c:1652  */
    break;

  case 620:
#line 4455 "gram.y" /* yacc.c:1652  */
    {
					(yyval.value) = makeFloat((yyvsp[0].str));
					doNegateFloat((yyval.value));
				}
#line 31750 "gram.c" /* yacc.c:1652  */
    break;

  case 621:
#line 4459 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeInteger((yyvsp[0].ival)); }
#line 31756 "gram.c" /* yacc.c:1652  */
    break;

  case 622:
#line 4462 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 31762 "gram.c" /* yacc.c:1652  */
    break;

  case 623:
#line 4463 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 31768 "gram.c" /* yacc.c:1652  */
    break;

  case 624:
#line 4476 "gram.y" /* yacc.c:1652  */
    {
				/*
				 * We now interpret parameterless CREATE LANGUAGE as
				 * CREATE EXTENSION.  "OR REPLACE" is silently translated
				 * to "IF NOT EXISTS", which isn't quite the same, but
				 * seems more useful than throwing an error.  We just
				 * ignore TRUSTED, as the previous code would have too.
				 */
				CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
				n->if_not_exists = (yyvsp[-4].boolean);
				n->extname = (yyvsp[0].str);
				n->options = NIL;
				(yyval.node) = (Node *)n;
			}
#line 31787 "gram.c" /* yacc.c:1652  */
    break;

  case 625:
#line 4492 "gram.y" /* yacc.c:1652  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *)n;
			}
#line 31802 "gram.c" /* yacc.c:1652  */
    break;

  case 626:
#line 4505 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 31808 "gram.c" /* yacc.c:1652  */
    break;

  case 627:
#line 4506 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 31814 "gram.c" /* yacc.c:1652  */
    break;

  case 628:
#line 4514 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 31820 "gram.c" /* yacc.c:1652  */
    break;

  case 629:
#line 4515 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 31826 "gram.c" /* yacc.c:1652  */
    break;

  case 630:
#line 4519 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31832 "gram.c" /* yacc.c:1652  */
    break;

  case 631:
#line 4520 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 31838 "gram.c" /* yacc.c:1652  */
    break;

  case 632:
#line 4524 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31844 "gram.c" /* yacc.c:1652  */
    break;

  case 633:
#line 4525 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 31850 "gram.c" /* yacc.c:1652  */
    break;

  case 634:
#line 4529 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31856 "gram.c" /* yacc.c:1652  */
    break;

  case 635:
#line 4530 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 31862 "gram.c" /* yacc.c:1652  */
    break;

  case 638:
#line 4546 "gram.y" /* yacc.c:1652  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].rolespec);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31875 "gram.c" /* yacc.c:1652  */
    break;

  case 639:
#line 4556 "gram.y" /* yacc.c:1652  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 31881 "gram.c" /* yacc.c:1652  */
    break;

  case 640:
#line 4557 "gram.y" /* yacc.c:1652  */
    { (yyval.rolespec) = NULL; }
#line 31887 "gram.c" /* yacc.c:1652  */
    break;

  case 641:
#line 4571 "gram.y" /* yacc.c:1652  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31898 "gram.c" /* yacc.c:1652  */
    break;

  case 642:
#line 4578 "gram.y" /* yacc.c:1652  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31909 "gram.c" /* yacc.c:1652  */
    break;

  case 643:
#line 4595 "gram.y" /* yacc.c:1652  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31921 "gram.c" /* yacc.c:1652  */
    break;

  case 644:
#line 4603 "gram.y" /* yacc.c:1652  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31933 "gram.c" /* yacc.c:1652  */
    break;

  case 645:
#line 4614 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31939 "gram.c" /* yacc.c:1652  */
    break;

  case 646:
#line 4616 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 31945 "gram.c" /* yacc.c:1652  */
    break;

  case 647:
#line 4621 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 31953 "gram.c" /* yacc.c:1652  */
    break;

  case 648:
#line 4625 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 31961 "gram.c" /* yacc.c:1652  */
    break;

  case 649:
#line 4629 "gram.y" /* yacc.c:1652  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE EXTENSION ... FROM is no longer supported"),
							 parser_errposition((yylsp[-1]))));
				}
#line 31972 "gram.c" /* yacc.c:1652  */
    break;

  case 650:
#line 4636 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("cascade", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 31980 "gram.c" /* yacc.c:1652  */
    break;

  case 651:
#line 4648 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31991 "gram.c" /* yacc.c:1652  */
    break;

  case 652:
#line 4658 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31997 "gram.c" /* yacc.c:1652  */
    break;

  case 653:
#line 4660 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 32003 "gram.c" /* yacc.c:1652  */
    break;

  case 654:
#line 4665 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 32011 "gram.c" /* yacc.c:1652  */
    break;

  case 655:
#line 4678 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 32024 "gram.c" /* yacc.c:1652  */
    break;

  case 656:
#line 4687 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32037 "gram.c" /* yacc.c:1652  */
    break;

  case 657:
#line 4696 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 32050 "gram.c" /* yacc.c:1652  */
    break;

  case 658:
#line 4705 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 32063 "gram.c" /* yacc.c:1652  */
    break;

  case 659:
#line 4714 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *)n;
				}
#line 32076 "gram.c" /* yacc.c:1652  */
    break;

  case 660:
#line 4723 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 32089 "gram.c" /* yacc.c:1652  */
    break;

  case 661:
#line 4732 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 32102 "gram.c" /* yacc.c:1652  */
    break;

  case 662:
#line 4741 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 32115 "gram.c" /* yacc.c:1652  */
    break;

  case 663:
#line 4750 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 32128 "gram.c" /* yacc.c:1652  */
    break;

  case 664:
#line 4759 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 32141 "gram.c" /* yacc.c:1652  */
    break;

  case 665:
#line 4768 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 32154 "gram.c" /* yacc.c:1652  */
    break;

  case 666:
#line 4777 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-2].typnam), makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 32167 "gram.c" /* yacc.c:1652  */
    break;

  case 667:
#line 4786 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *)n;
				}
#line 32180 "gram.c" /* yacc.c:1652  */
    break;

  case 668:
#line 4804 "gram.y" /* yacc.c:1652  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32192 "gram.c" /* yacc.c:1652  */
    break;

  case 669:
#line 4814 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[0].list), (yylsp[-1])); }
#line 32198 "gram.c" /* yacc.c:1652  */
    break;

  case 670:
#line 4815 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("handler", NULL, (yylsp[-1])); }
#line 32204 "gram.c" /* yacc.c:1652  */
    break;

  case 671:
#line 4816 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[0].list), (yylsp[-1])); }
#line 32210 "gram.c" /* yacc.c:1652  */
    break;

  case 672:
#line 4817 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("validator", NULL, (yylsp[-1])); }
#line 32216 "gram.c" /* yacc.c:1652  */
    break;

  case 673:
#line 4821 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32222 "gram.c" /* yacc.c:1652  */
    break;

  case 674:
#line 4822 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 32228 "gram.c" /* yacc.c:1652  */
    break;

  case 675:
#line 4826 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32234 "gram.c" /* yacc.c:1652  */
    break;

  case 676:
#line 4827 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 32240 "gram.c" /* yacc.c:1652  */
    break;

  case 677:
#line 4838 "gram.y" /* yacc.c:1652  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32252 "gram.c" /* yacc.c:1652  */
    break;

  case 678:
#line 4846 "gram.y" /* yacc.c:1652  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 32264 "gram.c" /* yacc.c:1652  */
    break;

  case 679:
#line 4857 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32270 "gram.c" /* yacc.c:1652  */
    break;

  case 680:
#line 4858 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 32276 "gram.c" /* yacc.c:1652  */
    break;

  case 681:
#line 4863 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 32284 "gram.c" /* yacc.c:1652  */
    break;

  case 682:
#line 4867 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 32292 "gram.c" /* yacc.c:1652  */
    break;

  case 683:
#line 4874 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32298 "gram.c" /* yacc.c:1652  */
    break;

  case 684:
#line 4879 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 32306 "gram.c" /* yacc.c:1652  */
    break;

  case 685:
#line 4883 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 32314 "gram.c" /* yacc.c:1652  */
    break;

  case 686:
#line 4890 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 32322 "gram.c" /* yacc.c:1652  */
    break;

  case 687:
#line 4894 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 32331 "gram.c" /* yacc.c:1652  */
    break;

  case 688:
#line 4899 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 32340 "gram.c" /* yacc.c:1652  */
    break;

  case 689:
#line 4904 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP, (yylsp[0]));
				}
#line 32348 "gram.c" /* yacc.c:1652  */
    break;

  case 690:
#line 4911 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 32356 "gram.c" /* yacc.c:1652  */
    break;

  case 691:
#line 4917 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32362 "gram.c" /* yacc.c:1652  */
    break;

  case 692:
#line 4922 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 32368 "gram.c" /* yacc.c:1652  */
    break;

  case 693:
#line 4934 "gram.y" /* yacc.c:1652  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 32383 "gram.c" /* yacc.c:1652  */
    break;

  case 694:
#line 4946 "gram.y" /* yacc.c:1652  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 32398 "gram.c" /* yacc.c:1652  */
    break;

  case 695:
#line 4959 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32404 "gram.c" /* yacc.c:1652  */
    break;

  case 696:
#line 4960 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 32410 "gram.c" /* yacc.c:1652  */
    break;

  case 697:
#line 4965 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32416 "gram.c" /* yacc.c:1652  */
    break;

  case 698:
#line 4966 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 32422 "gram.c" /* yacc.c:1652  */
    break;

  case 699:
#line 4970 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32428 "gram.c" /* yacc.c:1652  */
    break;

  case 700:
#line 4971 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 32434 "gram.c" /* yacc.c:1652  */
    break;

  case 701:
#line 4982 "gram.y" /* yacc.c:1652  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 32447 "gram.c" /* yacc.c:1652  */
    break;

  case 702:
#line 4991 "gram.y" /* yacc.c:1652  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 32459 "gram.c" /* yacc.c:1652  */
    break;

  case 703:
#line 4999 "gram.y" /* yacc.c:1652  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32470 "gram.c" /* yacc.c:1652  */
    break;

  case 704:
#line 5018 "gram.y" /* yacc.c:1652  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32492 "gram.c" /* yacc.c:1652  */
    break;

  case 705:
#line 5038 "gram.y" /* yacc.c:1652  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32514 "gram.c" /* yacc.c:1652  */
    break;

  case 706:
#line 5058 "gram.y" /* yacc.c:1652  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32537 "gram.c" /* yacc.c:1652  */
    break;

  case 707:
#line 5079 "gram.y" /* yacc.c:1652  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32560 "gram.c" /* yacc.c:1652  */
    break;

  case 708:
#line 5111 "gram.y" /* yacc.c:1652  */
    {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);
				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 32575 "gram.c" /* yacc.c:1652  */
    break;

  case 709:
#line 5124 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 32581 "gram.c" /* yacc.c:1652  */
    break;

  case 710:
#line 5125 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 32587 "gram.c" /* yacc.c:1652  */
    break;

  case 711:
#line 5130 "gram.y" /* yacc.c:1652  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 32598 "gram.c" /* yacc.c:1652  */
    break;

  case 712:
#line 5137 "gram.y" /* yacc.c:1652  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 32609 "gram.c" /* yacc.c:1652  */
    break;

  case 713:
#line 5153 "gram.y" /* yacc.c:1652  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 32622 "gram.c" /* yacc.c:1652  */
    break;

  case 714:
#line 5162 "gram.y" /* yacc.c:1652  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 32635 "gram.c" /* yacc.c:1652  */
    break;

  case 715:
#line 5173 "gram.y" /* yacc.c:1652  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 32641 "gram.c" /* yacc.c:1652  */
    break;

  case 716:
#line 5174 "gram.y" /* yacc.c:1652  */
    { (yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 32647 "gram.c" /* yacc.c:1652  */
    break;

  case 717:
#line 5187 "gram.y" /* yacc.c:1652  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 32659 "gram.c" /* yacc.c:1652  */
    break;

  case 718:
#line 5195 "gram.y" /* yacc.c:1652  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32671 "gram.c" /* yacc.c:1652  */
    break;

  case 719:
#line 5212 "gram.y" /* yacc.c:1652  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32683 "gram.c" /* yacc.c:1652  */
    break;

  case 720:
#line 5238 "gram.y" /* yacc.c:1652  */
    {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);
					n->policy_name = (yyvsp[-7].str);
					n->table = (yyvsp[-5].range);
					n->permissive = (yyvsp[-4].boolean);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 32699 "gram.c" /* yacc.c:1652  */
    break;

  case 721:
#line 5254 "gram.y" /* yacc.c:1652  */
    {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);
					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 32713 "gram.c" /* yacc.c:1652  */
    break;

  case 722:
#line 5266 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 32719 "gram.c" /* yacc.c:1652  */
    break;

  case 723:
#line 5267 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 32725 "gram.c" /* yacc.c:1652  */
    break;

  case 724:
#line 5271 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 32731 "gram.c" /* yacc.c:1652  */
    break;

  case 725:
#line 5272 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 32737 "gram.c" /* yacc.c:1652  */
    break;

  case 726:
#line 5276 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32743 "gram.c" /* yacc.c:1652  */
    break;

  case 727:
#line 5277 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 32749 "gram.c" /* yacc.c:1652  */
    break;

  case 728:
#line 5281 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32755 "gram.c" /* yacc.c:1652  */
    break;

  case 729:
#line 5282 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NULL; }
#line 32761 "gram.c" /* yacc.c:1652  */
    break;

  case 730:
#line 5287 "gram.y" /* yacc.c:1652  */
    {
					if (strcmp((yyvsp[0].str), "permissive") == 0)
						(yyval.boolean) = true;
					else if (strcmp((yyvsp[0].str), "restrictive") == 0)
						(yyval.boolean) = false;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("unrecognized row security option \"%s\"", (yyvsp[0].str)),
								 errhint("Only PERMISSIVE or RESTRICTIVE policies are supported currently."),
									 parser_errposition((yylsp[0]))));

				}
#line 32779 "gram.c" /* yacc.c:1652  */
    break;

  case 731:
#line 5300 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 32785 "gram.c" /* yacc.c:1652  */
    break;

  case 732:
#line 5304 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32791 "gram.c" /* yacc.c:1652  */
    break;

  case 733:
#line 5305 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "all"; }
#line 32797 "gram.c" /* yacc.c:1652  */
    break;

  case 734:
#line 5309 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "all"; }
#line 32803 "gram.c" /* yacc.c:1652  */
    break;

  case 735:
#line 5310 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "select"; }
#line 32809 "gram.c" /* yacc.c:1652  */
    break;

  case 736:
#line 5311 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "insert"; }
#line 32815 "gram.c" /* yacc.c:1652  */
    break;

  case 737:
#line 5312 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "update"; }
#line 32821 "gram.c" /* yacc.c:1652  */
    break;

  case 738:
#line 5313 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "delete"; }
#line 32827 "gram.c" /* yacc.c:1652  */
    break;

  case 739:
#line 5324 "gram.y" /* yacc.c:1652  */
    {
					CreateAmStmt *n = makeNode(CreateAmStmt);
					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = (yyvsp[-2].chr);
					(yyval.node) = (Node *) n;
				}
#line 32839 "gram.c" /* yacc.c:1652  */
    break;

  case 740:
#line 5334 "gram.y" /* yacc.c:1652  */
    { (yyval.chr) = AMTYPE_INDEX; }
#line 32845 "gram.c" /* yacc.c:1652  */
    break;

  case 741:
#line 5335 "gram.y" /* yacc.c:1652  */
    { (yyval.chr) = AMTYPE_TABLE; }
#line 32851 "gram.c" /* yacc.c:1652  */
    break;

  case 742:
#line 5349 "gram.y" /* yacc.c:1652  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->replace = (yyvsp[-15].boolean);
					n->isconstraint = false;
					n->trigname = (yyvsp[-13].str);
					n->relation = (yyvsp[-9].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-12].ival);
					n->events = intVal(linitial((yyvsp[-11].list)));
					n->columns = (List *) lsecond((yyvsp[-11].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = (yyvsp[-8].list);
					n->deferrable = false;
					n->initdeferred = false;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
#line 32875 "gram.c" /* yacc.c:1652  */
    break;

  case 743:
#line 5372 "gram.y" /* yacc.c:1652  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->replace = (yyvsp[-19].boolean);
					if (n->replace) /* not supported, see CreateTrigger */
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE OR REPLACE CONSTRAINT TRIGGER is not supported")));
					n->isconstraint = true;
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = true;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = NIL;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *)n;
				}
#line 32904 "gram.c" /* yacc.c:1652  */
    break;

  case 744:
#line 5399 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 32910 "gram.c" /* yacc.c:1652  */
    break;

  case 745:
#line 5400 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 32916 "gram.c" /* yacc.c:1652  */
    break;

  case 746:
#line 5401 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 32922 "gram.c" /* yacc.c:1652  */
    break;

  case 747:
#line 5406 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32928 "gram.c" /* yacc.c:1652  */
    break;

  case 748:
#line 5408 "gram.y" /* yacc.c:1652  */
    {
					int		events1 = intVal(linitial((yyvsp[-2].list)));
					int		events2 = intVal(linitial((yyvsp[0].list)));
					List   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 32951 "gram.c" /* yacc.c:1652  */
    break;

  case 749:
#line 5430 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 32957 "gram.c" /* yacc.c:1652  */
    break;

  case 750:
#line 5432 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 32963 "gram.c" /* yacc.c:1652  */
    break;

  case 751:
#line 5434 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 32969 "gram.c" /* yacc.c:1652  */
    break;

  case 752:
#line 5436 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 32975 "gram.c" /* yacc.c:1652  */
    break;

  case 753:
#line 5438 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 32981 "gram.c" /* yacc.c:1652  */
    break;

  case 754:
#line 5442 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32987 "gram.c" /* yacc.c:1652  */
    break;

  case 755:
#line 5443 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 32993 "gram.c" /* yacc.c:1652  */
    break;

  case 756:
#line 5447 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32999 "gram.c" /* yacc.c:1652  */
    break;

  case 757:
#line 5448 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 33005 "gram.c" /* yacc.c:1652  */
    break;

  case 758:
#line 5453 "gram.y" /* yacc.c:1652  */
    {
					TriggerTransition *n = makeNode(TriggerTransition);
					n->name = (yyvsp[0].str);
					n->isNew = (yyvsp[-3].boolean);
					n->isTable = (yyvsp[-2].boolean);
					(yyval.node) = (Node *)n;
				}
#line 33017 "gram.c" /* yacc.c:1652  */
    break;

  case 759:
#line 5463 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 33023 "gram.c" /* yacc.c:1652  */
    break;

  case 760:
#line 5464 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 33029 "gram.c" /* yacc.c:1652  */
    break;

  case 761:
#line 5468 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 33035 "gram.c" /* yacc.c:1652  */
    break;

  case 762:
#line 5477 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 33041 "gram.c" /* yacc.c:1652  */
    break;

  case 763:
#line 5481 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33047 "gram.c" /* yacc.c:1652  */
    break;

  case 764:
#line 5486 "gram.y" /* yacc.c:1652  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 33055 "gram.c" /* yacc.c:1652  */
    break;

  case 765:
#line 5490 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = false;
				}
#line 33067 "gram.c" /* yacc.c:1652  */
    break;

  case 768:
#line 5505 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 33073 "gram.c" /* yacc.c:1652  */
    break;

  case 769:
#line 5506 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 33079 "gram.c" /* yacc.c:1652  */
    break;

  case 770:
#line 5510 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 33085 "gram.c" /* yacc.c:1652  */
    break;

  case 771:
#line 5511 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 33091 "gram.c" /* yacc.c:1652  */
    break;

  case 774:
#line 5520 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 33097 "gram.c" /* yacc.c:1652  */
    break;

  case 775:
#line 5521 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 33103 "gram.c" /* yacc.c:1652  */
    break;

  case 776:
#line 5522 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 33109 "gram.c" /* yacc.c:1652  */
    break;

  case 777:
#line 5527 "gram.y" /* yacc.c:1652  */
    {
					(yyval.value) = makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 33117 "gram.c" /* yacc.c:1652  */
    break;

  case 778:
#line 5530 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 33123 "gram.c" /* yacc.c:1652  */
    break;

  case 779:
#line 5531 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 33129 "gram.c" /* yacc.c:1652  */
    break;

  case 780:
#line 5532 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 33135 "gram.c" /* yacc.c:1652  */
    break;

  case 781:
#line 5536 "gram.y" /* yacc.c:1652  */
    { (yyval.range) = (yyvsp[0].range); }
#line 33141 "gram.c" /* yacc.c:1652  */
    break;

  case 782:
#line 5537 "gram.y" /* yacc.c:1652  */
    { (yyval.range) = NULL; }
#line 33147 "gram.c" /* yacc.c:1652  */
    break;

  case 783:
#line 5542 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 33153 "gram.c" /* yacc.c:1652  */
    break;

  case 784:
#line 5544 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 33181 "gram.c" /* yacc.c:1652  */
    break;

  case 785:
#line 5570 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 33187 "gram.c" /* yacc.c:1652  */
    break;

  case 786:
#line 5571 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 33193 "gram.c" /* yacc.c:1652  */
    break;

  case 787:
#line 5572 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 33199 "gram.c" /* yacc.c:1652  */
    break;

  case 788:
#line 5573 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 33205 "gram.c" /* yacc.c:1652  */
    break;

  case 789:
#line 5574 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 33211 "gram.c" /* yacc.c:1652  */
    break;

  case 790:
#line 5575 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 33217 "gram.c" /* yacc.c:1652  */
    break;

  case 791:
#line 5590 "gram.y" /* yacc.c:1652  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 33230 "gram.c" /* yacc.c:1652  */
    break;

  case 792:
#line 5601 "gram.y" /* yacc.c:1652  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 33243 "gram.c" /* yacc.c:1652  */
    break;

  case 793:
#line 5613 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 33249 "gram.c" /* yacc.c:1652  */
    break;

  case 794:
#line 5615 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 33255 "gram.c" /* yacc.c:1652  */
    break;

  case 795:
#line 5620 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list), (yylsp[-4])); }
#line 33261 "gram.c" /* yacc.c:1652  */
    break;

  case 796:
#line 5625 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 33267 "gram.c" /* yacc.c:1652  */
    break;

  case 797:
#line 5627 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 33273 "gram.c" /* yacc.c:1652  */
    break;

  case 798:
#line 5632 "gram.y" /* yacc.c:1652  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 33284 "gram.c" /* yacc.c:1652  */
    break;

  case 799:
#line 5641 "gram.y" /* yacc.c:1652  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 33290 "gram.c" /* yacc.c:1652  */
    break;

  case 800:
#line 5642 "gram.y" /* yacc.c:1652  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 33296 "gram.c" /* yacc.c:1652  */
    break;

  case 801:
#line 5643 "gram.y" /* yacc.c:1652  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 33302 "gram.c" /* yacc.c:1652  */
    break;

  case 802:
#line 5644 "gram.y" /* yacc.c:1652  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 33308 "gram.c" /* yacc.c:1652  */
    break;

  case 803:
#line 5656 "gram.y" /* yacc.c:1652  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = NULL;
				}
#line 33320 "gram.c" /* yacc.c:1652  */
    break;

  case 804:
#line 5675 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->replace = (yyvsp[-4].boolean);
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33335 "gram.c" /* yacc.c:1652  */
    break;

  case 805:
#line 5686 "gram.y" /* yacc.c:1652  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->replace = (yyvsp[-3].boolean);
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33351 "gram.c" /* yacc.c:1652  */
    break;

  case 806:
#line 5698 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33365 "gram.c" /* yacc.c:1652  */
    break;

  case 807:
#line 5708 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33379 "gram.c" /* yacc.c:1652  */
    break;

  case 808:
#line 5718 "gram.y" /* yacc.c:1652  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
#line 33394 "gram.c" /* yacc.c:1652  */
    break;

  case 809:
#line 5729 "gram.y" /* yacc.c:1652  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 33407 "gram.c" /* yacc.c:1652  */
    break;

  case 810:
#line 5738 "gram.y" /* yacc.c:1652  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 33418 "gram.c" /* yacc.c:1652  */
    break;

  case 811:
#line 5745 "gram.y" /* yacc.c:1652  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[-3].list);
					n->params	= (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33429 "gram.c" /* yacc.c:1652  */
    break;

  case 812:
#line 5752 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33442 "gram.c" /* yacc.c:1652  */
    break;

  case 813:
#line 5761 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33455 "gram.c" /* yacc.c:1652  */
    break;

  case 814:
#line 5770 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33468 "gram.c" /* yacc.c:1652  */
    break;

  case 815:
#line 5779 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33481 "gram.c" /* yacc.c:1652  */
    break;

  case 816:
#line 5788 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33494 "gram.c" /* yacc.c:1652  */
    break;

  case 817:
#line 5797 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 33508 "gram.c" /* yacc.c:1652  */
    break;

  case 818:
#line 5807 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *)n;
				}
#line 33521 "gram.c" /* yacc.c:1652  */
    break;

  case 819:
#line 5816 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 33535 "gram.c" /* yacc.c:1652  */
    break;

  case 820:
#line 5827 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33541 "gram.c" /* yacc.c:1652  */
    break;

  case 821:
#line 5830 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 33547 "gram.c" /* yacc.c:1652  */
    break;

  case 822:
#line 5831 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 33553 "gram.c" /* yacc.c:1652  */
    break;

  case 823:
#line 5835 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 33561 "gram.c" /* yacc.c:1652  */
    break;

  case 824:
#line 5839 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 33569 "gram.c" /* yacc.c:1652  */
    break;

  case 825:
#line 5845 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 33575 "gram.c" /* yacc.c:1652  */
    break;

  case 826:
#line 5846 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 33581 "gram.c" /* yacc.c:1652  */
    break;

  case 827:
#line 5847 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 33587 "gram.c" /* yacc.c:1652  */
    break;

  case 828:
#line 5848 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 33593 "gram.c" /* yacc.c:1652  */
    break;

  case 829:
#line 5849 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 33599 "gram.c" /* yacc.c:1652  */
    break;

  case 830:
#line 5850 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 33605 "gram.c" /* yacc.c:1652  */
    break;

  case 831:
#line 5853 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33611 "gram.c" /* yacc.c:1652  */
    break;

  case 832:
#line 5856 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 33617 "gram.c" /* yacc.c:1652  */
    break;

  case 833:
#line 5857 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 33623 "gram.c" /* yacc.c:1652  */
    break;

  case 834:
#line 5866 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)(yyvsp[0].node), (yylsp[-2]));
				}
#line 33631 "gram.c" /* yacc.c:1652  */
    break;

  case 835:
#line 5872 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33637 "gram.c" /* yacc.c:1652  */
    break;

  case 836:
#line 5873 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 33643 "gram.c" /* yacc.c:1652  */
    break;

  case 837:
#line 5877 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 33649 "gram.c" /* yacc.c:1652  */
    break;

  case 838:
#line 5879 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 33655 "gram.c" /* yacc.c:1652  */
    break;

  case 839:
#line 5890 "gram.y" /* yacc.c:1652  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-4].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 33670 "gram.c" /* yacc.c:1652  */
    break;

  case 840:
#line 5901 "gram.y" /* yacc.c:1652  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 33685 "gram.c" /* yacc.c:1652  */
    break;

  case 841:
#line 5912 "gram.y" /* yacc.c:1652  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 33700 "gram.c" /* yacc.c:1652  */
    break;

  case 842:
#line 5923 "gram.y" /* yacc.c:1652  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-5].list);
				n->oldVal = (yyvsp[-2].str);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = false;
				n->skipIfNewValExists = false;
				(yyval.node) = (Node *) n;
			}
#line 33715 "gram.c" /* yacc.c:1652  */
    break;

  case 843:
#line 5935 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 33721 "gram.c" /* yacc.c:1652  */
    break;

  case 844:
#line 5936 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 33727 "gram.c" /* yacc.c:1652  */
    break;

  case 845:
#line 5954 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 33742 "gram.c" /* yacc.c:1652  */
    break;

  case 846:
#line 5967 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 33748 "gram.c" /* yacc.c:1652  */
    break;

  case 847:
#line 5968 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 33754 "gram.c" /* yacc.c:1652  */
    break;

  case 848:
#line 5973 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					ObjectWithArgs *owa = makeNode(ObjectWithArgs);
					owa->objname = (yyvsp[-2].list);
					owa->objargs = NIL;
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = owa;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 33770 "gram.c" /* yacc.c:1652  */
    break;

  case 849:
#line 5986 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].objwithargs);
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 33783 "gram.c" /* yacc.c:1652  */
    break;

  case 850:
#line 5995 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-1].ival);
					(yyval.node) = (Node *) n;
				}
#line 33795 "gram.c" /* yacc.c:1652  */
    break;

  case 851:
#line 6003 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-4].ival);
					n->class_args = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 33808 "gram.c" /* yacc.c:1652  */
    break;

  case 852:
#line 6012 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 33819 "gram.c" /* yacc.c:1652  */
    break;

  case 853:
#line 6020 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 33825 "gram.c" /* yacc.c:1652  */
    break;

  case 854:
#line 6021 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 33831 "gram.c" /* yacc.c:1652  */
    break;

  case 855:
#line 6024 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33837 "gram.c" /* yacc.c:1652  */
    break;

  case 856:
#line 6025 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 33843 "gram.c" /* yacc.c:1652  */
    break;

  case 857:
#line 6028 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 33849 "gram.c" /* yacc.c:1652  */
    break;

  case 858:
#line 6029 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33855 "gram.c" /* yacc.c:1652  */
    break;

  case 859:
#line 6030 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 33861 "gram.c" /* yacc.c:1652  */
    break;

  case 860:
#line 6034 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = true;
				}
#line 33879 "gram.c" /* yacc.c:1652  */
    break;

  case 861:
#line 6047 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 33885 "gram.c" /* yacc.c:1652  */
    break;

  case 862:
#line 6053 "gram.y" /* yacc.c:1652  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33896 "gram.c" /* yacc.c:1652  */
    break;

  case 863:
#line 6063 "gram.y" /* yacc.c:1652  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 33909 "gram.c" /* yacc.c:1652  */
    break;

  case 864:
#line 6072 "gram.y" /* yacc.c:1652  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 33922 "gram.c" /* yacc.c:1652  */
    break;

  case 865:
#line 6083 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 33928 "gram.c" /* yacc.c:1652  */
    break;

  case 866:
#line 6084 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 33934 "gram.c" /* yacc.c:1652  */
    break;

  case 867:
#line 6089 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 33946 "gram.c" /* yacc.c:1652  */
    break;

  case 868:
#line 6097 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 33958 "gram.c" /* yacc.c:1652  */
    break;

  case 869:
#line 6109 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33972 "gram.c" /* yacc.c:1652  */
    break;

  case 870:
#line 6119 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33986 "gram.c" /* yacc.c:1652  */
    break;

  case 871:
#line 6132 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 34000 "gram.c" /* yacc.c:1652  */
    break;

  case 872:
#line 6142 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 34014 "gram.c" /* yacc.c:1652  */
    break;

  case 873:
#line 6164 "gram.y" /* yacc.c:1652  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 34025 "gram.c" /* yacc.c:1652  */
    break;

  case 874:
#line 6174 "gram.y" /* yacc.c:1652  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 34036 "gram.c" /* yacc.c:1652  */
    break;

  case 875:
#line 6192 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 34050 "gram.c" /* yacc.c:1652  */
    break;

  case 876:
#line 6202 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 34064 "gram.c" /* yacc.c:1652  */
    break;

  case 877:
#line 6212 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 34078 "gram.c" /* yacc.c:1652  */
    break;

  case 878:
#line 6222 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 34092 "gram.c" /* yacc.c:1652  */
    break;

  case 879:
#line 6232 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 34106 "gram.c" /* yacc.c:1652  */
    break;

  case 880:
#line 6242 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-6].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 34120 "gram.c" /* yacc.c:1652  */
    break;

  case 881:
#line 6252 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 34134 "gram.c" /* yacc.c:1652  */
    break;

  case 882:
#line 6262 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 34148 "gram.c" /* yacc.c:1652  */
    break;

  case 883:
#line 6272 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 34162 "gram.c" /* yacc.c:1652  */
    break;

  case 884:
#line 6282 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 34176 "gram.c" /* yacc.c:1652  */
    break;

  case 885:
#line 6292 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 34190 "gram.c" /* yacc.c:1652  */
    break;

  case 886:
#line 6302 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 34204 "gram.c" /* yacc.c:1652  */
    break;

  case 887:
#line 6315 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 34210 "gram.c" /* yacc.c:1652  */
    break;

  case 888:
#line 6316 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 34216 "gram.c" /* yacc.c:1652  */
    break;

  case 889:
#line 6317 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 34222 "gram.c" /* yacc.c:1652  */
    break;

  case 890:
#line 6318 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 34228 "gram.c" /* yacc.c:1652  */
    break;

  case 891:
#line 6319 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 34234 "gram.c" /* yacc.c:1652  */
    break;

  case 892:
#line 6320 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 34240 "gram.c" /* yacc.c:1652  */
    break;

  case 893:
#line 6321 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 34246 "gram.c" /* yacc.c:1652  */
    break;

  case 894:
#line 6322 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 34252 "gram.c" /* yacc.c:1652  */
    break;

  case 895:
#line 6323 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 34258 "gram.c" /* yacc.c:1652  */
    break;

  case 896:
#line 6324 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 34264 "gram.c" /* yacc.c:1652  */
    break;

  case 897:
#line 6325 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 34270 "gram.c" /* yacc.c:1652  */
    break;

  case 898:
#line 6326 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 34276 "gram.c" /* yacc.c:1652  */
    break;

  case 899:
#line 6327 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 34282 "gram.c" /* yacc.c:1652  */
    break;

  case 900:
#line 6337 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = (yyvsp[0].objtype); }
#line 34288 "gram.c" /* yacc.c:1652  */
    break;

  case 901:
#line 6338 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 34294 "gram.c" /* yacc.c:1652  */
    break;

  case 902:
#line 6339 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 34300 "gram.c" /* yacc.c:1652  */
    break;

  case 903:
#line 6340 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 34306 "gram.c" /* yacc.c:1652  */
    break;

  case 904:
#line 6341 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 34312 "gram.c" /* yacc.c:1652  */
    break;

  case 905:
#line 6345 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 34318 "gram.c" /* yacc.c:1652  */
    break;

  case 906:
#line 6346 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 34324 "gram.c" /* yacc.c:1652  */
    break;

  case 907:
#line 6347 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 34330 "gram.c" /* yacc.c:1652  */
    break;

  case 908:
#line 6348 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 34336 "gram.c" /* yacc.c:1652  */
    break;

  case 909:
#line 6349 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 34342 "gram.c" /* yacc.c:1652  */
    break;

  case 910:
#line 6350 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 34348 "gram.c" /* yacc.c:1652  */
    break;

  case 911:
#line 6351 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 34354 "gram.c" /* yacc.c:1652  */
    break;

  case 912:
#line 6352 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 34360 "gram.c" /* yacc.c:1652  */
    break;

  case 913:
#line 6357 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_POLICY; }
#line 34366 "gram.c" /* yacc.c:1652  */
    break;

  case 914:
#line 6358 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_RULE; }
#line 34372 "gram.c" /* yacc.c:1652  */
    break;

  case 915:
#line 6359 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TRIGGER; }
#line 34378 "gram.c" /* yacc.c:1652  */
    break;

  case 916:
#line 6363 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 34384 "gram.c" /* yacc.c:1652  */
    break;

  case 917:
#line 6364 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 34390 "gram.c" /* yacc.c:1652  */
    break;

  case 918:
#line 6367 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 34396 "gram.c" /* yacc.c:1652  */
    break;

  case 919:
#line 6368 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 34402 "gram.c" /* yacc.c:1652  */
    break;

  case 920:
#line 6372 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 34408 "gram.c" /* yacc.c:1652  */
    break;

  case 921:
#line 6374 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 34414 "gram.c" /* yacc.c:1652  */
    break;

  case 922:
#line 6378 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 34420 "gram.c" /* yacc.c:1652  */
    break;

  case 923:
#line 6379 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 34426 "gram.c" /* yacc.c:1652  */
    break;

  case 924:
#line 6391 "gram.y" /* yacc.c:1652  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 34438 "gram.c" /* yacc.c:1652  */
    break;

  case 925:
#line 6401 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 34444 "gram.c" /* yacc.c:1652  */
    break;

  case 926:
#line 6402 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 34450 "gram.c" /* yacc.c:1652  */
    break;

  case 927:
#line 6403 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 34456 "gram.c" /* yacc.c:1652  */
    break;

  case 928:
#line 6414 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34468 "gram.c" /* yacc.c:1652  */
    break;

  case 929:
#line 6422 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34480 "gram.c" /* yacc.c:1652  */
    break;

  case 930:
#line 6430 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34492 "gram.c" /* yacc.c:1652  */
    break;

  case 931:
#line 6438 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34504 "gram.c" /* yacc.c:1652  */
    break;

  case 932:
#line 6446 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34516 "gram.c" /* yacc.c:1652  */
    break;

  case 933:
#line 6454 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34528 "gram.c" /* yacc.c:1652  */
    break;

  case 934:
#line 6462 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34540 "gram.c" /* yacc.c:1652  */
    break;

  case 935:
#line 6470 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34552 "gram.c" /* yacc.c:1652  */
    break;

  case 936:
#line 6478 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TABCONSTRAINT;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34564 "gram.c" /* yacc.c:1652  */
    break;

  case 937:
#line 6486 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->object = (Node *) list_make2(makeTypeNameFromNameList((yyvsp[-2].list)), makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34581 "gram.c" /* yacc.c:1652  */
    break;

  case 938:
#line 6499 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-5].objtype);
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34593 "gram.c" /* yacc.c:1652  */
    break;

  case 939:
#line 6507 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34605 "gram.c" /* yacc.c:1652  */
    break;

  case 940:
#line 6515 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34617 "gram.c" /* yacc.c:1652  */
    break;

  case 941:
#line 6523 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-4].typnam), makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34629 "gram.c" /* yacc.c:1652  */
    break;

  case 942:
#line 6531 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34641 "gram.c" /* yacc.c:1652  */
    break;

  case 943:
#line 6539 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34653 "gram.c" /* yacc.c:1652  */
    break;

  case 944:
#line 6547 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].value);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34665 "gram.c" /* yacc.c:1652  */
    break;

  case 945:
#line 6555 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-5].typnam), (yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34677 "gram.c" /* yacc.c:1652  */
    break;

  case 946:
#line 6565 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34683 "gram.c" /* yacc.c:1652  */
    break;

  case 947:
#line 6566 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 34689 "gram.c" /* yacc.c:1652  */
    break;

  case 948:
#line 6582 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34702 "gram.c" /* yacc.c:1652  */
    break;

  case 949:
#line 6592 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34715 "gram.c" /* yacc.c:1652  */
    break;

  case 950:
#line 6602 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34728 "gram.c" /* yacc.c:1652  */
    break;

  case 951:
#line 6612 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34741 "gram.c" /* yacc.c:1652  */
    break;

  case 952:
#line 6622 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34754 "gram.c" /* yacc.c:1652  */
    break;

  case 953:
#line 6632 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34767 "gram.c" /* yacc.c:1652  */
    break;

  case 954:
#line 6642 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34780 "gram.c" /* yacc.c:1652  */
    break;

  case 955:
#line 6652 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].value);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34793 "gram.c" /* yacc.c:1652  */
    break;

  case 956:
#line 6662 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34806 "gram.c" /* yacc.c:1652  */
    break;

  case 957:
#line 6672 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34819 "gram.c" /* yacc.c:1652  */
    break;

  case 958:
#line 6682 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34825 "gram.c" /* yacc.c:1652  */
    break;

  case 959:
#line 6683 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 34831 "gram.c" /* yacc.c:1652  */
    break;

  case 960:
#line 6686 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34837 "gram.c" /* yacc.c:1652  */
    break;

  case 961:
#line 6687 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 34843 "gram.c" /* yacc.c:1652  */
    break;

  case 962:
#line 6698 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = false;
					(yyval.node) = (Node *)n;
				}
#line 34853 "gram.c" /* yacc.c:1652  */
    break;

  case 963:
#line 6704 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = true;
					(yyval.node) = (Node *)n;
				}
#line 34863 "gram.c" /* yacc.c:1652  */
    break;

  case 964:
#line 6712 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34875 "gram.c" /* yacc.c:1652  */
    break;

  case 965:
#line 6720 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34887 "gram.c" /* yacc.c:1652  */
    break;

  case 966:
#line 6728 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34899 "gram.c" /* yacc.c:1652  */
    break;

  case 967:
#line 6736 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34911 "gram.c" /* yacc.c:1652  */
    break;

  case 968:
#line 6744 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34923 "gram.c" /* yacc.c:1652  */
    break;

  case 969:
#line 6752 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
#line 34935 "gram.c" /* yacc.c:1652  */
    break;

  case 970:
#line 6760 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 34947 "gram.c" /* yacc.c:1652  */
    break;

  case 971:
#line 6768 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 34959 "gram.c" /* yacc.c:1652  */
    break;

  case 972:
#line 6776 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 34971 "gram.c" /* yacc.c:1652  */
    break;

  case 973:
#line 6784 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 34983 "gram.c" /* yacc.c:1652  */
    break;

  case 974:
#line 6792 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34995 "gram.c" /* yacc.c:1652  */
    break;

  case 975:
#line 6800 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 35007 "gram.c" /* yacc.c:1652  */
    break;

  case 976:
#line 6808 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 35019 "gram.c" /* yacc.c:1652  */
    break;

  case 977:
#line 6816 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 35031 "gram.c" /* yacc.c:1652  */
    break;

  case 978:
#line 6824 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 35043 "gram.c" /* yacc.c:1652  */
    break;

  case 979:
#line 6832 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 35055 "gram.c" /* yacc.c:1652  */
    break;

  case 984:
#line 6858 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grant_option = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node*)n;
				}
#line 35072 "gram.c" /* yacc.c:1652  */
    break;

  case 985:
#line 6875 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 35090 "gram.c" /* yacc.c:1652  */
    break;

  case 986:
#line 6890 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 35108 "gram.c" /* yacc.c:1652  */
    break;

  case 987:
#line 6916 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35114 "gram.c" /* yacc.c:1652  */
    break;

  case 988:
#line 6918 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 35120 "gram.c" /* yacc.c:1652  */
    break;

  case 989:
#line 6920 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 35126 "gram.c" /* yacc.c:1652  */
    break;

  case 990:
#line 6922 "gram.y" /* yacc.c:1652  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 35137 "gram.c" /* yacc.c:1652  */
    break;

  case 991:
#line 6929 "gram.y" /* yacc.c:1652  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 35148 "gram.c" /* yacc.c:1652  */
    break;

  case 992:
#line 6937 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 35154 "gram.c" /* yacc.c:1652  */
    break;

  case 993:
#line 6938 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 35160 "gram.c" /* yacc.c:1652  */
    break;

  case 994:
#line 6942 "gram.y" /* yacc.c:1652  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 35171 "gram.c" /* yacc.c:1652  */
    break;

  case 995:
#line 6949 "gram.y" /* yacc.c:1652  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 35182 "gram.c" /* yacc.c:1652  */
    break;

  case 996:
#line 6956 "gram.y" /* yacc.c:1652  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 35193 "gram.c" /* yacc.c:1652  */
    break;

  case 997:
#line 6963 "gram.y" /* yacc.c:1652  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 35204 "gram.c" /* yacc.c:1652  */
    break;

  case 998:
#line 6977 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35216 "gram.c" /* yacc.c:1652  */
    break;

  case 999:
#line 6985 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35228 "gram.c" /* yacc.c:1652  */
    break;

  case 1000:
#line 6993 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35240 "gram.c" /* yacc.c:1652  */
    break;

  case 1001:
#line 7001 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35252 "gram.c" /* yacc.c:1652  */
    break;

  case 1002:
#line 7009 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35264 "gram.c" /* yacc.c:1652  */
    break;

  case 1003:
#line 7017 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35276 "gram.c" /* yacc.c:1652  */
    break;

  case 1004:
#line 7025 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35288 "gram.c" /* yacc.c:1652  */
    break;

  case 1005:
#line 7033 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35300 "gram.c" /* yacc.c:1652  */
    break;

  case 1006:
#line 7041 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35312 "gram.c" /* yacc.c:1652  */
    break;

  case 1007:
#line 7049 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35324 "gram.c" /* yacc.c:1652  */
    break;

  case 1008:
#line 7057 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35336 "gram.c" /* yacc.c:1652  */
    break;

  case 1009:
#line 7065 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35348 "gram.c" /* yacc.c:1652  */
    break;

  case 1010:
#line 7073 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SCHEMA;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35360 "gram.c" /* yacc.c:1652  */
    break;

  case 1011:
#line 7081 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35372 "gram.c" /* yacc.c:1652  */
    break;

  case 1012:
#line 7089 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35384 "gram.c" /* yacc.c:1652  */
    break;

  case 1013:
#line 7097 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35396 "gram.c" /* yacc.c:1652  */
    break;

  case 1014:
#line 7105 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35408 "gram.c" /* yacc.c:1652  */
    break;

  case 1015:
#line 7113 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35420 "gram.c" /* yacc.c:1652  */
    break;

  case 1016:
#line 7121 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35432 "gram.c" /* yacc.c:1652  */
    break;

  case 1017:
#line 7129 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 35444 "gram.c" /* yacc.c:1652  */
    break;

  case 1018:
#line 7140 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 35450 "gram.c" /* yacc.c:1652  */
    break;

  case 1019:
#line 7141 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 35456 "gram.c" /* yacc.c:1652  */
    break;

  case 1020:
#line 7145 "gram.y" /* yacc.c:1652  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 35462 "gram.c" /* yacc.c:1652  */
    break;

  case 1021:
#line 7146 "gram.y" /* yacc.c:1652  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 35468 "gram.c" /* yacc.c:1652  */
    break;

  case 1022:
#line 7151 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 35474 "gram.c" /* yacc.c:1652  */
    break;

  case 1023:
#line 7152 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 35480 "gram.c" /* yacc.c:1652  */
    break;

  case 1024:
#line 7163 "gram.y" /* yacc.c:1652  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node*)n;
				}
#line 35494 "gram.c" /* yacc.c:1652  */
    break;

  case 1025:
#line 7176 "gram.y" /* yacc.c:1652  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 35508 "gram.c" /* yacc.c:1652  */
    break;

  case 1026:
#line 7186 "gram.y" /* yacc.c:1652  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 35522 "gram.c" /* yacc.c:1652  */
    break;

  case 1027:
#line 7197 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 35528 "gram.c" /* yacc.c:1652  */
    break;

  case 1028:
#line 7198 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 35534 "gram.c" /* yacc.c:1652  */
    break;

  case 1029:
#line 7201 "gram.y" /* yacc.c:1652  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 35540 "gram.c" /* yacc.c:1652  */
    break;

  case 1030:
#line 7202 "gram.y" /* yacc.c:1652  */
    { (yyval.rolespec) = NULL; }
#line 35546 "gram.c" /* yacc.c:1652  */
    break;

  case 1031:
#line 7213 "gram.y" /* yacc.c:1652  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 35557 "gram.c" /* yacc.c:1652  */
    break;

  case 1032:
#line 7222 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35563 "gram.c" /* yacc.c:1652  */
    break;

  case 1033:
#line 7223 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 35569 "gram.c" /* yacc.c:1652  */
    break;

  case 1034:
#line 7228 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 35577 "gram.c" /* yacc.c:1652  */
    break;

  case 1035:
#line 7232 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 35585 "gram.c" /* yacc.c:1652  */
    break;

  case 1036:
#line 7236 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 35593 "gram.c" /* yacc.c:1652  */
    break;

  case 1037:
#line 7248 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 35609 "gram.c" /* yacc.c:1652  */
    break;

  case 1038:
#line 7261 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 35626 "gram.c" /* yacc.c:1652  */
    break;

  case 1039:
#line 7275 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 35643 "gram.c" /* yacc.c:1652  */
    break;

  case 1040:
#line 7290 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = OBJECT_TABLE; }
#line 35649 "gram.c" /* yacc.c:1652  */
    break;

  case 1041:
#line 7291 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 35655 "gram.c" /* yacc.c:1652  */
    break;

  case 1042:
#line 7292 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 35661 "gram.c" /* yacc.c:1652  */
    break;

  case 1043:
#line 7293 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = OBJECT_SEQUENCE; }
#line 35667 "gram.c" /* yacc.c:1652  */
    break;

  case 1044:
#line 7294 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = OBJECT_TYPE; }
#line 35673 "gram.c" /* yacc.c:1652  */
    break;

  case 1045:
#line 7295 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = OBJECT_SCHEMA; }
#line 35679 "gram.c" /* yacc.c:1652  */
    break;

  case 1046:
#line 7310 "gram.y" /* yacc.c:1652  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-13].boolean);
					n->concurrent = (yyvsp[-11].boolean);
					n->idxname = (yyvsp[-10].str);
					n->relation = (yyvsp[-8].range);
					n->accessMethod = (yyvsp[-7].str);
					n->indexParams = (yyvsp[-5].list);
					n->indexIncludingParams = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilenodeSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *)n;
				}
#line 35711 "gram.c" /* yacc.c:1652  */
    break;

  case 1047:
#line 7340 "gram.y" /* yacc.c:1652  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-16].boolean);
					n->concurrent = (yyvsp[-14].boolean);
					n->idxname = (yyvsp[-10].str);
					n->relation = (yyvsp[-8].range);
					n->accessMethod = (yyvsp[-7].str);
					n->indexParams = (yyvsp[-5].list);
					n->indexIncludingParams = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilenodeSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *)n;
				}
#line 35743 "gram.c" /* yacc.c:1652  */
    break;

  case 1048:
#line 7370 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 35749 "gram.c" /* yacc.c:1652  */
    break;

  case 1049:
#line 7371 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 35755 "gram.c" /* yacc.c:1652  */
    break;

  case 1050:
#line 7375 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 35761 "gram.c" /* yacc.c:1652  */
    break;

  case 1051:
#line 7376 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 35767 "gram.c" /* yacc.c:1652  */
    break;

  case 1052:
#line 7380 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35773 "gram.c" /* yacc.c:1652  */
    break;

  case 1053:
#line 7381 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 35779 "gram.c" /* yacc.c:1652  */
    break;

  case 1054:
#line 7385 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35785 "gram.c" /* yacc.c:1652  */
    break;

  case 1055:
#line 7386 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 35791 "gram.c" /* yacc.c:1652  */
    break;

  case 1056:
#line 7389 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 35797 "gram.c" /* yacc.c:1652  */
    break;

  case 1057:
#line 7390 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 35803 "gram.c" /* yacc.c:1652  */
    break;

  case 1058:
#line 7396 "gram.y" /* yacc.c:1652  */
    {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-3].list);
			(yyval.ielem)->opclass = (yyvsp[-2].list);
			(yyval.ielem)->opclassopts = NIL;
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 35819 "gram.c" /* yacc.c:1652  */
    break;

  case 1059:
#line 7408 "gram.y" /* yacc.c:1652  */
    {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-4].list);
			(yyval.ielem)->opclass = (yyvsp[-3].list);
			(yyval.ielem)->opclassopts = (yyvsp[-2].list);
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 35835 "gram.c" /* yacc.c:1652  */
    break;

  case 1060:
#line 7427 "gram.y" /* yacc.c:1652  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->name = (yyvsp[-1].str);
				}
#line 35844 "gram.c" /* yacc.c:1652  */
    break;

  case 1061:
#line 7432 "gram.y" /* yacc.c:1652  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-1].node);
				}
#line 35853 "gram.c" /* yacc.c:1652  */
    break;

  case 1062:
#line 7437 "gram.y" /* yacc.c:1652  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-2].node);
				}
#line 35862 "gram.c" /* yacc.c:1652  */
    break;

  case 1063:
#line 7443 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35868 "gram.c" /* yacc.c:1652  */
    break;

  case 1064:
#line 7444 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 35874 "gram.c" /* yacc.c:1652  */
    break;

  case 1065:
#line 7447 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 35880 "gram.c" /* yacc.c:1652  */
    break;

  case 1066:
#line 7448 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 35886 "gram.c" /* yacc.c:1652  */
    break;

  case 1067:
#line 7451 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35892 "gram.c" /* yacc.c:1652  */
    break;

  case 1068:
#line 7452 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 35898 "gram.c" /* yacc.c:1652  */
    break;

  case 1069:
#line 7455 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35904 "gram.c" /* yacc.c:1652  */
    break;

  case 1070:
#line 7456 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 35910 "gram.c" /* yacc.c:1652  */
    break;

  case 1071:
#line 7459 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_ASC; }
#line 35916 "gram.c" /* yacc.c:1652  */
    break;

  case 1072:
#line 7460 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_DESC; }
#line 35922 "gram.c" /* yacc.c:1652  */
    break;

  case 1073:
#line 7461 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 35928 "gram.c" /* yacc.c:1652  */
    break;

  case 1074:
#line 7464 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 35934 "gram.c" /* yacc.c:1652  */
    break;

  case 1075:
#line 7465 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 35940 "gram.c" /* yacc.c:1652  */
    break;

  case 1076:
#line 7466 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 35946 "gram.c" /* yacc.c:1652  */
    break;

  case 1077:
#line 7484 "gram.y" /* yacc.c:1652  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = false;
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 35962 "gram.c" /* yacc.c:1652  */
    break;

  case 1078:
#line 7497 "gram.y" /* yacc.c:1652  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = false;
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 35979 "gram.c" /* yacc.c:1652  */
    break;

  case 1079:
#line 7511 "gram.y" /* yacc.c:1652  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = false;
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 35995 "gram.c" /* yacc.c:1652  */
    break;

  case 1080:
#line 7524 "gram.y" /* yacc.c:1652  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = true;
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 36011 "gram.c" /* yacc.c:1652  */
    break;

  case 1081:
#line 7538 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 36017 "gram.c" /* yacc.c:1652  */
    break;

  case 1082:
#line 7539 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 36023 "gram.c" /* yacc.c:1652  */
    break;

  case 1083:
#line 7542 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36029 "gram.c" /* yacc.c:1652  */
    break;

  case 1084:
#line 7543 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 36035 "gram.c" /* yacc.c:1652  */
    break;

  case 1085:
#line 7547 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 36041 "gram.c" /* yacc.c:1652  */
    break;

  case 1086:
#line 7548 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 36047 "gram.c" /* yacc.c:1652  */
    break;

  case 1087:
#line 7552 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 36053 "gram.c" /* yacc.c:1652  */
    break;

  case 1088:
#line 7554 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 36059 "gram.c" /* yacc.c:1652  */
    break;

  case 1089:
#line 7558 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 36065 "gram.c" /* yacc.c:1652  */
    break;

  case 1090:
#line 7560 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 36071 "gram.c" /* yacc.c:1652  */
    break;

  case 1091:
#line 7565 "gram.y" /* yacc.c:1652  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractArgTypes(OBJECT_FUNCTION, (yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 36082 "gram.c" /* yacc.c:1652  */
    break;

  case 1092:
#line 7572 "gram.y" /* yacc.c:1652  */
    {
					(yyval.objwithargs) = (yyvsp[0].objwithargs);
				}
#line 36090 "gram.c" /* yacc.c:1652  */
    break;

  case 1093:
#line 7584 "gram.y" /* yacc.c:1652  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString(pstrdup((yyvsp[0].keyword))));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 36101 "gram.c" /* yacc.c:1652  */
    break;

  case 1094:
#line 7591 "gram.y" /* yacc.c:1652  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString((yyvsp[0].str)));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 36112 "gram.c" /* yacc.c:1652  */
    break;

  case 1095:
#line 7598 "gram.y" /* yacc.c:1652  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
												  yyscanner);
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 36124 "gram.c" /* yacc.c:1652  */
    break;

  case 1096:
#line 7613 "gram.y" /* yacc.c:1652  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractArgTypes(OBJECT_PROCEDURE, (yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 36135 "gram.c" /* yacc.c:1652  */
    break;

  case 1097:
#line 7620 "gram.y" /* yacc.c:1652  */
    {
					(yyval.objwithargs) = (yyvsp[0].objwithargs);
				}
#line 36143 "gram.c" /* yacc.c:1652  */
    break;

  case 1098:
#line 7630 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36149 "gram.c" /* yacc.c:1652  */
    break;

  case 1099:
#line 7631 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 36155 "gram.c" /* yacc.c:1652  */
    break;

  case 1100:
#line 7635 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 36161 "gram.c" /* yacc.c:1652  */
    break;

  case 1101:
#line 7637 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 36167 "gram.c" /* yacc.c:1652  */
    break;

  case 1102:
#line 7652 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 36180 "gram.c" /* yacc.c:1652  */
    break;

  case 1103:
#line 7661 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 36193 "gram.c" /* yacc.c:1652  */
    break;

  case 1104:
#line 7670 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 36206 "gram.c" /* yacc.c:1652  */
    break;

  case 1105:
#line 7679 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 36219 "gram.c" /* yacc.c:1652  */
    break;

  case 1106:
#line 7688 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 36232 "gram.c" /* yacc.c:1652  */
    break;

  case 1107:
#line 7699 "gram.y" /* yacc.c:1652  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 36238 "gram.c" /* yacc.c:1652  */
    break;

  case 1108:
#line 7700 "gram.y" /* yacc.c:1652  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 36244 "gram.c" /* yacc.c:1652  */
    break;

  case 1109:
#line 7701 "gram.y" /* yacc.c:1652  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 36250 "gram.c" /* yacc.c:1652  */
    break;

  case 1110:
#line 7702 "gram.y" /* yacc.c:1652  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 36256 "gram.c" /* yacc.c:1652  */
    break;

  case 1111:
#line 7703 "gram.y" /* yacc.c:1652  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 36262 "gram.c" /* yacc.c:1652  */
    break;

  case 1113:
#line 7714 "gram.y" /* yacc.c:1652  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 36274 "gram.c" /* yacc.c:1652  */
    break;

  case 1114:
#line 7728 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 36280 "gram.c" /* yacc.c:1652  */
    break;

  case 1115:
#line 7730 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 36290 "gram.c" /* yacc.c:1652  */
    break;

  case 1116:
#line 7736 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 36301 "gram.c" /* yacc.c:1652  */
    break;

  case 1117:
#line 7746 "gram.y" /* yacc.c:1652  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 36309 "gram.c" /* yacc.c:1652  */
    break;

  case 1118:
#line 7750 "gram.y" /* yacc.c:1652  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 36318 "gram.c" /* yacc.c:1652  */
    break;

  case 1119:
#line 7755 "gram.y" /* yacc.c:1652  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 36327 "gram.c" /* yacc.c:1652  */
    break;

  case 1120:
#line 7763 "gram.y" /* yacc.c:1652  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 36341 "gram.c" /* yacc.c:1652  */
    break;

  case 1121:
#line 7804 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 36349 "gram.c" /* yacc.c:1652  */
    break;

  case 1122:
#line 7808 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 36357 "gram.c" /* yacc.c:1652  */
    break;

  case 1123:
#line 7812 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 36365 "gram.c" /* yacc.c:1652  */
    break;

  case 1124:
#line 7816 "gram.y" /* yacc.c:1652  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 36374 "gram.c" /* yacc.c:1652  */
    break;

  case 1125:
#line 7823 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 36380 "gram.c" /* yacc.c:1652  */
    break;

  case 1126:
#line 7824 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 36386 "gram.c" /* yacc.c:1652  */
    break;

  case 1127:
#line 7829 "gram.y" /* yacc.c:1652  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 36397 "gram.c" /* yacc.c:1652  */
    break;

  case 1128:
#line 7838 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 36403 "gram.c" /* yacc.c:1652  */
    break;

  case 1129:
#line 7840 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 36409 "gram.c" /* yacc.c:1652  */
    break;

  case 1131:
#line 7845 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 36415 "gram.c" /* yacc.c:1652  */
    break;

  case 1132:
#line 7850 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36421 "gram.c" /* yacc.c:1652  */
    break;

  case 1133:
#line 7851 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 36427 "gram.c" /* yacc.c:1652  */
    break;

  case 1134:
#line 7859 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(false), (yylsp[-3]));
				}
#line 36435 "gram.c" /* yacc.c:1652  */
    break;

  case 1135:
#line 7863 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(true), (yylsp[-4]));
				}
#line 36443 "gram.c" /* yacc.c:1652  */
    break;

  case 1136:
#line 7867 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 36451 "gram.c" /* yacc.c:1652  */
    break;

  case 1137:
#line 7871 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"), (yylsp[0]));
				}
#line 36459 "gram.c" /* yacc.c:1652  */
    break;

  case 1138:
#line 7875 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"), (yylsp[0]));
				}
#line 36467 "gram.c" /* yacc.c:1652  */
    break;

  case 1139:
#line 7879 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"), (yylsp[0]));
				}
#line 36475 "gram.c" /* yacc.c:1652  */
    break;

  case 1140:
#line 7883 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(true), (yylsp[-2]));
				}
#line 36483 "gram.c" /* yacc.c:1652  */
    break;

  case 1141:
#line 7887 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(false), (yylsp[-2]));
				}
#line 36491 "gram.c" /* yacc.c:1652  */
    break;

  case 1142:
#line 7891 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(true), (yylsp[-1]));
				}
#line 36499 "gram.c" /* yacc.c:1652  */
    break;

  case 1143:
#line 7895 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(false), (yylsp[-1]));
				}
#line 36507 "gram.c" /* yacc.c:1652  */
    break;

  case 1144:
#line 7899 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 36515 "gram.c" /* yacc.c:1652  */
    break;

  case 1145:
#line 7903 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(false), (yylsp[-1]));
				}
#line 36523 "gram.c" /* yacc.c:1652  */
    break;

  case 1146:
#line 7907 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 36531 "gram.c" /* yacc.c:1652  */
    break;

  case 1147:
#line 7911 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 36539 "gram.c" /* yacc.c:1652  */
    break;

  case 1148:
#line 7915 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("support", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 36547 "gram.c" /* yacc.c:1652  */
    break;

  case 1149:
#line 7919 "gram.y" /* yacc.c:1652  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[0].vsetstmt), (yylsp[0]));
				}
#line 36556 "gram.c" /* yacc.c:1652  */
    break;

  case 1150:
#line 7924 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("parallel", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 36564 "gram.c" /* yacc.c:1652  */
    break;

  case 1151:
#line 7931 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 36572 "gram.c" /* yacc.c:1652  */
    break;

  case 1152:
#line 7935 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 36580 "gram.c" /* yacc.c:1652  */
    break;

  case 1153:
#line 7939 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("transform", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 36588 "gram.c" /* yacc.c:1652  */
    break;

  case 1154:
#line 7943 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 36596 "gram.c" /* yacc.c:1652  */
    break;

  case 1155:
#line 7947 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 36604 "gram.c" /* yacc.c:1652  */
    break;

  case 1156:
#line 7952 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36610 "gram.c" /* yacc.c:1652  */
    break;

  case 1157:
#line 7954 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 36618 "gram.c" /* yacc.c:1652  */
    break;

  case 1158:
#line 7960 "gram.y" /* yacc.c:1652  */
    {
					ReturnStmt *r = makeNode(ReturnStmt);
					r->returnval = (Node *) (yyvsp[0].node);
					(yyval.node) = (Node *) r;
				}
#line 36628 "gram.c" /* yacc.c:1652  */
    break;

  case 1159:
#line 7969 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 36636 "gram.c" /* yacc.c:1652  */
    break;

  case 1160:
#line 7973 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * A compound statement is stored as a single-item list
					 * containing the list of statements as its member.  That
					 * way, the parse analysis code can tell apart an empty
					 * body from no body at all.
					 */
					(yyval.node) = (Node *) list_make1((yyvsp[-1].list));
				}
#line 36650 "gram.c" /* yacc.c:1652  */
    break;

  case 1161:
#line 7983 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = NULL;
				}
#line 36658 "gram.c" /* yacc.c:1652  */
    break;

  case 1162:
#line 7990 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[-1].node));
				}
#line 36666 "gram.c" /* yacc.c:1652  */
    break;

  case 1163:
#line 7994 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = NIL;
				}
#line 36674 "gram.c" /* yacc.c:1652  */
    break;

  case 1166:
#line 8005 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 36680 "gram.c" /* yacc.c:1652  */
    break;

  case 1167:
#line 8006 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 36686 "gram.c" /* yacc.c:1652  */
    break;

  case 1168:
#line 8010 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36692 "gram.c" /* yacc.c:1652  */
    break;

  case 1169:
#line 8011 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 36698 "gram.c" /* yacc.c:1652  */
    break;

  case 1170:
#line 8015 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 36711 "gram.c" /* yacc.c:1652  */
    break;

  case 1171:
#line 8027 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 36719 "gram.c" /* yacc.c:1652  */
    break;

  case 1172:
#line 8031 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 36727 "gram.c" /* yacc.c:1652  */
    break;

  case 1173:
#line 8046 "gram.y" /* yacc.c:1652  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->objtype = OBJECT_FUNCTION;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36739 "gram.c" /* yacc.c:1652  */
    break;

  case 1174:
#line 8054 "gram.y" /* yacc.c:1652  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->objtype = OBJECT_PROCEDURE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36751 "gram.c" /* yacc.c:1652  */
    break;

  case 1175:
#line 8062 "gram.y" /* yacc.c:1652  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->objtype = OBJECT_ROUTINE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36763 "gram.c" /* yacc.c:1652  */
    break;

  case 1176:
#line 8073 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36769 "gram.c" /* yacc.c:1652  */
    break;

  case 1177:
#line 8074 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 36775 "gram.c" /* yacc.c:1652  */
    break;

  case 1180:
#line 8098 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36789 "gram.c" /* yacc.c:1652  */
    break;

  case 1181:
#line 8108 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36803 "gram.c" /* yacc.c:1652  */
    break;

  case 1182:
#line 8118 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36817 "gram.c" /* yacc.c:1652  */
    break;

  case 1183:
#line 8128 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36831 "gram.c" /* yacc.c:1652  */
    break;

  case 1184:
#line 8138 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36845 "gram.c" /* yacc.c:1652  */
    break;

  case 1185:
#line 8148 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36859 "gram.c" /* yacc.c:1652  */
    break;

  case 1186:
#line 8161 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36873 "gram.c" /* yacc.c:1652  */
    break;

  case 1187:
#line 8171 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36887 "gram.c" /* yacc.c:1652  */
    break;

  case 1188:
#line 8184 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36901 "gram.c" /* yacc.c:1652  */
    break;

  case 1189:
#line 8194 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36915 "gram.c" /* yacc.c:1652  */
    break;

  case 1190:
#line 8207 "gram.y" /* yacc.c:1652  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 36927 "gram.c" /* yacc.c:1652  */
    break;

  case 1191:
#line 8215 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 36933 "gram.c" /* yacc.c:1652  */
    break;

  case 1192:
#line 8217 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 36939 "gram.c" /* yacc.c:1652  */
    break;

  case 1193:
#line 8219 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 36945 "gram.c" /* yacc.c:1652  */
    break;

  case 1194:
#line 8224 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36951 "gram.c" /* yacc.c:1652  */
    break;

  case 1195:
#line 8226 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 36957 "gram.c" /* yacc.c:1652  */
    break;

  case 1196:
#line 8230 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 36963 "gram.c" /* yacc.c:1652  */
    break;

  case 1197:
#line 8232 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 36969 "gram.c" /* yacc.c:1652  */
    break;

  case 1198:
#line 8237 "gram.y" /* yacc.c:1652  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 36980 "gram.c" /* yacc.c:1652  */
    break;

  case 1199:
#line 8255 "gram.y" /* yacc.c:1652  */
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36990 "gram.c" /* yacc.c:1652  */
    break;

  case 1200:
#line 8263 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36996 "gram.c" /* yacc.c:1652  */
    break;

  case 1201:
#line 8264 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 37002 "gram.c" /* yacc.c:1652  */
    break;

  case 1202:
#line 8269 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[0].str)), (yylsp[0]));
				}
#line 37010 "gram.c" /* yacc.c:1652  */
    break;

  case 1203:
#line 8273 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 37018 "gram.c" /* yacc.c:1652  */
    break;

  case 1204:
#line 8286 "gram.y" /* yacc.c:1652  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].objwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 37032 "gram.c" /* yacc.c:1652  */
    break;

  case 1205:
#line 8297 "gram.y" /* yacc.c:1652  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 37046 "gram.c" /* yacc.c:1652  */
    break;

  case 1206:
#line 8308 "gram.y" /* yacc.c:1652  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
#line 37060 "gram.c" /* yacc.c:1652  */
    break;

  case 1207:
#line 8319 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 37066 "gram.c" /* yacc.c:1652  */
    break;

  case 1208:
#line 8320 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 37072 "gram.c" /* yacc.c:1652  */
    break;

  case 1209:
#line 8321 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 37078 "gram.c" /* yacc.c:1652  */
    break;

  case 1210:
#line 8326 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make2((yyvsp[-4].typnam), (yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 37092 "gram.c" /* yacc.c:1652  */
    break;

  case 1211:
#line 8337 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 37098 "gram.c" /* yacc.c:1652  */
    break;

  case 1212:
#line 8338 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 37104 "gram.c" /* yacc.c:1652  */
    break;

  case 1213:
#line 8349 "gram.y" /* yacc.c:1652  */
    {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);
					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *)n;
				}
#line 37118 "gram.c" /* yacc.c:1652  */
    break;

  case 1214:
#line 8361 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[-6].objwithargs), (yyvsp[0].objwithargs));
				}
#line 37126 "gram.c" /* yacc.c:1652  */
    break;

  case 1215:
#line 8365 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), (yyvsp[-6].objwithargs));
				}
#line 37134 "gram.c" /* yacc.c:1652  */
    break;

  case 1216:
#line 8369 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), NULL);
				}
#line 37142 "gram.c" /* yacc.c:1652  */
    break;

  case 1217:
#line 8373 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[0].objwithargs));
				}
#line 37150 "gram.c" /* yacc.c:1652  */
    break;

  case 1218:
#line 8380 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make2((yyvsp[-3].typnam), makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *)n;
				}
#line 37163 "gram.c" /* yacc.c:1652  */
    break;

  case 1219:
#line 8400 "gram.y" /* yacc.c:1652  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->params = NIL;
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
								makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *)n;
				}
#line 37179 "gram.c" /* yacc.c:1652  */
    break;

  case 1220:
#line 8412 "gram.y" /* yacc.c:1652  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->params = NIL;
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
								makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *)n;
				}
#line 37195 "gram.c" /* yacc.c:1652  */
    break;

  case 1221:
#line 8424 "gram.y" /* yacc.c:1652  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->params = (yyvsp[-4].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
								makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *)n;
				}
#line 37211 "gram.c" /* yacc.c:1652  */
    break;

  case 1222:
#line 8436 "gram.y" /* yacc.c:1652  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->params = (yyvsp[-4].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
								makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *)n;
				}
#line 37227 "gram.c" /* yacc.c:1652  */
    break;

  case 1223:
#line 8449 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 37233 "gram.c" /* yacc.c:1652  */
    break;

  case 1224:
#line 8450 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 37239 "gram.c" /* yacc.c:1652  */
    break;

  case 1225:
#line 8453 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEX_OBJECT_SCHEMA; }
#line 37245 "gram.c" /* yacc.c:1652  */
    break;

  case 1226:
#line 8454 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 37251 "gram.c" /* yacc.c:1652  */
    break;

  case 1227:
#line 8455 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 37257 "gram.c" /* yacc.c:1652  */
    break;

  case 1228:
#line 8466 "gram.y" /* yacc.c:1652  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = false;
					(yyval.node) = (Node *)n;
				}
#line 37270 "gram.c" /* yacc.c:1652  */
    break;

  case 1229:
#line 8475 "gram.y" /* yacc.c:1652  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = true;
					(yyval.node) = (Node *)n;
				}
#line 37283 "gram.c" /* yacc.c:1652  */
    break;

  case 1230:
#line 8492 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37296 "gram.c" /* yacc.c:1652  */
    break;

  case 1231:
#line 8501 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37309 "gram.c" /* yacc.c:1652  */
    break;

  case 1232:
#line 8510 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37322 "gram.c" /* yacc.c:1652  */
    break;

  case 1233:
#line 8519 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37335 "gram.c" /* yacc.c:1652  */
    break;

  case 1234:
#line 8528 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37348 "gram.c" /* yacc.c:1652  */
    break;

  case 1235:
#line 8537 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (Node *) (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37361 "gram.c" /* yacc.c:1652  */
    break;

  case 1236:
#line 8546 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37374 "gram.c" /* yacc.c:1652  */
    break;

  case 1237:
#line 8555 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37387 "gram.c" /* yacc.c:1652  */
    break;

  case 1238:
#line 8564 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37400 "gram.c" /* yacc.c:1652  */
    break;

  case 1239:
#line 8573 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37413 "gram.c" /* yacc.c:1652  */
    break;

  case 1240:
#line 8582 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37426 "gram.c" /* yacc.c:1652  */
    break;

  case 1241:
#line 8591 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37439 "gram.c" /* yacc.c:1652  */
    break;

  case 1242:
#line 8600 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37453 "gram.c" /* yacc.c:1652  */
    break;

  case 1243:
#line 8610 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37467 "gram.c" /* yacc.c:1652  */
    break;

  case 1244:
#line 8620 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37480 "gram.c" /* yacc.c:1652  */
    break;

  case 1245:
#line 8629 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37493 "gram.c" /* yacc.c:1652  */
    break;

  case 1246:
#line 8638 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37506 "gram.c" /* yacc.c:1652  */
    break;

  case 1247:
#line 8647 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37519 "gram.c" /* yacc.c:1652  */
    break;

  case 1248:
#line 8656 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37532 "gram.c" /* yacc.c:1652  */
    break;

  case 1249:
#line 8665 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37545 "gram.c" /* yacc.c:1652  */
    break;

  case 1250:
#line 8674 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37559 "gram.c" /* yacc.c:1652  */
    break;

  case 1251:
#line 8684 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37573 "gram.c" /* yacc.c:1652  */
    break;

  case 1252:
#line 8694 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37587 "gram.c" /* yacc.c:1652  */
    break;

  case 1253:
#line 8704 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37601 "gram.c" /* yacc.c:1652  */
    break;

  case 1254:
#line 8714 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37615 "gram.c" /* yacc.c:1652  */
    break;

  case 1255:
#line 8724 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37629 "gram.c" /* yacc.c:1652  */
    break;

  case 1256:
#line 8734 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37643 "gram.c" /* yacc.c:1652  */
    break;

  case 1257:
#line 8744 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37657 "gram.c" /* yacc.c:1652  */
    break;

  case 1258:
#line 8754 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37671 "gram.c" /* yacc.c:1652  */
    break;

  case 1259:
#line 8764 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37685 "gram.c" /* yacc.c:1652  */
    break;

  case 1260:
#line 8774 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37699 "gram.c" /* yacc.c:1652  */
    break;

  case 1261:
#line 8784 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37713 "gram.c" /* yacc.c:1652  */
    break;

  case 1262:
#line 8794 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37728 "gram.c" /* yacc.c:1652  */
    break;

  case 1263:
#line 8805 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37743 "gram.c" /* yacc.c:1652  */
    break;

  case 1264:
#line 8816 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37758 "gram.c" /* yacc.c:1652  */
    break;

  case 1265:
#line 8827 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37773 "gram.c" /* yacc.c:1652  */
    break;

  case 1266:
#line 8838 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37788 "gram.c" /* yacc.c:1652  */
    break;

  case 1267:
#line 8849 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37803 "gram.c" /* yacc.c:1652  */
    break;

  case 1268:
#line 8860 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37817 "gram.c" /* yacc.c:1652  */
    break;

  case 1269:
#line 8870 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37831 "gram.c" /* yacc.c:1652  */
    break;

  case 1270:
#line 8880 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37846 "gram.c" /* yacc.c:1652  */
    break;

  case 1271:
#line 8891 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37861 "gram.c" /* yacc.c:1652  */
    break;

  case 1272:
#line 8902 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37875 "gram.c" /* yacc.c:1652  */
    break;

  case 1273:
#line 8912 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37889 "gram.c" /* yacc.c:1652  */
    break;

  case 1274:
#line 8922 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37901 "gram.c" /* yacc.c:1652  */
    break;

  case 1275:
#line 8930 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37914 "gram.c" /* yacc.c:1652  */
    break;

  case 1276:
#line 8939 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37927 "gram.c" /* yacc.c:1652  */
    break;

  case 1277:
#line 8948 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37940 "gram.c" /* yacc.c:1652  */
    break;

  case 1278:
#line 8957 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37953 "gram.c" /* yacc.c:1652  */
    break;

  case 1279:
#line 8966 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37966 "gram.c" /* yacc.c:1652  */
    break;

  case 1280:
#line 8975 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37979 "gram.c" /* yacc.c:1652  */
    break;

  case 1281:
#line 8984 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37992 "gram.c" /* yacc.c:1652  */
    break;

  case 1282:
#line 8993 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38005 "gram.c" /* yacc.c:1652  */
    break;

  case 1283:
#line 9002 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38018 "gram.c" /* yacc.c:1652  */
    break;

  case 1284:
#line 9011 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38034 "gram.c" /* yacc.c:1652  */
    break;

  case 1287:
#line 9028 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 1; }
#line 38040 "gram.c" /* yacc.c:1652  */
    break;

  case 1288:
#line 9029 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 38046 "gram.c" /* yacc.c:1652  */
    break;

  case 1289:
#line 9040 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *)n;
				}
#line 38059 "gram.c" /* yacc.c:1652  */
    break;

  case 1290:
#line 9049 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *)n;
				}
#line 38072 "gram.c" /* yacc.c:1652  */
    break;

  case 1291:
#line 9058 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *)n;
				}
#line 38085 "gram.c" /* yacc.c:1652  */
    break;

  case 1292:
#line 9067 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-5].range);
					n->object = (Node *) list_make1(makeString((yyvsp[-7].str)));
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *)n;
				}
#line 38099 "gram.c" /* yacc.c:1652  */
    break;

  case 1293:
#line 9077 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *)n;
				}
#line 38112 "gram.c" /* yacc.c:1652  */
    break;

  case 1294:
#line 9086 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *)n;
				}
#line 38125 "gram.c" /* yacc.c:1652  */
    break;

  case 1295:
#line 9096 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 38131 "gram.c" /* yacc.c:1652  */
    break;

  case 1296:
#line 9097 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false;	}
#line 38137 "gram.c" /* yacc.c:1652  */
    break;

  case 1297:
#line 9108 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38150 "gram.c" /* yacc.c:1652  */
    break;

  case 1298:
#line 9117 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38163 "gram.c" /* yacc.c:1652  */
    break;

  case 1299:
#line 9126 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38176 "gram.c" /* yacc.c:1652  */
    break;

  case 1300:
#line 9135 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38189 "gram.c" /* yacc.c:1652  */
    break;

  case 1301:
#line 9144 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38202 "gram.c" /* yacc.c:1652  */
    break;

  case 1302:
#line 9153 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38215 "gram.c" /* yacc.c:1652  */
    break;

  case 1303:
#line 9162 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38228 "gram.c" /* yacc.c:1652  */
    break;

  case 1304:
#line 9171 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38241 "gram.c" /* yacc.c:1652  */
    break;

  case 1305:
#line 9180 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38254 "gram.c" /* yacc.c:1652  */
    break;

  case 1306:
#line 9189 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38267 "gram.c" /* yacc.c:1652  */
    break;

  case 1307:
#line 9198 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38280 "gram.c" /* yacc.c:1652  */
    break;

  case 1308:
#line 9207 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38293 "gram.c" /* yacc.c:1652  */
    break;

  case 1309:
#line 9216 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 38306 "gram.c" /* yacc.c:1652  */
    break;

  case 1310:
#line 9225 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38319 "gram.c" /* yacc.c:1652  */
    break;

  case 1311:
#line 9234 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38332 "gram.c" /* yacc.c:1652  */
    break;

  case 1312:
#line 9243 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38345 "gram.c" /* yacc.c:1652  */
    break;

  case 1313:
#line 9252 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38358 "gram.c" /* yacc.c:1652  */
    break;

  case 1314:
#line 9261 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38371 "gram.c" /* yacc.c:1652  */
    break;

  case 1315:
#line 9270 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38384 "gram.c" /* yacc.c:1652  */
    break;

  case 1316:
#line 9279 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 38397 "gram.c" /* yacc.c:1652  */
    break;

  case 1317:
#line 9288 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38410 "gram.c" /* yacc.c:1652  */
    break;

  case 1318:
#line 9297 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 38423 "gram.c" /* yacc.c:1652  */
    break;

  case 1319:
#line 9306 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38436 "gram.c" /* yacc.c:1652  */
    break;

  case 1320:
#line 9315 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 38449 "gram.c" /* yacc.c:1652  */
    break;

  case 1321:
#line 9324 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38462 "gram.c" /* yacc.c:1652  */
    break;

  case 1322:
#line 9333 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 38475 "gram.c" /* yacc.c:1652  */
    break;

  case 1323:
#line 9342 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38488 "gram.c" /* yacc.c:1652  */
    break;

  case 1324:
#line 9360 "gram.y" /* yacc.c:1652  */
    {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);
					n->opername = (yyvsp[-4].objwithargs);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 38499 "gram.c" /* yacc.c:1652  */
    break;

  case 1325:
#line 9368 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 38505 "gram.c" /* yacc.c:1652  */
    break;

  case 1326:
#line 9369 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 38511 "gram.c" /* yacc.c:1652  */
    break;

  case 1327:
#line 9373 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2])); }
#line 38517 "gram.c" /* yacc.c:1652  */
    break;

  case 1328:
#line 9375 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2])); }
#line 38523 "gram.c" /* yacc.c:1652  */
    break;

  case 1329:
#line 9380 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 38529 "gram.c" /* yacc.c:1652  */
    break;

  case 1330:
#line 9381 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 38535 "gram.c" /* yacc.c:1652  */
    break;

  case 1331:
#line 9382 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 38541 "gram.c" /* yacc.c:1652  */
    break;

  case 1332:
#line 9383 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 38547 "gram.c" /* yacc.c:1652  */
    break;

  case 1333:
#line 9384 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 38553 "gram.c" /* yacc.c:1652  */
    break;

  case 1334:
#line 9397 "gram.y" /* yacc.c:1652  */
    {
					AlterTypeStmt *n = makeNode(AlterTypeStmt);
					n->typeName = (yyvsp[-4].list);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 38564 "gram.c" /* yacc.c:1652  */
    break;

  case 1335:
#line 9412 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38576 "gram.c" /* yacc.c:1652  */
    break;

  case 1336:
#line 9420 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38588 "gram.c" /* yacc.c:1652  */
    break;

  case 1337:
#line 9428 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38600 "gram.c" /* yacc.c:1652  */
    break;

  case 1338:
#line 9436 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38612 "gram.c" /* yacc.c:1652  */
    break;

  case 1339:
#line 9444 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38624 "gram.c" /* yacc.c:1652  */
    break;

  case 1340:
#line 9452 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38636 "gram.c" /* yacc.c:1652  */
    break;

  case 1341:
#line 9460 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38648 "gram.c" /* yacc.c:1652  */
    break;

  case 1342:
#line 9468 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-3].value);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38660 "gram.c" /* yacc.c:1652  */
    break;

  case 1343:
#line 9476 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38672 "gram.c" /* yacc.c:1652  */
    break;

  case 1344:
#line 9484 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38684 "gram.c" /* yacc.c:1652  */
    break;

  case 1345:
#line 9492 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38696 "gram.c" /* yacc.c:1652  */
    break;

  case 1346:
#line 9500 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38708 "gram.c" /* yacc.c:1652  */
    break;

  case 1347:
#line 9508 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38720 "gram.c" /* yacc.c:1652  */
    break;

  case 1348:
#line 9516 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38732 "gram.c" /* yacc.c:1652  */
    break;

  case 1349:
#line 9524 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38744 "gram.c" /* yacc.c:1652  */
    break;

  case 1350:
#line 9532 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38756 "gram.c" /* yacc.c:1652  */
    break;

  case 1351:
#line 9540 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38768 "gram.c" /* yacc.c:1652  */
    break;

  case 1352:
#line 9548 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38780 "gram.c" /* yacc.c:1652  */
    break;

  case 1353:
#line 9556 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38792 "gram.c" /* yacc.c:1652  */
    break;

  case 1354:
#line 9564 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38804 "gram.c" /* yacc.c:1652  */
    break;

  case 1355:
#line 9572 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38816 "gram.c" /* yacc.c:1652  */
    break;

  case 1356:
#line 9580 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38828 "gram.c" /* yacc.c:1652  */
    break;

  case 1357:
#line 9588 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38840 "gram.c" /* yacc.c:1652  */
    break;

  case 1358:
#line 9596 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38852 "gram.c" /* yacc.c:1652  */
    break;

  case 1359:
#line 9614 "gram.y" /* yacc.c:1652  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);
					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					if ((yyvsp[-1].node) != NULL)
					{
						/* FOR TABLE */
						if (IsA((yyvsp[-1].node), List))
							n->tables = (List *)(yyvsp[-1].node);
						/* FOR ALL TABLES */
						else
							n->for_all_tables = true;
					}
					(yyval.node) = (Node *)n;
				}
#line 38872 "gram.c" /* yacc.c:1652  */
    break;

  case 1360:
#line 9632 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38878 "gram.c" /* yacc.c:1652  */
    break;

  case 1361:
#line 9633 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 38884 "gram.c" /* yacc.c:1652  */
    break;

  case 1362:
#line 9638 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) (yyvsp[0].list);
				}
#line 38892 "gram.c" /* yacc.c:1652  */
    break;

  case 1363:
#line 9642 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeInteger(true);
				}
#line 38900 "gram.c" /* yacc.c:1652  */
    break;

  case 1364:
#line 9662 "gram.y" /* yacc.c:1652  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38911 "gram.c" /* yacc.c:1652  */
    break;

  case 1365:
#line 9669 "gram.y" /* yacc.c:1652  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_ADD;
					(yyval.node) = (Node *)n;
				}
#line 38923 "gram.c" /* yacc.c:1652  */
    break;

  case 1366:
#line 9677 "gram.y" /* yacc.c:1652  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_SET;
					(yyval.node) = (Node *)n;
				}
#line 38935 "gram.c" /* yacc.c:1652  */
    break;

  case 1367:
#line 9685 "gram.y" /* yacc.c:1652  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_DROP;
					(yyval.node) = (Node *)n;
				}
#line 38947 "gram.c" /* yacc.c:1652  */
    break;

  case 1368:
#line 9702 "gram.y" /* yacc.c:1652  */
    {
					CreateSubscriptionStmt *n =
						makeNode(CreateSubscriptionStmt);
					n->subname = (yyvsp[-5].str);
					n->conninfo = (yyvsp[-3].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38961 "gram.c" /* yacc.c:1652  */
    break;

  case 1369:
#line 9721 "gram.y" /* yacc.c:1652  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_OPTIONS;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38974 "gram.c" /* yacc.c:1652  */
    break;

  case 1370:
#line 9730 "gram.y" /* yacc.c:1652  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_CONNECTION;
					n->subname = (yyvsp[-2].str);
					n->conninfo = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38987 "gram.c" /* yacc.c:1652  */
    break;

  case 1371:
#line 9739 "gram.y" /* yacc.c:1652  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_REFRESH;
					n->subname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 39000 "gram.c" /* yacc.c:1652  */
    break;

  case 1372:
#line 9748 "gram.y" /* yacc.c:1652  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ADD_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 39014 "gram.c" /* yacc.c:1652  */
    break;

  case 1373:
#line 9758 "gram.y" /* yacc.c:1652  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_DROP_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 39028 "gram.c" /* yacc.c:1652  */
    break;

  case 1374:
#line 9768 "gram.y" /* yacc.c:1652  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_SET_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 39042 "gram.c" /* yacc.c:1652  */
    break;

  case 1375:
#line 9778 "gram.y" /* yacc.c:1652  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(true), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 39056 "gram.c" /* yacc.c:1652  */
    break;

  case 1376:
#line 9788 "gram.y" /* yacc.c:1652  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(false), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 39070 "gram.c" /* yacc.c:1652  */
    break;

  case 1377:
#line 9806 "gram.y" /* yacc.c:1652  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[-1].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39082 "gram.c" /* yacc.c:1652  */
    break;

  case 1378:
#line 9814 "gram.y" /* yacc.c:1652  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[-1].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39094 "gram.c" /* yacc.c:1652  */
    break;

  case 1379:
#line 9832 "gram.y" /* yacc.c:1652  */
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 39110 "gram.c" /* yacc.c:1652  */
    break;

  case 1380:
#line 9846 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 39116 "gram.c" /* yacc.c:1652  */
    break;

  case 1381:
#line 9847 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 39122 "gram.c" /* yacc.c:1652  */
    break;

  case 1382:
#line 9848 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39128 "gram.c" /* yacc.c:1652  */
    break;

  case 1383:
#line 9854 "gram.y" /* yacc.c:1652  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 39138 "gram.c" /* yacc.c:1652  */
    break;

  case 1384:
#line 9860 "gram.y" /* yacc.c:1652  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 39148 "gram.c" /* yacc.c:1652  */
    break;

  case 1390:
#line 9876 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39154 "gram.c" /* yacc.c:1652  */
    break;

  case 1391:
#line 9877 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 39160 "gram.c" /* yacc.c:1652  */
    break;

  case 1392:
#line 9880 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CMD_SELECT; }
#line 39166 "gram.c" /* yacc.c:1652  */
    break;

  case 1393:
#line 9881 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CMD_UPDATE; }
#line 39172 "gram.c" /* yacc.c:1652  */
    break;

  case 1394:
#line 9882 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CMD_DELETE; }
#line 39178 "gram.c" /* yacc.c:1652  */
    break;

  case 1395:
#line 9883 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CMD_INSERT; }
#line 39184 "gram.c" /* yacc.c:1652  */
    break;

  case 1396:
#line 9887 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 39190 "gram.c" /* yacc.c:1652  */
    break;

  case 1397:
#line 9888 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 39196 "gram.c" /* yacc.c:1652  */
    break;

  case 1398:
#line 9889 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 39202 "gram.c" /* yacc.c:1652  */
    break;

  case 1399:
#line 9902 "gram.y" /* yacc.c:1652  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 39213 "gram.c" /* yacc.c:1652  */
    break;

  case 1400:
#line 9911 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39219 "gram.c" /* yacc.c:1652  */
    break;

  case 1401:
#line 9912 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 39225 "gram.c" /* yacc.c:1652  */
    break;

  case 1402:
#line 9916 "gram.y" /* yacc.c:1652  */
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 39235 "gram.c" /* yacc.c:1652  */
    break;

  case 1403:
#line 9925 "gram.y" /* yacc.c:1652  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 39245 "gram.c" /* yacc.c:1652  */
    break;

  case 1404:
#line 9931 "gram.y" /* yacc.c:1652  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 39255 "gram.c" /* yacc.c:1652  */
    break;

  case 1405:
#line 9950 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 39267 "gram.c" /* yacc.c:1652  */
    break;

  case 1406:
#line 9958 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 39278 "gram.c" /* yacc.c:1652  */
    break;

  case 1407:
#line 9965 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 39290 "gram.c" /* yacc.c:1652  */
    break;

  case 1408:
#line 9973 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 39302 "gram.c" /* yacc.c:1652  */
    break;

  case 1409:
#line 9981 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 39313 "gram.c" /* yacc.c:1652  */
    break;

  case 1410:
#line 9988 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 39324 "gram.c" /* yacc.c:1652  */
    break;

  case 1411:
#line 9995 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 39335 "gram.c" /* yacc.c:1652  */
    break;

  case 1412:
#line 10002 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 39346 "gram.c" /* yacc.c:1652  */
    break;

  case 1413:
#line 10009 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 39357 "gram.c" /* yacc.c:1652  */
    break;

  case 1414:
#line 10016 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 39368 "gram.c" /* yacc.c:1652  */
    break;

  case 1415:
#line 10023 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 39379 "gram.c" /* yacc.c:1652  */
    break;

  case 1416:
#line 10030 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 39390 "gram.c" /* yacc.c:1652  */
    break;

  case 1417:
#line 10040 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 39401 "gram.c" /* yacc.c:1652  */
    break;

  case 1418:
#line 10047 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 39413 "gram.c" /* yacc.c:1652  */
    break;

  case 1422:
#line 10063 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0])), (yylsp[-2])); }
#line 39420 "gram.c" /* yacc.c:1652  */
    break;

  case 1423:
#line 10066 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(true, (yylsp[-1])), (yylsp[-1])); }
#line 39427 "gram.c" /* yacc.c:1652  */
    break;

  case 1424:
#line 10069 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 39434 "gram.c" /* yacc.c:1652  */
    break;

  case 1425:
#line 10072 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(true, (yylsp[0])), (yylsp[0])); }
#line 39441 "gram.c" /* yacc.c:1652  */
    break;

  case 1426:
#line 10075 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 39448 "gram.c" /* yacc.c:1652  */
    break;

  case 1427:
#line 10082 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 39454 "gram.c" /* yacc.c:1652  */
    break;

  case 1428:
#line 10084 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 39460 "gram.c" /* yacc.c:1652  */
    break;

  case 1429:
#line 10086 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39466 "gram.c" /* yacc.c:1652  */
    break;

  case 1431:
#line 10092 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 39472 "gram.c" /* yacc.c:1652  */
    break;

  case 1432:
#line 10096 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 39478 "gram.c" /* yacc.c:1652  */
    break;

  case 1433:
#line 10097 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 39484 "gram.c" /* yacc.c:1652  */
    break;

  case 1434:
#line 10098 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 39490 "gram.c" /* yacc.c:1652  */
    break;

  case 1435:
#line 10112 "gram.y" /* yacc.c:1652  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 39506 "gram.c" /* yacc.c:1652  */
    break;

  case 1436:
#line 10125 "gram.y" /* yacc.c:1652  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 39522 "gram.c" /* yacc.c:1652  */
    break;

  case 1437:
#line 10138 "gram.y" /* yacc.c:1652  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 39543 "gram.c" /* yacc.c:1652  */
    break;

  case 1438:
#line 10156 "gram.y" /* yacc.c:1652  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 39564 "gram.c" /* yacc.c:1652  */
    break;

  case 1439:
#line 10175 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 39570 "gram.c" /* yacc.c:1652  */
    break;

  case 1440:
#line 10176 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 39576 "gram.c" /* yacc.c:1652  */
    break;

  case 1441:
#line 10177 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 39582 "gram.c" /* yacc.c:1652  */
    break;

  case 1442:
#line 10178 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 39588 "gram.c" /* yacc.c:1652  */
    break;

  case 1443:
#line 10189 "gram.y" /* yacc.c:1652  */
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 39598 "gram.c" /* yacc.c:1652  */
    break;

  case 1444:
#line 10205 "gram.y" /* yacc.c:1652  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 39609 "gram.c" /* yacc.c:1652  */
    break;

  case 1445:
#line 10214 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39615 "gram.c" /* yacc.c:1652  */
    break;

  case 1446:
#line 10215 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 39621 "gram.c" /* yacc.c:1652  */
    break;

  case 1447:
#line 10219 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 39627 "gram.c" /* yacc.c:1652  */
    break;

  case 1448:
#line 10220 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39633 "gram.c" /* yacc.c:1652  */
    break;

  case 1449:
#line 10225 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 39641 "gram.c" /* yacc.c:1652  */
    break;

  case 1450:
#line 10229 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 39649 "gram.c" /* yacc.c:1652  */
    break;

  case 1451:
#line 10233 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2]));
				}
#line 39657 "gram.c" /* yacc.c:1652  */
    break;

  case 1452:
#line 10250 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39663 "gram.c" /* yacc.c:1652  */
    break;

  case 1453:
#line 10251 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup("connection_limit"); }
#line 39669 "gram.c" /* yacc.c:1652  */
    break;

  case 1454:
#line 10252 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 39675 "gram.c" /* yacc.c:1652  */
    break;

  case 1455:
#line 10253 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 39681 "gram.c" /* yacc.c:1652  */
    break;

  case 1456:
#line 10254 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 39687 "gram.c" /* yacc.c:1652  */
    break;

  case 1457:
#line 10255 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 39693 "gram.c" /* yacc.c:1652  */
    break;

  case 1458:
#line 10256 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 39699 "gram.c" /* yacc.c:1652  */
    break;

  case 1461:
#line 10276 "gram.y" /* yacc.c:1652  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 39710 "gram.c" /* yacc.c:1652  */
    break;

  case 1462:
#line 10283 "gram.y" /* yacc.c:1652  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 39721 "gram.c" /* yacc.c:1652  */
    break;

  case 1463:
#line 10290 "gram.y" /* yacc.c:1652  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
														(Node *)makeString((yyvsp[0].str)), (yylsp[0])));
					(yyval.node) = (Node *)n;
				 }
#line 39733 "gram.c" /* yacc.c:1652  */
    break;

  case 1464:
#line 10301 "gram.y" /* yacc.c:1652  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 39744 "gram.c" /* yacc.c:1652  */
    break;

  case 1465:
#line 10318 "gram.y" /* yacc.c:1652  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = false;
					n->options = NULL;
					(yyval.node) = (Node *)n;
				}
#line 39756 "gram.c" /* yacc.c:1652  */
    break;

  case 1466:
#line 10326 "gram.y" /* yacc.c:1652  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = true;
					n->options = NULL;
					(yyval.node) = (Node *)n;
				}
#line 39768 "gram.c" /* yacc.c:1652  */
    break;

  case 1467:
#line 10334 "gram.y" /* yacc.c:1652  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[-4].str);
					n->missing_ok = false;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 39780 "gram.c" /* yacc.c:1652  */
    break;

  case 1468:
#line 10342 "gram.y" /* yacc.c:1652  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[-4].str);
					n->missing_ok = true;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 39792 "gram.c" /* yacc.c:1652  */
    break;

  case 1469:
#line 10353 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((Node *) (yyvsp[0].defelt));
				}
#line 39800 "gram.c" /* yacc.c:1652  */
    break;

  case 1470:
#line 10357 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (Node *) (yyvsp[0].defelt));
				}
#line 39808 "gram.c" /* yacc.c:1652  */
    break;

  case 1471:
#line 10368 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("force", NULL, (yylsp[0]));
				}
#line 39816 "gram.c" /* yacc.c:1652  */
    break;

  case 1472:
#line 10380 "gram.y" /* yacc.c:1652  */
    {
					AlterCollationStmt *n = makeNode(AlterCollationStmt);
					n->collname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 39826 "gram.c" /* yacc.c:1652  */
    break;

  case 1473:
#line 10397 "gram.y" /* yacc.c:1652  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 39836 "gram.c" /* yacc.c:1652  */
    break;

  case 1474:
#line 10403 "gram.y" /* yacc.c:1652  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 39846 "gram.c" /* yacc.c:1652  */
    break;

  case 1475:
#line 10419 "gram.y" /* yacc.c:1652  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 39859 "gram.c" /* yacc.c:1652  */
    break;

  case 1476:
#line 10432 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 39871 "gram.c" /* yacc.c:1652  */
    break;

  case 1477:
#line 10441 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 39882 "gram.c" /* yacc.c:1652  */
    break;

  case 1478:
#line 10449 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 39893 "gram.c" /* yacc.c:1652  */
    break;

  case 1479:
#line 10457 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 39905 "gram.c" /* yacc.c:1652  */
    break;

  case 1480:
#line 10466 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 39919 "gram.c" /* yacc.c:1652  */
    break;

  case 1481:
#line 10477 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 39933 "gram.c" /* yacc.c:1652  */
    break;

  case 1482:
#line 10488 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 39945 "gram.c" /* yacc.c:1652  */
    break;

  case 1485:
#line 10510 "gram.y" /* yacc.c:1652  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 39956 "gram.c" /* yacc.c:1652  */
    break;

  case 1486:
#line 10520 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 39971 "gram.c" /* yacc.c:1652  */
    break;

  case 1487:
#line 10531 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 39986 "gram.c" /* yacc.c:1652  */
    break;

  case 1488:
#line 10542 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 40001 "gram.c" /* yacc.c:1652  */
    break;

  case 1489:
#line 10553 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 40016 "gram.c" /* yacc.c:1652  */
    break;

  case 1490:
#line 10564 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
#line 40029 "gram.c" /* yacc.c:1652  */
    break;

  case 1491:
#line 10573 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
#line 40042 "gram.c" /* yacc.c:1652  */
    break;

  case 1494:
#line 10601 "gram.y" /* yacc.c:1652  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *)n;
			}
#line 40056 "gram.c" /* yacc.c:1652  */
    break;

  case 1495:
#line 10624 "gram.y" /* yacc.c:1652  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->params = NIL;
					if ((yyvsp[-2].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[-2])));
					(yyval.node) = (Node*)n;
				}
#line 40070 "gram.c" /* yacc.c:1652  */
    break;

  case 1496:
#line 10635 "gram.y" /* yacc.c:1652  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					(yyval.node) = (Node*)n;
				}
#line 40082 "gram.c" /* yacc.c:1652  */
    break;

  case 1497:
#line 10643 "gram.y" /* yacc.c:1652  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->params = NIL;
					if ((yyvsp[0].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[0])));
					(yyval.node) = (Node*)n;
				}
#line 40096 "gram.c" /* yacc.c:1652  */
    break;

  case 1498:
#line 10654 "gram.y" /* yacc.c:1652  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->params = NIL;
					if ((yyvsp[-3].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[-3])));
					(yyval.node) = (Node*)n;
				}
#line 40110 "gram.c" /* yacc.c:1652  */
    break;

  case 1499:
#line 10666 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40116 "gram.c" /* yacc.c:1652  */
    break;

  case 1500:
#line 10667 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 40122 "gram.c" /* yacc.c:1652  */
    break;

  case 1501:
#line 10680 "gram.y" /* yacc.c:1652  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = NIL;
					if ((yyvsp[-4].boolean))
						n->options = lappend(n->options,
											 makeDefElem("full", NULL, (yylsp[-4])));
					if ((yyvsp[-3].boolean))
						n->options = lappend(n->options,
											 makeDefElem("freeze", NULL, (yylsp[-3])));
					if ((yyvsp[-2].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("analyze", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *)n;
				}
#line 40146 "gram.c" /* yacc.c:1652  */
    break;

  case 1502:
#line 10700 "gram.y" /* yacc.c:1652  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 40158 "gram.c" /* yacc.c:1652  */
    break;

  case 1503:
#line 10710 "gram.y" /* yacc.c:1652  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = NIL;
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *)n;
				}
#line 40173 "gram.c" /* yacc.c:1652  */
    break;

  case 1504:
#line 10721 "gram.y" /* yacc.c:1652  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 40185 "gram.c" /* yacc.c:1652  */
    break;

  case 1505:
#line 10732 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 40193 "gram.c" /* yacc.c:1652  */
    break;

  case 1506:
#line 10736 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 40201 "gram.c" /* yacc.c:1652  */
    break;

  case 1509:
#line 10748 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 40209 "gram.c" /* yacc.c:1652  */
    break;

  case 1510:
#line 10754 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40215 "gram.c" /* yacc.c:1652  */
    break;

  case 1511:
#line 10755 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "analyze"; }
#line 40221 "gram.c" /* yacc.c:1652  */
    break;

  case 1512:
#line 10759 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 40227 "gram.c" /* yacc.c:1652  */
    break;

  case 1513:
#line 10760 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 40233 "gram.c" /* yacc.c:1652  */
    break;

  case 1514:
#line 10761 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 40239 "gram.c" /* yacc.c:1652  */
    break;

  case 1515:
#line 10765 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 40245 "gram.c" /* yacc.c:1652  */
    break;

  case 1516:
#line 10766 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 40251 "gram.c" /* yacc.c:1652  */
    break;

  case 1517:
#line 10770 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 40257 "gram.c" /* yacc.c:1652  */
    break;

  case 1518:
#line 10771 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 40263 "gram.c" /* yacc.c:1652  */
    break;

  case 1519:
#line 10774 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 40269 "gram.c" /* yacc.c:1652  */
    break;

  case 1520:
#line 10775 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 40275 "gram.c" /* yacc.c:1652  */
    break;

  case 1521:
#line 10778 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 40281 "gram.c" /* yacc.c:1652  */
    break;

  case 1522:
#line 10779 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 40287 "gram.c" /* yacc.c:1652  */
    break;

  case 1523:
#line 10783 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40293 "gram.c" /* yacc.c:1652  */
    break;

  case 1524:
#line 10784 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40299 "gram.c" /* yacc.c:1652  */
    break;

  case 1525:
#line 10789 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeVacuumRelation((yyvsp[-1].range), InvalidOid, (yyvsp[0].list));
				}
#line 40307 "gram.c" /* yacc.c:1652  */
    break;

  case 1526:
#line 10796 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40313 "gram.c" /* yacc.c:1652  */
    break;

  case 1527:
#line 10798 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 40319 "gram.c" /* yacc.c:1652  */
    break;

  case 1528:
#line 10802 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40325 "gram.c" /* yacc.c:1652  */
    break;

  case 1529:
#line 10803 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40331 "gram.c" /* yacc.c:1652  */
    break;

  case 1530:
#line 10817 "gram.y" /* yacc.c:1652  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 40342 "gram.c" /* yacc.c:1652  */
    break;

  case 1531:
#line 10824 "gram.y" /* yacc.c:1652  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 40356 "gram.c" /* yacc.c:1652  */
    break;

  case 1532:
#line 10834 "gram.y" /* yacc.c:1652  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 40367 "gram.c" /* yacc.c:1652  */
    break;

  case 1533:
#line 10841 "gram.y" /* yacc.c:1652  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 40378 "gram.c" /* yacc.c:1652  */
    break;

  case 1543:
#line 10869 "gram.y" /* yacc.c:1652  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 40390 "gram.c" /* yacc.c:1652  */
    break;

  case 1544:
#line 10878 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40396 "gram.c" /* yacc.c:1652  */
    break;

  case 1545:
#line 10879 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40402 "gram.c" /* yacc.c:1652  */
    break;

  case 1550:
#line 10897 "gram.y" /* yacc.c:1652  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 40413 "gram.c" /* yacc.c:1652  */
    break;

  case 1551:
#line 10905 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 40433 "gram.c" /* yacc.c:1652  */
    break;

  case 1552:
#line 10922 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-10].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 40453 "gram.c" /* yacc.c:1652  */
    break;

  case 1553:
#line 10939 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40459 "gram.c" /* yacc.c:1652  */
    break;

  case 1554:
#line 10940 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40465 "gram.c" /* yacc.c:1652  */
    break;

  case 1555:
#line 10951 "gram.y" /* yacc.c:1652  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 40475 "gram.c" /* yacc.c:1652  */
    break;

  case 1556:
#line 10957 "gram.y" /* yacc.c:1652  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 40485 "gram.c" /* yacc.c:1652  */
    break;

  case 1557:
#line 10963 "gram.y" /* yacc.c:1652  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 40495 "gram.c" /* yacc.c:1652  */
    break;

  case 1558:
#line 10969 "gram.y" /* yacc.c:1652  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 40505 "gram.c" /* yacc.c:1652  */
    break;

  case 1559:
#line 10986 "gram.y" /* yacc.c:1652  */
    {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 40517 "gram.c" /* yacc.c:1652  */
    break;

  case 1560:
#line 11003 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 40525 "gram.c" /* yacc.c:1652  */
    break;

  case 1561:
#line 11007 "gram.y" /* yacc.c:1652  */
    {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 40534 "gram.c" /* yacc.c:1652  */
    break;

  case 1562:
#line 11015 "gram.y" /* yacc.c:1652  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 40544 "gram.c" /* yacc.c:1652  */
    break;

  case 1563:
#line 11021 "gram.y" /* yacc.c:1652  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 40555 "gram.c" /* yacc.c:1652  */
    break;

  case 1564:
#line 11028 "gram.y" /* yacc.c:1652  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 40565 "gram.c" /* yacc.c:1652  */
    break;

  case 1565:
#line 11034 "gram.y" /* yacc.c:1652  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-5].list);
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 40576 "gram.c" /* yacc.c:1652  */
    break;

  case 1566:
#line 11041 "gram.y" /* yacc.c:1652  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 40586 "gram.c" /* yacc.c:1652  */
    break;

  case 1567:
#line 11049 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = OVERRIDING_USER_VALUE; }
#line 40592 "gram.c" /* yacc.c:1652  */
    break;

  case 1568:
#line 11050 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = OVERRIDING_SYSTEM_VALUE; }
#line 40598 "gram.c" /* yacc.c:1652  */
    break;

  case 1569:
#line 11055 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 40604 "gram.c" /* yacc.c:1652  */
    break;

  case 1570:
#line 11057 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 40610 "gram.c" /* yacc.c:1652  */
    break;

  case 1571:
#line 11062 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 40622 "gram.c" /* yacc.c:1652  */
    break;

  case 1572:
#line 11073 "gram.y" /* yacc.c:1652  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 40635 "gram.c" /* yacc.c:1652  */
    break;

  case 1573:
#line 11083 "gram.y" /* yacc.c:1652  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 40648 "gram.c" /* yacc.c:1652  */
    break;

  case 1574:
#line 11092 "gram.y" /* yacc.c:1652  */
    {
					(yyval.onconflict) = NULL;
				}
#line 40656 "gram.c" /* yacc.c:1652  */
    break;

  case 1575:
#line 11099 "gram.y" /* yacc.c:1652  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 40668 "gram.c" /* yacc.c:1652  */
    break;

  case 1576:
#line 11108 "gram.y" /* yacc.c:1652  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 40680 "gram.c" /* yacc.c:1652  */
    break;

  case 1577:
#line 11116 "gram.y" /* yacc.c:1652  */
    {
					(yyval.infer) = NULL;
				}
#line 40688 "gram.c" /* yacc.c:1652  */
    break;

  case 1578:
#line 11122 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40694 "gram.c" /* yacc.c:1652  */
    break;

  case 1579:
#line 11123 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40700 "gram.c" /* yacc.c:1652  */
    break;

  case 1580:
#line 11136 "gram.y" /* yacc.c:1652  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *)n;
				}
#line 40714 "gram.c" /* yacc.c:1652  */
    break;

  case 1581:
#line 11148 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40720 "gram.c" /* yacc.c:1652  */
    break;

  case 1582:
#line 11149 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40726 "gram.c" /* yacc.c:1652  */
    break;

  case 1583:
#line 11161 "gram.y" /* yacc.c:1652  */
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 40739 "gram.c" /* yacc.c:1652  */
    break;

  case 1584:
#line 11171 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 40745 "gram.c" /* yacc.c:1652  */
    break;

  case 1585:
#line 11172 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 40751 "gram.c" /* yacc.c:1652  */
    break;

  case 1586:
#line 11175 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = AccessShareLock; }
#line 40757 "gram.c" /* yacc.c:1652  */
    break;

  case 1587:
#line 11176 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RowShareLock; }
#line 40763 "gram.c" /* yacc.c:1652  */
    break;

  case 1588:
#line 11177 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RowExclusiveLock; }
#line 40769 "gram.c" /* yacc.c:1652  */
    break;

  case 1589:
#line 11178 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 40775 "gram.c" /* yacc.c:1652  */
    break;

  case 1590:
#line 11179 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ShareLock; }
#line 40781 "gram.c" /* yacc.c:1652  */
    break;

  case 1591:
#line 11180 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 40787 "gram.c" /* yacc.c:1652  */
    break;

  case 1592:
#line 11181 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ExclusiveLock; }
#line 40793 "gram.c" /* yacc.c:1652  */
    break;

  case 1593:
#line 11182 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 40799 "gram.c" /* yacc.c:1652  */
    break;

  case 1594:
#line 11185 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 40805 "gram.c" /* yacc.c:1652  */
    break;

  case 1595:
#line 11186 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 40811 "gram.c" /* yacc.c:1652  */
    break;

  case 1596:
#line 11190 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LockWaitError; }
#line 40817 "gram.c" /* yacc.c:1652  */
    break;

  case 1597:
#line 11191 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LockWaitSkip; }
#line 40823 "gram.c" /* yacc.c:1652  */
    break;

  case 1598:
#line 11192 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LockWaitBlock; }
#line 40829 "gram.c" /* yacc.c:1652  */
    break;

  case 1599:
#line 11208 "gram.y" /* yacc.c:1652  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *)n;
				}
#line 40844 "gram.c" /* yacc.c:1652  */
    break;

  case 1600:
#line 11221 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40850 "gram.c" /* yacc.c:1652  */
    break;

  case 1601:
#line 11222 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 40856 "gram.c" /* yacc.c:1652  */
    break;

  case 1602:
#line 11227 "gram.y" /* yacc.c:1652  */
    {
					(yyvsp[-2].target)->val = (Node *) (yyvsp[0].node);
					(yyval.list) = list_make1((yyvsp[-2].target));
				}
#line 40865 "gram.c" /* yacc.c:1652  */
    break;

  case 1603:
#line 11232 "gram.y" /* yacc.c:1652  */
    {
					int ncolumns = list_length((yyvsp[-3].list));
					int i = 1;
					ListCell *col_cell;

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) (yyvsp[0].node);
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 40890 "gram.c" /* yacc.c:1652  */
    break;

  case 1604:
#line 11256 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 40902 "gram.c" /* yacc.c:1652  */
    break;

  case 1605:
#line 11266 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 40908 "gram.c" /* yacc.c:1652  */
    break;

  case 1606:
#line 11267 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 40914 "gram.c" /* yacc.c:1652  */
    break;

  case 1607:
#line 11278 "gram.y" /* yacc.c:1652  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 40927 "gram.c" /* yacc.c:1652  */
    break;

  case 1608:
#line 11288 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40933 "gram.c" /* yacc.c:1652  */
    break;

  case 1609:
#line 11291 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 40939 "gram.c" /* yacc.c:1652  */
    break;

  case 1610:
#line 11292 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 40945 "gram.c" /* yacc.c:1652  */
    break;

  case 1611:
#line 11293 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 40951 "gram.c" /* yacc.c:1652  */
    break;

  case 1612:
#line 11294 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 40957 "gram.c" /* yacc.c:1652  */
    break;

  case 1613:
#line 11295 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_ASENSITIVE; }
#line 40963 "gram.c" /* yacc.c:1652  */
    break;

  case 1614:
#line 11296 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 40969 "gram.c" /* yacc.c:1652  */
    break;

  case 1615:
#line 11299 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 40975 "gram.c" /* yacc.c:1652  */
    break;

  case 1616:
#line 11300 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 40981 "gram.c" /* yacc.c:1652  */
    break;

  case 1617:
#line 11301 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 40987 "gram.c" /* yacc.c:1652  */
    break;

  case 1620:
#line 11354 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 40993 "gram.c" /* yacc.c:1652  */
    break;

  case 1621:
#line 11355 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 40999 "gram.c" /* yacc.c:1652  */
    break;

  case 1622:
#line 11370 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41005 "gram.c" /* yacc.c:1652  */
    break;

  case 1623:
#line 11372 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 41016 "gram.c" /* yacc.c:1652  */
    break;

  case 1624:
#line 11379 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 41028 "gram.c" /* yacc.c:1652  */
    break;

  case 1625:
#line 11387 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 41040 "gram.c" /* yacc.c:1652  */
    break;

  case 1626:
#line 11395 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 41052 "gram.c" /* yacc.c:1652  */
    break;

  case 1627:
#line 11403 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 41064 "gram.c" /* yacc.c:1652  */
    break;

  case 1628:
#line 11411 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 41076 "gram.c" /* yacc.c:1652  */
    break;

  case 1629:
#line 11419 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 41088 "gram.c" /* yacc.c:1652  */
    break;

  case 1630:
#line 11429 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41094 "gram.c" /* yacc.c:1652  */
    break;

  case 1631:
#line 11430 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41100 "gram.c" /* yacc.c:1652  */
    break;

  case 1632:
#line 11465 "gram.y" /* yacc.c:1652  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = ((yyvsp[-2].groupclause))->list;
					n->groupDistinct = ((yyvsp[-2].groupclause))->distinct;
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 41117 "gram.c" /* yacc.c:1652  */
    break;

  case 1633:
#line 11480 "gram.y" /* yacc.c:1652  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = ((yyvsp[-2].groupclause))->list;
					n->groupDistinct = ((yyvsp[-2].groupclause))->distinct;
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 41135 "gram.c" /* yacc.c:1652  */
    break;

  case 1634:
#line 11493 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41141 "gram.c" /* yacc.c:1652  */
    break;

  case 1635:
#line 11495 "gram.y" /* yacc.c:1652  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *)n;
				}
#line 41164 "gram.c" /* yacc.c:1652  */
    break;

  case 1636:
#line 11514 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 41172 "gram.c" /* yacc.c:1652  */
    break;

  case 1637:
#line 11518 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 41180 "gram.c" /* yacc.c:1652  */
    break;

  case 1638:
#line 11522 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 41188 "gram.c" /* yacc.c:1652  */
    break;

  case 1639:
#line 11537 "gram.y" /* yacc.c:1652  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 41199 "gram.c" /* yacc.c:1652  */
    break;

  case 1640:
#line 11544 "gram.y" /* yacc.c:1652  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 41210 "gram.c" /* yacc.c:1652  */
    break;

  case 1641:
#line 11551 "gram.y" /* yacc.c:1652  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 41221 "gram.c" /* yacc.c:1652  */
    break;

  case 1642:
#line 11560 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 41227 "gram.c" /* yacc.c:1652  */
    break;

  case 1643:
#line 11561 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 41233 "gram.c" /* yacc.c:1652  */
    break;

  case 1644:
#line 11565 "gram.y" /* yacc.c:1652  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[-8].str);
				n->aliascolnames = (yyvsp[-7].list);
				n->ctematerialized = (yyvsp[-5].ival);
				n->ctequery = (yyvsp[-3].node);
				n->search_clause = castNode(CTESearchClause, (yyvsp[-1].node));
				n->cycle_clause = castNode(CTECycleClause, (yyvsp[0].node));
				n->location = (yylsp[-8]);
				(yyval.node) = (Node *) n;
			}
#line 41249 "gram.c" /* yacc.c:1652  */
    break;

  case 1645:
#line 11579 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CTEMaterializeAlways; }
#line 41255 "gram.c" /* yacc.c:1652  */
    break;

  case 1646:
#line 11580 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CTEMaterializeNever; }
#line 41261 "gram.c" /* yacc.c:1652  */
    break;

  case 1647:
#line 11581 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CTEMaterializeDefault; }
#line 41267 "gram.c" /* yacc.c:1652  */
    break;

  case 1648:
#line 11586 "gram.y" /* yacc.c:1652  */
    {
				CTESearchClause *n = makeNode(CTESearchClause);
				n->search_col_list = (yyvsp[-2].list);
				n->search_breadth_first = false;
				n->search_seq_column = (yyvsp[0].str);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 41280 "gram.c" /* yacc.c:1652  */
    break;

  case 1649:
#line 11595 "gram.y" /* yacc.c:1652  */
    {
				CTESearchClause *n = makeNode(CTESearchClause);
				n->search_col_list = (yyvsp[-2].list);
				n->search_breadth_first = true;
				n->search_seq_column = (yyvsp[0].str);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 41293 "gram.c" /* yacc.c:1652  */
    break;

  case 1650:
#line 11604 "gram.y" /* yacc.c:1652  */
    {
				(yyval.node) = NULL;
			}
#line 41301 "gram.c" /* yacc.c:1652  */
    break;

  case 1651:
#line 11611 "gram.y" /* yacc.c:1652  */
    {
				CTECycleClause *n = makeNode(CTECycleClause);
				n->cycle_col_list = (yyvsp[-8].list);
				n->cycle_mark_column = (yyvsp[-6].str);
				n->cycle_mark_value = (yyvsp[-4].node);
				n->cycle_mark_default = (yyvsp[-2].node);
				n->cycle_path_column = (yyvsp[0].str);
				n->location = (yylsp[-9]);
				(yyval.node) = (Node *) n;
			}
#line 41316 "gram.c" /* yacc.c:1652  */
    break;

  case 1652:
#line 11622 "gram.y" /* yacc.c:1652  */
    {
				CTECycleClause *n = makeNode(CTECycleClause);
				n->cycle_col_list = (yyvsp[-4].list);
				n->cycle_mark_column = (yyvsp[-2].str);
				n->cycle_mark_value = makeBoolAConst(true, -1);
				n->cycle_mark_default = makeBoolAConst(false, -1);
				n->cycle_path_column = (yyvsp[0].str);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 41331 "gram.c" /* yacc.c:1652  */
    break;

  case 1653:
#line 11633 "gram.y" /* yacc.c:1652  */
    {
				(yyval.node) = NULL;
			}
#line 41339 "gram.c" /* yacc.c:1652  */
    break;

  case 1654:
#line 11639 "gram.y" /* yacc.c:1652  */
    { (yyval.with) = (yyvsp[0].with); }
#line 41345 "gram.c" /* yacc.c:1652  */
    break;

  case 1655:
#line 11640 "gram.y" /* yacc.c:1652  */
    { (yyval.with) = NULL; }
#line 41351 "gram.c" /* yacc.c:1652  */
    break;

  case 1656:
#line 11645 "gram.y" /* yacc.c:1652  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 41366 "gram.c" /* yacc.c:1652  */
    break;

  case 1657:
#line 11656 "gram.y" /* yacc.c:1652  */
    { (yyval.into) = NULL; }
#line 41372 "gram.c" /* yacc.c:1652  */
    break;

  case 1658:
#line 11665 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 41381 "gram.c" /* yacc.c:1652  */
    break;

  case 1659:
#line 11670 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 41390 "gram.c" /* yacc.c:1652  */
    break;

  case 1660:
#line 11675 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 41399 "gram.c" /* yacc.c:1652  */
    break;

  case 1661:
#line 11680 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 41408 "gram.c" /* yacc.c:1652  */
    break;

  case 1662:
#line 11685 "gram.y" /* yacc.c:1652  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 41420 "gram.c" /* yacc.c:1652  */
    break;

  case 1663:
#line 11693 "gram.y" /* yacc.c:1652  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 41432 "gram.c" /* yacc.c:1652  */
    break;

  case 1664:
#line 11701 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 41441 "gram.c" /* yacc.c:1652  */
    break;

  case 1665:
#line 11706 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 41450 "gram.c" /* yacc.c:1652  */
    break;

  case 1666:
#line 11711 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 41459 "gram.c" /* yacc.c:1652  */
    break;

  case 1669:
#line 11722 "gram.y" /* yacc.c:1652  */
    { (yyval.setquantifier) = SET_QUANTIFIER_ALL; }
#line 41465 "gram.c" /* yacc.c:1652  */
    break;

  case 1670:
#line 11723 "gram.y" /* yacc.c:1652  */
    { (yyval.setquantifier) = SET_QUANTIFIER_DISTINCT; }
#line 41471 "gram.c" /* yacc.c:1652  */
    break;

  case 1671:
#line 11724 "gram.y" /* yacc.c:1652  */
    { (yyval.setquantifier) = SET_QUANTIFIER_DEFAULT; }
#line 41477 "gram.c" /* yacc.c:1652  */
    break;

  case 1672:
#line 11731 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(NIL); }
#line 41483 "gram.c" /* yacc.c:1652  */
    break;

  case 1673:
#line 11732 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 41489 "gram.c" /* yacc.c:1652  */
    break;

  case 1676:
#line 11741 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41495 "gram.c" /* yacc.c:1652  */
    break;

  case 1677:
#line 11742 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 41501 "gram.c" /* yacc.c:1652  */
    break;

  case 1678:
#line 11746 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41507 "gram.c" /* yacc.c:1652  */
    break;

  case 1679:
#line 11747 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 41513 "gram.c" /* yacc.c:1652  */
    break;

  case 1680:
#line 11751 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41519 "gram.c" /* yacc.c:1652  */
    break;

  case 1681:
#line 11755 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 41525 "gram.c" /* yacc.c:1652  */
    break;

  case 1682:
#line 11756 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 41531 "gram.c" /* yacc.c:1652  */
    break;

  case 1683:
#line 11760 "gram.y" /* yacc.c:1652  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 41544 "gram.c" /* yacc.c:1652  */
    break;

  case 1684:
#line 11769 "gram.y" /* yacc.c:1652  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 41557 "gram.c" /* yacc.c:1652  */
    break;

  case 1685:
#line 11782 "gram.y" /* yacc.c:1652  */
    {
					(yyval.selectlimit) = (yyvsp[-1].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[0].node);
				}
#line 41566 "gram.c" /* yacc.c:1652  */
    break;

  case 1686:
#line 11787 "gram.y" /* yacc.c:1652  */
    {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[-1].node);
				}
#line 41575 "gram.c" /* yacc.c:1652  */
    break;

  case 1687:
#line 11792 "gram.y" /* yacc.c:1652  */
    {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
				}
#line 41583 "gram.c" /* yacc.c:1652  */
    break;

  case 1688:
#line 11796 "gram.y" /* yacc.c:1652  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));
					n->limitOffset = (yyvsp[0].node);
					n->limitCount = NULL;
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 41595 "gram.c" /* yacc.c:1652  */
    break;

  case 1689:
#line 11806 "gram.y" /* yacc.c:1652  */
    { (yyval.selectlimit) = (yyvsp[0].selectlimit); }
#line 41601 "gram.c" /* yacc.c:1652  */
    break;

  case 1690:
#line 11807 "gram.y" /* yacc.c:1652  */
    { (yyval.selectlimit) = NULL; }
#line 41607 "gram.c" /* yacc.c:1652  */
    break;

  case 1691:
#line 11812 "gram.y" /* yacc.c:1652  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));
					n->limitOffset = NULL;
					n->limitCount = (yyvsp[0].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 41619 "gram.c" /* yacc.c:1652  */
    break;

  case 1692:
#line 11820 "gram.y" /* yacc.c:1652  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 41632 "gram.c" /* yacc.c:1652  */
    break;

  case 1693:
#line 11836 "gram.y" /* yacc.c:1652  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));
					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-2].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 41644 "gram.c" /* yacc.c:1652  */
    break;

  case 1694:
#line 11844 "gram.y" /* yacc.c:1652  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));
					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-3].node);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 41656 "gram.c" /* yacc.c:1652  */
    break;

  case 1695:
#line 11852 "gram.y" /* yacc.c:1652  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));
					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 41668 "gram.c" /* yacc.c:1652  */
    break;

  case 1696:
#line 11860 "gram.y" /* yacc.c:1652  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));
					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 41680 "gram.c" /* yacc.c:1652  */
    break;

  case 1697:
#line 11871 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41686 "gram.c" /* yacc.c:1652  */
    break;

  case 1698:
#line 11874 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 41692 "gram.c" /* yacc.c:1652  */
    break;

  case 1699:
#line 11878 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41698 "gram.c" /* yacc.c:1652  */
    break;

  case 1700:
#line 11880 "gram.y" /* yacc.c:1652  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 41707 "gram.c" /* yacc.c:1652  */
    break;

  case 1701:
#line 11887 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41713 "gram.c" /* yacc.c:1652  */
    break;

  case 1702:
#line 11907 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41719 "gram.c" /* yacc.c:1652  */
    break;

  case 1703:
#line 11909 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 41725 "gram.c" /* yacc.c:1652  */
    break;

  case 1704:
#line 11911 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 41731 "gram.c" /* yacc.c:1652  */
    break;

  case 1705:
#line 11915 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival),(yylsp[0])); }
#line 41737 "gram.c" /* yacc.c:1652  */
    break;

  case 1706:
#line 11916 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeFloatConst((yyvsp[0].str),(yylsp[0])); }
#line 41743 "gram.c" /* yacc.c:1652  */
    break;

  case 1707:
#line 11920 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 41749 "gram.c" /* yacc.c:1652  */
    break;

  case 1708:
#line 11921 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 41755 "gram.c" /* yacc.c:1652  */
    break;

  case 1709:
#line 11924 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 41761 "gram.c" /* yacc.c:1652  */
    break;

  case 1710:
#line 11925 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 41767 "gram.c" /* yacc.c:1652  */
    break;

  case 1711:
#line 11951 "gram.y" /* yacc.c:1652  */
    {
					GroupClause *n = (GroupClause *) palloc(sizeof(GroupClause));
					n->distinct = (yyvsp[-1].setquantifier) == SET_QUANTIFIER_DISTINCT;
					n->list = (yyvsp[0].list);
					(yyval.groupclause) = n;
				}
#line 41778 "gram.c" /* yacc.c:1652  */
    break;

  case 1712:
#line 11958 "gram.y" /* yacc.c:1652  */
    {
					GroupClause *n = (GroupClause *) palloc(sizeof(GroupClause));
					n->distinct = false;
					n->list = NIL;
					(yyval.groupclause) = n;
				}
#line 41789 "gram.c" /* yacc.c:1652  */
    break;

  case 1713:
#line 11967 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 41795 "gram.c" /* yacc.c:1652  */
    break;

  case 1714:
#line 11968 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 41801 "gram.c" /* yacc.c:1652  */
    break;

  case 1715:
#line 11972 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41807 "gram.c" /* yacc.c:1652  */
    break;

  case 1716:
#line 11973 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41813 "gram.c" /* yacc.c:1652  */
    break;

  case 1717:
#line 11974 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41819 "gram.c" /* yacc.c:1652  */
    break;

  case 1718:
#line 11975 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41825 "gram.c" /* yacc.c:1652  */
    break;

  case 1719:
#line 11976 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41831 "gram.c" /* yacc.c:1652  */
    break;

  case 1720:
#line 11981 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 41839 "gram.c" /* yacc.c:1652  */
    break;

  case 1721:
#line 11994 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41847 "gram.c" /* yacc.c:1652  */
    break;

  case 1722:
#line 12001 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41855 "gram.c" /* yacc.c:1652  */
    break;

  case 1723:
#line 12008 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 41863 "gram.c" /* yacc.c:1652  */
    break;

  case 1724:
#line 12014 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41869 "gram.c" /* yacc.c:1652  */
    break;

  case 1725:
#line 12015 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 41875 "gram.c" /* yacc.c:1652  */
    break;

  case 1726:
#line 12019 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41881 "gram.c" /* yacc.c:1652  */
    break;

  case 1727:
#line 12020 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 41887 "gram.c" /* yacc.c:1652  */
    break;

  case 1728:
#line 12024 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41893 "gram.c" /* yacc.c:1652  */
    break;

  case 1729:
#line 12025 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 41899 "gram.c" /* yacc.c:1652  */
    break;

  case 1730:
#line 12029 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 41905 "gram.c" /* yacc.c:1652  */
    break;

  case 1731:
#line 12030 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 41911 "gram.c" /* yacc.c:1652  */
    break;

  case 1732:
#line 12035 "gram.y" /* yacc.c:1652  */
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 41923 "gram.c" /* yacc.c:1652  */
    break;

  case 1733:
#line 12045 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 41929 "gram.c" /* yacc.c:1652  */
    break;

  case 1734:
#line 12046 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 41935 "gram.c" /* yacc.c:1652  */
    break;

  case 1735:
#line 12047 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 41941 "gram.c" /* yacc.c:1652  */
    break;

  case 1736:
#line 12048 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 41947 "gram.c" /* yacc.c:1652  */
    break;

  case 1737:
#line 12052 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41953 "gram.c" /* yacc.c:1652  */
    break;

  case 1738:
#line 12053 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 41959 "gram.c" /* yacc.c:1652  */
    break;

  case 1739:
#line 12064 "gram.y" /* yacc.c:1652  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 41969 "gram.c" /* yacc.c:1652  */
    break;

  case 1740:
#line 12070 "gram.y" /* yacc.c:1652  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-4].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 41979 "gram.c" /* yacc.c:1652  */
    break;

  case 1741:
#line 12087 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41985 "gram.c" /* yacc.c:1652  */
    break;

  case 1742:
#line 12088 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 41991 "gram.c" /* yacc.c:1652  */
    break;

  case 1743:
#line 12092 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 41997 "gram.c" /* yacc.c:1652  */
    break;

  case 1744:
#line 12093 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 42003 "gram.c" /* yacc.c:1652  */
    break;

  case 1745:
#line 12100 "gram.y" /* yacc.c:1652  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 42012 "gram.c" /* yacc.c:1652  */
    break;

  case 1746:
#line 12105 "gram.y" /* yacc.c:1652  */
    {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);
					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 42024 "gram.c" /* yacc.c:1652  */
    break;

  case 1747:
#line 12113 "gram.y" /* yacc.c:1652  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 42035 "gram.c" /* yacc.c:1652  */
    break;

  case 1748:
#line 12120 "gram.y" /* yacc.c:1652  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 42047 "gram.c" /* yacc.c:1652  */
    break;

  case 1749:
#line 12128 "gram.y" /* yacc.c:1652  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 42057 "gram.c" /* yacc.c:1652  */
    break;

  case 1750:
#line 12134 "gram.y" /* yacc.c:1652  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 42068 "gram.c" /* yacc.c:1652  */
    break;

  case 1751:
#line 12141 "gram.y" /* yacc.c:1652  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 42107 "gram.c" /* yacc.c:1652  */
    break;

  case 1752:
#line 12176 "gram.y" /* yacc.c:1652  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/* same comment as above */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 42136 "gram.c" /* yacc.c:1652  */
    break;

  case 1753:
#line 12201 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 42144 "gram.c" /* yacc.c:1652  */
    break;

  case 1754:
#line 12205 "gram.y" /* yacc.c:1652  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 42153 "gram.c" /* yacc.c:1652  */
    break;

  case 1755:
#line 12231 "gram.y" /* yacc.c:1652  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 42161 "gram.c" /* yacc.c:1652  */
    break;

  case 1756:
#line 12235 "gram.y" /* yacc.c:1652  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->join_using_alias = NULL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 42178 "gram.c" /* yacc.c:1652  */
    break;

  case 1757:
#line 12248 "gram.y" /* yacc.c:1652  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = false;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
					{
						 /* USING clause */
						n->usingClause = linitial_node(List, castNode(List, (yyvsp[0].node)));
						n->join_using_alias = lsecond_node(Alias, castNode(List, (yyvsp[0].node)));
					}
					else
					{
						/* ON clause */
						n->quals = (yyvsp[0].node);
					}
					(yyval.jexpr) = n;
				}
#line 42202 "gram.c" /* yacc.c:1652  */
    break;

  case 1758:
#line 12268 "gram.y" /* yacc.c:1652  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
					{
						/* USING clause */
						n->usingClause = linitial_node(List, castNode(List, (yyvsp[0].node)));
						n->join_using_alias = lsecond_node(Alias, castNode(List, (yyvsp[0].node)));
					}
					else
					{
						/* ON clause */
						n->quals = (yyvsp[0].node);
					}
					(yyval.jexpr) = n;
				}
#line 42227 "gram.c" /* yacc.c:1652  */
    break;

  case 1759:
#line 12289 "gram.y" /* yacc.c:1652  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = true;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->join_using_alias = NULL;
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 42243 "gram.c" /* yacc.c:1652  */
    break;

  case 1760:
#line 12301 "gram.y" /* yacc.c:1652  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = true;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->join_using_alias = NULL;
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 42260 "gram.c" /* yacc.c:1652  */
    break;

  case 1761:
#line 12317 "gram.y" /* yacc.c:1652  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 42270 "gram.c" /* yacc.c:1652  */
    break;

  case 1762:
#line 12323 "gram.y" /* yacc.c:1652  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 42279 "gram.c" /* yacc.c:1652  */
    break;

  case 1763:
#line 12328 "gram.y" /* yacc.c:1652  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 42289 "gram.c" /* yacc.c:1652  */
    break;

  case 1764:
#line 12334 "gram.y" /* yacc.c:1652  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 42298 "gram.c" /* yacc.c:1652  */
    break;

  case 1765:
#line 12340 "gram.y" /* yacc.c:1652  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 42304 "gram.c" /* yacc.c:1652  */
    break;

  case 1766:
#line 12341 "gram.y" /* yacc.c:1652  */
    { (yyval.alias) = NULL; }
#line 42310 "gram.c" /* yacc.c:1652  */
    break;

  case 1767:
#line 12352 "gram.y" /* yacc.c:1652  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
					/* the column name list will be inserted later */
				}
#line 42320 "gram.c" /* yacc.c:1652  */
    break;

  case 1768:
#line 12357 "gram.y" /* yacc.c:1652  */
    { (yyval.alias) = NULL; }
#line 42326 "gram.c" /* yacc.c:1652  */
    break;

  case 1769:
#line 12366 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 42334 "gram.c" /* yacc.c:1652  */
    break;

  case 1770:
#line 12370 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 42342 "gram.c" /* yacc.c:1652  */
    break;

  case 1771:
#line 12374 "gram.y" /* yacc.c:1652  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 42352 "gram.c" /* yacc.c:1652  */
    break;

  case 1772:
#line 12380 "gram.y" /* yacc.c:1652  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 42362 "gram.c" /* yacc.c:1652  */
    break;

  case 1773:
#line 12386 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 42370 "gram.c" /* yacc.c:1652  */
    break;

  case 1774:
#line 12391 "gram.y" /* yacc.c:1652  */
    { (yyval.jtype) = JOIN_FULL; }
#line 42376 "gram.c" /* yacc.c:1652  */
    break;

  case 1775:
#line 12392 "gram.y" /* yacc.c:1652  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 42382 "gram.c" /* yacc.c:1652  */
    break;

  case 1776:
#line 12393 "gram.y" /* yacc.c:1652  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 42388 "gram.c" /* yacc.c:1652  */
    break;

  case 1777:
#line 12394 "gram.y" /* yacc.c:1652  */
    { (yyval.jtype) = JOIN_INNER; }
#line 42394 "gram.c" /* yacc.c:1652  */
    break;

  case 1780:
#line 12415 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) list_make2((yyvsp[-2].list), (yyvsp[0].alias));
				}
#line 42402 "gram.c" /* yacc.c:1652  */
    break;

  case 1781:
#line 12419 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 42410 "gram.c" /* yacc.c:1652  */
    break;

  case 1782:
#line 12427 "gram.y" /* yacc.c:1652  */
    {
					/* inheritance query, implicitly */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 42421 "gram.c" /* yacc.c:1652  */
    break;

  case 1783:
#line 12434 "gram.y" /* yacc.c:1652  */
    {
					/* inheritance query, explicitly */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 42432 "gram.c" /* yacc.c:1652  */
    break;

  case 1784:
#line 12441 "gram.y" /* yacc.c:1652  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 42443 "gram.c" /* yacc.c:1652  */
    break;

  case 1785:
#line 12448 "gram.y" /* yacc.c:1652  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 42454 "gram.c" /* yacc.c:1652  */
    break;

  case 1786:
#line 12458 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 42460 "gram.c" /* yacc.c:1652  */
    break;

  case 1787:
#line 12459 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 42466 "gram.c" /* yacc.c:1652  */
    break;

  case 1788:
#line 12473 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 42474 "gram.c" /* yacc.c:1652  */
    break;

  case 1789:
#line 12477 "gram.y" /* yacc.c:1652  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 42485 "gram.c" /* yacc.c:1652  */
    break;

  case 1790:
#line 12484 "gram.y" /* yacc.c:1652  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 42496 "gram.c" /* yacc.c:1652  */
    break;

  case 1791:
#line 12497 "gram.y" /* yacc.c:1652  */
    {
					RangeTableSample *n = makeNode(RangeTableSample);
					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 42510 "gram.c" /* yacc.c:1652  */
    break;

  case 1792:
#line 12509 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 42516 "gram.c" /* yacc.c:1652  */
    break;

  case 1793:
#line 12510 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 42522 "gram.c" /* yacc.c:1652  */
    break;

  case 1794:
#line 12526 "gram.y" /* yacc.c:1652  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 42536 "gram.c" /* yacc.c:1652  */
    break;

  case 1795:
#line 12536 "gram.y" /* yacc.c:1652  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 42550 "gram.c" /* yacc.c:1652  */
    break;

  case 1796:
#line 12548 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 42556 "gram.c" /* yacc.c:1652  */
    break;

  case 1797:
#line 12552 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 42562 "gram.c" /* yacc.c:1652  */
    break;

  case 1798:
#line 12553 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 42568 "gram.c" /* yacc.c:1652  */
    break;

  case 1799:
#line 12556 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42574 "gram.c" /* yacc.c:1652  */
    break;

  case 1800:
#line 12557 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 42580 "gram.c" /* yacc.c:1652  */
    break;

  case 1801:
#line 12560 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 42586 "gram.c" /* yacc.c:1652  */
    break;

  case 1802:
#line 12561 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 42592 "gram.c" /* yacc.c:1652  */
    break;

  case 1803:
#line 12566 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42598 "gram.c" /* yacc.c:1652  */
    break;

  case 1804:
#line 12567 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 42604 "gram.c" /* yacc.c:1652  */
    break;

  case 1805:
#line 12572 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42610 "gram.c" /* yacc.c:1652  */
    break;

  case 1806:
#line 12574 "gram.y" /* yacc.c:1652  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 42622 "gram.c" /* yacc.c:1652  */
    break;

  case 1807:
#line 12581 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 42628 "gram.c" /* yacc.c:1652  */
    break;

  case 1808:
#line 12586 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42634 "gram.c" /* yacc.c:1652  */
    break;

  case 1809:
#line 12587 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 42640 "gram.c" /* yacc.c:1652  */
    break;

  case 1810:
#line 12592 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 42648 "gram.c" /* yacc.c:1652  */
    break;

  case 1811:
#line 12596 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 42656 "gram.c" /* yacc.c:1652  */
    break;

  case 1812:
#line 12602 "gram.y" /* yacc.c:1652  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 42678 "gram.c" /* yacc.c:1652  */
    break;

  case 1813:
#line 12626 "gram.y" /* yacc.c:1652  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = NIL;
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 42692 "gram.c" /* yacc.c:1652  */
    break;

  case 1814:
#line 12637 "gram.y" /* yacc.c:1652  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = (yyvsp[-7].list);
					n->location = (yylsp[-11]);
					(yyval.node) = (Node *)n;
				}
#line 42706 "gram.c" /* yacc.c:1652  */
    break;

  case 1815:
#line 12648 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 42712 "gram.c" /* yacc.c:1652  */
    break;

  case 1816:
#line 12649 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 42718 "gram.c" /* yacc.c:1652  */
    break;

  case 1817:
#line 12654 "gram.y" /* yacc.c:1652  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-1].str);
					fc->for_ordinality = false;
					fc->typeName = (yyvsp[0].typnam);
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-1]);

					(yyval.node) = (Node *) fc;
				}
#line 42736 "gram.c" /* yacc.c:1652  */
    break;

  case 1818:
#line 12668 "gram.y" /* yacc.c:1652  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);
					ListCell		   *option;
					bool				nullability_seen = false;

					fc->colname = (yyvsp[-2].str);
					fc->typeName = (yyvsp[-1].typnam);
					fc->for_ordinality = false;
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-2]);

					foreach(option, (yyvsp[0].list))
					{
						DefElem   *defel = (DefElem *) lfirst(option);

						if (strcmp(defel->defname, "default") == 0)
						{
							if (fc->coldefexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one DEFAULT value is allowed"),
										 parser_errposition(defel->location)));
							fc->coldefexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "path") == 0)
						{
							if (fc->colexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one PATH value per column is allowed"),
										 parser_errposition(defel->location)));
							fc->colexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "is_not_null") == 0)
						{
							if (nullability_seen)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("conflicting or redundant NULL / NOT NULL declarations for column \"%s\"", fc->colname),
										 parser_errposition(defel->location)));
							fc->is_not_null = intVal(defel->arg);
							nullability_seen = true;
						}
						else
						{
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized column option \"%s\"",
											defel->defname),
									 parser_errposition(defel->location)));
						}
					}
					(yyval.node) = (Node *) fc;
				}
#line 42797 "gram.c" /* yacc.c:1652  */
    break;

  case 1819:
#line 12725 "gram.y" /* yacc.c:1652  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-2].str);
					fc->for_ordinality = true;
					/* other fields are ignored, initialized by makeNode */
					fc->location = (yylsp[-2]);

					(yyval.node) = (Node *) fc;
				}
#line 42812 "gram.c" /* yacc.c:1652  */
    break;

  case 1820:
#line 12739 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 42818 "gram.c" /* yacc.c:1652  */
    break;

  case 1821:
#line 12741 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 42824 "gram.c" /* yacc.c:1652  */
    break;

  case 1822:
#line 12746 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1])); }
#line 42830 "gram.c" /* yacc.c:1652  */
    break;

  case 1823:
#line 12748 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("default", (yyvsp[0].node), (yylsp[-1])); }
#line 42836 "gram.c" /* yacc.c:1652  */
    break;

  case 1824:
#line 12750 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(true), (yylsp[-1])); }
#line 42842 "gram.c" /* yacc.c:1652  */
    break;

  case 1825:
#line 12752 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(false), (yylsp[0])); }
#line 42848 "gram.c" /* yacc.c:1652  */
    break;

  case 1826:
#line 12757 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 42854 "gram.c" /* yacc.c:1652  */
    break;

  case 1827:
#line 12759 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 42860 "gram.c" /* yacc.c:1652  */
    break;

  case 1828:
#line 12764 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 42872 "gram.c" /* yacc.c:1652  */
    break;

  case 1829:
#line 12772 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[0].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 42884 "gram.c" /* yacc.c:1652  */
    break;

  case 1830:
#line 12792 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 42893 "gram.c" /* yacc.c:1652  */
    break;

  case 1831:
#line 12797 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = true;
				}
#line 42903 "gram.c" /* yacc.c:1652  */
    break;

  case 1832:
#line 12804 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 42912 "gram.c" /* yacc.c:1652  */
    break;

  case 1833:
#line 12809 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = true;
				}
#line 42922 "gram.c" /* yacc.c:1652  */
    break;

  case 1834:
#line 12815 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 42931 "gram.c" /* yacc.c:1652  */
    break;

  case 1835:
#line 12820 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = true;
				}
#line 42941 "gram.c" /* yacc.c:1652  */
    break;

  case 1836:
#line 12829 "gram.y" /* yacc.c:1652  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 42947 "gram.c" /* yacc.c:1652  */
    break;

  case 1837:
#line 12831 "gram.y" /* yacc.c:1652  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 42953 "gram.c" /* yacc.c:1652  */
    break;

  case 1838:
#line 12833 "gram.y" /* yacc.c:1652  */
    {  (yyval.list) = NIL; }
#line 42959 "gram.c" /* yacc.c:1652  */
    break;

  case 1839:
#line 12837 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42965 "gram.c" /* yacc.c:1652  */
    break;

  case 1840:
#line 12838 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42971 "gram.c" /* yacc.c:1652  */
    break;

  case 1841:
#line 12839 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42977 "gram.c" /* yacc.c:1652  */
    break;

  case 1842:
#line 12840 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42983 "gram.c" /* yacc.c:1652  */
    break;

  case 1843:
#line 12841 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42989 "gram.c" /* yacc.c:1652  */
    break;

  case 1844:
#line 12843 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 42998 "gram.c" /* yacc.c:1652  */
    break;

  case 1845:
#line 12848 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 43008 "gram.c" /* yacc.c:1652  */
    break;

  case 1846:
#line 12867 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 43014 "gram.c" /* yacc.c:1652  */
    break;

  case 1847:
#line 12868 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 43020 "gram.c" /* yacc.c:1652  */
    break;

  case 1848:
#line 12869 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 43026 "gram.c" /* yacc.c:1652  */
    break;

  case 1849:
#line 12870 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 43032 "gram.c" /* yacc.c:1652  */
    break;

  case 1850:
#line 12882 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 43042 "gram.c" /* yacc.c:1652  */
    break;

  case 1851:
#line 12888 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 43052 "gram.c" /* yacc.c:1652  */
    break;

  case 1852:
#line 12895 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43058 "gram.c" /* yacc.c:1652  */
    break;

  case 1853:
#line 12896 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 43064 "gram.c" /* yacc.c:1652  */
    break;

  case 1854:
#line 12903 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 43073 "gram.c" /* yacc.c:1652  */
    break;

  case 1855:
#line 12908 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 43082 "gram.c" /* yacc.c:1652  */
    break;

  case 1856:
#line 12913 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 43091 "gram.c" /* yacc.c:1652  */
    break;

  case 1857:
#line 12918 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 43100 "gram.c" /* yacc.c:1652  */
    break;

  case 1858:
#line 12923 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 43109 "gram.c" /* yacc.c:1652  */
    break;

  case 1859:
#line 12928 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 43118 "gram.c" /* yacc.c:1652  */
    break;

  case 1860:
#line 12933 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 43127 "gram.c" /* yacc.c:1652  */
    break;

  case 1861:
#line 12938 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 43137 "gram.c" /* yacc.c:1652  */
    break;

  case 1862:
#line 12944 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 43147 "gram.c" /* yacc.c:1652  */
    break;

  case 1863:
#line 12950 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 43157 "gram.c" /* yacc.c:1652  */
    break;

  case 1864:
#line 12956 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 43166 "gram.c" /* yacc.c:1652  */
    break;

  case 1865:
#line 12963 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 43191 "gram.c" /* yacc.c:1652  */
    break;

  case 1866:
#line 12984 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 43199 "gram.c" /* yacc.c:1652  */
    break;

  case 1867:
#line 12994 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 43207 "gram.c" /* yacc.c:1652  */
    break;

  case 1868:
#line 12998 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 43215 "gram.c" /* yacc.c:1652  */
    break;

  case 1869:
#line 13006 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 43223 "gram.c" /* yacc.c:1652  */
    break;

  case 1870:
#line 13010 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 43232 "gram.c" /* yacc.c:1652  */
    break;

  case 1871:
#line 13018 "gram.y" /* yacc.c:1652  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 43245 "gram.c" /* yacc.c:1652  */
    break;

  case 1872:
#line 13030 "gram.y" /* yacc.c:1652  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 43263 "gram.c" /* yacc.c:1652  */
    break;

  case 1873:
#line 13051 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 43271 "gram.c" /* yacc.c:1652  */
    break;

  case 1874:
#line 13055 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 43279 "gram.c" /* yacc.c:1652  */
    break;

  case 1875:
#line 13061 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 43287 "gram.c" /* yacc.c:1652  */
    break;

  case 1876:
#line 13065 "gram.y" /* yacc.c:1652  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 43302 "gram.c" /* yacc.c:1652  */
    break;

  case 1877:
#line 13078 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[-3].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 43312 "gram.c" /* yacc.c:1652  */
    break;

  case 1878:
#line 13086 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[0].str));
					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[0].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 43324 "gram.c" /* yacc.c:1652  */
    break;

  case 1879:
#line 13096 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 43330 "gram.c" /* yacc.c:1652  */
    break;

  case 1880:
#line 13098 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 43336 "gram.c" /* yacc.c:1652  */
    break;

  case 1881:
#line 13100 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "varchar"; }
#line 43342 "gram.c" /* yacc.c:1652  */
    break;

  case 1882:
#line 13102 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 43348 "gram.c" /* yacc.c:1652  */
    break;

  case 1883:
#line 13104 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 43354 "gram.c" /* yacc.c:1652  */
    break;

  case 1884:
#line 13106 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 43360 "gram.c" /* yacc.c:1652  */
    break;

  case 1885:
#line 13110 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 43366 "gram.c" /* yacc.c:1652  */
    break;

  case 1886:
#line 13111 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 43372 "gram.c" /* yacc.c:1652  */
    break;

  case 1887:
#line 13119 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 43385 "gram.c" /* yacc.c:1652  */
    break;

  case 1888:
#line 13128 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 43397 "gram.c" /* yacc.c:1652  */
    break;

  case 1889:
#line 13136 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 43410 "gram.c" /* yacc.c:1652  */
    break;

  case 1890:
#line 13145 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 43422 "gram.c" /* yacc.c:1652  */
    break;

  case 1891:
#line 13156 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 43431 "gram.c" /* yacc.c:1652  */
    break;

  case 1892:
#line 13163 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 43437 "gram.c" /* yacc.c:1652  */
    break;

  case 1893:
#line 13164 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 43443 "gram.c" /* yacc.c:1652  */
    break;

  case 1894:
#line 13165 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 43449 "gram.c" /* yacc.c:1652  */
    break;

  case 1895:
#line 13170 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 43455 "gram.c" /* yacc.c:1652  */
    break;

  case 1896:
#line 13172 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 43461 "gram.c" /* yacc.c:1652  */
    break;

  case 1897:
#line 13174 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 43467 "gram.c" /* yacc.c:1652  */
    break;

  case 1898:
#line 13176 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 43473 "gram.c" /* yacc.c:1652  */
    break;

  case 1899:
#line 13178 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 43479 "gram.c" /* yacc.c:1652  */
    break;

  case 1900:
#line 13180 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43485 "gram.c" /* yacc.c:1652  */
    break;

  case 1901:
#line 13182 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 43494 "gram.c" /* yacc.c:1652  */
    break;

  case 1902:
#line 13187 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 43503 "gram.c" /* yacc.c:1652  */
    break;

  case 1903:
#line 13192 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 43513 "gram.c" /* yacc.c:1652  */
    break;

  case 1904:
#line 13198 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 43525 "gram.c" /* yacc.c:1652  */
    break;

  case 1905:
#line 13206 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 43534 "gram.c" /* yacc.c:1652  */
    break;

  case 1906:
#line 13211 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 43545 "gram.c" /* yacc.c:1652  */
    break;

  case 1907:
#line 13218 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 43555 "gram.c" /* yacc.c:1652  */
    break;

  case 1908:
#line 13224 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 43561 "gram.c" /* yacc.c:1652  */
    break;

  case 1909:
#line 13229 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 43569 "gram.c" /* yacc.c:1652  */
    break;

  case 1910:
#line 13233 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 43578 "gram.c" /* yacc.c:1652  */
    break;

  case 1911:
#line 13268 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43584 "gram.c" /* yacc.c:1652  */
    break;

  case 1912:
#line 13270 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 43590 "gram.c" /* yacc.c:1652  */
    break;

  case 1913:
#line 13272 "gram.y" /* yacc.c:1652  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 43602 "gram.c" /* yacc.c:1652  */
    break;

  case 1914:
#line 13280 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 43613 "gram.c" /* yacc.c:1652  */
    break;

  case 1915:
#line 13296 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 43619 "gram.c" /* yacc.c:1652  */
    break;

  case 1916:
#line 13298 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 43625 "gram.c" /* yacc.c:1652  */
    break;

  case 1917:
#line 13300 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43631 "gram.c" /* yacc.c:1652  */
    break;

  case 1918:
#line 13302 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43637 "gram.c" /* yacc.c:1652  */
    break;

  case 1919:
#line 13304 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43643 "gram.c" /* yacc.c:1652  */
    break;

  case 1920:
#line 13306 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43649 "gram.c" /* yacc.c:1652  */
    break;

  case 1921:
#line 13308 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43655 "gram.c" /* yacc.c:1652  */
    break;

  case 1922:
#line 13310 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43661 "gram.c" /* yacc.c:1652  */
    break;

  case 1923:
#line 13312 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43667 "gram.c" /* yacc.c:1652  */
    break;

  case 1924:
#line 13314 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43673 "gram.c" /* yacc.c:1652  */
    break;

  case 1925:
#line 13316 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43679 "gram.c" /* yacc.c:1652  */
    break;

  case 1926:
#line 13318 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43685 "gram.c" /* yacc.c:1652  */
    break;

  case 1927:
#line 13320 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43691 "gram.c" /* yacc.c:1652  */
    break;

  case 1928:
#line 13322 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43697 "gram.c" /* yacc.c:1652  */
    break;

  case 1929:
#line 13325 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43703 "gram.c" /* yacc.c:1652  */
    break;

  case 1930:
#line 13327 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 43709 "gram.c" /* yacc.c:1652  */
    break;

  case 1931:
#line 13330 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43715 "gram.c" /* yacc.c:1652  */
    break;

  case 1932:
#line 13332 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43721 "gram.c" /* yacc.c:1652  */
    break;

  case 1933:
#line 13334 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 43727 "gram.c" /* yacc.c:1652  */
    break;

  case 1934:
#line 13336 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 43733 "gram.c" /* yacc.c:1652  */
    break;

  case 1935:
#line 13339 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 43742 "gram.c" /* yacc.c:1652  */
    break;

  case 1936:
#line 13344 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 43755 "gram.c" /* yacc.c:1652  */
    break;

  case 1937:
#line 13353 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 43764 "gram.c" /* yacc.c:1652  */
    break;

  case 1938:
#line 13358 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 43777 "gram.c" /* yacc.c:1652  */
    break;

  case 1939:
#line 13367 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 43786 "gram.c" /* yacc.c:1652  */
    break;

  case 1940:
#line 13372 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 43799 "gram.c" /* yacc.c:1652  */
    break;

  case 1941:
#line 13381 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 43808 "gram.c" /* yacc.c:1652  */
    break;

  case 1942:
#line 13386 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 43821 "gram.c" /* yacc.c:1652  */
    break;

  case 1943:
#line 13396 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_to_escape"),
											   list_make1((yyvsp[0].node)),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 43834 "gram.c" /* yacc.c:1652  */
    break;

  case 1944:
#line 13405 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_to_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 43847 "gram.c" /* yacc.c:1652  */
    break;

  case 1945:
#line 13414 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_to_escape"),
											   list_make1((yyvsp[0].node)),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 43860 "gram.c" /* yacc.c:1652  */
    break;

  case 1946:
#line 13423 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_to_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 43873 "gram.c" /* yacc.c:1652  */
    break;

  case 1947:
#line 13442 "gram.y" /* yacc.c:1652  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 43885 "gram.c" /* yacc.c:1652  */
    break;

  case 1948:
#line 13450 "gram.y" /* yacc.c:1652  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 43897 "gram.c" /* yacc.c:1652  */
    break;

  case 1949:
#line 13458 "gram.y" /* yacc.c:1652  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 43909 "gram.c" /* yacc.c:1652  */
    break;

  case 1950:
#line 13466 "gram.y" /* yacc.c:1652  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 43921 "gram.c" /* yacc.c:1652  */
    break;

  case 1951:
#line 13474 "gram.y" /* yacc.c:1652  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-1]));
				}
#line 43942 "gram.c" /* yacc.c:1652  */
    break;

  case 1952:
#line 13491 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 43954 "gram.c" /* yacc.c:1652  */
    break;

  case 1953:
#line 13499 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 43966 "gram.c" /* yacc.c:1652  */
    break;

  case 1954:
#line 13507 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 43978 "gram.c" /* yacc.c:1652  */
    break;

  case 1955:
#line 13515 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 43990 "gram.c" /* yacc.c:1652  */
    break;

  case 1956:
#line 13523 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 44002 "gram.c" /* yacc.c:1652  */
    break;

  case 1957:
#line 13531 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 44014 "gram.c" /* yacc.c:1652  */
    break;

  case 1958:
#line 13539 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 44022 "gram.c" /* yacc.c:1652  */
    break;

  case 1959:
#line 13543 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 44030 "gram.c" /* yacc.c:1652  */
    break;

  case 1960:
#line 13547 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 44042 "gram.c" /* yacc.c:1652  */
    break;

  case 1961:
#line 13555 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 44054 "gram.c" /* yacc.c:1652  */
    break;

  case 1962:
#line 13563 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 44066 "gram.c" /* yacc.c:1652  */
    break;

  case 1963:
#line 13571 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 44078 "gram.c" /* yacc.c:1652  */
    break;

  case 1964:
#line 13579 "gram.y" /* yacc.c:1652  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 44102 "gram.c" /* yacc.c:1652  */
    break;

  case 1965:
#line 13599 "gram.y" /* yacc.c:1652  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 44128 "gram.c" /* yacc.c:1652  */
    break;

  case 1966:
#line 13621 "gram.y" /* yacc.c:1652  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 44143 "gram.c" /* yacc.c:1652  */
    break;

  case 1967:
#line 13632 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 44154 "gram.c" /* yacc.c:1652  */
    break;

  case 1968:
#line 13639 "gram.y" /* yacc.c:1652  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-1]))));
				}
#line 44174 "gram.c" /* yacc.c:1652  */
    break;

  case 1969:
#line 13655 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 44183 "gram.c" /* yacc.c:1652  */
    break;

  case 1970:
#line 13660 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 44193 "gram.c" /* yacc.c:1652  */
    break;

  case 1971:
#line 13666 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"),
											   list_make1((yyvsp[-2].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-1]));
				}
#line 44204 "gram.c" /* yacc.c:1652  */
    break;

  case 1972:
#line 13673 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"),
											   list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-2]));
				}
#line 44215 "gram.c" /* yacc.c:1652  */
    break;

  case 1973:
#line 13680 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"),
														   list_make1((yyvsp[-3].node)),
														   COERCE_SQL_SYNTAX,
														   (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 44227 "gram.c" /* yacc.c:1652  */
    break;

  case 1974:
#line 13688 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"),
														   list_make2((yyvsp[-4].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
														   COERCE_SQL_SYNTAX,
														   (yylsp[-3])),
									 (yylsp[-3]));
				}
#line 44239 "gram.c" /* yacc.c:1652  */
    break;

  case 1975:
#line 13696 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * The SQL spec only allows DEFAULT in "contextually typed
					 * expressions", but for us, it's easier to allow it in
					 * any a_expr and then throw error during parse analysis
					 * if it's in an inappropriate context.  This way also
					 * lets us say something smarter than "syntax error".
					 */
					SetToDefault *n = makeNode(SetToDefault);
					/* parse analysis will fill in the rest */
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 44257 "gram.c" /* yacc.c:1652  */
    break;

  case 1976:
#line 13721 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44263 "gram.c" /* yacc.c:1652  */
    break;

  case 1977:
#line 13723 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 44269 "gram.c" /* yacc.c:1652  */
    break;

  case 1978:
#line 13725 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 44275 "gram.c" /* yacc.c:1652  */
    break;

  case 1979:
#line 13727 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 44281 "gram.c" /* yacc.c:1652  */
    break;

  case 1980:
#line 13729 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 44287 "gram.c" /* yacc.c:1652  */
    break;

  case 1981:
#line 13731 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 44293 "gram.c" /* yacc.c:1652  */
    break;

  case 1982:
#line 13733 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 44299 "gram.c" /* yacc.c:1652  */
    break;

  case 1983:
#line 13735 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 44305 "gram.c" /* yacc.c:1652  */
    break;

  case 1984:
#line 13737 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 44311 "gram.c" /* yacc.c:1652  */
    break;

  case 1985:
#line 13739 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 44317 "gram.c" /* yacc.c:1652  */
    break;

  case 1986:
#line 13741 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 44323 "gram.c" /* yacc.c:1652  */
    break;

  case 1987:
#line 13743 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 44329 "gram.c" /* yacc.c:1652  */
    break;

  case 1988:
#line 13745 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 44335 "gram.c" /* yacc.c:1652  */
    break;

  case 1989:
#line 13747 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 44341 "gram.c" /* yacc.c:1652  */
    break;

  case 1990:
#line 13749 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 44347 "gram.c" /* yacc.c:1652  */
    break;

  case 1991:
#line 13751 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 44353 "gram.c" /* yacc.c:1652  */
    break;

  case 1992:
#line 13753 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 44359 "gram.c" /* yacc.c:1652  */
    break;

  case 1993:
#line 13755 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 44365 "gram.c" /* yacc.c:1652  */
    break;

  case 1994:
#line 13757 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 44373 "gram.c" /* yacc.c:1652  */
    break;

  case 1995:
#line 13761 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 44381 "gram.c" /* yacc.c:1652  */
    break;

  case 1996:
#line 13765 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 44390 "gram.c" /* yacc.c:1652  */
    break;

  case 1997:
#line 13770 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 44400 "gram.c" /* yacc.c:1652  */
    break;

  case 1998:
#line 13785 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44406 "gram.c" /* yacc.c:1652  */
    break;

  case 1999:
#line 13786 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44412 "gram.c" /* yacc.c:1652  */
    break;

  case 2000:
#line 13788 "gram.y" /* yacc.c:1652  */
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 44431 "gram.c" /* yacc.c:1652  */
    break;

  case 2001:
#line 13803 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 44447 "gram.c" /* yacc.c:1652  */
    break;

  case 2002:
#line 13815 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44453 "gram.c" /* yacc.c:1652  */
    break;

  case 2003:
#line 13817 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44459 "gram.c" /* yacc.c:1652  */
    break;

  case 2004:
#line 13819 "gram.y" /* yacc.c:1652  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 44474 "gram.c" /* yacc.c:1652  */
    break;

  case 2005:
#line 13830 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
#line 44502 "gram.c" /* yacc.c:1652  */
    break;

  case 2006:
#line 13854 "gram.y" /* yacc.c:1652  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 44517 "gram.c" /* yacc.c:1652  */
    break;

  case 2007:
#line 13865 "gram.y" /* yacc.c:1652  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 44532 "gram.c" /* yacc.c:1652  */
    break;

  case 2008:
#line 13876 "gram.y" /* yacc.c:1652  */
    {
					A_ArrayExpr *n = castNode(A_ArrayExpr, (yyvsp[0].node));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 44543 "gram.c" /* yacc.c:1652  */
    break;

  case 2009:
#line 13883 "gram.y" /* yacc.c:1652  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 44557 "gram.c" /* yacc.c:1652  */
    break;

  case 2010:
#line 13893 "gram.y" /* yacc.c:1652  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 44571 "gram.c" /* yacc.c:1652  */
    break;

  case 2011:
#line 13903 "gram.y" /* yacc.c:1652  */
    {
				  GroupingFunc *g = makeNode(GroupingFunc);
				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *)g;
			  }
#line 44582 "gram.c" /* yacc.c:1652  */
    break;

  case 2012:
#line 13912 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL,
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-2]));
				}
#line 44592 "gram.c" /* yacc.c:1652  */
    break;

  case 2013:
#line 13918 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-4]));
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 44604 "gram.c" /* yacc.c:1652  */
    break;

  case 2014:
#line 13926 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-5]));
					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 44617 "gram.c" /* yacc.c:1652  */
    break;

  case 2015:
#line 13935 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-7]));
					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 44630 "gram.c" /* yacc.c:1652  */
    break;

  case 2016:
#line 13944 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *)n;
				}
#line 44646 "gram.c" /* yacc.c:1652  */
    break;

  case 2017:
#line 13956 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = true;
					(yyval.node) = (Node *)n;
				}
#line 44659 "gram.c" /* yacc.c:1652  */
    break;

  case 2018:
#line 13965 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeFuncCall((yyvsp[-3].list), NIL,
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
					n->agg_star = true;
					(yyval.node) = (Node *)n;
				}
#line 44681 "gram.c" /* yacc.c:1652  */
    break;

  case 2019:
#line 13995 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = (FuncCall *) (yyvsp[-3].node);
					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = true;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 44720 "gram.c" /* yacc.c:1652  */
    break;

  case 2020:
#line 14030 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44726 "gram.c" /* yacc.c:1652  */
    break;

  case 2021:
#line 14040 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44732 "gram.c" /* yacc.c:1652  */
    break;

  case 2022:
#line 14041 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44738 "gram.c" /* yacc.c:1652  */
    break;

  case 2023:
#line 14049 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 44749 "gram.c" /* yacc.c:1652  */
    break;

  case 2024:
#line 14056 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_DATE, -1, (yylsp[0]));
				}
#line 44757 "gram.c" /* yacc.c:1652  */
    break;

  case 2025:
#line 14060 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME, -1, (yylsp[0]));
				}
#line 44765 "gram.c" /* yacc.c:1652  */
    break;

  case 2026:
#line 14064 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 44773 "gram.c" /* yacc.c:1652  */
    break;

  case 2027:
#line 14068 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP, -1, (yylsp[0]));
				}
#line 44781 "gram.c" /* yacc.c:1652  */
    break;

  case 2028:
#line 14072 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 44789 "gram.c" /* yacc.c:1652  */
    break;

  case 2029:
#line 14076 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME, -1, (yylsp[0]));
				}
#line 44797 "gram.c" /* yacc.c:1652  */
    break;

  case 2030:
#line 14080 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 44805 "gram.c" /* yacc.c:1652  */
    break;

  case 2031:
#line 14084 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP, -1, (yylsp[0]));
				}
#line 44813 "gram.c" /* yacc.c:1652  */
    break;

  case 2032:
#line 14088 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 44821 "gram.c" /* yacc.c:1652  */
    break;

  case 2033:
#line 14092 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_ROLE, -1, (yylsp[0]));
				}
#line 44829 "gram.c" /* yacc.c:1652  */
    break;

  case 2034:
#line 14096 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_USER, -1, (yylsp[0]));
				}
#line 44837 "gram.c" /* yacc.c:1652  */
    break;

  case 2035:
#line 14100 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_SESSION_USER, -1, (yylsp[0]));
				}
#line 44845 "gram.c" /* yacc.c:1652  */
    break;

  case 2036:
#line 14104 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_USER, -1, (yylsp[0]));
				}
#line 44853 "gram.c" /* yacc.c:1652  */
    break;

  case 2037:
#line 14108 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_CATALOG, -1, (yylsp[0]));
				}
#line 44861 "gram.c" /* yacc.c:1652  */
    break;

  case 2038:
#line 14112 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_SCHEMA, -1, (yylsp[0]));
				}
#line 44869 "gram.c" /* yacc.c:1652  */
    break;

  case 2039:
#line 14116 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 44875 "gram.c" /* yacc.c:1652  */
    break;

  case 2040:
#line 14118 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("extract"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 44886 "gram.c" /* yacc.c:1652  */
    break;

  case 2041:
#line 14125 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"),
											   list_make1((yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 44897 "gram.c" /* yacc.c:1652  */
    break;

  case 2042:
#line 14132 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"),
											   list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-5]));
				}
#line 44908 "gram.c" /* yacc.c:1652  */
    break;

  case 2043:
#line 14139 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 44919 "gram.c" /* yacc.c:1652  */
    break;

  case 2044:
#line 14146 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * allow functions named overlay() to be called without
					 * special syntax
					 */
					(yyval.node) = (Node *) makeFuncCall(list_make1(makeString("overlay")),
											   (yyvsp[-1].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
				}
#line 44934 "gram.c" /* yacc.c:1652  */
    break;

  case 2045:
#line 14157 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * position(A in B) is converted to position(B, A)
					 *
					 * We deliberately don't offer a "plain syntax" option
					 * for position(), because the reversal of the arguments
					 * creates too much risk of confusion.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 44952 "gram.c" /* yacc.c:1652  */
    break;

  case 2046:
#line 14171 "gram.y" /* yacc.c:1652  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 44966 "gram.c" /* yacc.c:1652  */
    break;

  case 2047:
#line 14181 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * allow functions named substring() to be called without
					 * special syntax
					 */
					(yyval.node) = (Node *) makeFuncCall(list_make1(makeString("substring")),
											   (yyvsp[-1].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
				}
#line 44981 "gram.c" /* yacc.c:1652  */
    break;

  case 2048:
#line 14192 "gram.y" /* yacc.c:1652  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(strVal(llast((yyvsp[-1].typnam)->names))),
											   list_make1((yyvsp[-3].node)),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-5]));
				}
#line 45001 "gram.c" /* yacc.c:1652  */
    break;

  case 2049:
#line 14208 "gram.y" /* yacc.c:1652  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 45015 "gram.c" /* yacc.c:1652  */
    break;

  case 2050:
#line 14218 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 45026 "gram.c" /* yacc.c:1652  */
    break;

  case 2051:
#line 14225 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 45037 "gram.c" /* yacc.c:1652  */
    break;

  case 2052:
#line 14232 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 45048 "gram.c" /* yacc.c:1652  */
    break;

  case 2053:
#line 14239 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 45056 "gram.c" /* yacc.c:1652  */
    break;

  case 2054:
#line 14243 "gram.y" /* yacc.c:1652  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *)c;
				}
#line 45067 "gram.c" /* yacc.c:1652  */
    break;

  case 2055:
#line 14250 "gram.y" /* yacc.c:1652  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 45079 "gram.c" /* yacc.c:1652  */
    break;

  case 2056:
#line 14258 "gram.y" /* yacc.c:1652  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 45091 "gram.c" /* yacc.c:1652  */
    break;

  case 2057:
#line 14266 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 45099 "gram.c" /* yacc.c:1652  */
    break;

  case 2058:
#line 14270 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 45107 "gram.c" /* yacc.c:1652  */
    break;

  case 2059:
#line 14274 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 45115 "gram.c" /* yacc.c:1652  */
    break;

  case 2060:
#line 14278 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 45123 "gram.c" /* yacc.c:1652  */
    break;

  case 2061:
#line 14282 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 45131 "gram.c" /* yacc.c:1652  */
    break;

  case 2062:
#line 14286 "gram.y" /* yacc.c:1652  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"),
											   list_make2((yyvsp[-2].node), (yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 45144 "gram.c" /* yacc.c:1652  */
    break;

  case 2063:
#line 14295 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 45152 "gram.c" /* yacc.c:1652  */
    break;

  case 2064:
#line 14299 "gram.y" /* yacc.c:1652  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));
					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *)x;
				}
#line 45165 "gram.c" /* yacc.c:1652  */
    break;

  case 2065:
#line 14308 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 45173 "gram.c" /* yacc.c:1652  */
    break;

  case 2066:
#line 14312 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 45181 "gram.c" /* yacc.c:1652  */
    break;

  case 2067:
#line 14316 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 45190 "gram.c" /* yacc.c:1652  */
    break;

  case 2068:
#line 14321 "gram.y" /* yacc.c:1652  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 45203 "gram.c" /* yacc.c:1652  */
    break;

  case 2069:
#line 14335 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45209 "gram.c" /* yacc.c:1652  */
    break;

  case 2070:
#line 14337 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeNullAConst(-1); }
#line 45215 "gram.c" /* yacc.c:1652  */
    break;

  case 2071:
#line 14341 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 45221 "gram.c" /* yacc.c:1652  */
    break;

  case 2072:
#line 14343 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 45227 "gram.c" /* yacc.c:1652  */
    break;

  case 2073:
#line 14345 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 45233 "gram.c" /* yacc.c:1652  */
    break;

  case 2074:
#line 14347 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 45239 "gram.c" /* yacc.c:1652  */
    break;

  case 2075:
#line 14350 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 45245 "gram.c" /* yacc.c:1652  */
    break;

  case 2076:
#line 14353 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 45251 "gram.c" /* yacc.c:1652  */
    break;

  case 2077:
#line 14354 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 45257 "gram.c" /* yacc.c:1652  */
    break;

  case 2078:
#line 14358 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 45269 "gram.c" /* yacc.c:1652  */
    break;

  case 2079:
#line 14366 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 45281 "gram.c" /* yacc.c:1652  */
    break;

  case 2080:
#line 14375 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 45287 "gram.c" /* yacc.c:1652  */
    break;

  case 2081:
#line 14376 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 45293 "gram.c" /* yacc.c:1652  */
    break;

  case 2082:
#line 14379 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 45299 "gram.c" /* yacc.c:1652  */
    break;

  case 2083:
#line 14380 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 45305 "gram.c" /* yacc.c:1652  */
    break;

  case 2084:
#line 14381 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 45311 "gram.c" /* yacc.c:1652  */
    break;

  case 2085:
#line 14387 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 45319 "gram.c" /* yacc.c:1652  */
    break;

  case 2086:
#line 14391 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 45327 "gram.c" /* yacc.c:1652  */
    break;

  case 2087:
#line 14395 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 45335 "gram.c" /* yacc.c:1652  */
    break;

  case 2088:
#line 14399 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 45343 "gram.c" /* yacc.c:1652  */
    break;

  case 2091:
#line 14414 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 45349 "gram.c" /* yacc.c:1652  */
    break;

  case 2092:
#line 14415 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 45355 "gram.c" /* yacc.c:1652  */
    break;

  case 2093:
#line 14419 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 45361 "gram.c" /* yacc.c:1652  */
    break;

  case 2094:
#line 14420 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 45367 "gram.c" /* yacc.c:1652  */
    break;

  case 2095:
#line 14428 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45373 "gram.c" /* yacc.c:1652  */
    break;

  case 2096:
#line 14429 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 45379 "gram.c" /* yacc.c:1652  */
    break;

  case 2097:
#line 14433 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 45385 "gram.c" /* yacc.c:1652  */
    break;

  case 2098:
#line 14435 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 45391 "gram.c" /* yacc.c:1652  */
    break;

  case 2099:
#line 14440 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 45401 "gram.c" /* yacc.c:1652  */
    break;

  case 2100:
#line 14448 "gram.y" /* yacc.c:1652  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 45407 "gram.c" /* yacc.c:1652  */
    break;

  case 2101:
#line 14450 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 45424 "gram.c" /* yacc.c:1652  */
    break;

  case 2102:
#line 14463 "gram.y" /* yacc.c:1652  */
    { (yyval.windef) = NULL; }
#line 45430 "gram.c" /* yacc.c:1652  */
    break;

  case 2103:
#line 14468 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 45448 "gram.c" /* yacc.c:1652  */
    break;

  case 2104:
#line 14493 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45454 "gram.c" /* yacc.c:1652  */
    break;

  case 2105:
#line 14494 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 45460 "gram.c" /* yacc.c:1652  */
    break;

  case 2106:
#line 14497 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45466 "gram.c" /* yacc.c:1652  */
    break;

  case 2107:
#line 14498 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 45472 "gram.c" /* yacc.c:1652  */
    break;

  case 2108:
#line 14507 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = (yyvsp[-1].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 45483 "gram.c" /* yacc.c:1652  */
    break;

  case 2109:
#line 14514 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = (yyvsp[-1].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 45494 "gram.c" /* yacc.c:1652  */
    break;

  case 2110:
#line 14521 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = (yyvsp[-1].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_GROUPS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 45505 "gram.c" /* yacc.c:1652  */
    break;

  case 2111:
#line 14528 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 45517 "gram.c" /* yacc.c:1652  */
    break;

  case 2112:
#line 14538 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = (yyvsp[0].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 45538 "gram.c" /* yacc.c:1652  */
    break;

  case 2113:
#line 14555 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n1 = (yyvsp[-2].windef);
					WindowDef *n2 = (yyvsp[0].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_OFFSET_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_OFFSET_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 45579 "gram.c" /* yacc.c:1652  */
    break;

  case 2114:
#line 14600 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 45591 "gram.c" /* yacc.c:1652  */
    break;

  case 2115:
#line 14608 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 45603 "gram.c" /* yacc.c:1652  */
    break;

  case 2116:
#line 14616 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 45615 "gram.c" /* yacc.c:1652  */
    break;

  case 2117:
#line 14624 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_OFFSET_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 45627 "gram.c" /* yacc.c:1652  */
    break;

  case 2118:
#line 14632 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_OFFSET_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 45639 "gram.c" /* yacc.c:1652  */
    break;

  case 2119:
#line 14642 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_CURRENT_ROW; }
#line 45645 "gram.c" /* yacc.c:1652  */
    break;

  case 2120:
#line 14643 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_GROUP; }
#line 45651 "gram.c" /* yacc.c:1652  */
    break;

  case 2121:
#line 14644 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_TIES; }
#line 45657 "gram.c" /* yacc.c:1652  */
    break;

  case 2122:
#line 14645 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 45663 "gram.c" /* yacc.c:1652  */
    break;

  case 2123:
#line 14646 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 45669 "gram.c" /* yacc.c:1652  */
    break;

  case 2124:
#line 14660 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 45675 "gram.c" /* yacc.c:1652  */
    break;

  case 2125:
#line 14661 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 45681 "gram.c" /* yacc.c:1652  */
    break;

  case 2126:
#line 14662 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 45687 "gram.c" /* yacc.c:1652  */
    break;

  case 2127:
#line 14665 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 45693 "gram.c" /* yacc.c:1652  */
    break;

  case 2128:
#line 14666 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 45699 "gram.c" /* yacc.c:1652  */
    break;

  case 2129:
#line 14669 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 45705 "gram.c" /* yacc.c:1652  */
    break;

  case 2130:
#line 14672 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 45711 "gram.c" /* yacc.c:1652  */
    break;

  case 2131:
#line 14673 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 45717 "gram.c" /* yacc.c:1652  */
    break;

  case 2132:
#line 14674 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 45723 "gram.c" /* yacc.c:1652  */
    break;

  case 2133:
#line 14677 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45729 "gram.c" /* yacc.c:1652  */
    break;

  case 2134:
#line 14678 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45735 "gram.c" /* yacc.c:1652  */
    break;

  case 2135:
#line 14681 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "+"; }
#line 45741 "gram.c" /* yacc.c:1652  */
    break;

  case 2136:
#line 14682 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "-"; }
#line 45747 "gram.c" /* yacc.c:1652  */
    break;

  case 2137:
#line 14683 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "*"; }
#line 45753 "gram.c" /* yacc.c:1652  */
    break;

  case 2138:
#line 14684 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "/"; }
#line 45759 "gram.c" /* yacc.c:1652  */
    break;

  case 2139:
#line 14685 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "%"; }
#line 45765 "gram.c" /* yacc.c:1652  */
    break;

  case 2140:
#line 14686 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "^"; }
#line 45771 "gram.c" /* yacc.c:1652  */
    break;

  case 2141:
#line 14687 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "<"; }
#line 45777 "gram.c" /* yacc.c:1652  */
    break;

  case 2142:
#line 14688 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = ">"; }
#line 45783 "gram.c" /* yacc.c:1652  */
    break;

  case 2143:
#line 14689 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "="; }
#line 45789 "gram.c" /* yacc.c:1652  */
    break;

  case 2144:
#line 14690 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "<="; }
#line 45795 "gram.c" /* yacc.c:1652  */
    break;

  case 2145:
#line 14691 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = ">="; }
#line 45801 "gram.c" /* yacc.c:1652  */
    break;

  case 2146:
#line 14692 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "<>"; }
#line 45807 "gram.c" /* yacc.c:1652  */
    break;

  case 2147:
#line 14696 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 45813 "gram.c" /* yacc.c:1652  */
    break;

  case 2148:
#line 14698 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 45819 "gram.c" /* yacc.c:1652  */
    break;

  case 2149:
#line 14703 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 45825 "gram.c" /* yacc.c:1652  */
    break;

  case 2150:
#line 14705 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 45831 "gram.c" /* yacc.c:1652  */
    break;

  case 2151:
#line 14710 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 45837 "gram.c" /* yacc.c:1652  */
    break;

  case 2152:
#line 14712 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 45843 "gram.c" /* yacc.c:1652  */
    break;

  case 2153:
#line 14714 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 45849 "gram.c" /* yacc.c:1652  */
    break;

  case 2154:
#line 14716 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 45855 "gram.c" /* yacc.c:1652  */
    break;

  case 2155:
#line 14718 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 45861 "gram.c" /* yacc.c:1652  */
    break;

  case 2156:
#line 14720 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 45867 "gram.c" /* yacc.c:1652  */
    break;

  case 2157:
#line 14732 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 45875 "gram.c" /* yacc.c:1652  */
    break;

  case 2158:
#line 14736 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 45883 "gram.c" /* yacc.c:1652  */
    break;

  case 2159:
#line 14743 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 45891 "gram.c" /* yacc.c:1652  */
    break;

  case 2160:
#line 14747 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 45899 "gram.c" /* yacc.c:1652  */
    break;

  case 2161:
#line 14753 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 45907 "gram.c" /* yacc.c:1652  */
    break;

  case 2162:
#line 14757 "gram.y" /* yacc.c:1652  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 45920 "gram.c" /* yacc.c:1652  */
    break;

  case 2163:
#line 14766 "gram.y" /* yacc.c:1652  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 45933 "gram.c" /* yacc.c:1652  */
    break;

  case 2164:
#line 14776 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45939 "gram.c" /* yacc.c:1652  */
    break;

  case 2165:
#line 14777 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 45945 "gram.c" /* yacc.c:1652  */
    break;

  case 2166:
#line 14780 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 45951 "gram.c" /* yacc.c:1652  */
    break;

  case 2167:
#line 14781 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 45957 "gram.c" /* yacc.c:1652  */
    break;

  case 2168:
#line 14785 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 45965 "gram.c" /* yacc.c:1652  */
    break;

  case 2169:
#line 14789 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 45973 "gram.c" /* yacc.c:1652  */
    break;

  case 2170:
#line 14793 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 45981 "gram.c" /* yacc.c:1652  */
    break;

  case 2171:
#line 14798 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45987 "gram.c" /* yacc.c:1652  */
    break;

  case 2172:
#line 14799 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 45993 "gram.c" /* yacc.c:1652  */
    break;

  case 2173:
#line 14805 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 46001 "gram.c" /* yacc.c:1652  */
    break;

  case 2174:
#line 14814 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46007 "gram.c" /* yacc.c:1652  */
    break;

  case 2175:
#line 14815 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "year"; }
#line 46013 "gram.c" /* yacc.c:1652  */
    break;

  case 2176:
#line 14816 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "month"; }
#line 46019 "gram.c" /* yacc.c:1652  */
    break;

  case 2177:
#line 14817 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "day"; }
#line 46025 "gram.c" /* yacc.c:1652  */
    break;

  case 2178:
#line 14818 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "hour"; }
#line 46031 "gram.c" /* yacc.c:1652  */
    break;

  case 2179:
#line 14819 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "minute"; }
#line 46037 "gram.c" /* yacc.c:1652  */
    break;

  case 2180:
#line 14820 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "second"; }
#line 46043 "gram.c" /* yacc.c:1652  */
    break;

  case 2181:
#line 14821 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46049 "gram.c" /* yacc.c:1652  */
    break;

  case 2182:
#line 14825 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "NFC"; }
#line 46055 "gram.c" /* yacc.c:1652  */
    break;

  case 2183:
#line 14826 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "NFD"; }
#line 46061 "gram.c" /* yacc.c:1652  */
    break;

  case 2184:
#line 14827 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "NFKC"; }
#line 46067 "gram.c" /* yacc.c:1652  */
    break;

  case 2185:
#line 14828 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "NFKD"; }
#line 46073 "gram.c" /* yacc.c:1652  */
    break;

  case 2186:
#line 14834 "gram.y" /* yacc.c:1652  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to overlay(A, B, C, D) */
					(yyval.list) = list_make4((yyvsp[-6].node), (yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 46082 "gram.c" /* yacc.c:1652  */
    break;

  case 2187:
#line 14839 "gram.y" /* yacc.c:1652  */
    {
					/* overlay(A PLACING B FROM C) is converted to overlay(A, B, C) */
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 46091 "gram.c" /* yacc.c:1652  */
    break;

  case 2188:
#line 14847 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 46097 "gram.c" /* yacc.c:1652  */
    break;

  case 2189:
#line 14869 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 46105 "gram.c" /* yacc.c:1652  */
    break;

  case 2190:
#line 14873 "gram.y" /* yacc.c:1652  */
    {
					/* not legal per SQL, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[0].node), (yyvsp[-2].node));
				}
#line 46114 "gram.c" /* yacc.c:1652  */
    break;

  case 2191:
#line 14878 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Because we aren't restricting data types here, this
					 * syntax can end up resolving to textregexsubstr().
					 * We've historically allowed that to happen, so continue
					 * to accept it.  However, ruleutils.c will reverse-list
					 * such a call in regular function call syntax.
					 */
					(yyval.list) = list_make2((yyvsp[-2].node), (yyvsp[0].node));
				}
#line 46129 "gram.c" /* yacc.c:1652  */
    break;

  case 2192:
#line 14889 "gram.y" /* yacc.c:1652  */
    {
					/* not legal per SQL */

					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-2].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 46150 "gram.c" /* yacc.c:1652  */
    break;

  case 2193:
#line 14906 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 46158 "gram.c" /* yacc.c:1652  */
    break;

  case 2194:
#line 14911 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 46164 "gram.c" /* yacc.c:1652  */
    break;

  case 2195:
#line 14912 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46170 "gram.c" /* yacc.c:1652  */
    break;

  case 2196:
#line 14913 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46176 "gram.c" /* yacc.c:1652  */
    break;

  case 2197:
#line 14917 "gram.y" /* yacc.c:1652  */
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
#line 46187 "gram.c" /* yacc.c:1652  */
    break;

  case 2198:
#line 14923 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[-1].list); }
#line 46193 "gram.c" /* yacc.c:1652  */
    break;

  case 2199:
#line 14934 "gram.y" /* yacc.c:1652  */
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *)c;
				}
#line 46207 "gram.c" /* yacc.c:1652  */
    break;

  case 2200:
#line 14947 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 46213 "gram.c" /* yacc.c:1652  */
    break;

  case 2201:
#line 14948 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 46219 "gram.c" /* yacc.c:1652  */
    break;

  case 2202:
#line 14953 "gram.y" /* yacc.c:1652  */
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *)w;
				}
#line 46231 "gram.c" /* yacc.c:1652  */
    break;

  case 2203:
#line 14963 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46237 "gram.c" /* yacc.c:1652  */
    break;

  case 2204:
#line 14964 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 46243 "gram.c" /* yacc.c:1652  */
    break;

  case 2205:
#line 14967 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46249 "gram.c" /* yacc.c:1652  */
    break;

  case 2206:
#line 14968 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 46255 "gram.c" /* yacc.c:1652  */
    break;

  case 2207:
#line 14972 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 46263 "gram.c" /* yacc.c:1652  */
    break;

  case 2208:
#line 14976 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 46271 "gram.c" /* yacc.c:1652  */
    break;

  case 2209:
#line 14983 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 46279 "gram.c" /* yacc.c:1652  */
    break;

  case 2210:
#line 14987 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 46287 "gram.c" /* yacc.c:1652  */
    break;

  case 2211:
#line 14991 "gram.y" /* yacc.c:1652  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 46299 "gram.c" /* yacc.c:1652  */
    break;

  case 2212:
#line 14999 "gram.y" /* yacc.c:1652  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 46311 "gram.c" /* yacc.c:1652  */
    break;

  case 2213:
#line 15009 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46317 "gram.c" /* yacc.c:1652  */
    break;

  case 2214:
#line 15010 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 46323 "gram.c" /* yacc.c:1652  */
    break;

  case 2215:
#line 15014 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 46329 "gram.c" /* yacc.c:1652  */
    break;

  case 2216:
#line 15015 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 46335 "gram.c" /* yacc.c:1652  */
    break;

  case 2217:
#line 15019 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 46341 "gram.c" /* yacc.c:1652  */
    break;

  case 2218:
#line 15020 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 46347 "gram.c" /* yacc.c:1652  */
    break;

  case 2221:
#line 15034 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46353 "gram.c" /* yacc.c:1652  */
    break;

  case 2222:
#line 15035 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 46359 "gram.c" /* yacc.c:1652  */
    break;

  case 2223:
#line 15039 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 46365 "gram.c" /* yacc.c:1652  */
    break;

  case 2224:
#line 15040 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 46371 "gram.c" /* yacc.c:1652  */
    break;

  case 2225:
#line 15044 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 46383 "gram.c" /* yacc.c:1652  */
    break;

  case 2226:
#line 15052 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 46395 "gram.c" /* yacc.c:1652  */
    break;

  case 2227:
#line 15060 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 46407 "gram.c" /* yacc.c:1652  */
    break;

  case 2228:
#line 15068 "gram.y" /* yacc.c:1652  */
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 46423 "gram.c" /* yacc.c:1652  */
    break;

  case 2229:
#line 15089 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 46429 "gram.c" /* yacc.c:1652  */
    break;

  case 2230:
#line 15090 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 46435 "gram.c" /* yacc.c:1652  */
    break;

  case 2231:
#line 15102 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 46443 "gram.c" /* yacc.c:1652  */
    break;

  case 2232:
#line 15106 "gram.y" /* yacc.c:1652  */
    {
					check_qualified_name((yyvsp[0].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[-1]));
					switch (list_length((yyvsp[0].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[-1].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[0].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[-1].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[0].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[0].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)))),
									 parser_errposition((yylsp[-1]))));
							break;
					}
				}
#line 46472 "gram.c" /* yacc.c:1652  */
    break;

  case 2233:
#line 15133 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 46478 "gram.c" /* yacc.c:1652  */
    break;

  case 2234:
#line 15135 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 46484 "gram.c" /* yacc.c:1652  */
    break;

  case 2235:
#line 15139 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46490 "gram.c" /* yacc.c:1652  */
    break;

  case 2236:
#line 15141 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46496 "gram.c" /* yacc.c:1652  */
    break;

  case 2237:
#line 15143 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46502 "gram.c" /* yacc.c:1652  */
    break;

  case 2238:
#line 15154 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 46508 "gram.c" /* yacc.c:1652  */
    break;

  case 2239:
#line 15156 "gram.y" /* yacc.c:1652  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 46517 "gram.c" /* yacc.c:1652  */
    break;

  case 2240:
#line 15167 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 46525 "gram.c" /* yacc.c:1652  */
    break;

  case 2241:
#line 15171 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 46533 "gram.c" /* yacc.c:1652  */
    break;

  case 2242:
#line 15175 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 46541 "gram.c" /* yacc.c:1652  */
    break;

  case 2243:
#line 15179 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 46549 "gram.c" /* yacc.c:1652  */
    break;

  case 2244:
#line 15183 "gram.y" /* yacc.c:1652  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 46562 "gram.c" /* yacc.c:1652  */
    break;

  case 2245:
#line 15192 "gram.y" /* yacc.c:1652  */
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-1].list));
					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 46573 "gram.c" /* yacc.c:1652  */
    break;

  case 2246:
#line 15199 "gram.y" /* yacc.c:1652  */
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 46609 "gram.c" /* yacc.c:1652  */
    break;

  case 2247:
#line 15231 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 46617 "gram.c" /* yacc.c:1652  */
    break;

  case 2248:
#line 15235 "gram.y" /* yacc.c:1652  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 46627 "gram.c" /* yacc.c:1652  */
    break;

  case 2249:
#line 15241 "gram.y" /* yacc.c:1652  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 46638 "gram.c" /* yacc.c:1652  */
    break;

  case 2250:
#line 15248 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeBoolAConst(true, (yylsp[0]));
				}
#line 46646 "gram.c" /* yacc.c:1652  */
    break;

  case 2251:
#line 15252 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeBoolAConst(false, (yylsp[0]));
				}
#line 46654 "gram.c" /* yacc.c:1652  */
    break;

  case 2252:
#line 15256 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 46662 "gram.c" /* yacc.c:1652  */
    break;

  case 2253:
#line 15261 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 46668 "gram.c" /* yacc.c:1652  */
    break;

  case 2254:
#line 15262 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46674 "gram.c" /* yacc.c:1652  */
    break;

  case 2255:
#line 15264 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 46680 "gram.c" /* yacc.c:1652  */
    break;

  case 2256:
#line 15265 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 46686 "gram.c" /* yacc.c:1652  */
    break;

  case 2257:
#line 15266 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 46692 "gram.c" /* yacc.c:1652  */
    break;

  case 2258:
#line 15271 "gram.y" /* yacc.c:1652  */
    {
					RoleSpec *spc = (RoleSpec *) (yyvsp[0].rolespec);
					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_ROLE:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_ROLE"),
									 parser_errposition((yylsp[0]))));
							break;
					}
				}
#line 46734 "gram.c" /* yacc.c:1652  */
    break;

  case 2259:
#line 15311 "gram.y" /* yacc.c:1652  */
    {
						/*
						 * "public" and "none" are not keywords, but they must
						 * be treated specially here.
						 */
						RoleSpec *n;
						if (strcmp((yyvsp[0].str), "public") == 0)
						{
							n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
							n->roletype = ROLESPEC_PUBLIC;
						}
						else if (strcmp((yyvsp[0].str), "none") == 0)
						{
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"none"),
									 parser_errposition((yylsp[0]))));
						}
						else
						{
							n = makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
							n->rolename = pstrdup((yyvsp[0].str));
						}
						(yyval.rolespec) = n;
					}
#line 46765 "gram.c" /* yacc.c:1652  */
    break;

  case 2260:
#line 15338 "gram.y" /* yacc.c:1652  */
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_ROLE, (yylsp[0]));
					}
#line 46773 "gram.c" /* yacc.c:1652  */
    break;

  case 2261:
#line 15342 "gram.y" /* yacc.c:1652  */
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
					}
#line 46781 "gram.c" /* yacc.c:1652  */
    break;

  case 2262:
#line 15346 "gram.y" /* yacc.c:1652  */
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
					}
#line 46789 "gram.c" /* yacc.c:1652  */
    break;

  case 2263:
#line 15352 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 46795 "gram.c" /* yacc.c:1652  */
    break;

  case 2264:
#line 15354 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 46801 "gram.c" /* yacc.c:1652  */
    break;

  case 2265:
#line 15371 "gram.y" /* yacc.c:1652  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->distinctClause = (yyvsp[-9].list);
					n->targetList = (yyvsp[-8].list);
					n->fromClause = (yyvsp[-7].list);
					n->whereClause = (yyvsp[-6].node);
					n->groupClause = ((yyvsp[-5].groupclause))->list;
					n->groupDistinct = ((yyvsp[-5].groupclause))->distinct;
					n->havingClause = (yyvsp[-4].node);
					n->windowClause = (yyvsp[-3].list);
					n->sortClause = (yyvsp[-2].list);
					if ((yyvsp[-1].selectlimit))
					{
						n->limitOffset = (yyvsp[-1].selectlimit)->limitOffset;
						n->limitCount = (yyvsp[-1].selectlimit)->limitCount;
						if (!n->sortClause &&
							(yyvsp[-1].selectlimit)->limitOption == LIMIT_OPTION_WITH_TIES)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("WITH TIES cannot be specified without ORDER BY clause")));
						n->limitOption = (yyvsp[-1].selectlimit)->limitOption;
					}
					n->lockingClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 46832 "gram.c" /* yacc.c:1652  */
    break;

  case 2266:
#line 15404 "gram.y" /* yacc.c:1652  */
    {
					PLAssignStmt *n = makeNode(PLAssignStmt);

					n->name = (yyvsp[-3].str);
					n->indirection = check_indirection((yyvsp[-2].list), yyscanner);
					/* nnames will be filled by calling production */
					n->val = (SelectStmt *) (yyvsp[0].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 46847 "gram.c" /* yacc.c:1652  */
    break;

  case 2267:
#line 15416 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46853 "gram.c" /* yacc.c:1652  */
    break;

  case 2268:
#line 15417 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = psprintf("$%d", (yyvsp[0].ival)); }
#line 46859 "gram.c" /* yacc.c:1652  */
    break;

  case 2271:
#line 15438 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46865 "gram.c" /* yacc.c:1652  */
    break;

  case 2272:
#line 15439 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 46871 "gram.c" /* yacc.c:1652  */
    break;

  case 2273:
#line 15440 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 46877 "gram.c" /* yacc.c:1652  */
    break;

  case 2274:
#line 15445 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46883 "gram.c" /* yacc.c:1652  */
    break;

  case 2275:
#line 15446 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 46889 "gram.c" /* yacc.c:1652  */
    break;

  case 2276:
#line 15447 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 46895 "gram.c" /* yacc.c:1652  */
    break;

  case 2277:
#line 15452 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46901 "gram.c" /* yacc.c:1652  */
    break;

  case 2278:
#line 15453 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 46907 "gram.c" /* yacc.c:1652  */
    break;

  case 2279:
#line 15454 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 46913 "gram.c" /* yacc.c:1652  */
    break;

  case 2280:
#line 15455 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 46919 "gram.c" /* yacc.c:1652  */
    break;

  case 2281:
#line 15461 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46925 "gram.c" /* yacc.c:1652  */
    break;

  case 2282:
#line 15462 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 46931 "gram.c" /* yacc.c:1652  */
    break;

  case 2283:
#line 15463 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 46937 "gram.c" /* yacc.c:1652  */
    break;

  case 2284:
#line 15464 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 46943 "gram.c" /* yacc.c:1652  */
    break;

  case 2285:
#line 15465 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 46949 "gram.c" /* yacc.c:1652  */
    break;

  case 2286:
#line 15471 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46955 "gram.c" /* yacc.c:1652  */
    break;

  case 2287:
#line 15472 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 46961 "gram.c" /* yacc.c:1652  */
    break;


#line 46965 "gram.c" /* yacc.c:1652  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;


#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif


/*-----------------------------------------------------.
| yyreturn -- parsing is finished, return the result.  |
`-----------------------------------------------------*/
yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 16416 "gram.y" /* yacc.c:1918  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static RawStmt *
makeRawStmt(Node *stmt, int stmt_location)
{
	RawStmt    *rs = makeNode(RawStmt);

	rs->stmt = stmt;
	rs->stmt_location = stmt_location;
	rs->stmt_len = 0;			/* might get changed later */
	return rs;
}

/* Adjust a RawStmt to reflect that it doesn't run to the end of the string */
static void
updateRawStmtEnd(RawStmt *rs, int end_location)
{
	/*
	 * If we already set the length, don't change it.  This is for situations
	 * like "select foo ;; select bar" where the same statement will be last
	 * in the string for more than one semicolon.
	 */
	if (rs->stmt_len > 0)
		return;

	/* OK, update length of RawStmt */
	rs->stmt_len = end_location - rs->stmt_location;
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static RoleSpec *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 *
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for signature parameters only (e.g., only input
 * parameters for functions).  This is what is needed to look up an existing
 * function, which is what is wanted by the productions that use this call.
 */
static List *
extractArgTypes(ObjectType objtype, List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if ((p->mode != FUNC_PARAM_OUT || objtype == OBJECT_PROCEDURE) && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes(OBJECT_AGGREGATE, (List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	Value	   *ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = makeInteger(list_length(directargs));

	return list_make2(list_concat(directargs, orderedargs),
					  ndirectargs);
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					SelectLimit *limitClause,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitClause && limitClause->limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitOffset))));
		stmt->limitOffset = limitClause->limitOffset;
	}
	if (limitClause && limitClause->limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitCount))));
		stmt->limitCount = limitClause->limitCount;
	}
	if (limitClause && limitClause->limitOption != LIMIT_OPTION_DEFAULT)
	{
		if (stmt->limitOption)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple limit options not allowed")));
		if (!stmt->sortClause && limitClause->limitOption == LIMIT_OPTION_WITH_TIES)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("WITH TIES cannot be specified without ORDER BY clause")));
		stmt->limitOption = limitClause->limitOption;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
		v->val.str = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod, int location)
{
	SQLValueFunction *svf = makeNode(SQLValueFunction);

	svf->op = op;
	/* svf->type will be filled during parse analysis */
	svf->typmod = typmod;
	svf->location = location;
	return (Node *) svf;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;

	*collClause = NULL;
	foreach(cell, qualList)
	{
		Node   *n = (Node *) lfirst(cell);

		if (IsA(n, Constraint))
		{
			/* keep it in list */
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = foreach_delete_current(qualList, cell);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctematerialized = CTEMaterializeDefault;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
